import { ElementRef, TemplateRef } from '@angular/core';
import { DynamicPageBackgroundType, DynamicPageResponsiveSize } from '../constants';
import * as i0 from "@angular/core";
/**
 * Dynamic Page Content Component.
 *
 */
export declare class DynamicPageContentComponent {
    readonly elementRef: ElementRef<HTMLElement>;
    /**
     * label for the tab. If label is provided, tab navigation will be internally set up.
     */
    tabLabel: string;
    /**
     * a unique identifier for this content
     */
    id: string;
    /**
     * sets background for content to `list`, `transparent`, or `solid` background color.
     * Default is `solid`.
     */
    background: DynamicPageBackgroundType;
    /**
     * sets size which in turn adds corresponding padding for the size type.
     * size can be `small`, `medium`, `large`, or `extra-large`.
     */
    size: DynamicPageResponsiveSize;
    /**
     * @hidden
     * The component view is wrapped in ng-template so
     * component's consumer have to use this templateRef to render it
     * in its view.
     *
     * The template reference to the component view.
     */
    contentTemplateRef: TemplateRef<any>;
    /** @hidden */
    constructor(elementRef: ElementRef<HTMLElement>);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicPageContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicPageContentComponent, "fdp-dynamic-page-content", never, { "tabLabel": { "alias": "tabLabel"; "required": false; }; "id": { "alias": "id"; "required": false; }; "background": { "alias": "background"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], true, never>;
}
