import { PlatformConfig } from '@fundamental-ngx/platform/shared';
import * as i0 from "@angular/core";
/**
 * Default options for platform dynamic-page
 * @deprecated use i18n coreDynamicPage key instead
 */
export declare class DynamicPageConfig extends PlatformConfig {
    /**
     * aria label for expand/collapse button when the Dynamic Page is collapsed
     */
    expandLabel: string;
    /**
     * aria label for expand/collapse button when the Dynamic Page is expanded
     */
    collapseLabel: string;
    /**
     * aria label for pin button when the Dynamic Page should be pinned
     */
    pinLabel: string;
    /**
     * aria label for pin button when the Panel should be unpinned
     */
    unpinLabel: string;
    /** @hidden */
    constructor(platformConfig: PlatformConfig);
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj: Partial<DynamicPageConfig>): (platformConfig: PlatformConfig) => DynamicPageConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicPageConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DynamicPageConfig>;
}
