import { AfterViewInit, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @deprecated
 * Use the `fd-feed-input[modelDriven]` component from `@fundamental-ngx/core/feed-input` instead.
 * The `fd-feed-input` component is a drop-in replacement for the `fdp-feed-input` component.
 */
export declare class FeedInputComponent implements AfterViewInit {
    private _renderer;
    /** The user image source, If is not set, then the user image will display placeholder image.  */
    avatarSrc: string;
    /** Set placeholder textarea text */
    placeholder: string;
    /** Set feed input without user image */
    avatarShow: boolean;
    /** Set disabled state */
    disabled: boolean;
    /** The max number of rows to allow textarea grow */
    maxHeight: number;
    /** @hidden Event emitted when user click on send button */
    submit: EventEmitter<string>;
    /** @hidden */
    textarea: ElementRef;
    /** @hidden Textarea entered value */
    value: string | null;
    /** @hidden */
    constructor(_renderer: Renderer2);
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    onChange(): void;
    /** @hidden Handle submit feed input value*/
    onSubmit(): void;
    /** @hidden Make grow textarea */
    resize(): void;
    /** @hidden get line height of textarea */
    private _getTextareaLineHeight;
    /** @hidden Get the total height including borders and scroll height */
    private _getTextareaTotalHeight;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeedInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FeedInputComponent, "fdp-feed-input", never, { "avatarSrc": { "alias": "avatarSrc"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "avatarShow": { "alias": "avatarShow"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; }, { "submit": "submit"; }, never, never, true, never>;
}
