import { NgTemplateOutlet } from '@angular/common';
import * as i0 from '@angular/core';
import { HostListener, Input, ViewEncapsulation, Component, NgModule } from '@angular/core';
import { warnOnce } from '@fundamental-ngx/core/utils';

/**
 * @deprecated
 * PlatformFooter component is deprecated since version 0.40.0
 */
class PlatformFooterComponent {
    /** @hidden */
    constructor() {
        /** defines the padding and size of the footer based on screen */
        this.size = 'xl';
        warnOnce('PlatformFooterComponent component is deprecated since version 0.40.0');
    }
    /** @hidden */
    onResize() {
        this.screenWidth = window.innerWidth;
        if (this.screenWidth > 0 && this.screenWidth <= 360) {
            this.size = 'sm';
        }
        else if (this.screenWidth > 361 && this.screenWidth <= 768) {
            this.size = 'md';
        }
        else if (this.screenWidth > 769 && this.screenWidth <= 1024) {
            this.size = 'lg';
        }
        else {
            this.size = 'xl';
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformFooterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: PlatformFooterComponent, isStandalone: true, selector: "fdp-page-footer", inputs: { logo: "logo", content: "content" }, host: { listeners: { "window:resize": "onResize($event)" } }, ngImport: i0, template: "<div\n    class=\"fd-page-footer\"\n    [class.fd-page-footer--xl]=\"size === 'xl'\"\n    [class.fd-page-footer--lg]=\"size === 'lg'\"\n    [class.fd-page-footer--md]=\"size === 'md'\"\n    [class.fd-page-footer--sm]=\"size === 'sm'\"\n>\n    <div class=\"fd-page-footer__logo\">\n        <ng-template [ngTemplateOutlet]=\"logo\"></ng-template>\n    </div>\n    <div class=\"fd-page-footer__container\">\n        <ng-template [ngTemplateOutlet]=\"content\"></ng-template>\n    </div>\n</div>\n", styles: [".fd-page-footer{background:var(--sapBaseColor);border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-block:1.5rem 2rem;padding-inline:0;position:relative}.fd-page-footer:after,.fd-page-footer:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__logo{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:1.5rem;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;width:3rem}.fd-page-footer__logo:after,.fd-page-footer__logo:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__row{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;width:70%;word-break:break-all}.fd-page-footer__row:after,.fd-page-footer__row:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__row .fd-page-footer__row-item{-webkit-margin-end:1.5rem;margin-inline-end:1.5rem}.fd-page-footer__row .fd-page-footer__row-image{display:block}.fd-page-footer__row:not(:first-child){-webkit-padding-before:.25rem;padding-block-start:.25rem}.fd-page-footer__text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap;-ms-flex-item-align:end;align-self:flex-end;position:absolute;text-align:right;width:30%}.fd-page-footer__text:after,.fd-page-footer__text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__text[dir=rtl],[dir=rtl] .fd-page-footer__text{text-align:left}.fd-page-footer--xl{padding-inline:3rem}.fd-page-footer--xl .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer--lg{padding-inline:2rem}.fd-page-footer--lg .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer--md{padding-inline:1rem}.fd-page-footer--md .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer--sm{padding-inline:.5rem}.fd-page-footer--sm .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}@media (width <= 768px){.fd-page-footer .fd-page-footer__row{-webkit-margin-end:0;margin-inline-end:0;width:100%}.fd-page-footer .fd-page-footer__row:not(:first-child){-webkit-padding-before:0;padding-block-start:0}.fd-page-footer .fd-page-footer__row-item{-webkit-padding-before:.25rem;padding-block-start:.25rem}.fd-page-footer .fd-page-footer__text{text-align:left;width:90%;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer .fd-page-footer__container{display:inline-block;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;width:100%}}\n/*! Bundled license information:\n\nfundamental-styles/dist/page-footer.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformFooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-page-footer', encapsulation: ViewEncapsulation.None, imports: [NgTemplateOutlet], template: "<div\n    class=\"fd-page-footer\"\n    [class.fd-page-footer--xl]=\"size === 'xl'\"\n    [class.fd-page-footer--lg]=\"size === 'lg'\"\n    [class.fd-page-footer--md]=\"size === 'md'\"\n    [class.fd-page-footer--sm]=\"size === 'sm'\"\n>\n    <div class=\"fd-page-footer__logo\">\n        <ng-template [ngTemplateOutlet]=\"logo\"></ng-template>\n    </div>\n    <div class=\"fd-page-footer__container\">\n        <ng-template [ngTemplateOutlet]=\"content\"></ng-template>\n    </div>\n</div>\n", styles: [".fd-page-footer{background:var(--sapBaseColor);border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-block:1.5rem 2rem;padding-inline:0;position:relative}.fd-page-footer:after,.fd-page-footer:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__logo{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:1.5rem;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;width:3rem}.fd-page-footer__logo:after,.fd-page-footer__logo:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__row{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;width:70%;word-break:break-all}.fd-page-footer__row:after,.fd-page-footer__row:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__row .fd-page-footer__row-item{-webkit-margin-end:1.5rem;margin-inline-end:1.5rem}.fd-page-footer__row .fd-page-footer__row-image{display:block}.fd-page-footer__row:not(:first-child){-webkit-padding-before:.25rem;padding-block-start:.25rem}.fd-page-footer__text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap;-ms-flex-item-align:end;align-self:flex-end;position:absolute;text-align:right;width:30%}.fd-page-footer__text:after,.fd-page-footer__text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-page-footer__text[dir=rtl],[dir=rtl] .fd-page-footer__text{text-align:left}.fd-page-footer--xl{padding-inline:3rem}.fd-page-footer--xl .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer--lg{padding-inline:2rem}.fd-page-footer--lg .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer--md{padding-inline:1rem}.fd-page-footer--md .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer--sm{padding-inline:.5rem}.fd-page-footer--sm .fd-page-footer__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-padding-before:.75rem;padding-block-start:.75rem}@media (width <= 768px){.fd-page-footer .fd-page-footer__row{-webkit-margin-end:0;margin-inline-end:0;width:100%}.fd-page-footer .fd-page-footer__row:not(:first-child){-webkit-padding-before:0;padding-block-start:0}.fd-page-footer .fd-page-footer__row-item{-webkit-padding-before:.25rem;padding-block-start:.25rem}.fd-page-footer .fd-page-footer__text{text-align:left;width:90%;-webkit-padding-before:.75rem;padding-block-start:.75rem}.fd-page-footer .fd-page-footer__container{display:inline-block;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;width:100%}}\n/*! Bundled license information:\n\nfundamental-styles/dist/page-footer.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"] }]
        }], ctorParameters: () => [], propDecorators: { logo: [{
                type: Input
            }], content: [{
                type: Input
            }], onResize: [{
                type: HostListener,
                args: ['window:resize', ['$event']]
            }] } });

class PlatformPageFooterModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformPageFooterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformPageFooterModule, imports: [PlatformFooterComponent], exports: [PlatformFooterComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformPageFooterModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformPageFooterModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [PlatformFooterComponent],
                    exports: [PlatformFooterComponent]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { PlatformFooterComponent, PlatformPageFooterModule };
//# sourceMappingURL=fundamental-ngx-platform-page-footer.mjs.map
