import { ElementRef, EventEmitter } from '@angular/core';
import { OptionItem } from '@fundamental-ngx/platform/shared';
import * as i0 from "@angular/core";
export interface AutoCompleteEvent {
    term: string;
    forceClose: boolean;
}
export declare class AutoCompleteDirective {
    private readonly _elementRef;
    /** Values that will fill missing text in the input. */
    options: OptionItem[];
    /**
     * Input text, that is taken from ngModel of formControl,
     * there has to be difference between native input value and model value
     */
    inputText: string;
    /** Check is directive use in mobile view to prevent additional blur events */
    mobile: boolean;
    /** Event thrown, when the auto ahead text is accepted */
    readonly onComplete: EventEmitter<AutoCompleteEvent>;
    /** @hidden */
    private readonly _completeKeys;
    /** @hidden */
    private readonly _fillKeys;
    /** @hidden */
    private readonly _stopKeys;
    /** @hidden */
    private _oldValue;
    /** @hidden */
    private _lastKeyUpEvent;
    /** @hidden */
    private get _element();
    /** @hidden */
    private _isComposing;
    /** @hidden */
    private readonly _zone;
    /** @hidden */
    constructor(_elementRef: ElementRef<HTMLInputElement>);
    /** @hidden */
    handleBlur(): void;
    /** @hidden */
    handleKeyboardEvent(event: KeyboardEvent): void;
    /** @hidden */
    private _typeahead;
    /** @hidden */
    private _setSelectionRange;
    /** @hidden */
    private _isControlKey;
    /** @hidden */
    private _triggerTypeAhead;
    /** @hidden */
    private _sendCompleteEvent;
    /** @hidden */
    private _searchByStrategy;
    /** @hidden */
    private _findByStrategyStartsWith;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoCompleteDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoCompleteDirective, "[fdp-auto-complete]", never, { "options": { "alias": "options"; "required": false; }; "inputText": { "alias": "inputText"; "required": false; }; "mobile": { "alias": "mobile"; "required": false; }; }, { "onComplete": "onComplete"; }, never, never, true, never>;
}
