import { AfterViewInit, EventEmitter } from '@angular/core';
import { CheckboxComponent as FdCheckboxComponent, FdCheckboxValues } from '@fundamental-ngx/core/checkbox';
import { BaseInput } from '@fundamental-ngx/platform/shared';
import * as i0 from "@angular/core";
/** Change event object emitted by Platform Checkbox. */
export declare class PlatformCheckboxChange {
    /** The source Checkbox of the event. */
    source: CheckboxComponent;
    /**
     * The new `checked` value of the checkbox.
     * possible value: true/false and array of checkbox values.
     */
    checked: any;
}
export declare class CheckboxComponent extends BaseInput implements AfterViewInit {
    tabIndexValue: number;
    /**
     * Checkbox tooltip
     */
    title: string;
    /** Sets label for checkbox. */
    label: string;
    /** true when checkbox has indeterminate state */
    tristate: boolean;
    /**
     * Checked state of the checkbox control.
     */
    set value(selectValue: any);
    get value(): any;
    /** when true indeterminate state can be selected */
    tristateSelectable: boolean;
    /** Values returned by control. */
    values: FdCheckboxValues;
    /** Whether checkbox should be rendered standalone (without any text). */
    standalone: boolean;
    /** Whether the checkbox should be rendered in display-only mode. */
    displayOnly: boolean;
    /**
     * Emitting checked event for non-form checkbox
     */
    readonly checkedChange: EventEmitter<any>;
    /**
     * @hidden
     * is needed for the checkbox group to access component values
     */
    coreCheckbox: FdCheckboxComponent;
    /** @hidden */
    constructor(tabIndexValue?: number);
    /** update controller on checkbox state change */
    onModelChange(value: any): void;
    /**
     * Method to emit change event
     */
    private _emitChangeEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, [{ attribute: "tabIndexValue"; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "fdp-checkbox", never, { "title": { "alias": "title"; "required": false; }; "label": { "alias": "label"; "required": false; }; "tristate": { "alias": "tristate"; "required": false; }; "value": { "alias": "checked"; "required": false; }; "tristateSelectable": { "alias": "tristateSelectable"; "required": false; }; "values": { "alias": "values"; "required": false; }; "standalone": { "alias": "standalone"; "required": false; }; "displayOnly": { "alias": "displayOnly"; "required": false; }; }, { "checkedChange": "checkedChange"; }, never, ["*"], true, never>;
}
