import { InjectionToken, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare const FDP_COMBOBOX_ITEM_DEF: InjectionToken<FdpComboboxItemDef<unknown>>;
export type FdoComboboxItemDefType = 'optionItemTemplate' | 'groupItemTemplate' | 'secondaryItemTemplate' | 'selectedItemTemplate';
export declare abstract class FdpComboboxItemDef<T = unknown> {
    /** @hidden */
    abstract name: FdoComboboxItemDefType;
    /** @hidden */
    templateRef: TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FdpComboboxItemDef<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FdpComboboxItemDef<any>, never, never, {}, {}, never, never, true, never>;
}
export declare class ComboboxItemDirective<T = unknown> extends FdpComboboxItemDef<{
    $implicit: T;
    index: number;
}> {
    /** @hidden */
    useModel: T;
    /** @hidden */
    name: FdoComboboxItemDefType;
    /** @hidden */
    static ngTemplateContextGuard<T>(dir: ComboboxItemDirective<T>, ctx: {
        $implicit: T;
        index: number;
    }): ctx is {
        $implicit: T;
        index: number;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ComboboxItemDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ComboboxItemDirective<any>, "[fdpComboboxItem]", never, { "useModel": { "alias": "fdpComboboxItemUse"; "required": false; }; }, {}, never, never, true, never>;
}
export declare class ComboboxSelectedItemDirective<T = unknown> extends FdpComboboxItemDef<{
    $implicit: T;
    index: number;
}> {
    /** @hidden */
    useModel: T;
    /** @hidden */
    name: FdoComboboxItemDefType;
    /** @hidden */
    static ngTemplateContextGuard<T>(dir: ComboboxSelectedItemDirective<T>, ctx: {
        $implicit: T;
        index: number;
    }): ctx is {
        $implicit: T;
        index: number;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ComboboxSelectedItemDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ComboboxSelectedItemDirective<any>, "[fdpComboboxSelectedItem]", never, { "useModel": { "alias": "fdpComboboxSelectedItemUse"; "required": false; }; }, {}, never, never, true, never>;
}
export declare class ComboboxItemGroupDirective extends FdpComboboxItemDef<{
    $implicit: {
        label: string;
    };
}> {
    /** @hidden */
    name: FdoComboboxItemDefType;
    /** @hidden */
    static ngTemplateContextGuard(dir: ComboboxItemGroupDirective, ctx: {
        $implicit: {
            label: string;
        };
    }): ctx is {
        $implicit: {
            label: string;
        };
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ComboboxItemGroupDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ComboboxItemGroupDirective, "[fdpComboboxGroup]", never, {}, {}, never, never, true, never>;
}
export declare class ComboboxSecondaryItemDirective<T = unknown> extends FdpComboboxItemDef<{
    $implicit: T;
}> {
    /** @hidden */
    useModel: T;
    /** @hidden */
    name: FdoComboboxItemDefType;
    /** @hidden */
    static ngTemplateContextGuard<T>(dir: ComboboxSelectedItemDirective<T>, ctx: {
        $implicit: T;
    }): ctx is {
        $implicit: T;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ComboboxSecondaryItemDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ComboboxSecondaryItemDirective<any>, "[fdpComboboxSecondaryItem]", never, { "useModel": { "alias": "fdpComboboxSecondaryItemUse"; "required": false; }; }, {}, never, never, true, never>;
}
