import { OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { DynamicFormControl } from './dynamic-form-control';
import * as i0 from "@angular/core";
/**
 * @description
 * Structural directive, which hides current form item and toggles validation rules for it.
 */
export declare class DynamicFormControlFieldDirective implements OnInit {
    private readonly _templateRef;
    private readonly _viewContainer;
    /**
     * @description Form control instance.
     */
    set fdpDynamicFormControlField(value: DynamicFormControl);
    /**
     * @description boolean flag representing if current item should be shown.
     */
    set fdpDynamicFormControlFieldShow(value: boolean);
    /**
     * @hidden
     */
    private _control;
    /**
     * @hidden
     */
    private _originalValidators?;
    /**
     * @hidden
     */
    private _originalAsyncValidators;
    /**
     * @hidden
     */
    private _componentRemoved;
    /**
     * @hidden
     */
    private _shouldShowFormItem;
    /** @hidden */
    constructor(_templateRef: TemplateRef<any>, _viewContainer: ViewContainerRef);
    /** @hidden */
    ngOnInit(): void;
    /**
     * @description If false, validation will be skipped from the form item control
     */
    set shouldShowFormItem(value: boolean);
    /** @hidden */
    private _updateView;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicFormControlFieldDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DynamicFormControlFieldDirective, "[fdpDynamicFormControlField]", never, { "fdpDynamicFormControlField": { "alias": "fdpDynamicFormControlField"; "required": false; }; "fdpDynamicFormControlFieldShow": { "alias": "fdpDynamicFormControlFieldShow"; "required": false; }; }, {}, never, never, true, never>;
}
