import { ModuleWithProviders } from '@angular/core';
import { FormGeneratorModuleConfig } from './interfaces/form-generator-module-config';
import * as i0 from "@angular/core";
import * as i1 from "./form-generator/form-generator.component";
import * as i2 from "./dynamic-form-control-field.directive";
import * as i3 from "./dynamic-form-control.directive";
import * as i4 from "./controls/dynamic-form-generator-checkbox/dynamic-form-generator-checkbox.component";
import * as i5 from "./controls/dynamic-form-generator-input/dynamic-form-generator-input.component";
import * as i6 from "./controls/dynamic-form-generator-editor/dynamic-form-generator-editor.component";
import * as i7 from "./controls/dynamic-form-generator-select/dynamic-form-generator-select.component";
import * as i8 from "./controls/dynamic-form-generator-radio/dynamic-form-generator-radio.component";
import * as i9 from "./controls/dynamic-form-generator-datepicker/dynamic-form-generator-datepicker.component";
import * as i10 from "./controls/dynamic-form-generator-switch/dynamic-form-generator-switch.component";
import * as i11 from "./form-generator-field/form-generator-field.component";
import * as i12 from "./controls/dynamic-form-generator-multi-input/dynamic-form-generator-multi-input.component";
import * as i13 from "./pipes/get-ordered-form-controls.pipe";
import * as i14 from "./controls/dynamic-form-generator-object-status/dynamic-form-generator-object-status.component";
import * as i15 from "./pipes/get-hint-options.pipe";
import * as i16 from "@fundamental-ngx/core/content-density";
/**
 * Adds Form Generator functionality to your application.
 *
 * Can be imported in two ways:
 * * Plain PlatformFormGeneratorModule with default configuration
 * * With `withConfig()` method which allows passing custom default configuration.
 */
export declare class PlatformFormGeneratorModule {
    /**
     * Allows configuring module on a global level with custom configuration.
     * @param config User's custom configuration.
     */
    static withConfig(config: Partial<FormGeneratorModuleConfig>): ModuleWithProviders<PlatformFormGeneratorModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PlatformFormGeneratorModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PlatformFormGeneratorModule, never, [typeof i1.FormGeneratorComponent, typeof i2.DynamicFormControlFieldDirective, typeof i3.DynamicFormControlDirective, typeof i4.DynamicFormGeneratorCheckboxComponent, typeof i5.DynamicFormGeneratorInputComponent, typeof i6.DynamicFormGeneratorEditorComponent, typeof i7.DynamicFormGeneratorSelectComponent, typeof i8.DynamicFormGeneratorRadioComponent, typeof i9.DynamicFormGeneratorDatepickerComponent, typeof i10.DynamicFormGeneratorSwitchComponent, typeof i11.FormGeneratorFieldComponent, typeof i12.DynamicFormGeneratorMultiInputComponent, typeof i13.GetOrderedFieldControlsPipe, typeof i14.DynamicFormGeneratorObjectStatusComponent, typeof i15.GetHintOptionsPipe], [typeof i1.FormGeneratorComponent, typeof i2.DynamicFormControlFieldDirective, typeof i3.DynamicFormControlDirective, typeof i4.DynamicFormGeneratorCheckboxComponent, typeof i5.DynamicFormGeneratorInputComponent, typeof i6.DynamicFormGeneratorEditorComponent, typeof i7.DynamicFormGeneratorSelectComponent, typeof i8.DynamicFormGeneratorRadioComponent, typeof i9.DynamicFormGeneratorDatepickerComponent, typeof i10.DynamicFormGeneratorSwitchComponent, typeof i11.FormGeneratorFieldComponent, typeof i16.ContentDensityModule, typeof i14.DynamicFormGeneratorObjectStatusComponent, typeof i15.GetHintOptionsPipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PlatformFormGeneratorModule>;
}
