import { ChangeDetectorRef, OnInit, TemplateRef } from '@angular/core';
import { FieldHintOptions, PlatformFormField } from '@fundamental-ngx/platform/shared';
import { DynamicFormControl } from '../dynamic-form-control';
import { FormGeneratorService } from '../form-generator.service';
import { DynamicFormGroup } from '../interfaces/dynamic-form-group';
import { DynamicFormItemValidationObject } from '../interfaces/dynamic-form-item';
import * as i0 from "@angular/core";
export declare class FormGeneratorFieldComponent implements OnInit {
    private _fgService;
    private _cdr;
    /**
     * Form control.
     */
    field: DynamicFormControl;
    /**
     * Form generator's form.
     */
    form: DynamicFormGroup;
    /**
     * Translations template reference.
     */
    i18n: TemplateRef<any>;
    /**
     * Form control name
     */
    formFieldName: string;
    /**
     * Path of the form group.
     */
    formGroupNamePath: string;
    /**
     * Rank is used for ordering.
     * The lower number the higher priority.
     */
    rank: number;
    /**
     * Whether this field should be visible.
     */
    shouldShow: boolean;
    /**
     * Describes hint options for field label
     */
    hintOptions?: FieldHintOptions;
    /**
     * Form field component.
     */
    fieldRenderer: PlatformFormField;
    /** @hidden */
    get _placeholder(): string;
    /** @hidden */
    _errorModels: {
        type: string;
        value: any;
    }[];
    /** @hidden */
    constructor(_fgService: FormGeneratorService, _cdr: ChangeDetectorRef);
    /** @hidden */
    ngOnInit(): void;
    /** @hidden */
    _errorsTrackBy(_: number, error: {
        type: string;
        value: any;
    }): string;
    /** @hidden */
    _isAdvancedError(error: any): error is DynamicFormItemValidationObject;
    /** @hidden */
    private _getErrors;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormGeneratorFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormGeneratorFieldComponent, "fdp-form-generator-field", never, { "field": { "alias": "field"; "required": false; }; "form": { "alias": "form"; "required": false; }; "i18n": { "alias": "i18n"; "required": false; }; "formFieldName": { "alias": "formFieldName"; "required": false; }; "formGroupNamePath": { "alias": "formGroupNamePath"; "required": false; }; "rank": { "alias": "rank"; "required": false; }; "shouldShow": { "alias": "shouldShow"; "required": false; }; "hintOptions": { "alias": "hintOptions"; "required": false; }; }, {}, never, never, true, never>;
}
