import { HintOptions } from '@fundamental-ngx/platform/shared';
import { DynamicFormFieldGroup, DynamicFormFieldGroupMap, DynamicFormFieldItem, DynamicFormItem, DynamicFormItemMap } from './interfaces/dynamic-form-item';
/** @hidden */
export declare function isHintOptions(opts: string | HintOptions): opts is HintOptions;
/** @hidden */
export declare function mapFormItems(formItems?: DynamicFormItem[]): Map<string, DynamicFormItemMap>;
/** @hidden */
export declare function transformFormItem(item: DynamicFormItem, index: number): DynamicFormFieldGroupMap | DynamicFormFieldItem;
/**
 * Is current form item is a field item.
 * @param item form item.
 * @returns is current form item is a field.
 */
export declare function isFormFieldItem(item: any): item is DynamicFormFieldItem;
/**
 * Is current form item is a group item.
 * @param item form item.
 * @returns is current form item is a group.
 */
/** @hidden */
export declare function isFormGroupItem(item: any): item is DynamicFormFieldGroup;
/** @hidden */
export declare function getParentItem(path: string[], rootItems: Map<string, DynamicFormItemMap>): DynamicFormItemMap | null;
