import { ChangeDetectorRef, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { FormStates } from '@fundamental-ngx/cdk/forms';
import { FormError, FormErrorDescription, FormErrorHeading, FormFieldErrorContext } from '@fundamental-ngx/platform/shared';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FormFieldErrorDirective<T = any> implements FormError<T>, OnInit {
    templateRef: TemplateRef<FormFieldErrorContext<T>>;
    private _viewContainer;
    private _cdr;
    /** Used to connect data with model for typings support. */
    fdpFormFieldErrorAs: T;
    /** Error name */
    error: string;
    /** Error type */
    fdpFormFieldErrorType: FormStates;
    /** @hidden */
    detectChanges$: Subject<void>;
    /** Error type. Defines which type to return. Either self, or from heading directive. */
    get type(): FormStates;
    /** @hidden */
    private _headingDirective;
    /** @hidden */
    private _descriptionDirective;
    /** @hidden */
    private _detectTimeout;
    /** @hidden */
    get _headingTemplateRef(): TemplateRef<FormFieldErrorContext<T>>;
    /** @hidden */
    get _descriptionTemplateRef(): TemplateRef<FormFieldErrorContext<T>> | null;
    /** @hidden */
    constructor(templateRef: TemplateRef<FormFieldErrorContext<T>>, _viewContainer: ViewContainerRef, _cdr: ChangeDetectorRef);
    /** @hidden */
    static ngTemplateContextGuard(dir: FormFieldErrorDirective, ctx: FormFieldErrorContext<any>): ctx is FormFieldErrorContext<any>;
    /** @hidden */
    ngOnInit(): void;
    /** Registers child heading directive. */
    registerHeading(directive: FormErrorHeading): void;
    /** Registers child description directive. */
    registerDescription(directive: FormErrorDescription): void;
    /** @hidden */
    private _createView;
    /** @hidden */
    private _detectChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldErrorDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormFieldErrorDirective<any>, "[fdpFormFieldError]", never, { "fdpFormFieldErrorAs": { "alias": "fdpFormFieldErrorAs"; "required": false; }; "error": { "alias": "fdpFormFieldError"; "required": false; }; "fdpFormFieldErrorType": { "alias": "fdpFormFieldErrorType"; "required": false; }; }, {}, never, never, true, never>;
}
