import { OnDestroy, OnInit, QueryList } from '@angular/core';
import { ColumnLayout, FormFieldGroup, FormGroupContainer, HintOptions, PlatformFormField } from '@fundamental-ngx/platform/shared';
import * as i0 from "@angular/core";
export declare class FormFieldGroupComponent implements FormFieldGroup, OnInit, OnDestroy {
    /**
     * Group header title
     */
    label: string;
    /** Group's form name */
    formName: string;
    /**
     * Form Group Container to bind the Form-Field-Group to.
     * This will override default value injected by constructor
     */
    formGroupContainer: FormGroupContainer | null;
    /**
     * Defines label's column layout.
     */
    set labelColumnLayout(value: ColumnLayout | undefined);
    get labelColumnLayout(): ColumnLayout;
    /**
     * Defines field's column layout.
     */
    set fieldColumnLayout(value: ColumnLayout | undefined);
    get fieldColumnLayout(): ColumnLayout;
    /**
     * Defines gap column layout.
     */
    set gapColumnLayout(value: ColumnLayout | undefined);
    get gapColumnLayout(): ColumnLayout;
    /**
     * Describes hint options for group header
     */
    hintOptions?: HintOptions;
    /**
     * Get form fields wrapped into form field group
     */
    fields: QueryList<PlatformFormField>;
    /** @hidden */
    private _labelColumnLayout;
    /** @hidden */
    private _fieldColumnLayout;
    /** @hidden */
    private _gapColumnLayout;
    /** @hidden */
    ngOnInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /** @hidden */
    private _setDefaultLayout;
    /** @hidden */
    private _addToFormGroup;
    /** @hidden */
    private _removeFromFormGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldGroupComponent, "fdp-form-field-group", never, { "label": { "alias": "label"; "required": false; }; "formName": { "alias": "formName"; "required": false; }; "formGroupContainer": { "alias": "formGroupContainer"; "required": false; }; "labelColumnLayout": { "alias": "labelColumnLayout"; "required": false; }; "fieldColumnLayout": { "alias": "fieldColumnLayout"; "required": false; }; "gapColumnLayout": { "alias": "gapColumnLayout"; "required": false; }; "hintOptions": { "alias": "hintOptions"; "required": false; }; }, {}, ["fields"], ["*"], true, never>;
}
