import { ColumnLayout } from '@fundamental-ngx/platform/shared';
import { Observable } from 'rxjs';
import { HintLayoutConfig } from '../fdp-form.tokens';
import * as i0 from "@angular/core";
type Layouts = {
    labelColumnLayout: ColumnLayout;
    fieldColumnLayout: ColumnLayout;
    gapColumnLayout: ColumnLayout;
};
/**
 * Should be used in component level. Ideally placed on container component,
 * so that every it's child FormField can have shared information about peers'
 * need about inline help place.
 */
export declare class FormFieldLayoutService {
    private _hintLayoutConfig;
    /**
     * Will notify if inline help place is needed. If any of the FormFields in group have
     * hintOptions config set the way that it might end up on 'input', then it will emit true
     */
    readonly needsInlineHelpPlace: Observable<boolean>;
    /** @hidden */
    private _needsInlineHelpPlace$;
    /** @hidden */
    private _elementsMap;
    /** @hidden */
    constructor(_hintLayoutConfig: HintLayoutConfig);
    /**
     * Notify service about target component's requirement for the place for inline help
     */
    setNeedsInlineHelp(target: Record<string, any>, isNeeded: boolean): void;
    /**
     * Function will give place for hint in case it does not have it yet,
     * if combined needsInlineHelpPlace value is true
     */
    getFixedLayouts(layouts: Layouts): Layouts;
    /**
     * Remove component from the combined value calculations
     */
    removeEntry(target: Record<string, any>): void;
    /**
     * Will loop through all registered components and if any of them has need for
     * inline help place, then it will notify listeners about it and also will set
     * local variable
     * @hidden
     */
    private _updateCombinedValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldLayoutService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FormFieldLayoutService>;
}
export {};
