import { AfterContentInit, ElementRef, Provider, Renderer2, TemplateRef } from '@angular/core';
import { ButtonModel } from '@fundamental-ngx/platform/button';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { BaseButton } from '@fundamental-ngx/core/button';
import * as i0 from "@angular/core";
export declare const inputGroupAddonChildProvider: Provider;
/**
 * Fundamental input group addon component
 *
 * This component is intended to be used inside `<fdp-input-group>`
 *
 *
 * Input group addon can contain a plain text:
 * ```
 * <fdp-input-group-addon>$</fdp-input-group-addon>
 * ```
 * Icon:
 * ```
 * <fdp-input-group-addon><i class="sap-icon--employee"></i></fdp-input-group-addon>
 * ```
 * Button component:
 * ```
 * <fdp-input-group-addon><fdp-button label="Action"></fdp-button></fdp-input-group-addon>
 * ```
 *
 */
export declare class InputGroupAddonComponent implements AfterContentInit {
    private _renderer;
    /** @hidden */
    set disabled(disabled: boolean);
    get disabled(): boolean;
    /** @hidden */
    contentTemplateRef: TemplateRef<any>;
    /** @hidden */
    platformButton: Nullable<ButtonModel>;
    /** @hidden */
    coreButton: Nullable<BaseButton>;
    /** @hidden */
    set buttonElementRef(buttonComponentElementRef: ElementRef<HTMLElement>);
    /** @hidden */
    get button(): Nullable<ButtonModel>;
    /** @hidden */
    private _disabled;
    /** @hidden */
    constructor(_renderer: Renderer2);
    /** @hidden */
    ngAfterContentInit(): void;
    /** @hidden */
    private _setButtonControlOptions;
    /** @hidden */
    private _setButtonElementClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputGroupAddonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputGroupAddonComponent, "fdp-input-group-addon", never, {}, {}, ["platformButton", "coreButton", "buttonElementRef"], ["*"], true, never>;
}
