import { AfterContentInit, ElementRef, OnInit, QueryList, Renderer2 } from '@angular/core';
import { CvaControl } from '@fundamental-ngx/cdk/forms';
import { InputGroupAddonComponent } from './addon.component';
import { InputGroupConfig } from './input-group.config';
import { InputGroupInputComponent } from './input.component';
import * as i0 from "@angular/core";
import * as i1 from "@fundamental-ngx/cdk/forms";
/**
 * Fundamental input group component
 *
 * ```html
 * <fdp-input-group>
 *   <fdp-input-group-addon>$</fdp-input-group-addon>
 *   <fdp-input-group-input type="number"></fdp-input-group-input>
 *   <fdp-input-group-addon>0.00</fdp-input-group-addon>
 * </fdp-input-group>
 * ```
 *
 */
export declare class InputGroupComponent implements OnInit, AfterContentInit {
    readonly _cvaControl: CvaControl<string | number>;
    private _renderer;
    protected _hostElementRef: ElementRef<HTMLElement>;
    protected _inputGroupConfig: InputGroupConfig;
    /** Input value */
    set value(value: any);
    get value(): any;
    /** @hidden */
    _children: QueryList<InputGroupInputComponent | InputGroupAddonComponent>;
    /** @hidden */
    _input: InputGroupInputComponent;
    /** @hidden */
    set _inputComponentElement(inputComponentElementRef: ElementRef<HTMLElement>);
    /** @hidden */
    _beforeInputAddons: InputGroupAddonComponent[];
    /** @hidden */
    _afterInputAddons: InputGroupAddonComponent[];
    /** @hidden */
    constructor(_cvaControl: CvaControl<string | number>, _renderer: Renderer2, _hostElementRef: ElementRef<HTMLElement>, _inputGroupConfig: InputGroupConfig);
    /** @hidden */
    ngOnInit(): void;
    /** @hidden */
    ngAfterContentInit(): void;
    /**
     * @hidden
     * override base functionality to catch new disabled state
     */
    setDisabledState(disabled: boolean): void;
    /** @hidden */
    _onChangeInputValue(value: string): void;
    /** @hidden */
    _onKeyPress(event: KeyboardEvent): void;
    /** @hidden */
    private _listenToChildrenQueryListChanges;
    /** @hidden */
    private _setInputElementClass;
    /** @hidden */
    private _createAddonsGroups;
    /** @hidden */
    private _isInputChild;
    /** @hidden */
    private _isAddonChild;
    /** @hidden */
    private _setAddonsOptions;
    /** @hidden */
    private _addClassNameToHostElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputGroupComponent, "fdp-input-group", never, { "value": { "alias": "value"; "required": false; }; }, {}, ["_input", "_children"], never, true, [{ directive: typeof i1.CvaDirective; inputs: { "placeholder": "placeholder"; "disabled": "disabled"; "readonly": "readonly"; "state": "state"; "name": "name"; "stateMessage": "stateMessage"; }; outputs: {}; }]>;
}
