import { Provider } from '@angular/core';
import { InputType } from '../input/input.component';
import * as i0 from "@angular/core";
/**
 * fdp-input-group needs it's own input component to
 * register INPUT_GROUP_CHILD in order to render
 * input group content children in the order that they are placed
 *
 */
export declare const inputGroupInputChildProvider: Provider;
/**
 * Fundamental input group input component
 *
 * This component is intended to be used inside `<fdp-input-group>`
 *
 * Example:
 * ```
 * <fdp-input-group name="group">
 *   <fdp-input-group-input type="email"></fdp-input-group-input>
 * </fdp-input-group>
 * ```
 *
 */
export declare class InputGroupInputComponent {
    /** InputType 'text' | 'number' | 'email' | 'password' */
    type: InputType;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputGroupInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputGroupInputComponent, "fdp-input-group-input", never, { "type": { "alias": "type"; "required": false; }; }, {}, never, never, true, never>;
}
