import { InjectionToken, WritableSignal } from '@angular/core';
import { Subject } from 'rxjs';
import { MobileMode } from '@fundamental-ngx/core/mobile-mode';
import { SelectableOptionItem } from '@fundamental-ngx/platform/shared';
export declare const MULTICOMBOBOX_COMPONENT: InjectionToken<string[]>;
/**
 * Combobox Interface to have typing and avoid circular dependency between
 * MultiComboboxComponent <==> MultiComboboxMobileComponent
 */
export interface MultiComboboxInterface extends MobileMode {
    _suggestions: SelectableOptionItem[];
    _selectedSuggestions: SelectableOptionItem[];
    selectedShown$: WritableSignal<boolean>;
    openChange: Subject<boolean>;
    moreClicked(): void;
    dialogApprove(): void;
    dialogDismiss(backup: SelectableOptionItem[]): void;
    searchTermChanged(term?: string): void;
}
