import { ContentDensity } from '@fundamental-ngx/cdk/utils';
import { DataProvider, MatchingStrategy, PlatformConfig } from '@fundamental-ngx/platform/shared';
import * as i0 from "@angular/core";
/**
 * Default options for Multi-Input
 */
export declare class MultiInputConfig {
    /**
     * Content Density of element. 'cozy' | 'compact'
     */
    contentDensity: ContentDensity;
    /**
     * String matching strategy for typeahead list. Default: 'starts with per term'
     */
    matchingStrategy: MatchingStrategy;
    /**
     * Maps data providers
     */
    providers: Map<string, DataProvider<any>> | null;
    /** @hidden */
    constructor(platformConfig: PlatformConfig);
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj: Partial<MultiInputConfig>): (platformConfig: PlatformConfig) => MultiInputConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiInputConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MultiInputConfig>;
}
