import { AfterContentChecked, AfterViewInit, EventEmitter, OnDestroy, QueryList } from '@angular/core';
import { InLineLayoutCollectionBaseInput } from '@fundamental-ngx/platform/shared';
import { RadioButtonComponent } from './radio/radio.component';
import * as i0 from "@angular/core";
export declare class RadioGroupComponent extends InLineLayoutCollectionBaseInput implements AfterViewInit, AfterContentChecked, OnDestroy {
    /** Value of selected radio button */
    set value(newValue: any);
    get value(): any;
    /** To Display Radio buttons in a line */
    set isInline(inline: boolean);
    get isInline(): boolean;
    /** None value radio button created */
    hasNoValue: boolean;
    /** Label for None value radio button */
    noValueLabel: string;
    /** Children radio buttons part of Group radio button, passed as content */
    contentRadioButtons: QueryList<RadioButtonComponent>;
    /** Children radio buttons part of Group radio button, created from list of values */
    viewRadioButtons: QueryList<RadioButtonComponent>;
    /** Selected radio button change event raised */
    change: EventEmitter<RadioButtonComponent>;
    /** @hidden */
    private _activeItemSet;
    /** @hidden The currently selected radio button. Should match value. */
    private _selected;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden FocusKeyManager instance */
    private _keyboardEventsManager;
    /** @hidden */
    constructor();
    /** @hidden */
    _handleKeydown(event: KeyboardEvent): void;
    /** Control Value Accessor */
    writeValue(value: any): void;
    /** Access display value for objects, acts as checkbox label. */
    getDisplayValue(item: any): string;
    /**
     * Called on button click for view radio button, created from list of values
     * @param event
     */
    selected(event: RadioButtonComponent): void;
    /** @hidden Selecting default button as provided as input */
    ngAfterContentChecked(): void;
    /**
     * @hidden
     * Initialize properties once fd-radio-buttons are available.
     * This allows us to propagate relevant attributes to associated buttons.
     */
    ngAfterViewInit(): void;
    /** @hidden Destroys event subscription. */
    ngOnDestroy(): void;
    /** @hidden */
    _getListItemDisabledValue(item: RadioGroupComponent['list'][number]): boolean;
    /** @hidden */
    private _initialSetup;
    /**
     * @hidden
     * Selects given button, if value matches
     * @param button
     */
    private _selectUnselect;
    /** @hidden Called every time a radio button is clicked, In content child as well as viewchild */
    private _selectedValueChanged;
    /** @hidden resets tabIndex for first radio in radio group. for accessibility tabIndex was set */
    private _resetTabIndex;
    /**
     * @hidden
     * @param button Set initial values, used while content children creation
     */
    private _setProperties;
    /** @hidden Make sure we have expected child. */
    private _validateRadioButtons;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioGroupComponent, "fdp-radio-group", never, { "value": { "alias": "selected"; "required": false; }; "isInline": { "alias": "isInline"; "required": false; }; "hasNoValue": { "alias": "hasNoValue"; "required": false; }; "noValueLabel": { "alias": "noValueLabel"; "required": false; }; }, { "change": "change"; }, ["contentRadioButtons"], never, true, never>;
}
