import { FocusableOption } from '@angular/cdk/a11y';
import { AfterViewInit, EventEmitter, TemplateRef } from '@angular/core';
import { BaseInput } from '@fundamental-ngx/platform/shared';
import * as i0 from "@angular/core";
export declare class RadioButtonComponent extends BaseInput implements AfterViewInit, FocusableOption {
    /** sets radio button tooltip */
    title: string;
    /**
     * Includes the Radio in the page tab sequence.
     */
    tabIndex: number;
    /** value for Radio button */
    set value(newValue: any);
    get value(): any;
    /** used for radio button creation if list value present */
    forceRender: boolean;
    /** reference of template */
    renderer: TemplateRef<any>;
    /** click event to emit */
    readonly checked: EventEmitter<RadioButtonComponent>;
    /** Access radio button child element passed as content of radio button group */
    private coreRadioButton;
    /** @hidden */
    _currentValue: any;
    /** @hidden Radio checked status */
    _isChecked: boolean;
    /** @hidden */
    constructor();
    /** @hidden Controlvalue accessor */
    writeValue(value: any): void;
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    _valueChange(value: any, emitEvent?: boolean): void;
    /** method for cdk FocusKeymanager */
    focus(): void;
    /** method to select radio button */
    select(): void;
    /** method to uncheck radio button */
    unselect(): void;
    /** Setting tabIndex for radio accessibility */
    setTabIndex(index: 0 | -1): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioButtonComponent, "fdp-radio-button", never, { "title": { "alias": "title"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; "value": { "alias": "value"; "required": false; }; "forceRender": { "alias": "forceRender"; "required": false; }; }, { "checked": "checked"; }, never, ["*"], true, never>;
}
