import { AfterViewChecked, AfterViewInit } from '@angular/core';
import { SelectComponent as CoreSelect } from '@fundamental-ngx/core/select';
import { BaseSelect } from '../commons/base-select';
import * as i0 from "@angular/core";
export declare class SelectComponent extends BaseSelect implements AfterViewInit, AfterViewChecked {
    /**
     * Directly sets value to the component that at the ends up at writeValue as well fires
     * change detections
     */
    set value(newValue: any);
    get value(): any;
    /** Should select be inlined. */
    inline: boolean;
    /** @hidden */
    select: CoreSelect;
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngAfterViewChecked(): void;
    /**
     * Define is selected item selected
     * @hidden
     */
    _isSelectedOptionItem(selectedItem: any): boolean;
    /** @hidden */
    _onSelection(value: any): void;
    /** @hidden */
    _onOpenChange(isOpen: boolean): void;
    /** @hidden */
    private _setColumnsRatio;
    /** @hidden */
    private _setOptionAttribute;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "fdp-select", never, { "value": { "alias": "value"; "required": false; }; "inline": { "alias": "inline"; "required": false; }; }, {}, never, ["*"], true, never>;
}
