import { StepInputComponent } from './base.step-input';
import * as i0 from "@angular/core";
/**
 * This directive is intendant to be a bridge between input control and BaseStepInput Component.
 */
export declare class StepInputControlDirective {
    private stepInput;
    /** @hidden */
    constructor(stepInput: StepInputComponent);
    /**
     * @hidden
     * Handle "input" event to keep track of what user is entering
     */
    onInput(event: InputEvent): void;
    /**
     * @hidden
     * Handle "change" event to commit entered value
     */
    onChange(): void;
    /**
     * @hidden
     * Handle "focus" event
     */
    onFocus(): void;
    /**
     * @hidden
     * Handle "blur" event
     */
    onBlur(): void;
    /**
     * @hidden
     * Handle "keydown" event
     */
    onKeyDown(event: KeyboardEvent): void;
    /**
     * @hidden
     * Handle mouse wheel
     */
    onMouseWheel(event: WheelEvent): void;
    /**
     * @hidden
     * Mute event
     */
    private _muteEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepInputControlDirective, [{ skipSelf: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<StepInputControlDirective, "[fdpStepInputControl]", never, {}, {}, never, never, true, never>;
}
