import { EventEmitter } from '@angular/core';
import { BaseInput } from '@fundamental-ngx/platform/shared';
import { SwitchConfig } from './switch.config';
import * as i0 from "@angular/core";
/** Switch change event instance */
export declare class SwitchChangeEvent {
    /** The source Switch of the event. */
    source: SwitchComponent;
    /** The new `payload` value of the switch. */
    payload: boolean;
}
export declare class SwitchComponent extends BaseInput {
    protected _switchConfig: SwitchConfig;
    /** Whether the switch is semantic */
    semantic: boolean;
    /**
     * Event fired when the state of the switch changes.
     * *$event* can be used to retrieve the new state of the switch.
     */
    readonly switchChange: EventEmitter<SwitchChangeEvent>;
    /** value for switch control */
    set value(selectValue: any);
    get value(): any;
    /** @hidden
     * tracking switch current value
     */
    switchCurrentValue: boolean;
    /** @hidden */
    constructor(_switchConfig: SwitchConfig);
    /** update controller on switch state change */
    onValueChange(modelValue: boolean): void;
    /** write value for ControlValueAccessor */
    writeValue(value: any): void;
    /** @hidden
     * update model
     */
    private _updateModel;
    /** @hidden
     * Method to emit change event
     */
    private _emitChangeEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwitchComponent, "fdp-switch", never, { "semantic": { "alias": "semantic"; "required": false; }; }, { "switchChange": "switchChange"; }, never, never, true, never>;
}
