import { EventEmitter } from '@angular/core';
import { IconTabBarItem } from '../interfaces/icon-tab-bar-item.interface';
import { IconTabBarBase } from './icon-tab-bar-base.class';
import { IconTabBarPopoverBase } from './popovers/icon-tab-bar-popover-base.class';
import { TextTypePopoverComponent } from './popovers/text-type-popover/text-type-popover.component';
import * as i0 from "@angular/core";
export declare abstract class ClosableIconTabBar extends IconTabBarBase {
    abstract _tabBarPopover: IconTabBarPopoverBase;
    /**
     * Event emits when user clicks on x button in tab.
     */
    closeTab: EventEmitter<IconTabBarItem>;
    /** @hidden */
    _closeTab(itemIndex: string, checkPopover?: boolean): void;
    /** @hidden */
    _keyDownHandler(event: KeyboardEvent, tab: IconTabBarItem | undefined, currentIndex: number, popover?: TextTypePopoverComponent): void;
    /**
     * @hidden
     * @param arr
     * @param parentUid
     * @description Update indexes, uIds, styles.
     */
    protected _updateTabs(arr: IconTabBarItem[], parentUid?: string, flatIndexRef?: {
        value: number;
    }): IconTabBarItem[];
    /**
     * @hidden
     * @param uid
     * @param arr
     * @returns {parent, tab}
     * @description Get tab reference inside main tab array and  reference to parent array.
     */
    protected _getTabInfoFromMainList(uid: string, arr?: any[]): {
        parent: IconTabBarItem[];
        tab: IconTabBarItem;
    } | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClosableIconTabBar, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ClosableIconTabBar, never, never, {}, { "closeTab": "closeTab"; }, never, never, true, never>;
}
