import { ElementRef, QueryList } from '@angular/core';
import { IconTabBarItem } from '../../interfaces/icon-tab-bar-item.interface';
import { ClosableIconTabBar } from '../closable-icon-tab-bar.class';
import { IconTabBarPopoverComponent } from '../popovers/icon-tab-bar-popover/icon-tab-bar-popover.component';
import * as i0 from "@angular/core";
export declare class IconTabBarProcessTypeComponent extends ClosableIconTabBar {
    /** @hidden list of tab html elements, that can receive focus */
    _tabUIElements: QueryList<ElementRef<HTMLElement>>;
    /** @hidden */
    _tabBarPopover: IconTabBarPopoverComponent;
    /** @hidden */
    _offsetOverflowDirective: number;
    /**
     * @hidden
     * An array containing extra tabs for the next steps
     */
    _nextSteps: IconTabBarItem[];
    /**
     * @hidden
     * An array containing extra tabs for the next steps
     */
    _prevSteps: IconTabBarItem[];
    /** @hidden */
    _showLeftBtn: boolean;
    /** @hidden */
    _showRightBtn: boolean;
    /** @hidden */
    _anchorIndexForExtraBtnDirective: number;
    /** @hidden */
    private _firstVisibleTabIndex;
    /** @hidden */
    private _currentStepIndex;
    /**
     * @hidden
     * @param selectedItem
     */
    _selectItem(selectedItem: IconTabBarItem): void;
    /**
     * @hidden
     * @param selectedItem
     * @description select extra item inside popover
     */
    _selectExtraItem(selectedItem: IconTabBarItem): Promise<void>;
    /**
     * @hidden
     * @param extraItems
     * @description recalculate _nextSteps and _prevSteps array if we have extra items
     */
    _recalculateVisibleItems(extraItems: number): void;
    /** @hidden */
    private _clearExtraList;
    /**
     * @hidden
     * @param extraItems
     * @param amountOfNextSteps
     * @description We fill the array of the next steps to the selected tab,
     * based on this we generate the array of the previous steps if it is necessary
     */
    private _recalculateItemsByNextArr;
    /**
     * @hidden
     * @param extraItems
     * @param amountOfPreviousSteps
     * @description We fill the array of the previous steps to the selected tab,
     * based on this we generate the array of the next steps if it is necessary
     */
    private recalculateItemsByPrevArr;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconTabBarProcessTypeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconTabBarProcessTypeComponent, "fdp-icon-tab-bar-process-type", never, {}, {}, never, never, true, never>;
}
