import { ElementRef, TemplateRef } from '@angular/core';
import { HasElementRef, Nullable } from '@fundamental-ngx/cdk/utils';
import { IconFont } from '@fundamental-ngx/core/icon';
import { ReactiveTabConfig } from '../../interfaces/tab-config.interface';
import { SemanticColor } from '../../types';
import * as i0 from "@angular/core";
export declare class IconTabBarTabContentDirective implements HasElementRef {
    /** Tab ID */
    id: import("@angular/core").InputSignal<Nullable<string>>;
    /** Tab Unique ID. */
    uId: import("@angular/core").InputSignal<Nullable<string>>;
    /** Element reference. */
    readonly elementRef: ElementRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconTabBarTabContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconTabBarTabContentDirective, "fdp-icon-tab-bar-tab-content", never, { "id": { "alias": "id"; "required": false; "isSignal": true; }; "uId": { "alias": "uId"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
export declare class IconTabBarTabComponent implements ReactiveTabConfig {
    /** Tab Label. */
    label: import("@angular/core").InputSignal<Nullable<string>>;
    /** Tab text color. */
    color: import("@angular/core").InputSignal<SemanticColor>;
    /** Tab icon. */
    icon: import("@angular/core").InputSignal<string | undefined>;
    /** Tab icon font family. */
    iconFont: import("@angular/core").InputSignal<IconFont>;
    /** Tab counter. */
    counter: import("@angular/core").InputSignal<Nullable<number>>;
    /** whether the tab is selected */
    active: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    /** if set to true, will show red circle in top-right corner of tab */
    badge: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    /** Whether the tab can be closed. */
    closable: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    /** Tab ID. */
    id: import("@angular/core").InputSignal<string>;
    /** Content renderer. */
    readonly renderer: import("@angular/core").Signal<TemplateRef<any> | undefined>;
    /** Title template. */
    readonly titleTemplate: import("@angular/core").Signal<TemplateRef<any> | undefined>;
    /** @hidden */
    readonly children: import("@angular/core").Signal<readonly IconTabBarTabComponent[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconTabBarTabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconTabBarTabComponent, "fdp-icon-tab-bar-tab", never, { "label": { "alias": "label"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "icon": { "alias": "icon"; "required": false; "isSignal": true; }; "iconFont": { "alias": "iconFont"; "required": false; "isSignal": true; }; "counter": { "alias": "counter"; "required": false; "isSignal": true; }; "active": { "alias": "active"; "required": false; "isSignal": true; }; "badge": { "alias": "badge"; "required": false; "isSignal": true; }; "closable": { "alias": "closable"; "required": false; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; }, {}, ["titleTemplate", "children"], ["*"], true, never>;
}
