import { ElementRef, EventEmitter, QueryList } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { FdDnDEvent } from '../../directives/dnd/icon-bar-dnd-container.directive';
import { IconTabBarItem } from '../../interfaces/icon-tab-bar-item.interface';
import { ClosableIconTabBar } from '../closable-icon-tab-bar.class';
import { TextTypePopoverComponent } from '../popovers/text-type-popover/text-type-popover.component';
import * as i0 from "@angular/core";
/** @hidden */
type TabItem = ElementRef<HTMLElement> | TextTypePopoverComponent;
export declare class IconTabBarTextTypeComponent extends ClosableIconTabBar {
    /** @hidden list of tab html elements, that can receive focus */
    _tabUIElements: QueryList<TabItem>;
    /** @hidden */
    _tabBarPopover: TextTypePopoverComponent;
    /**
     * @description Disable or enable reordering(drag and drop) feature.
     */
    enableTabReordering: boolean;
    /**
     * @description Layout type for tab.
     */
    layoutMode: 'row' | 'column';
    /** Whether to render icon tab item as multi-click variant. */
    multiClick: boolean;
    /**
     * @description Emits when user drops the tab.
     */
    reordered: EventEmitter<IconTabBarItem[]>;
    /**
     * @hidden
     * @param selectedItem
     */
    _selectExtraItem(selectedItem: IconTabBarItem | undefined): void;
    /**
     * @hidden
     * @param draggableItem
     * @param targetItem
     * @param action
     */
    _onDropped(event: FdDnDEvent): void;
    /** @hidden */
    protected _getTabUIElementFocusable(tabUIElement: Nullable<TabItem>): Nullable<HTMLElement>;
    /** @hidden */
    private _canDrop;
    /**
     * @hidden
     * @param data
     * @description Insert tab into another tab.
     */
    private _insertItemAsChild;
    /**
     * @hidden
     * @param data
     * @description Insert tab between tabs
     */
    private _replaceAsSibling;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconTabBarTextTypeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconTabBarTextTypeComponent, "fdp-icon-tab-bar-text-type", never, { "enableTabReordering": { "alias": "enableTabReordering"; "required": false; }; "layoutMode": { "alias": "layoutMode"; "required": false; }; "multiClick": { "alias": "multiClick"; "required": false; }; }, { "reordered": "reordered"; }, never, never, true, never>;
}
export {};
