import { ElementRef, EventEmitter, OnChanges, QueryList, SimpleChanges } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { TriggerConfig } from '@fundamental-ngx/core/popover';
import { IconTabBarItem } from '../../../interfaces/icon-tab-bar-item.interface';
import { IconTabBarPopoverBase } from '../icon-tab-bar-popover-base.class';
import * as i0 from "@angular/core";
export declare class TextTypePopoverComponent extends IconTabBarPopoverBase implements OnChanges {
    /** @hidden reference for html element, that opens dropdown and can receive focus */
    _dropdownTrigger: ElementRef<HTMLElement>;
    /** @hidden list of tab html elements, that can receive focus */
    _tabExtraUIElements: QueryList<ElementRef<HTMLElement>>;
    /** Whether to render item as a multi-click variant. */
    multiClick: boolean;
    /**
     * @description Layout type for tab.
     */
    layoutMode: 'row' | 'column';
    /**
     * @description Is extra items mode or subitems mode
     */
    isExtraItemsMode: boolean;
    /**
     * @description Parent tab need for subItems mode
     */
    parentTab: IconTabBarItem;
    /**
     * @description uId of selected subItem
     */
    selectedSubItemUid: Nullable<string>;
    /**
     * @description tabIndex of the particular item. Aplicable only for subitems mode
     */
    tabindex: number;
    /**
     * @description Emits when some subTab is selected and isExtraItemsMode is disabled
     */
    selectedSubItem: EventEmitter<any>;
    /** Emits when root item is being selected. Applicable for multi-click variant only. */
    selectedItem: EventEmitter<void>;
    /** @hidden */
    _containsSelected: boolean;
    /** @hidden */
    _popoverTriggers: TriggerConfig[];
    /** @hidden */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * @hidden
     * @param selectedItem
     */
    _selectItem(selectedItem: IconTabBarItem): void;
    /** @hidden */
    _textPopoverKeyDownHandler(event: KeyboardEvent, tab: IconTabBarItem): void;
    /** @hidden */
    private _calculateIfContainsSelected;
    /** @hidden */
    private _getChildren;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextTypePopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextTypePopoverComponent, "fdp-text-type-popover", never, { "multiClick": { "alias": "multiClick"; "required": false; }; "layoutMode": { "alias": "layoutMode"; "required": false; }; "isExtraItemsMode": { "alias": "isExtraItemsMode"; "required": false; }; "parentTab": { "alias": "parentTab"; "required": false; }; "selectedSubItemUid": { "alias": "selectedSubItemUid"; "required": false; }; "tabindex": { "alias": "tabindex"; "required": false; }; }, { "selectedSubItem": "selectedSubItem"; "selectedItem": "selectedItem"; }, never, never, true, never>;
}
