import { DragDrop, DragRef, Point } from '@angular/cdk/drag-drop';
import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';
import { ElementChord, IconTabBarDndItem, IconTabBarItem } from '../../interfaces/icon-tab-bar-item.interface';
import { IconBarDndContainerDirective } from './icon-bar-dnd-container.directive';
import { IconBarDndListDirective } from './icon-bar-dnd-list.directive';
import * as i0 from "@angular/core";
export declare class IconBarDndItemDirective implements IconTabBarDndItem, AfterViewInit, OnDestroy {
    elementRef: ElementRef;
    protected _dragDrop: DragDrop;
    private _dndListDir;
    private _dndContainerDir;
    /**
     * @description Tab info
     */
    dndItemData: IconTabBarItem;
    /**
     * @description Classes for draggable preview
     */
    previewClass: string[];
    /**
     * @description Classes for hovered state
     */
    dndHoveredClass: string[];
    /**
     * @description Classes for separator, when draggable element between two tabs
     */
    dndSeparatorClass: string[];
    /**
     * @description Event thrown when the element is moved by 1px
     */
    readonly moved: Subject<Point>;
    /**
     * @description Event thrown when the element is released
     */
    readonly released: Subject<void>;
    /**
     * @description Event thrown when the element is started to be dragged
     */
    readonly started: Subject<void>;
    /** @hidden */
    isVertical: boolean;
    /**
     * @hidden
     * @description Drag reference, object created from DND CDK Service
     */
    dragRef: DragRef;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    constructor(elementRef: ElementRef, _dragDrop: DragDrop, _dndListDir: IconBarDndListDirective, _dndContainerDir: IconBarDndContainerDirective);
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /** @hidden */
    onCdkDragStart(): void;
    /** @hidden */
    onCdkMove(position: Point): void;
    /** @hidden */
    onCdkDragReleased(): void;
    /** @hidden */
    getElementCoordinates(): ElementChord;
    /**
     * @description Add/delete separator classes
     */
    toggleSeparatorStyles(force?: boolean): void;
    /**
     * @description Add/delete hovered state classes
     */
    toggleHoveredStyles(force?: boolean): void;
    /** @hidden */
    private _setCDKDrag;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconBarDndItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconBarDndItemDirective, "[fdpIconBarDndItem], [fdp-icon-bar-dnd-item]", never, { "dndItemData": { "alias": "dndItemData"; "required": false; }; "previewClass": { "alias": "previewClass"; "required": false; }; "dndHoveredClass": { "alias": "dndHoveredClass"; "required": false; }; "dndSeparatorClass": { "alias": "dndSeparatorClass"; "required": false; }; }, {}, never, never, true, never>;
}
