import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { DragDrop } from '@angular/cdk/drag-drop';
import { IconTabBarDndItem, IconTabBarDndList } from '../../interfaces/icon-tab-bar-item.interface';
import { IconBarDndContainerDirective } from './icon-bar-dnd-container.directive';
import * as i0 from "@angular/core";
export declare class IconBarDndListDirective implements IconTabBarDndList, AfterViewInit, OnDestroy {
    elementRef: ElementRef;
    private _dragDrop;
    private _dndContainer;
    /**
     * @description Direction in which the list is oriented.
     */
    dndOrientation: 'horizontal' | 'vertical';
    /**
     * @description Is disabled autoscroll inside draggable list
     */
    dndAutoScroll: boolean;
    /** @hidden */
    private _dropListRef;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    private _dragRefItems;
    /** @hidden */
    private readonly _dndItems$;
    /** @hidden */
    constructor(elementRef: ElementRef, _dragDrop: DragDrop, _dndContainer: IconBarDndContainerDirective);
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /**
     * @param dragItem
     * @description Register IconTabBarDndItem to current list
     */
    registerDragItem(dragItem: IconTabBarDndItem): void;
    /**
     * @param dragItem
     * @description Remove registered IconTabBarDndItem to current list
     */
    removeDragItem(dragItem: IconTabBarDndItem): void;
    /**
     * @param draggable
     */
    changeDraggableState(draggable: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconBarDndListDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconBarDndListDirective, "[fdpIconBarDndList], [fdp-icon-bar-dnd-list]", never, { "dndOrientation": { "alias": "dndOrientation"; "required": false; }; "dndAutoScroll": { "alias": "dndAutoScroll"; "required": false; }; }, {}, never, never, true, never>;
}
