import { DragRef, Point } from '@angular/cdk/drag-drop';
import { Subject } from 'rxjs';
import { TabConfig } from './tab-config.interface';
export interface ElementChord {
    x: number;
    y: number;
    width: number;
    height: number;
}
/**
 * Extended TabConfig with special fields, that are calculated internally
 */
export interface IconTabBarItem extends TabConfig {
    /** order in the array */
    index: number;
    uId: string;
    /**
     * Calculated index of tab, that takes into account the level of nesting.
     *
     * E.g. items `1, 1.1, 1.1.1, 2` will get indexes `0, 1, 2, 3` accordingly
     */
    flatIndex: number;
    cssClasses: string[];
    /** This field is used in overflow mode. Determines whether particular tab should be hidden */
    hidden?: boolean;
    subItems?: IconTabBarItem[];
    /** Unique id of the parent tab, if current item is a subItem */
    parentUId?: string;
}
export interface IconTabBarDndItem {
    dndItemData: IconTabBarItem;
    previewClass: string[];
    dndHoveredClass: string[];
    dndSeparatorClass: string[];
    moved: Subject<Point>;
    released: Subject<void>;
    started: Subject<void>;
    dragRef: DragRef;
    isVertical: boolean;
    getElementCoordinates(): ElementChord;
    toggleHoveredStyles(force?: boolean): void;
    toggleSeparatorStyles(force?: boolean): void;
}
export interface IconTabBarDndList {
    changeDraggableState(draggable: boolean): void;
}
