import { Nullable } from '@fundamental-ngx/cdk/utils';
import { IconFont } from '@fundamental-ngx/core/icon';
import { InfoLabelColorInput, LabelType } from '@fundamental-ngx/core/info-label';
import * as i0 from "@angular/core";
/**
 * @deprecated Use `InfoLabelComponent` from `@fundamental-ngx/core` instead.
 */
export declare class InfoLabelComponent {
    /**
     * The LabelType represented by the info label .
     * Can be one of the following: 'numeric' | 'only-icon' | 'icon'
     * For default info label omit this property
     */
    type: LabelType;
    /**
     * The icon font
     * Options include: 'SAP-icons', 'BusinessSuiteInAppSymbols' and 'SAP-icons-TNT'
     */
    font: IconFont;
    /** glyph define the icon of info label */
    glyph: string;
    /** glyph define the icon of info label */
    label: string;
    /** define the colour of the info label starting form 1 to 10 */
    color: Nullable<InfoLabelColorInput>;
    /** Sets control aria-label attribute value */
    ariaLabel: Nullable<string>;
    /** Binds to control aria-labelledBy attribute */
    ariaLabelledBy: Nullable<string>;
    /** Sets control aria-title to a string attribute value */
    title: string;
    /** @hidden */
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<InfoLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InfoLabelComponent, "fdp-info-label", never, { "type": { "alias": "type"; "required": false; }; "font": { "alias": "font"; "required": false; }; "glyph": { "alias": "glyph"; "required": false; }; "label": { "alias": "label"; "required": false; }; "color": { "alias": "color"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "ariaLabelledBy": { "alias": "ariaLabelledBy"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, never, never, true, never>;
}
