import { ElementRef, EventEmitter } from '@angular/core';
import { BaseListItem } from '../base-list-item';
import * as i0 from "@angular/core";
export declare class ActionChangeEvent {
    /** Action List Item component */
    source: ActionListItemComponent;
}
export declare class ActionListItemComponent extends BaseListItem {
    /** Access button element*/
    button: ElementRef<HTMLButtonElement>;
    /** Event sent when action in clicked */
    actionClicked: EventEmitter<ActionChangeEvent>;
    /**
     * @hidden
     * Handles action click
     */
    _onActionClick(): void;
    /**
     * @hidden
     * on keydown append active styles on actionable item
     */
    _onKeyDown(event: KeyboardEvent): void;
    /**
     * @hidden
     * on keyup remove active styles from actionable item
     */
    _onKeyUp(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActionListItemComponent, "fdp-action-list-item", never, {}, { "actionClicked": "actionClicked"; }, never, never, true, never>;
}
