import { QueryList } from '@angular/core';
import { ColorAccent } from '@fundamental-ngx/cdk/utils';
import { BaseListItem, StatusType } from '../base-list-item';
import { ObjectListItemRowComponent } from './object-list-item-row.component';
import * as i0 from "@angular/core";
export declare class ObjectListItemComponent extends BaseListItem {
    /** define label for screen reader */
    introductionText: string;
    /** holds object number */
    amount: number;
    /** holds object number unit */
    currency: string;
    /** object number amount decimal limitation */
    decimal: number;
    /** object number status */
    numberStatus: StatusType;
    /** holds avatar label */
    label: string;
    /** holds avatar icon as image */
    glyph: string;
    /** Avatar to be circle or not */
    circle: boolean;
    /** Is avatar has placeholder */
    placeholder: boolean;
    /** Is avatar has tile */
    tile: boolean;
    /** Is avatar has colorAccent */
    colorAccent: ColorAccent;
    /** Avatar image path */
    image: string;
    /** Avatar is transparent */
    transparent: boolean;
    /** @hidden */
    children: QueryList<ObjectListItemRowComponent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectListItemComponent, "fdp-object-list-item", never, { "introductionText": { "alias": "introductionText"; "required": false; }; "amount": { "alias": "amount"; "required": false; }; "currency": { "alias": "currency"; "required": false; }; "decimal": { "alias": "decimal"; "required": false; }; "numberStatus": { "alias": "numberStatus"; "required": false; }; "label": { "alias": "label"; "required": false; }; "glyph": { "alias": "glyph"; "required": false; }; "circle": { "alias": "circle"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "tile": { "alias": "tile"; "required": false; }; "colorAccent": { "alias": "colorAccent"; "required": false; }; "image": { "alias": "image"; "required": false; }; "transparent": { "alias": "transparent"; "required": false; }; }, {}, ["children"], ["fdp-object-list-item-row", "#secondaryAction"], true, never>;
}
