import { Overlay } from '@angular/cdk/overlay';
import { AfterContentInit, ElementRef, OnDestroy, ViewContainerRef } from '@angular/core';
import { MenuItemComponent } from './menu-item.component';
import { MenuComponent } from './menu.component';
import * as i0 from "@angular/core";
export declare class MenuTriggerDirective implements OnDestroy, AfterContentInit {
    private _element;
    private _overlay;
    private _viewContainerRef;
    private _menuItem;
    private _parentMenu;
    /** Set Menu Component for which this trigger will be associated. */
    set menu(menu: MenuComponent);
    get menu(): MenuComponent;
    /** Flag to determine if associated menu is open. */
    get isMenuOpen(): boolean;
    /** @hidden */
    private _menu;
    /** @hidden */
    private _overlayRef;
    /** @hidden */
    private _portal;
    /** @hidden */
    private _isMenuOpen;
    /** @hidden */
    private _outsideClickSubscription;
    /** @hidden */
    private _menuCloseSubscription;
    /** @hidden */
    private _parentMenuCloseSubscription;
    /** @hidden */
    private _menuItemHoverChangeSubscription;
    private _menuButton;
    /** @hidden */
    constructor(_element: ElementRef<HTMLElement>, _overlay: Overlay, _viewContainerRef: ViewContainerRef, _menuItem: MenuItemComponent, _parentMenu: MenuComponent);
    /**
     * @hidden
     * Handle click on trigger element.
     */
    _onTriggerClick(event: MouseEvent): void;
    /**
     * @hidden
     * Handled keypress which focus is on trigger element.
     */
    _onTriggerKeydown(event: KeyboardEvent): void;
    /** @hidden */
    ngAfterContentInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /**
     * @hidden
     * Toggle display of associated menu.
     */
    toggleMenu(): void;
    /**
     * @hidden
     * Open associated menu.
     */
    openMenu(): void;
    /**
     * @hidden
     * Close associated menu.
     */
    closeMenu(): void;
    /**
     * @hidden
     * destroy associated menu.
     */
    private _destroyMenu;
    /** @hidden */
    private _getOverlayConfig;
    /** @hidden */
    private _getPositions;
    /** @hidden */
    private _isMenuItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuTriggerDirective, [null, null, null, { optional: true; self: true; }, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MenuTriggerDirective, "[fdpMenuTriggerFor]", never, { "menu": { "alias": "fdpMenuTriggerFor"; "required": false; }; }, {}, never, never, true, never>;
}
