import { AfterViewInit, DestroyRef, EventEmitter } from '@angular/core';
import { Nullable, TabbableElementService } from '@fundamental-ngx/cdk/utils';
import { MessagePopoverEntry, MessagePopoverErrorGroup } from '../../models/message-popover-entry.interface';
import * as i0 from "@angular/core";
export declare class MessageViewComponent implements AfterViewInit {
    private readonly _destroyRef;
    private readonly _tabbableService;
    private readonly _document;
    /** Current Message Popover screen. Can be either `list` or `details`. */
    currentScreen: 'list' | 'details';
    /** Filtered errors to render. */
    filteredErrors: MessagePopoverErrorGroup[];
    /** Current error entry. Used for details view. */
    currentEntry: Nullable<MessagePopoverEntry>;
    /** Event emitted when user clicks on error entry containing additional description. */
    openDetails: EventEmitter<MessagePopoverEntry>;
    /** Event emitted when user clicks on error entry and item's element should be focused. */
    focusItem: EventEmitter<MessagePopoverEntry>;
    /** Event emitted when user clicks on the field link to focus on the field itself. */
    closePopover: EventEmitter<boolean>;
    /** @hidden */
    private _listView;
    /** @hidden */
    private _detailsView;
    /** @Hidden */
    private readonly _initialClass;
    /** @hidden */
    private _activeListElement;
    /** @hidden */
    constructor(_destroyRef: DestroyRef, _tabbableService: TabbableElementService, _document: Document);
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    _showDetails(entry: MessagePopoverEntry): void;
    /** @hidden */
    _focusElement(event?: MouseEvent, item?: MessagePopoverEntry): void;
    /** @hidden */
    _onListAnimationComplete(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessageViewComponent, "fdp-message-view", never, { "currentScreen": { "alias": "currentScreen"; "required": false; }; "filteredErrors": { "alias": "filteredErrors"; "required": false; }; "currentEntry": { "alias": "currentEntry"; "required": false; }; }, { "openDetails": "openDetails"; "focusItem": "focusItem"; "closePopover": "closePopover"; }, never, never, true, never>;
}
