import { EventEmitter, WritableSignal } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { PopoverComponent } from '@fundamental-ngx/core/popover';
import { MessagePopoverEntry, MessagePopoverError, MessagePopoverErrorGroup } from './models/message-popover-entry.interface';
import { MessagePopoverWrapper } from './models/message-popover-wrapper.interface';
import { MessagePopover, MessagePopoverState } from './models/message-popover.interface';
import * as i0 from "@angular/core";
export declare class MessagePopoverComponent implements MessagePopover {
    /** @hidden */
    readonly _popover: PopoverComponent;
    /** Message Popover Wrapper component. */
    set wrapper(value: Nullable<MessagePopoverWrapper>);
    get wrapper(): Nullable<MessagePopoverWrapper>;
    /** Event emits when user clicks on error entry and item's element needs to be focused. */
    focusItem: EventEmitter<MessagePopoverEntry>;
    /** Current message popover screen. Can be `list` or `details`. */
    currentScreen: 'list' | 'details';
    /** Current error entry. */
    currentEntry: Nullable<MessagePopoverEntry>;
    /** @hidden */
    _currentErrorType$: WritableSignal<MessagePopoverError['group']>;
    /** @hidden */
    _errorTypes$: import("@angular/core").Signal<MessagePopoverError[]>;
    /** @hidden */
    _priorityStateItemsCount$: import("@angular/core").Signal<number>;
    /** @hidden */
    _priorityFormState$: import("@angular/core").Signal<"success" | "error" | "warning" | "default" | "information">;
    /** @hidden */
    _priorityState$: import("@angular/core").Signal<Nullable<MessagePopoverState>>;
    /** @hidden */
    readonly _filteredErrors$: import("@angular/core").Signal<MessagePopoverErrorGroup[]>;
    private readonly _groupedErrors$;
    private readonly _wrapper$;
    private readonly _countedErrors$;
    /** @hidden */
    _showList(): void;
    /** @hidden */
    _showDetails(entry: MessagePopoverEntry): void;
    /** @hidden */
    _closePopover(focusLast?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessagePopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessagePopoverComponent, "fdp-message-popover", never, { "wrapper": { "alias": "wrapper"; "required": false; }; }, { "focusItem": "focusItem"; }, never, never, true, never>;
}
