import { ContentDensity } from '@fundamental-ngx/cdk/utils';
import { PlatformConfig } from '@fundamental-ngx/platform/shared';
import * as i0 from "@angular/core";
/**
 * Default options for platform panel
 */
export declare class PanelConfig {
    /**
     * ARIA label for button when the Panel is collapsed
     */
    expandLabel: string;
    /**
     * ARIA label for button when the Panel is expanded
     */
    collapseLabel: string;
    /**
     * Content Density of element. 'cozy' | 'compact'
     */
    contentDensity: ContentDensity;
    /** @hidden */
    constructor(platformConfig: PlatformConfig);
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj: Partial<PanelConfig>): (platformConfig: PlatformConfig) => PanelConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PanelConfig>;
}
