import { ChangeDetectorRef, DestroyRef, ElementRef, OnInit } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { SettingsModel } from '../models/settings.model';
import { SettingsGeneratorService } from '../settings-generator.service';
import * as i0 from "@angular/core";
export declare abstract class BaseSettingsGeneratorLayout implements OnInit {
    /**
     * Subject to notify subscriptions to unsubscribe when component destroys.
     */
    protected abstract _destroyRef: DestroyRef;
    /**
     * Method for focusing inner form control.
     * It is responsible for activating the section and placing focus on the element.
     * @param path path of the control joined by dot(.). Usually represents section ID and inner group ID.
     * @param element ElementRef of native element to focus.
     */
    abstract focusElementByPath(path: string, element: ElementRef<HTMLElement>): void;
    /**
     * Settings schema.
     */
    settings: Nullable<SettingsModel>;
    /**
     * Settings generator service.
     */
    protected readonly _settingsGeneratorService: SettingsGeneratorService;
    /**
     * Change detector ref.
     */
    protected readonly _cdr: ChangeDetectorRef;
    /**
     * Settings generator component ref.
     */
    protected _settingsGenerator: import("@fundamental-ngx/platform/settings-generator").SettingsGenerator;
    /** @hidden */
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseSettingsGeneratorLayout, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseSettingsGeneratorLayout, never, never, {}, {}, never, never, true, never>;
}
