import { EventEmitter, Signal } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { IconTabBarItem, TabConfig } from '@fundamental-ngx/platform/icon-tab-bar';
import { GroupedFormSettingsItem, GroupedTemplateSettingsItem, SettingsFormTab, SettingsItem, SettingsTemplateTab, TemplateSettingsItem } from '../models/settings.model';
import * as i0 from "@angular/core";
export declare class SettingsGeneratorContentComponent {
    /** @hidden */
    set settings(value: Nullable<SettingsItem>);
    get settings(): Nullable<SettingsItem>;
    /** Whether to render content component in mobile view. */
    mobile: boolean;
    /** Event emits when user needs to be moved back to navigation screen. */
    goBack: EventEmitter<void>;
    /** @hidden */
    private readonly _initialClass;
    /** @hidden */
    private readonly _tabPanels;
    /** @hidden */
    _id: Nullable<string>;
    /** @hidden */
    _renderer$: Signal<"form" | "template">;
    /** @hidden */
    _contentLayout$: Signal<"form" | "tabs">;
    /** @hidden */
    _groups$: Signal<(SettingsTemplateTab | SettingsFormTab)[]>;
    /** @hidden */
    _tabs$: Signal<TabConfig[]>;
    /** @hidden */
    _index: number;
    /** @hidden */
    readonly _activeTab$: import("@angular/core").WritableSignal<number>;
    /** @hidden */
    readonly _settings$: import("@angular/core").WritableSignal<Nullable<SettingsItem>>;
    /** @hidden */
    private _settings;
    /** @hidden */
    isTemplateLayout(settings: Nullable<SettingsItem>): settings is TemplateSettingsItem;
    /** @hidden */
    isGroupedSettings(settings: any): settings is GroupedFormSettingsItem | GroupedTemplateSettingsItem;
    /** @hidden */
    changeTab(item: IconTabBarItem): void;
    /**
     * Activates tab by group ID.
     * @param id ID of the group.
     */
    setActiveTab(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingsGeneratorContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SettingsGeneratorContentComponent, "fdp-settings-generator-content", never, { "settings": { "alias": "settings"; "required": false; }; "mobile": { "alias": "mobile"; "required": false; }; }, { "goBack": "goBack"; }, never, never, true, never>;
}
