import { TemplateRef } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { DynamicFormItem } from '@fundamental-ngx/platform/form';
import { SettingsFormTab, SettingsItem, SettingsTemplateTab, TemplateSettingsItem } from '../../models/settings.model';
import * as i0 from "@angular/core";
export type SettingsSectionItemsModel = SettingsTemplateTab | SettingsFormTab | SettingsItem;
export declare class SettingsGeneratorSectionComponent {
    /**
     * Group name. Used to define full path of the inner form.
     */
    groupName: Nullable<string>;
    /**
     * Section items.
     * @param value {Nullable<SettingsSectionItemsModel>} Can be either a template Ref, or Form generator items.
     */
    set items(value: Nullable<SettingsSectionItemsModel>);
    get items(): Nullable<SettingsSectionItemsModel>;
    /** @hidden */
    _renderer: 'form' | 'template';
    /** @hidden */
    _templateRef: TemplateRef<any> | null;
    /** @hidden */
    _formItems: DynamicFormItem[];
    /** @hidden */
    private readonly _settingsGeneratorService;
    /** @hidden */
    private _items;
    /** @hidden */
    private set _formGeneratorCmp(value);
    /** @hidden */
    _isTemplateLayout(settings: any): settings is TemplateSettingsItem;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingsGeneratorSectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SettingsGeneratorSectionComponent, "fdp-settings-generator-section", never, { "groupName": { "alias": "groupName"; "required": false; }; "items": { "alias": "items"; "required": false; }; }, {}, never, never, true, never>;
}
