import { Type } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { BaseSettingsGeneratorLayout } from './layouts/base-settings-generator-layout';
import * as i0 from "@angular/core";
/**
 * Service, used as a registry of the available layouts for Settings Generator Component.
 */
export declare class SettingsGeneratorLayoutAccessorService {
    /** @hidden */
    private readonly _layouts;
    /**
     * Adds custom layout component to layouts registry for later usage with Settings Generator component.
     * @param layoutName Name of the Layout
     * @param layoutComponent Component type to be used for defined layout.
     */
    addLayout(layoutName: string, layoutComponent: Type<BaseSettingsGeneratorLayout>): void;
    /**
     * Gets Component type for defined layout.
     * @param layoutName
     */
    getLayout(layoutName: string): Nullable<Type<BaseSettingsGeneratorLayout>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingsGeneratorLayoutAccessorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SettingsGeneratorLayoutAccessorService>;
}
