import { AfterViewInit, ChangeDetectorRef, DestroyRef, ElementRef, Injector, OnDestroy } from '@angular/core';
import { HasElementRef, Nullable } from '@fundamental-ngx/cdk/utils';
import { FormGeneratorService } from '@fundamental-ngx/platform/form';
import { Observable } from 'rxjs';
import { SettingsConfig } from './models/settings-config.model';
import { SettingsGenerator } from './models/settings-generator.model';
import { SettingsModel } from './models/settings.model';
import { SettingsGeneratorLayoutAccessorService } from './settings-generator-layout-accessor.service';
import { SettingsGeneratorReturnValue } from './settings-generator.service';
import * as i0 from "@angular/core";
export declare class SettingsGeneratorComponent implements SettingsGenerator, AfterViewInit, OnDestroy, HasElementRef {
    private readonly _fgService;
    private readonly _settingsLayoutService;
    private readonly _injector;
    private readonly _cdr;
    private readonly _destroyRef;
    private readonly _config;
    /** @hidden */
    private readonly _initialClass;
    /** @hidden */
    private readonly _viewRef;
    /**
     * Settings Generator Element Ref.
     */
    readonly elementRef: ElementRef<HTMLElement>;
    /**
     * Settings configuration.
     */
    set settings(value: Nullable<SettingsModel>);
    get settings(): Nullable<SettingsModel>;
    /**
     * Container height.
     */
    height: import("@angular/core").InputSignal<string | undefined>;
    /**
     * Container width.
     */
    width: import("@angular/core").InputSignal<string | undefined>;
    /** @hidden */
    private _settings;
    /** @hidden */
    private readonly _settingsGeneratorService;
    /** @hidden */
    private _currentLayout;
    /** @hidden */
    private readonly _viewReady;
    /** @hidden */
    private _viewReadySub;
    /** @hidden */
    private _layoutComponentRef;
    /** @hidden */
    constructor(_fgService: FormGeneratorService, _settingsLayoutService: SettingsGeneratorLayoutAccessorService, _injector: Injector, _cdr: ChangeDetectorRef, _destroyRef: DestroyRef, _config: SettingsConfig);
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /**
     * Programmatically submit inner forms of the settings generator.
     * @returns Observable with settings value grouped by main sections and inner sections.
     */
    submit(): Observable<SettingsGeneratorReturnValue>;
    /** @hidden */
    private _setLayout;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingsGeneratorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SettingsGeneratorComponent, "fdp-settings-generator", never, { "settings": { "alias": "settings"; "required": false; }; "height": { "alias": "height"; "required": false; "isSignal": true; }; "width": { "alias": "width"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
