/**
 * Default implementation for Observable Arrays and Arrays.
 */
import { Observable } from 'rxjs';
import { DataProvider, MatchBy } from './data-source';
/**
 * In Memory implementation of DataProvider that supports fulltext search
 */
export declare class BaseDataProvider<T> extends DataProvider<T> {
    protected values: Observable<T[]> | T[];
    /** @hidden */
    constructor(values: Observable<T[]> | T[]);
    /** @hidden */
    fetch(params: Map<string, any>): Observable<T[]>;
    /**
     * Warning: If you dont supply search Key and you want fulltext search and you use this
     * default implementation be aware that it can  perform poorly as it is naive implementation
     * that does not do deep compare.
     */
    matches(item: T, pattern: string): boolean;
    /** @hidden */
    matchesBy(item: any, pattern: string, matchingBy: MatchBy): boolean;
    /** @hidden */
    protected hasObjectValue(obj: any, pattern: string): boolean;
    /** @hidden */
    private withLimit;
}
