import { BreakpointObserver } from '@angular/cdk/layout';
import { InjectionToken, OnInit } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';
import { CollectionBaseInput } from './collection-base.input';
import * as i0 from "@angular/core";
export interface InlineLayout {
    XL?: boolean;
    L?: boolean;
    M?: boolean;
    S?: boolean;
}
export declare enum RESPONSIVE_BREAKPOINTS {
    S = 600,
    M = 1024,
    L = 1440
}
export declare const RESPONSIVE_BREAKPOINTS_CONFIG: InjectionToken<ResponsiveBreakPointConfig>;
export declare class ResponsiveBreakPointConfig {
    /** Large screen */
    L: number;
    /** Medium screen */
    M: number;
    /** Small screen */
    S: number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponsiveBreakPointConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResponsiveBreakPointConfig>;
}
export declare class ResponsiveBreakpointsService {
    readonly _breakpointObserver: BreakpointObserver;
    /** @hidden */
    breakpoints: Record<string, any>;
    /** @hidden */
    activeBreakpoints: string[];
    /** @hidden */
    minWidth: string;
    /** @hidden */
    maxWidth: string;
    /** @hidden */
    unit: string;
    /** @hidden */
    constructor(_breakpointObserver: BreakpointObserver);
    /** subscribe to get current screen size based on config provided */
    observeBreakpointByConfig(config: ResponsiveBreakPointConfig): Subject<any>;
    /** @hidden when screen size changes from one breakpoint to another */
    private _breakPointMeet;
    /** @hidden */
    private _getBreakpoints;
    /** @hidden */
    private _getBreakpointName;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponsiveBreakpointsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResponsiveBreakpointsService>;
}
export declare abstract class InLineLayoutCollectionBaseInput extends CollectionBaseInput implements OnInit {
    /** object to change isInline property based on screen size */
    set inlineLayout(layout: InlineLayout | undefined);
    get inlineLayout(): InlineLayout;
    /** @hidden */
    protected _inlineCurrentValue$: BehaviorSubject<boolean>;
    /** @hidden */
    protected readonly _responsiveBreakpointsService: ResponsiveBreakpointsService;
    /** @hidden */
    protected readonly _responsiveBreakPointConfig: ResponsiveBreakPointConfig;
    /** @hidden */
    private _inlineLayout;
    /** @hidden */
    private _xlIsInline;
    /** @hidden */
    private _lgIsInline;
    /** @hidden */
    private _mdIsInline;
    /** @hidden */
    private _sIsInline;
    /** @hidden */
    private _isInLineLayoutEnabled;
    /** @hidden */
    ngOnInit(): void;
    /** @hidden set values of inline for each screen layout */
    private _setFieldLayout;
    /** @hidden */
    private _updateLayout;
    static ɵfac: i0.ɵɵFactoryDeclaration<InLineLayoutCollectionBaseInput, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InLineLayoutCollectionBaseInput, never, never, { "inlineLayout": { "alias": "inlineLayout"; "required": false; }; }, {}, never, never, true, never>;
}
