import { ChangeDetectorRef, QueryList } from '@angular/core';
import { DialogRef } from '@fundamental-ngx/core/dialog';
import { DynamicFormItem, FormGeneratorComponent } from '@fundamental-ngx/platform/form';
import { SelectItem } from '@fundamental-ngx/platform/shared';
import { SmartFilterBarCondition, SmartFilterBarConditionBuilder } from '../../interfaces/smart-filter-bar-condition';
import { SmartFilterBarService } from '../../smart-filter-bar.service';
import * as i0 from "@angular/core";
export declare class SmartFilterBarConditionsDialogComponent {
    private _dialogRef;
    private readonly _cdr;
    private _smartFilterBarService;
    /**
     * Generated condition forms.
     */
    formGenerators: QueryList<FormGeneratorComponent>;
    /** Condition builder config. */
    config: SmartFilterBarConditionBuilder;
    /** Available condition operator options. */
    conditionOperatorOptions: SelectItem[];
    /** @hidden */
    _formItems: DynamicFormItem[][];
    /** @hidden */
    loaded: boolean;
    /** @hidden */
    private readonly _conditionLabelKeys;
    /** @hidden */
    private _submittedForms;
    /** @hidden */
    private resolveTranslation;
    /** @hidden */
    constructor(_dialogRef: DialogRef<SmartFilterBarConditionBuilder, SmartFilterBarCondition[]>, _cdr: ChangeDetectorRef, _smartFilterBarService: SmartFilterBarService);
    /**
     * Adds empty condition.
     */
    addCondition(): void;
    /**
     * Removes condition at defined index
     * @param index Index of the condition in the array.
     */
    removeCondition(index: number): void;
    /**
     * Submits all condition forms.
     */
    applyConditions(): void;
    /**
     * @hidden
     * Callback function when form generator form has been submitted.
     * Will close dialog in case if all forms are valid.
     * @param form Form generator form value.
     */
    _onFormSubmitted(form: SmartFilterBarCondition): void;
    /** @hidden */
    _cancel(): void;
    /** @hidden */
    private _init;
    /**
     * @hidden
     * Returns applicable condition options of the filter.
     * @returns Array of applicable condition options.
     */
    private _getApplicableConditionOperators;
    /**
     * Transforms filter conditions into form generator form items array.
     * @param conditions existing smart filter bar filter conditions.
     */
    private _addExistingConditions;
    /** @hidden */
    private _generateFormGeneratorItems;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmartFilterBarConditionsDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SmartFilterBarConditionsDialogComponent, "fdp-smart-filter-bar-conditions-dialog", never, {}, {}, never, never, true, never>;
}
