import { AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { Observable } from 'rxjs';
import { DialogRef } from '@fundamental-ngx/core/dialog';
import { FdpSelectionChangeEvent } from '@fundamental-ngx/platform/form';
import { SelectItem } from '@fundamental-ngx/platform/shared';
import { Resettable, Table, TableDataSource, TableRowSelectionChangeEvent } from '@fundamental-ngx/platform/table';
import { FdLanguage } from '@fundamental-ngx/i18n';
import { FieldFilterItem } from '../../interfaces/smart-filter-bar-field-filter-item';
import { SmartFilterSettingsDialogConfig } from '../../interfaces/smart-filter-bar-settings-dialog-config';
import * as i0 from "@angular/core";
export declare class SmartFilterBarSettingsDialogComponent implements Resettable, AfterViewInit {
    private _dialogRef;
    private readonly _language$;
    private readonly _cdr;
    /**
     * Table instance
     */
    table: Table;
    /**
     * Table data source.
     */
    source: TableDataSource<FieldFilterItem>;
    /** @hidden */
    _availableFields: FieldFilterItem[];
    /** @hidden */
    _filterVisibilityOptions: SelectItem[];
    /** @hidden */
    loaded: boolean;
    /** Indicates when reset command is available */
    readonly isResetAvailable$: import("@angular/core").WritableSignal<boolean>;
    /** @hidden */
    private readonly _categoryLabelKeys;
    /** @hidden */
    private _sourceSubscription;
    /** @hidden */
    private _selectedFilters;
    /**
     * @hidden
     * An RxJS Subject that will kill the data stream upon component’s destruction (for unsubscribing)
     */
    private readonly _destroyRef;
    /** @hidden */
    private readonly _translationResolver;
    /** @hidden */
    constructor(_dialogRef: DialogRef<SmartFilterSettingsDialogConfig, string[]>, _language$: Observable<FdLanguage>, _cdr: ChangeDetectorRef);
    /** @hidden */
    ngAfterViewInit(): void;
    /**
     * Checks the checkbox in the table row if the field is selected.
     */
    setSelectedFilters(): void;
    /**
     * Resets filters selection.
     */
    reset(): void;
    /**
     * Sets initial state of the table.
     */
    setInitialTableState(): void;
    /** @hidden */
    _cancel(): void;
    /** @hidden */
    _confirm(): void;
    /** @hidden */
    _onRowSelectionChange(event: TableRowSelectionChangeEvent<FieldFilterItem>): void;
    /** @hidden */
    _onFilterVisibilityChange(event: FdpSelectionChangeEvent): void;
    /** @hidden */
    private _init;
    /**
     * Transforms visibility options into appropriate select item object.
     */
    private _transformVisibilityLabels;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmartFilterBarSettingsDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SmartFilterBarSettingsDialogComponent, "fdp-smart-filter-bar-settings-dialog", never, {}, {}, never, never, true, never>;
}
