import { CollectionFilterGroupStrategy, FilterType, FilterableColumnDataType } from '@fundamental-ngx/platform/table';
import * as i0 from "@angular/core";
export declare class SmartFilterBarFieldDefinitionDirective {
    /** Field data accessor key. */
    key: string;
    /** Unique field identifier. */
    name: string;
    /** Field label. */
    label: string;
    /** Field filter type */
    filterType: FilterType;
    /** Field data type */
    dataType: FilterableColumnDataType;
    /** Field custom filter type */
    customFilterType: string;
    /** Condition strategy */
    conditionStrategy: CollectionFilterGroupStrategy;
    /** Whether this field can be filtered. Default value is true. */
    smartFilterBarFilterable: boolean;
    /** Whether this field filter is mandatory. */
    required: boolean;
    /** Whether this field filter is selected by default. */
    defaultSelected: boolean;
    /** Whether this field has autocomplete options */
    hasOptions: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmartFilterBarFieldDefinitionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SmartFilterBarFieldDefinitionDirective, "[fdpSmartFilterBarFieldDefinition], [fdp-smart-filter-bar-field-definition]", never, { "key": { "alias": "key"; "required": false; }; "name": { "alias": "name"; "required": false; }; "label": { "alias": "label"; "required": false; }; "filterType": { "alias": "filterType"; "required": false; }; "dataType": { "alias": "dataType"; "required": false; }; "customFilterType": { "alias": "customFilterType"; "required": false; }; "conditionStrategy": { "alias": "conditionStrategy"; "required": false; }; "smartFilterBarFilterable": { "alias": "smartFilterBarFilterable"; "required": false; }; "required": { "alias": "required"; "required": false; }; "defaultSelected": { "alias": "defaultSelected"; "required": false; }; "hasOptions": { "alias": "hasOptions"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_smartFilterBarFilterable: unknown;
    static ngAcceptInputType_required: unknown;
    static ngAcceptInputType_defaultSelected: unknown;
    static ngAcceptInputType_hasOptions: unknown;
}
