import { AfterViewInit, QueryList } from '@angular/core';
import { SelectItem } from '@fundamental-ngx/platform/shared';
import { Table, TableDataSource, TableState } from '@fundamental-ngx/platform/table';
import { BehaviorSubject, Observable } from 'rxjs';
import { SmartFilterBarFieldDefinition } from '../interfaces/smart-filter-bar-field-definition';
import { SmartFilterBarFieldDefinitionDirective } from './smart-filter-bar-field-definition.directive';
import * as i0 from "@angular/core";
export declare class SmartFilterBarSubjectDirective implements AfterViewInit {
    private _subject;
    /** @hidden */
    _fieldDefinitions: QueryList<SmartFilterBarFieldDefinitionDirective>;
    /** @hidden */
    _fieldDefinitionsSubject: BehaviorSubject<SmartFilterBarFieldDefinition[]>;
    /**
     * Observable of available fields.
     */
    readonly fieldsStream: Observable<SmartFilterBarFieldDefinition[]>;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    constructor(_subject: Table);
    /** @hidden */
    ngAfterViewInit(): void;
    /**
     * Retrieves data source of the subject.
     * @returns Subject's data source.
     */
    getDataSource(): TableDataSource<any>;
    /**
     * Retrieves available fields of the subject.
     * @returns Available fields of the subject.
     */
    getSubjectFields(): SmartFilterBarFieldDefinition[];
    /** Get available field variants */
    getFieldVariants(field: string): Observable<SelectItem[]>;
    /** @hidden */
    getDefaultFields(): string[];
    /** Get subject state */
    getState(): TableState;
    /**
     * @returns Subject component.
     */
    getSubject(): Table;
    /** @hidden */
    private _transformSubjectField;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmartFilterBarSubjectDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SmartFilterBarSubjectDirective, "[fdpSmartFilterBarSubject], [fdp-smart-filter-bar-subject]", ["fdp-smart-filter-bar-subject"], {}, {}, ["_fieldDefinitions"], never, true, never>;
}
