import { AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { TableCellDirective } from '@fundamental-ngx/core/table';
import * as i0 from "@angular/core";
export type TableColumnResizableSide = 'start' | 'end' | 'both';
export declare const TABLE_CELL_RESIZABLE_THRESHOLD_PX = 4;
/**
 * Tracks mouse movement over the cell if the mouse pointer near the side of the cell, informs resize service.
 */
export declare class PlatformTableCellResizableDirective extends TableCellDirective implements OnInit, AfterViewInit, OnDestroy {
    /** First column can be resized only by its end */
    set resizableSide(value: TableColumnResizableSide);
    /** Column name */
    columnName: string;
    /** @hidden */
    private _resizableSide;
    /** @hidden */
    private readonly _rtl$;
    /** @hidden */
    private readonly _tableColumnResizeService;
    /** @hidden */
    private readonly _rtlService;
    /** @hidden */
    ngOnInit(): void;
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    ngOnDestroy(): void;
    /** @hidden */
    private _getResizer;
    static ɵfac: i0.ɵɵFactoryDeclaration<PlatformTableCellResizableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PlatformTableCellResizableDirective, "[fdpTableCellResizable]", never, { "resizableSide": { "alias": "fdpTableCellResizable"; "required": false; }; "columnName": { "alias": "columnName"; "required": false; }; }, {}, never, never, true, never>;
}
