import { TemplateRef } from '@angular/core';
import { NgForm } from '@angular/forms';
import { EditableTableCell } from '../table-cell.class';
import * as i0 from "@angular/core";
export interface FdpCellDefContext<T = any> {
    $implicit: T;
    popping: boolean;
    rowIndex: number;
}
/** Column cell container. */
export declare class FdpTableCell {
    static ɵfac: i0.ɵɵFactoryDeclaration<FdpTableCell, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FdpTableCell, "fdp-table-cell", never, {}, {}, never, never, true, never>;
}
/**
 * Cell definition for a platform table.
 * Captures the template of a column's data row cell as well as cell-specific properties.
 */
export declare class FdpCellDef<T = any> {
    templateRef: TemplateRef<FdpCellDefContext<T>>;
    /** Property to support typings. */
    fdpCellDefAs: T;
    /** @hidden */
    constructor(templateRef: TemplateRef<FdpCellDefContext<T>>);
    /** @hidden */
    static ngTemplateContextGuard<T>(dir: FdpCellDef<T>, ctx: FdpCellDefContext): ctx is FdpCellDefContext<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FdpCellDef<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FdpCellDef<any>, "[fdpCellDef]", never, { "fdpCellDefAs": { "alias": "fdpCellDefAs"; "required": false; }; }, {}, never, never, true, never>;
}
export declare class FdpEditableCellDef {
    templateRef: TemplateRef<any>;
    /** @hidden */
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<FdpEditableCellDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FdpEditableCellDef, "[fdpEditableCellDef]", never, {}, {}, never, never, true, never>;
}
export declare class FdpEditableCellFormDirective implements EditableTableCell {
    form: NgForm;
    /** @hidden */
    constructor(form: NgForm);
    static ɵfac: i0.ɵɵFactoryDeclaration<FdpEditableCellFormDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FdpEditableCellFormDirective, "[fdpEditableCellForm]", never, {}, {}, never, never, true, never>;
}
