import { CollectionFilter, CollectionGroup, CollectionSort, TableState } from '../interfaces';
import { TableInitialState } from '../models';
import { Table } from '../table';
import * as i0 from "@angular/core";
export declare class TableInitialStateDirective extends TableInitialState {
    /** Initial visible columns. Consist of a list of unique column names */
    initialVisibleColumns: string[];
    /** Initial sort options. */
    initialSortBy: CollectionSort[];
    /** Initial filter options. */
    initialFilterBy: CollectionFilter[];
    /** Initial group options. */
    initialGroupBy: CollectionGroup[];
    /** Initial page. */
    initialPage: number;
    /**
     * Initial state of table.
     */
    set state(value: TableState);
    get state(): TableState;
    /** @hidden */
    private _table;
    /** @hidden */
    private readonly _tableService;
    /** @hidden */
    setTable(table: Table): void;
    /** @hidden */
    setInitialState(): void;
    /** Get current state/settings of the Table. */
    getTableState(): TableState;
    /** Set current state/settings of the Table. */
    setTableState(state: TableState): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableInitialStateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TableInitialStateDirective, "[fdpTableInitialState],    fdp-table", never, { "initialVisibleColumns": { "alias": "initialVisibleColumns"; "required": false; }; "initialSortBy": { "alias": "initialSortBy"; "required": false; }; "initialFilterBy": { "alias": "initialFilterBy"; "required": false; }; "initialGroupBy": { "alias": "initialGroupBy"; "required": false; }; "initialPage": { "alias": "initialPage"; "required": false; }; "state": { "alias": "state"; "required": false; }; }, {}, never, never, true, never>;
}
