import { OnChanges, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { TableVirtualScroll } from '../models';
import { TableService } from '../services/table.service';
import { Table } from '../table';
import * as i0 from "@angular/core";
export declare class TableVirtualScrollDirective extends TableVirtualScroll implements OnChanges {
    readonly _tableService: TableService;
    /** Whether to show only visible rows in matter of performance
     * false by default, when true setting bodyHeight and rowHeight is required.
     */
    virtualScroll: boolean;
    /** Cache size for the virtualScroll, default is 40 in each direction */
    renderAhead: number;
    /** Body height. */
    bodyHeight: string;
    /**
     * Minimum height of the row, required for the virtualScroll,
     * default is 44px in cozy, 32px in compact and 24px in condensed (set automatically)
     */
    rowHeight: number;
    /**
     * Minimum height of the popping column when displayed in pop-in mode. Required when using popping columns and virtual scroll.
     */
    secondaryRowHeight: number | undefined;
    /** @hidden */
    virtualScrollTotalHeight: number;
    /** @hidden */
    virtualScrollTransform$: BehaviorSubject<number>;
    /** @hidden */
    private _table;
    /** @hidden */
    private _virtualScrollCache;
    /** @hidden */
    private readonly _tableScrollDispatcher;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    constructor(_tableService: TableService);
    /** @hidden */
    ngOnChanges(changes: SimpleChanges): void;
    /** Sets table reference. */
    setTable(table: Table): void;
    /**
     * Calculates rows to be rendered in the table.
     */
    calculateVirtualScrollRows(): void;
    /**
     * Initialises scroll listener.
     */
    listenOnVirtualScroll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableVirtualScrollDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TableVirtualScrollDirective, "fdp-table[virtualScroll]", never, { "virtualScroll": { "alias": "virtualScroll"; "required": false; }; "renderAhead": { "alias": "renderAhead"; "required": false; }; "bodyHeight": { "alias": "bodyHeight"; "required": false; }; "rowHeight": { "alias": "rowHeight"; "required": false; }; "secondaryRowHeight": { "alias": "secondaryRowHeight"; "required": false; }; }, {}, never, never, true, never>;
}
