import { BehaviorSubject, Observable } from 'rxjs';
import { DatetimeAdapter } from '@fundamental-ngx/core/datetime';
import { TableState } from '../interfaces/table-state.interface';
import { TableDataProvider } from './table-data-provider';
import { TableDataSource } from './table-data-source';
/**
 * Table Data Provider based on an array.
 *
 * Used to convert array source to the TableDataProvider interface.
 *
 */
export declare class ArrayTableDataProvider<T> extends TableDataProvider<T> {
    /** @hidden */
    protected items$: BehaviorSubject<T[]>;
    /** @hidden */
    constructor(items: T[], dateTimeAdapter?: DatetimeAdapter<any>);
    /**
     * Method for retrieving the data.
     * @param tableState @see TableState Set of table parameters.
     * @returns Observable with data.
     */
    fetch(state?: TableState): Observable<T[]>;
}
export declare class ArrayTableDataSource<T> extends TableDataSource<T> {
    /** @hidden */
    constructor(data: T[], dateTimeAdapter?: DatetimeAdapter<any>);
}
