import { Observable } from 'rxjs';
import { DatetimeAdapter } from '@fundamental-ngx/core/datetime';
import { TableState } from '../interfaces/table-state.interface';
import { TableDataProvider } from './table-data-provider';
import { TableDataSource } from './table-data-source';
/**
 * Table Data Provider based on an Observable.
 *
 * Used to convert observable source to the TableDataProvider interface.
 *
 */
export declare class ObservableTableDataProvider<T> extends TableDataProvider<T> {
    /** @hidden */
    protected items$: Observable<T[]>;
    /** @hidden */
    constructor(items$: Observable<T[]>, dateTimeAdapter?: DatetimeAdapter<any>);
    /**
     * Method for retrieving the data.
     * @param tableState @see TableState Set of table parameters.
     * @returns Observable with data.
     */
    fetch(state?: TableState): Observable<T[]>;
}
export declare class ObservableTableDataSource<T> extends TableDataSource<T> {
    /** @hidden */
    constructor(data: Observable<T[]>, dateTimeAdapter?: DatetimeAdapter<any>);
}
