import { DatetimeAdapter } from '@fundamental-ngx/core/datetime';
import { CollectionBooleanFilter, CollectionDateFilter, CollectionFilter, CollectionNumberFilter, CollectionStringFilter } from './interfaces';
import { TableRow } from './models/table-row.model';
export declare const filterByString: (rows: TableRow[], filter: CollectionStringFilter) => TableRow[];
export declare const filterByNumber: (rows: TableRow[], filter: CollectionNumberFilter) => TableRow[];
export declare const filterByDate: <D = any>(rows: TableRow[], filter: CollectionDateFilter, adapter: DatetimeAdapter<D>) => TableRow[];
export declare const filterByBoolean: (rows: TableRow[], filter: CollectionBooleanFilter) => TableRow[];
export declare const getUniqueListValuesByKey: <T, K extends keyof T>(list: T[], key: K) => T[];
export declare const getScrollBarWidth: (document: Document) => number;
/** @hidden */
export declare function isCollectionFilter(item: any): item is CollectionFilter;
