import { InjectionToken, Signal } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Reset button.
 *
 * Used to reset resettable state by click.
 *
 */
export interface Resettable {
    reset: () => void;
    isResetAvailable$: Signal<boolean>;
}
export declare const RESETTABLE_TOKEN: InjectionToken<Resettable>;
export declare class ResetButtonComponent {
    resettable: Resettable;
    /** @hidden */
    constructor(resettable: Resettable);
    static ɵfac: i0.ɵɵFactoryDeclaration<ResetButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResetButtonComponent, "fdp-table-reset-button", never, {}, {}, never, never, true, never>;
}
