import { AfterViewInit, QueryList, TemplateRef } from '@angular/core';
import { Nullable, TemplateDirective } from '@fundamental-ngx/cdk/utils';
import { PopoverComponent, TriggerConfig } from '@fundamental-ngx/core/popover';
import { Placement } from '@fundamental-ngx/core/shared';
import { ListComponent } from '@fundamental-ngx/platform/list';
import { ColumnAlignValue, SortDirection, TableColumn } from '@fundamental-ngx/platform/table-helpers';
import * as i0 from "@angular/core";
export declare class TableCellHeaderPopoverComponent implements AfterViewInit {
    /** Column definition. */
    column: TableColumn;
    /** Custom popover template. */
    popoverTemplate: Nullable<TemplateRef<any>>;
    /** Whether the popover is disabled. */
    disabled: boolean;
    /** Whether the column is frozen. */
    columnFrozen: boolean;
    /** Whether the filtering from header is disabled. */
    filteringFromHeaderDisabled: Nullable<boolean>;
    /** Column index */
    columnIndex: number;
    /** @hidden */
    popover: Nullable<PopoverComponent>;
    /** @hidden */
    _popoverItems: QueryList<TemplateDirective>;
    /** @hidden */
    _listComponent: ListComponent<any>;
    /** @hidden */
    _popoverItems$: import("@angular/core").WritableSignal<TemplateRef<any>[]>;
    /** @hidden */
    _headerPopoverTriggers: TriggerConfig[];
    /** @hidden */
    protected readonly SORT_DIRECTION: typeof SortDirection;
    /** @hidden */
    private readonly _destroyRef;
    /** @hidden */
    private readonly _tableService;
    /** @hidden */
    private readonly _table;
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden */
    _setColumnHeaderSortBy(field: TableColumn['key'], direction: SortDirection): void;
    /** @hidden */
    _setColumnHeaderGroupBy(field: TableColumn['key']): void;
    /** @hidden */
    _setColumnHeaderFilterBy(field: TableColumn['key'], value: any): void;
    /** @hidden */
    _freeze(): void;
    /** @hidden */
    _unFreeze(): void;
    /** @hidden */
    _popoverOpened(isOpen: boolean): void;
    /** @hidden */
    mapColumnAlignToPlacement(columnAlignValue: Nullable<ColumnAlignValue>): Placement;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableCellHeaderPopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableCellHeaderPopoverComponent, "fdp-table-cell-header-popover", never, { "column": { "alias": "column"; "required": false; }; "popoverTemplate": { "alias": "popoverTemplate"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "columnFrozen": { "alias": "columnFrozen"; "required": false; }; "filteringFromHeaderDisabled": { "alias": "filteringFromHeaderDisabled"; "required": false; }; "columnIndex": { "alias": "columnIndex"; "required": false; }; }, {}, never, never, true, never>;
}
