import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { TableRowDirective } from '@fundamental-ngx/core/table';
import { TableColumn, TableRow, TableService } from '@fundamental-ngx/platform/table-helpers';
import * as i0 from "@angular/core";
export declare class TableGroupRowComponent<T> extends TableRowDirective implements OnChanges {
    /** Table ID. */
    rowId: string;
    /** Row index. */
    index: number;
    /** Row height. */
    height: number;
    /** Whether the row is draggable. */
    draggable: boolean;
    /** Table Row. */
    row: TableRow<T>;
    /** Key to column mapping. */
    keyToColumnMap: Map<string, TableColumn>;
    /** Table columns length. */
    tableColumnsLength: number;
    /** Event emitted when group row expansion state needs to be toggled. */
    toggleGroupRow: EventEmitter<TableRow<T>>;
    /** @hidden */
    _column: Nullable<TableColumn>;
    /** @hidden */
    private set _focusableViewCellItems(value);
    /** @hidden */
    readonly _fdpTableService: TableService;
    /** @hidden */
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableGroupRowComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableGroupRowComponent<any>, "[fdp-table-group-row]", never, { "rowId": { "alias": "rowId"; "required": false; }; "index": { "alias": "index"; "required": false; }; "height": { "alias": "height"; "required": false; }; "draggable": { "alias": "draggable"; "required": false; }; "row": { "alias": "row"; "required": false; }; "keyToColumnMap": { "alias": "keyToColumnMap"; "required": false; }; "tableColumnsLength": { "alias": "tableColumnsLength"; "required": false; }; }, { "toggleGroupRow": "toggleGroupRow"; }, never, never, true, never>;
}
