import { OnInit, PipeTransform } from '@angular/core';
import { ContentDensityObserver } from '@fundamental-ngx/core/content-density';
import { TableRowDirective } from '@fundamental-ngx/core/table';
import { SelectionMode, SelectionModeValue, SortDirection, TableColumn, TableColumnResizeService, TableRowService, TableService } from '@fundamental-ngx/platform/table-helpers';
import * as i0 from "@angular/core";
export declare class TableHeaderRowComponent extends TableRowDirective implements OnInit {
    /** Table ID. */
    rowId: string;
    /**
     * Whether to fix the table header and footer. Default is true.
     * Note that if the table contains freezable columns, the header and
     * footer will be fixed automatically, regardless of this input value.
     * */
    fixed: boolean;
    /**
     * Whether to show selection column.
     */
    isShownSelectionColumn: boolean;
    /**
     * Row checked state.
     */
    checkedState: boolean | null;
    /**
     * Selection mode.
     */
    selectionMode: SelectionModeValue;
    /**
     * Selection column width.
     */
    selectionColumnWidth: number;
    /** The column `name` to freeze columns up to and including. */
    freezeColumnsTo: string;
    /** Table without horizontal borders. */
    noHorizontalBorders: boolean;
    /** Table without vertical borders. */
    noVerticalBorders: boolean;
    /** Table without borders. */
    noBorders: boolean;
    /** The column `name` to freeze columns after and including. */
    freezeEndColumnsTo: string;
    /** @hidden */
    disableSelectionCheckbox: boolean;
    /** @hidden */
    private set _focusableCellItems(value);
    /** @hidden */
    readonly _rtl$: import("@angular/core").Signal<boolean>;
    /** @hidden */
    readonly SELECTION_MODE: typeof SelectionMode;
    /** @hidden */
    readonly SORT_DIRECTION: typeof SortDirection;
    /** @hidden */
    readonly _tableColumnResizeService: TableColumnResizeService;
    /** @hidden */
    readonly _fdpTableService: TableService;
    /** @hidden */
    readonly _contentDensityObserver: ContentDensityObserver;
    /** @hidden */
    readonly _tableRowService: TableRowService<any>;
    /** @hidden */
    private readonly _rtlService;
    /** @hidden */
    private readonly _cdr;
    /** @hidden */
    ngOnInit(): void;
    /** @hidden */
    _columnTrackBy(index: number, column: TableColumn): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableHeaderRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableHeaderRowComponent, "[fdp-table-header-row]", never, { "rowId": { "alias": "rowId"; "required": false; }; "fixed": { "alias": "fixed"; "required": false; }; "isShownSelectionColumn": { "alias": "isShownSelectionColumn"; "required": false; }; "checkedState": { "alias": "checkedState"; "required": false; }; "selectionMode": { "alias": "selectionMode"; "required": false; }; "selectionColumnWidth": { "alias": "selectionColumnWidth"; "required": false; }; "freezeColumnsTo": { "alias": "freezeColumnsTo"; "required": false; }; "noHorizontalBorders": { "alias": "noHorizontalBorders"; "required": false; }; "noVerticalBorders": { "alias": "noVerticalBorders"; "required": false; }; "noBorders": { "alias": "noBorders"; "required": false; }; "freezeEndColumnsTo": { "alias": "freezeEndColumnsTo"; "required": false; }; "disableSelectionCheckbox": { "alias": "disableSelectionCheckbox"; "required": false; }; }, {}, never, never, true, never>;
}
/** @hidden */
export declare class IsColumnHasHeaderMenuPipe implements PipeTransform {
    /** @hidden */
    private readonly _fdpTableService;
    /** @hidden */
    transform(column: TableColumn): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsColumnHasHeaderMenuPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsColumnHasHeaderMenuPipe, "isColumnHasHeaderMenu", true>;
}
