import { EventEmitter, OnDestroy } from '@angular/core';
import { NgForm } from '@angular/forms';
import { FilterableColumnDataType } from '@fundamental-ngx/platform/table-helpers';
import { FilterRule } from './filtering.model';
import * as i0 from "@angular/core";
export declare class FilterRuleComponent implements OnDestroy {
    /** Rule to be displayed **/
    rule: FilterRule;
    /** Emits when rule is changed */
    ruleChange: EventEmitter<void>;
    /** Emits when rule state is changed */
    ruleStateChange: EventEmitter<boolean>;
    /** @hidden */
    readonly FILTER_STRATEGY: {
        readonly EQ: "equalTo";
        readonly CONTAINS: "contains";
        readonly BETWEEN: "between";
        readonly BEGINS_WITH: "beginsWith";
        readonly ENDS_WITH: "endsWith";
        readonly GT: "greaterThan";
        readonly GTE: "greaterThanOrEqualTo";
        readonly LT: "lessThan";
        readonly LTE: "lessThanOrEqualTo";
        readonly AFTER: "after";
        readonly ON_OR_AFTER: "onOrAfter";
        readonly BEFORE: "before";
        readonly BEFORE_OR_ON: "beforeOrOn";
    };
    /** @hidden */
    readonly DATA_TYPE: typeof FilterableColumnDataType;
    /** @hidden */
    readonly strategyLabels: Record<import("@fundamental-ngx/platform/table-helpers").FilterStrategy, import("@fundamental-ngx/i18n").FdLanguageKeyIdentifier>;
    /** @hidden */
    set ngForm(ngForm: NgForm);
    /** @hidden */
    private _subscriptions;
    /** @hidden */
    ngOnDestroy(): void;
    /** @hidden */
    _onModelChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterRuleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterRuleComponent, "fdp-table-filter-rule", never, { "rule": { "alias": "rule"; "required": false; }; }, { "ruleChange": "ruleChange"; "ruleStateChange": "ruleStateChange"; }, never, never, true, never>;
}
