import { DialogRef } from '@fundamental-ngx/core/dialog';
import { Resettable } from '../../reset-button/reset-button.component';
import { FilterDialogData, FilterDialogResultData, FilterRule, FilterableColumn } from './filtering.model';
import * as i0 from "@angular/core";
export { FilterDialogData, FilterDialogResultData };
export declare class P13FilteringDialogComponent implements Resettable {
    dialogRef: DialogRef<FilterDialogData>;
    /** Indicates when reset command is available */
    readonly isResetAvailable$: import("@angular/core").WritableSignal<boolean>;
    /** Table columns available for filtering */
    readonly columns: FilterableColumn[];
    /**
     * @hidden
     * Include Rules
     */
    _includeRules: FilterRule[];
    /**
     * @hidden
     * Exclude Rules
     */
    _excludeRules: FilterRule[];
    /**
     * @hidden
     * Count of valid included rules
     */
    _validIncludeRulesCount: number;
    /**
     * @hidden
     * Count of valid excluded rules
     */
    _validExcludeRulesCount: number;
    /**
     * @hidden
     * Panel opened/closed flag
     */
    _includePanelExpanded: boolean;
    /**
     * @hidden
     * Panel opened/closed flag
     */
    _excludePanelExpanded: boolean;
    /** @hidden */
    constructor(dialogRef: DialogRef<FilterDialogData>);
    /** Reset changes to the initial state */
    reset(): void;
    /** Close dialog */
    cancel(): void;
    /** Confirm changes and close dialog */
    confirm(): void;
    /** @hidden */
    _removeRule(rule: FilterRule, rules: FilterRule[]): void;
    /** @hidden */
    _addNewRule(rules: FilterRule[]): void;
    /** @hidden */
    _recalculateResetAvailability(): void;
    /** @hidden */
    _onRuleStateChange(): void;
    /** @hidden */
    private _initiateRules;
    /** @hidden */
    private _createRules;
    /** @hidden */
    private _getCollectionFiltersFromRules;
    /** @hidden */
    private _getCollectionFiltersFromIncludeRules;
    /** @hidden */
    private _getCollectionFiltersFromExcludeRules;
    /** @hidden */
    private _calculateValidRulesCount;
    /** @hidden */
    private _isRuleValid;
    static ɵfac: i0.ɵɵFactoryDeclaration<P13FilteringDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<P13FilteringDialogComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
