import { CollectionGroup, TableDialogCommonData } from '@fundamental-ngx/platform/table-helpers';
import { DialogRef } from '@fundamental-ngx/core/dialog';
import { Resettable } from '../../reset-button/reset-button.component';
import * as i0 from "@angular/core";
export interface GroupDialogColumn {
    label: string;
    key: string;
}
export interface GroupDialogData extends TableDialogCommonData {
    collectionGroup: CollectionGroup[];
    columns: GroupDialogColumn[];
}
export interface GroupDialogResultData {
    collectionGroup: CollectionGroup[];
}
declare class GroupRule {
    /** Column key the rule belongs to */
    columnKey: string | null;
    /** Show Field as Column */
    showAsColumn: boolean;
    get isValid(): boolean;
    constructor(
    /** Column key the rule belongs to */
    columnKey?: string | null, 
    /** Show Field as Column */
    showAsColumn?: boolean);
}
export declare class P13GroupingDialogComponent implements Resettable {
    dialogRef: DialogRef<GroupDialogData>;
    /** Table columns available for grouping */
    readonly columns: GroupDialogColumn[];
    /** Indicates when reset command is available */
    readonly isResetAvailable$: import("@angular/core").WritableSignal<boolean>;
    /** Group rules to render */
    rules: GroupRule[];
    /** @hidden */
    constructor(dialogRef: DialogRef<GroupDialogData>);
    /** Reset changes to the initial state */
    reset(): void;
    /** Close dialog */
    cancel(): void;
    /** Confirm changes and close dialog */
    confirm(): void;
    /** @hidden */
    _recalculateResetAvailability(): void;
    /** @hidden */
    _removeRule(rule: GroupRule): void;
    /** @hidden */
    _addNew(index: number): void;
    /** @hidden */
    _onRuleColumnKeyChange(rule: GroupRule, columnKey: string): void;
    /** @hidden */
    _onRuleShowAsColumnChange(rule: GroupRule, value: boolean): void;
    /** Get available columns for a rule */
    getAvailableColumns(rule: GroupRule): GroupDialogColumn[];
    /** @hidden */
    private _initiateRules;
    /** @hidden */
    private _createGroupRules;
    /** @hidden */
    private _getCollectionGroupFromGroupRules;
    /** @hidden */
    private _getUniqueRules;
    /** @hidden */
    private _isRuleValid;
    static ɵfac: i0.ɵɵFactoryDeclaration<P13GroupingDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<P13GroupingDialogComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
