import { EventEmitter } from '@angular/core';
import { TableRowDirective } from '@fundamental-ngx/core/table';
import { SelectionMode, SelectionModeValue, TableRow, TableService, isTreeRow, isTreeRowFirstCell } from '@fundamental-ngx/platform/table-helpers';
import * as i0 from "@angular/core";
export declare class TablePoppingRowComponent<T> extends TableRowDirective {
    /** Table Row. */
    row: TableRow<T>;
    /** Whether the row is selected. */
    checked: boolean | null;
    /** Current selection mode. */
    selectionMode: SelectionModeValue;
    /** Event emitted when group row expansion state needs to be toggled. */
    toggleGroupRow: EventEmitter<TableRow<T>>;
    /** Event emitted when cell being clicked on. */
    cellClicked: EventEmitter<{
        index: number;
        row: TableRow<T>;
    }>;
    /** @hidden */
    readonly SELECTION_MODE: typeof SelectionMode;
    /** @hidden */
    readonly _isTreeRow: typeof isTreeRow;
    /** @hidden */
    readonly _isTreeRowFirstCell: typeof isTreeRowFirstCell;
    /** @hidden */
    readonly _fdpTableService: TableService;
    static ɵfac: i0.ɵɵFactoryDeclaration<TablePoppingRowComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TablePoppingRowComponent<any>, "[fdp-table-popping-row]", never, { "row": { "alias": "row"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "selectionMode": { "alias": "selectionMode"; "required": false; }; }, { "toggleGroupRow": "toggleGroupRow"; "cellClicked": "cellClicked"; }, never, never, true, never>;
}
