import { DoCheck, EventEmitter } from '@angular/core';
import { CollectionFilter } from '@fundamental-ngx/platform/table-helpers';
import { ContentDensityMode, ContentDensityObserver } from '@fundamental-ngx/core/content-density';
import { TableViewSettingsFilterComponent } from '../table-view-settings-filter.component';
import * as i0 from "@angular/core";
/**
 * Custom Select filter type.
 *
 * Used to render user's custom filter template
 *
 */
export declare class FilterCustomComponent implements DoCheck {
    private contentDensityObserver;
    /** ViewSettingsFilter options the filter is created from */
    filter: TableViewSettingsFilterComponent;
    /** The filter model */
    set filterBy(filterBy: CollectionFilter | undefined);
    /** Filter model change event */
    valueChange: EventEmitter<unknown>;
    /** Content Density, comes from table injector */
    get contentDensity(): ContentDensityMode;
    /**
     * @hidden
     * Currently selected value
     */
    _value: Record<string, any>;
    /**
     * @hidden
     * Last emitted value
     */
    _valueLastEmitted: Record<string, any>;
    /** @hidden */
    constructor(contentDensityObserver: ContentDensityObserver);
    /** @hidden */
    ngDoCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterCustomComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterCustomComponent, "fdp-filter-custom", never, { "filter": { "alias": "filter"; "required": false; }; "filterBy": { "alias": "filterBy"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
