import { EventEmitter } from '@angular/core';
import { CollectionFilter, TableFilterSelectOption } from '@fundamental-ngx/platform/table-helpers';
import * as i0 from "@angular/core";
/**
 * Multi Select filter type.
 *
 */
type SelectableOption = TableFilterSelectOption & {
    selected: boolean;
};
export declare class FilterMultiSelectComponent {
    /** Selectable filter options */
    options: TableFilterSelectOption[];
    /** The filter model */
    set filterBy(filterBy: CollectionFilter | undefined);
    /** Filter model change event */
    valueChange: EventEmitter<any[]>;
    /**
     * @hidden
     * Currently selected values
     */
    _value: any[];
    /** @hidden */
    _selectableOptions: SelectableOption[];
    /** @hidden */
    _onSelectChange(option: SelectableOption, selected: boolean): void;
    /** @hidden */
    _updateValueBasedOnOptions(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterMultiSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterMultiSelectComponent, "fdp-filter-multi-select", never, { "options": { "alias": "options"; "required": false; }; "filterBy": { "alias": "filterBy"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
export {};
