import { EventEmitter, TemplateRef } from '@angular/core';
import { ContentDensity } from '@fundamental-ngx/cdk/utils';
import { CollectionFilter, FilterType } from '@fundamental-ngx/platform/table-helpers';
import { TableViewSettingsFilterComponent } from '../table-view-settings-filter.component';
import { FiltersViewStep } from './filters-active-step';
import * as i0 from "@angular/core";
/**
 * Filter dialog step.
 *
 * Used to render selected filter options.
 *
 */
export declare class FilterStepComponent implements FiltersViewStep {
    /** ViewSettingsFilter options the filter is created from */
    filter: TableViewSettingsFilterComponent;
    /** Column key to apply this filter to */
    columnKey: string;
    /** Table's content density to be used */
    contentDensity: ContentDensity;
    /** The current filter model */
    set filterBy(filterByList: CollectionFilter[]);
    /** Column name to display in the filter */
    columnName: string;
    /** Go back event */
    back: EventEmitter<void>;
    /** Filter model change event */
    valueChange: EventEmitter<CollectionFilter>;
    /** Template ref to the filter title */
    titleTemplateRef: TemplateRef<any>;
    /** Template ref to the filter body */
    bodyTemplateRef: TemplateRef<any>;
    /** @hidden */
    readonly FILTER_TYPE: typeof FilterType;
    /** @hidden */
    _filterBy?: CollectionFilter;
    /** @hidden */
    _onFilterValueChange(filterValue: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterStepComponent, "fdp-filter-step", never, { "filter": { "alias": "filter"; "required": false; }; "columnKey": { "alias": "columnKey"; "required": false; }; "contentDensity": { "alias": "contentDensity"; "required": false; }; "filterBy": { "alias": "filterBy"; "required": false; }; "columnName": { "alias": "columnName"; "required": false; }; }, { "back": "back"; "valueChange": "valueChange"; }, never, never, true, never>;
}
