import { EventEmitter, TemplateRef } from '@angular/core';
import { FiltersViewStep } from './filters-active-step';
import * as i0 from "@angular/core";
/**
 * Filters list dialog step.
 *
 * Used to render available filters to drill down.
 *
 */
export interface SelectableFilter {
    label: string;
}
export declare class FiltersListStepComponent implements FiltersViewStep {
    /** Selectable filters list */
    filters: SelectableFilter[];
    /** Select event is fired once some filter is selected */
    selectFilter: EventEmitter<SelectableFilter>;
    /** Template ref to the filter title */
    titleTemplateRef: TemplateRef<any>;
    /** Template ref to the filter body */
    bodyTemplateRef: TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FiltersListStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FiltersListStepComponent, "fdp-filters-list-step", never, { "filters": { "alias": "filters"; "required": false; }; }, { "selectFilter": "selectFilter"; }, never, never, true, never>;
}
