import { AfterViewInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { BaseEntity, VhdDefineExcludeStrategy, VhdDefineIncludeStrategy, VhdDefineType, VhdExcludedEntity, VhdIncludedEntity } from '../../models';
import { VhdBaseTab } from '../base-tab/vhd-base-tab.component';
import * as i0 from "@angular/core";
declare class ExtendedBaseEntity extends BaseEntity {
    id?: number;
}
declare class ExtendedIncludedEntity extends VhdIncludedEntity {
    id?: number;
}
declare class ExtendedExcludedEntity extends VhdExcludedEntity {
    id?: number;
}
export declare class DefineTabComponent extends VhdBaseTab implements OnChanges, AfterViewInit {
    /** @hidden */
    protected defaultId: string;
    /** @hidden */
    protected defaultSelectId: string;
    /** title id for the table  */
    titleId: string;
    /** seelcted value id for the table  */
    selectedId: string;
    /** @hidden */
    conditions: ExtendedBaseEntity[];
    /** @hidden */
    strategyLabels: {
        [key in keyof (typeof VhdDefineIncludeStrategy | typeof VhdDefineExcludeStrategy)]?: string;
    };
    /** @hidden */
    includeChange: EventEmitter<ExtendedIncludedEntity[]>;
    /** @hidden */
    excludeChange: EventEmitter<ExtendedExcludedEntity[]>;
    /** @hidden */
    conditionChange: EventEmitter<BaseEntity[]>;
    /** @hidden */
    _conditions: ExtendedBaseEntity[];
    /** @hidden */
    _definePanelState: {
        included: boolean;
        excluded: boolean;
    };
    /** @hidden */
    _rules: {
        maxCharactersHintCount: number;
    };
    /** @hidden */
    _strategyIncludeValues: typeof VhdDefineIncludeStrategy;
    /** @hidden */
    _strategyExcludeValues: typeof VhdDefineExcludeStrategy;
    /** @hidden */
    _defineTypes: typeof VhdDefineType;
    /** @hidden */
    _includeStrategy: StategyItem[];
    /** @hidden */
    _excludeStrategy: StategyItem[];
    /** @hidden */
    ngOnChanges(changes: SimpleChanges): void;
    /** @hidden */
    ngAfterViewInit(): void;
    /** @hidden Track function for main data */
    _trackByKeyAndType(_index: number, item: ExtendedIncludedEntity | ExtendedExcludedEntity): number | string | undefined;
    /** @hidden */
    _onSelectStrategy(): void;
    /** @hidden */
    _filterChanged(): void;
    /** @hidden */
    addEmptyCondition(): void;
    /** @hidden */
    removeCondition(index: number): void;
    /** @hidden */
    _validateConditionValue(item: ExtendedIncludedEntity | ExtendedExcludedEntity, valid: boolean | boolean[]): void;
    /** @hidden */
    private _refreshStrategies;
    /** @hidden */
    private _initializeConditions;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefineTabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DefineTabComponent, "fdp-define-tab", never, { "titleId": { "alias": "titleId"; "required": false; }; "selectedId": { "alias": "selectedId"; "required": false; }; "conditions": { "alias": "conditions"; "required": false; }; "strategyLabels": { "alias": "strategyLabels"; "required": false; }; }, { "includeChange": "includeChange"; "excludeChange": "excludeChange"; "conditionChange": "conditionChange"; }, never, never, true, never>;
}
interface StategyItem {
    key: string;
    type: VhdDefineType;
}
export {};
