import { Nullable } from '@fundamental-ngx/cdk/utils';
import { ValueHelpFilterDefDirective } from '../../directives/value-help-filter-def.directive';
import { VhdFilter } from '../../models/vhd-filter.model';
import * as i0 from "@angular/core";
export declare class VhdFilterComponent implements VhdFilter {
    /** Uniq key for search and filtering */
    key: string;
    /** Allow to control which of filters should show as main in mobile view.
     * Apply for search table only */
    main: boolean;
    /** Label for header in search table and search field */
    label: string;
    /** Initial filter's value for search section in `select from list tab` only */
    value: string;
    /** Allow to show filter in advanced search template */
    advanced: boolean;
    /** Allow to use filter for including in `define conditions tab` */
    include: boolean;
    /** Allow to use filter for excluding in `define conditions tab` */
    exclude: boolean;
    /** @hidden */
    filterDef: Nullable<ValueHelpFilterDefDirective>;
    static ɵfac: i0.ɵɵFactoryDeclaration<VhdFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VhdFilterComponent, "fdp-value-help-dialog-filter", never, { "key": { "alias": "key"; "required": false; }; "main": { "alias": "main"; "required": false; }; "label": { "alias": "label"; "required": false; }; "value": { "alias": "value"; "required": false; }; "advanced": { "alias": "advanced"; "required": false; }; "include": { "alias": "include"; "required": false; }; "exclude": { "alias": "exclude"; "required": false; }; }, {}, ["filterDef"], never, true, never>;
}
