import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { DataProvider, DataSource } from '@fundamental-ngx/platform/shared';
export declare class ValueHelpDialogDataSource<T> implements DataSource<T> {
    dataProvider: DataProvider<T>;
    /** @hidden */
    protected _dataChanges: BehaviorSubject<T[]>;
    /** @hidden */
    protected _onDataRequested$: Subject<void>;
    /** @hidden */
    protected _onDataReceived$: Subject<void>;
    /** @hidden */
    protected _dataLoading: boolean;
    /** @hidden */
    get isDataLoading(): boolean;
    /** @hidden */
    constructor(dataProvider: DataProvider<T>);
    /** @hidden */
    match(predicate?: string | Map<string, string>): void;
    /** @hidden */
    open(): Observable<T[]>;
    /** @hidden */
    onDataRequested(): Observable<void>;
    /** @hidden */
    onDataReceived(): Observable<void>;
    /** @hidden */
    close(): void;
}
export declare class ArrayValueHelpDialogDataSource<T> extends ValueHelpDialogDataSource<T> {
    /** @hidden */
    constructor(data: T[]);
}
export declare class ObservableValueHelpDialogDataSource<T> extends ValueHelpDialogDataSource<T> {
    /** @hidden */
    constructor(data: Observable<T[]>);
}
export declare class VhdDataProvider<R extends object> extends DataProvider<R> {
    values: R[];
    /** @hidden */
    constructor(values: R[]);
    /** @hidden */
    fetch(params: Map<string, string>): Observable<R[]>;
}
