import { VhdDefineExcludeStrategy, VhdDefineIncludeStrategy } from './vhd-strategy.enum';
import { VhdDefineType } from './vhd-type-condition.enum';
export interface VhdDefineEntityRule {
    type: VhdDefineType;
    key: string;
    strategy: VhdDefineIncludeStrategy | VhdDefineExcludeStrategy;
    value: string;
    valueTo: string;
}
export declare class BaseEntity implements VhdDefineEntityRule {
    /** @hidden */
    type: VhdDefineType;
    /** @hidden */
    key: string;
    /** @hidden */
    label?: string;
    /** @hidden */
    strategy: VhdDefineIncludeStrategy | VhdDefineExcludeStrategy;
    /** @hidden */
    value: string;
    /** @hidden */
    valueTo: string;
    /** @hidden */
    valid: boolean;
    /** @hidden */
    constructor(strategy?: VhdDefineIncludeStrategy | VhdDefineExcludeStrategy, key?: string);
}
export declare class VhdIncludedEntity extends BaseEntity {
    /** @hidden */
    type: VhdDefineType;
}
export declare class VhdExcludedEntity extends BaseEntity {
    /** @hidden */
    type: VhdDefineType;
}
