import { ChangeDetectorRef, TemplateRef } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { WizardStepStatus } from '@fundamental-ngx/core/wizard';
import { FormGeneratorService } from '@fundamental-ngx/platform/form';
import { WizardGeneratorFormsValue } from '../../interfaces/wizard-generator-forms.interface';
import { WizardGeneratorItem } from '../../interfaces/wizard-generator-item.interface';
import { WizardGeneratorSummaryItem } from '../../interfaces/wizard-generator-summary-item.interface';
import { WizardGeneratorService } from '../../wizard-generator.service';
import * as i0 from "@angular/core";
export declare class WizardSummaryStepComponent {
    private _wizardGeneratorService;
    private _formGeneratorService;
    private _cd;
    /**
     * @description Summary step status.
     */
    set status(status: WizardStepStatus);
    /**
     * User-defined template for Summary step.
     */
    customSummaryStepTemplate: Nullable<TemplateRef<HTMLElement>>;
    /**
     * Formatted wizard value with steps and their forms.
     */
    formattedWizardValue: WizardGeneratorSummaryItem[];
    /**
     * @hidden
     */
    _submittedForms: WizardGeneratorFormsValue;
    /**
     * @hidden
     */
    _shouldRender: boolean;
    /**
     * @hidden
     */
    _wizardSteps: WizardGeneratorItem[];
    /** @hidden */
    constructor(_wizardGeneratorService: WizardGeneratorService, _formGeneratorService: FormGeneratorService, _cd: ChangeDetectorRef);
    /**
     * Opens defined step for editing.
     * @param stepId Defined step ID.
     */
    editStep(stepId: string): void;
    /** @hidden */
    _trackFn(_: number, step: WizardGeneratorSummaryItem): string;
    /** @hidden */
    _editStepFn: (stepId: string) => void;
    /** @hidden */
    private _formatWizardValue;
    /** @hidden */
    private _formatStepValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<WizardSummaryStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WizardSummaryStepComponent, "fdp-wizard-summary-step", never, { "status": { "alias": "status"; "required": false; }; "customSummaryStepTemplate": { "alias": "customSummaryStepTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
