import { DialogConfig, DialogRef, DialogService } from '@fundamental-ngx/core/dialog';
import { WizardDialogData } from './interfaces/wizard-dialog-data.interface';
import { WizardGeneratorFormsValue } from './interfaces/wizard-generator-forms.interface';
import * as i0 from "@angular/core";
/**
 * @description Helper service to launch Wizard in dialog with minimal user input.
 */
export declare class WizardDialogGeneratorService {
    private _dialogService;
    /** @hidden */
    constructor(_dialogService: DialogService);
    /**
     * @description Opens dialog with wizard component inside.
     * @param config Dialog options with wizard config.
     * @returns DialogRef instance.
     */
    open(config: DialogConfig<WizardDialogData>): DialogRef<WizardDialogData, WizardGeneratorFormsValue>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WizardDialogGeneratorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WizardDialogGeneratorService>;
}
