import { ModuleWithProviders } from '@angular/core';
import { FormGeneratorModuleConfig } from '@fundamental-ngx/platform/form';
import * as i0 from "@angular/core";
import * as i1 from "@fundamental-ngx/platform/form";
import * as i2 from "./components/wizard-generator/wizard-generator.component";
import * as i3 from "./components/wizard-generator-step/wizard-generator-step.component";
import * as i4 from "./components/wizard-body/wizard-body.component";
import * as i5 from "./components/dialog-wizard-generator/dialog-wizard-generator.component";
import * as i6 from "./components/wizard-summary-step/wizard-summary-step.component";
import * as i7 from "./components/wizard-summary-step/wizard-summary-section/wizard-summary-section.component";
import * as i8 from "./directives/wizard-generator-go-next-button.directive";
import * as i9 from "./directives/wizard-generator-finish-button.directive";
import * as i10 from "./directives/wizard-generator-summary-step.directive";
import * as i11 from "./directives/wizard-generator-review-button.directive";
/**
 * Adds Wizard Generator functionality to your application.
 *
 * Can be imported in two ways:
 * * Plain PlatformWizardGeneratorModule with default configuration
 * * With `withConfig()` method which allows passing custom default configuration.
 */
export declare class PlatformWizardGeneratorModule {
    /**
     * Allows configuring module on a global level with custom configuration.
     * @param config User's custom configuration.
     */
    static withConfig(config: Partial<FormGeneratorModuleConfig>): ModuleWithProviders<PlatformWizardGeneratorModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PlatformWizardGeneratorModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PlatformWizardGeneratorModule, never, [typeof i1.PlatformFormGeneratorModule, typeof i2.WizardGeneratorComponent, typeof i3.WizardGeneratorStepComponent, typeof i4.WizardBodyComponent, typeof i5.DialogWizardGeneratorComponent, typeof i6.WizardSummaryStepComponent, typeof i7.WizardSummarySectionComponent, typeof i8.WizardGeneratorGoNextButtonDirective, typeof i9.WizardGeneratorFinishButtonDirective, typeof i10.WizardGeneratorSummaryStepDirective, typeof i11.WizardGeneratorReviewButtonDirective], [typeof i2.WizardGeneratorComponent, typeof i3.WizardGeneratorStepComponent, typeof i4.WizardBodyComponent, typeof i5.DialogWizardGeneratorComponent, typeof i6.WizardSummaryStepComponent, typeof i7.WizardSummarySectionComponent, typeof i8.WizardGeneratorGoNextButtonDirective, typeof i9.WizardGeneratorFinishButtonDirective, typeof i10.WizardGeneratorSummaryStepDirective, typeof i11.WizardGeneratorReviewButtonDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PlatformWizardGeneratorModule>;
}
