import * as i0 from '@angular/core';
import { InjectionToken, ContentChild, Input, ChangeDetectionStrategy, ViewEncapsulation, Component, Directive, Inject, Injectable, forwardRef, EventEmitter, inject, DestroyRef, TemplateRef, ElementRef, booleanAttribute, ViewChildren, ContentChildren, ViewChild, Output, Optional, Self, SkipSelf, Attribute, NgModule, HostListener, NgZone, Injector, Pipe, ChangeDetectorRef, signal, isDevMode, computed, Renderer2, LOCALE_ID } from '@angular/core';
import * as i1$4 from '@fundamental-ngx/cdk/forms';
import { FD_FORM_FIELD, FD_FORM_FIELD_CONTROL, CvaControl, CvaDirective } from '@fundamental-ngx/cdk/forms';
import * as i1 from '@fundamental-ngx/platform/shared';
import { ColumnLayoutGridClass, ResponsiveBreakPointConfig, RESPONSIVE_BREAKPOINTS_CONFIG, BaseInput, InLineLayoutCollectionBaseInput, coerceArraySafe, MatchingStrategy, CollectionBaseInput, isOptionItem, isJsObject, isFunction, isDataSource, ArrayMultiInputDataSource, ObservableMultiInputDataSource, isString, MultiInputDataSource, DATA_PROVIDERS, FormFieldGroup, FormGroupContainer, ArrayComboBoxDataSource, ObservableComboBoxDataSource, ComboBoxDataSource, FDP_DO_CHECK, FDP_FORM_SUBMIT, ArrayMultiComboBoxDataSource, ObservableMultiComboBoxDataSource, isSelectableOptionItem, MultiComboBoxDataSource } from '@fundamental-ngx/platform/shared';
import * as i1$1 from '@angular/forms';
import { Validators, FormControl, FormGroup, FormsModule, ReactiveFormsModule, ControlContainer, NgForm, NgControl, FormGroupDirective } from '@angular/forms';
import { uniqBy, merge as merge$1, cloneDeep } from 'lodash-es';
import * as i2$2 from 'rxjs';
import { Subject, BehaviorSubject, combineLatest, filter, tap, Subscription, isObservable, fromEvent, merge, of, timer, interval } from 'rxjs';
import { distinctUntilChanged, map, switchMap, startWith, debounceTime, tap as tap$1, filter as filter$1, take, takeUntil, skip } from 'rxjs/operators';
import * as i3 from '@angular/common';
import { NgTemplateOutlet, CommonModule, NgClass, KeyValuePipe, formatNumber } from '@angular/common';
import { toSignal, takeUntilDestroyed } from '@angular/core/rxjs-interop';
import { FormInputMessageGroupComponent, FormItemComponent, FormMessageComponent, FormLabelComponent, FormGroupComponent as FormGroupComponent$1, FormControlComponent } from '@fundamental-ngx/core/form';
import { IconComponent, FD_DEFAULT_ICON_FONT_FAMILY } from '@fundamental-ngx/core/icon';
import { InlineHelpDirective } from '@fundamental-ngx/core/inline-help';
import { LinkComponent } from '@fundamental-ngx/core/link';
import { PopoverComponent, PopoverControlComponent, PopoverBodyComponent } from '@fundamental-ngx/core/popover';
import { GRID_COLUMNS_NUMBER } from '@fundamental-ngx/core/layout-grid';
import * as i2$1 from '@fundamental-ngx/core/content-density';
import { ContentDensityModule, contentDensityObserverProviders, CONTENT_DENSITY_DIRECTIVE, ContentDensityGlobalKeyword, ContentDensityObserver, ContentDensityDirective } from '@fundamental-ngx/core/content-density';
import * as i2 from '@fundamental-ngx/cdk/utils';
import { RangeSelector, KeyUtil, TemplateDirective, InitialFocusDirective, DisplayFnPipe, warnOnce, DynamicComponentService, isFunction as isFunction$1, selectStrategy, resizeObservable, SearchHighlightPipe, destroyObservable, RtlService, OnlyDigitsDirective } from '@fundamental-ngx/cdk/utils';
import { SelectionModel } from '@angular/cdk/collections';
import { CheckboxComponent as CheckboxComponent$1 } from '@fundamental-ngx/core/checkbox';
import { FdCalendarViewEnum, CalendarDayViewComponent, CalendarComponent } from '@fundamental-ngx/core/calendar';
import { DatePickerComponent } from '@fundamental-ngx/core/date-picker';
import { DatetimeAdapter, DATE_TIME_FORMATS } from '@fundamental-ngx/core/datetime';
import { DELETE, BACKSPACE, ESCAPE, ENTER, CONTROL, TAB, SHIFT, UP_ARROW, RIGHT_ARROW, DOWN_ARROW, LEFT_ARROW, ALT, NUMPAD_ZERO, NUMPAD_ONE, NUMPAD_TWO, NUMPAD_THREE, NUMPAD_FOUR, NUMPAD_FIVE, NUMPAD_SIX, NUMPAD_SEVEN, NUMPAD_EIGHT, NUMPAD_NINE, SPACE, A, PAGE_UP, PAGE_DOWN } from '@angular/cdk/keycodes';
import { FdTranslatePipe, FD_LANGUAGE, TranslationResolver } from '@fundamental-ngx/i18n';
import * as i1$2 from '@fundamental-ngx/core/dialog';
import { DialogConfig, DialogModule } from '@fundamental-ngx/core/dialog';
import * as i5 from '@fundamental-ngx/platform/list';
import { FdpListComponent, PlatformListModule, ListComponent, BaseListItem, StandardListItemComponent } from '@fundamental-ngx/platform/list';
import { CdkScrollable } from '@angular/cdk/overlay';
import * as i3$1 from '@fundamental-ngx/core/bar';
import { BarModule } from '@fundamental-ngx/core/bar';
import { MobileModeBase, MobileModeControl } from '@fundamental-ngx/core/mobile-mode';
import { ScrollbarDirective } from '@fundamental-ngx/core/scrollbar';
import { TokenComponent, TokenizerComponent, TokenizerInputDirective } from '@fundamental-ngx/core/token';
import * as i3$2 from '@fundamental-ngx/core/input-group';
import { InputGroupModule } from '@fundamental-ngx/core/input-group';
import { MultiAnnouncerDirective } from '@fundamental-ngx/core/multi-combobox';
import equal from 'fast-deep-equal';
import { ObjectStatusComponent } from '@fundamental-ngx/platform/object-status';
import { FocusKeyManager } from '@angular/cdk/a11y';
import { RadioButtonComponent as RadioButtonComponent$1 } from '@fundamental-ngx/core/radio';
import * as i6 from '@fundamental-ngx/core/list';
import { ListComponent as ListComponent$1, ListSecondaryDirective, ListModule } from '@fundamental-ngx/core/list';
import * as i1$3 from '@fundamental-ngx/core/select';
import { SelectModule, SelectComponent as SelectComponent$1 } from '@fundamental-ngx/core/select';
import { coerceNumberProperty } from '@angular/cdk/coercion';
import { SwitchComponent as SwitchComponent$1 } from '@fundamental-ngx/core/switch';
import * as i4 from '@fundamental-ngx/core/title';
import { TitleComponent } from '@fundamental-ngx/core/title';
import { DatetimePickerComponent } from '@fundamental-ngx/core/datetime-picker';
import * as i2$3 from '@fundamental-ngx/core/busy-indicator';
import { BusyIndicatorModule } from '@fundamental-ngx/core/busy-indicator';
import { SkeletonComponent } from '@fundamental-ngx/core/skeleton';
import { FDP_BUTTON, ButtonComponent } from '@fundamental-ngx/platform/button';
import { FD_BUTTON_COMPONENT, ButtonComponent as ButtonComponent$1 } from '@fundamental-ngx/core/button';
import { TimePickerComponent } from '@fundamental-ngx/core/time-picker';

const FORM_GROUP_CHILD_FIELD_TOKEN = new InjectionToken('FORM_GROUP_CHILD_FIELD_TOKEN');
const DefaultHorizontalLabelLayout = {
    XL: 4,
    L: 4,
    M: 4,
    S: 12
};
const DefaultVerticalLabelLayout = {
    S: 12
};
const DefaultHorizontalFieldLayout = {
    XL: 8,
    L: 8,
    M: 8,
    S: 12
};
const DefaultVerticalFieldLayout = {
    S: 12
};
const DefaultGapLayout = {
    S: 0
};

/**
 * Returns form state based on priority.
 * @param states Error states of the form fields.
 * @param priorityStates Array of prioritized states.
 * @returns first found form state of `priorityStates`.
 */
function getFormState(states, priorityStates = ['error', 'warning', 'information', 'success', 'default']) {
    let priorityState = 'default';
    priorityStates.some((state) => {
        const firstErrorState = states.find((formState) => formState === state);
        if (!firstErrorState) {
            return false;
        }
        priorityState = firstErrorState;
        return true;
    });
    return priorityState;
}

/**
 * This extends core implementation  to support richer extensibility and instead of relying
 * only on ng-content selector this will allow you to put any content as trigger.
 *
 * Let's think of u
 */
// eslint-disable-next-line @angular-eslint/component-class-suffix
class InputMessageGroupWithTemplate extends FormInputMessageGroupComponent {
    constructor() {
        super(...arguments);
        /**
         * To allow user to determine what event he wants to trigger the messages to show
         * Accepts any [HTML DOM Events](https://www.w3schools.com/jsref/dom_obj_event.asp).
         */
        this.triggers = [
            {
                trigger: 'focusin',
                openAction: true,
                closeAction: false
            },
            {
                trigger: 'focusout',
                openAction: false,
                closeAction: true
            }
        ];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputMessageGroupWithTemplate, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: InputMessageGroupWithTemplate, isStandalone: true, selector: "fdp-input-message-group", inputs: { triggers: "triggers" }, queries: [{ propertyName: "triggerItemTemplate", first: true, predicate: ["triggerItem"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<fd-popover\n    #popover\n    (isOpenChange)=\"openChanged($event)\"\n    additionalBodyClass=\"fd-popover__body--input-message-group\"\n    [closeOnOutsideClick]=\"closeOnOutsideClick\"\n    [closeOnEscapeKey]=\"closeOnEscapeKey\"\n    [fillControlMode]=\"fillControlMode\"\n    [isOpen]=\"isOpen\"\n    [placement]=\"placement\"\n    [triggers]=\"triggers\"\n    [disableScrollbar]=\"true\"\n    class=\"fd-form-input-message-group fd-popover--input-message-group\"\n>\n    <fd-popover-control>\n        <ng-template [ngTemplateOutlet]=\"triggerItemTemplate\"></ng-template>\n    </fd-popover-control>\n    <fd-popover-body>\n        <ng-content></ng-content>\n    </fd-popover-body>\n</fd-popover>\n", styles: [".fd-popover-container-custom--message{flex-grow:1}.fd-popover-container-custom{border:none}.fd-popover__control{cursor:auto!important}fdp-input-message-group .fd-popover-custom{display:inline}fdp-input-message-group .fd-datetime .fd-popover-custom{display:inline-block}.fd-popover__body.fd-popover__body--input-message-group{margin-top:0!important;z-index:999}\n"], dependencies: [{ kind: "component", type: PopoverComponent, selector: "fd-popover", inputs: ["title", "trigger", "fixedPosition", "id", "mobile", "mobileConfig", "preventSpaceKeyScroll"] }, { kind: "component", type: PopoverControlComponent, selector: "fd-popover-control, [fdPopoverControl]" }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: PopoverBodyComponent, selector: "fd-popover-body", inputs: ["minWidth", "maxWidth", "minHeight", "maxHeight"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputMessageGroupWithTemplate, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-input-message-group', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, imports: [PopoverComponent, PopoverControlComponent, NgTemplateOutlet, PopoverBodyComponent], template: "<fd-popover\n    #popover\n    (isOpenChange)=\"openChanged($event)\"\n    additionalBodyClass=\"fd-popover__body--input-message-group\"\n    [closeOnOutsideClick]=\"closeOnOutsideClick\"\n    [closeOnEscapeKey]=\"closeOnEscapeKey\"\n    [fillControlMode]=\"fillControlMode\"\n    [isOpen]=\"isOpen\"\n    [placement]=\"placement\"\n    [triggers]=\"triggers\"\n    [disableScrollbar]=\"true\"\n    class=\"fd-form-input-message-group fd-popover--input-message-group\"\n>\n    <fd-popover-control>\n        <ng-template [ngTemplateOutlet]=\"triggerItemTemplate\"></ng-template>\n    </fd-popover-control>\n    <fd-popover-body>\n        <ng-content></ng-content>\n    </fd-popover-body>\n</fd-popover>\n", styles: [".fd-popover-container-custom--message{flex-grow:1}.fd-popover-container-custom{border:none}.fd-popover__control{cursor:auto!important}fdp-input-message-group .fd-popover-custom{display:inline}fdp-input-message-group .fd-datetime .fd-popover-custom{display:inline-block}.fd-popover__body.fd-popover__body--input-message-group{margin-top:0!important;z-index:999}\n"] }]
        }], propDecorators: { triggers: [{
                type: Input
            }], triggerItemTemplate: [{
                type: ContentChild,
                args: ['triggerItem', { static: false }]
            }] } });

const defaultFormFieldHintOptions = {
    placement: 'right',
    position: 'after',
    trigger: [
        { trigger: 'mouseenter', openAction: true, closeAction: false },
        { trigger: 'mouseleave', openAction: false, closeAction: true },
        { trigger: 'focusin', openAction: true, closeAction: false },
        { trigger: 'focusout', openAction: false, closeAction: true }
    ],
    glyph: 'hint',
    target: 'auto'
};

const FDP_FORM_FIELD_HINT_OPTIONS_DEFAULT = new InjectionToken('Form field default hint options', {
    factory: () => defaultFormFieldHintOptions
});
const FDP_FORM_FIELD_HINT_LAYOUT_CONFIG = new InjectionToken('Configuration for setting default values for configuring how places for inline help are coming', {
    factory: () => ({
        hintOnInputBreakpoints: ['M', 'L', 'XL'],
        hintPlaceMinSize: 1
    })
});

const FDP_FORM_ERROR_DIRECTIVE = new InjectionToken('FdpFormErrorDirective');

class FormFieldErrorDirective {
    /** Error type. Defines which type to return. Either self, or from heading directive. */
    get type() {
        return this._headingDirective?.fdpFormFieldErrorHeadingType ?? this.fdpFormFieldErrorType;
    }
    /** @hidden */
    get _headingTemplateRef() {
        return this._headingDirective?.templateRef ?? this.templateRef;
    }
    /** @hidden */
    get _descriptionTemplateRef() {
        return this._descriptionDirective?.templateRef ?? null;
    }
    /** @hidden */
    constructor(templateRef, _viewContainer, _cdr) {
        this.templateRef = templateRef;
        this._viewContainer = _viewContainer;
        this._cdr = _cdr;
        /** Error type */
        this.fdpFormFieldErrorType = 'error';
        /** @hidden */
        this.detectChanges$ = new Subject();
    }
    /** @hidden */
    static ngTemplateContextGuard(dir, ctx) {
        return true;
    }
    /** @hidden */
    ngOnInit() {
        // We need to create view in order to initialize child directives immediately.
        this._createView();
    }
    /** Registers child heading directive. */
    registerHeading(directive) {
        this._headingDirective = directive;
        this._detectChanges();
    }
    /** Registers child description directive. */
    registerDescription(directive) {
        this._descriptionDirective = directive;
        this._detectChanges();
    }
    /** @hidden */
    _createView() {
        this._viewContainer.createEmbeddedView(this.templateRef);
        this._viewContainer.detach();
    }
    /** @hidden */
    _detectChanges() {
        // Since child directives can register itself almost instantly, we need to trigger detect changes only one time,
        // in order to bypass error with expected/actual directives count.
        clearTimeout(this._detectTimeout);
        this._detectTimeout = setTimeout(() => {
            this._cdr.detectChanges();
            this.detectChanges$.next();
        }, 5);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldErrorDirective, deps: [{ token: i0.TemplateRef }, { token: i0.ViewContainerRef }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: FormFieldErrorDirective, isStandalone: true, selector: "[fdpFormFieldError]", inputs: { fdpFormFieldErrorAs: "fdpFormFieldErrorAs", error: ["fdpFormFieldError", "error"], fdpFormFieldErrorType: "fdpFormFieldErrorType" }, providers: [
            {
                provide: FDP_FORM_ERROR_DIRECTIVE,
                useExisting: FormFieldErrorDirective
            }
        ], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldErrorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpFormFieldError]',
                    providers: [
                        {
                            provide: FDP_FORM_ERROR_DIRECTIVE,
                            useExisting: FormFieldErrorDirective
                        }
                    ],
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.TemplateRef }, { type: i0.ViewContainerRef }, { type: i0.ChangeDetectorRef }], propDecorators: { fdpFormFieldErrorAs: [{
                type: Input
            }], error: [{
                type: Input,
                args: ['fdpFormFieldError']
            }], fdpFormFieldErrorType: [{
                type: Input
            }] } });

class FormFieldControlExtrasComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldControlExtrasComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: FormFieldControlExtrasComponent, isStandalone: true, selector: "fdp-form-field-extras", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, styles: [":host{display:flex;white-space:normal}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldControlExtrasComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-form-field-extras', template: '<ng-content></ng-content>', changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, styles: [":host{display:flex;white-space:normal}\n"] }]
        }] });

/** @hidden */
function normalizeColumnLayout(layout, defaultColumn = 12) {
    layout['S'] = layout['S'] !== undefined ? layout['S'] : defaultColumn;
    layout['M'] = layout['M'] || layout['S'];
    layout['L'] = layout['L'] || layout['M'];
    layout['XL'] = layout['XL'] || layout['L'];
    return layout;
}
/** @hidden */
function generateColumnClass(layout) {
    return Object.entries(layout)
        .reduce((overall, value) => {
        overall.push(`fd-col-${ColumnLayoutGridClass[value[0]]}--${value[1]}`);
        return overall;
    }, [])
        .join(' ');
}

/**
 * Should be used in component level. Ideally placed on container component,
 * so that every it's child FormField can have shared information about peers'
 * need about inline help place.
 */
class FormFieldLayoutService {
    /** @hidden */
    constructor(_hintLayoutConfig) {
        this._hintLayoutConfig = _hintLayoutConfig;
        /** @hidden */
        this._needsInlineHelpPlace$ = new BehaviorSubject(false);
        /** @hidden */
        this._elementsMap = new Map();
        this.needsInlineHelpPlace = this._needsInlineHelpPlace$.pipe(distinctUntilChanged());
    }
    /**
     * Notify service about target component's requirement for the place for inline help
     */
    setNeedsInlineHelp(target, isNeeded) {
        this._elementsMap.set(target, isNeeded);
        this._updateCombinedValue();
    }
    /**
     * Function will give place for hint in case it does not have it yet,
     * if combined needsInlineHelpPlace value is true
     */
    getFixedLayouts(layouts) {
        const fieldColumnLayout = normalizeColumnLayout({ ...layouts.fieldColumnLayout });
        const labelColumnLayout = normalizeColumnLayout({ ...layouts.labelColumnLayout });
        const gapColumnLayout = normalizeColumnLayout({
            ...(layouts.gapColumnLayout ? layouts.gapColumnLayout : { S: 0 })
        });
        if (this._needsInlineHelpPlace$.value) {
            this._hintLayoutConfig.hintOnInputBreakpoints.forEach((sizeName) => {
                const shouldFitInOneLine = labelColumnLayout[sizeName] + fieldColumnLayout[sizeName] + gapColumnLayout[sizeName] <=
                    GRID_COLUMNS_NUMBER;
                if (gapColumnLayout[sizeName] < this._hintLayoutConfig.hintPlaceMinSize) {
                    gapColumnLayout[sizeName] = this._hintLayoutConfig.hintPlaceMinSize;
                }
                if (gapColumnLayout[sizeName] + fieldColumnLayout[sizeName] > GRID_COLUMNS_NUMBER) {
                    const diff = gapColumnLayout[sizeName] + fieldColumnLayout[sizeName] - GRID_COLUMNS_NUMBER;
                    fieldColumnLayout[sizeName] -= diff;
                }
                if (shouldFitInOneLine) {
                    const maxAllocatedPlaceForFieldAndLabel = GRID_COLUMNS_NUMBER - gapColumnLayout[sizeName];
                    while (labelColumnLayout[sizeName] + fieldColumnLayout[sizeName] >
                        maxAllocatedPlaceForFieldAndLabel) {
                        fieldColumnLayout[sizeName] -= 1;
                    }
                }
            });
        }
        return { fieldColumnLayout, labelColumnLayout, gapColumnLayout };
    }
    /**
     * Remove component from the combined value calculations
     */
    removeEntry(target) {
        this._elementsMap.delete(target);
        this._updateCombinedValue();
    }
    /**
     * Will loop through all registered components and if any of them has need for
     * inline help place, then it will notify listeners about it and also will set
     * local variable
     * @hidden
     */
    _updateCombinedValue() {
        for (const [, needed] of this._elementsMap) {
            if (needed) {
                return this._needsInlineHelpPlace$.next(true);
            }
        }
        this._needsInlineHelpPlace$.next(false);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldLayoutService, deps: [{ token: FDP_FORM_FIELD_HINT_LAYOUT_CONFIG }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldLayoutService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldLayoutService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [FDP_FORM_FIELD_HINT_LAYOUT_CONFIG]
                }] }] });

let defaultId = 0;
const formFieldProvider$1 = {
    provide: FD_FORM_FIELD,
    useExisting: forwardRef(() => FormFieldComponent)
};
const formGroupChildProvider$2 = {
    provide: FORM_GROUP_CHILD_FIELD_TOKEN,
    useExisting: forwardRef(() => FormFieldComponent)
};
function columnTransformer(v) {
    return parseInt(v + '', 10);
}
function rankTransformer(v) {
    return parseInt(v + '', 10);
}
/**
 * Form Field represent actual row and aggregates common behavior for the input field such as
 * error, label or hint.
 * Hint is also responsible for listening for FieldControl changes and trigger necessary
 * change detection
 *
 */
class FormFieldComponent {
    /** object for placing field in column in each screen layout */
    set columnLayout(layout) {
        if (!layout) {
            return;
        }
        this._columnLayout = layout;
        this._isColumnLayoutEnabled = true;
        this._setLayout();
    }
    get columnLayout() {
        return this._columnLayout;
    }
    /**
     * Defines label's column layout.
     */
    set labelColumnLayout(value) {
        if (!value) {
            return;
        }
        this._labelColumnLayout = normalizeColumnLayout(value);
        this._labelColumnLayoutClass = generateColumnClass(this._labelColumnLayout);
        this._labelColumnLayout$.next(this._labelColumnLayout);
    }
    get labelColumnLayout() {
        return this._labelColumnLayout;
    }
    /**
     * Defines field's column layout.
     */
    set fieldColumnLayout(value) {
        if (!value) {
            return;
        }
        this._fieldColumnLayout = normalizeColumnLayout(value);
        this._fieldColumnLayoutClass = generateColumnClass(this._fieldColumnLayout);
        this._fieldColumnLayout$.next(this._fieldColumnLayout);
    }
    get fieldColumnLayout() {
        return this._fieldColumnLayout;
    }
    /**
     * Defines gap column layout.
     */
    set gapColumnLayout(value) {
        if (!value) {
            return;
        }
        this._gapColumnLayout = normalizeColumnLayout(value);
        this._gapColumnLayoutClass = generateColumnClass(this._gapColumnLayout);
        this._gapColumnLayout$.next(this._gapColumnLayout);
    }
    get gapColumnLayout() {
        return this._gapColumnLayout;
    }
    /**
     * Indicates if field is editable
     */
    set editable(value) {
        if (this._editable === value) {
            return;
        }
        this._editable = value;
        this._updateControlProperties();
    }
    get editable() {
        return this._editable;
    }
    /** Combined Error directives from field itself and parent form container. */
    get errorDirectives() {
        return uniqBy([...this._errorDirectives, ...this._formGroupErrorDirectives], 'error');
    }
    /** @hidden */
    get _groupHost() {
        return this.formFieldGroup ? this.formFieldGroup : this.formGroupContainer;
    }
    /** @hidden whether label and control are vertically aligned */
    get _isHorizontalAlignment() {
        if (!this.inputMessageGroup || !this.labelCol) {
            return false;
        }
        const inputMessageGroupY = this.inputMessageGroup.nativeElement.getBoundingClientRect().y;
        const labelColRect = this.labelCol.nativeElement.getBoundingClientRect();
        const labelColBottomY = labelColRect.y + labelColRect.height;
        return labelColBottomY > inputMessageGroupY;
    }
    /**
     * @hidden
     * Sum of extra heights inside form control and formFieldExtras.
     * Label will be shifted by this number in order to be properly aligned with the control
     */
    get _controlExtrasHeightPx() {
        if (this.noLabelLayout || !this._isHorizontalAlignment) {
            // proceed only if 1. there's a label; 2. control has vertical alignment
            return null;
        }
        return ((this.formFieldExtras?.nativeElement.offsetHeight ?? 0) + (this.control?.extraContentHeightPx ?? 0) || null);
    }
    /** @hidden */
    constructor(_cd, formGroupContainer, formFieldGroup, _defaultResponsiveBreakPointConfig, _responsiveBreakpointsService, _providedHintOptions, _hintLayoutConfig, _selfFormFieldLayoutService, _parentFormFieldLayoutService) {
        this._cd = _cd;
        this.formFieldGroup = formFieldGroup;
        this._defaultResponsiveBreakPointConfig = _defaultResponsiveBreakPointConfig;
        this._responsiveBreakpointsService = _responsiveBreakpointsService;
        this._hintLayoutConfig = _hintLayoutConfig;
        /**
         * Suffix for ids of control elements inside this form field
         */
        this.id = (++defaultId).toString();
        /**
         * Indicates when form field label should not be displayed
         */
        this.noLabelLayout = false;
        /**
         * The list of validators applied to the form field.
         */
        this.validators = [Validators.nullValidator];
        /** Set when form field is a mandatory one. */
        this.required = false;
        /**
         * Form field custom width in columns must be between 1 - 12
         */
        this.columns = 6;
        /**
         * marks field as disabled. used in reactive form approach.
         */
        this.disabled = false;
        /** Whether label text should be appended with colon. */
        this.colon = false;
        /** Emits whenever formFieldControl's state changes */
        this.onChange = new EventEmitter();
        /** Emits whenever column layout is changed */
        this.onColumnChange = new EventEmitter();
        /**
         * hint and hint placement coerced to the FieldHintOptions
         */
        this.hintOptions = defaultFormFieldHintOptions;
        /** @hidden */
        this._errorDirectives = [];
        /** Grouped errors. */
        this.groupedErrors = [];
        /** Event emited when errors object being changed. */
        this.errorsChange$ = new Subject();
        /** @hidden */
        this._editable = true;
        /** @hidden */
        this._isColumnLayoutEnabled = false;
        /** @hidden */
        this._sColumnNumber = 1;
        /** @hidden */
        this._formGroupErrorDirectives = [];
        /** @hidden */
        this._destroyRef = inject(DestroyRef);
        this._defaultHintOptions = {
            ...defaultFormFieldHintOptions,
            ..._providedHintOptions
        };
        this._formFieldLayoutService = _parentFormFieldLayoutService || _selfFormFieldLayoutService;
        this._labelColumnLayout$ = new BehaviorSubject(this._labelColumnLayout);
        this._fieldColumnLayout$ = new BehaviorSubject(this._fieldColumnLayout);
        this._gapColumnLayout$ = new BehaviorSubject(this._gapColumnLayout);
        // formGroupContainer can be injected only if current form-field is located
        // insight formGroupContainer content.
        // If this is not the case the formGroupContainer
        // will be undefined (known angular issue),
        // in such case formGroupContainer can be pointed explicitly using
        // component input annotation
        this.formGroupContainer = formGroupContainer;
        this._responsiveBreakPointConfig = _defaultResponsiveBreakPointConfig || new ResponsiveBreakPointConfig();
        this._breakPointObserver = this._responsiveBreakpointsService.observeBreakpointByConfig(this._responsiveBreakPointConfig);
        this.isHorizontal$ = toSignal(combineLatest([
            this._labelColumnLayout$.pipe(filter(Boolean), map(normalizeColumnLayout)),
            this._fieldColumnLayout$.pipe(filter(Boolean), map(normalizeColumnLayout)),
            this._gapColumnLayout$.pipe(map((g) => normalizeColumnLayout(g || { S: 0 })))
        ]).pipe(switchMap(([label, field, gap]) => this._breakPointObserver.pipe(map((breakpointName) => label[breakpointName] + field[breakpointName] + gap[breakpointName] <= 12)))));
    }
    /**
     * Sets initial values for label, field and gap columns
     */
    setDefaultColumnLayout() {
        // If layout already defined, no need to set default one.
        if (this.labelColumnLayout) {
            return;
        }
        this.listenToInlineHelpPlaceRequirementChanges(() => (this.labelColumnLayout ? this : this._groupHost));
    }
    /** @hidden */
    listenToInlineHelpPlaceRequirementChanges(getSource) {
        if (this._needsInlineHelpPlaceSubscription) {
            this._needsInlineHelpPlaceSubscription.unsubscribe();
            this._needsInlineHelpPlaceSubscription = void 0;
        }
        const setLayouts = (source) => {
            this.labelColumnLayout = source.labelColumnLayout;
            this.fieldColumnLayout = source.fieldColumnLayout;
            this.gapColumnLayout = source.gapColumnLayout;
        };
        this._needsInlineHelpPlaceSubscription = this._formFieldLayoutService.needsInlineHelpPlace
            .pipe(map(() => this._formFieldLayoutService.getFixedLayouts(getSource())), tap(setLayouts), takeUntilDestroyed(this._destroyRef))
            .subscribe();
    }
    /** @hidden */
    ngOnInit() {
        // provides capability to make a field disabled. useful in reactive form approach.
        this.formControl =
            this.formGroupContainer?.formGroup?.get(this.id) ??
                new FormControl({ value: null, disabled: this.disabled });
        if (this.columns && (this.columns < 1 || this.columns > 12)) {
            throw new Error('[columns] accepts numbers between 1 - 12');
        }
        if (this._isColumnLayoutEnabled) {
            this._breakPointObserver
                .pipe(takeUntilDestroyed(this._destroyRef))
                .subscribe((breakPointName) => this._updateLayout(breakPointName));
        }
        this._addToFormGroup();
        this.listenToInlineHelpPlaceRequirementChanges(() => this);
    }
    /** @hidden */
    ngOnChanges(changes) {
        if (changes.hint) {
            this._updateHintOptions();
            this._formFieldLayoutService.setNeedsInlineHelp(this, (this.hintOptions.target === 'input' || this.hintOptions.target === 'auto') && !!this.hint);
        }
        if (changes.hint && changes.hint.firstChange) {
            this._breakPointObserver
                .pipe(tap((sizeName) => {
                if (this.hintOptions.target === 'auto') {
                    this.hintTarget = this._hintLayoutConfig.hintOnInputBreakpoints.includes(sizeName)
                        ? 'input'
                        : 'label';
                }
                else {
                    this.hintTarget = this.hintOptions.target;
                }
            }), takeUntilDestroyed(this._destroyRef))
                .subscribe();
        }
    }
    /** @hidden */
    ngAfterContentInit() {
        this._cd.markForCheck();
    }
    /** @hidden */
    ngAfterViewInit() {
        this._assignErrorDirectives();
        this._errorDirectiveQuery.changes.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._assignErrorDirectives();
        });
        this._updateControlProperties();
        this._validateErrorHandler();
        this._listenToFormMessage();
        this._cd.detectChanges();
    }
    /** @hidden */
    ngOnDestroy() {
        this._formFieldLayoutService.removeEntry(this);
        this._removeFromFormGroup();
        this._errorDirectivesCdr?.unsubscribe();
        this._formGroupErrorDirectivesSubscription?.unsubscribe();
    }
    /** @hidden */
    hasErrors() {
        return this._editable && !!this.control?.controlInvalid;
    }
    /**
     * Register underlying form control
     * @param formFieldControl
     */
    registerFormFieldControl(formFieldControl) {
        if (this.control) {
            throw Error('Form field can contain only one FormFieldControl');
        }
        this.control = formFieldControl;
        formFieldControl.stateChanges.pipe(startWith(null), takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._updateControlProperties();
            // need to call explicitly detectChanges() instead of markForCheck before the
            // modified validation state of the control passes over checked phase
            this.onChange.emit('stateChanges');
            this.groupErrors();
            this._cd.detectChanges();
        });
        // Refresh UI when value changes
        if (formFieldControl?.ngControl?.valueChanges) {
            formFieldControl.ngControl.valueChanges.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
                this.onChange.emit('valueChanges');
                this.groupErrors();
                this._cd.markForCheck();
            });
        }
        if (formFieldControl?.ngControl?.control) {
            const control = formFieldControl.ngControl.control;
            const hasRequiredValidator = this.validators.includes(Validators.required) || this.validators.includes(Validators.requiredTrue);
            if (this.required && !hasRequiredValidator) {
                this.validators.push(Validators.required);
            }
            if (hasRequiredValidator) {
                this.required = true;
            }
            // if form control is disabled, in reactive form approach
            if (this.disabled) {
                control.disable();
            }
            /**
             * There is a case when a "form-group" initial state is VALID,
             * and on the next loop a child form-filed extends it and make
             * the form-group INVALID.
             * In such case we get the error
             * "ExpressionChangedAfterItHasBeenCheckedError. Previous value is ng-valid, current value is ng-invalid".
             * To fix it we have to postpone adding form-field validators
             *
             */
            Promise.resolve().then(() => {
                control.setValidators(Validators.compose(this.validators));
                control.updateValueAndValidity({ emitEvent: false });
            });
            this._addControlToFormGroup(formFieldControl?.ngControl?.control);
        }
        this._cd.markForCheck();
    }
    /**
     * Unregister underlying form control
     * @param formFieldControl
     */
    unregisterFormFieldControl(formFieldControl) {
        if (formFieldControl !== this.control) {
            return;
        }
        this.control = null;
        this._removeControlFromFormGroup();
    }
    /**
     * Groups
     */
    groupErrors() {
        // Queue task because firing it right away may cause error with showing empty message.
        setTimeout(() => {
            this.groupedErrors = [];
            const errors = this.control?.ngControl?.errors;
            if (!errors) {
                return [];
            }
            this.errorDirectives.forEach((directive) => {
                if (!errors[directive.error]) {
                    return;
                }
                this.groupedErrors.push({
                    directive,
                    error: errors[directive.error]
                });
            });
            this.errorsChange$.next();
            this._cd.markForCheck();
        });
    }
    /**
     * Gets prioritized control state based on the error types it has.
     */
    getPriorityState() {
        if (this.groupedErrors.length === 0) {
            return this.hasErrors() ? 'error' : 'default';
        }
        return getFormState(this.groupedErrors.map((error) => error.directive.type));
    }
    /**
     * Sets error directives.
     */
    setErrorDirectives(directives) {
        this._formGroupErrorDirectivesSubscription?.unsubscribe();
        if (!directives) {
            return;
        }
        this._formGroupErrorDirectives = directives.toArray();
        this._formGroupErrorDirectivesSubscription = directives.changes
            .pipe(takeUntilDestroyed(this._destroyRef))
            .subscribe(() => {
            this._formGroupErrorDirectives = directives.toArray();
        });
    }
    /**
     * Returns whether content of the provided hint is a string.
     * @hidden
     */
    isStringHint(hintOptions) {
        return typeof hintOptions === 'string';
    }
    /**
     * @hidden
     * Listens to form message component changes and passes its instance to the form control component.
     */
    _listenToFormMessage() {
        this._inputMessageGroupCmp.changes
            .pipe(startWith(null), map(() => this._inputMessageGroupCmp.first), takeUntilDestroyed(this._destroyRef))
            .subscribe((component) => {
            if (!this.control) {
                return;
            }
            this.control.formMessage = component;
        });
    }
    /** @hidden */
    _validateErrorHandler() {
        if (this._editable &&
            this.control &&
            this._hasValidators() &&
            !this.i18Strings &&
            this.errorDirectives.length === 0) {
            throw new Error('Validation strings are required for the any provided validations.');
        }
    }
    /** @hidden */
    _hasValidators() {
        return this.validators && this.validators.length > 1;
    }
    /**
     * @hidden
     * Add FormField to FormGroup
     */
    _addToFormGroup() {
        if (!this.formGroupContainer || this.formFieldGroup) {
            return;
        }
        this.formGroupContainer.addFormField(this);
    }
    /**
     * @hidden
     * Remove FormField from FormGroup
     */
    _removeFromFormGroup() {
        if (!this.formGroupContainer) {
            return;
        }
        this.formGroupContainer.removeFormField(this);
    }
    /**
     * @hidden
     * Add FormControl from FormGroup
     */
    _addControlToFormGroup(control) {
        if (!this.formGroupContainer || !!this.formFieldGroup?.formName) {
            return;
        }
        this.formGroupContainer.addFormControl(this.id, control);
    }
    /**
     * @hidden
     * Remove FormControl from FormGroup
     */
    _removeControlFromFormGroup() {
        if (!this.formGroupContainer) {
            return;
        }
        this.formGroupContainer.removeFormControl(this.id);
    }
    /**
     * @hidden
     * Need to be able to set these properties on every level.
     *  - Global FormGroup Level as well each field
     *
     *  Todo: use more elegant way to set these properties.
     */
    _updateControlProperties() {
        if (this.control && this._editable) {
            this.control.id = this.id;
            this.control.required = this.required;
            if (this.placeholder) {
                this.control.placeholder = this.placeholder;
            }
        }
    }
    /** @hidden */
    _setLayout() {
        try {
            const normalized = normalizeColumnLayout(this.columnLayout, 1);
            this.columnLayout = normalized;
            this._sColumnNumber = normalized['S'];
            this._mdColumnNumber = normalized['M'];
            this._lgColumnNumber = normalized['L'];
            this._xlColumnNumber = normalized['XL'];
        }
        catch {
            this._isColumnLayoutEnabled = false;
        }
    }
    /** @hidden */
    _updateLayout(currentBreakingPointName) {
        if (this._isColumnLayoutEnabled) {
            switch (currentBreakingPointName) {
                case 'S':
                    this.column = this._sColumnNumber;
                    break;
                case 'M':
                    this.column = this._mdColumnNumber;
                    break;
                case 'L':
                    this.column = this._lgColumnNumber;
                    break;
                case 'XL':
                    this.column = this._xlColumnNumber;
                    break;
                default:
                    this.column = this._xlColumnNumber;
            }
        }
        // emit column change, so form-group knows it and re-arranges the fields
        this.onColumnChange.emit(true);
    }
    /** @hidden */
    _updateHintOptions() {
        // placement is here set up because hintPlacement is deprecated
        if (typeof this.hint === 'string' || this.hint instanceof TemplateRef) {
            this.hintOptions = {
                ...this._defaultHintOptions,
                content: this.hint
            };
        }
        else if (typeof this.hint === 'object') {
            this.hintOptions = {
                ...this._defaultHintOptions,
                ...this.hint
            };
        }
    }
    /** @hidden */
    _assignErrorDirectives() {
        this._errorDirectivesCdr?.unsubscribe();
        this._errorDirectives = this._errorDirectiveQuery.toArray();
        this._errorDirectivesCdr = new Subscription();
        this._errorDirectives.forEach((directive) => {
            this._errorDirectivesCdr.add(directive.detectChanges$.subscribe(() => {
                this.groupErrors();
                this._cd.detectChanges();
            }));
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: i1.FormGroupContainer, optional: true }, { token: i1.FormFieldGroup, optional: true }, { token: RESPONSIVE_BREAKPOINTS_CONFIG, optional: true }, { token: i1.ResponsiveBreakpointsService }, { token: FDP_FORM_FIELD_HINT_OPTIONS_DEFAULT }, { token: FDP_FORM_FIELD_HINT_LAYOUT_CONFIG }, { token: FormFieldLayoutService, self: true }, { token: FormFieldLayoutService, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FormFieldComponent, isStandalone: true, selector: "fdp-form-field", inputs: { label: "label", id: "id", hint: "hint", noLabelLayout: "noLabelLayout", validators: "validators", rank: ["rank", "rank", rankTransformer], placeholder: "placeholder", column: "column", columnLayout: "columnLayout", labelColumnLayout: "labelColumnLayout", fieldColumnLayout: "fieldColumnLayout", gapColumnLayout: "gapColumnLayout", i18Strings: "i18Strings", required: ["required", "required", booleanAttribute], editable: ["editable", "editable", booleanAttribute], columns: ["columns", "columns", columnTransformer], disabled: "disabled", colon: "colon", formGroupContainer: "formGroupContainer" }, outputs: { onChange: "onChange", onColumnChange: "onColumnChange" }, providers: [formFieldProvider$1, formGroupChildProvider$2, FormFieldLayoutService], queries: [{ propertyName: "formFieldExtras", first: true, predicate: FormFieldControlExtrasComponent, descendants: true, read: ElementRef }, { propertyName: "_errorDirectiveQuery", predicate: FormFieldErrorDirective }], viewQueries: [{ propertyName: "renderer", first: true, predicate: ["renderer"], descendants: true, static: true }, { propertyName: "labelCol", first: true, predicate: ["labelCol"], descendants: true }, { propertyName: "inputMessageGroup", first: true, predicate: InputMessageGroupWithTemplate, descendants: true, read: ElementRef }, { propertyName: "innerErrorRenderers", first: true, predicate: ["innerErrorRenderers"], descendants: true }, { propertyName: "_inputMessageGroupCmp", predicate: InputMessageGroupWithTemplate, descendants: true }], usesOnChanges: true, ngImport: i0, template: "<ng-template #renderer>\n    <div [horizontal]=\"true\" fd-form-item class=\"fd-row\">\n        @if (!noLabelLayout) {\n            <div\n                class=\"fd-col\"\n                #labelCol\n                [class]=\"_labelColumnLayoutClass\"\n                [style.margin-bottom.px]=\"_controlExtrasHeightPx\"\n            >\n                <ng-template [ngTemplateOutlet]=\"labelTemplate\"></ng-template>\n            </div>\n        }\n        <ng-template [ngTemplateOutlet]=\"withFormMessage\"></ng-template>\n        <ng-template [ngTemplateOutlet]=\"gapTemplate\"></ng-template>\n    </div>\n    <span aria-hidden=\"true\" [style.display]=\"'none'\" [id]=\"'fdp-form-hint-' + id\">\n        @if (isStringHint(hintOptions.content)) {\n            {{ hintOptions.content }}\n        } @else {\n            <ng-template [ngTemplateOutlet]=\"$any(hintOptions.content)\"></ng-template>\n        }\n    </span>\n</ng-template>\n<ng-template #withFormMessage>\n    <fdp-input-message-group\n        class=\"fd-col\"\n        [class]=\"_fieldColumnLayoutClass\"\n        [attr.aria-labelledby]=\"'fdp-form-label-' + id\"\n    >\n        <ng-template #triggerItem>\n            <ng-content></ng-content>\n        </ng-template>\n\n        @if (hasErrors() && groupedErrors.length > 0) {\n            @for (error of groupedErrors; track error) {\n                <fd-form-message [type]=\"error.directive.type\">\n                    <div>\n                        @if (error.directive._headingTemplateRef) {\n                            <ng-template\n                                [ngTemplateOutlet]=\"error.directive._headingTemplateRef\"\n                                [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                            >\n                            </ng-template>\n                        }\n                        @if (error.directive._headingTemplateRef && error.directive._descriptionTemplateRef) {\n                            <br />\n                        }\n                        @if (error.directive._descriptionTemplateRef) {\n                            <ng-template\n                                [ngTemplateOutlet]=\"error.directive._descriptionTemplateRef\"\n                                [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                            >\n                            </ng-template>\n                        }\n                    </div>\n                </fd-form-message>\n            }\n        }\n\n        @if (groupedErrors.length === 0 && hasErrors() && i18Strings) {\n            <fd-form-message type=\"error\">\n                <ng-template\n                    [ngTemplateOutlet]=\"i18Strings\"\n                    [ngTemplateOutletContext]=\"{ $implicit: control?.ngControl?.errors }\"\n                >\n                </ng-template>\n            </fd-form-message>\n        }\n    </fdp-input-message-group>\n</ng-template>\n\n<ng-template #innerErrorRenderers>\n    @if (hasErrors() && groupedErrors.length > 0) {\n        @for (error of groupedErrors; track error) {\n            <div>\n                @if (error.directive._headingTemplateRef) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"error.directive._headingTemplateRef\"\n                        [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                    >\n                    </ng-template>\n                }\n                @if (error.directive._headingTemplateRef && error.directive._descriptionTemplateRef) {\n                    <br />\n                }\n                @if (error.directive._descriptionTemplateRef) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"error.directive._descriptionTemplateRef\"\n                        [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                    >\n                    </ng-template>\n                }\n            </div>\n        }\n    }\n\n    @if (groupedErrors.length === 0 && hasErrors() && i18Strings) {\n        <ng-template\n            [ngTemplateOutlet]=\"i18Strings\"\n            [ngTemplateOutletContext]=\"{ $implicit: control?.ngControl?.errors }\"\n        >\n        </ng-template>\n    }\n</ng-template>\n\n<ng-template #labelTemplate>\n    @if (hintTarget === 'label') {\n        <label\n            [id]=\"'fdp-form-label-' + id\"\n            [required]=\"editable && required\"\n            fd-form-label\n            [inlineHelpContent]=\"hintOptions.content\"\n            [inlineHelpBodyPlacement]=\"hintOptions.placement || 'top'\"\n            [inlineHelpPlacement]=\"hintOptions.position || 'after'\"\n            [inlineHelpGlyph]=\"hintOptions.glyph || ''\"\n            [inlineHelpTriggers]=\"hintOptions.trigger || []\"\n            [alignLabelEnd]=\"!!isHorizontal$()\"\n            [colon]=\"colon\"\n        >\n            <span [id]=\"'fdp-form-label-content-' + id\">{{ label }}</span>\n        </label>\n    } @else {\n        <label\n            [id]=\"'fdp-form-label-' + id\"\n            [required]=\"editable && required\"\n            fd-form-label\n            [colon]=\"colon\"\n            [alignLabelEnd]=\"!!isHorizontal$()\"\n        >\n            <span [id]=\"'fdp-form-label-content-' + id\">{{ label }}</span>\n        </label>\n    }\n</ng-template>\n\n<ng-template #gapTemplate>\n    @if (hintTarget === 'input' && hintOptions.content) {\n        <div class=\"fd-col fd-form-field-inline-help-container\" [class]=\"_gapColumnLayoutClass\">\n            <span fd-link [undecorated]=\"true\">\n                <fd-icon\n                    [fd-inline-help]=\"hintOptions.content\"\n                    [glyph]=\"hintOptions.glyph\"\n                    [placement]=\"hintOptions.placement || null\"\n                    [triggers]=\"hintOptions.trigger || []\"\n                    tabindex=\"0\"\n                >\n                </fd-icon>\n            </span>\n        </div>\n    } @else {\n        <div class=\"fd-col\" [class]=\"_gapColumnLayoutClass\"></div>\n    }\n</ng-template>\n", styles: [".fd-form-label__wrapper{display:flex;width:100%;white-space:nowrap}.fd-form-field-inline-help-container{overflow:visible!important}.fd-form-field-inline-help-container [class*=sap-icon]{margin:0}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: FormItemComponent, selector: "[fd-form-item]", inputs: ["isInline", "horizontal"] }, { kind: "component", type: InputMessageGroupWithTemplate, selector: "fdp-input-message-group", inputs: ["triggers"] }, { kind: "component", type: FormMessageComponent, selector: "fd-form-message", inputs: ["type", "static", "embedded", "class"] }, { kind: "component", type: FormLabelComponent, selector: "[fd-form-label]", inputs: ["required", "colon", "alignLabelEnd", "inlineHelpContent", "inlineHelpGlyph", "inlineHelpTriggers", "inlineHelpBodyPlacement", "inlineHelpPlacement", "allowWrap", "inlineHelpLabel", "id"] }, { kind: "component", type: LinkComponent, selector: "[fdLink], [fd-link]", inputs: ["class", "emphasized", "disabled", "inverted", "subtle", "undecorated"] }, { kind: "component", type: IconComponent, selector: "fd-icon", inputs: ["glyph", "font", "color", "background", "class", "ariaLabel", "ariaHidden"] }, { kind: "directive", type: InlineHelpDirective, selector: "[fd-inline-help]:not([fd-inline-help-template]), [fd-inline-help-template]:not([fd-inline-help])", inputs: ["triggers", "noArrow", "closeOnEscapeKey", "closeOnOutsideClick", "fd-inline-help"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-form-field', changeDetection: ChangeDetectionStrategy.OnPush, providers: [formFieldProvider$1, formGroupChildProvider$2, FormFieldLayoutService], imports: [
                        CommonModule,
                        FormItemComponent,
                        NgTemplateOutlet,
                        InputMessageGroupWithTemplate,
                        FormMessageComponent,
                        FormLabelComponent,
                        LinkComponent,
                        IconComponent,
                        InlineHelpDirective
                    ], template: "<ng-template #renderer>\n    <div [horizontal]=\"true\" fd-form-item class=\"fd-row\">\n        @if (!noLabelLayout) {\n            <div\n                class=\"fd-col\"\n                #labelCol\n                [class]=\"_labelColumnLayoutClass\"\n                [style.margin-bottom.px]=\"_controlExtrasHeightPx\"\n            >\n                <ng-template [ngTemplateOutlet]=\"labelTemplate\"></ng-template>\n            </div>\n        }\n        <ng-template [ngTemplateOutlet]=\"withFormMessage\"></ng-template>\n        <ng-template [ngTemplateOutlet]=\"gapTemplate\"></ng-template>\n    </div>\n    <span aria-hidden=\"true\" [style.display]=\"'none'\" [id]=\"'fdp-form-hint-' + id\">\n        @if (isStringHint(hintOptions.content)) {\n            {{ hintOptions.content }}\n        } @else {\n            <ng-template [ngTemplateOutlet]=\"$any(hintOptions.content)\"></ng-template>\n        }\n    </span>\n</ng-template>\n<ng-template #withFormMessage>\n    <fdp-input-message-group\n        class=\"fd-col\"\n        [class]=\"_fieldColumnLayoutClass\"\n        [attr.aria-labelledby]=\"'fdp-form-label-' + id\"\n    >\n        <ng-template #triggerItem>\n            <ng-content></ng-content>\n        </ng-template>\n\n        @if (hasErrors() && groupedErrors.length > 0) {\n            @for (error of groupedErrors; track error) {\n                <fd-form-message [type]=\"error.directive.type\">\n                    <div>\n                        @if (error.directive._headingTemplateRef) {\n                            <ng-template\n                                [ngTemplateOutlet]=\"error.directive._headingTemplateRef\"\n                                [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                            >\n                            </ng-template>\n                        }\n                        @if (error.directive._headingTemplateRef && error.directive._descriptionTemplateRef) {\n                            <br />\n                        }\n                        @if (error.directive._descriptionTemplateRef) {\n                            <ng-template\n                                [ngTemplateOutlet]=\"error.directive._descriptionTemplateRef\"\n                                [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                            >\n                            </ng-template>\n                        }\n                    </div>\n                </fd-form-message>\n            }\n        }\n\n        @if (groupedErrors.length === 0 && hasErrors() && i18Strings) {\n            <fd-form-message type=\"error\">\n                <ng-template\n                    [ngTemplateOutlet]=\"i18Strings\"\n                    [ngTemplateOutletContext]=\"{ $implicit: control?.ngControl?.errors }\"\n                >\n                </ng-template>\n            </fd-form-message>\n        }\n    </fdp-input-message-group>\n</ng-template>\n\n<ng-template #innerErrorRenderers>\n    @if (hasErrors() && groupedErrors.length > 0) {\n        @for (error of groupedErrors; track error) {\n            <div>\n                @if (error.directive._headingTemplateRef) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"error.directive._headingTemplateRef\"\n                        [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                    >\n                    </ng-template>\n                }\n                @if (error.directive._headingTemplateRef && error.directive._descriptionTemplateRef) {\n                    <br />\n                }\n                @if (error.directive._descriptionTemplateRef) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"error.directive._descriptionTemplateRef\"\n                        [ngTemplateOutletContext]=\"{ $implicit: error.error, label: label }\"\n                    >\n                    </ng-template>\n                }\n            </div>\n        }\n    }\n\n    @if (groupedErrors.length === 0 && hasErrors() && i18Strings) {\n        <ng-template\n            [ngTemplateOutlet]=\"i18Strings\"\n            [ngTemplateOutletContext]=\"{ $implicit: control?.ngControl?.errors }\"\n        >\n        </ng-template>\n    }\n</ng-template>\n\n<ng-template #labelTemplate>\n    @if (hintTarget === 'label') {\n        <label\n            [id]=\"'fdp-form-label-' + id\"\n            [required]=\"editable && required\"\n            fd-form-label\n            [inlineHelpContent]=\"hintOptions.content\"\n            [inlineHelpBodyPlacement]=\"hintOptions.placement || 'top'\"\n            [inlineHelpPlacement]=\"hintOptions.position || 'after'\"\n            [inlineHelpGlyph]=\"hintOptions.glyph || ''\"\n            [inlineHelpTriggers]=\"hintOptions.trigger || []\"\n            [alignLabelEnd]=\"!!isHorizontal$()\"\n            [colon]=\"colon\"\n        >\n            <span [id]=\"'fdp-form-label-content-' + id\">{{ label }}</span>\n        </label>\n    } @else {\n        <label\n            [id]=\"'fdp-form-label-' + id\"\n            [required]=\"editable && required\"\n            fd-form-label\n            [colon]=\"colon\"\n            [alignLabelEnd]=\"!!isHorizontal$()\"\n        >\n            <span [id]=\"'fdp-form-label-content-' + id\">{{ label }}</span>\n        </label>\n    }\n</ng-template>\n\n<ng-template #gapTemplate>\n    @if (hintTarget === 'input' && hintOptions.content) {\n        <div class=\"fd-col fd-form-field-inline-help-container\" [class]=\"_gapColumnLayoutClass\">\n            <span fd-link [undecorated]=\"true\">\n                <fd-icon\n                    [fd-inline-help]=\"hintOptions.content\"\n                    [glyph]=\"hintOptions.glyph\"\n                    [placement]=\"hintOptions.placement || null\"\n                    [triggers]=\"hintOptions.trigger || []\"\n                    tabindex=\"0\"\n                >\n                </fd-icon>\n            </span>\n        </div>\n    } @else {\n        <div class=\"fd-col\" [class]=\"_gapColumnLayoutClass\"></div>\n    }\n</ng-template>\n", styles: [".fd-form-label__wrapper{display:flex;width:100%;white-space:nowrap}.fd-form-field-inline-help-container{overflow:visible!important}.fd-form-field-inline-help-container [class*=sap-icon]{margin:0}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i1.FormGroupContainer, decorators: [{
                    type: Optional
                }] }, { type: i1.FormFieldGroup, decorators: [{
                    type: Optional
                }] }, { type: i1.ResponsiveBreakPointConfig, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [RESPONSIVE_BREAKPOINTS_CONFIG]
                }] }, { type: i1.ResponsiveBreakpointsService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [FDP_FORM_FIELD_HINT_OPTIONS_DEFAULT]
                }] }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [FDP_FORM_FIELD_HINT_LAYOUT_CONFIG]
                }] }, { type: FormFieldLayoutService, decorators: [{
                    type: Self
                }] }, { type: FormFieldLayoutService, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }], propDecorators: { label: [{
                type: Input
            }], id: [{
                type: Input
            }], hint: [{
                type: Input
            }], noLabelLayout: [{
                type: Input
            }], validators: [{
                type: Input
            }], rank: [{
                type: Input,
                args: [{ transform: rankTransformer }]
            }], placeholder: [{
                type: Input
            }], column: [{
                type: Input
            }], columnLayout: [{
                type: Input
            }], labelColumnLayout: [{
                type: Input
            }], fieldColumnLayout: [{
                type: Input
            }], gapColumnLayout: [{
                type: Input
            }], i18Strings: [{
                type: Input
            }], required: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], editable: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], columns: [{
                type: Input,
                args: [{ transform: columnTransformer }]
            }], disabled: [{
                type: Input
            }], colon: [{
                type: Input
            }], formGroupContainer: [{
                type: Input
            }], 
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        onChange: [{
                type: Output
            }], 
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        onColumnChange: [{
                type: Output
            }], renderer: [{
                type: ViewChild,
                args: ['renderer', { static: true }]
            }], formFieldExtras: [{
                type: ContentChild,
                args: [FormFieldControlExtrasComponent, { read: ElementRef }]
            }], labelCol: [{
                type: ViewChild,
                args: ['labelCol']
            }], inputMessageGroup: [{
                type: ViewChild,
                args: [InputMessageGroupWithTemplate, { read: ElementRef }]
            }], innerErrorRenderers: [{
                type: ViewChild,
                args: ['innerErrorRenderers']
            }], _errorDirectiveQuery: [{
                type: ContentChildren,
                args: [FormFieldErrorDirective]
            }], _inputMessageGroupCmp: [{
                type: ViewChildren,
                args: [InputMessageGroupWithTemplate]
            }] } });

class DynamicFormControlGroup extends FormGroup {
    /** @hidden */
    constructor(formItem, controls, validatorOrOpts, asyncValidator) {
        super(controls, validatorOrOpts, asyncValidator);
        /** @hidden */
        this.type = 'group';
        this.formItem = formItem;
    }
}
class DynamicFormControl extends FormControl {
    /**
     * @description Creates a new `DynamicFormControl` instance.
     *
     * @param formState Initializes the control with an initial value,
     * or an object that defines the initial value and disabled state.
     *
     * @param validatorOrOpts A synchronous validator function, or an array of
     * such functions, or an `AbstractControlOptions` object that contains validation functions
     * and a validation trigger.
     *
     * @param asyncValidator A single async validator or array of async validator functions
     *
     * @param formItem `DynamicFormItem` object
     *
     */
    constructor(formState, validatorOrOpts) {
        super(formState, validatorOrOpts);
        /** @hidden */
        this.type = 'field';
        this.formItem = validatorOrOpts.dynamicFormItem;
    }
}

const DEFAULT_VALIDATION_ERRORS = {
    required: 'This field is required',
    validator: 'This field is invalid'
};

/** Change event object emitted by Platform Checkbox. */
class PlatformCheckboxChange {
}
let nextUniqueId$1 = 0;
class CheckboxComponent extends BaseInput {
    // this is undesired to have "checked" input instead of "value"
    // but it was done this way initially and we have to keep this in order to not break anything
    /**
     * Checked state of the checkbox control.
     */
    // eslint-disable-next-line @angular-eslint/no-input-rename
    set value(selectValue) {
        this.setValue(selectValue);
    }
    get value() {
        return this.getValue();
    }
    /** @hidden */
    constructor(tabIndexValue = 0) {
        super();
        this.tabIndexValue = tabIndexValue;
        /** true when checkbox has indeterminate state */
        this.tristate = false;
        /** when true indeterminate state can be selected */
        this.tristateSelectable = false;
        /** Whether checkbox should be rendered standalone (without any text). */
        this.standalone = false;
        /** Whether the checkbox should be rendered in display-only mode. */
        this.displayOnly = false;
        /**
         * Emitting checked event for non-form checkbox
         */
        this.checkedChange = new EventEmitter();
        // necessary to fulfill baseInput check.
        // case: fdp-checkbox passed in declarative fdp-checkbox-group without id and name.
        this.name = `fdp-checkbox-${nextUniqueId$1++}`;
        this.tabIndexValue = tabIndexValue;
    }
    /** update controller on checkbox state change */
    onModelChange(value) {
        this.value = value;
        this._emitChangeEvent();
        this.stateChanges.next('checkbox: onModelChange');
    }
    /**
     * Method to emit change event
     */
    _emitChangeEvent() {
        this.checkedChange.emit(this.value);
        const event = new PlatformCheckboxChange();
        event.source = this;
        event.checked = this.value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: CheckboxComponent, deps: [{ token: 'tabIndexValue', attribute: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: CheckboxComponent, isStandalone: true, selector: "fdp-checkbox", inputs: { title: "title", label: "label", tristate: "tristate", value: ["checked", "value"], tristateSelectable: "tristateSelectable", values: "values", standalone: "standalone", displayOnly: "displayOnly" }, outputs: { checkedChange: "checkedChange" }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => CheckboxComponent), multi: true }], viewQueries: [{ propertyName: "coreCheckbox", first: true, predicate: CheckboxComponent$1, descendants: true }], usesInheritance: true, ngImport: i0, template: "<div fd-form-item>\n    <fd-checkbox\n        [inputId]=\"id\"\n        [name]=\"name\"\n        [disabled]=\"disabled\"\n        [readonly]=\"readonly\"\n        [label]=\"label\"\n        [tristate]=\"tristate\"\n        [values]=\"values\"\n        [tristateSelectable]=\"tristateSelectable\"\n        [state]=\"state\"\n        [title]=\"title\"\n        [required]=\"required\"\n        [ariaLabel]=\"ariaLabel || null\"\n        [ariaLabelledBy]=\"ariaLabelledBy\"\n        [ariaDescribedBy]=\"ariaDescribedBy\"\n        [ngModel]=\"value\"\n        [standalone]=\"standalone\"\n        [displayOnly]=\"displayOnly\"\n        (ngModelChange)=\"onModelChange($event)\"\n        (focusChange)=\"_onFocusChanged($event)\"\n    >\n        <ng-content></ng-content>\n    </fd-checkbox>\n</div>\n", dependencies: [{ kind: "component", type: FormItemComponent, selector: "[fd-form-item]", inputs: ["isInline", "horizontal"] }, { kind: "component", type: CheckboxComponent$1, selector: "fd-checkbox", inputs: ["wrapLabel", "valignLabel", "ariaLabel", "role", "value", "ariaLabelledBy", "ariaDescribedBy", "title", "inputId", "state", "name", "label", "disabled", "readonly", "tristate", "tristateSelectable", "labelClass", "required", "displayOnly", "values", "standalone"], outputs: ["focusChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: CheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-checkbox', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => CheckboxComponent), multi: true }], imports: [FormItemComponent, CheckboxComponent$1, FormsModule], template: "<div fd-form-item>\n    <fd-checkbox\n        [inputId]=\"id\"\n        [name]=\"name\"\n        [disabled]=\"disabled\"\n        [readonly]=\"readonly\"\n        [label]=\"label\"\n        [tristate]=\"tristate\"\n        [values]=\"values\"\n        [tristateSelectable]=\"tristateSelectable\"\n        [state]=\"state\"\n        [title]=\"title\"\n        [required]=\"required\"\n        [ariaLabel]=\"ariaLabel || null\"\n        [ariaLabelledBy]=\"ariaLabelledBy\"\n        [ariaDescribedBy]=\"ariaDescribedBy\"\n        [ngModel]=\"value\"\n        [standalone]=\"standalone\"\n        [displayOnly]=\"displayOnly\"\n        (ngModelChange)=\"onModelChange($event)\"\n        (focusChange)=\"_onFocusChanged($event)\"\n    >\n        <ng-content></ng-content>\n    </fd-checkbox>\n</div>\n" }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Attribute,
                    args: ['tabIndexValue']
                }] }], propDecorators: { title: [{
                type: Input
            }], label: [{
                type: Input
            }], tristate: [{
                type: Input
            }], value: [{
                type: Input,
                args: ['checked']
            }], tristateSelectable: [{
                type: Input
            }], values: [{
                type: Input
            }], standalone: [{
                type: Input
            }], displayOnly: [{
                type: Input
            }], checkedChange: [{
                type: Output
            }], coreCheckbox: [{
                type: ViewChild,
                args: [CheckboxComponent$1]
            }] } });

/**
 * Checkbox group implementation based on the
 * https://github.com/SAP/fundamental-ngx/wiki/Platform:-CheckboxGroup-Technical-Design
 * documents.
 */
class CheckboxGroupComponent extends InLineLayoutCollectionBaseInput {
    constructor() {
        super(...arguments);
        /** Emits checked change event */
        this.valueChange = new EventEmitter();
        /** @hidden */
        this._selectionModel = new SelectionModel(true);
        /** @hidden */
        this._rangeSelector = new RangeSelector();
    }
    /**
     * value for selected checkboxes.
     */
    set value(selectedValue) {
        this.setValue(selectedValue);
        this._updateSelectionModelByValue();
    }
    get value() {
        return this.getValue();
    }
    /**
     * To Display multiple checkboxes in a line
     */
    set isInline(inline) {
        this._inlineCurrentValue$.next(inline);
    }
    get isInline() {
        return this._inlineCurrentValue$.value;
    }
    /**
     * @hidden
     * @param selectionState actual value of the checkbox
     * @param checkboxTrueValue thuthy value to compare the "selectionState" with
     */
    onModelChanged(selectionState, checkboxTrueValue) {
        const isSelected = selectionState === checkboxTrueValue;
        if (isSelected) {
            this._selectionModel.select(checkboxTrueValue);
        }
        else {
            this._selectionModel.deselect(checkboxTrueValue);
        }
        this._setValueBySelectionModel();
        this.onTouched();
        this.valueChange.emit(this.value);
    }
    /** @hidden */
    onCheckboxClick(index, source, event) {
        // this handler will be invoked after "valueChange"
        const queryList = source === 'list' ? this.viewCheckboxes : this.contentCheckboxes;
        const target = queryList.get(index);
        const isChecked = this._selectionModel.isSelected(target?.values.trueValue);
        this._rangeSelector.onRangeElementToggled(index, event);
        if (!this._rangeSelector.lastRangeSelectionState?.isRangeSelection) {
            // no need to proceed, if it's not a range selection - current checkbox is already updated
            return;
        }
        this._rangeSelector.applyValueToEachInRange((idx) => {
            const checkbox = queryList.get(idx);
            if (checkbox?.disabled) {
                return;
            }
            const checkboxValue = checkbox?.values.trueValue;
            if (isChecked) {
                this._selectionModel.select(checkboxValue);
            }
            else {
                this._selectionModel.deselect(checkboxValue);
            }
        });
        this._setValueBySelectionModel();
        this.valueChange.emit(this.value);
    }
    /** @hidden */
    writeValue(selectedValue) {
        super.writeValue(coerceArraySafe(selectedValue));
        this._updateSelectionModelByValue();
    }
    /**
     * access display value for objects, acts as checkbox label.
     */
    getDisplayValue(item) {
        return this.displayValue(item);
    }
    /**
     * access lookup value for objects, acts as checkbox value.
     */
    getLookupValue(item) {
        return this.lookupValue(item);
    }
    /** @hidden */
    getListItemDisabledValue(item) {
        return this.disabled || !!item?.disabled;
    }
    /** @inheritdoc */
    setValue(value, emitOnChange = true) {
        super.setValue(coerceArraySafe(value), emitOnChange);
    }
    /** @hidden */
    _setValueBySelectionModel() {
        super.setValue(this._selectionModel.selected);
        this.markForCheck();
    }
    /** @hidden */
    _updateSelectionModelByValue() {
        this._selectionModel.clear();
        this.value.forEach((v) => this._selectionModel.select(v));
        this.markForCheck();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: CheckboxGroupComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: CheckboxGroupComponent, isStandalone: true, selector: "fdp-checkbox-group", inputs: { value: "value", isInline: "isInline" }, outputs: { valueChange: "valueChange" }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => CheckboxGroupComponent), multi: true }], queries: [{ propertyName: "contentCheckboxes", predicate: CheckboxComponent }], viewQueries: [{ propertyName: "viewCheckboxes", predicate: CheckboxComponent, descendants: true }], usesInheritance: true, ngImport: i0, template: "<fd-form-group\n    [isInline]=\"isInline\"\n    role=\"group\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-required]=\"required\"\n>\n    @if (!list) {\n        @for (checkbox of contentCheckboxes; track checkbox; let i = $index) {\n            <ng-template\n                [ngTemplateOutlet]=\"checkboxtmpt\"\n                [ngTemplateOutletContext]=\"{\n                    id: id + i,\n                    idx: i,\n                    source: 'contentChildren',\n                    name: name,\n                    checkboxValue: checkbox.coreCheckbox?.values?.trueValue,\n                    labeltext: checkbox.label,\n                    disabled: disabled || checkbox.disabled,\n                    ariaLabel: checkbox.ariaLabel,\n                    ariaLabelledBy: checkbox.ariaLabelledBy,\n                    ariaDescribedBy: checkbox.ariaDescribedBy,\n                    title: checkbox.title\n                }\"\n            >\n            </ng-template>\n        }\n    } @else {\n        <ng-template [ngTemplateOutlet]=\"listvalues\"></ng-template>\n    }\n</fd-form-group>\n<ng-template #listvalues>\n    @for (item of list; track item; let i = $index) {\n        <ng-template\n            [ngTemplateOutlet]=\"checkboxtmpt\"\n            [ngTemplateOutletContext]=\"{\n                id: id + i,\n                idx: i,\n                source: 'list',\n                name: name,\n                checkboxValue: getLookupValue(item),\n                labeltext: getDisplayValue(item),\n                disabled: getListItemDisabledValue(item)\n            }\"\n        >\n        </ng-template>\n    }\n</ng-template>\n<ng-template\n    #checkboxtmpt\n    let-id=\"id\"\n    let-idx=\"idx\"\n    let-source=\"source\"\n    let-name=\"name\"\n    let-checkboxValue=\"checkboxValue\"\n    let-labeltext=\"labeltext\"\n    let-checkboxDisabled=\"disabled\"\n    let-ariaLabel=\"ariaLabel\"\n    let-ariaLabelledBy=\"ariaLabelledBy\"\n    let-ariaDescribedBy=\"ariaDescribedBy\"\n    let-title=\"title\"\n>\n    <fdp-checkbox\n        [id]=\"id\"\n        [name]=\"name\"\n        [values]=\"{ trueValue: checkboxValue }\"\n        [label]=\"labeltext\"\n        [ariaLabel]=\"ariaLabel\"\n        [ariaLabelledBy]=\"ariaLabelledBy\"\n        [ariaDescribedBy]=\"ariaDescribedBy\"\n        [title]=\"title\"\n        [disabled]=\"checkboxDisabled\"\n        [state]=\"state\"\n        [ngModel]=\"_selectionModel.isSelected(checkboxValue) ? checkboxValue : false\"\n        (ngModelChange)=\"onModelChanged($event, checkboxValue)\"\n        (click)=\"onCheckboxClick(idx, source, $event)\"\n    >\n    </fdp-checkbox>\n</ng-template>\n", dependencies: [{ kind: "component", type: FormGroupComponent$1, selector: "fd-form-group", inputs: ["isInline"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: CheckboxComponent, selector: "fdp-checkbox", inputs: ["title", "label", "tristate", "checked", "tristateSelectable", "values", "standalone", "displayOnly"], outputs: ["checkedChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: CheckboxGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-checkbox-group', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => CheckboxGroupComponent), multi: true }], imports: [FormGroupComponent$1, NgTemplateOutlet, CheckboxComponent, FormsModule], template: "<fd-form-group\n    [isInline]=\"isInline\"\n    role=\"group\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-required]=\"required\"\n>\n    @if (!list) {\n        @for (checkbox of contentCheckboxes; track checkbox; let i = $index) {\n            <ng-template\n                [ngTemplateOutlet]=\"checkboxtmpt\"\n                [ngTemplateOutletContext]=\"{\n                    id: id + i,\n                    idx: i,\n                    source: 'contentChildren',\n                    name: name,\n                    checkboxValue: checkbox.coreCheckbox?.values?.trueValue,\n                    labeltext: checkbox.label,\n                    disabled: disabled || checkbox.disabled,\n                    ariaLabel: checkbox.ariaLabel,\n                    ariaLabelledBy: checkbox.ariaLabelledBy,\n                    ariaDescribedBy: checkbox.ariaDescribedBy,\n                    title: checkbox.title\n                }\"\n            >\n            </ng-template>\n        }\n    } @else {\n        <ng-template [ngTemplateOutlet]=\"listvalues\"></ng-template>\n    }\n</fd-form-group>\n<ng-template #listvalues>\n    @for (item of list; track item; let i = $index) {\n        <ng-template\n            [ngTemplateOutlet]=\"checkboxtmpt\"\n            [ngTemplateOutletContext]=\"{\n                id: id + i,\n                idx: i,\n                source: 'list',\n                name: name,\n                checkboxValue: getLookupValue(item),\n                labeltext: getDisplayValue(item),\n                disabled: getListItemDisabledValue(item)\n            }\"\n        >\n        </ng-template>\n    }\n</ng-template>\n<ng-template\n    #checkboxtmpt\n    let-id=\"id\"\n    let-idx=\"idx\"\n    let-source=\"source\"\n    let-name=\"name\"\n    let-checkboxValue=\"checkboxValue\"\n    let-labeltext=\"labeltext\"\n    let-checkboxDisabled=\"disabled\"\n    let-ariaLabel=\"ariaLabel\"\n    let-ariaLabelledBy=\"ariaLabelledBy\"\n    let-ariaDescribedBy=\"ariaDescribedBy\"\n    let-title=\"title\"\n>\n    <fdp-checkbox\n        [id]=\"id\"\n        [name]=\"name\"\n        [values]=\"{ trueValue: checkboxValue }\"\n        [label]=\"labeltext\"\n        [ariaLabel]=\"ariaLabel\"\n        [ariaLabelledBy]=\"ariaLabelledBy\"\n        [ariaDescribedBy]=\"ariaDescribedBy\"\n        [title]=\"title\"\n        [disabled]=\"checkboxDisabled\"\n        [state]=\"state\"\n        [ngModel]=\"_selectionModel.isSelected(checkboxValue) ? checkboxValue : false\"\n        (ngModelChange)=\"onModelChanged($event, checkboxValue)\"\n        (click)=\"onCheckboxClick(idx, source, $event)\"\n    >\n    </fdp-checkbox>\n</ng-template>\n" }]
        }], propDecorators: { value: [{
                type: Input
            }], isInline: [{
                type: Input
            }], contentCheckboxes: [{
                type: ContentChildren,
                args: [CheckboxComponent]
            }], viewCheckboxes: [{
                type: ViewChildren,
                args: [CheckboxComponent]
            }], valueChange: [{
                type: Output
            }] } });

class PlatformCheckboxGroupModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxGroupModule, imports: [CheckboxGroupComponent], exports: [CheckboxGroupComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxGroupModule, imports: [CheckboxGroupComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CheckboxGroupComponent],
                    exports: [CheckboxGroupComponent]
                }]
        }] });

const dynamicFormFieldProvider = {
    provide: FD_FORM_FIELD,
    useExisting: forwardRef(() => FormFieldComponent)
};
const dynamicFormGroupChildProvider = {
    provide: FORM_GROUP_CHILD_FIELD_TOKEN,
    useExisting: forwardRef(() => FormFieldComponent)
};
const FORM_GENERATOR_ITEM_CONFIG = new InjectionToken('FormGeneratorItemConfig');
const FORM_GENERATOR_CONFIG = new InjectionToken('FormGeneratorConfig');
const defaultFormGeneratorConfig = {
    controlNameSeparator: '|',
    ungroupedControlsName: 'ungrouped'
};
const defaultFormGeneratorConfigProvider = {
    provide: FORM_GENERATOR_CONFIG,
    useValue: defaultFormGeneratorConfig
};
const defaultFormGeneratorItemConfig = {
    useMessageAsPlaceholder: true,
    required: false,
    validators: [Validators.nullValidator]
};
const defaultFormGeneratorItemConfigProvider = {
    provide: FORM_GENERATOR_ITEM_CONFIG,
    useValue: defaultFormGeneratorItemConfig
};

/**
 * Abstract class that used as a base for the Dynamic Form Generator components.
 */
class BaseDynamicFormGeneratorControl {
    /** @description Returns form item choices. */
    get choices() {
        return this.formItem.choices ?? [];
    }
    /** @description Returns form item placeholder. */
    get placeholder() {
        if (!this.formItem) {
            return '';
        }
        if (this.formItem?.placeholder) {
            return this.formItem?.placeholder;
        }
        return (this.formItem?.useMessageAsPlaceholder && this.formItem?.message) || '';
    }
    /** @hidden */
    get readonly() {
        return this.formItem?.readonly ?? false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseDynamicFormGeneratorControl, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: BaseDynamicFormGeneratorControl, isStandalone: true, inputs: { formItem: "formItem", id: "id", name: "name", form: "form", formField: "formField", formGroupName: "formGroupName" }, providers: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseDynamicFormGeneratorControl, decorators: [{
            type: Directive,
            args: [{
                    providers: [dynamicFormFieldProvider, dynamicFormGroupChildProvider]
                }]
        }], propDecorators: { formItem: [{
                type: Input
            }], id: [{
                type: Input
            }], name: [{
                type: Input
            }], form: [{
                type: Input
            }], formField: [{
                type: Input
            }], formGroupName: [{
                type: Input
            }] } });

class DynamicFormGeneratorCheckboxComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorCheckboxComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorCheckboxComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-checkbox", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-checkbox-group\n            [id]=\"id\"\n            [isInline]=\"formItem.guiOptions?.inline || false\"\n            [inlineLayout]=\"formItem.guiOptions?.inlineLayout\"\n            [name]=\"name\"\n            [list]=\"choices\"\n            [formControlName]=\"name\"\n        ></fdp-checkbox-group>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "ngmodule", type: PlatformCheckboxGroupModule }, { kind: "component", type: CheckboxGroupComponent, selector: "fdp-checkbox-group", inputs: ["value", "isInline"], outputs: ["valueChange"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-checkbox', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, PlatformCheckboxGroupModule], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-checkbox-group\n            [id]=\"id\"\n            [isInline]=\"formItem.guiOptions?.inline || false\"\n            [inlineLayout]=\"formItem.guiOptions?.inlineLayout\"\n            [name]=\"name\"\n            [list]=\"choices\"\n            [formControlName]=\"name\"\n        ></fdp-checkbox-group>\n    </ng-container>\n</ng-container>\n" }]
        }] });

/**
 * The Platform date picker component is a wrapper around fd-date-picker using platform form.
 * It is able to provide form field functionalities as well along with fd-date-picker functions.
 *
 * <fdp-form-group #ffg [formGroup]="datePickerForm">
 *      <fdp-form-field #ffl1 id="birthday">
 *          <fdp-date-picker name="birthday" type="single" [formControl]="ffl1.formControl"></fdp-date-picker>
 *      </fdp-form-field>
 * </fdp-form-group>
 *
 */
class PlatformDatePickerComponent extends BaseInput {
    /**
     * date-picker value set as controller value
     */
    set value(value) {
        super.setValue(value);
    }
    get value() {
        return super.getValue();
    }
    /**
     *  The state of the form control - applies css classes.
     *  Can be `success`, `error`, `warning`, `information` or blank for default.
     */
    set state(state) {
        super.state = state;
    }
    get state() {
        if (this.fdDatePickerComponent?._isInvalidDateInput || !this._datePickerValid) {
            return 'error';
        }
        return super.state;
    }
    /** @hidden */
    constructor() {
        super();
        /** below code taken from core/date-picker */
        /** The type of calendar, 'single' for single date selection or 'range' for a range of dates. */
        this.type = 'single';
        /** The currently selected date model in multiple mode. */
        this.selectedMultipleDates = [];
        /** The currently selected date model with multiple ranges. */
        this.selectedMultipleDateRanges = [];
        /**
         * Whether user wants to mark day cells on hover.
         * Works only on range mode, when start date is selected on Day View.
         */
        this.rangeHoverEffect = false;
        /** Whether to validate the date picker input. */
        this.useValidation = true;
        /** Enables Today-Selection-Button if true */
        this.showTodayButton = false;
        /** Label for Today-Selection-Button */
        this.todayButtonLabel = 'Today';
        /** Whether a null input is considered valid. */
        this.allowNull = true;
        /** Actually shown active view one of 'day' | 'month' | 'year' in calendar component*/
        this.activeView = FdCalendarViewEnum.Day;
        /**
         *  The placement of the popover. It can be one of: top, top-start, top-end, bottom,
         *  bottom-start, bottom-end, right, right-start, right-end, left, left-start, left-end.
         */
        this.placement = 'bottom-start';
        /** Defines if date picker should be closed after date choose */
        this.closeOnDateChoose = true;
        /**
         * Whether AddOn Button should be focusable
         * @default true
         */
        this.buttonFocusable = true;
        /**
         * Special days mark, it can be used by passing array of object with
         * Special day number, list 1-20 [class:`fd-calendar__item--legend-{{number}}`] is available there:
         * https://sap.github.io/fundamental-styles/components/calendar.html calendar special days section
         * Rule accepts method with FdDate object as a parameter. ex:
         * `rule: (fdDate: FdDate) => fdDate.getDay() === 1`, which will mark all sundays as special day.
         */
        this.specialDaysRules = [];
        /**
         * Object to customize year grid,
         * Row, Columns and method to display year can be modified
         */
        this.yearGrid = {
            rows: 4,
            cols: 5,
            yearMapping: (num) => num.toString()
        };
        /**
         * Object to customize aggregated year grid,
         * Row, Columns and method to display year can be modified
         */
        this.aggregatedYearGrid = {
            rows: 4,
            cols: 3,
            yearMapping: (num) => num.toString()
        };
        /**
         * Whether user wants to mark sunday/saturday with `fd-calendar__item--weekend` class
         */
        this.markWeekends = true;
        /**
         * Whether user wants to show week numbers next to days
         */
        this.showWeekNumbers = true;
        /**
         * Whether the user wants to select multiple days or multiple range dates.
         * If `displayWeekNumbers` is true, the user can click on the week number to mark the related row.
         * The user can click on week days to mark the related column.
         * Note: Clickable selection for week row or column does not work for range selections.
         */
        this.allowMultipleSelection = false;
        /** Whether the date picker is open. Can be used through two-way binding. */
        this.isOpen = false;
        /** Should date picker be inlined. */
        this.inline = true;
        /**
         * Whether to recalculate value from the input as user types or on blur.
         * By default, updates the value as user types.
         * @default false
         */
        this.processInputOnBlur = false;
        /**
         * Whether to prevent page scrolling when focusing date picker input field after calendar has been closed.
         */
        this.preventScrollOnFocus = false;
        /** Whether date picker should rendered in mobile mode. */
        this.mobile = false;
        /** Whether calendar is used inside mobile in landscape mode, it also adds close button on right side */
        this.mobileLandscape = false;
        /** Whether calendar is used inside mobile in portrait mode */
        this.mobilePortrait = false;
        /** Event emitted when the state of the isOpen property changes. */
        this.isOpenChange = new EventEmitter();
        /** Event thrown every time selected date in single mode is changed */
        this.selectedDateChange = new EventEmitter();
        /** Event thrown every time the selected dates in multiple mode are changed. */
        this.selectedMultipleDatesChange = new EventEmitter();
        /** Event thrown every time selected first or last date in range mode is changed */
        this.selectedRangeDateChange = new EventEmitter();
        /** Event thrown every time the first or last date in multiple range mode is changed. */
        this.selectedMultipleDateRangesChange = new EventEmitter();
        /** Event thrown every time calendar active view is changed */
        this.activeViewChange = new EventEmitter();
        /** @hidden */
        this._datePickerValid = true;
        /** @hidden */
        this._dateTimeAdapter = inject(DatetimeAdapter, {
            optional: true
        });
        /** @hidden */
        this._dateTimeFormats = inject(DATE_TIME_FORMATS, {
            optional: true
        });
        /**
         * Function used to disable certain dates in the calendar.
         */
        this.disableFunction = () => false;
        /**
         * Function used to disable certain dates in the calendar for the range start selection.
         */
        this.disableRangeStartFunction = () => false;
        /**
         * Function used to disable certain dates in the calendar for the range end selection.
         */
        this.disableRangeEndFunction = () => false;
        /**
         * Method that handles changes when popover is opened or closed.
         */
        this.handleOpenChange = (open) => {
            this.isOpenChange.emit(open);
        };
        /** @hidden */
        this.handleSelectedDateChange = (fdDate) => {
            this.selectedDateChange.emit(fdDate);
        };
        /** @hidden */
        this.handleSelectedMultipleDatesChange = (fdDate) => {
            this.selectedMultipleDatesChange.emit(fdDate);
        };
        /** @hidden */
        this.handleSelectedRangeDateChange = (fdRangeDate) => {
            this.selectedRangeDateChange.emit(fdRangeDate);
        };
        /** @hidden */
        this.handleSelectedMultipleDateRangesChange = (fdRangeDate) => {
            this.selectedMultipleDateRangesChange.emit(fdRangeDate);
        };
        /** @hidden */
        this.handleActiveViewChange = (fdCalendarView) => {
            this.activeViewChange.emit(fdCalendarView);
        };
        if (!this._dateTimeAdapter) {
            throw createMissingDateImplementationError$1('DateTimeAdapter');
        }
        if (!this._dateTimeFormats) {
            throw createMissingDateImplementationError$1('DATE_TIME_FORMATS');
        }
    }
    /** @hidden */
    writeValue(value) {
        super.writeValue(value);
        this.detectChanges();
    }
    /**
     * validates date on date change.
     * @param value D | DateRange<D>
     */
    handleDateChange(value) {
        this.value = value;
        if (this.allowMultipleSelection) {
            if (this.type === 'single' && !this.value && !this.allowNull) {
                this._datePickerValid = false;
            }
            else if (this.type === 'range' && !this.allowNull) {
                const dateRanges = this.value;
                this._datePickerValid = dateRanges.every((range) => !!range.start);
            }
            else {
                this._datePickerValid = true;
            }
            this.stateChanges.next('date picker: handleDateInputChange');
            if (this.type === 'single') {
                this.handleSelectedMultipleDatesChange(this.selectedMultipleDates);
            }
            else if (this.type === 'range') {
                this.handleSelectedMultipleDateRangesChange(this.selectedMultipleDateRanges);
            }
        }
        else {
            if (this.type === 'single' && !this.value && !this.allowNull) {
                this._datePickerValid = false;
            }
            else if (this.type === 'range' && !this.allowNull) {
                const dateRange = this.value;
                this._datePickerValid = !!dateRange.start;
            }
            else {
                this._datePickerValid = true;
            }
            this.stateChanges.next('date picker: handleDateInputChange');
            if (this.type === 'single') {
                this.handleSelectedDateChange(this.selectedDate);
            }
            else if (this.type === 'range') {
                this.handleSelectedRangeDateChange(this.selectedRangeDate);
            }
        }
        this.markForCheck();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: PlatformDatePickerComponent, isStandalone: true, selector: "fdp-date-picker", inputs: { value: "value", type: "type", selectedDate: "selectedDate", selectedMultipleDates: "selectedMultipleDates", selectedRangeDate: "selectedRangeDate", selectedMultipleDateRanges: "selectedMultipleDateRanges", startingDayOfWeek: "startingDayOfWeek", rangeHoverEffect: "rangeHoverEffect", useValidation: "useValidation", showTodayButton: "showTodayButton", todayButtonLabel: "todayButtonLabel", allowNull: "allowNull", activeView: "activeView", placement: "placement", appendTo: "appendTo", closeOnDateChoose: "closeOnDateChoose", state: "state", buttonFocusable: "buttonFocusable", specialDaysRules: "specialDaysRules", yearGrid: "yearGrid", aggregatedYearGrid: "aggregatedYearGrid", markWeekends: "markWeekends", showWeekNumbers: "showWeekNumbers", allowMultipleSelection: "allowMultipleSelection", isOpen: "isOpen", inline: "inline", processInputOnBlur: "processInputOnBlur", preventScrollOnFocus: "preventScrollOnFocus", mobile: "mobile", mobileConfig: "mobileConfig", mobileLandscape: "mobileLandscape", mobilePortrait: "mobilePortrait", disableFunction: "disableFunction", disableRangeStartFunction: "disableRangeStartFunction", disableRangeEndFunction: "disableRangeEndFunction" }, outputs: { isOpenChange: "isOpenChange", selectedDateChange: "selectedDateChange", selectedMultipleDatesChange: "selectedMultipleDatesChange", selectedRangeDateChange: "selectedRangeDateChange", selectedMultipleDateRangesChange: "selectedMultipleDateRangesChange", activeViewChange: "activeViewChange" }, host: { listeners: { "blur": "onTouched()" } }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: PlatformDatePickerComponent, multi: true }], viewQueries: [{ propertyName: "fdDatePickerComponent", first: true, predicate: DatePickerComponent, descendants: true }], usesInheritance: true, ngImport: i0, template: "<fd-date-picker\n    [inputId]=\"id\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.ariaDescribedBy]=\"ariaDescribedBy\"\n    [type]=\"type\"\n    [state]=\"state\"\n    [placeholder]=\"placeholder\"\n    [required]=\"required\"\n    [selectedDate]=\"selectedDate\"\n    [selectedMultipleDates]=\"selectedMultipleDates\"\n    [selectedRangeDate]=\"selectedRangeDate\"\n    [selectedMultipleDateRanges]=\"selectedMultipleDateRanges\"\n    [showTodayButton]=\"showTodayButton\"\n    [todayButtonLabel]=\"todayButtonLabel\"\n    [startingDayOfWeek]=\"startingDayOfWeek\"\n    [rangeHoverEffect]=\"rangeHoverEffect\"\n    [useValidation]=\"useValidation\"\n    [allowNull]=\"allowNull\"\n    [activeView]=\"activeView\"\n    [placement]=\"placement\"\n    [appendTo]=\"appendTo\"\n    [disabled]=\"disabled\"\n    [closeOnDateChoose]=\"closeOnDateChoose\"\n    [buttonFocusable]=\"buttonFocusable\"\n    [specialDaysRules]=\"specialDaysRules\"\n    [yearGrid]=\"yearGrid\"\n    [aggregatedYearGrid]=\"aggregatedYearGrid\"\n    [markWeekends]=\"markWeekends\"\n    [showWeekNumbers]=\"showWeekNumbers\"\n    [allowMultipleSelection]=\"allowMultipleSelection\"\n    [isOpen]=\"isOpen\"\n    [disableFunction]=\"disableFunction\"\n    [disableRangeStartFunction]=\"disableRangeStartFunction\"\n    [disableRangeEndFunction]=\"disableRangeEndFunction\"\n    [inline]=\"inline\"\n    [processInputOnBlur]=\"processInputOnBlur\"\n    [preventScrollOnFocus]=\"preventScrollOnFocus\"\n    [mobile]=\"mobile\"\n    [mobileConfig]=\"mobileConfig\"\n    [mobileLandscape]=\"mobileLandscape\"\n    [mobilePortrait]=\"mobilePortrait\"\n    [(ngModel)]=\"value\"\n    (ngModelChange)=\"handleDateChange($event)\"\n    (isOpenChange)=\"handleOpenChange($event)\"\n    (activeViewChange)=\"handleActiveViewChange($event)\"\n    (selectedDateChange)=\"handleSelectedDateChange($event)\"\n    (selectedMultipleDatesChange)=\"handleSelectedMultipleDatesChange($event)\"\n    (selectedRangeDateChange)=\"handleSelectedRangeDateChange($event)\"\n    (selectedMultipleDateRangesChange)=\"handleSelectedMultipleDateRangesChange($event)\"\n>\n    <ng-content></ng-content>\n</fd-date-picker>\n", dependencies: [{ kind: "component", type: DatePickerComponent, selector: "fd-date-picker", inputs: ["type", "placeholder", "inputId", "required", "customDateTimeFormat", "message", "messageTriggers", "selectedDate", "selectedMultipleDates", "selectedRangeDate", "selectedMultipleDateRanges", "startingDayOfWeek", "rangeHoverEffect", "useValidation", "allowNull", "activeView", "placement", "appendTo", "disabled", "closeOnDateChoose", "showTodayButton", "todayButtonLabel", "previousButtonDisableFunction", "nextButtonDisableFunction", "state", "buttonFocusable", "specialDaysRules", "yearGrid", "aggregatedYearGrid", "markWeekends", "showWeekNumbers", "allowMultipleSelection", "isOpen", "inline", "ariaLabelledBy", "processInputOnBlur", "preventScrollOnFocus", "mobile", "mobileConfig", "mobileLandscape", "mobilePortrait", "dateRangeFormat", "disableFunction", "disableRangeStartFunction", "disableRangeEndFunction"], outputs: ["isOpenChange", "selectedDateChange", "selectedMultipleDatesChange", "selectedRangeDateChange", "selectedMultipleDateRangesChange", "activeViewChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-date-picker', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: PlatformDatePickerComponent, multi: true }], host: {
                        '(blur)': 'onTouched()'
                    }, imports: [DatePickerComponent, FormsModule, CalendarDayViewComponent, CalendarComponent], template: "<fd-date-picker\n    [inputId]=\"id\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.ariaDescribedBy]=\"ariaDescribedBy\"\n    [type]=\"type\"\n    [state]=\"state\"\n    [placeholder]=\"placeholder\"\n    [required]=\"required\"\n    [selectedDate]=\"selectedDate\"\n    [selectedMultipleDates]=\"selectedMultipleDates\"\n    [selectedRangeDate]=\"selectedRangeDate\"\n    [selectedMultipleDateRanges]=\"selectedMultipleDateRanges\"\n    [showTodayButton]=\"showTodayButton\"\n    [todayButtonLabel]=\"todayButtonLabel\"\n    [startingDayOfWeek]=\"startingDayOfWeek\"\n    [rangeHoverEffect]=\"rangeHoverEffect\"\n    [useValidation]=\"useValidation\"\n    [allowNull]=\"allowNull\"\n    [activeView]=\"activeView\"\n    [placement]=\"placement\"\n    [appendTo]=\"appendTo\"\n    [disabled]=\"disabled\"\n    [closeOnDateChoose]=\"closeOnDateChoose\"\n    [buttonFocusable]=\"buttonFocusable\"\n    [specialDaysRules]=\"specialDaysRules\"\n    [yearGrid]=\"yearGrid\"\n    [aggregatedYearGrid]=\"aggregatedYearGrid\"\n    [markWeekends]=\"markWeekends\"\n    [showWeekNumbers]=\"showWeekNumbers\"\n    [allowMultipleSelection]=\"allowMultipleSelection\"\n    [isOpen]=\"isOpen\"\n    [disableFunction]=\"disableFunction\"\n    [disableRangeStartFunction]=\"disableRangeStartFunction\"\n    [disableRangeEndFunction]=\"disableRangeEndFunction\"\n    [inline]=\"inline\"\n    [processInputOnBlur]=\"processInputOnBlur\"\n    [preventScrollOnFocus]=\"preventScrollOnFocus\"\n    [mobile]=\"mobile\"\n    [mobileConfig]=\"mobileConfig\"\n    [mobileLandscape]=\"mobileLandscape\"\n    [mobilePortrait]=\"mobilePortrait\"\n    [(ngModel)]=\"value\"\n    (ngModelChange)=\"handleDateChange($event)\"\n    (isOpenChange)=\"handleOpenChange($event)\"\n    (activeViewChange)=\"handleActiveViewChange($event)\"\n    (selectedDateChange)=\"handleSelectedDateChange($event)\"\n    (selectedMultipleDatesChange)=\"handleSelectedMultipleDatesChange($event)\"\n    (selectedRangeDateChange)=\"handleSelectedRangeDateChange($event)\"\n    (selectedMultipleDateRangesChange)=\"handleSelectedMultipleDateRangesChange($event)\"\n>\n    <ng-content></ng-content>\n</fd-date-picker>\n" }]
        }], ctorParameters: () => [], propDecorators: { value: [{
                type: Input
            }], type: [{
                type: Input
            }], selectedDate: [{
                type: Input
            }], selectedMultipleDates: [{
                type: Input
            }], selectedRangeDate: [{
                type: Input
            }], selectedMultipleDateRanges: [{
                type: Input
            }], startingDayOfWeek: [{
                type: Input
            }], rangeHoverEffect: [{
                type: Input
            }], useValidation: [{
                type: Input
            }], showTodayButton: [{
                type: Input
            }], todayButtonLabel: [{
                type: Input
            }], allowNull: [{
                type: Input
            }], activeView: [{
                type: Input
            }], placement: [{
                type: Input
            }], appendTo: [{
                type: Input
            }], closeOnDateChoose: [{
                type: Input
            }], state: [{
                type: Input
            }], buttonFocusable: [{
                type: Input
            }], specialDaysRules: [{
                type: Input
            }], yearGrid: [{
                type: Input
            }], aggregatedYearGrid: [{
                type: Input
            }], markWeekends: [{
                type: Input
            }], showWeekNumbers: [{
                type: Input
            }], allowMultipleSelection: [{
                type: Input
            }], isOpen: [{
                type: Input
            }], inline: [{
                type: Input
            }], processInputOnBlur: [{
                type: Input
            }], preventScrollOnFocus: [{
                type: Input
            }], mobile: [{
                type: Input
            }], mobileConfig: [{
                type: Input
            }], mobileLandscape: [{
                type: Input
            }], mobilePortrait: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }], selectedDateChange: [{
                type: Output
            }], selectedMultipleDatesChange: [{
                type: Output
            }], selectedRangeDateChange: [{
                type: Output
            }], selectedMultipleDateRangesChange: [{
                type: Output
            }], activeViewChange: [{
                type: Output
            }], fdDatePickerComponent: [{
                type: ViewChild,
                args: [DatePickerComponent]
            }], disableFunction: [{
                type: Input
            }], disableRangeStartFunction: [{
                type: Input
            }], disableRangeEndFunction: [{
                type: Input
            }] } });
/** @hidden */
function createMissingDateImplementationError$1(provider) {
    return Error(`FdpDatePicker: No provider found for ${provider}. You must import one of the following ` +
        `modules at your application root: FdDateModule, or provide a ` +
        `custom implementation.`);
}

class DynamicFormGeneratorDatepickerComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorDatepickerComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorDatepickerComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-datepicker", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-date-picker\n            [id]=\"id\"\n            [placeholder]=\"placeholder\"\n            [name]=\"name\"\n            [formControlName]=\"name\"\n            [inline]=\"formItem.guiOptions?.inline !== false\"\n            [allowNull]=\"false\"\n        ></fdp-date-picker>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: PlatformDatePickerComponent, selector: "fdp-date-picker", inputs: ["value", "type", "selectedDate", "selectedMultipleDates", "selectedRangeDate", "selectedMultipleDateRanges", "startingDayOfWeek", "rangeHoverEffect", "useValidation", "showTodayButton", "todayButtonLabel", "allowNull", "activeView", "placement", "appendTo", "closeOnDateChoose", "state", "buttonFocusable", "specialDaysRules", "yearGrid", "aggregatedYearGrid", "markWeekends", "showWeekNumbers", "allowMultipleSelection", "isOpen", "inline", "processInputOnBlur", "preventScrollOnFocus", "mobile", "mobileConfig", "mobileLandscape", "mobilePortrait", "disableFunction", "disableRangeStartFunction", "disableRangeEndFunction"], outputs: ["isOpenChange", "selectedDateChange", "selectedMultipleDatesChange", "selectedRangeDateChange", "selectedMultipleDateRangesChange", "activeViewChange"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorDatepickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-datepicker', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, PlatformDatePickerComponent], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-date-picker\n            [id]=\"id\"\n            [placeholder]=\"placeholder\"\n            [name]=\"name\"\n            [formControlName]=\"name\"\n            [inline]=\"formItem.guiOptions?.inline !== false\"\n            [allowNull]=\"false\"\n        ></fdp-date-picker>\n    </ng-container>\n</ng-container>\n" }]
        }] });

/**
 * Default options for platform Text Area
 */
class TextAreaConfig {
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj) {
        const useFactory = () => Object.assign(new TextAreaConfig(), obj);
        return useFactory;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TextAreaConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TextAreaConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TextAreaConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

const VALID_WRAP_TYPES = ['hard', 'soft', 'off'];
/**
 * Textarea field implementation that is compliant with Platform's FormGroup/FormField design
 *
 */
class TextAreaComponent extends BaseInput {
    /**
     * The textarea's value
     */
    set value(value) {
        if (value) {
            super.setValue(value);
        }
        else {
            // when custom value not set, we should set/reset counter to maxlength value when it becomes undefined
            this.exceededCharCount = this.maxLength ? this.maxLength : 0;
            // reset state by resetting value
            super.setValue('');
        }
    }
    get value() {
        return super.getValue();
    }
    /**
     * @hidden
     * @see PlatformFormFieldControl.extraContentHeightPx
     */
    get extraContentHeightPx() {
        return this._textareaCounter?.nativeElement.offsetHeight;
    }
    /** @hidden */
    get _shouldTrackTextLimit() {
        return this.maxLength > 0 && !this.showExceededText;
    }
    /** @hidden */
    constructor(_textAreaConfig) {
        super();
        this._textAreaConfig = _textAreaConfig;
        /**
         * The textarea `wrap` attribute - can be one of three: 'off', 'hard' or 'soft'.
         */
        this.wrapType = 'soft';
        /**
         * Whether counter message should be shown.
         * If `showExceededText` is false, no state changes or error messages are shown. User is simply not allowed to type
         * beyond the `maxLength` characters.
         */
        this.showExceededText = false;
        /**
         * Whether this textarea can grow.
         */
        this.growing = false;
        /** @hidden */
        this.hasTextExceeded = false;
        /** @hidden excess character count */
        this.exceededCharCount = 0;
        /** @hidden a string placeholder that toggles between 'remaining' and 'excess' for the select ICU expression */
        this.counterExcessOrRemaining = 'remaining';
        /** @hidden flag to check if there is an initial value set */
        this.isValueCustomSet = false;
        /** @hidden */
        /** to keep track of number of characters in the textarea */
        this._textAreaCharCount = 0;
        /** @hidden */
        this._isPasted = false;
        /** for i18n counter message translation */
        this.remainingText = 'remaining';
        /** for i18n counter message translation */
        this.excessText = 'excess';
        if (this.ngControl) {
            this.ngControl.valueAccessor = this;
        }
    }
    /** when backpress or delete key is pressed when showExceededText field is not set, simply remove excess characters,
     /* else handle autogrow case
     */
    handleBackPress(event) {
        // if not showing exceeded text message/interactions or growing, and custom value set
        if (this.growing) {
            this.autoGrowTextArea();
            this.isValueCustomSet = false; // set it to false first time it comes here
        }
        if (this._shouldTrackTextLimit && KeyUtil.isKeyCode(event, [DELETE, BACKSPACE])) {
            // for the custom value set and showExceededText=false case, on any key press, remove excess characters
            if (this.value) {
                this._textAreaCharCount = this.value.length;
                if (this._textAreaCharCount > this.maxLength) {
                    // remove excess characters
                    this.value = this.value.substring(0, this.maxLength);
                    this.isValueCustomSet = false; // since value is now changed, it is no longer custom set
                }
            }
        }
    }
    /** @hidden */
    ngOnInit() {
        if (!this.wrapType || VALID_WRAP_TYPES.indexOf(this.wrapType) === -1) {
            throw new Error(`Textarea wrap type ${this.wrapType} is not supported`);
        }
        // if not custom set, set counter to max length value, else it calculates remaining/exceeded characters.
        if (!this.value) {
            this.exceededCharCount = this.maxLength || 0;
        }
        else {
            this.isValueCustomSet = true;
        }
        super.ngOnInit();
    }
    /** @hidden */
    ngAfterViewInit() {
        // set max height
        this._setMaxHeight();
        // don't set any error state if we are not showing counter message
        if (!this._shouldTrackTextLimit) {
            this.state = undefined;
        }
        super.ngAfterViewInit();
    }
    /** @hidden */
    ngAfterViewChecked() {
        // when value is custom set(initial value is present), the heights don't get
        // set to show the full text in the ngAfterViewInit immediately. therefore, we call autoGrowTextArea in
        // ngAfterViewChecked and detect changes again.
        if (this.value && this.isValueCustomSet) {
            this.autoGrowTextArea(); // if applicable, grow the textarea when value is custom set
            this.stateChanges.next('textarea: ngAfterViewChecked');
        }
    }
    /** write value for ControlValueAccessor */
    writeValue(value) {
        super.writeValue(value ?? '');
        this.updateCounterInteractions();
        this.stateChanges.next('textarea: writeValue');
    }
    /** update the counter message and related interactions */
    updateCounterInteractions() {
        this._textAreaCharCount = this.value?.length ?? 0;
        if (this.maxLength) {
            // newly added to avoid unnecessary iteration, remove if issue found
            this.validateLengthOnCustomSet();
        }
    }
    /** if exceeded maxlength when set as a value in code, highlight the exceeded text. */
    validateLengthOnCustomSet() {
        if (this._textAreaCharCount > this.maxLength) {
            if (this._isPasted) {
                this._targetElement.focus();
                this._targetElement.setSelectionRange(this.maxLength, this._textAreaCharCount);
            }
            this.counterExcessOrRemaining = this.excessText;
            this.exceededCharCount = this._textAreaCharCount - this.maxLength;
        }
        else {
            this.counterExcessOrRemaining = this.remainingText;
            this.exceededCharCount = this.maxLength - this._textAreaCharCount;
        }
        this._isPasted = false;
    }
    /** handle exceeded maxlength case when text is pasted */
    handlePasteInteraction() {
        this._isPasted = true;
        // Wrapped in timeout to make selecting range working
        setTimeout(() => this.updateCounterInteractions());
    }
    /** handle auto growing of textarea */
    autoGrowTextArea() {
        if (this.growing) {
            this._targetElement.style.height = 'inherit';
            const textareaTotalHeight = this._getTextareaTotalHeight();
            const maxHeight = parseInt(this._targetElement.style.maxHeight, 10);
            if (maxHeight) {
                if (textareaTotalHeight <= maxHeight) {
                    this._targetElement.style.height = textareaTotalHeight + 'px';
                }
                else {
                    if (this.height) {
                        this._targetElement.style.height = this.height;
                    }
                    else {
                        this._targetElement.style.height = maxHeight + 'px';
                    }
                }
            }
            else {
                // no bound max height, keep growing
                this._targetElement.style.height = textareaTotalHeight + 'px';
            }
        }
    }
    /**
     * get line height of textarea
     */
    getTextareaLineHeight() {
        // Get the computed styles for the element
        if (this._targetElement) {
            const computed = window.getComputedStyle(this._targetElement);
            // Calculate the height
            return parseInt(computed.getPropertyValue('line-height'), 10);
        }
        return 20; // default line height if nothing is defined
    }
    /**
     * get the updated state when character count breaches `maxLength`
     */
    getUpdatedState() {
        if (this._getContentLength() > this.maxLength) {
            this.hasTextExceeded = true; // set flag for error message to also change accordingly
            this.counterExcessOrRemaining = this.excessText;
            return this.state;
        }
        this.hasTextExceeded = false;
        this.counterExcessOrRemaining = this.remainingText;
        return this.state; // return any other errors found by parent form field
    }
    /** @hidden Native element  */
    get _targetElement() {
        return this._elementRef?.nativeElement;
    }
    /** @hidden get the length of the textarea content */
    _getContentLength() {
        let contentLength;
        if (this._targetElement) {
            contentLength = this._targetElement.value.length;
        }
        if (this.value) {
            contentLength = this.value.length;
        }
        return contentLength;
    }
    /** @hidden get the total height including borders and scroll height */
    _getTextareaTotalHeight() {
        // Get the computed styles for the element
        const computed = window.getComputedStyle(this._targetElement);
        // Calculate the height
        return (parseInt(computed.getPropertyValue('border-top-width'), 10) +
            this._targetElement.scrollHeight +
            parseInt(computed.getPropertyValue('border-bottom-width'), 10));
    }
    /** @hidden set initial max height **/
    _setMaxHeight() {
        if (this.growing && this._targetElement) {
            if (this.growingMaxLines) {
                this._targetElement.style.maxHeight = this.growingMaxLines * this.getTextareaLineHeight() + 'px';
            }
            if (this.height) {
                this._targetElement.style.maxHeight = this.height;
            }
        }
        else {
            if (this.growingMaxLines) {
                // nothing to do here. rows attribute takes care.
            }
            if (this.height) {
                this._targetElement.style.height = this.height;
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TextAreaComponent, deps: [{ token: TextAreaConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TextAreaComponent, isStandalone: true, selector: "fdp-textarea", inputs: { height: "height", growingMaxLines: "growingMaxLines", cols: "cols", wrapType: "wrapType", maxLength: "maxLength", showExceededText: "showExceededText", growing: "growing", value: "value" }, host: { listeners: { "keyup": "handleBackPress($event)" } }, providers: [
            {
                provide: FD_FORM_FIELD_CONTROL,
                useExisting: TextAreaComponent,
                multi: true
            }
        ], viewQueries: [{ propertyName: "_textareaCounter", first: true, predicate: ["counter"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<textarea\n    #inputElementRef\n    fd-form-control\n    [disabled]=\"disabled\"\n    [attr.id]=\"id\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-describedby]=\"id + '-counter'\"\n    [attr.aria-required]=\"required\"\n    [attr.placeholder]=\"placeholder\"\n    [attr.rows]=\"growing ? 2 : height ? 2 : growingMaxLines\"\n    [attr.cols]=\"cols\"\n    [attr.wrap]=\"wrapType\"\n    [attr.maxlength]=\"!showExceededText ? maxLength : null\"\n    [attr.readonly]=\"readonly ? true : null\"\n    [(ngModel)]=\"value\"\n    [state]=\"getUpdatedState()\"\n    (paste)=\"handlePasteInteraction()\"\n    (blur)=\"_onFocusChanged(false)\"\n    (focus)=\"_onFocusChanged(true)\"\n></textarea>\n<!-- ICU recommends full text in format -->\n@if (showExceededText) {\n    <div class=\"fd-textarea-counter\" aria-live=\"polite\" aria-atomic=\"true\" [attr.id]=\"id + '-counter'\" #counter>\n        <!-- render spaces instead of the actual value while translation string is loading in order to avoid content jumps -->\n        @if (counterExcessOrRemaining === 'excess') {\n            <span\n                [innerHtml]=\"\n                    (exceededCharCount === 1\n                        ? 'platformTextarea.counterMessageCharactersOverTheLimitSingular'\n                        : 'platformTextarea.counterMessageCharactersOverTheLimitPlural'\n                    ) | fdTranslate: { count: exceededCharCount } : '&nbsp;&nbsp;'\n                \"\n            ></span>\n        } @else {\n            <span\n                [innerHtml]=\"\n                    (exceededCharCount === 1\n                        ? 'platformTextarea.counterMessageCharactersRemainingSingular'\n                        : 'platformTextarea.counterMessageCharactersRemainingPlural'\n                    ) | fdTranslate: { count: exceededCharCount } : '&nbsp;&nbsp;'\n                \"\n            ></span>\n        }\n    </div>\n}\n", styles: [".fd-textarea-counter{display:inline-block;width:100%}\n"], dependencies: [{ kind: "component", type: FormControlComponent, selector: "input[fd-form-control], textarea[fd-form-control]", inputs: ["state", "type", "class", "ariaLabel", "ariaLabelledBy"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TextAreaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-textarea', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [
                        {
                            provide: FD_FORM_FIELD_CONTROL,
                            useExisting: TextAreaComponent,
                            multi: true
                        }
                    ], imports: [FormControlComponent, FormsModule, FdTranslatePipe], template: "<textarea\n    #inputElementRef\n    fd-form-control\n    [disabled]=\"disabled\"\n    [attr.id]=\"id\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-describedby]=\"id + '-counter'\"\n    [attr.aria-required]=\"required\"\n    [attr.placeholder]=\"placeholder\"\n    [attr.rows]=\"growing ? 2 : height ? 2 : growingMaxLines\"\n    [attr.cols]=\"cols\"\n    [attr.wrap]=\"wrapType\"\n    [attr.maxlength]=\"!showExceededText ? maxLength : null\"\n    [attr.readonly]=\"readonly ? true : null\"\n    [(ngModel)]=\"value\"\n    [state]=\"getUpdatedState()\"\n    (paste)=\"handlePasteInteraction()\"\n    (blur)=\"_onFocusChanged(false)\"\n    (focus)=\"_onFocusChanged(true)\"\n></textarea>\n<!-- ICU recommends full text in format -->\n@if (showExceededText) {\n    <div class=\"fd-textarea-counter\" aria-live=\"polite\" aria-atomic=\"true\" [attr.id]=\"id + '-counter'\" #counter>\n        <!-- render spaces instead of the actual value while translation string is loading in order to avoid content jumps -->\n        @if (counterExcessOrRemaining === 'excess') {\n            <span\n                [innerHtml]=\"\n                    (exceededCharCount === 1\n                        ? 'platformTextarea.counterMessageCharactersOverTheLimitSingular'\n                        : 'platformTextarea.counterMessageCharactersOverTheLimitPlural'\n                    ) | fdTranslate: { count: exceededCharCount } : '&nbsp;&nbsp;'\n                \"\n            ></span>\n        } @else {\n            <span\n                [innerHtml]=\"\n                    (exceededCharCount === 1\n                        ? 'platformTextarea.counterMessageCharactersRemainingSingular'\n                        : 'platformTextarea.counterMessageCharactersRemainingPlural'\n                    ) | fdTranslate: { count: exceededCharCount } : '&nbsp;&nbsp;'\n                \"\n            ></span>\n        }\n    </div>\n}\n", styles: [".fd-textarea-counter{display:inline-block;width:100%}\n"] }]
        }], ctorParameters: () => [{ type: TextAreaConfig }], propDecorators: { height: [{
                type: Input
            }], growingMaxLines: [{
                type: Input
            }], cols: [{
                type: Input
            }], wrapType: [{
                type: Input
            }], maxLength: [{
                type: Input
            }], showExceededText: [{
                type: Input
            }], growing: [{
                type: Input
            }], value: [{
                type: Input
            }], _textareaCounter: [{
                type: ViewChild,
                args: ['counter']
            }], handleBackPress: [{
                type: HostListener,
                args: ['keyup', ['$event']]
            }] } });

class DynamicFormGeneratorEditorComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorEditorComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorEditorComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-editor", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-textarea [id]=\"id\" [placeholder]=\"placeholder\" [name]=\"name\" [formControlName]=\"name\"></fdp-textarea>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: TextAreaComponent, selector: "fdp-textarea", inputs: ["height", "growingMaxLines", "cols", "wrapType", "maxLength", "showExceededText", "growing", "value"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-editor', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, TextAreaComponent], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-textarea [id]=\"id\" [placeholder]=\"placeholder\" [name]=\"name\" [formControlName]=\"name\"></fdp-textarea>\n    </ng-container>\n</ng-container>\n" }]
        }] });

/**
 * @license
 * F. Kolar
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 */
const VALID_INPUT_TYPES = ['text', 'number', 'email', 'password'];
/**
 * Input field implementation to be compliant with our FormGroup/FormField design and also to
 * achieve certain this in Angular this component is re-using several ideas from MatDesign
 *
 */
class InputComponent extends BaseInput {
    constructor() {
        super(...arguments);
        /** Input type */
        this.type = 'text';
        /** Emits event on focus change */
        this.focusChange = new EventEmitter();
    }
    /** return the value in the text box */
    set value(value) {
        super.setValue(value);
    }
    get value() {
        return super.getValue();
    }
    /** @hidden */
    get inputElementRef() {
        return this._elementRef;
    }
    /** @hidden */
    ngOnInit() {
        super.ngOnInit();
        if (!this.type || VALID_INPUT_TYPES.indexOf(this.type) === -1) {
            throw new Error(` Input type ${this.type} is not supported`);
        }
    }
    /** @hidden */
    _onFocus() {
        this._onFocusChanged(true);
        // propagate event
        this.focusChange.emit(true);
    }
    /** @hidden */
    _onBlur() {
        this._onFocusChanged(false);
        // propagate event
        this.focusChange.emit(false);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: InputComponent, isStandalone: true, selector: "fdp-input", inputs: { type: "type", required: "required", value: "value" }, outputs: { focusChange: "focusChange" }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: InputComponent, multi: true }], usesInheritance: true, ngImport: i0, template: "<!--\n  Does it make sense to have some other state than error?\n-->\n<input\n    #inputElementRef\n    fd-form-control\n    [(ngModel)]=\"value\"\n    [ngModelOptions]=\"{ standalone: true }\"\n    [attr.id]=\"id\"\n    [attr.name]=\"name\"\n    [type]=\"type\"\n    [attr.placeholder]=\"placeholder\"\n    [disabled]=\"disabled\"\n    [state]=\"state\"\n    [readOnly]=\"readonly\"\n    (blur)=\"_onBlur()\"\n    (focus)=\"_onFocus()\"\n    [ariaLabel]=\"ariaLabel\"\n    [ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.aria-required]=\"required\"\n/>\n", styles: [".fd-input{display:block}\n"], dependencies: [{ kind: "component", type: FormControlComponent, selector: "input[fd-form-control], textarea[fd-form-control]", inputs: ["state", "type", "class", "ariaLabel", "ariaLabelledBy"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-input', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: InputComponent, multi: true }], imports: [FormControlComponent, FormsModule], template: "<!--\n  Does it make sense to have some other state than error?\n-->\n<input\n    #inputElementRef\n    fd-form-control\n    [(ngModel)]=\"value\"\n    [ngModelOptions]=\"{ standalone: true }\"\n    [attr.id]=\"id\"\n    [attr.name]=\"name\"\n    [type]=\"type\"\n    [attr.placeholder]=\"placeholder\"\n    [disabled]=\"disabled\"\n    [state]=\"state\"\n    [readOnly]=\"readonly\"\n    (blur)=\"_onBlur()\"\n    (focus)=\"_onFocus()\"\n    [ariaLabel]=\"ariaLabel\"\n    [ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.aria-required]=\"required\"\n/>\n", styles: [".fd-input{display:block}\n"] }]
        }], propDecorators: { type: [{
                type: Input
            }], required: [{
                type: Input
            }], value: [{
                type: Input
            }], focusChange: [{
                type: Output
            }] } });

class DynamicFormGeneratorInputComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorInputComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: DynamicFormGeneratorInputComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-input", usesInheritance: true, ngImport: i0, template: "@if (formField) {\n    <ng-container [formGroup]=\"form\">\n        <ng-container [formGroupName]=\"formGroupName\">\n            <fdp-input\n                [id]=\"id\"\n                [placeholder]=\"placeholder\"\n                [name]=\"name\"\n                [type]=\"formItem.controlType || 'text'\"\n                [formControlName]=\"name\"\n                [readonly]=\"readonly\"\n            ></fdp-input>\n        </ng-container>\n    </ng-container>\n}\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: InputComponent, selector: "fdp-input", inputs: ["type", "required", "value"], outputs: ["focusChange"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-input', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, InputComponent], template: "@if (formField) {\n    <ng-container [formGroup]=\"form\">\n        <ng-container [formGroupName]=\"formGroupName\">\n            <fdp-input\n                [id]=\"id\"\n                [placeholder]=\"placeholder\"\n                [name]=\"name\"\n                [type]=\"formItem.controlType || 'text'\"\n                [formControlName]=\"name\"\n                [readonly]=\"readonly\"\n            ></fdp-input>\n        </ng-container>\n    </ng-container>\n}\n" }]
        }] });

/**
 * Default options for Multi-Input
 */
class MultiInputConfig {
    /** @hidden */
    constructor(platformConfig) {
        /**
         * String matching strategy for typeahead list. Default: 'starts with per term'
         */
        this.matchingStrategy = MatchingStrategy.STARTS_WITH;
        /**
         * Maps data providers
         */
        this.providers = new Map();
        this.contentDensity = platformConfig.contentDensity;
    }
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj) {
        const useFactory = (platformConfig) => Object.assign(new MultiInputConfig(platformConfig), obj);
        return useFactory;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiInputConfig, deps: [{ token: i1.PlatformConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiInputConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiInputConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1.PlatformConfig }] });

class BaseMultiInput extends CollectionBaseInput {
    constructor() {
        super(...arguments);
        /** Provides maximum height for the optionPanel */
        this.maxHeight = '250px';
        /** Whether the autocomplete should be enabled; Enabled by default */
        this.autoComplete = true;
        /** Whether the Multi Input should be built on mobile mode */
        this.mobile = false;
        /**
         * Whether AddOn Button should be focusable
         * @default false
         */
        this.buttonFocusable = false;
        /** Tells the multi input if we need to group items */
        this.group = false;
        /** Show the second column (Applicable for two columns layout) */
        this.showSecondaryText = false;
        /** Horizontally align text inside the second column (Applicable for two columns layout) */
        this.secondaryTextAlignment = 'right';
        /** Turns on/off Adjustable Width feature */
        this.autoResize = false;
        /** Whether to open the dropdown when the addon button is clicked. */
        this.openDropdownOnAddOnClicked = true;
        /** @hidden Emits event when the menu is opened/closed */
        this.isOpenChange = new EventEmitter();
        /** Event emitted when data loading is started. */
        this.onDataRequested = new EventEmitter();
        /** Event emitted when data loading is finished. */
        this.onDataReceived = new EventEmitter();
        /** Event emitted when the search term changes. Use *$event* to access the new term. */
        this.searchTermChange = new EventEmitter();
        /** Emits event when the addon button is clicked. */
        this.addOnButtonClicked = new EventEmitter();
        /** Whether the Multi Input is opened. */
        this.isOpen = false;
        /**
         * Need for opening mobile version
         *
         * @hidden
         */
        this.openChange = new Subject();
        /** @hidden */
        this.multiInputConfig = inject(MultiInputConfig);
        /** @hidden */
        this.dialogConfig = inject(DialogConfig, { optional: true });
        /** @hidden emits whenever there're changes to the inputs, that affect the data creation from data source */
        this._updateDataSourceValues$ = new Subject();
        /** @hidden */
        this._matchingStrategy = this.multiInputConfig.matchingStrategy;
        /** @hidden */
        this._element = this.elementRef.nativeElement;
        /** Keys, that won't trigger the popover's open state, when dispatched on search input */
        this._nonOpeningKeys = [
            ESCAPE,
            ENTER,
            CONTROL,
            TAB,
            SHIFT,
            UP_ARROW,
            RIGHT_ARROW,
            DOWN_ARROW,
            LEFT_ARROW,
            ALT,
            BACKSPACE
        ];
        /** @hidden */
        this._originalSuggestions = [];
        /** @hidden */
        this._displayFn = (value) => this.displayValue(value);
        /** @hidden */
        this._secondaryFn = (value) => {
            if (isOptionItem(value)) {
                return value.secondaryText ?? '';
            }
            else if (isJsObject(value) && this.description) {
                const currentItem = this.objectGet(value, this.description);
                return isFunction(currentItem) ? currentItem() : currentItem;
            }
            else {
                return value;
            }
        };
    }
    /** Datasource for suggestion list */
    set dataSource(value) {
        if (value) {
            this._initializeDataSource(value);
        }
    }
    get dataSource() {
        return this._dataSource;
    }
    /** Value of the multi input */
    set value(value) {
        const selectedItems = Array.isArray(value) ? value : [value];
        this.setAsSelected(this._convertToOptionItems(selectedItems));
        super.setValue(value);
    }
    get value() {
        return super.getValue();
    }
    /** @hidden */
    get canClose() {
        return !(this.mobile && this.mobileConfig.approveButtonText);
    }
    /** @hidden */
    ngAfterViewInit() {
        this._initWindowResize();
        this._assignCustomTemplates();
        super.ngAfterViewInit();
    }
    /** @hidden */
    ngOnChanges(changes) {
        if ('group' in changes || 'groupKey' in changes) {
            this._updateDataSourceValues$.next();
        }
        if ('avatarSrc' in changes || 'description' in changes || 'title' in changes || 'value' in changes) {
            this._suggestions = this._convertToOptionItems(this._originalSuggestions);
        }
    }
    /** @hidden */
    ngOnDestroy() {
        super.ngOnDestroy();
        if (isDataSource(this.dataSource)) {
            this.dataSource.close();
        }
        if (this._dsSubscription) {
            this._dsSubscription.unsubscribe();
        }
    }
    /** write value for ControlValueAccessor */
    writeValue(value) {
        const selectedItems = Array.isArray(value) ? value : [value];
        this.setAsSelected(this._convertToOptionItems(selectedItems));
        super.writeValue(value);
    }
    /** @hidden */
    _popoverOpenChangeHandle(isOpen) {
        if (!isOpen) {
            this.close();
        }
    }
    /** Opens the select popover body. */
    open() {
        this.isOpen = true;
        this.isOpenChange.emit(this.isOpen);
        this.openChange.next(this.isOpen);
        this.markForCheck();
        setTimeout(() => {
            this._markListItemsAsSelected();
            if (this.inputText) {
                return;
            }
        });
    }
    /** Closes the select popover body. */
    close() {
        this.isOpen = false;
        this.inputText = '';
        this.searchTermChanged();
        this.isOpenChange.emit(false);
        this.openChange.next(false);
        this.markForCheck();
    }
    /** @hidden */
    convertObjectToMultiInputOption(items) {
        return this._convertObjectsToOptionItems(items);
    }
    /** @hidden */
    searchTermChanged(text = this.inputText) {
        if (text) {
            this.open();
        }
        const map = new Map();
        map.set('query', text);
        map.set('limit', 12);
        this.ds?.match(map);
        this.searchTermChange.emit(text);
        this.detectChanges();
    }
    /** @hidden */
    showList(isOpen) {
        if (this.isOpen !== isOpen) {
            if (isOpen) {
                this.open();
            }
            else {
                this.searchTermChanged('');
                this.close();
            }
        }
    }
    /** @hidden */
    handleOptionItem(value) {
        if (value) {
            this.selectOptionItem(value);
        }
    }
    /** @hidden */
    handlePressEnter(event, value) {
        if (!KeyUtil.isKeyCode(event, ENTER)) {
            return;
        }
        this.handleOptionItem(value);
    }
    /**
     * Handle Keydown on Input
     * @hidden
     */
    onInputKeydownHandler(event) {
        if (this.readonly) {
            return;
        }
        if (KeyUtil.isKeyCode(event, TAB) && this.isOpen) {
            this.close();
            return;
        }
        if (KeyUtil.isKeyCode(event, DOWN_ARROW)) {
            event.preventDefault();
            if (event.altKey) {
                this.showList(true);
            }
            if (this.isOpen) {
                this.listComponent?._setCurrentActiveItemIndex(0);
                this.listComponent?.listItems.first.focus();
            }
            else {
                this._chooseOtherItem(1);
            }
        }
        else if (KeyUtil.isKeyCode(event, UP_ARROW)) {
            event.preventDefault();
            this._chooseOtherItem(-1);
        }
        else if (!event.ctrlKey && !KeyUtil.isKeyCode(event, this._nonOpeningKeys)) {
            this.showList(true);
        }
    }
    /** Method passed to list component */
    handleListFocusEscape(direction) {
        if (direction === 'up') {
            this.searchInputElement.nativeElement.focus();
        }
    }
    /** @hidden */
    get ds() {
        return this.dataSource;
    }
    /** @hidden
     * Method that picks other value moved from current one by offset, called only when Multi Input is closed */
    _chooseOtherItem(offset) {
        const index = this._suggestions.findIndex((value) => value.label === this.inputText);
        if (this._suggestions[index + offset]) {
            this.handleOptionItem(this._suggestions[index + offset]);
        }
    }
    /** @hidden */
    _initializeDataSource(ds) {
        this._suggestions = [];
        if (isDataSource(this.dataSource)) {
            this.dataSource.close();
            if (this._dsSubscription) {
                this._dsSubscription.unsubscribe();
                this._dsSubscription = undefined;
            }
        }
        // Convert whatever comes in as DataSource so we can work with it identically
        this._dataSource = this._openDataStream(ds);
    }
    /** @hidden */
    _openDataStream(ds) {
        const initDataSource = this._toDataStream(ds);
        if (initDataSource === undefined) {
            throw new Error(`[dataSource] source did not match an array, Observable, or DataSource`);
        }
        /**
         * This is single point of data entry to the component. We dont want to set data on different
         * places. If any new data comes in either you do a search and you want to pass initial data
         * its here.
         */
        this._dsSubscription = new Subscription();
        const dsSub = combineLatest([initDataSource.open(), this._updateDataSourceValues$.pipe(startWith(null))])
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe(([data]) => {
            this._originalSuggestions = data;
            this._suggestions = this._convertToOptionItems(data);
            this.stateChanges.next('initDataSource.open().');
            this.detectChanges();
        });
        this._dsSubscription.add(dsSub);
        this._dsSubscription.add(initDataSource.onDataRequested().subscribe(this.onDataRequested));
        this._dsSubscription.add(initDataSource.onDataReceived().subscribe(this.onDataReceived));
        initDataSource.dataProvider.setLookupKey(this.lookupKey);
        const matchingBy = {
            firstBy: this._displayFn
        };
        if (this.description) {
            matchingBy.secondaryBy = this._secondaryFn;
        }
        initDataSource.dataProvider.setMatchingBy(matchingBy);
        initDataSource.dataProvider.setMatchingStrategy(this._matchingStrategy);
        // initial data fetch
        const map = new Map();
        map.set('query', '*');
        map.set('limit', 12);
        initDataSource.match(map);
        return initDataSource;
    }
    /** @hidden */
    _toDataStream(source) {
        if (isDataSource(source)) {
            return source;
        }
        if (Array.isArray(source)) {
            // default implementation to work on top of arrays
            return new ArrayMultiInputDataSource(source);
        }
        if (isObservable(source)) {
            return new ObservableMultiInputDataSource(source);
        }
        return undefined;
    }
    /** @hidden */
    _initWindowResize() {
        this._getOptionsListWidth();
        if (!this.autoResize) {
            return;
        }
        fromEvent(window, 'resize')
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe(() => this._getOptionsListWidth());
    }
    /** @hidden */
    _getOptionsListWidth() {
        const body = document.body;
        const rect = this._element.querySelector('fd-input-group').getBoundingClientRect();
        const scrollBarWidth = body.offsetWidth - body.clientWidth;
        this.maxWidth = window.innerWidth - scrollBarWidth - rect.left;
        this.minWidth = rect.width - 2;
    }
    /**
     * Convert original data to OptionItems Interface
     * @hidden
     */
    _convertToOptionItems(items) {
        const item = items[0];
        const elementTypeIsOptionItem = isOptionItem(item);
        if (elementTypeIsOptionItem) {
            return items;
        }
        const elementTypeIsObject = isJsObject(item);
        if (elementTypeIsObject) {
            return this._convertObjectsToOptionItems(items);
        }
        const elementTypeIsString = isString(item);
        if (elementTypeIsString) {
            return this._convertPrimitiveToOptionItems(items);
        }
        return [];
    }
    /**
     * Convert data to OptionItems Interface
     * @hidden
     */
    _convertObjectsToOptionItems(items) {
        if (this.group && this.groupKey) {
            return this._convertObjectsToGroupOptionItems(items);
        }
        else if (this.showSecondaryText && this.description) {
            return this._convertObjectsToSecondaryOptionItems(items);
        }
        else {
            return this._convertObjectsToDefaultOptionItems(items);
        }
    }
    /**
     * Convert object[] data to Group OptionItems Interface
     * @hidden
     */
    _convertObjectsToGroupOptionItems(items) {
        const group = {};
        for (let i = 0; i < items.length; i++) {
            const item = items[i];
            const keyValue = this.groupKey && item[this.groupKey];
            if (!keyValue) {
                continue;
            }
            if (!group[keyValue]) {
                group[keyValue] = [];
            }
            group[keyValue].push(item);
        }
        return Object.keys(group).map((key) => {
            const selectItem = {
                label: key,
                value: null,
                isGroup: true
            };
            const currentGroup = group[key];
            if (this.showSecondaryText && this.description) {
                selectItem.children = this._convertObjectsToSecondaryOptionItems(currentGroup);
            }
            else {
                selectItem.children = this._convertObjectsToDefaultOptionItems(currentGroup);
            }
            return selectItem;
        });
    }
    /**
     * Convert object[] data to Secondary OptionItems Interface
     * @hidden
     */
    _convertObjectsToSecondaryOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                avatarSrc: this.avatarsrc ? this.objectGet(value, this.avatarsrc) : null,
                description: this.description ? this.objectGet(value, this.description) : null,
                value
            });
        }
        return selectItems;
    }
    /**
     * Convert Primitive data(Boolean, String, Number) to OptionItems Interface
     * @hidden
     */
    _convertPrimitiveToOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({ label: value, value });
        }
        return selectItems;
    }
    /**
     * Convert object[] to OptionItems Interface (Default)
     * @hidden
     */
    _convertObjectsToDefaultOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                value
            });
        }
        return selectItems;
    }
    /** @hidden
     * Assign custom templates
     * */
    _assignCustomTemplates() {
        this.customTemplates.forEach((template) => {
            switch (template.name) {
                case 'optionItemTemplate':
                    this.optionItemTemplate = template.templateRef;
                    break;
                case 'groupItemTemplate':
                    this.groupItemTemplate = template.templateRef;
                    break;
                case 'secondaryItemTemplate':
                    this.secondaryItemTemplate = template.templateRef;
                    break;
                case 'selectedItemTemplate':
                    this.selectedItemTemplate = template.templateRef;
                    break;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseMultiInput, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: BaseMultiInput, isStandalone: true, inputs: { maxHeight: "maxHeight", dataSource: "dataSource", autoComplete: "autoComplete", entityClass: "entityClass", mobile: "mobile", mobileConfig: "mobileConfig", buttonFocusable: "buttonFocusable", group: "group", groupKey: "groupKey", description: "description", avatarsrc: "avatarsrc", showSecondaryText: "showSecondaryText", secondaryTextAlignment: "secondaryTextAlignment", autoResize: "autoResize", openDropdownOnAddOnClicked: "openDropdownOnAddOnClicked", value: "value" }, outputs: { isOpenChange: "isOpenChange", onDataRequested: "onDataRequested", onDataReceived: "onDataReceived", searchTermChange: "searchTermChange", addOnButtonClicked: "addOnButtonClicked" }, queries: [{ propertyName: "customTemplates", predicate: TemplateDirective }], viewQueries: [{ propertyName: "listComponent", first: true, predicate: FdpListComponent, descendants: true }, { propertyName: "searchInputElement", first: true, predicate: ["searchInputElement"], descendants: true, read: ElementRef }], usesInheritance: true, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseMultiInput, decorators: [{
            type: Directive
        }], propDecorators: { maxHeight: [{
                type: Input
            }], dataSource: [{
                type: Input
            }], autoComplete: [{
                type: Input
            }], entityClass: [{
                type: Input
            }], mobile: [{
                type: Input
            }], mobileConfig: [{
                type: Input
            }], buttonFocusable: [{
                type: Input
            }], group: [{
                type: Input
            }], groupKey: [{
                type: Input
            }], description: [{
                type: Input
            }], avatarsrc: [{
                type: Input
            }], showSecondaryText: [{
                type: Input
            }], secondaryTextAlignment: [{
                type: Input
            }], autoResize: [{
                type: Input
            }], openDropdownOnAddOnClicked: [{
                type: Input
            }], value: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }], onDataRequested: [{
                type: Output
            }], onDataReceived: [{
                type: Output
            }], searchTermChange: [{
                type: Output
            }], addOnButtonClicked: [{
                type: Output
            }], listComponent: [{
                type: ViewChild,
                args: [FdpListComponent]
            }], customTemplates: [{
                type: ContentChildren,
                args: [TemplateDirective]
            }], searchInputElement: [{
                type: ViewChild,
                args: ['searchInputElement', { read: ElementRef }]
            }] } });

const MULTIINPUT_COMPONENT = new InjectionToken('PlatformMultiInputInterface');

class PlatformMultiInputMobileComponent extends MobileModeBase {
    /** @hidden */
    constructor(multiInputComponent) {
        super(multiInputComponent, MobileModeControl.MULTI_INPUT);
        /** @hidden
         * For internal usage
         * Control element, which will be rendered inside dialog.
         * List element, which will be rendered inside dialog.
         */
        this.childContent = null;
    }
    /** @hidden */
    ngOnInit() {
        this._listenOnMultiInputOpenChange();
    }
    /** @hidden */
    _handleApprove() {
        this.dialogRef.close();
        this._component._dialogApprove();
    }
    /** @hidden */
    _handleDismiss() {
        this.dialogRef.dismiss();
        this._component._dialogDismiss(this._selectedBackup);
    }
    /** @hidden */
    _listenOnMultiInputOpenChange() {
        this._component.openChange
            .pipe(distinctUntilChanged(), takeUntilDestroyed(this._destroyRef))
            .subscribe((isOpen) => this._toggleDialog(isOpen));
    }
    /** @hidden */
    _toggleDialog(open) {
        if (!open) {
            this._handleApprove();
            return;
        }
        this._selectedBackup = [...this._component._selected];
        if (!this._dialogService.hasOpenDialogs()) {
            this._open();
        }
    }
    /** @hidden */
    _open() {
        this.dialogRef = this._dialogService.open(this.dialogTemplate, {
            mobile: true,
            disablePaddings: true,
            ...this.dialogConfig,
            backdropClickCloseable: false,
            escKeyCloseable: false,
            container: this._elementRef.nativeElement
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputMobileComponent, deps: [{ token: MULTIINPUT_COMPONENT }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: PlatformMultiInputMobileComponent, isStandalone: true, selector: "fdp-multi-input-mobile", viewQueries: [{ propertyName: "dialogTemplate", first: true, predicate: ["dialogTemplate"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<ng-template [fdDialogTemplate] let-dialog let-dialogConfig=\"dialogConfig\" #dialogTemplate>\n    <fd-dialog [dialogConfig]=\"dialogConfig\" [dialogRef]=\"dialog\">\n        <fd-dialog-header>\n            @if (mobileConfig.title) {\n                <h1 fd-dialog-title>{{ mobileConfig.title }}</h1>\n            }\n            @if (mobileConfig.hasCloseButton) {\n                <button fd-dialog-close-button [mobile]=\"true\" (click)=\"_handleDismiss()\"></button>\n            }\n            <ng-template fdkTemplate=\"subheader\">\n                <div fd-bar-middle>\n                    <fd-bar-element [fullWidth]=\"true\" class=\"fdp-multi-dialog-input\">\n                        <ng-template [ngTemplateOutlet]=\"childContent?.controlTemplate || null\"></ng-template>\n                    </fd-bar-element>\n                </div>\n            </ng-template>\n        </fd-dialog-header>\n        <fd-dialog-body>\n            <ng-template [ngTemplateOutlet]=\"childContent?.listTemplate || null\"></ng-template>\n        </fd-dialog-body>\n        <fd-dialog-footer>\n            @if (mobileConfig.approveButtonText) {\n                <fd-button-bar fdType=\"emphasized\" [label]=\"mobileConfig.approveButtonText!\" (click)=\"_handleApprove()\">\n                </fd-button-bar>\n            }\n            @if (mobileConfig.cancelButtonText) {\n                <fd-button-bar [label]=\"mobileConfig.cancelButtonText!\" (click)=\"_handleDismiss()\"> </fd-button-bar>\n            }\n        </fd-dialog-footer>\n    </fd-dialog>\n</ng-template>\n", styles: [".fdp-multi-dialog-input{display:inline!important}\n"], dependencies: [{ kind: "ngmodule", type: DialogModule }, { kind: "component", type: i1$2.DialogComponent, selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: i1$2.DialogBodyComponent, selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: i1$2.DialogFooterComponent, selector: "fd-dialog-footer" }, { kind: "component", type: i1$2.DialogHeaderComponent, selector: "fd-dialog-header" }, { kind: "component", type: i1$2.DialogCloseButtonComponent, selector: "[fd-dialog-close-button]", inputs: ["mobile", "title", "ariaLabel"] }, { kind: "directive", type: i1$2.DialogTitleDirective, selector: "[fd-dialog-title]", inputs: ["id"] }, { kind: "directive", type: i1$2.DialogTemplateDirective, selector: "[fdDialogTemplate]", inputs: ["fdDialogTemplateConfig"] }, { kind: "directive", type: i2.TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: i3$1.BarMiddleDirective, selector: "[fd-bar-middle]" }, { kind: "directive", type: i3$1.BarElementDirective, selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "component", type: i3$1.ButtonBarComponent, selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "ngmodule", type: BarModule }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-multi-input-mobile', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [DialogModule, TemplateDirective, BarModule, NgTemplateOutlet, CdkScrollable, ScrollbarDirective], template: "<ng-template [fdDialogTemplate] let-dialog let-dialogConfig=\"dialogConfig\" #dialogTemplate>\n    <fd-dialog [dialogConfig]=\"dialogConfig\" [dialogRef]=\"dialog\">\n        <fd-dialog-header>\n            @if (mobileConfig.title) {\n                <h1 fd-dialog-title>{{ mobileConfig.title }}</h1>\n            }\n            @if (mobileConfig.hasCloseButton) {\n                <button fd-dialog-close-button [mobile]=\"true\" (click)=\"_handleDismiss()\"></button>\n            }\n            <ng-template fdkTemplate=\"subheader\">\n                <div fd-bar-middle>\n                    <fd-bar-element [fullWidth]=\"true\" class=\"fdp-multi-dialog-input\">\n                        <ng-template [ngTemplateOutlet]=\"childContent?.controlTemplate || null\"></ng-template>\n                    </fd-bar-element>\n                </div>\n            </ng-template>\n        </fd-dialog-header>\n        <fd-dialog-body>\n            <ng-template [ngTemplateOutlet]=\"childContent?.listTemplate || null\"></ng-template>\n        </fd-dialog-body>\n        <fd-dialog-footer>\n            @if (mobileConfig.approveButtonText) {\n                <fd-button-bar fdType=\"emphasized\" [label]=\"mobileConfig.approveButtonText!\" (click)=\"_handleApprove()\">\n                </fd-button-bar>\n            }\n            @if (mobileConfig.cancelButtonText) {\n                <fd-button-bar [label]=\"mobileConfig.cancelButtonText!\" (click)=\"_handleDismiss()\"> </fd-button-bar>\n            }\n        </fd-dialog-footer>\n    </fd-dialog>\n</ng-template>\n", styles: [".fdp-multi-dialog-input{display:inline!important}\n"] }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [MULTIINPUT_COMPONENT]
                }] }], propDecorators: { dialogTemplate: [{
                type: ViewChild,
                args: ['dialogTemplate']
            }] } });

class PlatformMultiInputMobileModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputMobileModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputMobileModule, imports: [PlatformMultiInputMobileComponent], exports: [PlatformMultiInputMobileComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputMobileModule, imports: [PlatformMultiInputMobileComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputMobileModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [PlatformMultiInputMobileComponent],
                    exports: [PlatformMultiInputMobileComponent]
                }]
        }] });

class AutoCompleteDirective {
    /** @hidden */
    get _element() {
        return this._elementRef.nativeElement;
    }
    /** @hidden */
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        /** Event thrown, when the auto ahead text is accepted */
        this.onComplete = new EventEmitter();
        /** @hidden */
        this._completeKeys = [ENTER];
        /** @hidden */
        this._fillKeys = [LEFT_ARROW, RIGHT_ARROW];
        /** @hidden */
        this._stopKeys = [BACKSPACE, DELETE, ESCAPE];
        /** @hidden */
        this._isComposing = false;
        /** @hidden */
        this._zone = inject(NgZone);
        /**
         * Fixes #10710 / #12983
         * With chinese characters inputText property update was triggered after the keyup event trigger.
         * By ensuring that we set all properties we can proceed with stable data.
         */
        this._zone.runOutsideAngular(() => {
            const keyupEvent = fromEvent(this._elementRef.nativeElement, 'keyup');
            const compositionStartEvent = fromEvent(this._elementRef.nativeElement, 'compositionstart');
            const compositionEndEvent = fromEvent(this._elementRef.nativeElement, 'compositionend');
            keyupEvent.pipe(takeUntilDestroyed()).subscribe((evt) => this.handleKeyboardEvent(evt));
            compositionStartEvent.pipe(takeUntilDestroyed()).subscribe(() => {
                this._isComposing = true;
            });
            compositionEndEvent.pipe(takeUntilDestroyed()).subscribe(() => {
                this._isComposing = false;
                this.inputText = this._elementRef.nativeElement.value;
            });
        });
    }
    /** @hidden */
    handleBlur() {
        if (Boolean(this.inputText) && !this.mobile) {
            this._element.value = this.inputText;
        }
    }
    /** @hidden */
    handleKeyboardEvent(event) {
        if (!this._isComposing) {
            if (KeyUtil.isKeyCode(event, this._stopKeys)) {
                this._element.value = this.inputText;
            }
            else if (KeyUtil.isKeyCode(event, this._completeKeys)) {
                this._sendCompleteEvent(true);
            }
            else if (KeyUtil.isKeyCode(event, this._fillKeys)) {
                this._sendCompleteEvent(false);
            }
            else if (!this._isControlKey(event) && this.inputText) {
                /** Prevention from triggering typeahead, when having crtl/cmd + keys */
                if (!this._triggerTypeAhead()) {
                    return;
                }
                this._oldValue = this.inputText;
                const item = this._searchByStrategy();
                if (item) {
                    this._typeahead(item.label);
                }
            }
        }
        this._lastKeyUpEvent = event;
    }
    /** @hidden */
    _typeahead(displayedValue) {
        const selectionStartIndex = this.inputText.length;
        this._element.value = displayedValue;
        this._setSelectionRange(selectionStartIndex, displayedValue.length);
    }
    /** @hidden */
    _setSelectionRange(selectionStart, selectionEnd) {
        const direction = this._element.selectionDirection;
        this._element.setSelectionRange(selectionStart, selectionEnd, direction ?? undefined);
    }
    /** @hidden */
    _isControlKey(event) {
        return KeyUtil.isKeyCode(event, CONTROL) || event.ctrlKey;
    }
    /** @hidden */
    _triggerTypeAhead() {
        return !(this._lastKeyUpEvent &&
            KeyUtil.isKeyCode(this._lastKeyUpEvent, CONTROL) &&
            this.inputText === this._oldValue);
    }
    /** @hidden */
    _sendCompleteEvent(forceClose) {
        this.onComplete.emit({
            term: this._element.value,
            forceClose
        });
        if (this.inputText !== this._oldValue) {
            const inputTextLength = this.inputText.length;
            this._element.setSelectionRange(inputTextLength, inputTextLength);
        }
    }
    /** @hidden */
    _searchByStrategy() {
        const [firstItem] = this.options;
        if (!firstItem) {
            return;
        }
        if (firstItem.isGroup) {
            let matchedSelectItem;
            for (const option of this.options) {
                if (!option.children) {
                    continue;
                }
                matchedSelectItem = this._findByStrategyStartsWith(option.children, this.inputText);
                if (matchedSelectItem) {
                    break;
                }
            }
            if (matchedSelectItem) {
                return matchedSelectItem;
            }
        }
        return this._findByStrategyStartsWith(this.options, this.inputText);
    }
    /** @hidden */
    _findByStrategyStartsWith(options, inputText) {
        return options.find((option) => option.label.toLocaleLowerCase().startsWith(inputText.toLocaleLowerCase()));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: AutoCompleteDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: AutoCompleteDirective, isStandalone: true, selector: "[fdp-auto-complete]", inputs: { options: "options", inputText: "inputText", mobile: "mobile" }, outputs: { onComplete: "onComplete" }, host: { listeners: { "blur": "handleBlur()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: AutoCompleteDirective, decorators: [{
            type: Directive,
            args: [{
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: '[fdp-auto-complete]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { options: [{
                type: Input
            }], inputText: [{
                type: Input
            }], mobile: [{
                type: Input
            }], onComplete: [{
                type: Output
            }], handleBlur: [{
                type: HostListener,
                args: ['blur']
            }] } });

/* eslint-disable @typescript-eslint/member-ordering */
let uniqueHiddenLabel = 0;
class MultiInputSelectionChangeEvent {
    /**
     * Multi Input selection change event
     * @param source Multi Input component
     * @param payload Selected value
     */
    constructor(source, payload // Contains selected item
    ) {
        this.source = source;
        this.payload = payload;
    }
}
class PlatformMultiInputComponent extends BaseMultiInput {
    /** Selected items of the multi input. */
    set selected(selectedValue) {
        this.value = selectedValue;
    }
    get selected() {
        return this._selected;
    }
    /** @hidden */
    get isGroup() {
        return !!(this.group && this.groupKey);
    }
    /** Whether the multi input is disabled. */
    set disabled(value) {
        this._disabled = value;
    }
    get disabled() {
        return this._disabled;
    }
    /** @hidden */
    constructor(
    /** @hidden */
    _dynamicComponentService, 
    /** @hidden */
    _viewContainerRef, 
    /** @hidden */
    _injector, 
    /** @hidden */
    _providers, contentDensityObserver) {
        super();
        this._dynamicComponentService = _dynamicComponentService;
        this._viewContainerRef = _viewContainerRef;
        this._injector = _injector;
        this._providers = _providers;
        this.contentDensityObserver = contentDensityObserver;
        /** @hidden */
        this.tokenCountHiddenLabel = `fdp-multi-input-token-count-id-${uniqueHiddenLabel++}`;
        /** token  count hidden label */
        this.tokenHiddenId = this.tokenCountHiddenLabel;
        /** boolean type represents the focus set for the respective multi input */
        this.autofocus = false;
        /** Selected values from the list items. */
        this._selected = [];
        /**
         *
         */
        this.selectionMode = 'none';
        /** Whether the list in byline mode. */
        this.hasByLine = false;
        /** @hidden Whether the input is disabled. */
        this._disabled = false;
        /**
         * Preset options for the Select body width, whatever is chosen, the body has a 600px limit.
         * `at-least` will apply a minimum width to the body equivalent to the width of the control. - Default
         * `equal` will apply a width to the body equivalent to the width of the control.
         * 'fit-content' will apply width needed to properly display items inside, independent of control.
         */
        this.fillControlMode = 'at-least';
        /**
         * The trigger events that will open/close the options popover.
         * Accepts any [HTML DOM Events](https://www.w3schools.com/jsref/dom_obj_event.asp).
         */
        this.triggers = [];
        /** Whether the combobox should close, when a click is performed outside its boundaries. True by default */
        this.closeOnOutsideClick = true;
        /** Event emitted when item is selected. */
        this.selectionChange = new EventEmitter();
        /** Display function. Accepts an object of the same type as the
         * items passed to dropdownValues as argument, and outputs a string.
         * An arrow function can be used to access the *this* keyword in the calling component.
         * See multi input examples for details. */
        this.displayFn = (str) => str;
    }
    /** @hidden */
    ngOnInit() {
        super.ngOnInit();
        const providers = this._providers?.size === 0 ? this.multiInputConfig.providers : this._providers;
        // if we have both prefer dataSource
        if (!this.dataSource && this.entityClass && providers?.has(this.entityClass)) {
            this.dataSource = new MultiInputDataSource(providers.get(this.entityClass));
        }
    }
    /** @hidden */
    ngAfterViewInit() {
        super.ngAfterViewInit();
        if (this.mobile) {
            this._setUpMobileMode();
        }
    }
    /** @hidden Method to emit change event */
    emitChangeEvent(modelValue) {
        const event = new MultiInputSelectionChangeEvent(this, modelValue);
        this.selectionChange.emit(event);
    }
    /** @hidden */
    _checkboxSelected(value, event) {
        const isSelected = event.source._selected;
        const index = this.selected.findIndex((selectvalue) => equal(selectvalue, value));
        if (isSelected && index > -1) {
            return;
        }
        this.addToArray(value, false);
    }
    /** @hidden */
    addToArray(value, focusOnInput = true) {
        const index = this.selected.findIndex((selectvalue) => equal(selectvalue, value));
        if (index === -1) {
            this.selected.push(value);
        }
        else {
            this.selected.splice(index, 1);
        }
        if (!this.mobile && focusOnInput) {
            this.close();
        }
        this._updateModel(this.selected);
        if (focusOnInput) {
            this.searchInputElement.nativeElement.focus();
        }
        this.emitChangeEvent(value ? this.selected : null);
        this.detectChanges();
    }
    /** @hidden */
    addOnButtonClick(event) {
        if (isFunction(this.addOnButtonClickFn)) {
            this.addOnButtonClickFn();
            return;
        }
        if (!this.openDropdownOnAddOnClicked && this.isOpen) {
            this.showList(false);
        }
        else if (this.openDropdownOnAddOnClicked) {
            this.showList(!this.isOpen);
            this.searchInputElement?.nativeElement.focus();
        }
        this.addOnButtonClicked.emit(event);
    }
    /** @hidden */
    onInputGroupClicked() {
        if (this.mobile && !this.isOpen) {
            this.open();
        }
    }
    /** @hidden */
    moreClicked() {
        this.open();
        this._suggestions = this.selected;
        this.markForCheck();
    }
    /** @hidden */
    deleteToken(selectedValue) {
        if (this.tokenizer.tokenList.length > 0) {
            this.tokenizer.tokenList.forEach((token) => {
                if (token.tokenWrapperElement.nativeElement.textContent === selectedValue.label) {
                    this.selected.splice(this.selected.indexOf(selectedValue), 1);
                }
            });
        }
        this._updateModel(this.selected);
        this.searchInputElement.nativeElement.focus();
        this.close();
        this.markForCheck();
    }
    /** @hidden */
    removeToken(token) {
        this.selected.splice(this.selected.indexOf(token), 1);
        this.emitChangeEvent(token ? this.selected : null);
        this.searchInputElement.nativeElement.focus();
        if (this.selected.length === 0) {
            this._selected = [];
        }
        this._updateModel(this.selected);
        this.markForCheck();
    }
    /** @hidden */
    removeSelectedTokens(event) {
        if (KeyUtil.isKeyCode(event, [DOWN_ARROW, UP_ARROW])) {
            if (this.isOpen) {
                this.listComponent._setCurrentActiveItemIndex(0);
                this.listTemplateDD.listItems.first.focus();
            }
            else {
                this.showList(!this.isOpen);
                this.searchInputElement.nativeElement.focus();
            }
        }
        this.markForCheck();
    }
    /** @hidden Define is selected item selected */
    isSelectedOptionItem(selectedItem) {
        return ((this.lookupKey && this.lookupValue(this.selected) === this.lookupValue(selectedItem)) ||
            this.displayValue(this.selected) === this.displayValue(selectedItem));
    }
    /** @hidden Method to set selected item */
    selectOptionItem(item) {
        if (this.mobile) {
            this.selectedValue = item;
            this.inputText = item.label;
            this.detectChanges();
            return;
        }
        this.inputText = item.label;
        this._checkAndUpdate(item);
        this.showList(false);
    }
    /** @hidden Method to set as selected */
    setAsSelected(item) {
        this._selected = item;
        this.inputText = '';
        this._markListItemsAsSelected();
    }
    /**
     * @hidden
     * Mathod for marking items in dropdown as selected.
     */
    _markListItemsAsSelected() {
        this._listItems?.forEach((listItem) => {
            const isSelected = !!this._selected.find((value) => equal(value.value, listItem.value));
            listItem.setSelected(isSelected);
        });
    }
    /** @hidden */
    _onAutoComplete(event) {
        if (!event.forceClose || !this._suggestions) {
            return;
        }
        const [item] = this.isGroup ? this._suggestions[0]?.children || [] : this._suggestions;
        if (item && item.label === event.term) {
            this.addToArray(item);
        }
    }
    /** @hidden */
    _onKeydownEnter(event) {
        if (this.inputText) {
            event.preventDefault();
        }
    }
    /** @hidden Handle dialog dismissing, closes popover and sets backup data. */
    _dialogDismiss(selected) {
        this._selected = selected;
        this.showList(false);
    }
    /** @hidden Handle dialog approval, closes popover and propagates data changes. */
    _dialogApprove() {
        this.onChange(this.selected);
        this._updateModel(this.selected);
        this.showList(false);
    }
    /** @hidden if not selected update model */
    _checkAndUpdate(modelValue) {
        if (this.isSelectedOptionItem(modelValue)) {
            return;
        }
        const optionItem = this._getSelectedOptionItem(this.inputText);
        this._updateModel(optionItem ? optionItem.value : this.inputText);
    }
    /** @hidden */
    _getSelectedOptionItem(text) {
        if (!this.isGroup) {
            return this._suggestions.find((item) => item.label === text);
        }
        return this._suggestions
            .reduce((result, item) => {
            item.children && result.push(...item.children);
            return result;
        }, [])
            .find((item) => item.label === text);
    }
    /** @hidden Update model */
    _updateModel(value) {
        // setting value, it will call setValue()
        this.value = value;
    }
    /** @hidden */
    async _setUpMobileMode() {
        const injector = Injector.create({
            providers: [{ provide: MULTIINPUT_COMPONENT, useValue: this }],
            parent: this._injector
        });
        this._dynamicComponentService.createDynamicComponent({ listTemplate: this.listTemplate, controlTemplate: this.controlTemplate }, PlatformMultiInputMobileComponent, {
            containerRef: this._viewContainerRef
        }, { injector });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputComponent, deps: [{ token: i2.DynamicComponentService }, { token: i0.ViewContainerRef }, { token: i0.Injector }, { token: DATA_PROVIDERS, optional: true }, { token: i2$1.ContentDensityObserver }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: PlatformMultiInputComponent, isStandalone: true, selector: "fdp-multi-input", inputs: { tokenHiddenId: "tokenHiddenId", type: "type", autofocus: "autofocus", glyphAriaLabel: "glyphAriaLabel", addonIconTitle: "addonIconTitle", selected: "selected", selectionMode: "selectionMode", hasByLine: "hasByLine", disabled: "disabled", fillControlMode: "fillControlMode", triggers: "triggers", closeOnOutsideClick: "closeOnOutsideClick", addOnButtonClickFn: "addOnButtonClickFn", displayFn: "displayFn" }, outputs: { selectionChange: "selectionChange" }, providers: [
            {
                provide: FD_FORM_FIELD_CONTROL,
                useExisting: forwardRef(() => PlatformMultiInputComponent),
                multi: true
            },
            contentDensityObserverProviders()
        ], viewQueries: [{ propertyName: "listTemplateDD", first: true, predicate: ListComponent, descendants: true }, { propertyName: "tokenizer", first: true, predicate: TokenizerComponent, descendants: true }, { propertyName: "controlTemplate", first: true, predicate: ["controlTemplate"], descendants: true }, { propertyName: "listTemplate", first: true, predicate: ["listTemplate"], descendants: true }, { propertyName: "_listItems", predicate: BaseListItem, descendants: true }], usesInheritance: true, ngImport: i0, template: "<div class=\"fd-multi-input\">\n    <ng-template [ngTemplateOutlet]=\"mobile ? controlTemplate : desktopTemplate\"></ng-template>\n</div>\n<ng-template #desktopTemplate>\n    <fd-popover\n        additionalBodyClass=\"fdp-multi-input__list-container\"\n        [isOpen]=\"isOpen && _suggestions.length > 0\"\n        (isOpenChange)=\"_popoverOpenChangeHandle($event)\"\n        [fillControlMode]=\"fillControlMode\"\n        [focusTrapped]=\"true\"\n        [triggers]=\"triggers\"\n        [disabled]=\"disabled || readonly\"\n        [maxWidth]=\"(!autoResize && minWidth) || 0\"\n        [closeOnOutsideClick]=\"closeOnOutsideClick\"\n    >\n        <fd-popover-control>\n            <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n        </fd-popover-control>\n        <fd-popover-body>\n            <ng-template [ngTemplateOutlet]=\"listTemplate\"></ng-template>\n            <ng-content></ng-content>\n        </fd-popover-body>\n    </fd-popover>\n</ng-template>\n<ng-template #controlTemplate>\n    <fd-input-group\n        [button]=\"true\"\n        [buttonFocusable]=\"buttonFocusable\"\n        [isControl]=\"true\"\n        glyph=\"value-help\"\n        [state]=\"state\"\n        [disabled]=\"disabled\"\n        (keydown)=\"removeSelectedTokens($event)\"\n        (addOnButtonClicked)=\"addOnButtonClick($event)\"\n        (click)=\"onInputGroupClicked()\"\n        [glyphAriaLabel]=\"glyphAriaLabel\"\n        [iconTitle]=\"addonIconTitle\"\n    >\n        <span [attr.id]=\"tokenHiddenId\" aria-hidden=\"true\" class=\"fdp-multi-input__invisible-text\"\n            >Contains {{ selected.length || 'no' }} token</span\n        >\n        <fd-tokenizer\n            [tokenizerFocusable]=\"false\"\n            [compactCollapse]=\"true\"\n            [showOverflowPopover]=\"false\"\n            #tokenizer\n            class=\"fd-multi-input-tokenizer-custom\"\n            (moreClickedEvent)=\"moreClicked()\"\n            tabindex=\"-1\"\n            role=\"listbox\"\n            fdMultiAnnouncer\n            [multiAnnouncerOptions]=\"isOpen ? _suggestions : []\"\n        >\n            @for (token of selected; track token; let i = $index) {\n                <fd-token\n                    [readOnly]=\"disabled\"\n                    (onCloseClick)=\"removeToken(token)\"\n                    [attr.aria-posinset]=\"i\"\n                    [attr.aria-setsize]=\"selected.length\"\n                >\n                    <span>{{ token.label | displayFnPipe: displayFn }}</span>\n                </fd-token>\n            }\n            <input\n                #searchInputElement\n                type=\"text\"\n                class=\"fd-input fd-multi-input-tokenizer-input fd-tokenizer__input fd-input-group__input\"\n                fdp-auto-complete\n                autocomplete=\"off\"\n                (onComplete)=\"_onAutoComplete($event)\"\n                (keydown.enter)=\"_onKeydownEnter($event)\"\n                (keydown)=\"onInputKeydownHandler($event)\"\n                [inputText]=\"inputText\"\n                [options]=\"_suggestions\"\n                fd-input-group-input\n                fd-form-control\n                [attr.id]=\"id\"\n                [disabled]=\"disabled\"\n                [(ngModel)]=\"inputText\"\n                (ngModelChange)=\"searchTermChanged()\"\n                [ngModelOptions]=\"{ standalone: true }\"\n                [attr.placeholder]=\"selected.length ? null : placeholder\"\n                (focus)=\"onTouched(); tokenizer._showAllTokens()\"\n                (blur)=\"tokenizer._hideTokens()\"\n                [attr.aria-expanded]=\"isOpen && _suggestions.length > 0\"\n                [readonly]=\"readonly\"\n                aria-haspopup=\"listbox\"\n                [attr.aria-readonly]=\"readonly\"\n                [ariaLabel]=\"ariaLabel || ('coreMultiInput.multiInputAriaLabel' | fdTranslate)\"\n                [ariaLabelledBy]=\"ariaLabelledBy\"\n                [attr.aria-required]=\"required\"\n                [attr.aria-describedby]=\"tokenHiddenId\"\n                aria-roledescription=\"Multi Value Input\"\n                fdkInitialFocus\n                [enabled]=\"autofocus\"\n            />\n        </fd-tokenizer>\n    </fd-input-group>\n</ng-template>\n<ng-template #listTemplate>\n    @if (_suggestions && _suggestions.length) {\n        <fdp-list\n            [noBorder]=\"true\"\n            #listTemplateDD\n            [hasByLine]=\"hasByLine\"\n            [selectionMode]=\"selectionMode\"\n            role=\"listbox\"\n            aria-multiselectable=\"true\"\n            [interceptTabKey]=\"false\"\n            (keydown.tab)=\"close()\"\n        >\n            @if (!isGroup) {\n                @for (listItem of _suggestions; track listItem) {\n                    <fdp-standard-list-item\n                        [title]=\"listItem.label\"\n                        [description]=\"listItem.description || ''\"\n                        [avatar]=\"listItem.avatarSrc\"\n                        [value]=\"listItem.value\"\n                        (itemSelected)=\"selectionMode !== 'multi' && addToArray(listItem, true)\"\n                        (itemCheckboxSelected)=\"_checkboxSelected(listItem, $event)\"\n                        (buttonClicked)=\"deleteToken(listItem)\"\n                        role=\"option\"\n                    >\n                    </fdp-standard-list-item>\n                }\n            }\n            @if (isGroup) {\n                @for (group of _suggestions; track group) {\n                    @if (!groupItemTemplate) {\n                        <fdp-list-group-header [groupHeaderTitle]=\"group.label\"></fdp-list-group-header>\n                    }\n                    @if (groupItemTemplate) {\n                        <ng-template\n                            [ngTemplateOutlet]=\"groupItemTemplate\"\n                            [ngTemplateOutletContext]=\"{ $implicit: { label: group.label } }\"\n                        ></ng-template>\n                    }\n                    @for (optionItem of group.children; track optionItem; let i = $index) {\n                        <fdp-standard-list-item\n                            [title]=\"optionItem.label\"\n                            [value]=\"optionItem.value\"\n                            (itemSelected)=\"addToArray(optionItem, true)\"\n                            (itemCheckboxSelected)=\"addToArray(optionItem, false)\"\n                            (buttonClicked)=\"deleteToken(optionItem)\"\n                            role=\"option\"\n                        >\n                        </fdp-standard-list-item>\n                    }\n                }\n            }\n        </fdp-list>\n    }\n</ng-template>\n", styles: [".fd-multi-input-tokenizer-custom{width:calc(100% - 2.25rem)}[class*=--compact] .fd-multi-input-tokenizer-custom:not([class*=--cozy]):not([class*=--condensed]),.is-compact .fd-multi-input-tokenizer-custom:not(.is-cozy):not(.is-condensed),.fd-multi-input-tokenizer-custom[class*=--compact],.fd-multi-input-tokenizer-custom.is-compact{width:calc(100% - 2rem)}.fdp-multi-input__list-container.fd-popover__body{width:100%;overflow:hidden;position:relative}.fdp-multi-input__invisible-text{display:none!important}\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: PopoverComponent, selector: "fd-popover", inputs: ["title", "trigger", "fixedPosition", "id", "mobile", "mobileConfig", "preventSpaceKeyScroll"] }, { kind: "component", type: PopoverControlComponent, selector: "fd-popover-control, [fdPopoverControl]" }, { kind: "component", type: PopoverBodyComponent, selector: "fd-popover-body", inputs: ["minWidth", "maxWidth", "minHeight", "maxHeight"] }, { kind: "ngmodule", type: InputGroupModule }, { kind: "component", type: i3$2.InputGroupComponent, selector: "fd-input-group", inputs: ["placement", "required", "inline", "addOnText", "buttonFocusable", "type", "glyph", "glyphFont", "button", "isControl", "showFocus", "isExpanded", "glyphAriaLabel", "addonButtonAriaHidden", "iconTitle", "ariaLabelledBy", "ariaLabel"], outputs: ["addOnButtonClicked", "search"] }, { kind: "directive", type: i3$2.InputGroupInputDirective, selector: "[fdInputGroupInput], [fd-input-group-input]", inputs: ["class"] }, { kind: "component", type: TokenComponent, selector: "fd-token", inputs: ["disabled", "selected", "readOnly"], outputs: ["onCloseClick", "onRemove", "onTokenClick", "onTokenKeydown", "elementFocused"] }, { kind: "component", type: TokenizerComponent, selector: "fd-tokenizer", inputs: ["class", "disableKeyboardDeletion", "compactCollapse", "tokenizerFocusable", "inputValue", "glyph", "glyphFont", "moreTerm", "open", "showOverflowPopover"], outputs: ["moreClickedEvent"] }, { kind: "component", type: FormControlComponent, selector: "input[fd-form-control], textarea[fd-form-control]", inputs: ["state", "type", "class", "ariaLabel", "ariaLabelledBy"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: AutoCompleteDirective, selector: "[fdp-auto-complete]", inputs: ["options", "inputText", "mobile"], outputs: ["onComplete"] }, { kind: "directive", type: InitialFocusDirective, selector: "[fdkInitialFocus]", inputs: ["fdkInitialFocus", "enabled", "focusLastElement"] }, { kind: "ngmodule", type: PlatformListModule }, { kind: "component", type: i5.ListComponent, selector: "fdp-list", inputs: ["selectedItems", "ariaSetsize", "ariaMultiselectable", "loadTitle", "loadingLabel", "delayTime", "itemSize", "loadMore", "loadOnScroll", "role", "listType", "maxHeight", "noBorder", "scrollOffsetPercentage", "selection", "selectionMode", "value", "rowSelection", "dataSource", "navigated", "navigationIndicator", "hasByLine", "hasObject", "unreadIndicator", "interceptTabKey"], outputs: ["selectedItemChange"] }, { kind: "component", type: i5.ListGroupHeaderComponent, selector: "fdp-list-group-header", inputs: ["groupHeaderTitle"] }, { kind: "component", type: i5.StandardListItemComponent, selector: "fdp-standard-list-item" }, { kind: "pipe", type: DisplayFnPipe, name: "displayFnPipe" }, { kind: "ngmodule", type: ContentDensityModule }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "directive", type: MultiAnnouncerDirective, selector: "[fdMultiAnnouncer]", inputs: ["multiAnnouncerOptions"], exportAs: ["fdMultiAnnouncer"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-multi-input', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: FD_FORM_FIELD_CONTROL,
                            useExisting: forwardRef(() => PlatformMultiInputComponent),
                            multi: true
                        },
                        contentDensityObserverProviders()
                    ], imports: [
                        NgTemplateOutlet,
                        PopoverComponent,
                        PopoverControlComponent,
                        PopoverBodyComponent,
                        InputGroupModule,
                        TokenComponent,
                        TokenizerComponent,
                        TokenizerInputDirective,
                        FormControlComponent,
                        FormsModule,
                        AutoCompleteDirective,
                        InitialFocusDirective,
                        PlatformListModule,
                        StandardListItemComponent,
                        DisplayFnPipe,
                        ContentDensityModule,
                        FdTranslatePipe,
                        MultiAnnouncerDirective
                    ], template: "<div class=\"fd-multi-input\">\n    <ng-template [ngTemplateOutlet]=\"mobile ? controlTemplate : desktopTemplate\"></ng-template>\n</div>\n<ng-template #desktopTemplate>\n    <fd-popover\n        additionalBodyClass=\"fdp-multi-input__list-container\"\n        [isOpen]=\"isOpen && _suggestions.length > 0\"\n        (isOpenChange)=\"_popoverOpenChangeHandle($event)\"\n        [fillControlMode]=\"fillControlMode\"\n        [focusTrapped]=\"true\"\n        [triggers]=\"triggers\"\n        [disabled]=\"disabled || readonly\"\n        [maxWidth]=\"(!autoResize && minWidth) || 0\"\n        [closeOnOutsideClick]=\"closeOnOutsideClick\"\n    >\n        <fd-popover-control>\n            <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n        </fd-popover-control>\n        <fd-popover-body>\n            <ng-template [ngTemplateOutlet]=\"listTemplate\"></ng-template>\n            <ng-content></ng-content>\n        </fd-popover-body>\n    </fd-popover>\n</ng-template>\n<ng-template #controlTemplate>\n    <fd-input-group\n        [button]=\"true\"\n        [buttonFocusable]=\"buttonFocusable\"\n        [isControl]=\"true\"\n        glyph=\"value-help\"\n        [state]=\"state\"\n        [disabled]=\"disabled\"\n        (keydown)=\"removeSelectedTokens($event)\"\n        (addOnButtonClicked)=\"addOnButtonClick($event)\"\n        (click)=\"onInputGroupClicked()\"\n        [glyphAriaLabel]=\"glyphAriaLabel\"\n        [iconTitle]=\"addonIconTitle\"\n    >\n        <span [attr.id]=\"tokenHiddenId\" aria-hidden=\"true\" class=\"fdp-multi-input__invisible-text\"\n            >Contains {{ selected.length || 'no' }} token</span\n        >\n        <fd-tokenizer\n            [tokenizerFocusable]=\"false\"\n            [compactCollapse]=\"true\"\n            [showOverflowPopover]=\"false\"\n            #tokenizer\n            class=\"fd-multi-input-tokenizer-custom\"\n            (moreClickedEvent)=\"moreClicked()\"\n            tabindex=\"-1\"\n            role=\"listbox\"\n            fdMultiAnnouncer\n            [multiAnnouncerOptions]=\"isOpen ? _suggestions : []\"\n        >\n            @for (token of selected; track token; let i = $index) {\n                <fd-token\n                    [readOnly]=\"disabled\"\n                    (onCloseClick)=\"removeToken(token)\"\n                    [attr.aria-posinset]=\"i\"\n                    [attr.aria-setsize]=\"selected.length\"\n                >\n                    <span>{{ token.label | displayFnPipe: displayFn }}</span>\n                </fd-token>\n            }\n            <input\n                #searchInputElement\n                type=\"text\"\n                class=\"fd-input fd-multi-input-tokenizer-input fd-tokenizer__input fd-input-group__input\"\n                fdp-auto-complete\n                autocomplete=\"off\"\n                (onComplete)=\"_onAutoComplete($event)\"\n                (keydown.enter)=\"_onKeydownEnter($event)\"\n                (keydown)=\"onInputKeydownHandler($event)\"\n                [inputText]=\"inputText\"\n                [options]=\"_suggestions\"\n                fd-input-group-input\n                fd-form-control\n                [attr.id]=\"id\"\n                [disabled]=\"disabled\"\n                [(ngModel)]=\"inputText\"\n                (ngModelChange)=\"searchTermChanged()\"\n                [ngModelOptions]=\"{ standalone: true }\"\n                [attr.placeholder]=\"selected.length ? null : placeholder\"\n                (focus)=\"onTouched(); tokenizer._showAllTokens()\"\n                (blur)=\"tokenizer._hideTokens()\"\n                [attr.aria-expanded]=\"isOpen && _suggestions.length > 0\"\n                [readonly]=\"readonly\"\n                aria-haspopup=\"listbox\"\n                [attr.aria-readonly]=\"readonly\"\n                [ariaLabel]=\"ariaLabel || ('coreMultiInput.multiInputAriaLabel' | fdTranslate)\"\n                [ariaLabelledBy]=\"ariaLabelledBy\"\n                [attr.aria-required]=\"required\"\n                [attr.aria-describedby]=\"tokenHiddenId\"\n                aria-roledescription=\"Multi Value Input\"\n                fdkInitialFocus\n                [enabled]=\"autofocus\"\n            />\n        </fd-tokenizer>\n    </fd-input-group>\n</ng-template>\n<ng-template #listTemplate>\n    @if (_suggestions && _suggestions.length) {\n        <fdp-list\n            [noBorder]=\"true\"\n            #listTemplateDD\n            [hasByLine]=\"hasByLine\"\n            [selectionMode]=\"selectionMode\"\n            role=\"listbox\"\n            aria-multiselectable=\"true\"\n            [interceptTabKey]=\"false\"\n            (keydown.tab)=\"close()\"\n        >\n            @if (!isGroup) {\n                @for (listItem of _suggestions; track listItem) {\n                    <fdp-standard-list-item\n                        [title]=\"listItem.label\"\n                        [description]=\"listItem.description || ''\"\n                        [avatar]=\"listItem.avatarSrc\"\n                        [value]=\"listItem.value\"\n                        (itemSelected)=\"selectionMode !== 'multi' && addToArray(listItem, true)\"\n                        (itemCheckboxSelected)=\"_checkboxSelected(listItem, $event)\"\n                        (buttonClicked)=\"deleteToken(listItem)\"\n                        role=\"option\"\n                    >\n                    </fdp-standard-list-item>\n                }\n            }\n            @if (isGroup) {\n                @for (group of _suggestions; track group) {\n                    @if (!groupItemTemplate) {\n                        <fdp-list-group-header [groupHeaderTitle]=\"group.label\"></fdp-list-group-header>\n                    }\n                    @if (groupItemTemplate) {\n                        <ng-template\n                            [ngTemplateOutlet]=\"groupItemTemplate\"\n                            [ngTemplateOutletContext]=\"{ $implicit: { label: group.label } }\"\n                        ></ng-template>\n                    }\n                    @for (optionItem of group.children; track optionItem; let i = $index) {\n                        <fdp-standard-list-item\n                            [title]=\"optionItem.label\"\n                            [value]=\"optionItem.value\"\n                            (itemSelected)=\"addToArray(optionItem, true)\"\n                            (itemCheckboxSelected)=\"addToArray(optionItem, false)\"\n                            (buttonClicked)=\"deleteToken(optionItem)\"\n                            role=\"option\"\n                        >\n                        </fdp-standard-list-item>\n                    }\n                }\n            }\n        </fdp-list>\n    }\n</ng-template>\n", styles: [".fd-multi-input-tokenizer-custom{width:calc(100% - 2.25rem)}[class*=--compact] .fd-multi-input-tokenizer-custom:not([class*=--cozy]):not([class*=--condensed]),.is-compact .fd-multi-input-tokenizer-custom:not(.is-cozy):not(.is-condensed),.fd-multi-input-tokenizer-custom[class*=--compact],.fd-multi-input-tokenizer-custom.is-compact{width:calc(100% - 2rem)}.fdp-multi-input__list-container.fd-popover__body{width:100%;overflow:hidden;position:relative}.fdp-multi-input__invisible-text{display:none!important}\n"] }]
        }], ctorParameters: () => [{ type: i2.DynamicComponentService }, { type: i0.ViewContainerRef }, { type: i0.Injector }, { type: Map, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_PROVIDERS]
                }] }, { type: i2$1.ContentDensityObserver }], propDecorators: { tokenHiddenId: [{
                type: Input
            }], type: [{
                type: Input
            }], autofocus: [{
                type: Input
            }], glyphAriaLabel: [{
                type: Input
            }], addonIconTitle: [{
                type: Input
            }], listTemplateDD: [{
                type: ViewChild,
                args: [ListComponent]
            }], selected: [{
                type: Input
            }], selectionMode: [{
                type: Input
            }], hasByLine: [{
                type: Input
            }], disabled: [{
                type: Input
            }], fillControlMode: [{
                type: Input
            }], triggers: [{
                type: Input
            }], closeOnOutsideClick: [{
                type: Input
            }], addOnButtonClickFn: [{
                type: Input
            }], selectionChange: [{
                type: Output
            }], tokenizer: [{
                type: ViewChild,
                args: [TokenizerComponent]
            }], controlTemplate: [{
                type: ViewChild,
                args: ['controlTemplate']
            }], listTemplate: [{
                type: ViewChild,
                args: ['listTemplate']
            }], _listItems: [{
                type: ViewChildren,
                args: [BaseListItem]
            }], displayFn: [{
                type: Input
            }] } });

class PlatformMultiInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputModule, imports: [PlatformMultiInputComponent], exports: [PlatformMultiInputComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputModule, imports: [PlatformMultiInputComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [PlatformMultiInputComponent],
                    exports: [PlatformMultiInputComponent]
                }]
        }] });

class DynamicFormGeneratorMultiInputComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorMultiInputComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorMultiInputComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-multi-input", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-multi-input\n            [id]=\"id\"\n            [formControlName]=\"name\"\n            [placeholder]=\"placeholder\"\n            type=\"text\"\n            [name]=\"name\"\n            [dataSource]=\"choices\"\n            displayKey=\"label\"\n            lookupKey=\"label\"\n            [autofocus]=\"true\"\n        >\n        </fdp-multi-input>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: PlatformMultiInputComponent, selector: "fdp-multi-input", inputs: ["tokenHiddenId", "type", "autofocus", "glyphAriaLabel", "addonIconTitle", "selected", "selectionMode", "hasByLine", "disabled", "fillControlMode", "triggers", "closeOnOutsideClick", "addOnButtonClickFn", "displayFn"], outputs: ["selectionChange"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorMultiInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-multi-input', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, PlatformMultiInputComponent], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-multi-input\n            [id]=\"id\"\n            [formControlName]=\"name\"\n            [placeholder]=\"placeholder\"\n            type=\"text\"\n            [name]=\"name\"\n            [dataSource]=\"choices\"\n            displayKey=\"label\"\n            lookupKey=\"label\"\n            [autofocus]=\"true\"\n        >\n        </fdp-multi-input>\n    </ng-container>\n</ng-container>\n" }]
        }] });

class DynamicFormGeneratorObjectStatusComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorObjectStatusComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorObjectStatusComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-object-status", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-object-status\n            [label]=\"formItem.default\"\n            [status]=\"formItem.guiOptions?.status\"\n            [glyph]=\"formItem.guiOptions?.icon\"\n        ></fdp-object-status>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: ObjectStatusComponent, selector: "fdp-object-status", inputs: ["status", "glyph", "glyphFont", "indicationColor", "secondaryIndication", "clickable", "inverted", "large", "label", "ariaLabel", "title"], outputs: ["objectStatusClick"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorObjectStatusComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-object-status', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, ObjectStatusComponent], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-object-status\n            [label]=\"formItem.default\"\n            [status]=\"formItem.guiOptions?.status\"\n            [glyph]=\"formItem.guiOptions?.icon\"\n        ></fdp-object-status>\n    </ng-container>\n</ng-container>\n" }]
        }] });

let uniqueId = 0;
class RadioButtonComponent extends BaseInput {
    /** value for Radio button */
    set value(newValue) {
        this._value = newValue;
    }
    get value() {
        return super.getValue();
    }
    /** @hidden */
    constructor() {
        super();
        /**
         * Includes the Radio in the page tab sequence.
         */
        this.tabIndex = -1;
        /** used for radio button creation if list value present */
        this.forceRender = false;
        /** click event to emit */
        this.checked = new EventEmitter();
        /** @hidden Radio checked status */
        this._isChecked = false;
        if (this.ngControl) {
            this.ngControl.valueAccessor = this;
        }
        // @hidden have to set default initial values as base class has check and throws error
        this.id = `fdp-radio-id-${uniqueId}`;
        this.name = `fdp-radio-name-${uniqueId}`;
        uniqueId++;
    }
    /** @hidden Controlvalue accessor */
    writeValue(value) {
        this._valueChange(value);
    }
    /** @hidden */
    ngAfterViewInit() {
        super.ngAfterViewInit();
    }
    /** @hidden */
    _valueChange(value, emitEvent = false) {
        if (this.disabled) {
            emitEvent = false;
        }
        this._currentValue = value;
        this._isChecked = this._currentValue === super.getValue();
        if (this._isChecked && emitEvent) {
            this.checked.emit(this);
        }
        this.tabIndex = this._isChecked ? 0 : -1;
        this.detectChanges();
        if (emitEvent) {
            this.onChange(value);
            this.onTouched();
        }
    }
    /** method for cdk FocusKeymanager */
    focus() {
        this.coreRadioButton?.inputElement.nativeElement.focus();
    }
    /** method to select radio button */
    select() {
        this._valueChange(super.getValue());
    }
    /** method to uncheck radio button */
    unselect() {
        this._valueChange(undefined);
    }
    /** Setting tabIndex for radio accessibility */
    setTabIndex(index) {
        this.tabIndex = index;
        this.markForCheck();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: RadioButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: RadioButtonComponent, isStandalone: true, selector: "fdp-radio-button", inputs: { title: "title", tabIndex: "tabIndex", value: "value", forceRender: "forceRender" }, outputs: { checked: "checked" }, viewQueries: [{ propertyName: "renderer", first: true, predicate: ["renderer"], descendants: true }, { propertyName: "coreRadioButton", first: true, predicate: RadioButtonComponent$1, descendants: true }], usesInheritance: true, ngImport: i0, template: "<ng-template #renderer>\n    <fd-radio-button\n        [id]=\"id\"\n        [name]=\"name\"\n        [value]=\"value\"\n        [state]=\"state\"\n        [disabled]=\"disabled\"\n        [tabIndex]=\"_isChecked ? 0 : tabIndex\"\n        [title]=\"title\"\n        [ariaLabel]=\"ariaLabel\"\n        [ariaLabelledBy]=\"ariaLabelledBy\"\n        [ariaDescribedBy]=\"ariaDescribedBy\"\n        [ngModel]=\"_currentValue\"\n        (ngModelChange)=\"_valueChange($event, true)\"\n    >\n        <ng-content></ng-content>\n    </fd-radio-button>\n</ng-template>\n@if (forceRender) {\n    <ng-template [ngTemplateOutlet]=\"renderer\"></ng-template>\n}\n", dependencies: [{ kind: "component", type: RadioButtonComponent$1, selector: "fd-radio-button", inputs: ["ariaLabel", "ariaLabelledBy", "ariaDescribedBy", "title", "tabIndex", "state", "disabled", "readOnly", "selectedValue", "name", "id", "value", "required", "standalone", "wrapLabel", "valignLabel"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: RadioButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-radio-button', changeDetection: ChangeDetectionStrategy.OnPush, imports: [RadioButtonComponent$1, FormsModule, NgTemplateOutlet], template: "<ng-template #renderer>\n    <fd-radio-button\n        [id]=\"id\"\n        [name]=\"name\"\n        [value]=\"value\"\n        [state]=\"state\"\n        [disabled]=\"disabled\"\n        [tabIndex]=\"_isChecked ? 0 : tabIndex\"\n        [title]=\"title\"\n        [ariaLabel]=\"ariaLabel\"\n        [ariaLabelledBy]=\"ariaLabelledBy\"\n        [ariaDescribedBy]=\"ariaDescribedBy\"\n        [ngModel]=\"_currentValue\"\n        (ngModelChange)=\"_valueChange($event, true)\"\n    >\n        <ng-content></ng-content>\n    </fd-radio-button>\n</ng-template>\n@if (forceRender) {\n    <ng-template [ngTemplateOutlet]=\"renderer\"></ng-template>\n}\n" }]
        }], ctorParameters: () => [], propDecorators: { title: [{
                type: Input
            }], tabIndex: [{
                type: Input
            }], value: [{
                type: Input
            }], forceRender: [{
                type: Input
            }], renderer: [{
                type: ViewChild,
                args: ['renderer']
            }], checked: [{
                type: Output
            }], coreRadioButton: [{
                type: ViewChild,
                args: [RadioButtonComponent$1, { static: false }]
            }] } });

/**
 * Radio group implementation based on the
 * https://github.com/SAP/fundamental-ngx/wiki/Platform:-RadioGroup-Technical-Design
 * documents.
 */
// Increasing integer for generating unique ids for radio components.
let nextUniqueId = 0;
class RadioGroupComponent extends InLineLayoutCollectionBaseInput {
    /** Value of selected radio button */
    // eslint-disable-next-line @angular-eslint/no-input-rename
    set value(newValue) {
        super.setValue(newValue);
    }
    get value() {
        return super.getValue();
    }
    /** To Display Radio buttons in a line */
    set isInline(inline) {
        this._inlineCurrentValue$.next(inline);
    }
    get isInline() {
        return this._inlineCurrentValue$.value;
    }
    /** @hidden */
    constructor() {
        super();
        /** None value radio button created */
        this.hasNoValue = false;
        /** Label for None value radio button */
        this.noValueLabel = 'None';
        /** Selected radio button change event raised */
        this.change = new EventEmitter();
        /** @hidden */
        this._activeItemSet = false;
        /** @hidden The currently selected radio button. Should match value. */
        this._selected = null;
        /** @hidden */
        this._destroyRef = inject(DestroyRef);
        this.id = `radio-group-${nextUniqueId++}`;
    }
    /** @hidden */
    _handleKeydown(event) {
        event.stopImmediatePropagation();
        if (this._keyboardEventsManager) {
            // sets Active item. so arrow key starts after the active item.
            // Need to do only once, when one radio is already selected
            if (this._selected && !this._activeItemSet) {
                this._keyboardEventsManager.setActiveItem(this._selected);
                this._activeItemSet = true;
            }
            if (KeyUtil.isKeyCode(event, [DOWN_ARROW, UP_ARROW, LEFT_ARROW, RIGHT_ARROW])) {
                // passing the event to key manager so we get a change fired
                this._keyboardEventsManager.onKeydown(event);
            }
        }
    }
    /** Control Value Accessor */
    writeValue(value) {
        super.writeValue(value);
        this.contentRadioButtons?.forEach((b) => this._selectUnselect(b));
        this.viewRadioButtons?.forEach((b) => this._selectUnselect(b));
    }
    /** Access display value for objects, acts as checkbox label. */
    getDisplayValue(item) {
        return this.displayValue(item);
    }
    /**
     * Called on button click for view radio button, created from list of values
     * @param event
     */
    selected(event) {
        this._selectedValueChanged(event);
    }
    /** @hidden Selecting default button as provided as input */
    ngAfterContentChecked() {
        if (!this._validateRadioButtons()) {
            throw new Error('fdp-radio-button-group must contain a fdp-radio-button');
        }
        this.contentRadioButtons.forEach((button) => (button.state = this.state));
        this.markForCheck();
    }
    /**
     * @hidden
     * Initialize properties once fd-radio-buttons are available.
     * This allows us to propagate relevant attributes to associated buttons.
     */
    ngAfterViewInit() {
        setTimeout(() => {
            this._initialSetup(this.contentRadioButtons);
            this._initialSetup(this.viewRadioButtons);
        });
        super.ngAfterViewInit();
    }
    /** @hidden Destroys event subscription. */
    ngOnDestroy() {
        this._keyboardEventsManager?.destroy();
    }
    /** @hidden */
    _getListItemDisabledValue(item) {
        return this.disabled || (typeof item === 'object' && !!item.disabled);
    }
    /** @hidden */
    _initialSetup(radioButtons) {
        if (!radioButtons || radioButtons?.length === 0) {
            return;
        }
        this._keyboardEventsManager?.destroy();
        this._keyboardEventsManager = new FocusKeyManager(radioButtons).withWrap().withHorizontalOrientation('ltr');
        radioButtons.changes
            .pipe(startWith(radioButtons), switchMap(() => {
            let firstEnabledButtonIndex = -1;
            const checkedEvents = radioButtons.map((button, i) => {
                if (this.list) {
                    button.state = this.state;
                }
                else {
                    this._setProperties(button);
                }
                this._selectUnselect(button);
                // finding first enabled button to set tabIndex=0
                if (!button.disabled && !this._disabled && firstEnabledButtonIndex < 0) {
                    firstEnabledButtonIndex = i;
                }
                return button.checked.asObservable();
            });
            // accessibility requirement
            if (!this._selected && radioButtons && firstEnabledButtonIndex > -1) {
                radioButtons.toArray()[firstEnabledButtonIndex].setTabIndex(0);
            }
            return merge(...checkedEvents);
        }), takeUntilDestroyed(this._destroyRef))
            .subscribe((ev) => this._selectedValueChanged(ev));
    }
    /**
     * @hidden
     * Selects given button, if value matches
     * @param button
     */
    _selectUnselect(button) {
        if (button.value !== this.value) {
            button.unselect();
            return;
        }
        // selected button
        if (this._selected !== button) {
            this._selected = button;
        }
        if (!button._isChecked) {
            button.select();
        }
    }
    /** @hidden Called every time a radio button is clicked, In content child as well as viewchild */
    _selectedValueChanged(button) {
        if (this._selected !== button) {
            this._resetTabIndex(button);
            if (this._selected) {
                this._selected.unselect();
            }
            this._selected = button;
            button.select();
        }
        this.value = button.value;
        this.change.emit(button);
        this.onTouched();
    }
    /** @hidden resets tabIndex for first radio in radio group. for accessibility tabIndex was set */
    _resetTabIndex(selectedRadio) {
        if (this.viewRadioButtons || this.contentRadioButtons) {
            const radios = this.viewRadioButtons.length > 0 ? this.viewRadioButtons : this.contentRadioButtons;
            radios.forEach((radio) => {
                if (radio !== selectedRadio && radio.tabIndex === 0) {
                    radio.tabIndex = -1;
                }
            });
        }
    }
    /**
     * @hidden
     * @param button Set initial values, used while content children creation
     */
    _setProperties(button) {
        if (button) {
            button.name = this.name;
            button.state = this.state;
            button.disabled = button.disabled ? button.disabled : this._disabled;
        }
    }
    /** @hidden Make sure we have expected child. */
    _validateRadioButtons() {
        return (this.contentRadioButtons.filter((item) => !(item instanceof RadioButtonComponent || item['renderer']))
            .length === 0);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: RadioGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: RadioGroupComponent, isStandalone: true, selector: "fdp-radio-group", inputs: { value: ["selected", "value"], isInline: "isInline", hasNoValue: "hasNoValue", noValueLabel: "noValueLabel" }, outputs: { change: "change" }, host: { listeners: { "keydown": "_handleKeydown($event)" } }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => RadioGroupComponent), multi: true }], queries: [{ propertyName: "contentRadioButtons", predicate: RadioButtonComponent }], viewQueries: [{ propertyName: "viewRadioButtons", predicate: RadioButtonComponent, descendants: true }], usesInheritance: true, ngImport: i0, template: "<fd-form-group\n    [isInline]=\"isInline\"\n    role=\"radiogroup\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-orientation]=\"isInline ? 'horizontal' : 'vertical'\"\n    [attr.aria-required]=\"required\"\n>\n    @if (!list) {\n        @for (radio of contentRadioButtons; track radio) {\n            <div fd-form-item>\n                <ng-template\n                    [ngTemplateOutlet]=\"radio?.renderer || null\"\n                    [ngTemplateOutletContext]=\"{\n                        name: name,\n                        value: radio.value,\n                        state: state,\n                        disabled: disabled || radio.disabled,\n                        ariaLabel: radio.ariaLabel,\n                        ariaLabelledBy: radio.ariaLabelledBy,\n                        ariaDescribedBy: radio.ariaDescribedBy,\n                        title: radio.title\n                    }\"\n                ></ng-template>\n            </div>\n        }\n    } @else {\n        <ng-template [ngTemplateOutlet]=\"listvalues\"></ng-template>\n    }\n</fd-form-group>\n<ng-template #listvalues>\n    @if (hasNoValue) {\n        <div fd-form-item>\n            <fdp-radio-button [name]=\"name\" value=\"None\" [state]=\"state\" [disabled]=\"disabled\" [forceRender]=\"true\">\n                {{ noValueLabel }}\n            </fdp-radio-button>\n        </div>\n    }\n    @for (item of list; track item) {\n        <div fd-form-item>\n            <fdp-radio-button\n                [name]=\"name\"\n                [value]=\"lookupValue(item)\"\n                [state]=\"state\"\n                [disabled]=\"_getListItemDisabledValue(item)\"\n                [forceRender]=\"true\"\n            >\n                {{ getDisplayValue(item) }}\n            </fdp-radio-button>\n        </div>\n    }\n</ng-template>\n", dependencies: [{ kind: "component", type: FormGroupComponent$1, selector: "fd-form-group", inputs: ["isInline"] }, { kind: "component", type: FormItemComponent, selector: "[fd-form-item]", inputs: ["isInline", "horizontal"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: RadioButtonComponent, selector: "fdp-radio-button", inputs: ["title", "tabIndex", "value", "forceRender"], outputs: ["checked"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: RadioGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-radio-group', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => RadioGroupComponent), multi: true }], imports: [FormGroupComponent$1, FormItemComponent, NgTemplateOutlet, RadioButtonComponent], template: "<fd-form-group\n    [isInline]=\"isInline\"\n    role=\"radiogroup\"\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-orientation]=\"isInline ? 'horizontal' : 'vertical'\"\n    [attr.aria-required]=\"required\"\n>\n    @if (!list) {\n        @for (radio of contentRadioButtons; track radio) {\n            <div fd-form-item>\n                <ng-template\n                    [ngTemplateOutlet]=\"radio?.renderer || null\"\n                    [ngTemplateOutletContext]=\"{\n                        name: name,\n                        value: radio.value,\n                        state: state,\n                        disabled: disabled || radio.disabled,\n                        ariaLabel: radio.ariaLabel,\n                        ariaLabelledBy: radio.ariaLabelledBy,\n                        ariaDescribedBy: radio.ariaDescribedBy,\n                        title: radio.title\n                    }\"\n                ></ng-template>\n            </div>\n        }\n    } @else {\n        <ng-template [ngTemplateOutlet]=\"listvalues\"></ng-template>\n    }\n</fd-form-group>\n<ng-template #listvalues>\n    @if (hasNoValue) {\n        <div fd-form-item>\n            <fdp-radio-button [name]=\"name\" value=\"None\" [state]=\"state\" [disabled]=\"disabled\" [forceRender]=\"true\">\n                {{ noValueLabel }}\n            </fdp-radio-button>\n        </div>\n    }\n    @for (item of list; track item) {\n        <div fd-form-item>\n            <fdp-radio-button\n                [name]=\"name\"\n                [value]=\"lookupValue(item)\"\n                [state]=\"state\"\n                [disabled]=\"_getListItemDisabledValue(item)\"\n                [forceRender]=\"true\"\n            >\n                {{ getDisplayValue(item) }}\n            </fdp-radio-button>\n        </div>\n    }\n</ng-template>\n" }]
        }], ctorParameters: () => [], propDecorators: { value: [{
                type: Input,
                args: ['selected']
            }], isInline: [{
                type: Input
            }], hasNoValue: [{
                type: Input
            }], noValueLabel: [{
                type: Input
            }], contentRadioButtons: [{
                type: ContentChildren,
                args: [RadioButtonComponent]
            }], viewRadioButtons: [{
                type: ViewChildren,
                args: [RadioButtonComponent]
            }], 
        // eslint-disable-next-line @angular-eslint/no-output-native
        change: [{
                type: Output
            }], _handleKeydown: [{
                type: HostListener,
                args: ['keydown', ['$event']]
            }] } });

class PlatformRadioGroupModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformRadioGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformRadioGroupModule, imports: [RadioGroupComponent, RadioButtonComponent], exports: [RadioGroupComponent, RadioButtonComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformRadioGroupModule, imports: [RadioGroupComponent, RadioButtonComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformRadioGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [RadioGroupComponent, RadioButtonComponent],
                    exports: [RadioGroupComponent, RadioButtonComponent]
                }]
        }] });

class DynamicFormGeneratorRadioComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorRadioComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorRadioComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-radio", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-radio-group\n            [id]=\"id\"\n            [isInline]=\"formItem.guiOptions?.inline || false\"\n            [inlineLayout]=\"formItem.guiOptions?.inlineLayout\"\n            [name]=\"name\"\n            [list]=\"choices\"\n            [formControlName]=\"name\"\n        ></fdp-radio-group>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "ngmodule", type: PlatformRadioGroupModule }, { kind: "component", type: RadioGroupComponent, selector: "fdp-radio-group", inputs: ["selected", "isInline", "hasNoValue", "noValueLabel"], outputs: ["change"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorRadioComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-radio', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, PlatformRadioGroupModule], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-radio-group\n            [id]=\"id\"\n            [isInline]=\"formItem.guiOptions?.inline || false\"\n            [inlineLayout]=\"formItem.guiOptions?.inlineLayout\"\n            [name]=\"name\"\n            [list]=\"choices\"\n            [formControlName]=\"name\"\n        ></fdp-radio-group>\n    </ng-container>\n</ng-container>\n" }]
        }] });

/**
 * Default options for Combobox
 */
class SelectConfig {
    /** @hidden */
    constructor(platformConfig) {
        this.contentDensity = platformConfig.contentDensity;
    }
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj) {
        const useFactory = (platformConfig) => Object.assign(new SelectConfig(platformConfig), obj);
        return useFactory;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SelectConfig, deps: [{ token: i1.PlatformConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SelectConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SelectConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1.PlatformConfig }] });

/**
 * @deprecated
 * `FdpSelectionChangeEvent` will be removed in future versions in favour of plain value emission
 */
class FdpSelectionChangeEvent {
    /**
     * Select selection change event
     * @param payload selected value
     */
    constructor(payload // Contains selected item
    ) {
        this.payload = payload;
        warnOnce('FdpSelectionChangeEvent will be removed in future versions in favour of plain value emission');
    }
}
class BaseSelect extends CollectionBaseInput {
    constructor() {
        super(...arguments);
        /** Provides maximum default height for the optionPanel */
        this.maxHeight = '250px';
        /** Whether the select should be built on mobile mode */
        this.mobile = false;
        /** Tells the select if we need to group items */
        this.group = false;
        /** Show the second column (Applicable for two columns layout) */
        this.showSecondaryText = false;
        /** Glyph to add icon in the select component. */
        this.glyph = 'slim-arrow-down';
        /** Glyph font family */
        this.glyphFont = FD_DEFAULT_ICON_FONT_FAMILY;
        /**
         * Preset options for the select body width.
         * * `at-least` will apply a minimum width to the body equivalent to the width of the control.
         * * `equal` will apply a width to the body equivalent to the width of the control.
         * * Leave blank for no effect.
         */
        this.fillControlMode = 'at-least';
        /** Horizontally align text inside the second column (Applicable for two columns layout) */
        this.secondaryTextAlignment = 'right';
        /** Whether the select component is readonly. */
        this.readonly = false;
        /** Whether close the popover on outside click. */
        this.closeOnOutsideClick = true;
        /** Select Input Mobile Configuration */
        this.mobileConfig = { hasCloseButton: true };
        /** Whether not to wrap text */
        this.noWrapText = false;
        /** Turns on/off Adjustable Width feature */
        this.autoResize = false;
        /**
         * Action to perform when user shifts focus from the dropdown.
         * - `close` will close the dropdown preserving previously selected value.
         * - `closeAndSelect` will close the dropdown and select last focused dropdown item.
         */
        this.tabOutStrategy = 'close';
        /** Event emitted when item is selected. */
        this.selectionChange = new EventEmitter();
        /** @hidden */
        this._subscriptions = new Subscription();
        /** @hidden */
        this.selectConfig = inject(SelectConfig);
        /** Whether the select is opened. */
        this._isOpen = false;
        /**
         * Need for opening mobile version
         *
         * @hidden
         */
        this._openChange = new Subject();
        /** @hidden */
        this._element = this.elementRef.nativeElement;
    }
    /** First Column ratio */
    set firstColumnRatio(value) {
        this._firstColumnRatio = coerceNumberProperty(value);
    }
    get firstColumnRatio() {
        return this._firstColumnRatio;
    }
    /** Secoond Column ratio */
    set secondColumnRatio(value) {
        this._secondColumnRatio = coerceNumberProperty(value);
    }
    get secondColumnRatio() {
        return this._secondColumnRatio;
    }
    /** Data for suggestion list */
    set list(value) {
        if (value) {
            this._optionItems = this._convertToOptionItems(value);
        }
    }
    get list() {
        return this._optionItems;
    }
    /** @hidden */
    get canClose() {
        return !(this.mobile && this.mobileConfig.approveButtonText);
    }
    /** @hidden */
    ngAfterViewInit() {
        this._initWindowResize();
        this._assignCustomTemplates();
        super.ngAfterViewInit();
    }
    /** @hidden */
    ngOnDestroy() {
        super.ngOnDestroy();
        this._subscriptions.unsubscribe();
        if (this._dsSubscription) {
            this._dsSubscription.unsubscribe();
        }
    }
    /** Is empty search field */
    get isEmptyValue() {
        return this.value.trim().length === 0;
    }
    /** @hidden
     * Close list * */
    close(event = null, forceClose = false) {
        if (event) {
            const target = event.target;
            if (target && target.id === this.id) {
                return;
            }
        }
        if (this._isOpen && (forceClose || this.canClose)) {
            this._isOpen = false;
            this._openChange.next(this._isOpen);
            this.markForCheck();
            this.onTouched();
        }
    }
    /** @hidden */
    showList(isOpen) {
        if (this._isOpen !== isOpen) {
            this._isOpen = isOpen;
            this.onTouched();
            this._openChange.next(isOpen);
        }
        this.detectChanges();
    }
    /** @hidden */
    handlePressEnter(event, value) {
        if (!KeyUtil.isKeyCode(event, ENTER)) {
            return;
        }
        this.setValue(value);
    }
    /** Method passed to list component */
    handleListFocusEscape(direction) {
        if (direction === 'up') {
            this._searchInputElement.nativeElement.focus();
        }
    }
    /** @hidden */
    setValue(newValue, emitOnChange = true) {
        if (newValue !== this._value) {
            this.writeValue(newValue);
            if (emitOnChange) {
                this.onChange(this.value);
                this.onTouched();
                this.selectionChange.emit({ payload: this.value });
            }
            this.markForCheck();
        }
    }
    /** @hidden */
    _initWindowResize() {
        this._getOptionsListWidth();
        if (!this.autoResize) {
            return;
        }
        fromEvent(window, 'resize')
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe(() => this._getOptionsListWidth());
    }
    /** @hidden */
    _getOptionsListWidth() {
        const body = document.body;
        const rect = this._element.getBoundingClientRect();
        const scrollBarWidth = body.offsetWidth - body.clientWidth;
        this.maxWidth = window.innerWidth - scrollBarWidth - rect.left;
        this.minWidth = rect.width - 2;
    }
    /**
     * Convert original data to OptionItems Interface
     * @hidden
     */
    _convertToOptionItems(items) {
        const item = items[0];
        const elementTypeIsOptionItem = isOptionItem(item);
        if (elementTypeIsOptionItem) {
            return items;
        }
        const elementTypeIsObject = isJsObject(item);
        if (elementTypeIsObject) {
            return this._convertObjectsToOptionItems(items);
        }
        const elementTypeIsString = isString(item);
        if (elementTypeIsString) {
            return this._convertPrimitiveToOptionItems(items);
        }
        return [];
    }
    /**
     * Convert data to OptionItems Interface
     * @hidden
     */
    _convertObjectsToOptionItems(items) {
        if (this.showSecondaryText && this.secondaryKey) {
            return this._convertObjectsToSecondaryOptionItems(items);
        }
        else {
            return this._convertObjectsToDefaultOptionItems(items);
        }
    }
    /**
     * Convert object[] data to Secondary OptionItems Interface
     * @hidden
     */
    _convertObjectsToSecondaryOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                secondaryText: this.objectGet(value, this.secondaryKey),
                value: this.lookupValue(value)
            });
        }
        return selectItems;
    }
    /**
     * Convert Primitive data(Boolean, String, Number) to OptionItems Interface
     * @hidden
     */
    _convertPrimitiveToOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({ label: value, value });
        }
        return selectItems;
    }
    /**
     * Convert object[] to OptionItems Interface (Default)
     * @hidden
     */
    _convertObjectsToDefaultOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                value
            });
        }
        return selectItems;
    }
    /** @hidden
     * Assign custom templates
     * */
    _assignCustomTemplates() {
        this.customTemplates.forEach((template) => {
            switch (template.name) {
                case '_optionItemTemplate':
                    this._optionItemTemplate = template.templateRef;
                    break;
                case '_secondaryItemTemplate':
                    this._secondaryItemTemplate = template.templateRef;
                    break;
                case '_selectedItemTemplate':
                    this._selectedItemTemplate = template.templateRef;
                    break;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseSelect, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: BaseSelect, isStandalone: true, inputs: { maxHeight: "maxHeight", mobile: "mobile", group: "group", groupKey: "groupKey", secondaryKey: "secondaryKey", showSecondaryText: "showSecondaryText", glyph: "glyph", glyphFont: "glyphFont", appendTo: "appendTo", triggerValue: "triggerValue", fillControlMode: "fillControlMode", secondaryTextAlignment: "secondaryTextAlignment", width: "width", readonly: "readonly", placeholder: "placeholder", closeOnOutsideClick: "closeOnOutsideClick", controlTemplate: "controlTemplate", mobileConfig: "mobileConfig", noValueLabel: "noValueLabel", noWrapText: "noWrapText", autoResize: "autoResize", firstColumnRatio: "firstColumnRatio", secondColumnRatio: "secondColumnRatio", minWidth: "minWidth", maxWidth: "maxWidth", tabOutStrategy: "tabOutStrategy", list: "list" }, outputs: { selectionChange: "selectionChange" }, queries: [{ propertyName: "customTemplates", predicate: TemplateDirective }], viewQueries: [{ propertyName: "listComponent", first: true, predicate: ListComponent$1, descendants: true }], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseSelect, decorators: [{
            type: Directive
        }], propDecorators: { maxHeight: [{
                type: Input
            }], mobile: [{
                type: Input
            }], group: [{
                type: Input
            }], groupKey: [{
                type: Input
            }], secondaryKey: [{
                type: Input
            }], showSecondaryText: [{
                type: Input
            }], glyph: [{
                type: Input
            }], glyphFont: [{
                type: Input
            }], appendTo: [{
                type: Input
            }], triggerValue: [{
                type: Input
            }], fillControlMode: [{
                type: Input
            }], secondaryTextAlignment: [{
                type: Input
            }], width: [{
                type: Input
            }], readonly: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], closeOnOutsideClick: [{
                type: Input
            }], controlTemplate: [{
                type: Input
            }], mobileConfig: [{
                type: Input
            }], noValueLabel: [{
                type: Input
            }], noWrapText: [{
                type: Input
            }], autoResize: [{
                type: Input
            }], firstColumnRatio: [{
                type: Input
            }], secondColumnRatio: [{
                type: Input
            }], minWidth: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], tabOutStrategy: [{
                type: Input
            }], list: [{
                type: Input
            }], selectionChange: [{
                type: Output
            }], listComponent: [{
                type: ViewChild,
                args: [ListComponent$1]
            }], customTemplates: [{
                type: ContentChildren,
                args: [TemplateDirective]
            }] } });

class SelectComponent extends BaseSelect {
    constructor() {
        super(...arguments);
        /** Should select be inlined. */
        this.inline = true;
    }
    /**
     * Directly sets value to the component that at the ends up at writeValue as well fires
     * change detections
     */
    set value(newValue) {
        this.setValue(newValue);
    }
    get value() {
        return this._value;
    }
    /** @hidden */
    ngAfterViewInit() {
        super.ngAfterViewInit();
        // set columns ratio for 2
        if (this.firstColumnRatio && this.secondColumnRatio) {
            this._setColumnsRatio(this.firstColumnRatio, this.secondColumnRatio);
        }
        // set width to avoid resize
        if (this.width) {
            const controlItem = this.elementRef.nativeElement.querySelector('.fd-select__text-content');
            controlItem.style.width = this.width;
        }
        // setting option items
        this.select._options.forEach((option) => {
            const optionItem = option._getHtmlElement();
            // set maxWidth default is 40rem
            if (this.maxWidth) {
                optionItem.setAttribute('style', 'max-width: ' + this.maxWidth + 'px');
            }
            // by default text will be overlapped, below it will help to truncate
            if (this.noWrapText) {
                const listTitle = optionItem.querySelector('.fd-list__title');
                if (listTitle) {
                    const listTitleInnerHTML = listTitle.innerHTML;
                    listTitle.setAttribute('title', listTitleInnerHTML);
                    listTitle.setAttribute('aria-label', listTitleInnerHTML);
                    listTitle.classList.add('fd-list__title--no-wrap');
                }
            }
        });
    }
    /** @hidden */
    ngAfterViewChecked() {
        this.detectChanges();
    }
    /**
     * Define is selected item selected
     * @hidden
     */
    _isSelectedOptionItem(selectedItem) {
        return this.value === this.lookupValue(selectedItem);
    }
    /** @hidden */
    _onSelection(value) {
        this.setValue(value);
    }
    /** @hidden */
    _onOpenChange(isOpen) {
        if (isOpen) {
            this.formMessage?._popover?.close();
        }
        this.formMessage?._popover?.setIgnoreTriggers(isOpen);
    }
    /** @hidden */
    _setColumnsRatio(firstColumnRatio, secondColumnRatio) {
        const totalProportions = firstColumnRatio + secondColumnRatio;
        const firstColumnProportion = Math.round((firstColumnRatio / totalProportions) * 100);
        const secondColumnProportion = 100 - firstColumnProportion;
        // setting option items
        this.select._options.forEach((option) => {
            const optionItem = option._getHtmlElement();
            const titleElement = optionItem.querySelector('[fd-list-title]');
            this._setOptionAttribute(titleElement, firstColumnProportion);
            const secondaryElement = optionItem.querySelector('[fd-list-secondary]');
            this._setOptionAttribute(secondaryElement, secondColumnProportion);
        });
    }
    /** @hidden */
    _setOptionAttribute(element, proportion) {
        element.setAttribute('style', 'width: ' + proportion + '%; max-width: ' + proportion + '%');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SelectComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: SelectComponent, isStandalone: true, selector: "fdp-select", inputs: { value: "value", inline: "inline" }, providers: [DynamicComponentService, { provide: FD_FORM_FIELD_CONTROL, useExisting: SelectComponent, multi: true }], viewQueries: [{ propertyName: "select", first: true, predicate: SelectComponent$1, descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: "<fd-select\n    [placeholder]=\"placeholder\"\n    [glyph]=\"glyph\"\n    [glyphFont]=\"glyphFont\"\n    [disabled]=\"disabled\"\n    [readonly]=\"readonly\"\n    [closeOnOutsideClick]=\"closeOnOutsideClick\"\n    [controlTemplate]=\"controlTemplate\"\n    [appendTo]=\"appendTo\"\n    [fillControlMode]=\"fillControlMode\"\n    [maxHeight]=\"maxHeight\"\n    [attr.aria-disabled]=\"disabled || readonly\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.tooltip]=\"value\"\n    [attr.aria-readonly]=\"readonly\"\n    [attr.role]=\"'listbox'\"\n    [value]=\"value\"\n    [state]=\"state\"\n    [stateMessage]=\"stateMessage\"\n    [advancedStateMessage]=\"advancedStateMessage\"\n    [mobile]=\"mobile\"\n    [mobileConfig]=\"mobileConfig\"\n    [inline]=\"inline\"\n    [(ngModel)]=\"value\"\n    [tabOutStrategy]=\"tabOutStrategy\"\n    (valueChange)=\"_onSelection($event)\"\n    (isOpenChange)=\"_onOpenChange($event)\"\n>\n    <ng-content></ng-content>\n    @if (noValueLabel) {\n        <li fd-option [disabled]=\"false\" [value]=\"null\">\n            {{ noValueLabel }}\n        </li>\n    }\n    @for (item of _optionItems; track item; let index = $index) {\n        <li\n            fd-option\n            [disabled]=\"!!item.disabled\"\n            [value]=\"item.value\"\n            [attr.aria-labelledby]=\"ariaLabel\"\n            [attr.aria-disabled]=\"disabled\"\n        >\n            @if (item.icon) {\n                <fd-icon [glyph]=\"item.icon\" class=\"fd-template-icon icon-margin\"></fd-icon>\n            }\n            <ng-template\n                [ngTemplateOutlet]=\"listItem\"\n                [ngTemplateOutletContext]=\"{ optionItem: item, index: index }\"\n            ></ng-template>\n            <ng-template\n                secondary\n                [ngTemplateOutlet]=\"secondaryTextSource\"\n                [ngTemplateOutletContext]=\"{ optionItem: item }\"\n            ></ng-template>\n        </li>\n    }\n</fd-select>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #listItem>\n    @if (_isSelectedOptionItem(optionItem) && !!_selectedItemTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"_selectedItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n    @if (!(_isSelectedOptionItem(optionItem) && _selectedItemTemplate)) {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #optionItemSource>\n    @if (!_optionItemTemplate) {\n        <span [innerHTML]=\"optionItem.label\"></span>\n    } @else {\n        <ng-template\n            [ngTemplateOutlet]=\"_optionItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" #secondaryTextSource>\n    @if (showSecondaryText) {\n        @if (!_secondaryItemTemplate) {\n            <span\n                [style.text-align]=\"secondaryTextAlignment\"\n                fd-list-secondary\n                [innerHTML]=\"optionItem.secondaryText\"\n            ></span>\n        } @else {\n            <ng-template\n                [ngTemplateOutlet]=\"_secondaryItemTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: optionItem.value }\"\n            ></ng-template>\n        }\n    }\n</ng-template>\n", styles: [".fd-select{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-block:.25rem;margin-inline:0;padding-block:0;padding-inline:0;text-shadow:var(--fdSelect_Text_Shadow)}.fd-select:after,.fd-select:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-select__control{-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--fdSelect_Background,var(--sapField_BackgroundStyle));background-color:var(--fdSelect_Background_Color,var(--sapField_Background));border:0;border:var(--sapField_BorderWidth) var(--sapField_BorderStyle) var(--sapField_BorderColor);border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);-webkit-box-shadow:none;box-shadow:none;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapField_TextColor);cursor:text;display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:var(--fdInput_Height,var(--sapElement_Height));line-height:normal;margin-block:var(--fdInput_Field_Margin_Block,.25rem);min-height:var(--fdInput_Height,var(--sapElement_Height));min-width:--fdSelect_Min_Width;outline:none;overflow:hidden;padding-inline:var(--fdInput_Field_Padding_Inline,.625rem);text-overflow:ellipsis;text-shadow:var(--fdInput_Text_Shadow);white-space:nowrap;width:100%;z-index:1;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;gap:.25rem;-webkit-box-pack:justify;-ms-flex-pack:justify;cursor:pointer;justify-content:space-between;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-select__control:after,.fd-select__control:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-select__control::-webkit-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control::-moz-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control:-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control::-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control::placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control[dir=rtl]::-webkit-input-placeholder,[dir=rtl] .fd-select__control::-webkit-input-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]::-moz-placeholder,[dir=rtl] .fd-select__control::-moz-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]:-ms-input-placeholder,[dir=rtl] .fd-select__control:-ms-input-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]::-ms-input-placeholder,[dir=rtl] .fd-select__control::-ms-input-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]::placeholder,[dir=rtl] .fd-select__control::placeholder{text-indent:.125rem}.fd-select__control::-moz-selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-select__control::selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-select__control::-ms-clear{display:none}.fd-select__control.is-hover,.fd-select__control:hover{background:var(--fdSelect_Hover_Background,var(--sapField_Hover_BackgroundStyle));background-color:var(--fdSelect_Hover_Background_Color,var(--sapField_Hover_Background));border-color:var(--sapField_Hover_BorderColor);-webkit-box-shadow:var(--fdInput_Box_Shadow_Hover);box-shadow:var(--fdInput_Box_Shadow_Hover)}.fd-select__control.is-focus,.fd-select__control:focus{background:var(--fdSelect_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset);z-index:5}.fd-select__control.is-success{background:var(--sapField_SuccessBackgroundStyle);background-color:var(--sapField_SuccessBackground);border:var(--sapField_SuccessColor) var(--sapField_SuccessBorderWidth) var(--sapField_SuccessBorderStyle);-webkit-box-shadow:var(--sapField_SuccessShadow);box-shadow:var(--sapField_SuccessShadow)}.fd-select__control.is-success.is-hover,.fd-select__control.is-success:hover{background-color:var(--fdInput_Success_Background_Color_Hover);border-color:var(--sapField_SuccessColor);-webkit-box-shadow:var(--fdInput_Success_Box_Shadow_Hover);box-shadow:var(--fdInput_Success_Box_Shadow_Hover)}.fd-select__control.is-success.is-focus,.fd-select__control.is-success:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color)}.fd-select__control.is-success.is-focus.is-hover,.fd-select__control.is-success.is-focus:hover,.fd-select__control.is-success:focus.is-hover,.fd-select__control.is-success:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-success.is-expanded,.fd-select__control.is-success[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Success_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-error{background:var(--sapField_InvalidBackgroundStyle);background-color:var(--sapField_InvalidBackground);border:var(--sapField_InvalidColor) var(--sapField_InvalidBorderWidth) var(--sapField_InvalidBorderStyle);-webkit-box-shadow:var(--sapField_InvalidShadow);box-shadow:var(--sapField_InvalidShadow)}.fd-select__control.is-error.is-hover,.fd-select__control.is-error:hover{background-color:var(--fdInput_Error_Background_Color_Hover);border-color:var(--sapField_InvalidColor);-webkit-box-shadow:var(--fdInput_Error_Box_Shadow_Hover);box-shadow:var(--fdInput_Error_Box_Shadow_Hover)}.fd-select__control.is-error.is-focus,.fd-select__control.is-error:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color)}.fd-select__control.is-error.is-focus.is-hover,.fd-select__control.is-error.is-focus:hover,.fd-select__control.is-error:focus.is-hover,.fd-select__control.is-error:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-error.is-expanded,.fd-select__control.is-error[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Error_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-warning{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle);-webkit-box-shadow:var(--sapField_WarningShadow);box-shadow:var(--sapField_WarningShadow)}.fd-select__control.is-warning.is-hover,.fd-select__control.is-warning:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-select__control.is-warning.is-focus,.fd-select__control.is-warning:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-select__control.is-warning.is-focus.is-hover,.fd-select__control.is-warning.is-focus:hover,.fd-select__control.is-warning:focus.is-hover,.fd-select__control.is-warning:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-warning.is-expanded,.fd-select__control.is-warning[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-alert{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle)}.fd-select__control.is-alert.is-hover,.fd-select__control.is-alert:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-select__control.is-alert.is-focus,.fd-select__control.is-alert:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-select__control.is-alert.is-focus.is-hover,.fd-select__control.is-alert.is-focus:hover,.fd-select__control.is-alert:focus.is-hover,.fd-select__control.is-alert:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-alert.is-expanded,.fd-select__control.is-alert[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-information{background:var(--sapField_InformationBackgroundStyle);background-color:var(--sapField_InformationBackground);border:var(--sapField_InformationColor) var(--sapField_InformationBorderWidth) var(--sapField_InformationBorderStyle);-webkit-box-shadow:var(--sapField_InformationShadow);box-shadow:var(--sapField_InformationShadow)}.fd-select__control.is-information.is-hover,.fd-select__control.is-information:hover{background-color:var(--fdInput_Information_Background_Color_Hover);border-color:var(--sapField_InformationColor);-webkit-box-shadow:var(--fdInput_Information_Box_Shadow_Hover);box-shadow:var(--fdInput_Information_Box_Shadow_Hover)}.fd-select__control.is-information.is-focus,.fd-select__control.is-information:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color)}.fd-select__control.is-information.is-focus.is-hover,.fd-select__control.is-information.is-focus:hover,.fd-select__control.is-information:focus.is-hover,.fd-select__control.is-information:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-information.is-expanded,.fd-select__control.is-information[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Information_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-alert,.fd-select__control.is-error,.fd-select__control.is-warning{font-style:var(--fdInput_State_Text_Style);font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::-webkit-input-placeholder,.fd-select__control.is-error::-webkit-input-placeholder,.fd-select__control.is-warning::-webkit-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::-moz-placeholder,.fd-select__control.is-error::-moz-placeholder,.fd-select__control.is-warning::-moz-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert:-ms-input-placeholder,.fd-select__control.is-error:-ms-input-placeholder,.fd-select__control.is-warning:-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::-ms-input-placeholder,.fd-select__control.is-error::-ms-input-placeholder,.fd-select__control.is-warning::-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::placeholder,.fd-select__control.is-error::placeholder,.fd-select__control.is-warning::placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert.is-focus,.fd-select__control.is-alert:focus,.fd-select__control.is-error.is-focus,.fd-select__control.is-error:focus,.fd-select__control.is-information.is-focus,.fd-select__control.is-information:focus,.fd-select__control.is-warning.is-focus,.fd-select__control.is-warning:focus{outline-offset:var(--fdInput_Outline_Offset_States);z-index:5}.fd-select__control.is-error::-webkit-input-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error::-moz-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error:-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error::-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error::placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-disabled,.fd-select__control:disabled,.fd-select__control[aria-disabled=true]{opacity:var(--sapContent_DisabledOpacity)}.fd-select__control.is-disabled::-webkit-input-placeholder,.fd-select__control:disabled::-webkit-input-placeholder,.fd-select__control[aria-disabled=true]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled::-moz-placeholder,.fd-select__control:disabled::-moz-placeholder,.fd-select__control[aria-disabled=true]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled:-ms-input-placeholder,.fd-select__control:disabled:-ms-input-placeholder,.fd-select__control[aria-disabled=true]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled::-ms-input-placeholder,.fd-select__control:disabled::-ms-input-placeholder,.fd-select__control[aria-disabled=true]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled::placeholder,.fd-select__control:disabled::placeholder,.fd-select__control[aria-disabled=true]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly,.fd-select__control[aria-readonly=true],.fd-select__control[readonly]{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-readonly::-webkit-input-placeholder,.fd-select__control[aria-readonly=true]::-webkit-input-placeholder,.fd-select__control[readonly]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly::-moz-placeholder,.fd-select__control[aria-readonly=true]::-moz-placeholder,.fd-select__control[readonly]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly:-ms-input-placeholder,.fd-select__control[aria-readonly=true]:-ms-input-placeholder,.fd-select__control[readonly]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly::-ms-input-placeholder,.fd-select__control[aria-readonly=true]::-ms-input-placeholder,.fd-select__control[readonly]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly::placeholder,.fd-select__control[aria-readonly=true]::placeholder,.fd-select__control[readonly]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly.is-hover,.fd-select__control.is-readonly:hover,.fd-select__control[aria-readonly=true].is-hover,.fd-select__control[aria-readonly=true]:hover,.fd-select__control[readonly].is-hover,.fd-select__control[readonly]:hover{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-readonly.is-focus,.fd-select__control.is-readonly:focus,.fd-select__control[aria-readonly=true].is-focus,.fd-select__control[aria-readonly=true]:focus,.fd-select__control[readonly].is-focus,.fd-select__control[readonly]:focus{z-index:5;--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-select__control .fd-select__button{background:var(--fdInput_Group_Button_Background);background-color:var(--fdButtonBackgroundColor);border:none;border-radius:var(--fdInput_Group_Button_Border_Raduis);color:var(--fdInput_Group_Button_Text_Color);overflow:hidden;position:relative;text-overflow:ellipsis;white-space:nowrap;z-index:auto!important}.fd-select__control .fd-select__button:before{display:none!important}.fd-select__control .fd-select__button:after{border-radius:var(--fdInput_Outline_Border_Radius)}.fd-select__control .fd-select__button.is-hover,.fd-select__control .fd-select__button:hover{--fdInput_Group_Button_Text_Color:var(--fdInput_Group_Button_Hover_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Hover_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow)}.fd-select__control .fd-select__button.is-active,.fd-select__control .fd-select__button:active{background:var(--fdInput_Group_Button_Active_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow);color:var(--fdInput_Group_Button_Active_Text_Color)}.fd-select__control.is-success.is-focus,.fd-select__control.is-success:focus{z-index:5}.fd-select__control.is-success.is-focus .fd-select__button,.fd-select__control.is-success:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success.is-focus .fd-select__button.is-hover,.fd-select__control.is-success.is-focus .fd-select__button:hover,.fd-select__control.is-success:focus .fd-select__button.is-hover,.fd-select__control.is-success:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success.is-expanded .fd-select__button,.fd-select__control.is-success[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success.is-expanded .fd-select__button.is-hover,.fd-select__control.is-success.is-expanded .fd-select__button:hover,.fd-select__control.is-success[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-success[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success .fd-select__button.is-active,.fd-select__control.is-success .fd-select__button.is-hover,.fd-select__control.is-success .fd-select__button:active,.fd-select__control.is-success .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow)}.fd-select__control.is-success .fd-select__button.is-active,.fd-select__control.is-success .fd-select__button:active{color:var(--fdInput_Group_Button_Success_Active_Text_Color)}.fd-select__control.is-error.is-focus,.fd-select__control.is-error:focus{z-index:5}.fd-select__control.is-error.is-focus .fd-select__button,.fd-select__control.is-error:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error.is-focus .fd-select__button.is-hover,.fd-select__control.is-error.is-focus .fd-select__button:hover,.fd-select__control.is-error:focus .fd-select__button.is-hover,.fd-select__control.is-error:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error.is-expanded .fd-select__button,.fd-select__control.is-error[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error.is-expanded .fd-select__button.is-hover,.fd-select__control.is-error.is-expanded .fd-select__button:hover,.fd-select__control.is-error[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-error[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error .fd-select__button.is-active,.fd-select__control.is-error .fd-select__button.is-hover,.fd-select__control.is-error .fd-select__button:active,.fd-select__control.is-error .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow)}.fd-select__control.is-error .fd-select__button.is-active,.fd-select__control.is-error .fd-select__button:active{color:var(--fdInput_Group_Button_Error_Active_Text_Color)}.fd-select__control.is-warning.is-focus,.fd-select__control.is-warning:focus{z-index:5}.fd-select__control.is-warning.is-focus .fd-select__button,.fd-select__control.is-warning:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning.is-focus .fd-select__button.is-hover,.fd-select__control.is-warning.is-focus .fd-select__button:hover,.fd-select__control.is-warning:focus .fd-select__button.is-hover,.fd-select__control.is-warning:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning.is-expanded .fd-select__button,.fd-select__control.is-warning[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning.is-expanded .fd-select__button.is-hover,.fd-select__control.is-warning.is-expanded .fd-select__button:hover,.fd-select__control.is-warning[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-warning[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning .fd-select__button.is-active,.fd-select__control.is-warning .fd-select__button.is-hover,.fd-select__control.is-warning .fd-select__button:active,.fd-select__control.is-warning .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-select__control.is-warning .fd-select__button.is-active,.fd-select__control.is-warning .fd-select__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-select__control.is-alert.is-focus,.fd-select__control.is-alert:focus{z-index:5}.fd-select__control.is-alert.is-focus .fd-select__button,.fd-select__control.is-alert:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert.is-focus .fd-select__button.is-hover,.fd-select__control.is-alert.is-focus .fd-select__button:hover,.fd-select__control.is-alert:focus .fd-select__button.is-hover,.fd-select__control.is-alert:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert.is-expanded .fd-select__button,.fd-select__control.is-alert[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert.is-expanded .fd-select__button.is-hover,.fd-select__control.is-alert.is-expanded .fd-select__button:hover,.fd-select__control.is-alert[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-alert[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert .fd-select__button.is-active,.fd-select__control.is-alert .fd-select__button.is-hover,.fd-select__control.is-alert .fd-select__button:active,.fd-select__control.is-alert .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-select__control.is-alert .fd-select__button.is-active,.fd-select__control.is-alert .fd-select__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-select__control.is-information.is-focus,.fd-select__control.is-information:focus{z-index:5}.fd-select__control.is-information.is-focus .fd-select__button,.fd-select__control.is-information:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information.is-focus .fd-select__button.is-hover,.fd-select__control.is-information.is-focus .fd-select__button:hover,.fd-select__control.is-information:focus .fd-select__button.is-hover,.fd-select__control.is-information:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information.is-expanded .fd-select__button,.fd-select__control.is-information[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information.is-expanded .fd-select__button.is-hover,.fd-select__control.is-information.is-expanded .fd-select__button:hover,.fd-select__control.is-information[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-information[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information .fd-select__button.is-active,.fd-select__control.is-information .fd-select__button.is-hover,.fd-select__control.is-information .fd-select__button:active,.fd-select__control.is-information .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow)}.fd-select__control.is-information .fd-select__button.is-active,.fd-select__control.is-information .fd-select__button:active{color:var(--fdInput_Group_Button_Information_Active_Text_Color)}.fd-select__control.is-disabled,.fd-select__control:disabled,.fd-select__control[aria-disabled=true]{pointer-events:none}.fd-select__control:after{border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);content:\"\";inset:0;pointer-events:none;position:absolute}.fd-select__control.is-readonly,.fd-select__control[aria-readonly=true],.fd-select__control[readonly]{cursor:text}.fd-select__control.is-readonly .fd-select__text-content,.fd-select__control[aria-readonly=true] .fd-select__text-content,.fd-select__control[readonly] .fd-select__text-content{--fdSelect_Min_Width:5rem;padding-inline:.625rem}.fd-select__control.is-readonly[aria-selected=false] .fd-select__text-content,.fd-select__control[aria-readonly=true][aria-selected=false] .fd-select__text-content,.fd-select__control[readonly][aria-selected=false] .fd-select__text-content{visibility:hidden}.fd-select__control.is-readonly .fd-select__button,.fd-select__control[aria-readonly=true] .fd-select__button,.fd-select__control[readonly] .fd-select__button{opacity:0}.fd-select__control.is-disabled[aria-selected=false] .fd-select__text-content,.fd-select__control:disabled[aria-selected=false] .fd-select__text-content,.fd-select__control[aria-disabled=true][aria-selected=false] .fd-select__text-content{visibility:hidden}.fd-select__control[aria-selected=false] .fd-select__text-content{padding-block:0;padding-inline:.625rem}.fd-select__control[aria-selected=false] .fd-select__text-content,.fd-select__control[aria-selected=false] .fd-select__text-content [class*=sap-icon]{color:var(--sapField_PlaceholderTextColor);font-style:italic;font-weight:400}.fd-select__text-content{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;min-width:calc(var(--fdSelect_Min_Width) - var(--sapField_BorderWidth)*2);overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap;--fdSelect_Min_Width:2.5rem;-webkit-padding-start:.625rem;color:var(--fdSelect_Text_Content_Color,var(--sapTextColor));cursor:pointer;display:var(--fdSelect_Text_Content_Display,inline-block);padding-inline-start:.625rem}.fd-select__text-content:after,.fd-select__text-content:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-select[class*=-compact],.fd-select[class*=-condensed],[class*=-compact] .fd-select:not([class*=-cozy]),[class*=-condensed] .fd-select:not([class*=-cozy]){margin-block:.1875rem;margin-inline:0}.fd-select[class*=-compact] .fd-select__control,.fd-select[class*=-condensed] .fd-select__control,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control{height:1.625rem;min-height:1.625rem}.fd-select[class*=-compact] .fd-select__control .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control .fd-select__text-content{--fdSelect_Min_Width:2.75rem;-webkit-padding-start:.5rem;padding-inline-start:.5rem}.fd-select[class*=-compact] .fd-select__control.is-readonly .fd-select__text-content,.fd-select[class*=-compact] .fd-select__control[aria-readonly=true] .fd-select__text-content,.fd-select[class*=-compact] .fd-select__control[readonly] .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control.is-readonly .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control[aria-readonly=true] .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control[readonly] .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control.is-readonly .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control[aria-readonly=true] .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control[readonly] .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control.is-readonly .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control[aria-readonly=true] .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control[readonly] .fd-select__text-content{padding-inline:.5rem}@media (min-width: 600px){[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10{text-align:right!important}}\n/*! Bundled license information:\n\nfundamental-styles/dist/select.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"], dependencies: [{ kind: "ngmodule", type: SelectModule }, { kind: "component", type: i1$3.SelectComponent, selector: "fd-select", inputs: ["extendedBodyTemplate", "scrollStrategy", "textOverflow", "controlId", "state", "mobile", "stateMessage", "disabled", "required", "readonly", "placeholder", "value", "maxHeight", "glyph", "glyphFont", "closeOnOutsideClick", "fillControlMode", "controlTemplate", "appendTo", "unselectMissingOption", "typeaheadDebounceInterval", "ariaLabelledBy", "ariaLabel", "mobileConfig", "inline", "selectControlClass", "selectDropdownButtonClass", "advancedStateMessage", "tabOutStrategy", "compareWith"], outputs: ["isOpenChange", "valueChange"] }, { kind: "component", type: i1$3.OptionComponent, selector: "[fd-option], fd-option", inputs: ["id", "value", "disabled"], outputs: ["selectionChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: IconComponent, selector: "fd-icon", inputs: ["glyph", "font", "color", "background", "class", "ariaLabel", "ariaHidden"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: ListSecondaryDirective, selector: "[fd-list-secondary], [fdListSecondary]", inputs: ["type"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-select', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [DynamicComponentService, { provide: FD_FORM_FIELD_CONTROL, useExisting: SelectComponent, multi: true }], imports: [SelectModule, FormsModule, IconComponent, NgTemplateOutlet, NgClass, ListSecondaryDirective], template: "<fd-select\n    [placeholder]=\"placeholder\"\n    [glyph]=\"glyph\"\n    [glyphFont]=\"glyphFont\"\n    [disabled]=\"disabled\"\n    [readonly]=\"readonly\"\n    [closeOnOutsideClick]=\"closeOnOutsideClick\"\n    [controlTemplate]=\"controlTemplate\"\n    [appendTo]=\"appendTo\"\n    [fillControlMode]=\"fillControlMode\"\n    [maxHeight]=\"maxHeight\"\n    [attr.aria-disabled]=\"disabled || readonly\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.tooltip]=\"value\"\n    [attr.aria-readonly]=\"readonly\"\n    [attr.role]=\"'listbox'\"\n    [value]=\"value\"\n    [state]=\"state\"\n    [stateMessage]=\"stateMessage\"\n    [advancedStateMessage]=\"advancedStateMessage\"\n    [mobile]=\"mobile\"\n    [mobileConfig]=\"mobileConfig\"\n    [inline]=\"inline\"\n    [(ngModel)]=\"value\"\n    [tabOutStrategy]=\"tabOutStrategy\"\n    (valueChange)=\"_onSelection($event)\"\n    (isOpenChange)=\"_onOpenChange($event)\"\n>\n    <ng-content></ng-content>\n    @if (noValueLabel) {\n        <li fd-option [disabled]=\"false\" [value]=\"null\">\n            {{ noValueLabel }}\n        </li>\n    }\n    @for (item of _optionItems; track item; let index = $index) {\n        <li\n            fd-option\n            [disabled]=\"!!item.disabled\"\n            [value]=\"item.value\"\n            [attr.aria-labelledby]=\"ariaLabel\"\n            [attr.aria-disabled]=\"disabled\"\n        >\n            @if (item.icon) {\n                <fd-icon [glyph]=\"item.icon\" class=\"fd-template-icon icon-margin\"></fd-icon>\n            }\n            <ng-template\n                [ngTemplateOutlet]=\"listItem\"\n                [ngTemplateOutletContext]=\"{ optionItem: item, index: index }\"\n            ></ng-template>\n            <ng-template\n                secondary\n                [ngTemplateOutlet]=\"secondaryTextSource\"\n                [ngTemplateOutletContext]=\"{ optionItem: item }\"\n            ></ng-template>\n        </li>\n    }\n</fd-select>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #listItem>\n    @if (_isSelectedOptionItem(optionItem) && !!_selectedItemTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"_selectedItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n    @if (!(_isSelectedOptionItem(optionItem) && _selectedItemTemplate)) {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #optionItemSource>\n    @if (!_optionItemTemplate) {\n        <span [innerHTML]=\"optionItem.label\"></span>\n    } @else {\n        <ng-template\n            [ngTemplateOutlet]=\"_optionItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" #secondaryTextSource>\n    @if (showSecondaryText) {\n        @if (!_secondaryItemTemplate) {\n            <span\n                [style.text-align]=\"secondaryTextAlignment\"\n                fd-list-secondary\n                [innerHTML]=\"optionItem.secondaryText\"\n            ></span>\n        } @else {\n            <ng-template\n                [ngTemplateOutlet]=\"_secondaryItemTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: optionItem.value }\"\n            ></ng-template>\n        }\n    }\n</ng-template>\n", styles: [".fd-select{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-block:.25rem;margin-inline:0;padding-block:0;padding-inline:0;text-shadow:var(--fdSelect_Text_Shadow)}.fd-select:after,.fd-select:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-select__control{-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--fdSelect_Background,var(--sapField_BackgroundStyle));background-color:var(--fdSelect_Background_Color,var(--sapField_Background));border:0;border:var(--sapField_BorderWidth) var(--sapField_BorderStyle) var(--sapField_BorderColor);border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);-webkit-box-shadow:none;box-shadow:none;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapField_TextColor);cursor:text;display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:var(--fdInput_Height,var(--sapElement_Height));line-height:normal;margin-block:var(--fdInput_Field_Margin_Block,.25rem);min-height:var(--fdInput_Height,var(--sapElement_Height));min-width:--fdSelect_Min_Width;outline:none;overflow:hidden;padding-inline:var(--fdInput_Field_Padding_Inline,.625rem);text-overflow:ellipsis;text-shadow:var(--fdInput_Text_Shadow);white-space:nowrap;width:100%;z-index:1;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;gap:.25rem;-webkit-box-pack:justify;-ms-flex-pack:justify;cursor:pointer;justify-content:space-between;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-select__control:after,.fd-select__control:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-select__control::-webkit-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control::-moz-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control:-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control::-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control::placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-select__control[dir=rtl]::-webkit-input-placeholder,[dir=rtl] .fd-select__control::-webkit-input-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]::-moz-placeholder,[dir=rtl] .fd-select__control::-moz-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]:-ms-input-placeholder,[dir=rtl] .fd-select__control:-ms-input-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]::-ms-input-placeholder,[dir=rtl] .fd-select__control::-ms-input-placeholder{text-indent:.125rem}.fd-select__control[dir=rtl]::placeholder,[dir=rtl] .fd-select__control::placeholder{text-indent:.125rem}.fd-select__control::-moz-selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-select__control::selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-select__control::-ms-clear{display:none}.fd-select__control.is-hover,.fd-select__control:hover{background:var(--fdSelect_Hover_Background,var(--sapField_Hover_BackgroundStyle));background-color:var(--fdSelect_Hover_Background_Color,var(--sapField_Hover_Background));border-color:var(--sapField_Hover_BorderColor);-webkit-box-shadow:var(--fdInput_Box_Shadow_Hover);box-shadow:var(--fdInput_Box_Shadow_Hover)}.fd-select__control.is-focus,.fd-select__control:focus{background:var(--fdSelect_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset);z-index:5}.fd-select__control.is-success{background:var(--sapField_SuccessBackgroundStyle);background-color:var(--sapField_SuccessBackground);border:var(--sapField_SuccessColor) var(--sapField_SuccessBorderWidth) var(--sapField_SuccessBorderStyle);-webkit-box-shadow:var(--sapField_SuccessShadow);box-shadow:var(--sapField_SuccessShadow)}.fd-select__control.is-success.is-hover,.fd-select__control.is-success:hover{background-color:var(--fdInput_Success_Background_Color_Hover);border-color:var(--sapField_SuccessColor);-webkit-box-shadow:var(--fdInput_Success_Box_Shadow_Hover);box-shadow:var(--fdInput_Success_Box_Shadow_Hover)}.fd-select__control.is-success.is-focus,.fd-select__control.is-success:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color)}.fd-select__control.is-success.is-focus.is-hover,.fd-select__control.is-success.is-focus:hover,.fd-select__control.is-success:focus.is-hover,.fd-select__control.is-success:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-success.is-expanded,.fd-select__control.is-success[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Success_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-error{background:var(--sapField_InvalidBackgroundStyle);background-color:var(--sapField_InvalidBackground);border:var(--sapField_InvalidColor) var(--sapField_InvalidBorderWidth) var(--sapField_InvalidBorderStyle);-webkit-box-shadow:var(--sapField_InvalidShadow);box-shadow:var(--sapField_InvalidShadow)}.fd-select__control.is-error.is-hover,.fd-select__control.is-error:hover{background-color:var(--fdInput_Error_Background_Color_Hover);border-color:var(--sapField_InvalidColor);-webkit-box-shadow:var(--fdInput_Error_Box_Shadow_Hover);box-shadow:var(--fdInput_Error_Box_Shadow_Hover)}.fd-select__control.is-error.is-focus,.fd-select__control.is-error:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color)}.fd-select__control.is-error.is-focus.is-hover,.fd-select__control.is-error.is-focus:hover,.fd-select__control.is-error:focus.is-hover,.fd-select__control.is-error:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-error.is-expanded,.fd-select__control.is-error[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Error_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-warning{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle);-webkit-box-shadow:var(--sapField_WarningShadow);box-shadow:var(--sapField_WarningShadow)}.fd-select__control.is-warning.is-hover,.fd-select__control.is-warning:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-select__control.is-warning.is-focus,.fd-select__control.is-warning:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-select__control.is-warning.is-focus.is-hover,.fd-select__control.is-warning.is-focus:hover,.fd-select__control.is-warning:focus.is-hover,.fd-select__control.is-warning:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-warning.is-expanded,.fd-select__control.is-warning[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-alert{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle)}.fd-select__control.is-alert.is-hover,.fd-select__control.is-alert:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-select__control.is-alert.is-focus,.fd-select__control.is-alert:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-select__control.is-alert.is-focus.is-hover,.fd-select__control.is-alert.is-focus:hover,.fd-select__control.is-alert:focus.is-hover,.fd-select__control.is-alert:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-alert.is-expanded,.fd-select__control.is-alert[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-information{background:var(--sapField_InformationBackgroundStyle);background-color:var(--sapField_InformationBackground);border:var(--sapField_InformationColor) var(--sapField_InformationBorderWidth) var(--sapField_InformationBorderStyle);-webkit-box-shadow:var(--sapField_InformationShadow);box-shadow:var(--sapField_InformationShadow)}.fd-select__control.is-information.is-hover,.fd-select__control.is-information:hover{background-color:var(--fdInput_Information_Background_Color_Hover);border-color:var(--sapField_InformationColor);-webkit-box-shadow:var(--fdInput_Information_Box_Shadow_Hover);box-shadow:var(--fdInput_Information_Box_Shadow_Hover)}.fd-select__control.is-information.is-focus,.fd-select__control.is-information:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color)}.fd-select__control.is-information.is-focus.is-hover,.fd-select__control.is-information.is-focus:hover,.fd-select__control.is-information:focus.is-hover,.fd-select__control.is-information:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-information.is-expanded,.fd-select__control.is-information[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Information_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-select__control.is-alert,.fd-select__control.is-error,.fd-select__control.is-warning{font-style:var(--fdInput_State_Text_Style);font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::-webkit-input-placeholder,.fd-select__control.is-error::-webkit-input-placeholder,.fd-select__control.is-warning::-webkit-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::-moz-placeholder,.fd-select__control.is-error::-moz-placeholder,.fd-select__control.is-warning::-moz-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert:-ms-input-placeholder,.fd-select__control.is-error:-ms-input-placeholder,.fd-select__control.is-warning:-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::-ms-input-placeholder,.fd-select__control.is-error::-ms-input-placeholder,.fd-select__control.is-warning::-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert::placeholder,.fd-select__control.is-error::placeholder,.fd-select__control.is-warning::placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-select__control.is-alert.is-focus,.fd-select__control.is-alert:focus,.fd-select__control.is-error.is-focus,.fd-select__control.is-error:focus,.fd-select__control.is-information.is-focus,.fd-select__control.is-information:focus,.fd-select__control.is-warning.is-focus,.fd-select__control.is-warning:focus{outline-offset:var(--fdInput_Outline_Offset_States);z-index:5}.fd-select__control.is-error::-webkit-input-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error::-moz-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error:-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error::-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-error::placeholder{color:var(--sapField_TextColor)}.fd-select__control.is-disabled,.fd-select__control:disabled,.fd-select__control[aria-disabled=true]{opacity:var(--sapContent_DisabledOpacity)}.fd-select__control.is-disabled::-webkit-input-placeholder,.fd-select__control:disabled::-webkit-input-placeholder,.fd-select__control[aria-disabled=true]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled::-moz-placeholder,.fd-select__control:disabled::-moz-placeholder,.fd-select__control[aria-disabled=true]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled:-ms-input-placeholder,.fd-select__control:disabled:-ms-input-placeholder,.fd-select__control[aria-disabled=true]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled::-ms-input-placeholder,.fd-select__control:disabled::-ms-input-placeholder,.fd-select__control[aria-disabled=true]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-disabled::placeholder,.fd-select__control:disabled::placeholder,.fd-select__control[aria-disabled=true]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly,.fd-select__control[aria-readonly=true],.fd-select__control[readonly]{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-readonly::-webkit-input-placeholder,.fd-select__control[aria-readonly=true]::-webkit-input-placeholder,.fd-select__control[readonly]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly::-moz-placeholder,.fd-select__control[aria-readonly=true]::-moz-placeholder,.fd-select__control[readonly]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly:-ms-input-placeholder,.fd-select__control[aria-readonly=true]:-ms-input-placeholder,.fd-select__control[readonly]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly::-ms-input-placeholder,.fd-select__control[aria-readonly=true]::-ms-input-placeholder,.fd-select__control[readonly]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly::placeholder,.fd-select__control[aria-readonly=true]::placeholder,.fd-select__control[readonly]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-select__control.is-readonly.is-hover,.fd-select__control.is-readonly:hover,.fd-select__control[aria-readonly=true].is-hover,.fd-select__control[aria-readonly=true]:hover,.fd-select__control[readonly].is-hover,.fd-select__control[readonly]:hover{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-select__control.is-readonly.is-focus,.fd-select__control.is-readonly:focus,.fd-select__control[aria-readonly=true].is-focus,.fd-select__control[aria-readonly=true]:focus,.fd-select__control[readonly].is-focus,.fd-select__control[readonly]:focus{z-index:5;--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-select__control .fd-select__button{background:var(--fdInput_Group_Button_Background);background-color:var(--fdButtonBackgroundColor);border:none;border-radius:var(--fdInput_Group_Button_Border_Raduis);color:var(--fdInput_Group_Button_Text_Color);overflow:hidden;position:relative;text-overflow:ellipsis;white-space:nowrap;z-index:auto!important}.fd-select__control .fd-select__button:before{display:none!important}.fd-select__control .fd-select__button:after{border-radius:var(--fdInput_Outline_Border_Radius)}.fd-select__control .fd-select__button.is-hover,.fd-select__control .fd-select__button:hover{--fdInput_Group_Button_Text_Color:var(--fdInput_Group_Button_Hover_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Hover_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow)}.fd-select__control .fd-select__button.is-active,.fd-select__control .fd-select__button:active{background:var(--fdInput_Group_Button_Active_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow);color:var(--fdInput_Group_Button_Active_Text_Color)}.fd-select__control.is-success.is-focus,.fd-select__control.is-success:focus{z-index:5}.fd-select__control.is-success.is-focus .fd-select__button,.fd-select__control.is-success:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success.is-focus .fd-select__button.is-hover,.fd-select__control.is-success.is-focus .fd-select__button:hover,.fd-select__control.is-success:focus .fd-select__button.is-hover,.fd-select__control.is-success:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success.is-expanded .fd-select__button,.fd-select__control.is-success[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success.is-expanded .fd-select__button.is-hover,.fd-select__control.is-success.is-expanded .fd-select__button:hover,.fd-select__control.is-success[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-success[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-success .fd-select__button.is-active,.fd-select__control.is-success .fd-select__button.is-hover,.fd-select__control.is-success .fd-select__button:active,.fd-select__control.is-success .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow)}.fd-select__control.is-success .fd-select__button.is-active,.fd-select__control.is-success .fd-select__button:active{color:var(--fdInput_Group_Button_Success_Active_Text_Color)}.fd-select__control.is-error.is-focus,.fd-select__control.is-error:focus{z-index:5}.fd-select__control.is-error.is-focus .fd-select__button,.fd-select__control.is-error:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error.is-focus .fd-select__button.is-hover,.fd-select__control.is-error.is-focus .fd-select__button:hover,.fd-select__control.is-error:focus .fd-select__button.is-hover,.fd-select__control.is-error:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error.is-expanded .fd-select__button,.fd-select__control.is-error[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error.is-expanded .fd-select__button.is-hover,.fd-select__control.is-error.is-expanded .fd-select__button:hover,.fd-select__control.is-error[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-error[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-error .fd-select__button.is-active,.fd-select__control.is-error .fd-select__button.is-hover,.fd-select__control.is-error .fd-select__button:active,.fd-select__control.is-error .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow)}.fd-select__control.is-error .fd-select__button.is-active,.fd-select__control.is-error .fd-select__button:active{color:var(--fdInput_Group_Button_Error_Active_Text_Color)}.fd-select__control.is-warning.is-focus,.fd-select__control.is-warning:focus{z-index:5}.fd-select__control.is-warning.is-focus .fd-select__button,.fd-select__control.is-warning:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning.is-focus .fd-select__button.is-hover,.fd-select__control.is-warning.is-focus .fd-select__button:hover,.fd-select__control.is-warning:focus .fd-select__button.is-hover,.fd-select__control.is-warning:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning.is-expanded .fd-select__button,.fd-select__control.is-warning[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning.is-expanded .fd-select__button.is-hover,.fd-select__control.is-warning.is-expanded .fd-select__button:hover,.fd-select__control.is-warning[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-warning[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-warning .fd-select__button.is-active,.fd-select__control.is-warning .fd-select__button.is-hover,.fd-select__control.is-warning .fd-select__button:active,.fd-select__control.is-warning .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-select__control.is-warning .fd-select__button.is-active,.fd-select__control.is-warning .fd-select__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-select__control.is-alert.is-focus,.fd-select__control.is-alert:focus{z-index:5}.fd-select__control.is-alert.is-focus .fd-select__button,.fd-select__control.is-alert:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert.is-focus .fd-select__button.is-hover,.fd-select__control.is-alert.is-focus .fd-select__button:hover,.fd-select__control.is-alert:focus .fd-select__button.is-hover,.fd-select__control.is-alert:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert.is-expanded .fd-select__button,.fd-select__control.is-alert[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert.is-expanded .fd-select__button.is-hover,.fd-select__control.is-alert.is-expanded .fd-select__button:hover,.fd-select__control.is-alert[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-alert[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-alert .fd-select__button.is-active,.fd-select__control.is-alert .fd-select__button.is-hover,.fd-select__control.is-alert .fd-select__button:active,.fd-select__control.is-alert .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-select__control.is-alert .fd-select__button.is-active,.fd-select__control.is-alert .fd-select__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-select__control.is-information.is-focus,.fd-select__control.is-information:focus{z-index:5}.fd-select__control.is-information.is-focus .fd-select__button,.fd-select__control.is-information:focus .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information.is-focus .fd-select__button.is-hover,.fd-select__control.is-information.is-focus .fd-select__button:hover,.fd-select__control.is-information:focus .fd-select__button.is-hover,.fd-select__control.is-information:focus .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information.is-expanded .fd-select__button,.fd-select__control.is-information[aria-expanded=true] .fd-select__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information.is-expanded .fd-select__button.is-hover,.fd-select__control.is-information.is-expanded .fd-select__button:hover,.fd-select__control.is-information[aria-expanded=true] .fd-select__button.is-hover,.fd-select__control.is-information[aria-expanded=true] .fd-select__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-select__control.is-information .fd-select__button.is-active,.fd-select__control.is-information .fd-select__button.is-hover,.fd-select__control.is-information .fd-select__button:active,.fd-select__control.is-information .fd-select__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow)}.fd-select__control.is-information .fd-select__button.is-active,.fd-select__control.is-information .fd-select__button:active{color:var(--fdInput_Group_Button_Information_Active_Text_Color)}.fd-select__control.is-disabled,.fd-select__control:disabled,.fd-select__control[aria-disabled=true]{pointer-events:none}.fd-select__control:after{border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);content:\"\";inset:0;pointer-events:none;position:absolute}.fd-select__control.is-readonly,.fd-select__control[aria-readonly=true],.fd-select__control[readonly]{cursor:text}.fd-select__control.is-readonly .fd-select__text-content,.fd-select__control[aria-readonly=true] .fd-select__text-content,.fd-select__control[readonly] .fd-select__text-content{--fdSelect_Min_Width:5rem;padding-inline:.625rem}.fd-select__control.is-readonly[aria-selected=false] .fd-select__text-content,.fd-select__control[aria-readonly=true][aria-selected=false] .fd-select__text-content,.fd-select__control[readonly][aria-selected=false] .fd-select__text-content{visibility:hidden}.fd-select__control.is-readonly .fd-select__button,.fd-select__control[aria-readonly=true] .fd-select__button,.fd-select__control[readonly] .fd-select__button{opacity:0}.fd-select__control.is-disabled[aria-selected=false] .fd-select__text-content,.fd-select__control:disabled[aria-selected=false] .fd-select__text-content,.fd-select__control[aria-disabled=true][aria-selected=false] .fd-select__text-content{visibility:hidden}.fd-select__control[aria-selected=false] .fd-select__text-content{padding-block:0;padding-inline:.625rem}.fd-select__control[aria-selected=false] .fd-select__text-content,.fd-select__control[aria-selected=false] .fd-select__text-content [class*=sap-icon]{color:var(--sapField_PlaceholderTextColor);font-style:italic;font-weight:400}.fd-select__text-content{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;min-width:calc(var(--fdSelect_Min_Width) - var(--sapField_BorderWidth)*2);overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap;--fdSelect_Min_Width:2.5rem;-webkit-padding-start:.625rem;color:var(--fdSelect_Text_Content_Color,var(--sapTextColor));cursor:pointer;display:var(--fdSelect_Text_Content_Display,inline-block);padding-inline-start:.625rem}.fd-select__text-content:after,.fd-select__text-content:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-select[class*=-compact],.fd-select[class*=-condensed],[class*=-compact] .fd-select:not([class*=-cozy]),[class*=-condensed] .fd-select:not([class*=-cozy]){margin-block:.1875rem;margin-inline:0}.fd-select[class*=-compact] .fd-select__control,.fd-select[class*=-condensed] .fd-select__control,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control{height:1.625rem;min-height:1.625rem}.fd-select[class*=-compact] .fd-select__control .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control .fd-select__text-content{--fdSelect_Min_Width:2.75rem;-webkit-padding-start:.5rem;padding-inline-start:.5rem}.fd-select[class*=-compact] .fd-select__control.is-readonly .fd-select__text-content,.fd-select[class*=-compact] .fd-select__control[aria-readonly=true] .fd-select__text-content,.fd-select[class*=-compact] .fd-select__control[readonly] .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control.is-readonly .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control[aria-readonly=true] .fd-select__text-content,.fd-select[class*=-condensed] .fd-select__control[readonly] .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control.is-readonly .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control[aria-readonly=true] .fd-select__text-content,[class*=-compact] .fd-select:not([class*=-cozy]) .fd-select__control[readonly] .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control.is-readonly .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control[aria-readonly=true] .fd-select__text-content,[class*=-condensed] .fd-select:not([class*=-cozy]) .fd-select__control[readonly] .fd-select__text-content{padding-inline:.5rem}@media (min-width: 600px){[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10{text-align:right!important}}\n/*! Bundled license information:\n\nfundamental-styles/dist/select.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"] }]
        }], propDecorators: { value: [{
                type: Input
            }], inline: [{
                type: Input
            }], select: [{
                type: ViewChild,
                args: [SelectComponent$1, { static: true }]
            }] } });

class DynamicFormGeneratorSelectComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorSelectComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorSelectComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-select", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-select\n            [width]=\"formItem.guiOptions?.additionalData?.width\"\n            [id]=\"id\"\n            [placeholder]=\"placeholder\"\n            [inline]=\"formItem.guiOptions?.inline !== false\"\n            [name]=\"name\"\n            [list]=\"formItem.choices\"\n            [formControlName]=\"name\"\n            [secondaryKey]=\"formItem.secondaryKey\"\n            [showSecondaryText]=\"formItem.showSecondaryText ? formItem.showSecondaryText : false\"\n            [secondaryTextAlignment]=\"formItem.secondaryTextAlignment ? formItem.secondaryTextAlignment : 'right'\"\n            [controlTemplate]=\"formItem.controlTemplate\"\n        ></fdp-select>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: SelectComponent, selector: "fdp-select", inputs: ["value", "inline"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-select', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, SelectComponent], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-select\n            [width]=\"formItem.guiOptions?.additionalData?.width\"\n            [id]=\"id\"\n            [placeholder]=\"placeholder\"\n            [inline]=\"formItem.guiOptions?.inline !== false\"\n            [name]=\"name\"\n            [list]=\"formItem.choices\"\n            [formControlName]=\"name\"\n            [secondaryKey]=\"formItem.secondaryKey\"\n            [showSecondaryText]=\"formItem.showSecondaryText ? formItem.showSecondaryText : false\"\n            [secondaryTextAlignment]=\"formItem.secondaryTextAlignment ? formItem.secondaryTextAlignment : 'right'\"\n            [controlTemplate]=\"formItem.controlTemplate\"\n        ></fdp-select>\n    </ng-container>\n</ng-container>\n" }]
        }] });

/**
 * Default options for platform Switch
 */
class SwitchConfig {
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj) {
        const useFactory = () => Object.assign(new SwitchConfig(), obj);
        return useFactory;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SwitchConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SwitchConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SwitchConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

/** Switch change event instance */
class SwitchChangeEvent {
}
class SwitchComponent extends BaseInput {
    /** value for switch control */
    set value(selectValue) {
        this.setValue(selectValue);
    }
    get value() {
        return this.getValue();
    }
    /** @hidden */
    constructor(_switchConfig) {
        super();
        this._switchConfig = _switchConfig;
        /** Whether the switch is semantic */
        this.semantic = false;
        /**
         * Event fired when the state of the switch changes.
         * *$event* can be used to retrieve the new state of the switch.
         */
        this.switchChange = new EventEmitter();
        /** @hidden
         * tracking switch current value
         */
        this.switchCurrentValue = false;
    }
    /** update controller on switch state change */
    onValueChange(modelValue) {
        this._updateModel(modelValue);
        this.onTouched();
        this.stateChanges.next('switch: onValueChange');
    }
    /** write value for ControlValueAccessor */
    writeValue(value) {
        this.switchCurrentValue = value;
        super.writeValue(value);
    }
    /** @hidden
     * update model
     */
    _updateModel(modelValue) {
        this._emitChangeEvent(modelValue);
    }
    /** @hidden
     * Method to emit change event
     */
    _emitChangeEvent(modelValue) {
        const event = new SwitchChangeEvent();
        event.source = this;
        event.payload = modelValue;
        // setting value, it will call setValue()
        this.value = modelValue;
        this.switchChange.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SwitchComponent, deps: [{ token: SwitchConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: SwitchComponent, isStandalone: true, selector: "fdp-switch", inputs: { semantic: "semantic" }, outputs: { switchChange: "switchChange" }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: SwitchComponent, multi: true }], usesInheritance: true, ngImport: i0, template: "<fd-switch\n    [id]=\"id\"\n    [required]=\"required\"\n    [name]=\"name\"\n    [disabled]=\"disabled\"\n    [semantic]=\"semantic\"\n    [ariaLabel]=\"ariaLabel || ('platformSwitch.ariaLabel' | fdTranslate)\"\n    [ariaLabelledBy]=\"ariaLabelledBy\"\n    [checked]=\"switchCurrentValue\"\n    (checkedChange)=\"onValueChange($event)\"\n></fd-switch>\n", dependencies: [{ kind: "component", type: SwitchComponent$1, selector: "fd-switch", inputs: ["activeText", "inactiveText", "id", "required", "checked", "semantic", "ariaLabel", "ariaLabelledBy"], outputs: ["checkedChange"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SwitchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-switch', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: SwitchComponent, multi: true }], imports: [SwitchComponent$1, FdTranslatePipe], template: "<fd-switch\n    [id]=\"id\"\n    [required]=\"required\"\n    [name]=\"name\"\n    [disabled]=\"disabled\"\n    [semantic]=\"semantic\"\n    [ariaLabel]=\"ariaLabel || ('platformSwitch.ariaLabel' | fdTranslate)\"\n    [ariaLabelledBy]=\"ariaLabelledBy\"\n    [checked]=\"switchCurrentValue\"\n    (checkedChange)=\"onValueChange($event)\"\n></fd-switch>\n" }]
        }], ctorParameters: () => [{ type: SwitchConfig }], propDecorators: { semantic: [{
                type: Input
            }], switchChange: [{
                type: Output
            }] } });

class DynamicFormGeneratorSwitchComponent extends BaseDynamicFormGeneratorControl {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorSwitchComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormGeneratorSwitchComponent, isStandalone: true, selector: "fdp-dynamic-form-generator-switch", usesInheritance: true, ngImport: i0, template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-switch\n            [id]=\"id\"\n            [name]=\"name\"\n            [semantic]=\"formItem.guiOptions?.additionalData?.semantic\"\n            [formControlName]=\"name\"\n        ></fdp-switch>\n    </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i1$1.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: SwitchComponent, selector: "fdp-switch", inputs: ["semantic"], outputs: ["switchChange"] }], viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormGeneratorSwitchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-dynamic-form-generator-switch', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, viewProviders: [dynamicFormFieldProvider, dynamicFormGroupChildProvider], imports: [FormsModule, ReactiveFormsModule, SwitchComponent], template: "<ng-container [formGroup]=\"form\">\n    <ng-container [formGroupName]=\"formGroupName\">\n        <fdp-switch\n            [id]=\"id\"\n            [name]=\"name\"\n            [semantic]=\"formItem.guiOptions?.additionalData?.semantic\"\n            [formControlName]=\"name\"\n        ></fdp-switch>\n    </ng-container>\n</ng-container>\n" }]
        }] });

const DEFAULT_COMPONENTS_LIST = [
    {
        types: ['input', 'email', 'number', 'password'],
        component: DynamicFormGeneratorInputComponent
    },
    {
        types: ['checkbox'],
        component: DynamicFormGeneratorCheckboxComponent
    },
    {
        types: ['radio', 'confirm'],
        component: DynamicFormGeneratorRadioComponent
    },
    {
        types: ['editor', 'textarea'],
        component: DynamicFormGeneratorEditorComponent
    },
    {
        types: ['select', 'list'],
        component: DynamicFormGeneratorSelectComponent
    },
    {
        types: ['datepicker'],
        component: DynamicFormGeneratorDatepickerComponent
    },
    {
        types: ['switch'],
        component: DynamicFormGeneratorSwitchComponent
    },
    {
        types: ['multi-input'],
        component: DynamicFormGeneratorMultiInputComponent
    },
    {
        types: ['object-status'],
        component: DynamicFormGeneratorObjectStatusComponent
    }
];

/**
 * Since form generator service most probably will be provided by parent component,
 * so that forms map does not interfere with other form generators,
 * Components Accessor is a separate service with a global scope, which can be also provided per component.
 */
class FormGeneratorComponentsAccessorService {
    constructor() {
        /**
         * @hidden
         */
        this._formComponentDefinitions = DEFAULT_COMPONENTS_LIST;
    }
    /**
     * @description Adds custom component to the list of available components for the form generator items.
     * @param component Angular component.
     * @param types types of the form item.
     */
    addComponent(component, types) {
        const bestMatchComponentIndex = this._formComponentDefinitions.findIndex((c) => c.types?.every((t) => types.includes(t)));
        if (bestMatchComponentIndex > -1) {
            this._formComponentDefinitions[bestMatchComponentIndex].component = component;
            return true;
        }
        // Try to find component in types key. There might be some unique cases when new component might replace multiple.
        const existingComponents = this._formComponentDefinitions.filter((c) => c.types?.filter((t) => types.includes(t)));
        existingComponents.forEach((existingComponent, index) => {
            existingComponent.types = existingComponent.types?.filter((t) => !types.includes(t));
            this._formComponentDefinitions[index] = existingComponent;
        });
        this._formComponentDefinitions.push({
            types,
            component
        });
        return true;
    }
    /**
     * @description Returns best-matched component based on provided `type` argument
     * @param type form item type
     * @returns @see FormComponentDefinition Component definition for the form item
     */
    getComponentDefinitionByType(type) {
        return this._formComponentDefinitions.find((c) => c.types?.includes(type));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorComponentsAccessorService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorComponentsAccessorService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorComponentsAccessorService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

/** @hidden */
function isHintOptions(opts) {
    return !!opts && typeof opts !== 'string';
}
/** @hidden */
function mapFormItems(formItems) {
    const mappedItems = new Map();
    if (!formItems) {
        return mappedItems;
    }
    formItems.forEach((item, index) => {
        const mappedItem = transformFormItem(item, index);
        mappedItems.set(mappedItem.name, mappedItem);
    });
    return mappedItems;
}
/** @hidden */
function transformFormItem(item, index) {
    if (isFormGroupItem(item)) {
        const mappedItem = Object.assign({}, item, { items: mapFormItems(item.items) });
        mappedItem.rank = mappedItem.rank || index;
        return mappedItem;
    }
    else {
        item.rank = item.rank || index;
    }
    return item;
}
/**
 * Is current form item is a field item.
 * @param item form item.
 * @returns is current form item is a field.
 */
function isFormFieldItem(item) {
    return !!item.type;
}
/**
 * Is current form item is a group item.
 * @param item form item.
 * @returns is current form item is a group.
 */
/** @hidden */
function isFormGroupItem(item) {
    return !!item.items;
}
/** @hidden */
function getParentItem(path, rootItems) {
    return path.reduce((acc, chunk) => {
        const parent = acc === null ? rootItems : acc.items;
        return parent.get(chunk) || null;
    }, null);
}

/**
 * @description Form generator service
 */
class FormGeneratorService {
    /** @hidden */
    constructor(_fb, _componentsAccessor, _defaultItemConfig, _providedConfig) {
        this._fb = _fb;
        this._componentsAccessor = _componentsAccessor;
        this._defaultItemConfig = _defaultItemConfig;
        this._providedConfig = _providedConfig;
        /**
         * Map of generated forms to access later.
         */
        this.forms = new Map();
        /**
         * Predefined validation error messages.
         */
        this.validationErrorHints = DEFAULT_VALIDATION_ERRORS;
        /** @hidden */
        this._config = defaultFormGeneratorConfig;
        /**
         * @hidden
         * An RxJS Subject that will kill the data stream upon component’s destruction (for unsubscribing)
         */
        this._destroyRef = inject(DestroyRef);
        this._config = merge$1(cloneDeep(this._config), cloneDeep(this._providedConfig));
    }
    /**
     * @description Generates `FormGroup` class with the list of `DynamicFormControl` control classes
     * defined in `formItems` argument.
     * @param formName Form name.
     * @param formItems the list of form items which used for form control generation.
     * @returns `FormGroup` class with the list of `DynamicFormControl` control classes.
     */
    async generateForm(formName, formItems) {
        const existingForm = this.forms.get(formName);
        const form = this._fb.group({});
        const defaultFormGroup = new DynamicFormControlGroup({
            name: this._config.ungroupedControlsName
        }, {});
        defaultFormGroup.formItem.items = new Map();
        formItems = this._transformFormItems(formItems);
        formItems.forEach((formItem) => {
            if (!isFormFieldItem(formItem)) {
                if (!formItem.items || formItem.items.size === 0) {
                    return;
                }
                const group = new DynamicFormControlGroup(formItem, {});
                formItem.items.forEach((groupFormItem) => {
                    const groupFormControl = this._generateDynamicFormItem(groupFormItem, form);
                    if (!groupFormControl) {
                        return;
                    }
                    group.addControl(groupFormItem.name, groupFormControl);
                    groupFormControl.updateValueAndValidity({ emitEvent: false });
                });
                form.addControl(formItem.name, group);
                return;
            }
            const formControl = this._generateDynamicFormItem(formItem, form);
            if (!formControl) {
                return;
            }
            defaultFormGroup.addControl(formItem.name, formControl);
            defaultFormGroup.formItem.items?.set(formItem.name, formItem);
            formControl.updateValueAndValidity({ emitEvent: false });
        });
        const formControlNames = Object.keys(defaultFormGroup.controls);
        form.addControl(this._config.ungroupedControlsName, defaultFormGroup);
        // After we created initial form, we need to get dynamic labels, choices and value
        for (const key of formControlNames) {
            const formItem = formItems.get(key);
            if (!isFormFieldItem(formItem)) {
                continue;
            }
            const [[message, placeholder, defaultValue], choices] = await Promise.all([
                this._getFormItemProperties(formItem, defaultFormGroup, [
                    'message',
                    'placeholder',
                    'default'
                ]),
                this._getFormItemChoices(formItem, defaultFormGroup)
            ]);
            formItem.message = message;
            formItem.placeholder = placeholder;
            formItem.default = defaultValue;
            formItem.choices = choices;
            // Update form value since it might be changed
            defaultFormGroup.controls[formItem.name].setValue(formItem.default);
            defaultFormGroup.controls[key].formItem = formItem;
        }
        Object.keys(form.controls).forEach((controlName) => {
            const newControl = form.get(controlName);
            const oldControl = existingForm?.get(controlName);
            this._cloneOldFormGroup(newControl, oldControl);
        });
        this.forms.set(formName, form);
        return form;
    }
    /**
     * Adds new control to a form.
     * @param control Control to add
     * @param form Form of the control to be added.
     * @param path Group path.
     */
    async addControl(control, form, path = []) {
        const formGroup = this.getFormControl(form, ...path);
        if (formGroup instanceof DynamicFormControlGroup) {
            const formControl = this._generateDynamicFormItem(control, form);
            formGroup.addControl(control.name, formControl);
            return;
        }
    }
    /**
     * Removes the control with given name from the form.
     * @param controlName
     * @param path
     */
    removeControl(controlName, form, path = []) {
        const formGroup = this.getFormControl(form, ...path);
        if (formGroup instanceof DynamicFormControlGroup) {
            formGroup.removeControl(controlName);
        }
    }
    /**
     * @description Returns form value with applied filters and transformers.
     * @param form Form generator form
     * @param renderValue Whether or not form value will be used for rendering purposes.
     * @returns form value object.
     */
    async getFormValue(form, renderValue = false) {
        await this._triggerFieldsOnchange(form);
        const formValue = cloneDeep(form.value);
        for (const [i, control] of Object.entries(form.controls)) {
            const formItem = control.formItem;
            if (!isFormFieldItem(formItem)) {
                formValue[i] = await this.getFormValue(control, renderValue);
                continue;
            }
            if (formItem.shouldShow === false) {
                delete formValue[i];
                continue;
            }
            if (formItem.transformer) {
                const obj = formItem.transformer(formValue[i], formValue, formItem);
                formValue[i] = await this._getFunctionValue(obj);
            }
            if (renderValue && formItem.valueRenderer) {
                const obj = formItem.valueRenderer(formValue[i], formValue, formItem);
                formValue[i] = await this._getFunctionValue(obj);
            }
            if (renderValue && formItem['controlType'] === 'password') {
                formValue[i] = this._formatPasswordValue(formValue[i]);
            }
        }
        return this._getFormValueWithoutUngrouped(formValue);
    }
    /**
     * @description Adds custom component to the list of available components for the form generator items.
     * @param component Angular component.
     * @param types types of the form item.
     */
    addComponent(component, types) {
        return this._componentsAccessor.addComponent(component, types);
    }
    /**
     * @description Returns best-matched component based on provided `type` argument
     * @param type form item type
     * @returns @see FormComponentDefinition Component definition for the form item
     */
    getComponentDefinitionByType(type) {
        return this._componentsAccessor.getComponentDefinitionByType(type);
    }
    /**
     * @returns Object of available errors, where key is an error type,
     * and it's value is a display text.
     */
    getValidationErrorHints(key) {
        return this.validationErrorHints[key];
    }
    /**
     * @description Adds custom error hint defined by user.
     * @param type error type from validator.
     * @param value display text.
     */
    addValidationErrorHint(type, value) {
        this.validationErrorHints[type] = value;
    }
    /**
     * @description Checks if some items of the form should be hidden,
     * or visible based on `when` method result.
     * @param form
     * @returns `Set` where key is item name, and boolean value if field needs to be shown.
     */
    async checkVisibleFormItems(form) {
        const formValue = this._getFormValueWithoutUngrouped(cloneDeep(form.value));
        return await this._checkFormControlsVisibility(form, formValue);
    }
    /**
     * Method for searching a form control inside form group. Can also search inside ungrouped form group.
     * @param form Form group.
     * @param controlNames Name of the form control.
     * @returns Found form control.
     */
    getFormControl(form, ...controlNames) {
        controlNames = controlNames.reduce((names, name) => {
            names = [...names, ...name.split(this._config.controlNameSeparator)];
            return names;
        }, []);
        let control = form?.get(controlNames);
        // If no control found, try to find it in ungrouped group
        if (!control) {
            control = form?.get([this._config.ungroupedControlsName, ...controlNames]);
        }
        return control;
    }
    /** Resets the form to it's initial state. */
    resetForm(form) {
        for (const control of Object.values(form.controls)) {
            if (control instanceof DynamicFormControlGroup) {
                this.resetForm(control);
                return;
            }
            // Get default value
            control.setValue(control.formItem.default);
        }
    }
    /** @hidden */
    _getFormValueWithoutUngrouped(value) {
        if (value[this._config.ungroupedControlsName]) {
            const ungroupedGroupValue = value[this._config.ungroupedControlsName];
            for (const [fieldName, fieldValue] of Object.entries(ungroupedGroupValue)) {
                value[fieldName] = fieldValue;
            }
        }
        delete value[this._config.ungroupedControlsName];
        return value;
    }
    /** @hidden */
    _assignFormItemValidators(formItem, form) {
        let validator = null;
        if (isFunction$1(formItem.validate)) {
            validator = async (control) => {
                const obj = formItem.validate(control.value, this._getFormValueWithoutUngrouped(form));
                const result = await this._getFunctionValue(obj);
                const returnObj = {};
                returnObj[`${control.formItem.name}Validator`] =
                    typeof result === 'boolean' ? true : result;
                return result === null ? result : returnObj;
            };
            formItem.asyncValidators = formItem.asyncValidators || [];
            formItem.asyncValidators =
                typeof formItem.asyncValidators === 'function' ? [formItem.asyncValidators] : formItem.asyncValidators;
            formItem.asyncValidators.push(validator);
        }
        formItem.validators = formItem.validators || [Validators.nullValidator];
        formItem.required = formItem.required || formItem.validators.includes(Validators.required);
        return formItem;
    }
    /** @hidden */
    _generateDynamicFormItem(formItem, form) {
        const formItemComponentType = this.getComponentDefinitionByType(formItem.type);
        if (!formItemComponentType) {
            console.warn(`Form item '${formItem.name}' with type '${formItem.type}' has no defined component.
            Please use 'addComponent' method in ${FormGeneratorService.name} to define appropriate relations.`);
            return;
        }
        formItem = this._assignFormItemValidators(formItem, form);
        const formControl = new DynamicFormControl(formItem.default, {
            validators: formItem.validators,
            asyncValidators: formItem.asyncValidators,
            dynamicFormItem: formItem,
            updateOn: 'change'
        });
        if (isFunction$1(formItem.onchange)) {
            formControl.valueChanges
                .pipe(debounceTime(50), takeUntilDestroyed(this._destroyRef))
                .subscribe(async (value) => {
                const obj = formItem.onchange(value, this.forms, formControl);
                await this._getFunctionValue(obj);
            });
        }
        formControl.updateValueAndValidity({ emitEvent: false });
        return formControl;
    }
    /** @hidden */
    async _checkFormControlsVisibility(form, formValue) {
        let shouldShowFields = {};
        form = form instanceof DynamicFormControlGroup ? form : form;
        for (const [key, control] of Object.entries(form.controls)) {
            const formItem = control.formItem;
            if (!isFormFieldItem(formItem)) {
                const groupVisibleItems = await this._checkFormControlsVisibility(control, formValue);
                shouldShowFields = Object.assign(shouldShowFields, groupVisibleItems);
                continue;
            }
            if (!formItem.when) {
                shouldShowFields[key] = true;
                continue;
            }
            const obj = formItem.when(formValue, this.forms, control);
            shouldShowFields[key] = await this._getFunctionValue(obj);
        }
        return shouldShowFields;
    }
    /**
     * @hidden
     * @param formItem
     * @param form
     * @param key
     * @returns
     */
    async _getFormItemPropertyValue(formItem, form, key) {
        let value = formItem[key];
        if (typeof value === 'function') {
            const obj = value(this._getFormValueWithoutUngrouped(form));
            value = await this._getFunctionValue(obj);
        }
        return (await this._getFunctionValue(value));
    }
    /** @hidden */
    async _getFormItemProperties(formItem, form, keys) {
        const promises = [];
        keys.forEach((key) => {
            promises.push(this._getFormItemPropertyValue(formItem, form, key));
        });
        return (await Promise.all(promises));
    }
    /**
     * @hidden
     * @param formItem
     * @param form
     * @returns
     */
    async _getFormItemChoices(formItem, form) {
        const defaultChoices = await this._getFormItemPropertyValue(formItem, form, 'choices');
        if (!defaultChoices) {
            return [];
        }
        return defaultChoices.map((c) => typeof c === 'object' ? c : { label: c, value: c });
    }
    /**
     * @hidden
     * @description Returns value from Promise-like, Observable-like, simple function or just some object.
     * @param obj
     * @returns
     */
    async _getFunctionValue(obj) {
        const strategy = selectStrategy(obj);
        let result;
        await strategy.createSubscription(obj, (value) => {
            result = value;
        });
        if (isFunction$1(result)) {
            await this._getFunctionValue(result);
        }
        return result;
    }
    /** @hidden */
    _formatPasswordValue(password) {
        return '*'.repeat(password?.length);
    }
    /** @hidden */
    _getMergedFormFieldItemConfig(formItem) {
        return merge$1(cloneDeep(this._defaultItemConfig), formItem);
    }
    /** @hidden */
    _transformFormItems(formItems) {
        formItems.forEach((item, index) => {
            if (!isFormFieldItem(item)) {
                return;
            }
            formItems.set(index, this._getMergedFormFieldItemConfig(item));
        });
        return formItems;
    }
    /** @hidden */
    async _triggerFieldsOnchange(form) {
        for (const control of Object.values(form.controls)) {
            const formItem = control.formItem;
            if (!isFormFieldItem(formItem)) {
                await this._triggerFieldsOnchange(control);
                continue;
            }
            if (formItem.onchange) {
                const obj = formItem.onchange(control.value, this.forms, control);
                await this._getFunctionValue(obj);
            }
        }
    }
    /** @hidden */
    _cloneOldFormGroup(newGroup, oldGroup) {
        Object.keys(newGroup.controls).forEach((controlName) => {
            const control = newGroup.get(controlName);
            const oldControl = oldGroup?.get(controlName);
            if (!oldControl) {
                return;
            }
            if (control instanceof DynamicFormControlGroup) {
                this._cloneOldFormGroup(control, oldControl);
                return;
            }
            control?.setValue(oldControl.value, { emitEvent: false });
            if (oldControl.touched) {
                control?.markAsTouched();
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorService, deps: [{ token: i1$1.FormBuilder }, { token: FormGeneratorComponentsAccessorService }, { token: FORM_GENERATOR_ITEM_CONFIG, optional: true, skipSelf: true }, { token: FORM_GENERATOR_CONFIG, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$1.FormBuilder }, { type: FormGeneratorComponentsAccessorService }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }, {
                    type: Inject,
                    args: [FORM_GENERATOR_ITEM_CONFIG]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }, {
                    type: Inject,
                    args: [FORM_GENERATOR_CONFIG]
                }] }] });

/**
 * Dynamic form control directive represents a renderer of the dynamic components
 * based on the information provided in `formItem` input
 */
class DynamicFormControlDirective {
    /** @hidden */
    constructor(_formGeneratorService, _vcRef, _injector, contentDensityDirective) {
        this._formGeneratorService = _formGeneratorService;
        this._vcRef = _vcRef;
        this._injector = _injector;
        this.contentDensityDirective = contentDensityDirective;
    }
    /** @hidden */
    ngOnInit() {
        const foundComponent = this._formGeneratorService.getComponentDefinitionByType(this.formItem.type);
        if (!foundComponent) {
            return;
        }
        this._vcRef.clear();
        const componentRef = this._vcRef.createComponent(foundComponent.component, {
            injector: Injector.create({
                providers: [
                    {
                        provide: CONTENT_DENSITY_DIRECTIVE,
                        useFactory: () => {
                            if (this.formItem?.guiOptions?.contentDensity) {
                                return of(this.formItem.guiOptions.contentDensity);
                            }
                            if (this.contentDensityDirective) {
                                return this.contentDensityDirective;
                            }
                            return of(ContentDensityGlobalKeyword);
                        }
                    }
                ],
                parent: this._injector
            })
        });
        componentRef.instance.formItem = this.formItem;
        componentRef.instance.id = this.id; // This is also done from fdp-form-field
        componentRef.instance.name = this.name;
        componentRef.instance.form = this.form;
        componentRef.instance.formField = this.formField;
        componentRef.instance.formGroupName = this.formGroupNamePath;
        this.formFieldControl = componentRef.instance;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormControlDirective, deps: [{ token: FormGeneratorService }, { token: i0.ViewContainerRef }, { token: i0.Injector }, { token: CONTENT_DENSITY_DIRECTIVE, optional: true }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormControlDirective, isStandalone: true, selector: "[fdpDynamicFormControl]", inputs: { formItem: "formItem", id: "id", name: "name", form: "form", formGroupNamePath: "formGroupNamePath", formField: "formField" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormControlDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpDynamicFormControl]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: FormGeneratorService }, { type: i0.ViewContainerRef }, { type: i0.Injector }, { type: i2$2.Observable, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [CONTENT_DENSITY_DIRECTIVE]
                }] }], propDecorators: { formItem: [{
                type: Input
            }], id: [{
                type: Input
            }], name: [{
                type: Input
            }], form: [{
                type: Input
            }], formGroupNamePath: [{
                type: Input
            }], formField: [{
                type: Input
            }] } });

class FormFieldErrorDescriptionDirective {
    /** @hidden */
    constructor(templateRef, _formFieldErrorDirective) {
        this.templateRef = templateRef;
        this._formFieldErrorDirective = _formFieldErrorDirective;
        this._formFieldErrorDirective?.registerDescription(this);
    }
    /** @hidden */
    static ngTemplateContextGuard(dir, ctx) {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldErrorDescriptionDirective, deps: [{ token: i0.TemplateRef }, { token: FDP_FORM_ERROR_DIRECTIVE, optional: true }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: FormFieldErrorDescriptionDirective, isStandalone: true, selector: "[fdpFormFieldErrorDescription]", inputs: { fdpFormFieldErrorDescriptionAs: "fdpFormFieldErrorDescriptionAs" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldErrorDescriptionDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpFormFieldErrorDescription]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.TemplateRef }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [FDP_FORM_ERROR_DIRECTIVE]
                }] }], propDecorators: { fdpFormFieldErrorDescriptionAs: [{
                type: Input
            }] } });

class FormFieldErrorHeadingDirective {
    /** @hidden */
    constructor(templateRef, _formFieldErrorDirective) {
        this.templateRef = templateRef;
        this._formFieldErrorDirective = _formFieldErrorDirective;
        this._formFieldErrorDirective?.registerHeading(this);
    }
    /** @hidden */
    static ngTemplateContextGuard(dir, ctx) {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldErrorHeadingDirective, deps: [{ token: i0.TemplateRef }, { token: FDP_FORM_ERROR_DIRECTIVE, optional: true }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: FormFieldErrorHeadingDirective, isStandalone: true, selector: "[fdpFormFieldErrorHeading]", inputs: { fdpFormFieldErrorHeadingAs: "fdpFormFieldErrorHeadingAs", fdpFormFieldErrorHeadingType: "fdpFormFieldErrorHeadingType" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldErrorHeadingDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpFormFieldErrorHeading]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.TemplateRef }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [FDP_FORM_ERROR_DIRECTIVE]
                }] }], propDecorators: { fdpFormFieldErrorHeadingAs: [{
                type: Input
            }], fdpFormFieldErrorHeadingType: [{
                type: Input
            }] } });

const formFieldGroupProvider = {
    provide: FormFieldGroup,
    useExisting: forwardRef(() => FormFieldGroupComponent)
};
const formGroupChildProvider$1 = {
    provide: FORM_GROUP_CHILD_FIELD_TOKEN,
    useExisting: forwardRef(() => FormFieldGroupComponent)
};
class FormFieldGroupComponent {
    constructor() {
        /**
         * Form Group Container to bind the Form-Field-Group to.
         * This will override default value injected by constructor
         */
        this.formGroupContainer = inject(FormGroupContainer, { optional: true });
    }
    /**
     * Defines label's column layout.
     */
    set labelColumnLayout(value) {
        if (value) {
            this._labelColumnLayout = value;
        }
    }
    get labelColumnLayout() {
        return this._labelColumnLayout;
    }
    /**
     * Defines field's column layout.
     */
    set fieldColumnLayout(value) {
        if (value) {
            this._fieldColumnLayout = value;
        }
    }
    get fieldColumnLayout() {
        return this._fieldColumnLayout;
    }
    /**
     * Defines gap column layout.
     */
    set gapColumnLayout(value) {
        if (value) {
            this._gapColumnLayout = value;
        }
    }
    get gapColumnLayout() {
        return this._gapColumnLayout;
    }
    /** @hidden */
    ngOnInit() {
        this._addToFormGroup();
        this._setDefaultLayout();
    }
    /** @hidden */
    ngOnDestroy() {
        this._removeFromFormGroup();
    }
    /** @hidden */
    _setDefaultLayout() {
        // If layout already defined, no need to set default one.
        if (this.labelColumnLayout) {
            return;
        }
        this.labelColumnLayout = this.formGroupContainer?.labelColumnLayout;
        this.fieldColumnLayout = this.formGroupContainer?.fieldColumnLayout;
        this.gapColumnLayout = this.formGroupContainer?.gapColumnLayout;
    }
    /** @hidden */
    _addToFormGroup() {
        if (!this.formGroupContainer) {
            return;
        }
        this.formGroupContainer.addFormFieldGroup(this);
    }
    /** @hidden */
    _removeFromFormGroup() {
        if (!this.formGroupContainer) {
            return;
        }
        this.formGroupContainer.removeFormFieldGroup(this);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: FormFieldGroupComponent, isStandalone: true, selector: "fdp-form-field-group", inputs: { label: "label", formName: "formName", formGroupContainer: "formGroupContainer", labelColumnLayout: "labelColumnLayout", fieldColumnLayout: "fieldColumnLayout", gapColumnLayout: "gapColumnLayout", hintOptions: "hintOptions" }, providers: [formFieldGroupProvider, formGroupChildProvider$1], queries: [{ propertyName: "fields", predicate: FD_FORM_FIELD, descendants: true }], ngImport: i0, template: ` <ng-content></ng-content>`, isInline: true, styles: [".fd-form-group{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-form-group:after,.fd-form-group:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group--inline{-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-webkit-box-pack:start;-ms-flex-pack:start;-ms-flex-wrap:wrap;flex-wrap:wrap;justify-content:flex-start}.fd-form-group--inline,.fd-form-group__header{display:-webkit-box;display:-ms-flexbox;display:flex}.fd-form-group__header{border:0;-webkit-box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;background-color:var(--sapGroup_TitleBackground);box-sizing:border-box;height:2.75rem;width:100%}.fd-form-group__header:after,.fd-form-group__header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group__header[class*=-compact],.fd-form-group__header[class*=-condensed],[class*=-compact] .fd-form-group__header:not([class*=-cozy]),[class*=-condensed] .fd-form-group__header:not([class*=-cozy]){height:2rem}.fd-form-group__header-text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapGroup_TitleTextColor);font-family:var(--sapFontFamily);font-family:var(--sapFontHeaderFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader6Size);font-weight:400;font-weight:700;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap}.fd-form-group__header-text:after,.fd-form-group__header-text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}\n/*! Bundled license information:\n\nfundamental-styles/dist/form-group.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormFieldGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-form-field-group', template: ` <ng-content></ng-content>`, changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [formFieldGroupProvider, formGroupChildProvider$1], standalone: true, styles: [".fd-form-group{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-form-group:after,.fd-form-group:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group--inline{-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-webkit-box-pack:start;-ms-flex-pack:start;-ms-flex-wrap:wrap;flex-wrap:wrap;justify-content:flex-start}.fd-form-group--inline,.fd-form-group__header{display:-webkit-box;display:-ms-flexbox;display:flex}.fd-form-group__header{border:0;-webkit-box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;background-color:var(--sapGroup_TitleBackground);box-sizing:border-box;height:2.75rem;width:100%}.fd-form-group__header:after,.fd-form-group__header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group__header[class*=-compact],.fd-form-group__header[class*=-condensed],[class*=-compact] .fd-form-group__header:not([class*=-cozy]),[class*=-condensed] .fd-form-group__header:not([class*=-cozy]){height:2rem}.fd-form-group__header-text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapGroup_TitleTextColor);font-family:var(--sapFontFamily);font-family:var(--sapFontHeaderFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader6Size);font-weight:400;font-weight:700;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap}.fd-form-group__header-text:after,.fd-form-group__header-text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}\n/*! Bundled license information:\n\nfundamental-styles/dist/form-group.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"] }]
        }], propDecorators: { label: [{
                type: Input
            }], formName: [{
                type: Input
            }], formGroupContainer: [{
                type: Input
            }], labelColumnLayout: [{
                type: Input
            }], fieldColumnLayout: [{
                type: Input
            }], gapColumnLayout: [{
                type: Input
            }], hintOptions: [{
                type: Input
            }], fields: [{
                type: ContentChildren,
                args: [FD_FORM_FIELD, { descendants: true }]
            }] } });

class FormGroupHeaderComponent {
    /** Hint options */
    get hintOptions() {
        if (this.fieldGroup?.hintOptions) {
            return this.fieldGroup.hintOptions;
        }
        return;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGroupHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FormGroupHeaderComponent, isStandalone: true, selector: "[fdp-form-group-header]", inputs: { fieldGroup: "fieldGroup" }, host: { properties: { "class.fd-form-group__header": "true" } }, ngImport: i0, template: "@if (fieldGroup && hintOptions?.position === 'before') {\n    <ng-template [ngTemplateOutlet]=\"inlineHelpRef\"></ng-template>\n}\n<h6 class=\"fd-form-group__header-text\">\n    {{ fieldGroup?.label }}\n</h6>\n@if (fieldGroup && hintOptions?.position === 'after') {\n    <ng-template [ngTemplateOutlet]=\"inlineHelpRef\"></ng-template>\n}\n<ng-template #inlineHelpRef>\n    @if (hintOptions) {\n        <span fd-link [undecorated]=\"true\">\n            <fd-icon\n                [style.vertical-align]=\"'middle'\"\n                [fd-inline-help]=\"hintOptions.content\"\n                [glyph]=\"hintOptions.glyph\"\n                [placement]=\"hintOptions.placement || null\"\n                [triggers]=\"hintOptions.trigger || []\"\n                tabindex=\"0\"\n            ></fd-icon>\n        </span>\n    }\n</ng-template>\n", dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: LinkComponent, selector: "[fdLink], [fd-link]", inputs: ["class", "emphasized", "disabled", "inverted", "subtle", "undecorated"] }, { kind: "component", type: IconComponent, selector: "fd-icon", inputs: ["glyph", "font", "color", "background", "class", "ariaLabel", "ariaHidden"] }, { kind: "directive", type: InlineHelpDirective, selector: "[fd-inline-help]:not([fd-inline-help-template]), [fd-inline-help-template]:not([fd-inline-help])", inputs: ["triggers", "noArrow", "closeOnEscapeKey", "closeOnOutsideClick", "fd-inline-help"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGroupHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: '[fdp-form-group-header]', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, host: {
                        '[class.fd-form-group__header]': 'true'
                    }, imports: [NgTemplateOutlet, LinkComponent, IconComponent, InlineHelpDirective], template: "@if (fieldGroup && hintOptions?.position === 'before') {\n    <ng-template [ngTemplateOutlet]=\"inlineHelpRef\"></ng-template>\n}\n<h6 class=\"fd-form-group__header-text\">\n    {{ fieldGroup?.label }}\n</h6>\n@if (fieldGroup && hintOptions?.position === 'after') {\n    <ng-template [ngTemplateOutlet]=\"inlineHelpRef\"></ng-template>\n}\n<ng-template #inlineHelpRef>\n    @if (hintOptions) {\n        <span fd-link [undecorated]=\"true\">\n            <fd-icon\n                [style.vertical-align]=\"'middle'\"\n                [fd-inline-help]=\"hintOptions.content\"\n                [glyph]=\"hintOptions.glyph\"\n                [placement]=\"hintOptions.placement || null\"\n                [triggers]=\"hintOptions.trigger || []\"\n                tabindex=\"0\"\n            ></fd-icon>\n        </span>\n    }\n</ng-template>\n" }]
        }], propDecorators: { fieldGroup: [{
                type: Input
            }] } });

class Field {
    /** @hidden */
    constructor(name, rank, renderer, column) {
        this.name = name;
        this.rank = rank;
        this.renderer = renderer;
        this.column = column;
    }
}
class FieldGroup {
    /** @hidden */
    constructor(label, fields, hintOptions) {
        this.label = label;
        this.fields = fields;
        this.hintOptions = hintOptions;
    }
}

class FieldGroupRowValuePipe {
    /** @hidden */
    transform(row) {
        return row.value instanceof FieldGroup ? row.value.fields : row.value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FieldGroupRowValuePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: FieldGroupRowValuePipe, isStandalone: true, name: "fieldGroupRowValue" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FieldGroupRowValuePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'fieldGroupRowValue',
                    standalone: true
                }]
        }] });

/**
 * @license
 * F. Kolar
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 */
const formGroupProvider = {
    provide: FormGroupContainer,
    useExisting: forwardRef(() => FormGroupComponent)
};
let formGroupUniqueId = 0;
/**
 *
 * FormGroup represent high order container aggregating FormFields and ability to distribute these
 * fields into columns. It mainly hides implementation details that we need to deal with every
 * time we are building a form. We have input fields , error managements, different states,
 * hints and many more.
 *
 * Well behaved form that has information side by side in multiple
 * columns needs to also know how to merge properly.
 *
 * Just to get the idea about the structure without actual input components inside
 *
 * ```html
 * <fdp-form-group [hintPlacement]="'inline'" columnLayout="XL2-L2-M1-S1">
 *    <fdp-form-field [id]="'Field A'" [rank]="10" column="1">
 *    </fdp-form-field>
 *
 *    <fdp-form-field [id]="'Field B'" [rank]="30" column="1">
 *    </fdp-form-field>
 *
 *    <fdp-form-field [id]="'Field C'"  [rank]="20" column="1">
 *    </fdp-form-field>
 *
 *    <fdp-form-field [id]="Field D"  [rank]="20" column="2">
 *    </fdp-form-field>
 *
 *
 *    <fdp-form-field [id]="'Field E'" [rank]="30" column="2">
 *    </fdp-form-field>
 * </fdp-form-group>

 *
 * ````
 *
 *
 * Which can be translated like this
 * [Field A] - First column, rank 10
 * [Field B] - First column, rank 30
 * [Field C] - First column, rank 20
 * [Field D] - Second column, rank 20
 * [Field E] - Second column, rank 30
 *
 * What we expect that it creates following form with two column layout:
 * [Field A]      [Field D]
 * [Field C]      [Field E]
 * [Field B]
 *
 * You can see all is sorted accordingly by rank (C goes before B).
 *
 * When you move into smaller device and all is merged into one columns the naive solution would be:
 *
 * [Field A]
 * [Field C]
 * [Field B]
 * [Field D]
 * [Field E]
 *
 * The fields needs to restructure according to their original positioning. When Field D was on the
 * top why we should move it to the bottom? The more correct solution should be following.
 *
 * [Field A]
 * [Field D]
 * [Field C]
 * [Field E]
 * [Field B]
 *
 * Fields nicely merge together. they don't wrap.
 *
 *
 * Besides this layout support it also wraps form functionality and it can work with FormGroup.
 * You can also decide if you want your form with <form> element or without it.
 *
 *
 */
class FormGroupComponent {
    /**
     * Defines column layout for inline items.
     */
    set inlineColumnLayout(value) {
        this._inlineColumnLayout = normalizeColumnLayout(value);
        this._updateInlineColumnLayout();
    }
    get inlineColumnLayout() {
        return this._inlineColumnLayout;
    }
    /** @hidden */
    constructor() {
        /** Id for the form group element */
        this.id = `fdp-form-group-${formGroupUniqueId++}`;
        /** Indicates if group is editable */
        this.editable = true;
        /** Indicates when labels should not be displayed */
        this.noLabelLayout = false;
        /**
         * Defines label's column layout.
         */
        this.labelColumnLayout = DefaultHorizontalLabelLayout;
        /**
         * Defines field's column layout.
         */
        this.fieldColumnLayout = DefaultHorizontalFieldLayout;
        /**
         * Defines gap column layout.
         */
        this.gapColumnLayout = DefaultGapLayout;
        /** Whether to hide form's main title. Default is false. */
        this.hideMainTItle = false;
        /** Whether to wrap all the provided content in a `<form>` */
        this.useForm = false;
        /** Whether all form items should have identical layout provided for form group */
        this.unifiedLayout = true;
        /**
         * onSubmit event
         */
        this.onSubmit = new EventEmitter();
        /**
         * @hidden
         * Packed fields which should be rendered
         */
        this.formRows = {};
        /** @hidden */
        this.contentDensityObserver = inject(ContentDensityObserver);
        /** @hidden */
        this._destroyRef = inject(DestroyRef);
        /** @hidden */
        this._inlineColumnLayout = DefaultVerticalFieldLayout;
        /**
         * @hidden
         *
         * List of direct FdpFormGroup's children.
         *
         * Since "formGroupChildren" uses "{ descendants: true }" option that means
         * "formGroupChildren" will keep track of nested FdpFormGroup fields as well.
         * This list relies on the injection mechanism so nested FdpFormGroup's fields/fieldGroups
         * will be omitted
         */
        this._formGroupDirectChildren = [];
        /** @hidden */
        this._subscriptions = new Subscription();
        /** @hidden */
        this._cd = inject(ChangeDetectorRef);
        /** @hidden */
        this._elementRef = inject(ElementRef);
        /** @hidden */
        this._formContainer = inject(ControlContainer, { optional: true });
        /** @hidden */
        this._defaultHintOptions = inject(FDP_FORM_FIELD_HINT_OPTIONS_DEFAULT);
        /** @hidden used for template side Type correction */
        this.$fieldGroup = (f) => f;
        this.formGroup = (this._formContainer ? this._formContainer.control : new FormGroup({}));
    }
    /** @hidden */
    ngOnChanges(changes) {
        this.buildComponentCssClass();
        if (changes.hint) {
            if (typeof this.hint === 'string' || this.hint instanceof TemplateRef) {
                this._hintOptions = {
                    ...this._defaultHintOptions,
                    content: this.hint
                };
            }
            else {
                this._hintOptions = {
                    ...this._defaultHintOptions,
                    ...this.hint
                };
            }
        }
    }
    /** @hidden */
    ngOnInit() {
        if (!this.formGroup) {
            this.formGroup = new FormGroup({});
        }
        this.buildComponentCssClass();
        this._updateInlineColumnLayout();
    }
    /** @hidden */
    ngAfterContentInit() {
        this.i18Strings = this.i18Strings ? this.i18Strings : this.i18Template;
        this._setUserLayout();
        this._updateFieldByColumn();
        this._updateFormFieldsProperties();
        this._listenToFormGroupChildren();
        this._listenFormFieldColumnChange();
        this._cd.markForCheck();
    }
    /** @hidden */
    ngAfterViewInit() {
        this.i18Strings = this.i18Strings ? this.i18Strings : this.i18Template;
        this._setUserLayout();
        this._updateFieldByColumn();
        this._updateFormFieldsProperties();
        this._listenToFormGroupChildren();
        this._listenFormFieldColumnChange();
        this._trackFormGroupResize();
        this._cd.markForCheck();
        this._cd.detectChanges();
    }
    /** @hidden */
    ngOnDestroy() {
        this._subscriptions.unsubscribe();
    }
    /** @hidden */
    addFormField(formField) {
        // It's needed to set default FormField properties
        // on early stage otherwise validation errors
        // will be thrown on FormField level (e.g. i18string are not defined)
        this._updateFormFieldProperties(formField);
        // keep track of directly registered children
        this._addDirectFormGroupChild(formField);
    }
    /** @hidden */
    removeFormField(formField) {
        this._removeDirectFormGroupChild(formField);
    }
    /** @hidden */
    addFormFieldGroup(formFieldGroup) {
        this._addDirectFormGroupChild(formFieldGroup);
    }
    /** @hidden */
    removeFormFieldGroup(formFieldGroup) {
        this._removeDirectFormGroupChild(formFieldGroup);
    }
    /** @hidden */
    addFormControl(name, control) {
        this.formGroup.setControl(name, control);
        // letting control to set value. when provided value is 'false'.
        if (this.object) {
            control.patchValue(this.object[name]);
        }
    }
    /** @hidden */
    removeFormControl(name) {
        this.formGroup.removeControl(name);
    }
    /** @hidden */
    trackByFn(index) {
        return index;
    }
    /** @hidden */
    trackByFieldName(index, field) {
        return field ? field.name : undefined;
    }
    /** @hidden */
    buildComponentCssClass() {
        return ['fd-container', this.class];
    }
    /** @hidden */
    _listenToFormGroupChildren() {
        this.formGroupChildren.changes.subscribe(() => {
            this._updateFieldByColumn();
            this._cd.markForCheck();
        });
    }
    /** @hidden */
    _listenFormFieldColumnChange() {
        this.formGroupChildren.forEach((field) => field.onColumnChange?.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._updateFieldByColumn();
            this._cd.markForCheck();
        }));
    }
    /**
     * @hidden
     * Assign a fields or field group to specified columns with rank.
     * if `columnLayoutType` is given a fields without column property will set on last column.
     * Otherwise the fields set 1 column.
     */
    _updateFieldByColumn() {
        const formChildren = this._getFormGroupChildren();
        const rows = {};
        let rowNumber = 0;
        let columns = {};
        for (const child of formChildren) {
            if (isFieldChild(child)) {
                const field = getField(child);
                const columnNumber = this._validateFieldColumn(child.column);
                if (!columns[columnNumber]) {
                    columns[columnNumber] = [];
                }
                columns[columnNumber].push(field);
            }
            if (isFieldGroupChild(child)) {
                const fieldGroupColumns = {};
                if (Object.keys(columns).length) {
                    rows[rowNumber] = columns;
                    columns = {};
                    rowNumber++;
                }
                const groupFields = child.fields.map((field) => getField(field));
                groupFields.forEach((groupField) => {
                    const columnNumber = this._validateFieldColumn(groupField.column);
                    if (!fieldGroupColumns[columnNumber]) {
                        fieldGroupColumns[columnNumber] = [];
                    }
                    fieldGroupColumns[columnNumber].push(groupField);
                });
                rows[rowNumber] = new FieldGroup(child.label, fieldGroupColumns, child.hintOptions);
                rowNumber++;
            }
        }
        rows[rowNumber] = columns;
        this.formRows = rows;
    }
    /** @hidden Validate column number */
    _validateFieldColumn(columnNumber) {
        if (this.columnLayout && columnNumber) {
            if (isNaN(columnNumber)) {
                throw new Error('Input a valid column number');
            }
            if (columnNumber > this.xlColumnsNumber) {
                throw new Error(`Columns cannot be more than ${this.xlColumnsNumber}`);
            }
            return columnNumber;
        }
        return this.xlColumnsNumber;
    }
    /** @hidden */
    _updateFormFieldsProperties() {
        this._getFormGroupChildren().forEach((formField) => {
            if (isFieldChild(formField)) {
                this._updateFormFieldProperties(formField);
            }
            if (isFieldGroupChild(formField)) {
                formField.fields.forEach((field) => this._updateFormFieldProperties(getFormField(field)));
            }
        });
    }
    /**
     * @hidden
     * Pass some global properties to each field. Even formGroup cna be inject directly inside form
     * field we are using here a setter method to initialize the
     *
     */
    _updateFormFieldProperties(formField) {
        if (this.unifiedLayout) {
            formField.editable = this.editable;
            formField.noLabelLayout = this.noLabelLayout;
        }
        formField.setDefaultColumnLayout();
        formField.i18Strings = formField.i18Strings ? formField.i18Strings : this.i18Strings;
        formField.setErrorDirectives(this._errorDirectives);
    }
    /**
     * @hidden
     * if `columnLayoutType` is given, set those column layouts appropriately. Otherwise, a layout will set on 1 column
     */
    _setUserLayout() {
        if (this.columnLayout) {
            this._getColumnNumbers(this.columnLayout);
            if (isNaN(this.xlColumnsNumber) || isNaN(this.lgColumnsNumber) || isNaN(this.mdColumnsNumber)) {
                throw new Error('Input a valid number for columns');
            }
            if (this.xlColumnsNumber > 12 || this.lgColumnsNumber > 12 || this.mdColumnsNumber > 12) {
                throw new Error('Columns cannot be more than 12');
            }
            const lgColumns = 12 / this.lgColumnsNumber;
            const mdColumns = 12 / this.mdColumnsNumber;
            const xlColumns = 12 / this.xlColumnsNumber;
            // for `lg` single-column layout, Styles does not use any class, and providing `fd-col-lg--12` has unintended side-effects
            // therefore, we remove the lg class for single-column layout
            if (lgColumns === 12) {
                this.xlCol = `fd-col-xl--${xlColumns} fd-col-md--${mdColumns}`;
            }
            else {
                this.xlCol = `fd-col-xl--${xlColumns} fd-col-md--${mdColumns} fd-col-lg--${lgColumns}`;
            }
        }
        else {
            this.xlCol = `fd-col-xl--12 fd-col-md--12 fd-col-lg--12`;
        }
    }
    /** @hidden */
    _getColumnNumbers(layout) {
        const [xl, lg, md] = layout.split('-');
        this.xlColumnsNumber = parseInt(xl.slice(2, xl.length), 10);
        this.lgColumnsNumber = parseInt(lg.slice(1, lg.length), 10);
        this.mdColumnsNumber = parseInt(md.slice(1, md.length), 10);
    }
    /** @hidden */
    _addDirectFormGroupChild(child) {
        if (this._formGroupDirectChildren.indexOf(child) > -1) {
            return;
        }
        this._formGroupDirectChildren.push(child);
    }
    /** @hidden */
    _removeDirectFormGroupChild(child) {
        this._formGroupDirectChildren = this._formGroupDirectChildren.filter((_child) => _child !== child);
    }
    /**
     * @hidden
     * Get direct form group children in the original order
     */
    _getFormGroupChildren() {
        if (!this.formGroupChildren) {
            return [];
        }
        const children = this.formGroupChildren
            .toArray()
            .map((child) => (isFieldGroupWrapperChild(child) ? child.fieldRenderer : child));
        return children.filter((child) => this._formGroupDirectChildren.includes(child));
    }
    /** @hidden */
    _updateInlineColumnLayout() {
        this._inlineColumnLayoutClass = generateColumnClass(this.inlineColumnLayout);
    }
    /**
     * @hidden
     * have to trigger change detection here in order to re-check contents
     * inside "FormField.renderer" template every time component's dimensions changed
     */
    _trackFormGroupResize() {
        this._subscriptions.add(resizeObservable(this._elementRef.nativeElement)
            .pipe(debounceTime(20))
            .subscribe(() => this._cd.markForCheck()));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FormGroupComponent, isStandalone: true, selector: "fdp-form-group", inputs: { id: "id", name: "name", editable: "editable", noLabelLayout: "noLabelLayout", class: "class", hint: "hint", inlineColumnLayout: "inlineColumnLayout", labelColumnLayout: "labelColumnLayout", fieldColumnLayout: "fieldColumnLayout", gapColumnLayout: "gapColumnLayout", formGroup: "formGroup", topTitle: "topTitle", mainTitle: "mainTitle", hideMainTItle: "hideMainTItle", object: "object", i18Strings: "i18Strings", useForm: ["useForm", "useForm", booleanAttribute], columnLayout: "columnLayout", unifiedLayout: "unifiedLayout" }, outputs: { onSubmit: "onSubmit" }, providers: [formGroupProvider, FormFieldLayoutService, contentDensityObserverProviders()], queries: [{ propertyName: "i18Template", first: true, predicate: ["i18n"], descendants: true, static: true }, { propertyName: "formGroupChildren", predicate: FORM_GROUP_CHILD_FIELD_TOKEN, descendants: true }, { propertyName: "_errorDirectives", predicate: FormFieldErrorDirective }], viewQueries: [{ propertyName: "nativeForm", first: true, predicate: ["nativeForm"], descendants: true, read: NgForm }], usesOnChanges: true, ngImport: i0, template: "@if (useForm) {\n    <form #nativeForm (ngSubmit)=\"onSubmit.emit($event)\" [id]=\"id\" [name]=\"name\">\n        <ng-template [ngTemplateOutlet]=\"body\"></ng-template>\n    </form>\n} @else {\n    <!--  Render fields and field groups with assigned columns -->\n    <ng-template [ngTemplateOutlet]=\"fields\"></ng-template>\n}\n<ng-template #body>\n    <!--  Render fields and field groups with assigned columns -->\n    <ng-template [ngTemplateOutlet]=\"fields\"></ng-template>\n</ng-template>\n<ng-template #fields>\n    @if (mainTitle && !hideMainTItle) {\n        <div class=\"fd-form-header\">\n            <ng-template [ngTemplateOutlet]=\"mainTitleTemplate\"></ng-template>\n        </div>\n    }\n    <div\n        class=\"fd-container fd-form-layout-grid-container\"\n        [class.is-compact]=\"contentDensityObserver.isCompactSignal()\"\n    >\n        @for (column of formRows | keyvalue; track $index) {\n            <div class=\"fd-row\">\n                @for (fields of column | fieldGroupRowValue | keyvalue; track $index) {\n                    <div class=\"fd-col fd-form-group\" [class]=\"xlCol\">\n                        @if ($fieldGroup(column.value); as value) {\n                            <div class=\"fd-row\">\n                                <div class=\"fd-col\">\n                                    @if (value.label) {\n                                        <div fdp-form-group-header [fieldGroup]=\"$index === 0 ? value : null\"></div>\n                                    }\n                                </div>\n                            </div>\n                        }\n                        @for (field of fields.value; track trackByFieldName($index, field)) {\n                            <div class=\"fd-row fd-form-item\">\n                                <div class=\"fd-col\" [class]=\"_inlineColumnLayoutClass\" [style.order]=\"field.rank\">\n                                    <ng-template [ngTemplateOutlet]=\"field?.renderer || null\"></ng-template>\n                                </div>\n                            </div>\n                        }\n                    </div>\n                }\n            </div>\n        }\n    </div>\n</ng-template>\n<!-- For nested form-group -->\n<ng-content select=\"fdp-form-group\"></ng-content>\n<ng-template #mainTitleTemplate>\n    @if (_hintOptions && _hintOptions.content && _hintOptions.position === 'before') {\n        <ng-template [ngTemplateOutlet]=\"hintTemplate\"></ng-template>\n    }\n    <h5 class=\"fd-form-header__text\">\n        {{ mainTitle }}\n    </h5>\n    @if (_hintOptions && _hintOptions.content && _hintOptions.position === 'after') {\n        <ng-template [ngTemplateOutlet]=\"hintTemplate\"></ng-template>\n    }\n    <ng-template #hintTemplate>\n        <span fd-link [undecorated]=\"true\">\n            <fd-icon\n                [fd-inline-help]=\"_hintOptions!.content\"\n                [glyph]=\"_hintOptions!.glyph\"\n                [placement]=\"_hintOptions!.placement || null\"\n                [triggers]=\"_hintOptions!.trigger || []\"\n                tabindex=\"0\"\n            ></fd-icon>\n        </span>\n    </ng-template>\n</ng-template>\n", styles: [".fd-col,.fd-container,.fd-row{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-col:after,.fd-col:before,.fd-container:after,.fd-container:before,.fd-row:after,.fd-row:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-container{display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-flex:0;-ms-flex:0 0 100%;flex:0 0 100%;padding-block:0;padding-inline:.25rem;position:relative}.fd-container .fd-row{margin-inline:-.25rem;min-width:calc(100% + .5rem)}.fd-container>.fd-row>.fd-col{padding-block:.25rem}.fd-container.fd-container--no-gap .fd-row,.fd-container.fd-container--no-horizontal-gap .fd-row{margin-inline:0}.fd-container.fd-container--no-gap .fd-row .fd-col,.fd-container.fd-container--no-horizontal-gap .fd-row .fd-col{padding-inline:0}.fd-container.fd-container--no-gap>.fd-row>.fd-col,.fd-container.fd-container--no-vertical-gap>.fd-row>.fd-col{padding-block:0}.fd-container[dir=rtl],[dir=rtl] .fd-container{direction:rtl}.fd-row{display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-flex:0;-ms-flex:0 0 100%;flex:0 0 100%;min-width:100%;position:relative}.fd-col{max-width:100%;min-width:100%;padding-inline:.25rem}.fd-col--0{max-width:0;min-width:0%}.fd-col--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col--3{max-width:25%;min-width:25%}.fd-col--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col--6{max-width:50%;min-width:50%}.fd-col--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col--9{max-width:75%;min-width:75%}.fd-col--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col--12{max-width:100%;min-width:100%}.fd-col--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}.fd-col--full{max-width:none;min-width:8.3333333333%;-webkit-box-flex:1;-ms-flex:1;flex:1}.fd-col--wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}@media (width >= 600px){.fd-container{padding-block:0;padding-inline:.5rem}.fd-container .fd-row{margin-inline:-.5rem;min-width:calc(100% + 1rem)}.fd-container>.fd-row>.fd-col{padding-block:.5rem}.fd-col{padding-inline:.5rem}.fd-col-md--0{max-width:0;min-width:0%}.fd-col-md--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col-md--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col-md--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col-md--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col-md--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col-md--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col-md--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col-md--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col-md--3{max-width:25%;min-width:25%}.fd-col-md--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col-md--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col-md--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col-md--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col-md--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col-md--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col-md--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col-md--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col-md--6{max-width:50%;min-width:50%}.fd-col-md--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col-md--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col-md--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col-md--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col-md--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col-md--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col-md--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col-md--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col-md--9{max-width:75%;min-width:75%}.fd-col-md--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col-md--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col-md--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col-md--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col-md--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col-md--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col-md--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col-md--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col-md--12{max-width:100%;min-width:100%}.fd-col-md--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col-md--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}}@media (width >= 1024px){.fd-col-lg--0{max-width:0;min-width:0%}.fd-col-lg--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col-lg--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col-lg--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col-lg--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col-lg--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col-lg--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col-lg--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col-lg--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col-lg--3{max-width:25%;min-width:25%}.fd-col-lg--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col-lg--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col-lg--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col-lg--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col-lg--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col-lg--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col-lg--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col-lg--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col-lg--6{max-width:50%;min-width:50%}.fd-col-lg--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col-lg--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col-lg--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col-lg--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col-lg--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col-lg--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col-lg--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col-lg--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col-lg--9{max-width:75%;min-width:75%}.fd-col-lg--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col-lg--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col-lg--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col-lg--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col-lg--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col-lg--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col-lg--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col-lg--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col-lg--12{max-width:100%;min-width:100%}.fd-col-lg--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col-lg--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}}@media (width >= 1440px){.fd-col-xl--0{max-width:0;min-width:0%}.fd-col-xl--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col-xl--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col-xl--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col-xl--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col-xl--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col-xl--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col-xl--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col-xl--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col-xl--3{max-width:25%;min-width:25%}.fd-col-xl--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col-xl--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col-xl--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col-xl--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col-xl--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col-xl--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col-xl--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col-xl--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col-xl--6{max-width:50%;min-width:50%}.fd-col-xl--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col-xl--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col-xl--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col-xl--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col-xl--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col-xl--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col-xl--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col-xl--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col-xl--9{max-width:75%;min-width:75%}.fd-col-xl--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col-xl--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col-xl--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col-xl--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col-xl--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col-xl--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col-xl--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col-xl--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col-xl--12{max-width:100%;min-width:100%}.fd-col-xl--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col-xl--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}}.fd-container.fd-form-layout-grid-container .fd-form-group,.fd-container.fd-form-layout-grid-container.fd-form-group{padding-block:1rem!important;padding-inline:1rem!important}.fd-container.fd-form-layout-grid-container .fd-form-group .fd-form-group,.fd-container.fd-form-layout-grid-container.fd-form-group .fd-form-group{padding-block:0!important;padding-inline:0!important}.fd-container.fd-form-layout-grid-container .fd-form-group .fd-form-item .fd-form-label,.fd-container.fd-form-layout-grid-container.fd-form-group .fd-form-item .fd-form-label{-webkit-margin-end:0;margin-inline-end:0;white-space:normal}.fd-container.fd-form-layout-grid-container .fd-form-group .fd-form-item .fd-form-label--required,.fd-container.fd-form-layout-grid-container.fd-form-group .fd-form-item .fd-form-label--required{-webkit-padding-end:.5rem;padding-inline-end:.5rem}.fd-container.fd-form-layout-grid-container .fd-row{-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row}.fd-container.fd-form-layout-grid-container .fd-row .fd-col{overflow:hidden;padding-block:0;text-overflow:ellipsis;white-space:nowrap}.fd-container.fd-form-layout-grid-container .fd-row .fd-col:not(.fd-form-group){-ms-flex-item-align:center;align-self:center}@media (width >= 0){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col>.fd-form-label{float:right}}@media (width >= 0) and (width <= 599px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container.fd-form-group .fd-form-item:first-of-type{margin-top:0}}@media (width >= 600px){.fd-container.fd-form-layout-grid-container{padding-block:0;padding-inline:.25rem}.fd-container.fd-form-layout-grid-container .fd-row{margin-block:0;margin-inline:-.25rem;min-width:calc(100% + .5rem)}.fd-container.fd-form-layout-grid-container .fd-row .fd-col{padding-block:0;padding-inline:.25rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md>.fd-form-label{float:right}}@media (width >= 600px) and (width <= 1023px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}}@media (width >= 1024px){.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg>.fd-form-label{float:right}}@media (width >= 1024px) and (width <= 1443px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}}@media (width >= 1440px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl>.fd-form-label{float:right}}.fd-section{background-color:var(--sapToolbar_Background);border:0;border-bottom:none;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-block:1rem 1.5rem;padding-inline:0;padding-inline:.5rem}.fd-section:after,.fd-section:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section:after{clear:both;content:\"\";display:table}@media (min-width:600px){.fd-section{padding-inline:2rem}}@media (min-width:1440px){.fd-section{padding-inline:3rem}}.fd-section--no-border,.fd-section:last-child{border-bottom:0}.fd-section--bleed,.fd-section--full-bleed{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-section--bleed:after,.fd-section--bleed:before,.fd-section--full-bleed:after,.fd-section--full-bleed:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section--bleed .fd-section__footer,.fd-section--bleed .fd-section__header,.fd-section--full-bleed .fd-section__footer,.fd-section--full-bleed .fd-section__header{padding-inline:.5rem}@media (min-width:600px){.fd-section--bleed .fd-section__footer,.fd-section--bleed .fd-section__header,.fd-section--full-bleed .fd-section__footer,.fd-section--full-bleed .fd-section__header{padding-inline:2rem}}@media (min-width:1440px){.fd-section--bleed .fd-section__footer,.fd-section--bleed .fd-section__header,.fd-section--full-bleed .fd-section__footer,.fd-section--full-bleed .fd-section__header{padding-inline:3rem}}.fd-section__header{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;min-height:1.5rem;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-margin-after:1.5rem;margin-block-end:1.5rem}.fd-section__header:after,.fd-section__header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section__title{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapTitleColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader2Size);font-weight:400;forced-color-adjust:none;line-height:normal;line-height:2rem;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-flex:1;-ms-flex:1;flex:1;-webkit-margin-after:0;margin-block-end:0}.fd-section__title:after,.fd-section__title:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section__actions{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-margin-start:auto;margin-inline-start:auto}.fd-section__actions:after,.fd-section__actions:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section__footer{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center}.fd-section__footer:after,.fd-section__footer:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-form-group:after,.fd-form-group:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group--inline{-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-webkit-box-pack:start;-ms-flex-pack:start;-ms-flex-wrap:wrap;flex-wrap:wrap;justify-content:flex-start}.fd-form-group--inline,.fd-form-group__header{display:-webkit-box;display:-ms-flexbox;display:flex}.fd-form-group__header{border:0;-webkit-box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;background-color:var(--sapGroup_TitleBackground);box-sizing:border-box;height:2.75rem;width:100%}.fd-form-group__header:after,.fd-form-group__header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group__header[class*=-compact],.fd-form-group__header[class*=-condensed],[class*=-compact] .fd-form-group__header:not([class*=-cozy]),[class*=-condensed] .fd-form-group__header:not([class*=-cozy]){height:2rem}.fd-form-group__header-text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapGroup_TitleTextColor);font-family:var(--sapFontFamily);font-family:var(--sapFontHeaderFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader6Size);font-weight:400;font-weight:700;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap}.fd-form-group__header-text:after,.fd-form-group__header-text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-header{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;background-color:var(--sapGroup_TitleBackground);-webkit-box-shadow:0 var(--fdFormHeader_Border_Width) 0 var(--sapGroup_TitleBorderColor);box-shadow:0 var(--fdFormHeader_Border_Width) 0 var(--sapGroup_TitleBorderColor);height:2.75rem;padding-inline:1rem;width:100%}.fd-form-header:after,.fd-form-header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-header__text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapGroup_TitleTextColor);font-family:var(--sapFontFamily);font-family:var(--sapFontHeaderFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader4Size);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap}.fd-form-header__text:after,.fd-form-header__text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}fdp-form-group{display:block}.fd-form-label{overflow:hidden}\n/*! Bundled license information:\n\nfundamental-styles/dist/form-header.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"], dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$1.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: FormGroupHeaderComponent, selector: "[fdp-form-group-header]", inputs: ["fieldGroup"] }, { kind: "component", type: LinkComponent, selector: "[fdLink], [fd-link]", inputs: ["class", "emphasized", "disabled", "inverted", "subtle", "undecorated"] }, { kind: "component", type: IconComponent, selector: "fd-icon", inputs: ["glyph", "font", "color", "background", "class", "ariaLabel", "ariaHidden"] }, { kind: "directive", type: InlineHelpDirective, selector: "[fd-inline-help]:not([fd-inline-help-template]), [fd-inline-help-template]:not([fd-inline-help])", inputs: ["triggers", "noArrow", "closeOnEscapeKey", "closeOnOutsideClick", "fd-inline-help"] }, { kind: "pipe", type: KeyValuePipe, name: "keyvalue" }, { kind: "pipe", type: FieldGroupRowValuePipe, name: "fieldGroupRowValue" }, { kind: "ngmodule", type: ContentDensityModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-form-group', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [formGroupProvider, FormFieldLayoutService, contentDensityObserverProviders()], imports: [
                        FormsModule,
                        NgTemplateOutlet,
                        FormGroupHeaderComponent,
                        LinkComponent,
                        IconComponent,
                        InlineHelpDirective,
                        KeyValuePipe,
                        FieldGroupRowValuePipe,
                        ContentDensityModule
                    ], template: "@if (useForm) {\n    <form #nativeForm (ngSubmit)=\"onSubmit.emit($event)\" [id]=\"id\" [name]=\"name\">\n        <ng-template [ngTemplateOutlet]=\"body\"></ng-template>\n    </form>\n} @else {\n    <!--  Render fields and field groups with assigned columns -->\n    <ng-template [ngTemplateOutlet]=\"fields\"></ng-template>\n}\n<ng-template #body>\n    <!--  Render fields and field groups with assigned columns -->\n    <ng-template [ngTemplateOutlet]=\"fields\"></ng-template>\n</ng-template>\n<ng-template #fields>\n    @if (mainTitle && !hideMainTItle) {\n        <div class=\"fd-form-header\">\n            <ng-template [ngTemplateOutlet]=\"mainTitleTemplate\"></ng-template>\n        </div>\n    }\n    <div\n        class=\"fd-container fd-form-layout-grid-container\"\n        [class.is-compact]=\"contentDensityObserver.isCompactSignal()\"\n    >\n        @for (column of formRows | keyvalue; track $index) {\n            <div class=\"fd-row\">\n                @for (fields of column | fieldGroupRowValue | keyvalue; track $index) {\n                    <div class=\"fd-col fd-form-group\" [class]=\"xlCol\">\n                        @if ($fieldGroup(column.value); as value) {\n                            <div class=\"fd-row\">\n                                <div class=\"fd-col\">\n                                    @if (value.label) {\n                                        <div fdp-form-group-header [fieldGroup]=\"$index === 0 ? value : null\"></div>\n                                    }\n                                </div>\n                            </div>\n                        }\n                        @for (field of fields.value; track trackByFieldName($index, field)) {\n                            <div class=\"fd-row fd-form-item\">\n                                <div class=\"fd-col\" [class]=\"_inlineColumnLayoutClass\" [style.order]=\"field.rank\">\n                                    <ng-template [ngTemplateOutlet]=\"field?.renderer || null\"></ng-template>\n                                </div>\n                            </div>\n                        }\n                    </div>\n                }\n            </div>\n        }\n    </div>\n</ng-template>\n<!-- For nested form-group -->\n<ng-content select=\"fdp-form-group\"></ng-content>\n<ng-template #mainTitleTemplate>\n    @if (_hintOptions && _hintOptions.content && _hintOptions.position === 'before') {\n        <ng-template [ngTemplateOutlet]=\"hintTemplate\"></ng-template>\n    }\n    <h5 class=\"fd-form-header__text\">\n        {{ mainTitle }}\n    </h5>\n    @if (_hintOptions && _hintOptions.content && _hintOptions.position === 'after') {\n        <ng-template [ngTemplateOutlet]=\"hintTemplate\"></ng-template>\n    }\n    <ng-template #hintTemplate>\n        <span fd-link [undecorated]=\"true\">\n            <fd-icon\n                [fd-inline-help]=\"_hintOptions!.content\"\n                [glyph]=\"_hintOptions!.glyph\"\n                [placement]=\"_hintOptions!.placement || null\"\n                [triggers]=\"_hintOptions!.trigger || []\"\n                tabindex=\"0\"\n            ></fd-icon>\n        </span>\n    </ng-template>\n</ng-template>\n", styles: [".fd-col,.fd-container,.fd-row{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-col:after,.fd-col:before,.fd-container:after,.fd-container:before,.fd-row:after,.fd-row:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-container{display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-flex:0;-ms-flex:0 0 100%;flex:0 0 100%;padding-block:0;padding-inline:.25rem;position:relative}.fd-container .fd-row{margin-inline:-.25rem;min-width:calc(100% + .5rem)}.fd-container>.fd-row>.fd-col{padding-block:.25rem}.fd-container.fd-container--no-gap .fd-row,.fd-container.fd-container--no-horizontal-gap .fd-row{margin-inline:0}.fd-container.fd-container--no-gap .fd-row .fd-col,.fd-container.fd-container--no-horizontal-gap .fd-row .fd-col{padding-inline:0}.fd-container.fd-container--no-gap>.fd-row>.fd-col,.fd-container.fd-container--no-vertical-gap>.fd-row>.fd-col{padding-block:0}.fd-container[dir=rtl],[dir=rtl] .fd-container{direction:rtl}.fd-row{display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-flex:0;-ms-flex:0 0 100%;flex:0 0 100%;min-width:100%;position:relative}.fd-col{max-width:100%;min-width:100%;padding-inline:.25rem}.fd-col--0{max-width:0;min-width:0%}.fd-col--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col--3{max-width:25%;min-width:25%}.fd-col--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col--6{max-width:50%;min-width:50%}.fd-col--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col--9{max-width:75%;min-width:75%}.fd-col--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col--12{max-width:100%;min-width:100%}.fd-col--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}.fd-col--full{max-width:none;min-width:8.3333333333%;-webkit-box-flex:1;-ms-flex:1;flex:1}.fd-col--wrap{-ms-flex-wrap:wrap;flex-wrap:wrap}@media (width >= 600px){.fd-container{padding-block:0;padding-inline:.5rem}.fd-container .fd-row{margin-inline:-.5rem;min-width:calc(100% + 1rem)}.fd-container>.fd-row>.fd-col{padding-block:.5rem}.fd-col{padding-inline:.5rem}.fd-col-md--0{max-width:0;min-width:0%}.fd-col-md--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col-md--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col-md--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col-md--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col-md--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col-md--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col-md--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col-md--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col-md--3{max-width:25%;min-width:25%}.fd-col-md--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col-md--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col-md--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col-md--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col-md--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col-md--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col-md--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col-md--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col-md--6{max-width:50%;min-width:50%}.fd-col-md--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col-md--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col-md--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col-md--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col-md--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col-md--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col-md--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col-md--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col-md--9{max-width:75%;min-width:75%}.fd-col-md--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col-md--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col-md--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col-md--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col-md--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col-md--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col-md--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col-md--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col-md--12{max-width:100%;min-width:100%}.fd-col-md--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col-md--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}}@media (width >= 1024px){.fd-col-lg--0{max-width:0;min-width:0%}.fd-col-lg--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col-lg--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col-lg--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col-lg--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col-lg--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col-lg--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col-lg--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col-lg--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col-lg--3{max-width:25%;min-width:25%}.fd-col-lg--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col-lg--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col-lg--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col-lg--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col-lg--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col-lg--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col-lg--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col-lg--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col-lg--6{max-width:50%;min-width:50%}.fd-col-lg--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col-lg--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col-lg--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col-lg--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col-lg--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col-lg--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col-lg--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col-lg--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col-lg--9{max-width:75%;min-width:75%}.fd-col-lg--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col-lg--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col-lg--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col-lg--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col-lg--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col-lg--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col-lg--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col-lg--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col-lg--12{max-width:100%;min-width:100%}.fd-col-lg--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col-lg--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}}@media (width >= 1440px){.fd-col-xl--0{max-width:0;min-width:0%}.fd-col-xl--offset-0{-webkit-margin-start:0;margin-inline-start:0}.fd-col-xl--offset-after-0{-webkit-margin-end:0;margin-inline-end:0}.fd-col-xl--1{max-width:8.3333333333%;min-width:8.3333333333%}.fd-col-xl--offset-1{-webkit-margin-start:8.3333333333%;margin-inline-start:8.3333333333%}.fd-col-xl--offset-after-1{-webkit-margin-end:8.3333333333%;margin-inline-end:8.3333333333%}.fd-col-xl--2{max-width:16.6666666667%;min-width:16.6666666667%}.fd-col-xl--offset-2{-webkit-margin-start:16.6666666667%;margin-inline-start:16.6666666667%}.fd-col-xl--offset-after-2{-webkit-margin-end:16.6666666667%;margin-inline-end:16.6666666667%}.fd-col-xl--3{max-width:25%;min-width:25%}.fd-col-xl--offset-3{-webkit-margin-start:25%;margin-inline-start:25%}.fd-col-xl--offset-after-3{-webkit-margin-end:25%;margin-inline-end:25%}.fd-col-xl--4{max-width:33.3333333333%;min-width:33.3333333333%}.fd-col-xl--offset-4{-webkit-margin-start:33.3333333333%;margin-inline-start:33.3333333333%}.fd-col-xl--offset-after-4{-webkit-margin-end:33.3333333333%;margin-inline-end:33.3333333333%}.fd-col-xl--5{max-width:41.6666666667%;min-width:41.6666666667%}.fd-col-xl--offset-5{-webkit-margin-start:41.6666666667%;margin-inline-start:41.6666666667%}.fd-col-xl--offset-after-5{-webkit-margin-end:41.6666666667%;margin-inline-end:41.6666666667%}.fd-col-xl--6{max-width:50%;min-width:50%}.fd-col-xl--offset-6{-webkit-margin-start:50%;margin-inline-start:50%}.fd-col-xl--offset-after-6{-webkit-margin-end:50%;margin-inline-end:50%}.fd-col-xl--7{max-width:58.3333333333%;min-width:58.3333333333%}.fd-col-xl--offset-7{-webkit-margin-start:58.3333333333%;margin-inline-start:58.3333333333%}.fd-col-xl--offset-after-7{-webkit-margin-end:58.3333333333%;margin-inline-end:58.3333333333%}.fd-col-xl--8{max-width:66.6666666667%;min-width:66.6666666667%}.fd-col-xl--offset-8{-webkit-margin-start:66.6666666667%;margin-inline-start:66.6666666667%}.fd-col-xl--offset-after-8{-webkit-margin-end:66.6666666667%;margin-inline-end:66.6666666667%}.fd-col-xl--9{max-width:75%;min-width:75%}.fd-col-xl--offset-9{-webkit-margin-start:75%;margin-inline-start:75%}.fd-col-xl--offset-after-9{-webkit-margin-end:75%;margin-inline-end:75%}.fd-col-xl--10{max-width:83.3333333333%;min-width:83.3333333333%}.fd-col-xl--offset-10{-webkit-margin-start:83.3333333333%;margin-inline-start:83.3333333333%}.fd-col-xl--offset-after-10{-webkit-margin-end:83.3333333333%;margin-inline-end:83.3333333333%}.fd-col-xl--11{max-width:91.6666666667%;min-width:91.6666666667%}.fd-col-xl--offset-11{-webkit-margin-start:91.6666666667%;margin-inline-start:91.6666666667%}.fd-col-xl--offset-after-11{-webkit-margin-end:91.6666666667%;margin-inline-end:91.6666666667%}.fd-col-xl--12{max-width:100%;min-width:100%}.fd-col-xl--offset-12{-webkit-margin-start:100%;margin-inline-start:100%}.fd-col-xl--offset-after-12{-webkit-margin-end:100%;margin-inline-end:100%}}.fd-container.fd-form-layout-grid-container .fd-form-group,.fd-container.fd-form-layout-grid-container.fd-form-group{padding-block:1rem!important;padding-inline:1rem!important}.fd-container.fd-form-layout-grid-container .fd-form-group .fd-form-group,.fd-container.fd-form-layout-grid-container.fd-form-group .fd-form-group{padding-block:0!important;padding-inline:0!important}.fd-container.fd-form-layout-grid-container .fd-form-group .fd-form-item .fd-form-label,.fd-container.fd-form-layout-grid-container.fd-form-group .fd-form-item .fd-form-label{-webkit-margin-end:0;margin-inline-end:0;white-space:normal}.fd-container.fd-form-layout-grid-container .fd-form-group .fd-form-item .fd-form-label--required,.fd-container.fd-form-layout-grid-container.fd-form-group .fd-form-item .fd-form-label--required{-webkit-padding-end:.5rem;padding-inline-end:.5rem}.fd-container.fd-form-layout-grid-container .fd-row{-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row}.fd-container.fd-form-layout-grid-container .fd-row .fd-col{overflow:hidden;padding-block:0;text-overflow:ellipsis;white-space:nowrap}.fd-container.fd-form-layout-grid-container .fd-row .fd-col:not(.fd-form-group){-ms-flex-item-align:center;align-self:center}@media (width >= 0){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col>.fd-form-label{float:right}}@media (width >= 0) and (width <= 599px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container.fd-form-group .fd-form-item:first-of-type{margin-top:0}}@media (width >= 600px){.fd-container.fd-form-layout-grid-container{padding-block:0;padding-inline:.25rem}.fd-container.fd-form-layout-grid-container .fd-row{margin-block:0;margin-inline:-.25rem;min-width:calc(100% + .5rem)}.fd-container.fd-form-layout-grid-container .fd-row .fd-col{padding-block:0;padding-inline:.25rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col-md>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-md>.fd-form-label{float:right}}@media (width >= 600px) and (width <= 1023px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--md-vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}}@media (width >= 1024px){.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-lg>.fd-form-label{float:right}}@media (width >= 1024px) and (width <= 1443px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--lg-vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}}@media (width >= 1440px){.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical .fd-form-group .fd-form-item,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical.fd-form-group .fd-form-item{margin-top:.625rem}.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical .fd-form-group .fd-form-item:first-of-type,.fd-container.fd-form-layout-grid-container.fd-form-layout-grid-container--xl-vertical.fd-form-group .fd-form-item:first-of-type{margin-top:0}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--1>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--1>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--1>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--2>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--2>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--2>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--3>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--3>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--3>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--4>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--4>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--4>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--5>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--5>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--5>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--6>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--6>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--6>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--7>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--7>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--7>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--8>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--8>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--8>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--9>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--9>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--9>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--10>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--10>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--10>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--11>.fd-form-label{float:right;text-align:right;-webkit-padding-after:0;padding-block-end:0;width:100%}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--11>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--11>.fd-form-label{float:left;text-align:left}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--12>.fd-form-label,.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl>.fd-form-label{float:left;text-align:start;width:auto;-webkit-padding-after:.125rem;padding-block-end:.125rem}.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--12>.fd-form-label[dir=rtl],.fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl>.fd-form-label[dir=rtl],[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl--12>.fd-form-label,[dir=rtl] .fd-container.fd-form-layout-grid-container .fd-row .fd-col-xl>.fd-form-label{float:right}}.fd-section{background-color:var(--sapToolbar_Background);border:0;border-bottom:none;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-block:1rem 1.5rem;padding-inline:0;padding-inline:.5rem}.fd-section:after,.fd-section:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section:after{clear:both;content:\"\";display:table}@media (min-width:600px){.fd-section{padding-inline:2rem}}@media (min-width:1440px){.fd-section{padding-inline:3rem}}.fd-section--no-border,.fd-section:last-child{border-bottom:0}.fd-section--bleed,.fd-section--full-bleed{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-section--bleed:after,.fd-section--bleed:before,.fd-section--full-bleed:after,.fd-section--full-bleed:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section--bleed .fd-section__footer,.fd-section--bleed .fd-section__header,.fd-section--full-bleed .fd-section__footer,.fd-section--full-bleed .fd-section__header{padding-inline:.5rem}@media (min-width:600px){.fd-section--bleed .fd-section__footer,.fd-section--bleed .fd-section__header,.fd-section--full-bleed .fd-section__footer,.fd-section--full-bleed .fd-section__header{padding-inline:2rem}}@media (min-width:1440px){.fd-section--bleed .fd-section__footer,.fd-section--bleed .fd-section__header,.fd-section--full-bleed .fd-section__footer,.fd-section--full-bleed .fd-section__header{padding-inline:3rem}}.fd-section__header{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;min-height:1.5rem;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-margin-after:1.5rem;margin-block-end:1.5rem}.fd-section__header:after,.fd-section__header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section__title{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapTitleColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader2Size);font-weight:400;forced-color-adjust:none;line-height:normal;line-height:2rem;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-flex:1;-ms-flex:1;flex:1;-webkit-margin-after:0;margin-block-end:0}.fd-section__title:after,.fd-section__title:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section__actions{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-margin-start:auto;margin-inline-start:auto}.fd-section__actions:after,.fd-section__actions:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-section__footer{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center}.fd-section__footer:after,.fd-section__footer:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0}.fd-form-group:after,.fd-form-group:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group--inline{-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-webkit-box-pack:start;-ms-flex-pack:start;-ms-flex-wrap:wrap;flex-wrap:wrap;justify-content:flex-start}.fd-form-group--inline,.fd-form-group__header{display:-webkit-box;display:-ms-flexbox;display:flex}.fd-form-group__header{border:0;-webkit-box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;background-color:var(--sapGroup_TitleBackground);box-sizing:border-box;height:2.75rem;width:100%}.fd-form-group__header:after,.fd-form-group__header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-group__header[class*=-compact],.fd-form-group__header[class*=-condensed],[class*=-compact] .fd-form-group__header:not([class*=-cozy]),[class*=-condensed] .fd-form-group__header:not([class*=-cozy]){height:2rem}.fd-form-group__header-text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapGroup_TitleTextColor);font-family:var(--sapFontFamily);font-family:var(--sapFontHeaderFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader6Size);font-weight:400;font-weight:700;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap}.fd-form-group__header-text:after,.fd-form-group__header-text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-header{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);display:-webkit-box;display:-ms-flexbox;display:flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;padding-block:0;padding-inline:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;background-color:var(--sapGroup_TitleBackground);-webkit-box-shadow:0 var(--fdFormHeader_Border_Width) 0 var(--sapGroup_TitleBorderColor);box-shadow:0 var(--fdFormHeader_Border_Width) 0 var(--sapGroup_TitleBorderColor);height:2.75rem;padding-inline:1rem;width:100%}.fd-form-header:after,.fd-form-header:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-form-header__text{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapGroup_TitleTextColor);font-family:var(--sapFontFamily);font-family:var(--sapFontHeaderFamily);font-size:var(--sapFontSize);font-size:var(--sapFontHeader4Size);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:hidden;padding-block:0;padding-inline:0;text-overflow:ellipsis;white-space:nowrap}.fd-form-header__text:after,.fd-form-header__text:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}fdp-form-group{display:block}.fd-form-label{overflow:hidden}\n/*! Bundled license information:\n\nfundamental-styles/dist/form-header.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"] }]
        }], ctorParameters: () => [], propDecorators: { id: [{
                type: Input
            }], name: [{
                type: Input
            }], editable: [{
                type: Input
            }], noLabelLayout: [{
                type: Input
            }], class: [{
                type: Input
            }], hint: [{
                type: Input
            }], inlineColumnLayout: [{
                type: Input
            }], labelColumnLayout: [{
                type: Input
            }], fieldColumnLayout: [{
                type: Input
            }], gapColumnLayout: [{
                type: Input
            }], formGroup: [{
                type: Input
            }], topTitle: [{
                type: Input
            }], mainTitle: [{
                type: Input
            }], hideMainTItle: [{
                type: Input
            }], object: [{
                type: Input
            }], i18Strings: [{
                type: Input
            }], useForm: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], columnLayout: [{
                type: Input
            }], unifiedLayout: [{
                type: Input
            }], 
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        onSubmit: [{
                type: Output
            }], nativeForm: [{
                type: ViewChild,
                args: ['nativeForm', { read: NgForm }]
            }], i18Template: [{
                type: ContentChild,
                args: ['i18n', { static: true }]
            }], formGroupChildren: [{
                type: ContentChildren,
                args: [FORM_GROUP_CHILD_FIELD_TOKEN, { descendants: true }]
            }], _errorDirectives: [{
                type: ContentChildren,
                args: [FormFieldErrorDirective]
            }] } });

const EXPORTABLE_DECLARATIONS = [
    FormGroupComponent,
    FormFieldComponent,
    InputMessageGroupWithTemplate,
    FormFieldGroupComponent,
    FormFieldControlExtrasComponent,
    FormGroupHeaderComponent,
    FieldGroupRowValuePipe,
    FormFieldErrorDirective,
    FormFieldErrorHeadingDirective,
    FormFieldErrorDescriptionDirective
];
class FdpFormGroupModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FdpFormGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: FdpFormGroupModule, imports: [FormGroupComponent,
            FormFieldComponent,
            InputMessageGroupWithTemplate,
            FormFieldGroupComponent,
            FormFieldControlExtrasComponent,
            FormGroupHeaderComponent,
            FieldGroupRowValuePipe,
            FormFieldErrorDirective,
            FormFieldErrorHeadingDirective,
            FormFieldErrorDescriptionDirective], exports: [FormGroupComponent,
            FormFieldComponent,
            InputMessageGroupWithTemplate,
            FormFieldGroupComponent,
            FormFieldControlExtrasComponent,
            FormGroupHeaderComponent,
            FieldGroupRowValuePipe,
            FormFieldErrorDirective,
            FormFieldErrorHeadingDirective,
            FormFieldErrorDescriptionDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FdpFormGroupModule, imports: [FormGroupComponent,
            FormFieldComponent,
            InputMessageGroupWithTemplate,
            FormGroupHeaderComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FdpFormGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...EXPORTABLE_DECLARATIONS],
                    exports: [...EXPORTABLE_DECLARATIONS]
                }]
        }] });

const formFieldProvider = {
    provide: FD_FORM_FIELD,
    useExisting: forwardRef(() => FormGeneratorFieldComponent)
};
const formGroupChildProvider = {
    provide: FORM_GROUP_CHILD_FIELD_TOKEN,
    useExisting: forwardRef(() => FormGeneratorFieldComponent)
};
class FormGeneratorFieldComponent {
    /** @hidden */
    get _placeholder() {
        if (!this.field) {
            return '';
        }
        if (this.field.formItem?.placeholder) {
            return this.field.formItem?.placeholder;
        }
        if (this.field.formItem?.useMessageAsPlaceholder) {
            return this.field.formItem?.message;
        }
        return '';
    }
    /** @hidden */
    constructor(_fgService, _cdr) {
        this._fgService = _fgService;
        this._cdr = _cdr;
        /** @hidden */
        this._errorModels = [];
    }
    /** @hidden */
    ngOnInit() {
        this._errorModels = this._getErrors();
        this._cdr.detectChanges();
    }
    /** @hidden */
    _errorsTrackBy(_, error) {
        return error.type;
    }
    /** @hidden */
    _isAdvancedError(error) {
        return error.heading && error.description && error.type;
    }
    /** @hidden */
    _getErrors() {
        const registeredErrors = this._fgService.validationErrorHints;
        const returnErrors = [
            {
                type: `${this.field.formItem.name}Validator`,
                value: null
            }
        ];
        Object.entries(registeredErrors).forEach((type) => {
            const [errorType, errorValue] = type;
            returnErrors.push({
                type: errorType,
                value: errorValue
            });
        });
        return returnErrors;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorFieldComponent, deps: [{ token: FormGeneratorService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FormGeneratorFieldComponent, isStandalone: true, selector: "fdp-form-generator-field", inputs: { field: "field", form: "form", i18n: "i18n", formFieldName: "formFieldName", formGroupNamePath: "formGroupNamePath", rank: "rank", shouldShow: "shouldShow", hintOptions: "hintOptions" }, providers: [formFieldProvider, formGroupChildProvider], viewQueries: [{ propertyName: "fieldRenderer", first: true, predicate: i0.forwardRef(() => FormFieldComponent), descendants: true }], ngImport: i0, template: "<fdp-form-field\n    [hint]=\"hintOptions\"\n    [placeholder]=\"_placeholder\"\n    [id]=\"field.formItem.id || formFieldName\"\n    [column]=\"field.formItem.guiOptions?.column || 1\"\n    [columnLayout]=\"field.formItem.guiOptions?.columnLayout\"\n    [colon]=\"field.formItem.guiOptions?.appendColon === true\"\n    [label]=\"field.formItem.message\"\n    [validators]=\"field.formItem.validators || []\"\n    [required]=\"field.formItem.required\"\n    [rank]=\"rank\"\n    [labelColumnLayout]=\"field.formItem.guiOptions?.labelColumnLayout\"\n    [fieldColumnLayout]=\"field.formItem.guiOptions?.fieldColumnLayout\"\n    [gapColumnLayout]=\"field.formItem.guiOptions?.gapColumnLayout\"\n    [noLabelLayout]=\"field.formItem.guiOptions?.noLabelLayout || false\"\n    [formGroup]=\"form\"\n    #formField\n>\n    @for (error of _errorModels; track _errorsTrackBy($index, error)) {\n        <span *fdpFormFieldError=\"error.type; let directiveError\">\n            @if (_isAdvancedError(directiveError)) {\n                @if (directiveError.heading) {\n                    <span *fdpFormFieldErrorHeading=\"let validationError; type: directiveError.type\">\n                        {{ validationError.heading }}\n                    </span>\n                }\n                @if (directiveError.description) {\n                    <span *fdpFormFieldErrorDescription=\"let validationError\">\n                        {{ validationError.description }}\n                    </span>\n                }\n            } @else {\n                <span *fdpFormFieldErrorHeading=\"let validationError\">\n                    {{ error.value ? error.value : validationError }}\n                </span>\n            }\n        </span>\n    }\n    <ng-container\n        [formField]=\"formField\"\n        [form]=\"form\"\n        [formGroupNamePath]=\"formGroupNamePath\"\n        fdpDynamicFormControl\n        [id]=\"field.formItem.id || formFieldName\"\n        [name]=\"formFieldName\"\n        [formItem]=\"field.formItem\"\n    >\n    </ng-container>\n</fdp-form-field>\n", dependencies: [{ kind: "ngmodule", type: FdpFormGroupModule }, { kind: "component", type: FormFieldComponent, selector: "fdp-form-field", inputs: ["label", "id", "hint", "noLabelLayout", "validators", "rank", "placeholder", "column", "columnLayout", "labelColumnLayout", "fieldColumnLayout", "gapColumnLayout", "i18Strings", "required", "editable", "columns", "disabled", "colon", "formGroupContainer"], outputs: ["onChange", "onColumnChange"] }, { kind: "directive", type: FormFieldErrorDirective, selector: "[fdpFormFieldError]", inputs: ["fdpFormFieldErrorAs", "fdpFormFieldError", "fdpFormFieldErrorType"] }, { kind: "directive", type: FormFieldErrorHeadingDirective, selector: "[fdpFormFieldErrorHeading]", inputs: ["fdpFormFieldErrorHeadingAs", "fdpFormFieldErrorHeadingType"] }, { kind: "directive", type: FormFieldErrorDescriptionDirective, selector: "[fdpFormFieldErrorDescription]", inputs: ["fdpFormFieldErrorDescriptionAs"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: DynamicFormControlDirective, selector: "[fdpDynamicFormControl]", inputs: ["formItem", "id", "name", "form", "formGroupNamePath", "formField"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-form-generator-field', providers: [formFieldProvider, formGroupChildProvider], encapsulation: ViewEncapsulation.None, imports: [FdpFormGroupModule, FormsModule, ReactiveFormsModule, DynamicFormControlDirective], template: "<fdp-form-field\n    [hint]=\"hintOptions\"\n    [placeholder]=\"_placeholder\"\n    [id]=\"field.formItem.id || formFieldName\"\n    [column]=\"field.formItem.guiOptions?.column || 1\"\n    [columnLayout]=\"field.formItem.guiOptions?.columnLayout\"\n    [colon]=\"field.formItem.guiOptions?.appendColon === true\"\n    [label]=\"field.formItem.message\"\n    [validators]=\"field.formItem.validators || []\"\n    [required]=\"field.formItem.required\"\n    [rank]=\"rank\"\n    [labelColumnLayout]=\"field.formItem.guiOptions?.labelColumnLayout\"\n    [fieldColumnLayout]=\"field.formItem.guiOptions?.fieldColumnLayout\"\n    [gapColumnLayout]=\"field.formItem.guiOptions?.gapColumnLayout\"\n    [noLabelLayout]=\"field.formItem.guiOptions?.noLabelLayout || false\"\n    [formGroup]=\"form\"\n    #formField\n>\n    @for (error of _errorModels; track _errorsTrackBy($index, error)) {\n        <span *fdpFormFieldError=\"error.type; let directiveError\">\n            @if (_isAdvancedError(directiveError)) {\n                @if (directiveError.heading) {\n                    <span *fdpFormFieldErrorHeading=\"let validationError; type: directiveError.type\">\n                        {{ validationError.heading }}\n                    </span>\n                }\n                @if (directiveError.description) {\n                    <span *fdpFormFieldErrorDescription=\"let validationError\">\n                        {{ validationError.description }}\n                    </span>\n                }\n            } @else {\n                <span *fdpFormFieldErrorHeading=\"let validationError\">\n                    {{ error.value ? error.value : validationError }}\n                </span>\n            }\n        </span>\n    }\n    <ng-container\n        [formField]=\"formField\"\n        [form]=\"form\"\n        [formGroupNamePath]=\"formGroupNamePath\"\n        fdpDynamicFormControl\n        [id]=\"field.formItem.id || formFieldName\"\n        [name]=\"formFieldName\"\n        [formItem]=\"field.formItem\"\n    >\n    </ng-container>\n</fdp-form-field>\n" }]
        }], ctorParameters: () => [{ type: FormGeneratorService }, { type: i0.ChangeDetectorRef }], propDecorators: { field: [{
                type: Input
            }], form: [{
                type: Input
            }], i18n: [{
                type: Input
            }], formFieldName: [{
                type: Input
            }], formGroupNamePath: [{
                type: Input
            }], rank: [{
                type: Input
            }], shouldShow: [{
                type: Input
            }], hintOptions: [{
                type: Input
            }], fieldRenderer: [{
                type: ViewChild,
                args: [forwardRef(() => FormFieldComponent)]
            }] } });

/** @hidden */
function isFieldChild(child) {
    return child instanceof FormFieldComponent;
}
/** @hidden */
function isFieldGroupWrapperChild(child) {
    return child instanceof FormGeneratorFieldComponent;
}
/** @hidden */
function isFieldGroupChild(child) {
    return child instanceof FormFieldGroupComponent;
}
/** @hidden */
function getFormField(field) {
    return isFieldGroupWrapperChild(field) ? field.fieldRenderer : field;
}
/** @hidden */
function getField(field) {
    field = isFieldGroupWrapperChild(field) ? field.fieldRenderer : field;
    return new Field(field.id, field.rank, field.renderer, field.column);
}

class PlatformAutoCompleteModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformAutoCompleteModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformAutoCompleteModule, imports: [AutoCompleteDirective], exports: [AutoCompleteDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformAutoCompleteModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformAutoCompleteModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [AutoCompleteDirective],
                    exports: [AutoCompleteDirective]
                }]
        }] });

class PlatformCheckboxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxModule, imports: [CheckboxComponent], exports: [CheckboxComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxModule, imports: [CheckboxComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformCheckboxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CheckboxComponent],
                    exports: [CheckboxComponent]
                }]
        }] });

const COMBOBOX_COMPONENT = new InjectionToken('ComboboxInterface');

class ComboboxMobileComponent extends MobileModeBase {
    /** @hidden */
    constructor(comboboxComponent) {
        super(comboboxComponent, MobileModeControl.COMBOBOX);
        /** @hidden
         * For internal usage
         * Control element, which will be rendered inside dialog.
         * List element, which will be rendered inside dialog.
         */
        this.childContent = null;
    }
    /** @hidden */
    ngOnInit() {
        this._listenOnMultiInputOpenChange();
    }
    /** @hidden */
    handleDismiss() {
        this.dialogRef.dismiss();
        this._component.dialogDismiss(this._selectedBackup);
    }
    /** @hidden */
    handleApprove() {
        this.dialogRef.close();
        this._component.dialogApprove();
    }
    /** @hidden */
    _toggleDialog(open) {
        if (!open) {
            return;
        }
        this._selectedBackup = this._component.inputText;
        if (!this._dialogService.hasOpenDialogs()) {
            this._open();
        }
    }
    /** @hidden */
    _listenOnMultiInputOpenChange() {
        this._component.openChange
            .pipe(takeUntilDestroyed(this._destroyRef))
            .subscribe((isOpen) => this._toggleDialog(isOpen));
    }
    /** @hidden */
    _open() {
        this.dialogRef = this._dialogService.open(this.dialogTemplate, {
            mobile: true,
            disablePaddings: true,
            ...this.dialogConfig,
            backdropClickCloseable: false,
            container: this._elementRef.nativeElement
        });
        // Have to fire "detectChanges" to fix "ExpressionChangedAfterItHasBeenCheckedError"
        this.dialogRef.afterLoaded.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._component.detectChanges();
        });
        const refSub = this.dialogRef.afterClosed.subscribe({
            error: (type) => {
                if (type === 'escape') {
                    this._component.dialogDismiss(this._selectedBackup);
                    refSub.unsubscribe();
                }
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxMobileComponent, deps: [{ token: COMBOBOX_COMPONENT }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: ComboboxMobileComponent, isStandalone: true, selector: "fdp-combobox-mobile", viewQueries: [{ propertyName: "dialogTemplate", first: true, predicate: ["dialogTemplate"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<ng-template [fdDialogTemplate] let-dialog let-dialogConfig=\"dialogConfig\" #dialogTemplate>\n    <fd-dialog [dialogConfig]=\"dialogConfig\" [dialogRef]=\"dialog\">\n        <fd-dialog-header>\n            @if (mobileConfig.title) {\n                <h1 fd-title>{{ mobileConfig.title }}</h1>\n            }\n            @if (mobileConfig.hasCloseButton) {\n                <button fd-dialog-close-button [mobile]=\"true\" (click)=\"handleDismiss()\"></button>\n            }\n            <ng-template fdkTemplate=\"subheader\">\n                <div fd-bar-middle>\n                    <fd-bar-element [fullWidth]=\"true\">\n                        <ng-template [ngTemplateOutlet]=\"childContent?.controlTemplate || null\"></ng-template>\n                    </fd-bar-element>\n                </div>\n            </ng-template>\n        </fd-dialog-header>\n        <fd-dialog-body>\n            <ng-template [ngTemplateOutlet]=\"childContent?.listTemplate || null\"></ng-template>\n        </fd-dialog-body>\n        <fd-dialog-footer>\n            @if (mobileConfig.approveButtonText) {\n                <fd-button-bar fdType=\"emphasized\" [label]=\"mobileConfig.approveButtonText!\" (click)=\"handleApprove()\">\n                </fd-button-bar>\n            }\n            @if (mobileConfig.cancelButtonText) {\n                <fd-button-bar [label]=\"mobileConfig.cancelButtonText!\" (click)=\"handleDismiss()\"> </fd-button-bar>\n            }\n        </fd-dialog-footer>\n    </fd-dialog>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: DialogModule }, { kind: "component", type: i1$2.DialogComponent, selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: i1$2.DialogBodyComponent, selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: i1$2.DialogFooterComponent, selector: "fd-dialog-footer" }, { kind: "component", type: i1$2.DialogHeaderComponent, selector: "fd-dialog-header" }, { kind: "component", type: i1$2.DialogCloseButtonComponent, selector: "[fd-dialog-close-button]", inputs: ["mobile", "title", "ariaLabel"] }, { kind: "directive", type: i1$2.DialogTemplateDirective, selector: "[fdDialogTemplate]", inputs: ["fdDialogTemplateConfig"] }, { kind: "directive", type: i2.TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: i3$1.BarMiddleDirective, selector: "[fd-bar-middle]" }, { kind: "directive", type: i3$1.BarElementDirective, selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "component", type: i3$1.ButtonBarComponent, selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "component", type: i4.TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "ngmodule", type: BarModule }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-combobox-mobile', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [
                        DialogModule,
                        TitleComponent,
                        TemplateDirective,
                        BarModule,
                        NgTemplateOutlet,
                        CdkScrollable,
                        ScrollbarDirective
                    ], template: "<ng-template [fdDialogTemplate] let-dialog let-dialogConfig=\"dialogConfig\" #dialogTemplate>\n    <fd-dialog [dialogConfig]=\"dialogConfig\" [dialogRef]=\"dialog\">\n        <fd-dialog-header>\n            @if (mobileConfig.title) {\n                <h1 fd-title>{{ mobileConfig.title }}</h1>\n            }\n            @if (mobileConfig.hasCloseButton) {\n                <button fd-dialog-close-button [mobile]=\"true\" (click)=\"handleDismiss()\"></button>\n            }\n            <ng-template fdkTemplate=\"subheader\">\n                <div fd-bar-middle>\n                    <fd-bar-element [fullWidth]=\"true\">\n                        <ng-template [ngTemplateOutlet]=\"childContent?.controlTemplate || null\"></ng-template>\n                    </fd-bar-element>\n                </div>\n            </ng-template>\n        </fd-dialog-header>\n        <fd-dialog-body>\n            <ng-template [ngTemplateOutlet]=\"childContent?.listTemplate || null\"></ng-template>\n        </fd-dialog-body>\n        <fd-dialog-footer>\n            @if (mobileConfig.approveButtonText) {\n                <fd-button-bar fdType=\"emphasized\" [label]=\"mobileConfig.approveButtonText!\" (click)=\"handleApprove()\">\n                </fd-button-bar>\n            }\n            @if (mobileConfig.cancelButtonText) {\n                <fd-button-bar [label]=\"mobileConfig.cancelButtonText!\" (click)=\"handleDismiss()\"> </fd-button-bar>\n            }\n        </fd-dialog-footer>\n    </fd-dialog>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [COMBOBOX_COMPONENT]
                }] }], propDecorators: { dialogTemplate: [{
                type: ViewChild,
                args: ['dialogTemplate']
            }] } });

class PlatformComboboxMobileModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxMobileModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxMobileModule, imports: [ComboboxMobileComponent], exports: [ComboboxMobileComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxMobileModule, imports: [ComboboxMobileComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxMobileModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [ComboboxMobileComponent],
                    exports: [ComboboxMobileComponent]
                }]
        }] });

/**
 * Default options for Combobox
 */
class ComboboxConfig {
    /** @hidden */
    constructor(platformConfig) {
        /**
         * String matching strategy for typeahead list. Default: 'starts with per term'
         */
        this.matchingStrategy = MatchingStrategy.STARTS_WITH_PER_TERM;
        /**
         * Maps data providers
         */
        this.providers = new Map();
        this.contentDensity = platformConfig.contentDensity;
    }
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj) {
        const useFactory = (platformConfig) => Object.assign(new ComboboxConfig(platformConfig), obj);
        return useFactory;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxConfig, deps: [{ token: i1.PlatformConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1.PlatformConfig }] });

const FDP_COMBOBOX_ITEM_DEF = new InjectionToken('FdpComboboxItemDefinition');
class FdpComboboxItemDef {
    constructor() {
        /** @hidden */
        this.templateRef = inject((TemplateRef));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FdpComboboxItemDef, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: FdpComboboxItemDef, isStandalone: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FdpComboboxItemDef, decorators: [{
            type: Directive
        }] });
class ComboboxItemDirective extends FdpComboboxItemDef {
    constructor() {
        super(...arguments);
        /** @hidden */
        this.name = 'optionItemTemplate';
    }
    /** @hidden */
    static ngTemplateContextGuard(dir, ctx) {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxItemDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: ComboboxItemDirective, isStandalone: true, selector: "[fdpComboboxItem]", inputs: { useModel: ["fdpComboboxItemUse", "useModel"] }, providers: [
            {
                provide: FDP_COMBOBOX_ITEM_DEF,
                useExisting: ComboboxItemDirective
            }
        ], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxItemDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpComboboxItem]',
                    standalone: true,
                    providers: [
                        {
                            provide: FDP_COMBOBOX_ITEM_DEF,
                            useExisting: ComboboxItemDirective
                        }
                    ]
                }]
        }], propDecorators: { useModel: [{
                type: Input,
                args: ['fdpComboboxItemUse']
            }] } });
class ComboboxSelectedItemDirective extends FdpComboboxItemDef {
    constructor() {
        super(...arguments);
        /** @hidden */
        this.name = 'selectedItemTemplate';
    }
    /** @hidden */
    static ngTemplateContextGuard(dir, ctx) {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxSelectedItemDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: ComboboxSelectedItemDirective, isStandalone: true, selector: "[fdpComboboxSelectedItem]", inputs: { useModel: ["fdpComboboxSelectedItemUse", "useModel"] }, providers: [
            {
                provide: FDP_COMBOBOX_ITEM_DEF,
                useExisting: ComboboxSelectedItemDirective
            }
        ], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxSelectedItemDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpComboboxSelectedItem]',
                    standalone: true,
                    providers: [
                        {
                            provide: FDP_COMBOBOX_ITEM_DEF,
                            useExisting: ComboboxSelectedItemDirective
                        }
                    ]
                }]
        }], propDecorators: { useModel: [{
                type: Input,
                args: ['fdpComboboxSelectedItemUse']
            }] } });
class ComboboxItemGroupDirective extends FdpComboboxItemDef {
    constructor() {
        super(...arguments);
        /** @hidden */
        this.name = 'groupItemTemplate';
    }
    /** @hidden */
    static ngTemplateContextGuard(dir, ctx) {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxItemGroupDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: ComboboxItemGroupDirective, isStandalone: true, selector: "[fdpComboboxGroup]", providers: [
            {
                provide: FDP_COMBOBOX_ITEM_DEF,
                useExisting: ComboboxItemGroupDirective
            }
        ], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxItemGroupDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpComboboxGroup]',
                    standalone: true,
                    providers: [
                        {
                            provide: FDP_COMBOBOX_ITEM_DEF,
                            useExisting: ComboboxItemGroupDirective
                        }
                    ]
                }]
        }] });
class ComboboxSecondaryItemDirective extends FdpComboboxItemDef {
    constructor() {
        super(...arguments);
        /** @hidden */
        this.name = 'secondaryItemTemplate';
    }
    /** @hidden */
    static ngTemplateContextGuard(dir, ctx) {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxSecondaryItemDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: ComboboxSecondaryItemDirective, isStandalone: true, selector: "[fdpComboboxSecondaryItem]", inputs: { useModel: ["fdpComboboxSecondaryItemUse", "useModel"] }, providers: [
            {
                provide: FDP_COMBOBOX_ITEM_DEF,
                useExisting: ComboboxSecondaryItemDirective
            }
        ], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxSecondaryItemDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpComboboxSecondaryItem]',
                    standalone: true,
                    providers: [
                        {
                            provide: FDP_COMBOBOX_ITEM_DEF,
                            useExisting: ComboboxSecondaryItemDirective
                        }
                    ]
                }]
        }], propDecorators: { useModel: [{
                type: Input,
                args: ['fdpComboboxSecondaryItemUse']
            }] } });

class BaseCombobox extends CollectionBaseInput {
    /** Datasource for suggestion list */
    set dataSource(value) {
        if (value) {
            this._initializeDataSource(value);
        }
    }
    get dataSource() {
        return this._dataSource;
    }
    /** Value of the combobox */
    set value(value) {
        const selectedItems = coerceArraySafe(value);
        this.setAsSelected(this._convertToOptionItems(selectedItems));
        super.setValue(value);
    }
    get value() {
        return super.getValue();
    }
    /** Input text of the input. */
    set inputText(value) {
        this._inputTextValue = value;
        this.onTouched();
    }
    get inputText() {
        return this._inputTextValue || '';
    }
    /** Whether a combobox can be closed */
    get canClose() {
        return !(this.mobile && this.mobileConfig.approveButtonText);
    }
    /** @hidden */
    get isGroup() {
        return !!(this.group && this.groupKey);
    }
    /** Is suggestions list empty */
    get isSuggestionsListEmpty() {
        return this._suggestions.length === 0;
    }
    /** @hidden */
    constructor(dialogConfig, comboboxConfig) {
        super();
        this.dialogConfig = dialogConfig;
        this.comboboxConfig = comboboxConfig;
        /** Provides maximum height for the optionPanel */
        this.maxHeight = '250px';
        /** Whether the autocomplete should be enabled; Enabled by default */
        this.autoComplete = true;
        /** Whether the combobox should be built on mobile mode */
        this.mobile = false;
        /** Tells the combo if we need to group items */
        this.group = false;
        /** Show the second column (Applicable for two columns layout) */
        this.showSecondaryText = false;
        /** Turns on/off Adjustable Width feature */
        this.autoResize = false;
        /**
         * Preset options for the Select body width, whatever is chosen, the body has a 600px limit.
         * `at-least` will apply a minimum width to the body equivalent to the width of the control. - Default
         * `equal` will apply a width to the body equivalent to the width of the control.
         * 'fit-content' will apply width needed to properly display items inside, independent of control.
         */
        this.fillControlMode = 'at-least';
        /**
         * Whether AddOn Button should be focusable
         * @default true
         */
        this.buttonFocusable = false;
        /**
         * The trigger events that will open/close the options popover.
         * Accepts any [HTML DOM Events](https://www.w3schools.com/jsref/dom_obj_event.asp).
         */
        this.triggers = [];
        /** Whether the combobox should close, when a click is performed outside its boundaries. True by default */
        this.closeOnOutsideClick = true;
        /** Whether list item options should be rendered as byline. */
        this.byline = false;
        /**
         * Action to perform when user shifts focus from the dropdown.
         * - `close` will close the dropdown preserving previously selected value.
         * - `closeAndSelect` will close the dropdown and select last focused dropdown item.
         */
        this.tabOutStrategy = 'closeAndSelect';
        /** Event emitted when data loading is started. */
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        this.onDataRequested = new EventEmitter();
        /** Event emitted when data loading is finished. */
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        this.onDataReceived = new EventEmitter();
        /** Whether the combobox is opened. */
        this.isOpen = false;
        /** @hidden List of matched suggestions */
        this._suggestions = [];
        /** @hidden Need for opening mobile version */
        this.openChange = new Subject();
        /** @hidden */
        this._flatSuggestions = [];
        /** @hidden */
        this._element = this.elementRef.nativeElement;
        /** Keys, that won't trigger the popover's open state, when dispatched on search input */
        this._nonOpeningKeys = [
            ESCAPE,
            ENTER,
            CONTROL,
            TAB,
            SHIFT,
            UP_ARROW,
            RIGHT_ARROW,
            DOWN_ARROW,
            LEFT_ARROW,
            ALT
        ];
        /** Keys, that are numbers from number keypad */
        this._numberPadNumberKeys = [
            NUMPAD_ZERO,
            NUMPAD_ONE,
            NUMPAD_TWO,
            NUMPAD_THREE,
            NUMPAD_FOUR,
            NUMPAD_FIVE,
            NUMPAD_SIX,
            NUMPAD_SEVEN,
            NUMPAD_SEVEN,
            NUMPAD_EIGHT,
            NUMPAD_NINE
        ];
        /** @hidden */
        this._displayFn = (value) => this.displayValue(value);
        /** @hidden */
        this._secondaryFn = (value) => {
            if (isOptionItem(value)) {
                return value.secondaryText ?? '';
            }
            if (isJsObject(value) && this.secondaryKey) {
                const currentItem = this.objectGet(value, this.secondaryKey);
                return isFunction(currentItem) ? currentItem() : currentItem;
            }
            return value;
        };
        this._matchingStrategy = this.comboboxConfig.matchingStrategy;
    }
    /** @hidden */
    ngAfterViewInit() {
        this._initWindowResize();
        this._assignCustomTemplates();
        super.ngAfterViewInit();
    }
    /** @hidden */
    ngOnDestroy() {
        super.ngOnDestroy();
        if (isDataSource(this.dataSource)) {
            this.dataSource.close();
        }
        if (this._dsSubscription) {
            this._dsSubscription.unsubscribe();
        }
    }
    /** Is empty search field */
    get isEmptyValue() {
        return this.inputText.trim().length === 0;
    }
    /** write value for ControlValueAccessor */
    writeValue(value) {
        const selectedItems = coerceArraySafe(value);
        this.setAsSelected(this._convertToOptionItems(selectedItems));
        super.writeValue(value);
    }
    /** @hidden */
    searchTermChanged(text) {
        if (this.inputText === text) {
            return;
        }
        this.inputText = text;
        const queryMap = new Map();
        queryMap.set('query', text);
        queryMap.set('limit', 12);
        this.ds.match(queryMap);
    }
    /** @hidden */
    isOpenChangeHandle(isOpen) {
        if (this.isOpen === isOpen) {
            return;
        }
        this.isOpen = isOpen;
        this.onTouched();
        this.openChange.next(isOpen);
        this._onOpenChange(this.isOpen);
        if (!this.isOpen && !this.mobile) {
            this.searchInputElement.nativeElement.focus({ preventScroll: true });
        }
        this.detectChanges();
    }
    /** @hidden */
    _onOpenChange(isOpen) {
        if (isOpen) {
            this.formMessage._popover.close();
        }
        this.formMessage._popover.setIgnoreTriggers(isOpen);
    }
    /** @hidden */
    handleOptionItem(value) {
        if (value) {
            this.selectOptionItem(value);
        }
        this.searchInputElement.nativeElement.focus();
    }
    /** @hidden */
    handlePressEnter(event, value) {
        if (!KeyUtil.isKeyCode(event, ENTER)) {
            return;
        }
        this.handleOptionItem(value);
    }
    /**
     * Handle Click on Button
     * @hidden
     */
    onPrimaryButtonClick() {
        // if it's mobile mode ignore this click
        if (this.mobile) {
            return;
        }
        this.isOpenChangeHandle(!this.isOpen);
        if (this.isOpen) {
            this.searchInputElement?.nativeElement.focus();
        }
    }
    /**
     * Handle click on input group in mobile mode
     * @hidden
     */
    openInMobileMode() {
        // if it's already opened just ignore this click
        // if it's not mobile mode just ignore this click
        if (this.isOpen || !this.mobile) {
            return;
        }
        // otherwise show options
        this.isOpenChangeHandle(true);
    }
    /**
     * Handle Keydown on Input
     * @hidden
     */
    onInputKeydownHandler(event) {
        if (this.readonly) {
            return;
        }
        if (KeyUtil.isKeyCode(event, TAB)) {
            this._close();
            return;
        }
        if (KeyUtil.isKeyCode(event, DOWN_ARROW)) {
            event.preventDefault();
            if (event.altKey) {
                this.isOpenChangeHandle(true);
            }
            if (this.isOpen && this.listComponent) {
                this.listComponent.setItemActive(0);
            }
            else if (!this.isOpen) {
                this._chooseOtherItem(1);
            }
        }
        else if (KeyUtil.isKeyCode(event, UP_ARROW)) {
            event.preventDefault();
            this._chooseOtherItem(-1);
        }
        else if (!event.ctrlKey && !KeyUtil.isKeyCode(event, this._nonOpeningKeys)) {
            if (!KeyUtil.isKeyCode(event, this._numberPadNumberKeys)) {
                this.isOpenChangeHandle(true);
            }
            const acceptedKeys = !KeyUtil.isKeyCode(event, BACKSPACE) &&
                !KeyUtil.isKeyCode(event, SPACE) &&
                !KeyUtil.isKeyType(event, 'alphabetical') &&
                !KeyUtil.isKeyType(event, 'numeric') &&
                !KeyUtil.isKeyCode(event, this._numberPadNumberKeys);
            if (this.isEmptyValue && acceptedKeys) {
                this.listComponent?.setItemActive(0);
            }
        }
    }
    /** Method passed to list component */
    handleListFocusEscape(direction) {
        if (direction === 'up') {
            this.searchInputElement.nativeElement.focus();
        }
    }
    /** @hidden */
    _onCompleteTerm(event) {
        if (event.forceClose) {
            this.toggleSelectionByInputText(event.term);
            this.isOpenChangeHandle(false);
        }
    }
    /** @hidden */
    toggleSelectionByInputText(text = this.inputText) {
        let optionItem = this._getSelectItemByInputValue(text);
        if (!optionItem) {
            optionItem = {
                label: text,
                value: text
            };
        }
        this.selectOptionItem(optionItem);
    }
    /** @hidden */
    _close() {
        if (this.tabOutStrategy === 'closeAndSelect') {
            const focusedItem = this.listComponent.getActiveItem();
            if (focusedItem) {
                this.handleOptionItem(focusedItem.value);
                return;
            }
        }
        this.inputText = this.value ? this.inputText : '';
        this.searchInputElement.nativeElement.focus();
        this.isOpenChangeHandle(false);
        this.markForCheck();
    }
    /** @hidden */
    _getSelectItemByInputValue(displayValue) {
        return this._flatSuggestions.find((value) => value.label === displayValue);
    }
    /** @hidden */
    get ds() {
        return this.dataSource;
    }
    /** @hidden Map grouped values to array. */
    _flatGroups(items) {
        return items.reduce((result, item) => result.concat(item.children ?? []), []);
    }
    /**
     * @hidden
     * Method that picks other value moved from current one by offset, called only when combobox is closed
     */
    _chooseOtherItem(offset) {
        const activeValue = this._getSelectItemByValue(this.inputText);
        const index = this._suggestions.findIndex((value) => value === activeValue);
        if (this._suggestions[index + offset]) {
            this.handleOptionItem(this._suggestions[index + offset]);
        }
    }
    /** @hidden */
    _getSelectItemByValue(displayValue) {
        return this._suggestions.find((value) => value.label === displayValue);
    }
    /** @hidden */
    async _initializeDataSource(ds) {
        this._suggestions = [];
        if (isDataSource(this.dataSource)) {
            this.dataSource.close();
            if (this._dsSubscription) {
                this._dsSubscription.unsubscribe();
                this._dsSubscription = undefined;
            }
        }
        // initializing data source in the seperate microtask to let all config options to be set before it
        // for example, "isGroup" input is needed for initialization logic and it might not be set at this point
        await Promise.resolve();
        // Convert whatever comes in as DataSource so we can work with it identically
        this._dataSource = this._openDataStream(ds);
    }
    /** @hidden */
    _openDataStream(ds) {
        const initDataSource = this._toDataStream(ds);
        if (initDataSource === undefined) {
            throw new Error(`[dataSource] source did not match an array, Observable, or DataSource`);
        }
        this._dsSubscription = new Subscription();
        /**
         * This is single point of data entry to the component. We dont want to set data on different
         * places. If any new data comes in either you do a search and you want to pass initial data
         * its here.
         */
        const dsSub = initDataSource
            .open()
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe((data) => {
            this._suggestions = this._convertToOptionItems(data);
            this._flatSuggestions = this.isGroup ? this._flatGroups(this._suggestions) : this._suggestions;
            this.stateChanges.next('initDataSource.open().');
            this.markForCheck();
        });
        this._dsSubscription.add(dsSub);
        this._dsSubscription.add(initDataSource.onDataRequested().subscribe(this.onDataRequested));
        this._dsSubscription.add(initDataSource.onDataReceived().subscribe(this.onDataReceived));
        initDataSource.dataProvider.setLookupKey(this.lookupKey);
        const matchingBy = {
            firstBy: this._displayFn
        };
        if (this.secondaryKey) {
            matchingBy.secondaryBy = this._secondaryFn;
        }
        initDataSource.dataProvider.setMatchingBy(matchingBy);
        initDataSource.dataProvider.setMatchingStrategy(this._matchingStrategy);
        // initial data fetch
        const queryMap = new Map();
        queryMap.set('query', '*');
        queryMap.set('limit', 12);
        initDataSource.match(queryMap);
        return initDataSource;
    }
    /** @hidden */
    _toDataStream(source) {
        if (isDataSource(source)) {
            return source;
        }
        if (Array.isArray(source)) {
            // default implementation to work on top of arrays
            return new ArrayComboBoxDataSource(source);
        }
        if (isObservable(source)) {
            return new ObservableComboBoxDataSource(source);
        }
        return undefined;
    }
    /** @hidden */
    _initWindowResize() {
        this._getOptionsListWidth();
        fromEvent(window, 'resize')
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe(() => this._getOptionsListWidth());
    }
    /** @hidden */
    _getOptionsListWidth() {
        const gap = 5;
        const { offsetWidth, clientWidth } = document.body;
        const { width, left } = this._element.querySelector('fd-input-group').getBoundingClientRect();
        const scrollBarWidth = offsetWidth - clientWidth;
        this.maxWidth = this.autoResize ? window.innerWidth - scrollBarWidth - left - gap : this.minWidth;
        this.minWidth = width - 2;
        this.detectChanges();
    }
    /**
     * Convert original data to OptionItems Interface
     * @hidden
     */
    _convertToOptionItems(items) {
        const item = items[0];
        const elementTypeIsOptionItem = isOptionItem(item);
        if (elementTypeIsOptionItem) {
            return items;
        }
        const elementTypeIsObject = isJsObject(item);
        if (elementTypeIsObject) {
            return this._convertObjectsToOptionItems(items);
        }
        const elementTypeIsString = isString(item);
        if (elementTypeIsString) {
            return this._convertPrimitiveToOptionItems(items);
        }
        return [];
    }
    /**
     * Convert data to OptionItems Interface
     * @hidden
     */
    _convertObjectsToOptionItems(items) {
        if (this.group && this.groupKey) {
            return this._convertObjectsToGroupOptionItems(items);
        }
        else if (this.showSecondaryText && this.secondaryKey) {
            return this._convertObjectsToSecondaryOptionItems(items);
        }
        else {
            return this._convertObjectsToDefaultOptionItems(items);
        }
    }
    /**
     * Convert object[] data to Group OptionItems Interface
     * @hidden
     */
    _convertObjectsToGroupOptionItems(items) {
        const group = {};
        for (let i = 0; i < items.length; i++) {
            const item = items[i];
            const keyValue = this.groupKey && item[this.groupKey];
            if (!keyValue) {
                continue;
            }
            if (!group[keyValue]) {
                group[keyValue] = [];
            }
            group[keyValue].push(item);
        }
        return Object.keys(group).map((key) => {
            const selectItem = {
                label: key,
                value: null,
                isGroup: true
            };
            const currentGroup = group[key];
            if (this.showSecondaryText && this.secondaryKey) {
                selectItem.children = this._convertObjectsToSecondaryOptionItems(currentGroup);
            }
            else {
                selectItem.children = this._convertObjectsToDefaultOptionItems(currentGroup);
            }
            return selectItem;
        });
    }
    /**
     * Convert object[] data to Secondary OptionItems Interface
     * @hidden
     */
    _convertObjectsToSecondaryOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                secondaryText: this.objectGet(value, this.secondaryKey),
                value
            });
        }
        return selectItems;
    }
    /**
     * Convert Primitive data(Boolean, String, Number) to OptionItems Interface
     * @hidden
     */
    _convertPrimitiveToOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({ label: value, value });
        }
        return selectItems;
    }
    /**
     * Convert object[] to OptionItems Interface (Default)
     * @hidden
     */
    _convertObjectsToDefaultOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                value
            });
        }
        return selectItems;
    }
    /** @hidden Assign custom templates */
    _assignCustomTemplates() {
        combineLatest([this._customTemplates.changes, this._customItemDef.changes])
            .pipe(startWith(null), map(() => this._customItemDef.length > 0 ? this._customItemDef.toArray() : this._customTemplates.toArray()), takeUntilDestroyed(this._destroyed))
            .subscribe((data) => {
            data.forEach((template) => {
                switch (template.name) {
                    case 'optionItemTemplate':
                        this.optionItemTemplate = template.templateRef;
                        break;
                    case 'groupItemTemplate':
                        this.groupItemTemplate = template.templateRef;
                        break;
                    case 'secondaryItemTemplate':
                        this.secondaryItemTemplate = template.templateRef;
                        break;
                    case 'selectedItemTemplate':
                        this.selectedItemTemplate = template.templateRef;
                        break;
                }
            });
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseCombobox, deps: [{ token: i1$2.DialogConfig, optional: true }, { token: ComboboxConfig }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: BaseCombobox, isStandalone: true, inputs: { maxHeight: "maxHeight", autoComplete: "autoComplete", entityClass: "entityClass", mobile: "mobile", mobileConfig: "mobileConfig", group: "group", groupKey: "groupKey", secondaryKey: "secondaryKey", showSecondaryText: "showSecondaryText", secondaryTextAlignment: "secondaryTextAlignment", autoResize: "autoResize", fillControlMode: "fillControlMode", buttonFocusable: "buttonFocusable", triggers: "triggers", closeOnOutsideClick: "closeOnOutsideClick", byline: "byline", dataSource: "dataSource", value: "value", tabOutStrategy: "tabOutStrategy" }, outputs: { onDataRequested: "onDataRequested", onDataReceived: "onDataReceived" }, queries: [{ propertyName: "_customTemplates", predicate: TemplateDirective }, { propertyName: "_customItemDef", predicate: FDP_COMBOBOX_ITEM_DEF }], viewQueries: [{ propertyName: "listComponent", first: true, predicate: ListComponent$1, descendants: true }], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseCombobox, decorators: [{
            type: Directive
        }], ctorParameters: () => [{ type: i1$2.DialogConfig, decorators: [{
                    type: Optional
                }] }, { type: ComboboxConfig }], propDecorators: { maxHeight: [{
                type: Input
            }], autoComplete: [{
                type: Input
            }], entityClass: [{
                type: Input
            }], mobile: [{
                type: Input
            }], mobileConfig: [{
                type: Input
            }], group: [{
                type: Input
            }], groupKey: [{
                type: Input
            }], secondaryKey: [{
                type: Input
            }], showSecondaryText: [{
                type: Input
            }], secondaryTextAlignment: [{
                type: Input
            }], autoResize: [{
                type: Input
            }], fillControlMode: [{
                type: Input
            }], buttonFocusable: [{
                type: Input
            }], triggers: [{
                type: Input
            }], closeOnOutsideClick: [{
                type: Input
            }], byline: [{
                type: Input
            }], dataSource: [{
                type: Input
            }], value: [{
                type: Input
            }], tabOutStrategy: [{
                type: Input
            }], onDataRequested: [{
                type: Output
            }], onDataReceived: [{
                type: Output
            }], listComponent: [{
                type: ViewChild,
                args: [ListComponent$1]
            }], _customTemplates: [{
                type: ContentChildren,
                args: [TemplateDirective]
            }], _customItemDef: [{
                type: ContentChildren,
                args: [FDP_COMBOBOX_ITEM_DEF]
            }] } });

class ComboboxSelectionChangeEvent {
    /**
     * Combobox selection event
     * @param source Combobox component
     * @param payload Selected option
     */
    constructor(source, payload // Contains selected item
    ) {
        this.source = source;
        this.payload = payload;
    }
}
class ComboboxComponent extends BaseCombobox {
    /** @hidden */
    constructor(_dialogConfig, _dynamicComponentService, _viewContainerRef, _injector, providers, _comboboxConfig) {
        super(_dialogConfig, _comboboxConfig);
        this._dynamicComponentService = _dynamicComponentService;
        this._viewContainerRef = _viewContainerRef;
        this._injector = _injector;
        this.providers = providers;
        /** Event emitted when item is selected. */
        this.selectionChange = new EventEmitter();
    }
    /** @hidden */
    ngOnInit() {
        super.ngOnInit();
        const providers = this.providers?.size === 0 ? this.comboboxConfig.providers : this.providers;
        // if we have both prefer dataSource
        if (!this.dataSource && this.entityClass && providers?.has(this.entityClass)) {
            this.dataSource = new ComboBoxDataSource(providers.get(this.entityClass));
        }
    }
    /** @hidden */
    ngAfterViewInit() {
        super.ngAfterViewInit();
        if (this.mobile) {
            this._setUpMobileMode();
        }
    }
    /** @hidden */
    _onBlur(event) {
        if (this.mobile) {
            return;
        }
        const target = event.relatedTarget;
        if (target) {
            const isList = !!target.closest('.fdp-combobox__list-container');
            const isListItem = !!target.closest('.fd-list__item');
            if (isList || isListItem) {
                return;
            }
        }
        if ((!this._selectedElement && !this.inputText) || this._selectedElement?.label === this.inputText) {
            return;
        }
        const optionItem = this._getSelectedOptionItem(this.inputText);
        this._updateModel(optionItem ? optionItem.value : this.inputText);
    }
    /** @hidden Method to emit change event */
    emitChangeEvent(modelValue) {
        const event = new ComboboxSelectionChangeEvent(this, modelValue);
        this.selectionChange.emit(event);
    }
    /** @hidden Method to set selected item */
    selectOptionItem(item) {
        if (this.mobile) {
            this._selectedElement = item;
            this.inputText = item.label;
            this.detectChanges();
            return;
        }
        this.inputText = item.label;
        this._checkAndUpdate(item);
        this.isOpenChangeHandle(false);
    }
    /** @hidden Method to set as selected */
    setAsSelected(item) {
        const selectedItem = item[0];
        if (this.isSelectedOptionItem(selectedItem)) {
            return;
        }
        this._selectedElement = (this.isGroup && selectedItem?.children?.[0]) || selectedItem;
        this.inputText = this.displayValue(this._selectedElement);
    }
    /** @hidden Define is selected item selected */
    isSelectedOptionItem(selectedItem) {
        if (!!this._selectedElement && !!selectedItem) {
            if (this.lookupKey) {
                return this.lookupValue(this._selectedElement) === this.lookupValue(selectedItem);
            }
            else {
                return selectedItem.value === this._selectedElement.value;
            }
        }
        else {
            return false;
        }
    }
    /** @hidden Define is selected item selected by display value */
    isSelectedOptionItemByDisplayValue(selectedItem) {
        return this._selectedElement?.label === selectedItem;
    }
    /** Handle dialog dismissing, closes popover and sets backup data. */
    dialogDismiss(term) {
        if (this._selectedElement?.label !== term) {
            this._selectedElement = this._getSelectedOptionItem(term);
        }
        this.inputText = term;
        this.isOpenChangeHandle(false);
    }
    /** Handle dialog approval, closes popover and propagates data changes. */
    dialogApprove() {
        if (this._selectedElement?.label === this.inputText) {
            this._updateModel(this._selectedElement.value);
        }
        else {
            const optionItem = this._getSelectedOptionItem(this.inputText);
            this._updateModel(optionItem ? optionItem.value : this.inputText);
        }
        this.isOpenChangeHandle(false);
    }
    /** @hidden if not selected update model */
    _checkAndUpdate(modelValue) {
        if (this.isSelectedOptionItem(modelValue)) {
            return;
        }
        this._updateModel(modelValue.value);
    }
    /** @hidden Update model */
    _updateModel(value) {
        // setting value, it will call setValue()
        this.value = value;
        this.emitChangeEvent(value ? value : null);
    }
    /** @hidden */
    async _setUpMobileMode() {
        const injector = Injector.create({
            providers: [{ provide: COMBOBOX_COMPONENT, useValue: this }],
            parent: this._injector
        });
        this._dynamicComponentService.createDynamicComponent({ listTemplate: this.listTemplate, controlTemplate: this.controlTemplate }, ComboboxMobileComponent, {
            containerRef: this._viewContainerRef
        }, { injector });
    }
    /** @hidden */
    _getSelectedOptionItem(text) {
        if (!this.isGroup) {
            return this._suggestions.find((item) => item.label === text);
        }
        return this._suggestions
            .reduce((result, item) => {
            result.push(...(item.children ?? []));
            return result;
        }, [])
            .find((item) => item.label === text);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxComponent, deps: [{ token: i1$2.DialogConfig, optional: true }, { token: i2.DynamicComponentService }, { token: i0.ViewContainerRef }, { token: i0.Injector }, { token: DATA_PROVIDERS, optional: true }, { token: ComboboxConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: ComboboxComponent, isStandalone: true, selector: "fdp-combobox", outputs: { selectionChange: "selectionChange" }, providers: [
            { provide: FD_FORM_FIELD_CONTROL, useExisting: ComboboxComponent, multi: true },
            contentDensityObserverProviders()
        ], viewQueries: [{ propertyName: "searchInputElement", first: true, predicate: ["searchInputElement"], descendants: true }, { propertyName: "controlTemplate", first: true, predicate: ["controlTemplate"], descendants: true }, { propertyName: "listTemplate", first: true, predicate: ["listTemplate"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<ng-template [ngTemplateOutlet]=\"mobile ? controlTemplate : desktopTemplate\"></ng-template>\n<ng-template #desktopTemplate>\n    <fd-popover\n        [isOpen]=\"isOpen && _suggestions.length > 0\"\n        (isOpenChange)=\"isOpenChangeHandle($event)\"\n        [fillControlMode]=\"fillControlMode\"\n        [focusTrapped]=\"true\"\n        [triggers]=\"triggers\"\n        [disabled]=\"disabled || readonly\"\n        [maxWidth]=\"autoResize ? null : minWidth\"\n        [closeOnOutsideClick]=\"closeOnOutsideClick\"\n        additionalBodyClass=\"fdp-combobox__popover\"\n    >\n        <fd-popover-control>\n            <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n        </fd-popover-control>\n        <fd-popover-body [hidden]=\"_suggestions.length === 0\">\n            <ng-template [ngTemplateOutlet]=\"listTemplate\"></ng-template>\n            <ng-content></ng-content>\n        </fd-popover-body>\n    </fd-popover>\n</ng-template>\n<ng-template #controlTemplate>\n    <fd-form-input-message-group>\n        <fd-input-group\n            [id]=\"id + '-input-group-container'\"\n            [button]=\"!readonly\"\n            [glyph]=\"!readonly ? 'navigation-down-arrow' : ' '\"\n            [state]=\"mobile && isOpen ? null : state\"\n            [buttonFocusable]=\"buttonFocusable\"\n            [disabled]=\"disabled\"\n            [readonly]=\"readonly\"\n            [isControl]=\"true\"\n            (addOnButtonClicked)=\"onPrimaryButtonClick()\"\n            [isExpanded]=\"!mobile && isOpen && _suggestions.length > 0\"\n            [attr.aria-disabled]=\"disabled\"\n            [glyphAriaLabel]=\"ariaLabel\"\n            (click)=\"openInMobileMode()\"\n        >\n            <input\n                #searchInputElement\n                fdp-auto-complete\n                [options]=\"_suggestions\"\n                [inputText]=\"inputText\"\n                [mobile]=\"mobile\"\n                (onComplete)=\"_onCompleteTerm($event)\"\n                type=\"text\"\n                role=\"combobox\"\n                autocomplete=\"off\"\n                [attr.aria-label]=\"ariaLabel\"\n                [attr.aria-labelledby]=\"ariaLabelledBy\"\n                [attr.aria-autocomplete]=\"autoComplete && !mobile ? 'list' : null\"\n                [attr.aria-owns]=\"autoComplete && !mobile ? id + '-result' : null\"\n                [attr.aria-haspopup]=\"autoComplete && !mobile\"\n                [attr.aria-required]=\"required\"\n                fd-input-group-input\n                tabindex=\"0\"\n                [id]=\"id\"\n                [name]=\"name\"\n                (keydown)=\"onInputKeydownHandler($event)\"\n                [disabled]=\"disabled\"\n                [ngModel]=\"inputText\"\n                (ngModelChange)=\"searchTermChanged($event)\"\n                [placeholder]=\"placeholder\"\n                (focus)=\"onTouched()\"\n                (blur)=\"_onBlur($event)\"\n                [attr.aria-expanded]=\"isOpen && _suggestions.length > 0\"\n                [readonly]=\"readonly\"\n                [attr.aria-readonly]=\"readonly\"\n            />\n        </fd-input-group>\n        @if (isOpen) {\n            <div class=\"fdp-combobox__count-list-results\" role=\"status\">\n                @if (_flatSuggestions.length || '0'; as count) {\n                    {{\n                        (count === 1\n                            ? 'platformCombobox.countListResultsSingular'\n                            : 'platformCombobox.countListResultsPlural'\n                        ) | fdTranslate: { count: count }\n                    }}\n                }\n            </div>\n        }\n        @if (mobile || isOpen ? null : !!stateMessage) {\n            <fd-form-message [type]=\"state\" [innerHtml]=\"stateMessage\"></fd-form-message>\n        }\n    </fd-form-input-message-group>\n</ng-template>\n<ng-template #listTemplate>\n    <ul\n        fd-list\n        [hasMessage]=\"!!stateMessage\"\n        (focusEscapeList)=\"handleListFocusEscape($event)\"\n        [dropdownMode]=\"true\"\n        class=\"fdp-combobox__list\"\n        [hasMessage]=\"!!stateMessage || (!!advancedStateMessage?.hasErrors && !!advancedStateMessage?.template)\"\n        [id]=\"id + '-result'\"\n        role=\"listbox\"\n        [byline]=\"byline\"\n        [attr.aria-labelledby]=\"id + '-search'\"\n        [style.maxHeight]=\"!mobile && maxHeight\"\n        [style.maxWidth]=\"autoResize && maxWidth + 'px'\"\n        (keydown.tab)=\"_close()\"\n        (keydown.shift.tab)=\"_close()\"\n    >\n        @if (stateMessage) {\n            <li\n                [attr.aria-label]=\"stateMessage\"\n                fd-list-message\n                tabindex=\"-1\"\n                role=\"presentation\"\n                [type]=\"state || 'default'\"\n                [innerHtml]=\"stateMessage\"\n            ></li>\n        }\n        @if (advancedStateMessage?.hasErrors && advancedStateMessage?.template) {\n            <li fd-list-message tabindex=\"-1\" role=\"presentation\" [type]=\"state || 'default'\">\n                <ng-template [ngTemplateOutlet]=\"advancedStateMessage!.template!\"></ng-template>\n            </li>\n        }\n        <ng-content></ng-content>\n        @if (isGroup) {\n            @for (group of _suggestions; track group) {\n                @if (!groupItemTemplate) {\n                    <li fd-list-group-header role=\"option\">\n                        <span fd-list-title [attr.title]=\"group.label\">{{ group.label }}</span>\n                    </li>\n                } @else {\n                    <ng-template\n                        [ngTemplateOutlet]=\"groupItemTemplate\"\n                        [ngTemplateOutletContext]=\"{ $implicit: { label: group.label } }\"\n                    ></ng-template>\n                }\n                @for (optionItem of group.children; track optionItem; let i = $index) {\n                    <li\n                        (click)=\"handleOptionItem(optionItem)\"\n                        fd-list-item\n                        role=\"option\"\n                        [tabindex]=\"0\"\n                        (keyDown)=\"handlePressEnter($event, optionItem)\"\n                        [selected]=\"isSelectedOptionItem(optionItem)\"\n                        [value]=\"optionItem\"\n                    >\n                        <ng-template\n                            [ngTemplateOutlet]=\"listItem\"\n                            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: i }\"\n                        ></ng-template>\n                    </li>\n                }\n            }\n        } @else {\n            @for (optionItem of _suggestions; track optionItem; let i = $index) {\n                <li\n                    (click)=\"handleOptionItem(optionItem)\"\n                    fd-list-item\n                    role=\"option\"\n                    [tabindex]=\"0\"\n                    (keyDown)=\"handlePressEnter($event, optionItem)\"\n                    [selected]=\"isSelectedOptionItem(optionItem)\"\n                    [value]=\"optionItem\"\n                >\n                    <ng-template\n                        [ngTemplateOutlet]=\"listItem\"\n                        [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: i }\"\n                    ></ng-template>\n                </li>\n            }\n        }\n    </ul>\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #listItem>\n    @if (isSelectedOptionItem(optionItem) && !!selectedItemTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"selectedItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n    @if (!(isSelectedOptionItem(optionItem) && selectedItemTemplate)) {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: index }\"\n        ></ng-template>\n        <ng-template\n            [ngTemplateOutlet]=\"secondaryTextSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #optionItemSource>\n    @if (!optionItemTemplate) {\n        <span [attr.title]=\"optionItem.label\" [innerHTML]=\"optionItem.label | highlight: inputText\"></span>\n    } @else {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" #secondaryTextSource>\n    @if (showSecondaryText) {\n        @if (!secondaryItemTemplate) {\n            <span\n                [style.text-align]=\"secondaryTextAlignment\"\n                fd-list-secondary\n                [attr.title]=\"optionItem.secondaryText\"\n                [innerHTML]=\"optionItem.secondaryText | highlight: inputText\"\n            ></span>\n        } @else {\n            <ng-template\n                [ngTemplateOutlet]=\"secondaryItemTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: optionItem.value }\"\n            ></ng-template>\n        }\n    }\n</ng-template>\n", styles: [".fdp-combobox__count-list-results{position:absolute;opacity:0;z-index:-1}.fdp-combobox__list .fd-list__item{justify-content:space-between}.fdp-combobox__list .fd-list__item span{overflow:hidden;text-overflow:ellipsis;width:100%}\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: PopoverComponent, selector: "fd-popover", inputs: ["title", "trigger", "fixedPosition", "id", "mobile", "mobileConfig", "preventSpaceKeyScroll"] }, { kind: "component", type: PopoverControlComponent, selector: "fd-popover-control, [fdPopoverControl]" }, { kind: "component", type: PopoverBodyComponent, selector: "fd-popover-body", inputs: ["minWidth", "maxWidth", "minHeight", "maxHeight"] }, { kind: "component", type: FormInputMessageGroupComponent, selector: "fd-form-input-message-group", inputs: ["triggers", "closeOnOutsideClick", "fillControlMode", "noArrow", "closeOnEscapeKey", "placement", "placementContainer", "isOpen", "preventSpaceKeyScroll"], outputs: ["isOpenChange"] }, { kind: "ngmodule", type: InputGroupModule }, { kind: "component", type: i3$2.InputGroupComponent, selector: "fd-input-group", inputs: ["placement", "required", "inline", "addOnText", "buttonFocusable", "type", "glyph", "glyphFont", "button", "isControl", "showFocus", "isExpanded", "glyphAriaLabel", "addonButtonAriaHidden", "iconTitle", "ariaLabelledBy", "ariaLabel"], outputs: ["addOnButtonClicked", "search"] }, { kind: "directive", type: i3$2.InputGroupInputDirective, selector: "[fdInputGroupInput], [fd-input-group-input]", inputs: ["class"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: AutoCompleteDirective, selector: "[fdp-auto-complete]", inputs: ["options", "inputText", "mobile"], outputs: ["onComplete"] }, { kind: "component", type: FormMessageComponent, selector: "fd-form-message", inputs: ["type", "static", "embedded", "class"] }, { kind: "ngmodule", type: ListModule }, { kind: "component", type: i6.ListComponent, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "component", type: i6.ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "directive", type: i6.ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "directive", type: i6.ListGroupHeaderDirective, selector: "[fdListGroupHeader], [fd-list-group-header]", inputs: ["nativeElementId"], outputs: ["keyDown"] }, { kind: "directive", type: i6.ListSecondaryDirective, selector: "[fd-list-secondary], [fdListSecondary]", inputs: ["type"] }, { kind: "directive", type: i6.ListMessageDirective, selector: "[fd-list-message], [fdListMessage]", inputs: ["type", "class"] }, { kind: "pipe", type: SearchHighlightPipe, name: "highlight" }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "ngmodule", type: ContentDensityModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ComboboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-combobox', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [
                        { provide: FD_FORM_FIELD_CONTROL, useExisting: ComboboxComponent, multi: true },
                        contentDensityObserverProviders()
                    ], imports: [
                        NgTemplateOutlet,
                        PopoverComponent,
                        PopoverControlComponent,
                        PopoverBodyComponent,
                        FormInputMessageGroupComponent,
                        InputGroupModule,
                        FormsModule,
                        AutoCompleteDirective,
                        FormMessageComponent,
                        ListModule,
                        NgClass,
                        ListSecondaryDirective,
                        SearchHighlightPipe,
                        FdTranslatePipe,
                        ContentDensityModule
                    ], template: "<ng-template [ngTemplateOutlet]=\"mobile ? controlTemplate : desktopTemplate\"></ng-template>\n<ng-template #desktopTemplate>\n    <fd-popover\n        [isOpen]=\"isOpen && _suggestions.length > 0\"\n        (isOpenChange)=\"isOpenChangeHandle($event)\"\n        [fillControlMode]=\"fillControlMode\"\n        [focusTrapped]=\"true\"\n        [triggers]=\"triggers\"\n        [disabled]=\"disabled || readonly\"\n        [maxWidth]=\"autoResize ? null : minWidth\"\n        [closeOnOutsideClick]=\"closeOnOutsideClick\"\n        additionalBodyClass=\"fdp-combobox__popover\"\n    >\n        <fd-popover-control>\n            <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n        </fd-popover-control>\n        <fd-popover-body [hidden]=\"_suggestions.length === 0\">\n            <ng-template [ngTemplateOutlet]=\"listTemplate\"></ng-template>\n            <ng-content></ng-content>\n        </fd-popover-body>\n    </fd-popover>\n</ng-template>\n<ng-template #controlTemplate>\n    <fd-form-input-message-group>\n        <fd-input-group\n            [id]=\"id + '-input-group-container'\"\n            [button]=\"!readonly\"\n            [glyph]=\"!readonly ? 'navigation-down-arrow' : ' '\"\n            [state]=\"mobile && isOpen ? null : state\"\n            [buttonFocusable]=\"buttonFocusable\"\n            [disabled]=\"disabled\"\n            [readonly]=\"readonly\"\n            [isControl]=\"true\"\n            (addOnButtonClicked)=\"onPrimaryButtonClick()\"\n            [isExpanded]=\"!mobile && isOpen && _suggestions.length > 0\"\n            [attr.aria-disabled]=\"disabled\"\n            [glyphAriaLabel]=\"ariaLabel\"\n            (click)=\"openInMobileMode()\"\n        >\n            <input\n                #searchInputElement\n                fdp-auto-complete\n                [options]=\"_suggestions\"\n                [inputText]=\"inputText\"\n                [mobile]=\"mobile\"\n                (onComplete)=\"_onCompleteTerm($event)\"\n                type=\"text\"\n                role=\"combobox\"\n                autocomplete=\"off\"\n                [attr.aria-label]=\"ariaLabel\"\n                [attr.aria-labelledby]=\"ariaLabelledBy\"\n                [attr.aria-autocomplete]=\"autoComplete && !mobile ? 'list' : null\"\n                [attr.aria-owns]=\"autoComplete && !mobile ? id + '-result' : null\"\n                [attr.aria-haspopup]=\"autoComplete && !mobile\"\n                [attr.aria-required]=\"required\"\n                fd-input-group-input\n                tabindex=\"0\"\n                [id]=\"id\"\n                [name]=\"name\"\n                (keydown)=\"onInputKeydownHandler($event)\"\n                [disabled]=\"disabled\"\n                [ngModel]=\"inputText\"\n                (ngModelChange)=\"searchTermChanged($event)\"\n                [placeholder]=\"placeholder\"\n                (focus)=\"onTouched()\"\n                (blur)=\"_onBlur($event)\"\n                [attr.aria-expanded]=\"isOpen && _suggestions.length > 0\"\n                [readonly]=\"readonly\"\n                [attr.aria-readonly]=\"readonly\"\n            />\n        </fd-input-group>\n        @if (isOpen) {\n            <div class=\"fdp-combobox__count-list-results\" role=\"status\">\n                @if (_flatSuggestions.length || '0'; as count) {\n                    {{\n                        (count === 1\n                            ? 'platformCombobox.countListResultsSingular'\n                            : 'platformCombobox.countListResultsPlural'\n                        ) | fdTranslate: { count: count }\n                    }}\n                }\n            </div>\n        }\n        @if (mobile || isOpen ? null : !!stateMessage) {\n            <fd-form-message [type]=\"state\" [innerHtml]=\"stateMessage\"></fd-form-message>\n        }\n    </fd-form-input-message-group>\n</ng-template>\n<ng-template #listTemplate>\n    <ul\n        fd-list\n        [hasMessage]=\"!!stateMessage\"\n        (focusEscapeList)=\"handleListFocusEscape($event)\"\n        [dropdownMode]=\"true\"\n        class=\"fdp-combobox__list\"\n        [hasMessage]=\"!!stateMessage || (!!advancedStateMessage?.hasErrors && !!advancedStateMessage?.template)\"\n        [id]=\"id + '-result'\"\n        role=\"listbox\"\n        [byline]=\"byline\"\n        [attr.aria-labelledby]=\"id + '-search'\"\n        [style.maxHeight]=\"!mobile && maxHeight\"\n        [style.maxWidth]=\"autoResize && maxWidth + 'px'\"\n        (keydown.tab)=\"_close()\"\n        (keydown.shift.tab)=\"_close()\"\n    >\n        @if (stateMessage) {\n            <li\n                [attr.aria-label]=\"stateMessage\"\n                fd-list-message\n                tabindex=\"-1\"\n                role=\"presentation\"\n                [type]=\"state || 'default'\"\n                [innerHtml]=\"stateMessage\"\n            ></li>\n        }\n        @if (advancedStateMessage?.hasErrors && advancedStateMessage?.template) {\n            <li fd-list-message tabindex=\"-1\" role=\"presentation\" [type]=\"state || 'default'\">\n                <ng-template [ngTemplateOutlet]=\"advancedStateMessage!.template!\"></ng-template>\n            </li>\n        }\n        <ng-content></ng-content>\n        @if (isGroup) {\n            @for (group of _suggestions; track group) {\n                @if (!groupItemTemplate) {\n                    <li fd-list-group-header role=\"option\">\n                        <span fd-list-title [attr.title]=\"group.label\">{{ group.label }}</span>\n                    </li>\n                } @else {\n                    <ng-template\n                        [ngTemplateOutlet]=\"groupItemTemplate\"\n                        [ngTemplateOutletContext]=\"{ $implicit: { label: group.label } }\"\n                    ></ng-template>\n                }\n                @for (optionItem of group.children; track optionItem; let i = $index) {\n                    <li\n                        (click)=\"handleOptionItem(optionItem)\"\n                        fd-list-item\n                        role=\"option\"\n                        [tabindex]=\"0\"\n                        (keyDown)=\"handlePressEnter($event, optionItem)\"\n                        [selected]=\"isSelectedOptionItem(optionItem)\"\n                        [value]=\"optionItem\"\n                    >\n                        <ng-template\n                            [ngTemplateOutlet]=\"listItem\"\n                            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: i }\"\n                        ></ng-template>\n                    </li>\n                }\n            }\n        } @else {\n            @for (optionItem of _suggestions; track optionItem; let i = $index) {\n                <li\n                    (click)=\"handleOptionItem(optionItem)\"\n                    fd-list-item\n                    role=\"option\"\n                    [tabindex]=\"0\"\n                    (keyDown)=\"handlePressEnter($event, optionItem)\"\n                    [selected]=\"isSelectedOptionItem(optionItem)\"\n                    [value]=\"optionItem\"\n                >\n                    <ng-template\n                        [ngTemplateOutlet]=\"listItem\"\n                        [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: i }\"\n                    ></ng-template>\n                </li>\n            }\n        }\n    </ul>\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #listItem>\n    @if (isSelectedOptionItem(optionItem) && !!selectedItemTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"selectedItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n    @if (!(isSelectedOptionItem(optionItem) && selectedItemTemplate)) {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: index }\"\n        ></ng-template>\n        <ng-template\n            [ngTemplateOutlet]=\"secondaryTextSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #optionItemSource>\n    @if (!optionItemTemplate) {\n        <span [attr.title]=\"optionItem.label\" [innerHTML]=\"optionItem.label | highlight: inputText\"></span>\n    } @else {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" #secondaryTextSource>\n    @if (showSecondaryText) {\n        @if (!secondaryItemTemplate) {\n            <span\n                [style.text-align]=\"secondaryTextAlignment\"\n                fd-list-secondary\n                [attr.title]=\"optionItem.secondaryText\"\n                [innerHTML]=\"optionItem.secondaryText | highlight: inputText\"\n            ></span>\n        } @else {\n            <ng-template\n                [ngTemplateOutlet]=\"secondaryItemTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: optionItem.value }\"\n            ></ng-template>\n        }\n    }\n</ng-template>\n", styles: [".fdp-combobox__count-list-results{position:absolute;opacity:0;z-index:-1}.fdp-combobox__list .fd-list__item{justify-content:space-between}.fdp-combobox__list .fd-list__item span{overflow:hidden;text-overflow:ellipsis;width:100%}\n"] }]
        }], ctorParameters: () => [{ type: i1$2.DialogConfig, decorators: [{
                    type: Optional
                }] }, { type: i2.DynamicComponentService }, { type: i0.ViewContainerRef }, { type: i0.Injector }, { type: Map, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_PROVIDERS]
                }] }, { type: ComboboxConfig }], propDecorators: { selectionChange: [{
                type: Output
            }], searchInputElement: [{
                type: ViewChild,
                args: ['searchInputElement']
            }], controlTemplate: [{
                type: ViewChild,
                args: ['controlTemplate']
            }], listTemplate: [{
                type: ViewChild,
                args: ['listTemplate']
            }] } });

const EXPORTABLE_COMPONENTS = [
    ComboboxComponent,
    ComboboxItemDirective,
    ComboboxSelectedItemDirective,
    ComboboxItemGroupDirective,
    ComboboxSecondaryItemDirective
];
class PlatformComboboxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxModule, imports: [ComboboxComponent,
            ComboboxItemDirective,
            ComboboxSelectedItemDirective,
            ComboboxItemGroupDirective,
            ComboboxSecondaryItemDirective], exports: [ComboboxComponent,
            ComboboxItemDirective,
            ComboboxSelectedItemDirective,
            ComboboxItemGroupDirective,
            ComboboxSecondaryItemDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxModule, imports: [ComboboxComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformComboboxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...EXPORTABLE_COMPONENTS],
                    exports: [...EXPORTABLE_COMPONENTS]
                }]
        }] });

class PlatformDatePickerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatePickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatePickerModule, imports: [PlatformDatePickerComponent], exports: [PlatformDatePickerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatePickerModule, imports: [PlatformDatePickerComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatePickerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [PlatformDatePickerComponent],
                    exports: [PlatformDatePickerComponent]
                }]
        }] });

/** @hidden */
function createMissingDateImplementationError(provider) {
    return Error(`FdpDatetimePicker: No provider found for ${provider}. You must import one of the following ` +
        `modules at your application root: FdDatetimeModule, or provide a ` +
        `custom implementation.`);
}

class PlatformDatetimePickerComponent extends BaseInput {
    /**
     * value for datetime
     */
    set value(value) {
        super.setValue(value);
    }
    get value() {
        return super.getValue();
    }
    /**
     *  The state of the form control - applies css classes.
     *  Can be `success`, `error`, `warning`, `information` or blank for default.
     */
    set state(state) {
        super.state = state;
    }
    get state() {
        if (this.dateTimePickerComponent?.isInvalidDateInput) {
            // if any other error from core dtp
            return 'error';
        }
        return super.state;
    }
    /** @hidden */
    get _isRequired() {
        return !!this.formField?.required;
    }
    /** @hidden */
    constructor() {
        super();
        /**
         *  The placement of the popover. It can be one of: top, top-start, top-end, bottom,
         *  bottom-start, bottom-end, right, right-start, right-end, left, left-start, left-end.
         */
        this.placement = 'bottom-start';
        /** Whether to perform visual validation on the picker input. */
        this.useValidation = true;
        /** Whether the popover is open. Two-way binding is supported. */
        this.isOpen = false;
        /** Actually shown active view one of 'day' | 'month' | 'year' in calendar component*/
        this.activeView = FdCalendarViewEnum.Day;
        /** Whether a null input is considered valid. */
        this.allowNull = true;
        /**
         * @Input when set to true time component will use 2 digits for each number.
         * For example 9 will become 09
         * but 12 will be kept as 12.
         * Only uses by time component and does not change input format
         */
        this.keepTwoDigitsTime = false;
        /**
         * Whether AddOn Button should be focusable
         * @default true
         */
        this.buttonFocusable = true;
        /**
         * Special days mark, it can be used by passing array of object with
         * Special day number, list 1-20 [class:`fd-calendar__item--legend-{{number}}`] is available there:
         * https://sap.github.io/fundamental-styles/components/calendar.html calendar special days section
         * Rule accepts method with FdDate object as a parameter. ex:
         * `rule: (fdDate: FdDate) => fdDate.getDay() === 1`, which will mark all sundays as special day.
         */
        this.specialDaysRules = [];
        /**
         * Object to customize year grid,
         * Row, Columns and method to display year can be modified
         */
        this.yearGrid = {
            rows: 4,
            cols: 5
        };
        /**
         * Object to customize aggregated year grid,
         * Row, Columns and method to display year can be modified
         */
        this.aggregatedYearGrid = {
            rows: 4,
            cols: 3
        };
        /**
         * Whether user wants to mark sunday/saturday with `fd-calendar__item--weekend` class
         */
        this.markWeekends = true;
        /** @Input Whether to show spinner buttons */
        this.spinnerButtons = true;
        /**
         * Whether user wants to show week numbers next to days
         */
        this.showWeekNumbers = true;
        /** Whether or not to show the datetime picker footer with submit/cancel buttons. */
        this.showFooter = true;
        /**
         * Whether to recalculate value from the input as user types or on blur.
         * By default, updates the value as user types.
         * @default false
         */
        this.processInputOnBlur = false;
        /**
         * Whether to prevent page scrolling when focusing date picker input field after calendar has been closed.
         */
        this.preventScrollOnFocus = false;
        /** Whether date picker should rendered in mobile mode. */
        this.mobile = false;
        /** Whether calendar is used inside mobile in landscape mode, it also adds close button on right side */
        this.mobileLandscape = false;
        /** Whether calendar is used inside mobile in portrait mode */
        this.mobilePortrait = false;
        /** Event emitted when the state of the isOpen property changes. */
        this.isOpenChange = new EventEmitter();
        /** Event thrown every time calendar active view is changed */
        this.activeViewChange = new EventEmitter();
        /** Event emitted when the date changes. This can be a time or day change. */
        this.datetimeChange = new EventEmitter();
        /** Event emitted when popover closes. */
        this.onClose = new EventEmitter();
        /** @hidden */
        this._dateTimeAdapter = inject(DatetimeAdapter, {
            optional: true
        });
        /** @hidden */
        this._dateTimeFormats = inject(DATE_TIME_FORMATS, {
            optional: true
        });
        /**
         * Function used to disable certain dates in the calendar.
         * @param fdDate FdDate
         */
        this.disableFunction = () => false;
        /**
         * Method that handles changes when popover is opened or closed.
         */
        this.handleOpenChange = (open) => {
            this.isOpenChange.emit(open);
        };
        /**
         * Method that handle calendar active view change and throws event.
         */
        this.handleActiveViewChange = (fdCalendarView) => {
            this.activeViewChange.emit(fdCalendarView);
        };
        if (!this._dateTimeAdapter) {
            throw createMissingDateImplementationError('DateTimeAdapter');
        }
        if (!this._dateTimeFormats) {
            throw createMissingDateImplementationError('DATE_TIME_FORMATS');
        }
        // default model value
        this.value = this._dateTimeAdapter.now();
    }
    /**
     * @hidden
     */
    ngAfterViewInit() {
        // if used with platform forms, adjust width of datetimepicker to take 100% container space
        if (this.formField) {
            this._adjustPickerWidth();
        }
    }
    /** @hidden */
    writeValue(value) {
        super.writeValue(value);
        this.markForCheck();
    }
    /**
     * @hidden
     * override base functionality to catch new disabled state
     */
    setDisabledState(disabled) {
        super.setDisabledState(disabled);
        this.dateTimePickerComponent?.setDisabledState(disabled);
    }
    /**
     * @hidden
     * logic to handle validation from both platform forms and core datetiimepicker
     * @param datetime inputted
     */
    handleDatetimeInputChange(datetime) {
        if (this.dateTimePickerComponent) {
            if (this.dateTimePickerComponent._isInvalidDateInput) {
                if (this.ngControl?.control && this._control.value) {
                    this.ngControl.control.setErrors(this._control.errors);
                }
                this.state = 'error';
            }
            else {
                if (!this.dateTimePickerComponent._inputFieldDate && !this.allowNull) {
                    this.state = 'error'; // null value in not allowNull should throw error
                }
                else {
                    this.state = undefined; // resetting to default state
                }
            }
            // only set the value if it is a valid datetime object
            if (this.dateTimePickerComponent._inputFieldDate) {
                this.value = datetime;
            }
            this.stateChanges.next('datetime picker: handleDatetimeInputChange');
        }
        this.datetimeChange.emit(datetime);
        this.onTouched();
    }
    /**
     * @hidden
     * method that adjusts width of datetimepicker to take 100% container space
     */
    _adjustPickerWidth() {
        const customPopoverEl = this._elRef.nativeElement.querySelector('.fd-datetime .fd-popover-custom');
        if (!customPopoverEl) {
            return;
        }
        customPopoverEl.style.display = 'inline';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatetimePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: PlatformDatetimePickerComponent, isStandalone: true, selector: "fdp-datetime-picker", inputs: { value: "value", placement: "placement", appendTo: "appendTo", meridian: "meridian", displaySeconds: "displaySeconds", displayMinutes: "displayMinutes", displayHours: "displayHours", useValidation: "useValidation", isOpen: "isOpen", startingDayOfWeek: "startingDayOfWeek", activeView: "activeView", allowNull: "allowNull", keepTwoDigitsTime: "keepTwoDigitsTime", state: "state", buttonFocusable: "buttonFocusable", specialDaysRules: "specialDaysRules", yearGrid: "yearGrid", aggregatedYearGrid: "aggregatedYearGrid", markWeekends: "markWeekends", spinnerButtons: "spinnerButtons", showWeekNumbers: "showWeekNumbers", showFooter: "showFooter", processInputOnBlur: "processInputOnBlur", preventScrollOnFocus: "preventScrollOnFocus", mobile: "mobile", mobileConfig: "mobileConfig", mobileLandscape: "mobileLandscape", mobilePortrait: "mobilePortrait", disableFunction: "disableFunction" }, outputs: { isOpenChange: "isOpenChange", activeViewChange: "activeViewChange", datetimeChange: "datetimeChange", onClose: "onClose" }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: PlatformDatetimePickerComponent, multi: true }], viewQueries: [{ propertyName: "dateTimePickerComponent", first: true, predicate: DatetimePickerComponent, descendants: true }, { propertyName: "_elRef", first: true, predicate: DatetimePickerComponent, descendants: true, read: ElementRef, static: true }, { propertyName: "_control", first: true, predicate: DatetimePickerComponent, descendants: true, read: NgControl, static: true }], usesInheritance: true, ngImport: i0, template: "<fd-datetime-picker\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-required]=\"_isRequired\"\n    [ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.ariaDescribedBy]=\"ariaDescribedBy\"\n    [inputId]=\"id\"\n    [placeholder]=\"placeholder\"\n    [required]=\"required\"\n    [placement]=\"placement\"\n    [appendTo]=\"appendTo\"\n    [meridian]=\"meridian\"\n    [disabled]=\"disabled\"\n    [displaySeconds]=\"displaySeconds\"\n    [displayMinutes]=\"displayMinutes\"\n    [displayHours]=\"displayHours\"\n    [useValidation]=\"useValidation\"\n    [isOpen]=\"isOpen\"\n    [startingDayOfWeek]=\"startingDayOfWeek\"\n    [activeView]=\"activeView\"\n    [allowNull]=\"allowNull && !_isRequired\"\n    [keepTwoDigitsTime]=\"keepTwoDigitsTime\"\n    [state]=\"state\"\n    [buttonFocusable]=\"buttonFocusable\"\n    [specialDaysRules]=\"specialDaysRules\"\n    [yearGrid]=\"yearGrid\"\n    [aggregatedYearGrid]=\"aggregatedYearGrid\"\n    [markWeekends]=\"markWeekends\"\n    [spinnerButtons]=\"spinnerButtons\"\n    [showWeekNumbers]=\"showWeekNumbers\"\n    [showFooter]=\"showFooter\"\n    [disableFunction]=\"disableFunction\"\n    [processInputOnBlur]=\"processInputOnBlur\"\n    [preventScrollOnFocus]=\"preventScrollOnFocus\"\n    [mobile]=\"mobile\"\n    [mobileConfig]=\"mobileConfig\"\n    [mobileLandscape]=\"mobileLandscape\"\n    [mobilePortrait]=\"mobilePortrait\"\n    [(ngModel)]=\"value\"\n    (ngModelChange)=\"handleDatetimeInputChange($event)\"\n    (activeViewChange)=\"handleActiveViewChange($event)\"\n    (isOpenChange)=\"handleOpenChange($event)\"\n    (touched)=\"onTouched()\"\n>\n    <ng-content></ng-content>\n</fd-datetime-picker>\n", dependencies: [{ kind: "component", type: DatetimePickerComponent, selector: "fd-datetime-picker", inputs: ["placeholder", "placement", "appendTo", "disabled", "inputId", "required", "customDateTimeFormat", "meridian", "displaySeconds", "ariaLabelledBy", "message", "messageTriggers", "displayMinutes", "displayHours", "useValidation", "date", "isOpen", "startingDayOfWeek", "activeView", "allowNull", "keepTwoDigitsTime", "state", "buttonFocusable", "specialDaysRules", "yearGrid", "aggregatedYearGrid", "markWeekends", "spinnerButtons", "showWeekNumbers", "showFooter", "processInputOnBlur", "preventScrollOnFocus", "mobile", "mobileConfig", "mobileLandscape", "mobilePortrait", "isFullWidth", "disableFunction"], outputs: ["isOpenChange", "activeViewChange", "dateChange", "calendarChange", "timeChange", "onClose", "touched"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatetimePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-datetime-picker', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: PlatformDatetimePickerComponent, multi: true }], imports: [DatetimePickerComponent, FormsModule], template: "<fd-datetime-picker\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.aria-required]=\"_isRequired\"\n    [ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.ariaDescribedBy]=\"ariaDescribedBy\"\n    [inputId]=\"id\"\n    [placeholder]=\"placeholder\"\n    [required]=\"required\"\n    [placement]=\"placement\"\n    [appendTo]=\"appendTo\"\n    [meridian]=\"meridian\"\n    [disabled]=\"disabled\"\n    [displaySeconds]=\"displaySeconds\"\n    [displayMinutes]=\"displayMinutes\"\n    [displayHours]=\"displayHours\"\n    [useValidation]=\"useValidation\"\n    [isOpen]=\"isOpen\"\n    [startingDayOfWeek]=\"startingDayOfWeek\"\n    [activeView]=\"activeView\"\n    [allowNull]=\"allowNull && !_isRequired\"\n    [keepTwoDigitsTime]=\"keepTwoDigitsTime\"\n    [state]=\"state\"\n    [buttonFocusable]=\"buttonFocusable\"\n    [specialDaysRules]=\"specialDaysRules\"\n    [yearGrid]=\"yearGrid\"\n    [aggregatedYearGrid]=\"aggregatedYearGrid\"\n    [markWeekends]=\"markWeekends\"\n    [spinnerButtons]=\"spinnerButtons\"\n    [showWeekNumbers]=\"showWeekNumbers\"\n    [showFooter]=\"showFooter\"\n    [disableFunction]=\"disableFunction\"\n    [processInputOnBlur]=\"processInputOnBlur\"\n    [preventScrollOnFocus]=\"preventScrollOnFocus\"\n    [mobile]=\"mobile\"\n    [mobileConfig]=\"mobileConfig\"\n    [mobileLandscape]=\"mobileLandscape\"\n    [mobilePortrait]=\"mobilePortrait\"\n    [(ngModel)]=\"value\"\n    (ngModelChange)=\"handleDatetimeInputChange($event)\"\n    (activeViewChange)=\"handleActiveViewChange($event)\"\n    (isOpenChange)=\"handleOpenChange($event)\"\n    (touched)=\"onTouched()\"\n>\n    <ng-content></ng-content>\n</fd-datetime-picker>\n" }]
        }], ctorParameters: () => [], propDecorators: { value: [{
                type: Input
            }], placement: [{
                type: Input
            }], appendTo: [{
                type: Input
            }], meridian: [{
                type: Input
            }], displaySeconds: [{
                type: Input
            }], displayMinutes: [{
                type: Input
            }], displayHours: [{
                type: Input
            }], useValidation: [{
                type: Input
            }], isOpen: [{
                type: Input
            }], startingDayOfWeek: [{
                type: Input
            }], activeView: [{
                type: Input
            }], allowNull: [{
                type: Input
            }], keepTwoDigitsTime: [{
                type: Input
            }], state: [{
                type: Input
            }], buttonFocusable: [{
                type: Input
            }], specialDaysRules: [{
                type: Input
            }], yearGrid: [{
                type: Input
            }], aggregatedYearGrid: [{
                type: Input
            }], markWeekends: [{
                type: Input
            }], spinnerButtons: [{
                type: Input
            }], showWeekNumbers: [{
                type: Input
            }], showFooter: [{
                type: Input
            }], processInputOnBlur: [{
                type: Input
            }], preventScrollOnFocus: [{
                type: Input
            }], mobile: [{
                type: Input
            }], mobileConfig: [{
                type: Input
            }], mobileLandscape: [{
                type: Input
            }], mobilePortrait: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }], activeViewChange: [{
                type: Output
            }], datetimeChange: [{
                type: Output
            }], onClose: [{
                type: Output
            }], dateTimePickerComponent: [{
                type: ViewChild,
                args: [DatetimePickerComponent]
            }], _elRef: [{
                type: ViewChild,
                args: [DatetimePickerComponent, { static: true, read: ElementRef }]
            }], _control: [{
                type: ViewChild,
                args: [DatetimePickerComponent, { static: true, read: NgControl }]
            }], disableFunction: [{
                type: Input
            }] } });

class PlatformDatetimePickerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatetimePickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatetimePickerModule, imports: [PlatformDatetimePickerComponent], exports: [PlatformDatetimePickerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatetimePickerModule, imports: [PlatformDatetimePickerComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformDatetimePickerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [PlatformDatetimePickerComponent],
                    exports: [PlatformDatetimePickerComponent]
                }]
        }] });

const defaultFormGeneratorHintOptions = {
    placement: 'right',
    position: 'after',
    trigger: [
        { trigger: 'mouseenter', openAction: true, closeAction: false },
        { trigger: 'mouseleave', openAction: false, closeAction: true },
        { trigger: 'focusin', openAction: true, closeAction: false },
        { trigger: 'focusout', openAction: false, closeAction: true }
    ],
    glyph: 'hint',
    target: 'auto'
};

/**
 * @description
 * Structural directive, which hides current form item and toggles validation rules for it.
 */
class DynamicFormControlFieldDirective {
    /**
     * @description Form control instance.
     */
    set fdpDynamicFormControlField(value) {
        this._control = value;
        this._originalValidators = this._control.formItem.validators;
        this._originalAsyncValidators = this._control.formItem.asyncValidators;
        this._updateView();
    }
    /**
     * @description boolean flag representing if current item should be shown.
     */
    set fdpDynamicFormControlFieldShow(value) {
        this.shouldShowFormItem = value;
        this._updateView();
    }
    /** @hidden */
    constructor(_templateRef, _viewContainer) {
        this._templateRef = _templateRef;
        this._viewContainer = _viewContainer;
        /**
         * @hidden
         */
        this._componentRemoved = true;
    }
    /** @hidden */
    ngOnInit() {
        this._updateView();
    }
    /**
     * @description If false, validation will be skipped from the form item control
     */
    set shouldShowFormItem(value) {
        if (value === this._shouldShowFormItem) {
            return;
        }
        this._shouldShowFormItem = value;
        if (!value) {
            this._control.clearValidators();
            this._control.clearAsyncValidators();
        }
        else {
            this._control.setValidators(this._originalValidators ?? []);
            this._control.setAsyncValidators(this._originalAsyncValidators ?? []);
        }
        this._control.updateValueAndValidity({ emitEvent: false });
    }
    /** @hidden */
    _updateView() {
        if (this._shouldShowFormItem && this._componentRemoved) {
            this._viewContainer.createEmbeddedView(this._templateRef);
            this._componentRemoved = false;
        }
        else if (!this._shouldShowFormItem) {
            this._viewContainer.clear();
            this._componentRemoved = true;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormControlFieldDirective, deps: [{ token: i0.TemplateRef }, { token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: DynamicFormControlFieldDirective, isStandalone: true, selector: "[fdpDynamicFormControlField]", inputs: { fdpDynamicFormControlField: "fdpDynamicFormControlField", fdpDynamicFormControlFieldShow: "fdpDynamicFormControlFieldShow" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: DynamicFormControlFieldDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpDynamicFormControlField]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.TemplateRef }, { type: i0.ViewContainerRef }], propDecorators: { fdpDynamicFormControlField: [{
                type: Input
            }], fdpDynamicFormControlFieldShow: [{
                type: Input
            }] } });

const FDP_FORM_GENERATOR_DEFAULT_HINT_OPTIONS = new InjectionToken('Default options for form-generator hint', {
    factory: () => defaultFormGeneratorHintOptions
});

class GetHintOptionsPipe {
    /** @hidden */
    constructor(_providedHintOptions) {
        this._defaultHintOptions = {
            ...defaultFormGeneratorHintOptions,
            ..._providedHintOptions
        };
    }
    /**
     * Used for extracting hintOptions from GuiOptions. This will coerce string | HintOptions to FieldHintOptions,
     * will combine default value of hints for form generator with provided options.
     */
    transform(hintOptions) {
        if (!hintOptions?.hint) {
            return;
        }
        const formItemHintOptions = hintOptions.hint;
        if (typeof formItemHintOptions === 'string' || formItemHintOptions instanceof TemplateRef) {
            return {
                ...this._defaultHintOptions,
                content: formItemHintOptions
            };
        }
        return {
            ...this._defaultHintOptions,
            ...formItemHintOptions
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GetHintOptionsPipe, deps: [{ token: FDP_FORM_GENERATOR_DEFAULT_HINT_OPTIONS }], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: GetHintOptionsPipe, isStandalone: true, name: "getHintOptions" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GetHintOptionsPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'getHintOptions',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [FDP_FORM_GENERATOR_DEFAULT_HINT_OPTIONS]
                }] }] });

class GetOrderedFieldControlsPipe {
    /** @hidden */
    transform(field) {
        // casting type explicity to the DynamicFormControl[] as this pipe will be used specifically with this data type
        return Object.values(field.controls).sort((a, b) => (a.formItem.rank ?? -Infinity) > (b.formItem.rank ?? -Infinity) ? 1 : -1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GetOrderedFieldControlsPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: GetOrderedFieldControlsPipe, isStandalone: true, name: "getOrderedFieldControls", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GetOrderedFieldControlsPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'getOrderedFieldControls',
                    pure: false,
                    standalone: true
                }]
        }] });

let formUniqueId = 0;
const FDP_FORM_IGNORED_STATUSES = ['INVALID', 'PENDING', 'DISABLED'];
/**
 * @description Form Generator component represents a high-level component
 * which includes @see FormGroup inside.
 */
class FormGeneratorComponent {
    /**
     * @description List of @see DynamicFormItem representing the list of items
     * to be rendered in the form.
     */
    set formItems(formItems) {
        if (!formItems) {
            return;
        }
        formItems = isObservable(formItems) ? formItems : of(formItems);
        this._onFormItemsChange(formItems);
    }
    get formItems() {
        return this._formItems;
    }
    /** Array of form field controls. */
    get formFields() {
        return this.fields
            ?.toArray()
            .filter((field) => !!field.fieldRenderer?.control)
            .map((field) => field.fieldRenderer.control);
    }
    /** @hidden */
    constructor(_fgService, _cd, _providedHintOptions) {
        this._fgService = _fgService;
        this._cd = _cd;
        /** @description Unique form name */
        this.formName = `fdp-form-generator-${formUniqueId++}`;
        /**
         * Whether to hide main title. Default is false.
         */
        this.hideMainTItle = false;
        /**
         * Defines label's column layout.
         */
        this.labelColumnLayout = DefaultVerticalLabelLayout;
        /**
         * Defines field's column layout.
         */
        this.fieldColumnLayout = DefaultVerticalFieldLayout;
        /**
         * Defines gap column layout.
         */
        this.gapColumnLayout = DefaultGapLayout;
        /** Whether all form items should have identical layout provided for form group. */
        this.unifiedLayout = true;
        /** Inline column layout */
        this.inlineColumnLayout = DefaultVerticalFieldLayout;
        /**
         * @hidden
         * Removes extra empty row.
         * TODO: remove after #7533 has been fixed.
         */
        this.noAdditionalContent = false;
        /**
         * @description Event which notifies parent component that the form has been successfully created
         * and all controls are in place.
         */
        this.formCreated = new EventEmitter();
        /**
         * @description Event which notifies parent component that the form has been successfully validated
         * and submitted. Contains form
         */
        this.formSubmitted = new EventEmitter();
        /**
         * @description Event which notifies parent component that the form was submitted.
         */
        this.formSubmittedStatus = new EventEmitter();
        /** @hidden */
        this.doCheck$ = new Subject();
        /** @hidden */
        this.ngSubmit$ = new Subject();
        /**
         * Set of flags representing if particular form item should be visible to the user.
         */
        this.shouldShowFields = {};
        /**
         * Flag representing that form is loading
         */
        this.formLoading = true;
        /**
         * Stream of form loading state.
         */
        this.loading$ = new BehaviorSubject(this.formLoading);
        /**
         * Stream of last form submission status.
         */
        this.formSubmittedStatus$ = new Subject();
        /**
         * Stream of last form submission value.
         */
        this.formValue$ = new BehaviorSubject({});
        /**
         * @hidden
         * To differentiate between first loading when skeletons be shown and subsequent loadings when busy indicator be shown
         */
        this._firstLoadingDone = false;
        /** @hidden */
        this._errorModels = [];
        /** @hidden */
        this._refresh$ = new Subject();
        /**
         * @hidden
         * An RxJS Subject that will kill the data stream upon component’s destruction (for unsubscribing)
         */
        this._destroyRef = inject(DestroyRef);
        /** @hidden */
        this._mappedFormitems = new Map();
        this._defaultHintOptions = {
            ...defaultFormGeneratorHintOptions,
            ..._providedHintOptions
        };
        this._errorModels = this._getErrors();
    }
    /** @hidden */
    ngOnChanges(changes) {
        if (changes.hint) {
            if (typeof this.hint === 'string' || this.hint instanceof TemplateRef) {
                this.hintOptions = {
                    ...this._defaultHintOptions,
                    content: this.hint
                };
            }
            else {
                this.hintOptions = {
                    ...this._defaultHintOptions,
                    ...this.hint
                };
            }
        }
    }
    /**
     * @hidden
     */
    ngOnDestroy() {
        this._ngSubmitSubscription?.unsubscribe();
    }
    /**
     * Refreshes form items visibility with 'when' condition.
     */
    async refreshStepsVisibility() {
        this.shouldShowFields = await this._fgService.checkVisibleFormItems(this.form);
        this._cd.markForCheck();
    }
    /**
     * @hidden
     */
    async _onSubmit() {
        this.form.markAllAsTouched();
        this._cd.detectChanges();
        this.doCheck$.next();
        const formValue = await this._fgService.getFormValue(this.form);
        this.formSubmittedStatus.emit({ success: !this.form.invalid, value: formValue });
        this.formSubmittedStatus$.next({ success: !this.form.invalid, value: formValue });
        if (this.form.invalid) {
            return;
        }
        this.formSubmitted.emit(formValue);
        this.formValue$.next(formValue);
        this.form.markAsPristine();
    }
    /**
     * Adds new control to an existing form.
     * @param control Control configuration to add.
     * @param path Path of the control.
     */
    async addControl(control, path) {
        this._addControlToFormItems(control, path);
        this._fgService.addControl(control, this.form, path);
        this.formControlItems = this._getOrderedControls(this.form.controls);
        this.shouldShowFields = await this._fgService.checkVisibleFormItems(this.form);
    }
    /**
     * Removes the control with the given name by the given path.
     * @param name Name of the control.
     * @param path Path of the control.
     */
    async removeControl(name, path) {
        this._removeControlFromItems(name, path);
        this._fgService.removeControl(name, this.form, path);
        this.formControlItems = this._getOrderedControls(this.form.controls);
        this.shouldShowFields = await this._fgService.checkVisibleFormItems(this.form);
    }
    /**
     *
     * @hidden
     */
    _trackFn(index, value) {
        return `${index}_${value.formItem.name}`;
    }
    /** @hidden */
    _groupTrackFn(index, value) {
        return value.formItem.name;
    }
    /**
     *
     * @description Programmatically submit form.
     * This method also calls validation for the form items.
     */
    submit() {
        this.formGroup.onSubmit(new Event('submit'));
    }
    /** @hidden */
    _isAdvancedError(error) {
        return error.heading && error.description && error.type;
    }
    /** @hidden */
    _errorsTrackBy(_, error) {
        return error.type;
    }
    /**
     * @hidden
     */
    async _generateForm() {
        this.formLoading = true;
        this.loading$.next(this.formLoading);
        const form = await this._fgService.generateForm(this.formName, this._mappedFormitems);
        this._formValueSubscription?.unsubscribe();
        this.form = form;
        this.formControlItems = this._getOrderedControls(form.controls);
        this.shouldShowFields = await this._fgService.checkVisibleFormItems(this.form);
        this._formValueSubscription = this.form.valueChanges
            .pipe(debounceTime(50), takeUntilDestroyed(this._destroyRef))
            .subscribe(async () => {
            this.shouldShowFields = await this._fgService.checkVisibleFormItems(this.form);
            this._cd.markForCheck();
        });
        this.formLoading = false;
        this._firstLoadingDone = true;
        this._cd.detectChanges();
        this.formCreated.emit(this.form);
        this.loading$.next(this.formLoading);
        if (!this.formGroup) {
            return;
        }
        this._listenToSubmit();
    }
    /** @hidden */
    _getOrderedControls(controls) {
        return Object.values(controls).sort((a, b) => (a.formItem?.rank ?? -Infinity) - (b.formItem?.rank ?? -Infinity));
    }
    /** @hidden */
    _getErrors() {
        const returnErrors = [];
        const registeredErrors = this._fgService.validationErrorHints;
        Object.entries(registeredErrors).forEach((type) => {
            const [errorType, errorValue] = type;
            returnErrors.push({
                type: errorType,
                value: errorValue
            });
        });
        return returnErrors;
    }
    /** @hidden */
    _listenToSubmit() {
        this._ngSubmitSubscription?.unsubscribe();
        this._ngSubmitSubscription = this.formGroup.ngSubmit
            .pipe(tap$1(() => {
            this.ngSubmit$.next();
        }), switchMap(() => this.formGroup.statusChanges.pipe(startWith(this.formGroup.status), filter$1((status) => status !== 'PENDING'), take(1), takeUntilDestroyed(this._destroyRef))))
            .subscribe(async () => {
            await this._onSubmit();
            this._listenToSubmit();
        });
    }
    /** @hidden */
    _onFormItemsChange(items) {
        this._refresh$.next();
        this._refresh$.complete();
        this._refresh$ = new Subject();
        items.pipe(takeUntil(merge(this._refresh$, destroyObservable(this._destroyRef)))).subscribe((formItems) => {
            this._mappedFormitems = mapFormItems(formItems);
            this._generateForm();
        });
    }
    /** @hidden */
    _applyRank(items) {
        items = items.map((item, index) => {
            item.rank = item.rank || index;
            if (item.items) {
                item.items = this._applyRank(item.items);
            }
            return item;
        });
        return items;
    }
    /** @hidden */
    _addControlToFormItems(item, path) {
        if (!path) {
            this._mappedFormitems.set(item.name, transformFormItem(item, this._mappedFormitems.size));
            return;
        }
        const parentItem = getParentItem(path, this._mappedFormitems);
        if (!parentItem || isFormFieldItem(parentItem)) {
            return;
        }
        parentItem.items = parentItem.items || new Map();
        parentItem.items.set(item.name, transformFormItem(item, parentItem.items.size));
    }
    /** @hidden */
    _removeControlFromItems(name, path) {
        if (!path) {
            this._mappedFormitems.delete(name);
            return;
        }
        const parentItem = getParentItem(path, this._mappedFormitems);
        if (!parentItem || isFormFieldItem(parentItem)) {
            return;
        }
        parentItem.items?.delete(name);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorComponent, deps: [{ token: FormGeneratorService }, { token: i0.ChangeDetectorRef }, { token: FDP_FORM_GENERATOR_DEFAULT_HINT_OPTIONS }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FormGeneratorComponent, isStandalone: true, selector: "fdp-form-generator", inputs: { formName: "formName", formItems: "formItems", mainTitle: "mainTitle", hideMainTItle: "hideMainTItle", hint: "hint", columnLayout: "columnLayout", labelColumnLayout: "labelColumnLayout", fieldColumnLayout: "fieldColumnLayout", gapColumnLayout: "gapColumnLayout", unifiedLayout: "unifiedLayout", inlineColumnLayout: "inlineColumnLayout", noAdditionalContent: "noAdditionalContent" }, outputs: { formCreated: "formCreated", formSubmitted: "formSubmitted", formSubmittedStatus: "formSubmittedStatus" }, providers: [
            {
                provide: FDP_DO_CHECK,
                useFactory: (formGenerator) => formGenerator.doCheck$,
                deps: [FormGeneratorComponent]
            },
            {
                provide: FDP_FORM_SUBMIT,
                useFactory: (formGenerator) => formGenerator.ngSubmit$,
                deps: [FormGeneratorComponent]
            }
        ], viewQueries: [{ propertyName: "ngForm", first: true, predicate: NgForm, descendants: true }, { propertyName: "formGroup", first: true, predicate: FormGroupDirective, descendants: true }, { propertyName: "fields", predicate: FormGeneratorFieldComponent, descendants: true }], usesOnChanges: true, ngImport: i0, template: "@if (_firstLoadingDone) {\n    <fd-busy-indicator [loading]=\"formLoading\" [block]=\"true\">\n        @if (form) {\n            <fdp-form-group\n                [hint]=\"hint\"\n                [mainTitle]=\"mainTitle\"\n                [hideMainTItle]=\"hideMainTItle\"\n                [formGroup]=\"form\"\n                [columnLayout]=\"columnLayout\"\n                [labelColumnLayout]=\"labelColumnLayout\"\n                [fieldColumnLayout]=\"fieldColumnLayout\"\n                [gapColumnLayout]=\"gapColumnLayout\"\n                [unifiedLayout]=\"unifiedLayout\"\n                [inlineColumnLayout]=\"inlineColumnLayout\"\n                [useForm]=\"true\"\n            >\n                @for (error of _errorModels; track _errorsTrackBy($index, error)) {\n                    <span *fdpFormFieldError=\"error.type; let directiveError\">\n                        @if (_isAdvancedError(directiveError)) {\n                            @if (directiveError.heading) {\n                                <span *fdpFormFieldErrorHeading=\"let validationError; type: directiveError.type\">\n                                    {{ validationError.heading }}\n                                </span>\n                            }\n                            @if (directiveError.description) {\n                                <span *fdpFormFieldErrorDescription=\"let validationError\">\n                                    {{ validationError.description }}\n                                </span>\n                            }\n                        } @else {\n                            <span *fdpFormFieldErrorHeading=\"let validationError\">\n                                {{ error.value ? error.value : validationError }}\n                            </span>\n                        }\n                    </span>\n                }\n                @for (field of formControlItems; track _trackFn($index, field)) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"field.type === 'field' ? fieldRenderer : groupRenderer\"\n                        [ngTemplateOutletContext]=\"{\n                            field: field,\n                            formFieldName: field.formItem.name,\n                            rank: field.formItem?.rank || 0\n                        }\"\n                    ></ng-template>\n                    <ng-template\n                        #fieldRenderer\n                        let-field=\"field\"\n                        let-formFieldName=\"formFieldName\"\n                        let-formGroupName=\"formGroupName\"\n                        let-rank=\"rank\"\n                    >\n                        <ng-container\n                            *fdpDynamicFormControlField=\"field; show: shouldShowFields[field.formItem.name] !== false\"\n                        >\n                            <fdp-form-generator-field\n                                [hintOptions]=\"field.formItem.guiOptions | getHintOptions\"\n                                [form]=\"form\"\n                                [shouldShow]=\"shouldShowFields[field.formItem.name] !== false\"\n                                [field]=\"field\"\n                                [formFieldName]=\"formFieldName\"\n                                [formGroupNamePath]=\"formGroupName\"\n                                [rank]=\"rank\"\n                            ></fdp-form-generator-field>\n                        </ng-container>\n                    </ng-template>\n                    <ng-template #groupRenderer>\n                        <fdp-form-field-group\n                            [hintOptions]=\"field.formItem.guiOptions | getHintOptions\"\n                            [label]=\"field.formItem.message || ''\"\n                            [labelColumnLayout]=\"field.formItem.guiOptions?.labelColumnLayout\"\n                            [fieldColumnLayout]=\"field.formItem.guiOptions?.fieldColumnLayout\"\n                            [gapColumnLayout]=\"field.formItem.guiOptions?.gapColumnLayout\"\n                            [formName]=\"field.formItem.name\"\n                        >\n                            @for (\n                                groupField of field | getOrderedFieldControls;\n                                track _groupTrackFn($index, groupField)\n                            ) {\n                                <ng-container\n                                    *fdpDynamicFormControlField=\"\n                                        groupField;\n                                        show: shouldShowFields[groupField.formItem.name!] !== false\n                                    \"\n                                >\n                                    <fdp-form-generator-field\n                                        [hintOptions]=\"groupField.formItem.guiOptions | getHintOptions\"\n                                        [form]=\"form\"\n                                        [field]=\"groupField\"\n                                        [shouldShow]=\"shouldShowFields[groupField.formItem.name!] !== false\"\n                                        [formFieldName]=\"groupField.formItem.name\"\n                                        [formGroupNamePath]=\"field.formItem.name\"\n                                        [rank]=\"groupField.formItem.rank || 0\"\n                                    ></fdp-form-generator-field>\n                                </ng-container>\n                            }\n                        </fdp-form-field-group>\n                    </ng-template>\n                }\n                @if (!noAdditionalContent) {\n                    <fdp-form-field [column]=\"1\" [rank]=\"formControlItems.length + 1\">\n                        <!-- For user-defined elements, like submit button -->\n                        <ng-content></ng-content>\n                    </fdp-form-field>\n                }\n            </fdp-form-group>\n        }\n    </fd-busy-indicator>\n} @else {\n    <fd-skeleton width=\"100%\" height=\"100px\" [style.padding.rem]=\"1\">\n        <svg:rect x=\"0\" y=\"0\" rx=\"4\" width=\"15%\" height=\"8\" />\n        <svg:rect x=\"0\" y=\"20\" rx=\"4\" width=\"25%\" height=\"16\" />\n        <svg:rect x=\"35%\" y=\"0\" rx=\"4\" width=\"15%\" height=\"8\" />\n        <svg:rect x=\"35%\" y=\"20\" rx=\"4\" width=\"25%\" height=\"16\" />\n        <svg:rect x=\"0\" y=\"60\" rx=\"4\" width=\"15%\" height=\"8\" />\n        <svg:rect x=\"0\" y=\"80\" rx=\"4\" width=\"25%\" height=\"16\" />\n    </fd-skeleton>\n}\n", dependencies: [{ kind: "ngmodule", type: BusyIndicatorModule }, { kind: "component", type: i2$3.BusyIndicatorComponent, selector: "fd-busy-indicator", inputs: ["loading", "size", "block", "ariaLabel", "title", "label", "ariaLive"] }, { kind: "ngmodule", type: FdpFormGroupModule }, { kind: "component", type: FormGroupComponent, selector: "fdp-form-group", inputs: ["id", "name", "editable", "noLabelLayout", "class", "hint", "inlineColumnLayout", "labelColumnLayout", "fieldColumnLayout", "gapColumnLayout", "formGroup", "topTitle", "mainTitle", "hideMainTItle", "object", "i18Strings", "useForm", "columnLayout", "unifiedLayout"], outputs: ["onSubmit"] }, { kind: "component", type: FormFieldComponent, selector: "fdp-form-field", inputs: ["label", "id", "hint", "noLabelLayout", "validators", "rank", "placeholder", "column", "columnLayout", "labelColumnLayout", "fieldColumnLayout", "gapColumnLayout", "i18Strings", "required", "editable", "columns", "disabled", "colon", "formGroupContainer"], outputs: ["onChange", "onColumnChange"] }, { kind: "component", type: FormFieldGroupComponent, selector: "fdp-form-field-group", inputs: ["label", "formName", "formGroupContainer", "labelColumnLayout", "fieldColumnLayout", "gapColumnLayout", "hintOptions"] }, { kind: "directive", type: FormFieldErrorDirective, selector: "[fdpFormFieldError]", inputs: ["fdpFormFieldErrorAs", "fdpFormFieldError", "fdpFormFieldErrorType"] }, { kind: "directive", type: FormFieldErrorHeadingDirective, selector: "[fdpFormFieldErrorHeading]", inputs: ["fdpFormFieldErrorHeadingAs", "fdpFormFieldErrorHeadingType"] }, { kind: "directive", type: FormFieldErrorDescriptionDirective, selector: "[fdpFormFieldErrorDescription]", inputs: ["fdpFormFieldErrorDescriptionAs"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i1$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: DynamicFormControlFieldDirective, selector: "[fdpDynamicFormControlField]", inputs: ["fdpDynamicFormControlField", "fdpDynamicFormControlFieldShow"] }, { kind: "component", type: FormGeneratorFieldComponent, selector: "fdp-form-generator-field", inputs: ["field", "form", "i18n", "formFieldName", "formGroupNamePath", "rank", "shouldShow", "hintOptions"] }, { kind: "component", type: SkeletonComponent, selector: "fd-skeleton", inputs: ["animated", "type", "textLines", "width", "height"] }, { kind: "pipe", type: GetOrderedFieldControlsPipe, name: "getOrderedFieldControls" }, { kind: "pipe", type: GetHintOptionsPipe, name: "getHintOptions" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FormGeneratorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-form-generator', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: FDP_DO_CHECK,
                            useFactory: (formGenerator) => formGenerator.doCheck$,
                            deps: [FormGeneratorComponent]
                        },
                        {
                            provide: FDP_FORM_SUBMIT,
                            useFactory: (formGenerator) => formGenerator.ngSubmit$,
                            deps: [FormGeneratorComponent]
                        }
                    ], imports: [
                        BusyIndicatorModule,
                        FdpFormGroupModule,
                        FormsModule,
                        ReactiveFormsModule,
                        NgTemplateOutlet,
                        DynamicFormControlFieldDirective,
                        FormGeneratorFieldComponent,
                        SkeletonComponent,
                        GetOrderedFieldControlsPipe,
                        GetHintOptionsPipe
                    ], template: "@if (_firstLoadingDone) {\n    <fd-busy-indicator [loading]=\"formLoading\" [block]=\"true\">\n        @if (form) {\n            <fdp-form-group\n                [hint]=\"hint\"\n                [mainTitle]=\"mainTitle\"\n                [hideMainTItle]=\"hideMainTItle\"\n                [formGroup]=\"form\"\n                [columnLayout]=\"columnLayout\"\n                [labelColumnLayout]=\"labelColumnLayout\"\n                [fieldColumnLayout]=\"fieldColumnLayout\"\n                [gapColumnLayout]=\"gapColumnLayout\"\n                [unifiedLayout]=\"unifiedLayout\"\n                [inlineColumnLayout]=\"inlineColumnLayout\"\n                [useForm]=\"true\"\n            >\n                @for (error of _errorModels; track _errorsTrackBy($index, error)) {\n                    <span *fdpFormFieldError=\"error.type; let directiveError\">\n                        @if (_isAdvancedError(directiveError)) {\n                            @if (directiveError.heading) {\n                                <span *fdpFormFieldErrorHeading=\"let validationError; type: directiveError.type\">\n                                    {{ validationError.heading }}\n                                </span>\n                            }\n                            @if (directiveError.description) {\n                                <span *fdpFormFieldErrorDescription=\"let validationError\">\n                                    {{ validationError.description }}\n                                </span>\n                            }\n                        } @else {\n                            <span *fdpFormFieldErrorHeading=\"let validationError\">\n                                {{ error.value ? error.value : validationError }}\n                            </span>\n                        }\n                    </span>\n                }\n                @for (field of formControlItems; track _trackFn($index, field)) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"field.type === 'field' ? fieldRenderer : groupRenderer\"\n                        [ngTemplateOutletContext]=\"{\n                            field: field,\n                            formFieldName: field.formItem.name,\n                            rank: field.formItem?.rank || 0\n                        }\"\n                    ></ng-template>\n                    <ng-template\n                        #fieldRenderer\n                        let-field=\"field\"\n                        let-formFieldName=\"formFieldName\"\n                        let-formGroupName=\"formGroupName\"\n                        let-rank=\"rank\"\n                    >\n                        <ng-container\n                            *fdpDynamicFormControlField=\"field; show: shouldShowFields[field.formItem.name] !== false\"\n                        >\n                            <fdp-form-generator-field\n                                [hintOptions]=\"field.formItem.guiOptions | getHintOptions\"\n                                [form]=\"form\"\n                                [shouldShow]=\"shouldShowFields[field.formItem.name] !== false\"\n                                [field]=\"field\"\n                                [formFieldName]=\"formFieldName\"\n                                [formGroupNamePath]=\"formGroupName\"\n                                [rank]=\"rank\"\n                            ></fdp-form-generator-field>\n                        </ng-container>\n                    </ng-template>\n                    <ng-template #groupRenderer>\n                        <fdp-form-field-group\n                            [hintOptions]=\"field.formItem.guiOptions | getHintOptions\"\n                            [label]=\"field.formItem.message || ''\"\n                            [labelColumnLayout]=\"field.formItem.guiOptions?.labelColumnLayout\"\n                            [fieldColumnLayout]=\"field.formItem.guiOptions?.fieldColumnLayout\"\n                            [gapColumnLayout]=\"field.formItem.guiOptions?.gapColumnLayout\"\n                            [formName]=\"field.formItem.name\"\n                        >\n                            @for (\n                                groupField of field | getOrderedFieldControls;\n                                track _groupTrackFn($index, groupField)\n                            ) {\n                                <ng-container\n                                    *fdpDynamicFormControlField=\"\n                                        groupField;\n                                        show: shouldShowFields[groupField.formItem.name!] !== false\n                                    \"\n                                >\n                                    <fdp-form-generator-field\n                                        [hintOptions]=\"groupField.formItem.guiOptions | getHintOptions\"\n                                        [form]=\"form\"\n                                        [field]=\"groupField\"\n                                        [shouldShow]=\"shouldShowFields[groupField.formItem.name!] !== false\"\n                                        [formFieldName]=\"groupField.formItem.name\"\n                                        [formGroupNamePath]=\"field.formItem.name\"\n                                        [rank]=\"groupField.formItem.rank || 0\"\n                                    ></fdp-form-generator-field>\n                                </ng-container>\n                            }\n                        </fdp-form-field-group>\n                    </ng-template>\n                }\n                @if (!noAdditionalContent) {\n                    <fdp-form-field [column]=\"1\" [rank]=\"formControlItems.length + 1\">\n                        <!-- For user-defined elements, like submit button -->\n                        <ng-content></ng-content>\n                    </fdp-form-field>\n                }\n            </fdp-form-group>\n        }\n    </fd-busy-indicator>\n} @else {\n    <fd-skeleton width=\"100%\" height=\"100px\" [style.padding.rem]=\"1\">\n        <svg:rect x=\"0\" y=\"0\" rx=\"4\" width=\"15%\" height=\"8\" />\n        <svg:rect x=\"0\" y=\"20\" rx=\"4\" width=\"25%\" height=\"16\" />\n        <svg:rect x=\"35%\" y=\"0\" rx=\"4\" width=\"15%\" height=\"8\" />\n        <svg:rect x=\"35%\" y=\"20\" rx=\"4\" width=\"25%\" height=\"16\" />\n        <svg:rect x=\"0\" y=\"60\" rx=\"4\" width=\"15%\" height=\"8\" />\n        <svg:rect x=\"0\" y=\"80\" rx=\"4\" width=\"25%\" height=\"16\" />\n    </fd-skeleton>\n}\n" }]
        }], ctorParameters: () => [{ type: FormGeneratorService }, { type: i0.ChangeDetectorRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [FDP_FORM_GENERATOR_DEFAULT_HINT_OPTIONS]
                }] }], propDecorators: { formName: [{
                type: Input
            }], formItems: [{
                type: Input
            }], mainTitle: [{
                type: Input
            }], hideMainTItle: [{
                type: Input
            }], hint: [{
                type: Input
            }], columnLayout: [{
                type: Input
            }], labelColumnLayout: [{
                type: Input
            }], fieldColumnLayout: [{
                type: Input
            }], gapColumnLayout: [{
                type: Input
            }], unifiedLayout: [{
                type: Input
            }], inlineColumnLayout: [{
                type: Input
            }], noAdditionalContent: [{
                type: Input
            }], formCreated: [{
                type: Output
            }], formSubmitted: [{
                type: Output
            }], formSubmittedStatus: [{
                type: Output
            }], ngForm: [{
                type: ViewChild,
                args: [NgForm]
            }], formGroup: [{
                type: ViewChild,
                args: [FormGroupDirective]
            }], fields: [{
                type: ViewChildren,
                args: [FormGeneratorFieldComponent]
            }] } });

/**
 * Adds Form Generator functionality to your application.
 *
 * Can be imported in two ways:
 * * Plain PlatformFormGeneratorModule with default configuration
 * * With `withConfig()` method which allows passing custom default configuration.
 */
class PlatformFormGeneratorModule {
    /**
     * Allows configuring module on a global level with custom configuration.
     * @param config User's custom configuration.
     */
    static withConfig(config) {
        return {
            ngModule: PlatformFormGeneratorModule,
            providers: [
                {
                    provide: FORM_GENERATOR_ITEM_CONFIG,
                    useValue: config.itemConfig
                },
                {
                    provide: FORM_GENERATOR_CONFIG,
                    useValue: config.formConfig
                }
            ]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformFormGeneratorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformFormGeneratorModule, imports: [FormGeneratorComponent,
            DynamicFormControlFieldDirective,
            DynamicFormControlDirective,
            DynamicFormGeneratorCheckboxComponent,
            DynamicFormGeneratorInputComponent,
            DynamicFormGeneratorEditorComponent,
            DynamicFormGeneratorSelectComponent,
            DynamicFormGeneratorRadioComponent,
            DynamicFormGeneratorDatepickerComponent,
            DynamicFormGeneratorSwitchComponent,
            FormGeneratorFieldComponent,
            DynamicFormGeneratorMultiInputComponent,
            GetOrderedFieldControlsPipe,
            DynamicFormGeneratorObjectStatusComponent,
            GetHintOptionsPipe], exports: [FormGeneratorComponent,
            DynamicFormControlFieldDirective,
            DynamicFormControlDirective,
            DynamicFormGeneratorCheckboxComponent,
            DynamicFormGeneratorInputComponent,
            DynamicFormGeneratorEditorComponent,
            DynamicFormGeneratorSelectComponent,
            DynamicFormGeneratorRadioComponent,
            DynamicFormGeneratorDatepickerComponent,
            DynamicFormGeneratorSwitchComponent,
            FormGeneratorFieldComponent,
            ContentDensityModule,
            DynamicFormGeneratorObjectStatusComponent,
            GetHintOptionsPipe] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformFormGeneratorModule, providers: [
            FormGeneratorService,
            FormGeneratorComponentsAccessorService,
            defaultFormGeneratorItemConfigProvider,
            defaultFormGeneratorConfigProvider
        ], imports: [FormGeneratorComponent,
            DynamicFormGeneratorCheckboxComponent,
            DynamicFormGeneratorInputComponent,
            DynamicFormGeneratorEditorComponent,
            DynamicFormGeneratorSelectComponent,
            DynamicFormGeneratorRadioComponent,
            DynamicFormGeneratorDatepickerComponent,
            DynamicFormGeneratorSwitchComponent,
            FormGeneratorFieldComponent,
            DynamicFormGeneratorMultiInputComponent,
            DynamicFormGeneratorObjectStatusComponent, ContentDensityModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformFormGeneratorModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        FormGeneratorComponent,
                        DynamicFormControlFieldDirective,
                        DynamicFormControlDirective,
                        DynamicFormGeneratorCheckboxComponent,
                        DynamicFormGeneratorInputComponent,
                        DynamicFormGeneratorEditorComponent,
                        DynamicFormGeneratorSelectComponent,
                        DynamicFormGeneratorRadioComponent,
                        DynamicFormGeneratorDatepickerComponent,
                        DynamicFormGeneratorSwitchComponent,
                        FormGeneratorFieldComponent,
                        DynamicFormGeneratorMultiInputComponent,
                        GetOrderedFieldControlsPipe,
                        DynamicFormGeneratorObjectStatusComponent,
                        GetHintOptionsPipe
                    ],
                    providers: [
                        FormGeneratorService,
                        FormGeneratorComponentsAccessorService,
                        defaultFormGeneratorItemConfigProvider,
                        defaultFormGeneratorConfigProvider
                    ],
                    exports: [
                        FormGeneratorComponent,
                        DynamicFormControlFieldDirective,
                        DynamicFormControlDirective,
                        DynamicFormGeneratorCheckboxComponent,
                        DynamicFormGeneratorInputComponent,
                        DynamicFormGeneratorEditorComponent,
                        DynamicFormGeneratorSelectComponent,
                        DynamicFormGeneratorRadioComponent,
                        DynamicFormGeneratorDatepickerComponent,
                        DynamicFormGeneratorSwitchComponent,
                        FormGeneratorFieldComponent,
                        ContentDensityModule,
                        DynamicFormGeneratorObjectStatusComponent,
                        GetHintOptionsPipe
                    ]
                }]
        }] });

class PlatformInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputModule, imports: [InputComponent], exports: [InputComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputModule, imports: [InputComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [InputComponent],
                    exports: [InputComponent]
                }]
        }] });

const CSS_CLASS_NAME = {
    host: 'fdp-input-group',
    input: 'fd-input-group__input',
    addon: 'fd-input-group__addon',
    addonButton: 'fd-input-group__addon--button',
    button: 'fd-input-group__button'
};
const INPUT_GROUP_CHILD_TOKEN = new InjectionToken('INPUT_GROUP_CHILD_TOKEN');

/**
 * Fundamental input group addon body component
 */
class InputGroupAddonBodyComponent {
    /**
     * indicates if addon contains a button
     */
    set hasButton(hasButton) {
        if (hasButton) {
            this._addClassNameToHostElement(CSS_CLASS_NAME.addonButton);
        }
        else {
            this._removeClassNameFromHostElement(CSS_CLASS_NAME.addonButton);
        }
    }
    /** @hidden */
    constructor(_elementRef, _renderer, contentDensityObserver) {
        this._elementRef = _elementRef;
        this._renderer = _renderer;
        contentDensityObserver.subscribe();
    }
    /** @hidden */
    ngOnInit() {
        this._addClassNameToHostElement(CSS_CLASS_NAME.addon);
    }
    /** @hidden */
    _addClassNameToHostElement(className) {
        this._renderer.addClass(this._elementRef.nativeElement, className);
    }
    /** @hidden */
    _removeClassNameFromHostElement(className) {
        this._renderer.removeClass(this._elementRef.nativeElement, className);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupAddonBodyComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i2$1.ContentDensityObserver }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: InputGroupAddonBodyComponent, isStandalone: true, selector: "fdp-input-group-addon-body", inputs: { hasButton: "hasButton" }, providers: [contentDensityObserverProviders()], ngImport: i0, template: '<ng-content></ng-content>', isInline: true, dependencies: [{ kind: "ngmodule", type: ContentDensityModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupAddonBodyComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-input-group-addon-body',
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [contentDensityObserverProviders()],
                    imports: [ContentDensityModule]
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i2$1.ContentDensityObserver }], propDecorators: { hasButton: [{
                type: Input
            }] } });

const inputGroupAddonChildProvider = {
    provide: INPUT_GROUP_CHILD_TOKEN,
    useExisting: forwardRef(() => InputGroupAddonComponent)
};
/**
 * Fundamental input group addon component
 *
 * This component is intended to be used inside `<fdp-input-group>`
 *
 *
 * Input group addon can contain a plain text:
 * ```
 * <fdp-input-group-addon>$</fdp-input-group-addon>
 * ```
 * Icon:
 * ```
 * <fdp-input-group-addon><i class="sap-icon--employee"></i></fdp-input-group-addon>
 * ```
 * Button component:
 * ```
 * <fdp-input-group-addon><fdp-button label="Action"></fdp-button></fdp-input-group-addon>
 * ```
 *
 */
class InputGroupAddonComponent {
    /** @hidden */
    set disabled(disabled) {
        this._disabled = disabled;
        this._setButtonControlOptions();
    }
    get disabled() {
        return this._disabled;
    }
    /** @hidden */
    set buttonElementRef(buttonComponentElementRef) {
        this._setButtonElementClass(buttonComponentElementRef?.nativeElement);
    }
    /** @hidden */
    get button() {
        return this.platformButton || this.coreButton;
    }
    /** @hidden */
    constructor(_renderer) {
        this._renderer = _renderer;
        /** @hidden */
        this._disabled = false;
    }
    /** @hidden */
    ngAfterContentInit() {
        this._setButtonControlOptions();
    }
    /** @hidden */
    _setButtonControlOptions() {
        const button = this.platformButton || this.coreButton;
        if (!button) {
            return;
        }
        button.fdType = 'transparent';
        button.disabled = this._disabled;
        button.markForCheck();
    }
    /** @hidden */
    _setButtonElementClass(buttonComponentElement) {
        if (!buttonComponentElement) {
            return;
        }
        const button = buttonComponentElement.querySelector('button');
        this._renderer.addClass(button, CSS_CLASS_NAME.button);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupAddonComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: InputGroupAddonComponent, isStandalone: true, selector: "fdp-input-group-addon", providers: [inputGroupAddonChildProvider], queries: [{ propertyName: "platformButton", first: true, predicate: FDP_BUTTON, descendants: true }, { propertyName: "coreButton", first: true, predicate: FD_BUTTON_COMPONENT, descendants: true }, { propertyName: "buttonElementRef", first: true, predicate: ButtonComponent, descendants: true, read: ElementRef }], viewQueries: [{ propertyName: "contentTemplateRef", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: '<ng-template><ng-content></ng-content></ng-template>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupAddonComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-input-group-addon',
                    template: '<ng-template><ng-content></ng-content></ng-template>',
                    providers: [inputGroupAddonChildProvider],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }], propDecorators: { contentTemplateRef: [{
                type: ViewChild,
                args: [TemplateRef]
            }], platformButton: [{
                type: ContentChild,
                args: [FDP_BUTTON]
            }], coreButton: [{
                type: ContentChild,
                args: [FD_BUTTON_COMPONENT]
            }], buttonElementRef: [{
                type: ContentChild,
                args: [ButtonComponent, { read: ElementRef }]
            }] } });

/**
 * Default options for platform input group
 */
class InputGroupConfig {
    /** @hidden */
    constructor(platformConfig) {
        this.contentDensity = platformConfig.contentDensity;
    }
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj) {
        const useFactory = (platformConfig) => Object.assign(new InputGroupConfig(platformConfig), obj);
        return useFactory;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupConfig, deps: [{ token: i1.PlatformConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1.PlatformConfig }] });

/**
 * fdp-input-group needs it's own input component to
 * register INPUT_GROUP_CHILD in order to render
 * input group content children in the order that they are placed
 *
 */
const inputGroupInputChildProvider = {
    provide: INPUT_GROUP_CHILD_TOKEN,
    useExisting: forwardRef(() => InputGroupInputComponent)
};
/**
 * Fundamental input group input component
 *
 * This component is intended to be used inside `<fdp-input-group>`
 *
 * Example:
 * ```
 * <fdp-input-group name="group">
 *   <fdp-input-group-input type="email"></fdp-input-group-input>
 * </fdp-input-group>
 * ```
 *
 */
class InputGroupInputComponent {
    constructor() {
        /** InputType 'text' | 'number' | 'email' | 'password' */
        this.type = 'text';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: InputGroupInputComponent, isStandalone: true, selector: "fdp-input-group-input", inputs: { type: "type" }, providers: [inputGroupInputChildProvider], ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupInputComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-input-group-input',
                    template: '',
                    providers: [inputGroupInputChildProvider],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    standalone: true
                }]
        }], propDecorators: { type: [{
                type: Input
            }] } });

/**
 * Fundamental input group component
 *
 * ```html
 * <fdp-input-group>
 *   <fdp-input-group-addon>$</fdp-input-group-addon>
 *   <fdp-input-group-input type="number"></fdp-input-group-input>
 *   <fdp-input-group-addon>0.00</fdp-input-group-addon>
 * </fdp-input-group>
 * ```
 *
 */
class InputGroupComponent {
    /** Input value */
    set value(value) {
        this._cvaControl.cvaDirective?.setValue(value);
    }
    get value() {
        return this._cvaControl.cvaDirective?.value;
    }
    /** @hidden */
    set _inputComponentElement(inputComponentElementRef) {
        this._setInputElementClass(inputComponentElementRef?.nativeElement);
    }
    /** @hidden */
    constructor(_cvaControl, _renderer, _hostElementRef, _inputGroupConfig) {
        this._cvaControl = _cvaControl;
        this._renderer = _renderer;
        this._hostElementRef = _hostElementRef;
        this._inputGroupConfig = _inputGroupConfig;
        /** @hidden */
        this._beforeInputAddons = [];
        /** @hidden */
        this._afterInputAddons = [];
        warnOnce(`[Deprecated] Platform Input Group Component is deprecated and will be removed in the next major version.
             Please use Core implementation of Input Group Component instead.`);
    }
    /** @hidden */
    ngOnInit() {
        this._cvaControl.listenToChanges();
        /**
         * Assign predefined className to host element
         * to make css selector stronger
         */
        this._addClassNameToHostElement(CSS_CLASS_NAME.host);
    }
    /** @hidden */
    ngAfterContentInit() {
        this._listenToChildrenQueryListChanges();
    }
    /**
     * @hidden
     * override base functionality to catch new disabled state
     */
    setDisabledState(disabled) {
        this._cvaControl.cvaDirective?.setDisabledState(disabled);
        this._setAddonsOptions();
    }
    /** @hidden */
    _onChangeInputValue(value) {
        this.value = value;
    }
    /** @hidden */
    _onKeyPress(event) {
        // prevent typing non-digit chars
        if (this._input.type === 'number') {
            if (!event.key.match(/([0-9]|[-]|[,]|[.])/)) {
                event.preventDefault();
            }
        }
    }
    /** @hidden */
    _listenToChildrenQueryListChanges() {
        this._children.changes.pipe(startWith(this._children)).subscribe(() => {
            this._createAddonsGroups();
            this._setAddonsOptions();
        });
    }
    /** @hidden */
    _setInputElementClass(inputComponentElement) {
        if (!inputComponentElement) {
            return;
        }
        const inputElement = inputComponentElement.querySelector('input');
        this._renderer.addClass(inputElement, CSS_CLASS_NAME.input);
    }
    /** @hidden */
    _createAddonsGroups() {
        const childrenList = this._children.toArray();
        const inputChildIndex = childrenList.findIndex((child) => this._isInputChild(child));
        // reset group's containers
        this._beforeInputAddons = [];
        this._afterInputAddons = [];
        childrenList.forEach((child, index) => {
            if (!this._isAddonChild(child)) {
                return;
            }
            if (index < inputChildIndex) {
                this._beforeInputAddons.push(child);
            }
            if (index > inputChildIndex) {
                this._afterInputAddons.push(child);
            }
        });
    }
    /** @hidden */
    _isInputChild(child) {
        return child instanceof InputGroupInputComponent;
    }
    /** @hidden */
    _isAddonChild(child) {
        return child instanceof InputGroupAddonComponent;
    }
    /** @hidden */
    _setAddonsOptions() {
        const before = this._beforeInputAddons || [];
        const after = this._afterInputAddons || [];
        [...before, ...after].forEach((addon) => {
            addon.disabled = this._cvaControl.cvaDirective?.disabled === true;
        });
    }
    /** @hidden */
    _addClassNameToHostElement(className) {
        this._renderer.addClass(this._hostElementRef.nativeElement, className);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupComponent, deps: [{ token: i1$4.CvaControl }, { token: i0.Renderer2 }, { token: i0.ElementRef }, { token: InputGroupConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: InputGroupComponent, isStandalone: true, selector: "fdp-input-group", inputs: { value: "value" }, providers: [
            CvaControl,
            { provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => InputGroupComponent), multi: true },
            contentDensityObserverProviders()
        ], queries: [{ propertyName: "_input", first: true, predicate: InputGroupInputComponent, descendants: true }, { propertyName: "_children", predicate: INPUT_GROUP_CHILD_TOKEN }], viewQueries: [{ propertyName: "_inputComponentElement", first: true, predicate: InputComponent, descendants: true, read: ElementRef }], hostDirectives: [{ directive: i1$4.CvaDirective, inputs: ["placeholder", "placeholder", "disabled", "disabled", "readonly", "readonly", "state", "state", "name", "name", "stateMessage", "stateMessage"] }], ngImport: i0, template: "<fd-input-group\n    [disabled]=\"!!_cvaControl.cvaDirective?.disabled\"\n    [(ngModel)]=\"value\"\n    [state]=\"_cvaControl?.cvaDirective?.normalizedState$() || 'default'\"\n    [stateMessage]=\"_cvaControl.cvaDirective?.stateMessage\"\n>\n    <!-- Before input addons area -->\n    @for (addon of _beforeInputAddons; track addon) {\n        <span fd-input-group-addon [button]=\"!!addon.button\">\n            <ng-template [ngTemplateOutlet]=\"addon.contentTemplateRef\"></ng-template>\n        </span>\n    }\n    @if (_input) {\n        <input\n            [attr.name]=\"_cvaControl.cvaDirective?.name\"\n            [attr.id]=\"_cvaControl.cvaDirective?.id\"\n            [attr.placeholder]=\"_cvaControl.cvaDirective?.placeholder\"\n            [type]=\"_input.type\"\n            [disabled]=\"!!_cvaControl.cvaDirective?.disabled\"\n            [class.is-disabled]=\"!!_cvaControl.cvaDirective?.disabled\"\n            [(ngModel)]=\"value\"\n            [ariaLabel]=\"_cvaControl.cvaDirective?.ariaLabel\"\n            [ariaLabelledBy]=\"_cvaControl.cvaDirective?.ariaLabelledBy\"\n            [attr.required]=\"_cvaControl.cvaDirective?.required\"\n            (input)=\"_onChangeInputValue($any($event.target)?.value)\"\n            (focus)=\"_cvaControl.cvaDirective?._onFocusChanged(true)\"\n            (blur)=\"_cvaControl.cvaDirective?._onFocusChanged(false)\"\n            (keypress)=\"_onKeyPress($event)\"\n            fd-input-group-input\n            fd-form-control\n        />\n    }\n    <!-- Before input addons area -->\n    @for (addon of _afterInputAddons; track addon) {\n        <span fd-input-group-addon [button]=\"!!addon.button\">\n            <ng-template [ngTemplateOutlet]=\"addon.contentTemplateRef\"></ng-template>\n        </span>\n    }\n</fd-input-group>\n", styles: [""], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "ngmodule", type: InputGroupModule }, { kind: "component", type: i3$2.InputGroupComponent, selector: "fd-input-group", inputs: ["placement", "required", "inline", "addOnText", "buttonFocusable", "type", "glyph", "glyphFont", "button", "isControl", "showFocus", "isExpanded", "glyphAriaLabel", "addonButtonAriaHidden", "iconTitle", "ariaLabelledBy", "ariaLabel"], outputs: ["addOnButtonClicked", "search"] }, { kind: "directive", type: i3$2.InputGroupInputDirective, selector: "[fdInputGroupInput], [fd-input-group-input]", inputs: ["class"] }, { kind: "directive", type: i3$2.InputGroupAddOnDirective, selector: "[fdInputGroupAddon], [fd-input-group-addon]", inputs: ["class", "placement", "type", "state", "button"] }, { kind: "component", type: FormControlComponent, selector: "input[fd-form-control], textarea[fd-form-control]", inputs: ["state", "type", "class", "ariaLabel", "ariaLabelledBy"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: InputGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-input-group', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, hostDirectives: [
                        {
                            directive: CvaDirective,
                            inputs: ['placeholder', 'disabled', 'readonly', 'state', 'name', 'stateMessage']
                        }
                    ], providers: [
                        CvaControl,
                        { provide: FD_FORM_FIELD_CONTROL, useExisting: forwardRef(() => InputGroupComponent), multi: true },
                        contentDensityObserverProviders()
                    ], imports: [
                        InputGroupAddonBodyComponent,
                        NgTemplateOutlet,
                        InputComponent,
                        InputGroupModule,
                        FormControlComponent,
                        FormsModule
                    ], template: "<fd-input-group\n    [disabled]=\"!!_cvaControl.cvaDirective?.disabled\"\n    [(ngModel)]=\"value\"\n    [state]=\"_cvaControl?.cvaDirective?.normalizedState$() || 'default'\"\n    [stateMessage]=\"_cvaControl.cvaDirective?.stateMessage\"\n>\n    <!-- Before input addons area -->\n    @for (addon of _beforeInputAddons; track addon) {\n        <span fd-input-group-addon [button]=\"!!addon.button\">\n            <ng-template [ngTemplateOutlet]=\"addon.contentTemplateRef\"></ng-template>\n        </span>\n    }\n    @if (_input) {\n        <input\n            [attr.name]=\"_cvaControl.cvaDirective?.name\"\n            [attr.id]=\"_cvaControl.cvaDirective?.id\"\n            [attr.placeholder]=\"_cvaControl.cvaDirective?.placeholder\"\n            [type]=\"_input.type\"\n            [disabled]=\"!!_cvaControl.cvaDirective?.disabled\"\n            [class.is-disabled]=\"!!_cvaControl.cvaDirective?.disabled\"\n            [(ngModel)]=\"value\"\n            [ariaLabel]=\"_cvaControl.cvaDirective?.ariaLabel\"\n            [ariaLabelledBy]=\"_cvaControl.cvaDirective?.ariaLabelledBy\"\n            [attr.required]=\"_cvaControl.cvaDirective?.required\"\n            (input)=\"_onChangeInputValue($any($event.target)?.value)\"\n            (focus)=\"_cvaControl.cvaDirective?._onFocusChanged(true)\"\n            (blur)=\"_cvaControl.cvaDirective?._onFocusChanged(false)\"\n            (keypress)=\"_onKeyPress($event)\"\n            fd-input-group-input\n            fd-form-control\n        />\n    }\n    <!-- Before input addons area -->\n    @for (addon of _afterInputAddons; track addon) {\n        <span fd-input-group-addon [button]=\"!!addon.button\">\n            <ng-template [ngTemplateOutlet]=\"addon.contentTemplateRef\"></ng-template>\n        </span>\n    }\n</fd-input-group>\n" }]
        }], ctorParameters: () => [{ type: i1$4.CvaControl }, { type: i0.Renderer2 }, { type: i0.ElementRef }, { type: InputGroupConfig }], propDecorators: { value: [{
                type: Input
            }], _children: [{
                type: ContentChildren,
                args: [INPUT_GROUP_CHILD_TOKEN]
            }], _input: [{
                type: ContentChild,
                args: [InputGroupInputComponent]
            }], _inputComponentElement: [{
                type: ViewChild,
                args: [InputComponent, { read: ElementRef }]
            }] } });

class PlatformInputGroupModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputGroupModule, imports: [InputGroupComponent, InputGroupAddonComponent, InputGroupAddonBodyComponent, InputGroupInputComponent], exports: [InputGroupComponent, InputGroupAddonComponent, InputGroupInputComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputGroupModule, imports: [InputGroupComponent, InputGroupAddonBodyComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformInputGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [InputGroupComponent, InputGroupAddonComponent, InputGroupAddonBodyComponent, InputGroupInputComponent],
                    exports: [InputGroupComponent, InputGroupAddonComponent, InputGroupInputComponent]
                }]
        }] });

/**
 * Default options for Multi-Combobox
 */
class MultiComboboxConfig {
    /** @hidden */
    constructor(platformConfig) {
        /**
         * String matching strategy for typeahead list. Default: 'starts with per term'
         */
        this.matchingStrategy = MatchingStrategy.STARTS_WITH_PER_TERM;
        /**
         * Maps data providers
         */
        this.providers = new Map();
        this.contentDensity = platformConfig.contentDensity;
    }
    /**
     * Create Provider factory function
     */
    static createProviderFactory(obj) {
        const useFactory = (platformConfig) => Object.assign(new MultiComboboxConfig(platformConfig), obj);
        return useFactory;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiComboboxConfig, deps: [{ token: i1.PlatformConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiComboboxConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiComboboxConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1.PlatformConfig }] });

const MAP_LIMIT = new InjectionToken('Map limit≥', { factory: () => 12 });
class MultiComboboxSelectionChangeEvent {
    /**
     * Multi Combobox selection change event
     * @param source Multi Combobox component
     * @param selectedItems Selected items
     */
    constructor(source, selectedItems // Contains selected items
    ) {
        this.source = source;
        this.selectedItems = selectedItems;
    }
}
class BaseMultiCombobox extends CollectionBaseInput {
    /** Datasource for suggestion list. */
    set dataSource(value) { }
    get dataSource() {
        return this._dataSource;
    }
    /** Value of the multi combobox */
    set value(value) {
        super.setValue(value, true);
    }
    get value() {
        return super.getValue();
    }
    /** Set the input text of the input. */
    set inputText(value) {
        this._inputTextValue = value;
        this.onTouched();
    }
    /** Get the input text of the input. */
    get inputText() {
        return this._inputTextValue || '';
    }
    /** Is empty search field. */
    get isEmptyValue() {
        return this.inputText.trim().length === 0;
    }
    /** @hidden */
    get isGroup() {
        return !!(this.group && this.groupKey);
    }
    /** @hidden */
    constructor() {
        super();
        /** Provides selected items. */
        this.selectedItems = [];
        /** Provides maximum height for the optionPanel. */
        this.maxHeight = '250px';
        /**
         * Whether AddOn Button should be focusable
         * @default true
         */
        this.buttonFocusable = false;
        /** Whether the autocomplete should be enabled; Enabled by default. */
        this.autoComplete = true;
        /** Whether the multi-combobox should be built on mobile mode. */
        this.mobile = false;
        /** Tells the multi-combobox if we need to group items. */
        this.group = false;
        /** Show the second column (applicable for two columns layout). */
        this.showSecondaryText = false;
        /** Horizontally align text inside the second column (applicable for two columns layout). */
        this.secondaryTextAlignment = 'right';
        /** Turns on/off Adjustable Width feature. */
        this.autoResize = false;
        /**
         * Preset options for the Select body width, whatever is chosen, the body has a 600px limit.
         * * `at-least` will apply a minimum width to the body equivalent to the width of the control. - Default
         * * `equal` will apply a width to the body equivalent to the width of the control.
         * * 'fit-content' will apply width needed to properly display items inside, independent of control.
         */
        this.fillControlMode = 'at-least';
        /** Whether to open the dropdown when the addon button is clicked. */
        this.openDropdownOnAddOnClicked = true;
        /** Event emitted when item is selected. */
        this.selectionChange = new EventEmitter();
        /** @hidden Emits event when the menu is opened/closed. */
        this.isOpenChange = new EventEmitter();
        /** Event emitted when data loading is started. */
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        this.onDataRequested = new EventEmitter();
        /** Event emitted when data loading is finished. */
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        this.onDataReceived = new EventEmitter();
        /** Emits event when the addon button is clicked. */
        this.addOnButtonClicked = new EventEmitter();
        /** Whether the Multi Input is opened. */
        this.isOpen = false;
        /**
         * @hidden
         * Grouped suggestions mapped to array.
         */
        this._flatSuggestions = [];
        /** @hidden */
        this._fullFlatSuggestions = [];
        /**
         * @hidden
         * Need for opening mobile version
         */
        this.openChange = new Subject();
        /** @hidden */
        this.selectedShown$ = signal(false);
        /** @hidden */
        this.multiComboboxConfig = inject(MultiComboboxConfig);
        /** @hidden */
        this._rangeSelector = new RangeSelector();
        /** @hidden */
        this.dialogConfig = inject(DialogConfig, { optional: true });
        /** @hidden */
        this._matchingStrategy = this.multiComboboxConfig.matchingStrategy;
        /** @hidden */
        this._dsSubscription = null;
        /** @hidden */
        this._element = this.elementRef.nativeElement;
        /**
         * @hidden
         * Keys, that won't trigger the popover's open state, when dispatched on search input.
         */
        this._nonOpeningKeys = [
            BACKSPACE,
            ESCAPE,
            ENTER,
            CONTROL,
            TAB,
            SHIFT,
            UP_ARROW,
            RIGHT_ARROW,
            DOWN_ARROW,
            LEFT_ARROW,
            ALT
        ];
        /** @hidden */
        this._mapLimit = inject(MAP_LIMIT);
        /** @hidden */
        this._lang$ = inject(FD_LANGUAGE);
        /** @hidden */
        this._translationResolver = new TranslationResolver();
        /** @hidden */
        this._displayFn = (value) => this.displayValue(value);
        /** @hidden */
        this._secondaryFn = (value) => {
            if (isOptionItem(value)) {
                return value.secondaryText ?? '';
            }
            else if (isJsObject(value) && this.secondaryKey) {
                const currentItem = this.objectGet(value, this.secondaryKey);
                return isFunction(currentItem) ? currentItem() : currentItem;
            }
            else {
                return value;
            }
        };
        this._contentDensity = this.multiComboboxConfig.contentDensity;
    }
    /** @hidden */
    ngOnChanges(changes) {
        const dataSourceChange = changes['dataSource'];
        if (dataSourceChange) {
            this._initializeDataSource(dataSourceChange.currentValue);
        }
    }
    /** @hidden */
    ngAfterViewInit() {
        this._initWindowResize();
        this._assignCustomTemplates();
        this._previousInputText = this.inputText;
        this._subscriptions.add(this._lang$.subscribe((lang) => {
            this.invalidEntryMessage = this._translationResolver.resolve(lang, 'platformMultiCombobox.invalidEntryError');
        }));
        super.ngAfterViewInit();
    }
    /** @hidden */
    ngOnDestroy() {
        super.ngOnDestroy();
        if (isDataSource(this.dataSource)) {
            this.dataSource.close();
        }
        if (this._dsSubscription) {
            this._dsSubscription.unsubscribe();
        }
    }
    /** write value for ControlValueAccessor */
    writeValue(value) {
        this.selectedItems = coerceArraySafe(value);
        super.writeValue(this.selectedItems);
        this._setSelectedSuggestions();
        this._emitChangeEvent();
    }
    /** @hidden */
    popoverOpenChangeHandle(isOpen) {
        this.isOpen = isOpen;
        this._rangeSelector.reset();
        if (!isOpen) {
            this.onTouched();
        }
        this._onOpenChange(this.isOpen);
    }
    /** @hidden */
    _onOpenChange(isOpen) {
        if (isOpen) {
            this.formMessage._popover.close();
        }
        this.formMessage._popover.setIgnoreTriggers(isOpen);
    }
    /** Opens the select popover body. */
    open() {
        this.isOpen = true;
        this.isOpenChange.emit(this.isOpen);
        this.markForCheck();
    }
    /** Closes the select popover body. */
    close() {
        this._rangeSelector.reset();
        this.selectedShown$.set(false);
        this.inputText = '';
        this._focusToSearchField();
        this.isOpen = false;
        this.isOpenChange.emit(this.isOpen);
        this.markForCheck();
    }
    /** @hidden */
    showList(isOpen) {
        if (this.isOpen !== isOpen) {
            this.isOpen = isOpen;
            this.onTouched();
            this.openChange.next(isOpen);
        }
        if (!this.isOpen) {
            this.searchTermChanged('');
        }
        this.markForCheck();
    }
    /** @hidden */
    searchTermChanged(text = this.inputText) {
        if (text) {
            this.open();
        }
        const map = new Map();
        map.set('query', text);
        if (!this.limitless) {
            map.set('limit', this._mapLimit);
        }
        else {
            map.set('limit', Number.MAX_SAFE_INTEGER);
        }
        this.ds.match(map);
        this.markForCheck();
    }
    /**
     * Handle Click on Button
     * @hidden
     */
    onPrimaryButtonClick(isOpen) {
        if (!isOpen) {
            this.searchTermChanged('');
        }
        if (this.openDropdownOnAddOnClicked) {
            this.showList(!isOpen);
        }
        else if (this.isOpen) {
            this.showList(false);
        }
        this.searchInputElement?.nativeElement.focus();
    }
    /**
     * Handle Keydown on Input
     * @hidden
     */
    onInputKeydownHandler(event) {
        if (this.readonly) {
            return;
        }
        if (KeyUtil.isKeyCode(event, DOWN_ARROW)) {
            event.preventDefault();
            if (event.altKey) {
                this.showList(true);
            }
            if (this.isOpen && this.listComponent) {
                this.listComponent.setItemActive(0);
            }
            else if (!this.isOpen) {
                this._chooseOtherItem(1);
            }
        }
        else if (KeyUtil.isKeyCode(event, UP_ARROW)) {
            event.preventDefault();
            this._chooseOtherItem(-1);
        }
        else if (KeyUtil.isKeyCode(event, ENTER)) {
            this.toggleSelectionByInputText();
        }
        else if (!KeyUtil.isKeyCode(event, [...this._nonOpeningKeys, CONTROL])) {
            this.showList(true);
            const acceptedKeys = !KeyUtil.isKeyType(event, 'alphabetical') && !KeyUtil.isKeyType(event, 'numeric');
            if (acceptedKeys) {
                // SetTimeout is needed for input to receive new value.
                setTimeout(() => {
                    if (this.isEmptyValue) {
                        this.listComponent?.setItemActive(0);
                    }
                });
            }
        }
    }
    /** Method passed to list component */
    handleListFocusEscape(direction) {
        if (direction === 'up') {
            this.searchInputElement?.nativeElement.focus();
        }
    }
    /** @hidden */
    setLimitless(limitless) {
        this.limitless = limitless;
    }
    /** @hidden */
    getMapLimit() {
        return this.limitless ? this.dataSource.length : this._mapLimit;
    }
    /**
     * @hidden
     * Method to emit change event
     */
    _emitChangeEvent() {
        const event = new MultiComboboxSelectionChangeEvent(this, this.value);
        this.selectionChange.emit(event);
    }
    /**
     * Used to change the value of a control.
     * @param value the value to be applied
     * @param emitOnChange whether to emit "onChange" event.
     * Should be "false", if the change is made programmatically (internally) by the control, "true" otherwise
     */
    setValue(value, emitOnChange = true) {
        this.selectedItems = coerceArraySafe(value);
        super.setValue(this.selectedItems, emitOnChange);
        this._setSelectedSuggestions();
        this._emitChangeEvent();
    }
    /** @hidden */
    _setSelectedSuggestions() {
        this._selectedSuggestions = [];
        if (!this.selectedItems?.length) {
            return;
        }
        for (let i = 0; i < this.selectedItems.length; i++) {
            const selectedItem = this.selectedItems[i];
            const finder = (item) => item.label === selectedItem || item.value === selectedItem;
            const idFromFullFlatSuggestions = this._fullFlatSuggestions.findIndex(finder);
            const idFromSuggestions = (this._suggestions || []).findIndex(finder);
            const itemIndex = Math.max(idFromFullFlatSuggestions, idFromSuggestions);
            const collection = idFromFullFlatSuggestions !== -1 ? this._fullFlatSuggestions : this._suggestions;
            if (idFromFullFlatSuggestions === -1 && idFromSuggestions === -1) {
                this._convertToOptionItems([selectedItem]).forEach((optionItem) => {
                    optionItem.selected = true;
                    this._selectedSuggestions.push(optionItem);
                });
            }
            else if (this._suggestions &&
                collection === this._suggestions &&
                !this._fullFlatSuggestions.includes(collection[itemIndex])) {
                this._fullFlatSuggestions.push(collection[itemIndex]);
            }
            if (itemIndex > -1) {
                this._selectedSuggestions.push(collection[itemIndex]);
                collection[itemIndex].selected = true;
            }
        }
        this.detectChanges();
    }
    /** @hidden */
    get ds() {
        return this.dataSource;
    }
    /** @hidden */
    _focusToSearchField() {
        this.searchInputElement?.nativeElement.focus();
    }
    /** @hidden */
    _getSelectItemByInputValue(displayValue) {
        return this._flatSuggestions.find((value) => value.label === displayValue);
    }
    /** @hidden
     *  Map grouped values to array. */
    _flattenGroups(items) {
        return items.reduce((result, item) => result.concat(item.children ?? []), []);
    }
    /**
     * Convert object[] data to Group OptionItems Interface
     * @hidden
     */
    _convertObjectsToGroupOptionItems(items) {
        const group = {};
        for (let i = 0; i < items.length; i++) {
            const item = items[i];
            const keyValue = item[this.groupKey];
            if (!keyValue) {
                continue;
            }
            if (!group[keyValue]) {
                group[keyValue] = [];
            }
            group[keyValue].push(item);
        }
        return Object.keys(group).map((key) => {
            const selectItem = {
                label: key,
                value: null,
                isGroup: true
            };
            const currentGroup = group[key];
            if (this.showSecondaryText && this.secondaryKey) {
                selectItem.children = this._convertObjectsToSecondaryOptionItems(currentGroup);
            }
            else {
                selectItem.children = this._convertObjectsToDefaultOptionItems(currentGroup);
            }
            return selectItem;
        });
    }
    /** @hidden
     * Method that picks other value moved from current one by offset, called only when Multi Combobox is closed */
    _chooseOtherItem(offset) {
        if (this._selectedSuggestions?.length === this._flatSuggestions.length) {
            this.inputText = '';
            return;
        }
        const activeValue = this._getSelectItemByInputValue(this.inputText);
        const index = this._flatSuggestions.findIndex((value) => value === activeValue);
        const position = !this.inputText && offset === -1 ? this._flatSuggestions.length - 1 : index + offset;
        const item = this._flatSuggestions[position];
        if (item) {
            this.setInputTextFromOptionItem(item);
        }
        const selectedIndex = this._selectedSuggestions.findIndex((value) => value.label === item?.label);
        if (selectedIndex !== -1) {
            this._chooseOtherItem(offset);
        }
    }
    /** @hidden */
    _initializeDataSource(ds) {
        this._suggestions = [];
        this._flatSuggestions = [];
        if (isDataSource(this.dataSource)) {
            this.dataSource.close();
            if (this._dsSubscription) {
                this._dsSubscription.unsubscribe();
                this._dsSubscription = null;
            }
        }
        // Convert whatever comes in as DataSource so we can work with it identically
        this._dataSource = this._openDataStream(ds);
    }
    /** @hidden */
    _openDataStream(ds) {
        const initDataSource = this._toDataStream(ds);
        let isInitDataSource = true;
        if (initDataSource === undefined) {
            throw new Error(`[dataSource] source did not match an array, Observable, or DataSource`);
        }
        initDataSource.limitless = this.limitless;
        /**
         * This is single point of data entry to the component. We dont want to set data on different
         * places. If any new data comes in either you do a search and you want to pass initial data
         * its here.
         */
        this._dsSubscription = new Subscription();
        const dsSub = initDataSource
            .open()
            .pipe(skip(1), takeUntilDestroyed(this._destroyed))
            .subscribe((data) => {
            if (data.length === 0) {
                this._processingEmptyData();
                return;
            }
            else {
                this._previousInputText = this.inputText;
            }
            this._suggestions = this._convertToOptionItems(data).map((optionItem) => {
                const selectedElement = this._selectedSuggestions.find((selectedItem) => selectedItem.id === optionItem.id);
                if (selectedElement) {
                    optionItem.selected = selectedElement.selected;
                }
                return optionItem;
            });
            this._flatSuggestions = this.isGroup ? this._flattenGroups(this._suggestions) : this._suggestions;
            if (isInitDataSource) {
                this._fullFlatSuggestions = this._flatSuggestions;
                isInitDataSource = false;
            }
            const selectedSuggestionsLength = this._selectedSuggestions.length;
            if (selectedSuggestionsLength > 0) {
                for (let i = 0; i < selectedSuggestionsLength; i++) {
                    const selectedSuggestion = this._selectedSuggestions[i];
                    const idx = this._suggestions.findIndex((item) => equal(item.value, selectedSuggestion.value));
                    if (idx !== -1) {
                        this._suggestions[idx].selected = true;
                    }
                }
            }
            this.stateChanges.next('initDataSource.open().');
            this.markForCheck();
        });
        this._dsSubscription.add(dsSub);
        this._dsSubscription.add(initDataSource.onDataRequested().subscribe(this.onDataRequested));
        this._dsSubscription.add(initDataSource.onDataReceived().subscribe(this.onDataReceived));
        initDataSource.dataProvider.setLookupKey(this.lookupKey);
        const matchingBy = {
            firstBy: this._displayFn
        };
        if (this.secondaryKey) {
            matchingBy.secondaryBy = this._secondaryFn;
        }
        initDataSource.dataProvider.setMatchingBy(matchingBy);
        initDataSource.dataProvider.setMatchingStrategy(this._matchingStrategy);
        // initial data fetch
        const map = new Map();
        map.set('query', '*');
        if (!this.limitless) {
            map.set('limit', MAP_LIMIT);
        }
        else {
            map.set('limit', Number.MAX_SAFE_INTEGER);
        }
        initDataSource.match(map);
        return initDataSource;
    }
    /** @hidden */
    _processingEmptyData() {
        this.detectChanges();
        this.inputText = this._previousInputText;
        this._setInvalidEntry();
        if (this._timerSub$) {
            this._timerSub$.unsubscribe();
        }
        this._timerSub$ = timer(3000).subscribe(() => this._unsetInvalidEntry());
    }
    /** @hidden */
    _setInvalidEntry() {
        if (this._previousState || this._previousStateMessage) {
            return;
        }
        this._previousState = this.state;
        this.state = 'error';
        this._previousStateMessage = this.stateMessage;
        this.stateMessage = this.invalidEntryMessage;
        this.markForCheck();
    }
    /** @hidden */
    _unsetInvalidEntry() {
        this.state = this._previousState;
        this._previousState = undefined;
        this.stateMessage = this._previousStateMessage;
        this._previousStateMessage = undefined;
        this.markForCheck();
    }
    /** @hidden */
    _toDataStream(source) {
        if (isDataSource(source)) {
            return source;
        }
        if (Array.isArray(source)) {
            return new ArrayMultiComboBoxDataSource(source);
        }
        if (isObservable(source)) {
            return new ObservableMultiComboBoxDataSource(source);
        }
        return undefined;
    }
    /** @hidden */
    _initWindowResize() {
        this._getOptionsListWidth();
        if (!this.autoResize) {
            return;
        }
        fromEvent(window, 'resize')
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe(() => this._getOptionsListWidth());
    }
    /** @hidden */
    _getOptionsListWidth() {
        const body = document.body;
        const rect = this._element.querySelector('fd-input-group').getBoundingClientRect();
        const scrollBarWidth = body.offsetWidth - body.clientWidth;
        this.maxWidth = this.autoResize ? window.innerWidth - scrollBarWidth - rect.left : this.minWidth;
        this.minWidth = rect.width - 2;
        this.markForCheck();
    }
    /**
     * Convert original data to SelectableOptionItems Interface
     * @hidden
     */
    _convertToOptionItems(items) {
        const item = items[0];
        const elementTypeIsOptionItem = isSelectableOptionItem(item);
        if (elementTypeIsOptionItem) {
            return items;
        }
        const elementTypeIsObject = isJsObject(item);
        if (elementTypeIsObject) {
            return this._convertObjectsToOptionItems(items);
        }
        const elementTypeIsString = isString(item);
        if (elementTypeIsString) {
            return this._convertPrimitiveToOptionItems(items);
        }
        return [];
    }
    /**
     * Convert data to SelectableOptionItems Interface
     * @hidden
     */
    _convertObjectsToOptionItems(items) {
        if (this.isGroup) {
            return this._convertObjectsToGroupOptionItems(items);
        }
        else if (this.showSecondaryText && this.secondaryKey) {
            return this._convertObjectsToSecondaryOptionItems(items);
        }
        else {
            return this._convertObjectsToDefaultOptionItems(items);
        }
    }
    /**
     * Convert object[] data to Secondary SelectableOptionItems Interface
     * @hidden
     */
    _convertObjectsToSecondaryOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                id: this.lookupValue(value),
                secondaryText: this.objectGet(value, this.secondaryKey),
                value,
                selected: this.selectedItems?.includes(value) || false
            });
        }
        return selectItems;
    }
    /**
     * Convert Primitive data(Boolean, String, Number) to SelectableOptionItems Interface
     * @hidden
     */
    _convertPrimitiveToOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: value,
                id: this.lookupValue(value),
                value,
                selected: this.selectedItems?.includes(value) || false
            });
        }
        return selectItems;
    }
    /**
     * Convert object[] to SelectableOptionItems Interface (Default)
     * @hidden
     */
    _convertObjectsToDefaultOptionItems(items) {
        const selectItems = [];
        for (let i = 0; i < items.length; i++) {
            const value = items[i];
            selectItems.push({
                label: this.displayValue(value),
                id: this.lookupValue(value),
                value,
                selected: this.selectedItems?.includes(value) || false
            });
        }
        return selectItems;
    }
    /**
     * @hidden
     * Assign custom templates
     */
    _assignCustomTemplates() {
        this.customTemplates.forEach((template) => {
            switch (template.name) {
                case 'optionItemTemplate':
                    this.optionItemTemplate = template.templateRef;
                    break;
                case 'groupItemTemplate':
                    this.groupItemTemplate = template.templateRef;
                    break;
                case 'secondaryItemTemplate':
                    this.secondaryItemTemplate = template.templateRef;
                    break;
                case 'selectedItemTemplate':
                    this.selectedItemTemplate = template.templateRef;
                    break;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseMultiCombobox, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: BaseMultiCombobox, isStandalone: true, inputs: { selectedItems: "selectedItems", maxHeight: "maxHeight", buttonFocusable: "buttonFocusable", dataSource: "dataSource", autoComplete: "autoComplete", entityClass: "entityClass", mobile: "mobile", mobileConfig: "mobileConfig", group: "group", groupKey: "groupKey", secondaryKey: "secondaryKey", showSecondaryText: "showSecondaryText", secondaryTextAlignment: "secondaryTextAlignment", autoResize: "autoResize", value: "value", fillControlMode: "fillControlMode", addonIconTitle: "addonIconTitle", invalidEntryMessage: "invalidEntryMessage", limitless: "limitless", openDropdownOnAddOnClicked: "openDropdownOnAddOnClicked" }, outputs: { selectionChange: "selectionChange", isOpenChange: "isOpenChange", onDataRequested: "onDataRequested", onDataReceived: "onDataReceived", addOnButtonClicked: "addOnButtonClicked" }, queries: [{ propertyName: "customTemplates", predicate: TemplateDirective }], viewQueries: [{ propertyName: "listComponent", first: true, predicate: ListComponent$1, descendants: true }, { propertyName: "searchInputElement", first: true, predicate: ["searchInputElement"], descendants: true, read: ElementRef }], usesInheritance: true, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: BaseMultiCombobox, decorators: [{
            type: Directive
        }], ctorParameters: () => [], propDecorators: { selectedItems: [{
                type: Input
            }], maxHeight: [{
                type: Input
            }], buttonFocusable: [{
                type: Input
            }], dataSource: [{
                type: Input
            }], autoComplete: [{
                type: Input
            }], entityClass: [{
                type: Input
            }], mobile: [{
                type: Input
            }], mobileConfig: [{
                type: Input
            }], group: [{
                type: Input
            }], groupKey: [{
                type: Input
            }], secondaryKey: [{
                type: Input
            }], showSecondaryText: [{
                type: Input
            }], secondaryTextAlignment: [{
                type: Input
            }], autoResize: [{
                type: Input
            }], value: [{
                type: Input
            }], fillControlMode: [{
                type: Input
            }], addonIconTitle: [{
                type: Input
            }], invalidEntryMessage: [{
                type: Input
            }], limitless: [{
                type: Input
            }], openDropdownOnAddOnClicked: [{
                type: Input
            }], selectionChange: [{
                type: Output
            }], isOpenChange: [{
                type: Output
            }], onDataRequested: [{
                type: Output
            }], onDataReceived: [{
                type: Output
            }], addOnButtonClicked: [{
                type: Output
            }], listComponent: [{
                type: ViewChild,
                args: [ListComponent$1]
            }], searchInputElement: [{
                type: ViewChild,
                args: ['searchInputElement', { read: ElementRef }]
            }], customTemplates: [{
                type: ContentChildren,
                args: [TemplateDirective]
            }] } });

const MULTICOMBOBOX_COMPONENT = new InjectionToken('MultiComboboxInterface');

class MultiComboboxMobileComponent extends MobileModeBase {
    /** @hidden */
    constructor(multiComboboxComponent) {
        super(multiComboboxComponent, MobileModeControl.MULTI_COMBOBOX);
        /** @hidden
         * For internal usage
         * Control element, which will be rendered inside dialog.
         * List element, which will be rendered inside dialog.
         */
        this.childContent = null;
        /** @hidden */
        this.selectedShown$ = this._component.selectedShown$;
    }
    /** @hidden */
    ngOnInit() {
        this._listenOnMultiComboboxOpenChange();
    }
    /** @hidden */
    showSelected() {
        const isSelectedShown = this.selectedShown$();
        if (isSelectedShown) {
            this._component.searchTermChanged();
            this.selectedShown$.set(false);
            return;
        }
        this._component.moreClicked();
    }
    /** @hidden */
    handleDismiss() {
        this.dialogRef.dismiss();
        this._component.dialogDismiss(this._selectedBackup);
    }
    /** @hidden */
    handleApprove() {
        this.dialogRef.close();
        this._component.dialogApprove();
    }
    /** @hidden */
    _toggleDialog(open) {
        if (!open) {
            return;
        }
        this._selectedBackup = this._component._selectedSuggestions?.length
            ? [...this._component._selectedSuggestions]
            : [];
        if (!this._dialogService.hasOpenDialogs()) {
            this._open();
        }
    }
    /** @hidden */
    _listenOnMultiComboboxOpenChange() {
        this._component.openChange
            .pipe(takeUntilDestroyed(this._destroyRef))
            .subscribe((isOpen) => this._toggleDialog(isOpen));
    }
    /** @hidden */
    _open() {
        this.dialogRef = this._dialogService.open(this.dialogTemplate, {
            mobile: true,
            disablePaddings: true,
            ...this.dialogConfig,
            backdropClickCloseable: false,
            escKeyCloseable: false,
            container: this._elementRef.nativeElement
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiComboboxMobileComponent, deps: [{ token: MULTICOMBOBOX_COMPONENT }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: MultiComboboxMobileComponent, isStandalone: true, selector: "fdp-multi-combobox-mobile", viewQueries: [{ propertyName: "dialogTemplate", first: true, predicate: ["dialogTemplate"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<ng-template [fdDialogTemplate] let-dialog let-dialogConfig=\"dialogConfig\" #dialogTemplate>\n    <fd-dialog [dialogConfig]=\"dialogConfig\" [dialogRef]=\"dialog\">\n        <fd-dialog-header>\n            @if (mobileConfig.title) {\n                <h1 fd-title fd-dialog-title>{{ mobileConfig.title }}</h1>\n            }\n            @if (mobileConfig.hasCloseButton) {\n                <button fd-dialog-close-button [mobile]=\"true\" (click)=\"handleDismiss()\"></button>\n            }\n            <ng-template fdkTemplate=\"subheader\">\n                <div fd-bar-middle>\n                    <fd-bar-element [fullWidth]=\"true\">\n                        <ng-template [ngTemplateOutlet]=\"childContent?.controlTemplate || null\"></ng-template>\n                        @if (selectedShown$()) {\n                            <button\n                                fd-button\n                                glyph=\"multiselect-all\"\n                                fdType=\"emphasized\"\n                                [title]=\"'platformMultiCombobox.mobileShowAllItemsButton' | fdTranslate\"\n                                [attr.aria-label]=\"'platformMultiCombobox.mobileShowAllItemsButton' | fdTranslate\"\n                                class=\"fd-margin-begin--tiny\"\n                                (click)=\"showSelected()\"\n                            ></button>\n                        } @else {\n                            <button\n                                fd-button\n                                glyph=\"multiselect-all\"\n                                fdType=\"transparent\"\n                                [title]=\"'platformMultiCombobox.mobileShowSelectedItemsButton' | fdTranslate\"\n                                [attr.aria-label]=\"'platformMultiCombobox.mobileShowSelectedItemsButton' | fdTranslate\"\n                                class=\"fd-margin-begin--tiny\"\n                                (click)=\"showSelected()\"\n                            ></button>\n                        }\n                    </fd-bar-element>\n                </div>\n            </ng-template>\n        </fd-dialog-header>\n        <fd-dialog-body>\n            <ng-template [ngTemplateOutlet]=\"childContent?.listTemplate || null\"></ng-template>\n        </fd-dialog-body>\n        <fd-dialog-footer>\n            @if (mobileConfig.approveButtonText) {\n                <fd-button-bar fdType=\"emphasized\" [label]=\"mobileConfig.approveButtonText!\" (click)=\"handleApprove()\">\n                </fd-button-bar>\n            }\n            @if (mobileConfig.cancelButtonText) {\n                <fd-button-bar [label]=\"mobileConfig.cancelButtonText!\" (click)=\"handleDismiss()\"> </fd-button-bar>\n            }\n        </fd-dialog-footer>\n    </fd-dialog>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: DialogModule }, { kind: "component", type: i1$2.DialogComponent, selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: i1$2.DialogBodyComponent, selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: i1$2.DialogFooterComponent, selector: "fd-dialog-footer" }, { kind: "component", type: i1$2.DialogHeaderComponent, selector: "fd-dialog-header" }, { kind: "component", type: i1$2.DialogCloseButtonComponent, selector: "[fd-dialog-close-button]", inputs: ["mobile", "title", "ariaLabel"] }, { kind: "directive", type: i1$2.DialogTitleDirective, selector: "[fd-dialog-title]", inputs: ["id"] }, { kind: "directive", type: i1$2.DialogTemplateDirective, selector: "[fdDialogTemplate]", inputs: ["fdDialogTemplateConfig"] }, { kind: "directive", type: i2.TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: i3$1.BarMiddleDirective, selector: "[fd-bar-middle]" }, { kind: "directive", type: i3$1.BarElementDirective, selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "component", type: i3$1.ButtonBarComponent, selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "component", type: i4.TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "ngmodule", type: BarModule }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: ButtonComponent$1, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiComboboxMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-multi-combobox-mobile', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        DialogModule,
                        TitleComponent,
                        TemplateDirective,
                        BarModule,
                        NgTemplateOutlet,
                        ButtonComponent$1,
                        CdkScrollable,
                        ScrollbarDirective,
                        FdTranslatePipe
                    ], template: "<ng-template [fdDialogTemplate] let-dialog let-dialogConfig=\"dialogConfig\" #dialogTemplate>\n    <fd-dialog [dialogConfig]=\"dialogConfig\" [dialogRef]=\"dialog\">\n        <fd-dialog-header>\n            @if (mobileConfig.title) {\n                <h1 fd-title fd-dialog-title>{{ mobileConfig.title }}</h1>\n            }\n            @if (mobileConfig.hasCloseButton) {\n                <button fd-dialog-close-button [mobile]=\"true\" (click)=\"handleDismiss()\"></button>\n            }\n            <ng-template fdkTemplate=\"subheader\">\n                <div fd-bar-middle>\n                    <fd-bar-element [fullWidth]=\"true\">\n                        <ng-template [ngTemplateOutlet]=\"childContent?.controlTemplate || null\"></ng-template>\n                        @if (selectedShown$()) {\n                            <button\n                                fd-button\n                                glyph=\"multiselect-all\"\n                                fdType=\"emphasized\"\n                                [title]=\"'platformMultiCombobox.mobileShowAllItemsButton' | fdTranslate\"\n                                [attr.aria-label]=\"'platformMultiCombobox.mobileShowAllItemsButton' | fdTranslate\"\n                                class=\"fd-margin-begin--tiny\"\n                                (click)=\"showSelected()\"\n                            ></button>\n                        } @else {\n                            <button\n                                fd-button\n                                glyph=\"multiselect-all\"\n                                fdType=\"transparent\"\n                                [title]=\"'platformMultiCombobox.mobileShowSelectedItemsButton' | fdTranslate\"\n                                [attr.aria-label]=\"'platformMultiCombobox.mobileShowSelectedItemsButton' | fdTranslate\"\n                                class=\"fd-margin-begin--tiny\"\n                                (click)=\"showSelected()\"\n                            ></button>\n                        }\n                    </fd-bar-element>\n                </div>\n            </ng-template>\n        </fd-dialog-header>\n        <fd-dialog-body>\n            <ng-template [ngTemplateOutlet]=\"childContent?.listTemplate || null\"></ng-template>\n        </fd-dialog-body>\n        <fd-dialog-footer>\n            @if (mobileConfig.approveButtonText) {\n                <fd-button-bar fdType=\"emphasized\" [label]=\"mobileConfig.approveButtonText!\" (click)=\"handleApprove()\">\n                </fd-button-bar>\n            }\n            @if (mobileConfig.cancelButtonText) {\n                <fd-button-bar [label]=\"mobileConfig.cancelButtonText!\" (click)=\"handleDismiss()\"> </fd-button-bar>\n            }\n        </fd-dialog-footer>\n    </fd-dialog>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [MULTICOMBOBOX_COMPONENT]
                }] }], propDecorators: { dialogTemplate: [{
                type: ViewChild,
                args: ['dialogTemplate']
            }] } });

class PlatformMultiComboboxMobileModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxMobileModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxMobileModule, imports: [MultiComboboxMobileComponent], exports: [MultiComboboxMobileComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxMobileModule, imports: [MultiComboboxMobileComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxMobileModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [MultiComboboxMobileComponent],
                    exports: [MultiComboboxMobileComponent]
                }]
        }] });

let deprecationWarningShown = false;
/**
 * This component can work with both string primitives as well as with complex objects. In order
 * to use objects user must provide an unique ID to lookupkey, which will be used in comparing
 * each items of array. It is important to provide lookupkey value as there might be multiple
 * items with same name but different properties which is to be differently identified otherwise
 * it will be treated as same objects.
 */
class MultiComboboxComponent extends BaseMultiCombobox {
    /** @hidden */
    constructor(_dynamicComponentService, _providers, _viewContainerRef, _injector, contentDensityObserver) {
        super();
        this._dynamicComponentService = _dynamicComponentService;
        this._providers = _providers;
        this._viewContainerRef = _viewContainerRef;
        this._injector = _injector;
        this.contentDensityObserver = contentDensityObserver;
        /**
         * @hidden
         * List of selected suggestions
         */
        this._selectedSuggestions = [];
        if (!deprecationWarningShown && isDevMode()) {
            warnOnce(`[DEPRECATION] Platform Multi Combobox component is deprecated since v0.39.0. Please migrate to Core's version.`);
            deprecationWarningShown = true;
        }
    }
    /** @hidden */
    ngOnInit() {
        super.ngOnInit();
        const providers = this._providers?.size === 0 ? this.multiComboboxConfig.providers : this._providers;
        // if we have both prefer dataSource
        if (!this.dataSource && this.entityClass && providers?.has(this.entityClass)) {
            this.dataSource = new MultiComboBoxDataSource(providers.get(this.entityClass));
        }
    }
    /** @hidden */
    ngAfterViewInit() {
        super.ngAfterViewInit();
        if (this.mobile) {
            this._setUpMobileMode();
        }
        this._setSelectedSuggestions();
    }
    /** @hidden */
    toggleSelection(item) {
        const idx = this._getTokenIndexByIdlOrValue(item);
        if (idx === -1) {
            this._selectedSuggestions.push(item);
        }
        else {
            this._selectedSuggestions.splice(idx, 1);
        }
        item.selected = !item.selected;
        this._propagateChange();
        if (!this._selectedSuggestions.length) {
            this._focusToSearchField();
        }
        this.detectChanges();
    }
    /** @hidden */
    onOptionCheckboxClicked(event, index) {
        event.stopPropagation();
        this._onListElementClicked(event, index);
        this.inputText = '';
        this.searchTermChanged('');
    }
    /** @hidden */
    onCompleteTerm(event) {
        if (event.forceClose) {
            this.toggleSelectionByInputText(event.term);
            this.close();
        }
    }
    /** @hidden */
    toggleSelectionByInputText(text = this.inputText) {
        const item = this._getSelectItemByInputValue(text);
        if (item) {
            this.toggleSelection(item);
            this.inputText = '';
        }
    }
    /**
     * @hidden
     * Method that selects all possible options.
     * *select* attribute – if *true* select all, if *false* unselect all
     * */
    handleSelectAllItems(select) {
        this._flatSuggestions.forEach((item) => (item.selected = select));
        this._selectedSuggestions = select ? [...this._flatSuggestions] : [];
        this._rangeSelector.reset();
        this._propagateChange();
    }
    /** @hidden */
    navigateByTokens(event) {
        if (KeyUtil.isKeyCode(event, [DOWN_ARROW, UP_ARROW]) && this.isOpen) {
            this.listComponent.items?.first.focus();
        }
    }
    /** @hidden */
    removeToken(token, event) {
        if (event) {
            event.preventDefault();
        }
        this.toggleSelection(token);
        this._rangeSelector.reset();
    }
    /** @hidden */
    moreClicked() {
        this._suggestions = this.isGroup
            ? this._convertObjectsToGroupOptionItems(this._selectedSuggestions.map(({ value }) => value))
            : this._suggestions.filter((value) => this._selectedSuggestions.some((item) => equal(item.value, value.value)));
        this.showList(true);
        this.selectedShown$.set(true);
        this.markForCheck();
    }
    /** @hidden */
    onBlur(event) {
        const target = event.relatedTarget;
        if (target) {
            const isList = !!target.closest('.fdp-multi-combobox__list-container');
            if (isList) {
                return;
            }
            if (this._suggestions?.length === 1 &&
                this._suggestions[0].label === this.inputText &&
                !this._suggestions[0].selected) {
                this.toggleSelection(this._suggestions[0]);
            }
            this.showList(false);
            this.inputText = '';
        }
    }
    /**
     * @hidden
     * Method to set input text as item label.
     */
    setInputTextFromOptionItem(item) {
        this.inputText = item.label;
        if (this.mobile) {
            return;
        }
        this.showList(false);
    }
    /** @hidden */
    onItemKeyDownHandler(event) {
        if (KeyUtil.isKeyCode(event, ESCAPE)) {
            this._focusToSearchField();
        }
        else if ((event.ctrlKey || event.metaKey) && event.shiftKey && KeyUtil.isKeyCode(event, A)) {
            event.preventDefault();
            this.handleSelectAllItems(false);
        }
        else if ((event.ctrlKey || event.metaKey) && KeyUtil.isKeyCode(event, A)) {
            event.preventDefault();
            this.handleSelectAllItems(true);
        }
        else if (KeyUtil.isKeyCode(event, ENTER)) {
            if (!this.mobile) {
                this.close();
            }
            this._rangeSelector.reset();
        }
        else if (KeyUtil.isKeyCode(event, SPACE)) {
            this._rangeSelector.reset();
        }
    }
    /** @hidden */
    onOptionClicked(event, index) {
        this._onListElementClicked(event, index);
        this.close();
    }
    /** @hidden */
    _addOnClicked(event) {
        this.addOnButtonClicked.emit(event);
        if (!this.mobile) {
            this.onPrimaryButtonClick(this.isOpen);
        }
    }
    /** @hidden Handle dialog dismissing, closes popover and sets backup data. */
    dialogDismiss(backup) {
        this._selectedSuggestions = [...backup];
        this.inputText = '';
        this.showList(false);
        this.selectedShown$.set(false);
    }
    /** @hidden Handle dialog approval, closes popover and propagates data changes. */
    dialogApprove() {
        this.inputText = '';
        this.showList(false);
        this._propagateChange(true);
    }
    /**
     * @hidden
     * applying range selection. Note, that this function will be invoked after combobox item's value has been changed
     */
    _onListElementClicked(event, index) {
        // value has been changed at this point, so it can be safely used
        const selectionState = this._suggestions[index].selected;
        this._rangeSelector.onRangeElementToggled(index, event);
        const toRemoveSet = new Set();
        this._rangeSelector.applyValueToEachInRange((idx) => {
            const current = this._suggestions[idx];
            if (current.selected !== selectionState) {
                if (current.selected) {
                    // removing from "_selectedSuggestions" list
                    toRemoveSet.add(current.value);
                }
                else {
                    // adding current item to "_selectedSuggestions"
                    this._selectedSuggestions.push(current);
                }
                current.selected = selectionState;
            }
        });
        this._selectedSuggestions = this._selectedSuggestions.filter((s) => !toRemoveSet.has(s.value));
        // selected items should be displayed in the same order as options
        const valueIndexes = new Map(this._suggestions.map((s, i) => [s.value, i]));
        this._selectedSuggestions.sort((a, b) => valueIndexes.get(a.value) - valueIndexes.get(b.value));
        this._tokenizer.onResize();
        this._tokenizer.tokenizerInnerEl.nativeElement.scrollLeft =
            this._tokenizer.tokenizerInnerEl.nativeElement.scrollWidth;
    }
    /** @hidden */
    _getTokenIndexByIdlOrValue(item) {
        return this._selectedSuggestions.findIndex((token) => token.id === item.id || equal(token.value, item.value));
    }
    /** @hidden */
    _mapAndUpdateModel() {
        const selectedItems = this._selectedSuggestions.map(({ value }) => value);
        // setting value, it will call setValue()
        this.value = selectedItems;
    }
    /** @hidden */
    _propagateChange(emitInMobile) {
        if (!this.mobile || emitInMobile) {
            this.onChange(this._selectedSuggestions);
            this._mapAndUpdateModel();
        }
    }
    /** @hidden */
    async _setUpMobileMode() {
        const injector = Injector.create({
            providers: [{ provide: MULTICOMBOBOX_COMPONENT, useValue: this }],
            parent: this._injector
        });
        this._dynamicComponentService.createDynamicComponent({ listTemplate: this.listTemplate, controlTemplate: this.mobileControlTemplate }, MultiComboboxMobileComponent, {
            containerRef: this._viewContainerRef
        }, { injector });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiComboboxComponent, deps: [{ token: i2.DynamicComponentService }, { token: DATA_PROVIDERS, optional: true }, { token: i0.ViewContainerRef }, { token: i0.Injector }, { token: i2$1.ContentDensityObserver }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: MultiComboboxComponent, isStandalone: true, selector: "fdp-multi-combobox", providers: [
            {
                provide: FD_FORM_FIELD_CONTROL,
                useExisting: MultiComboboxComponent,
                multi: true
            },
            contentDensityObserverProviders()
        ], viewQueries: [{ propertyName: "mobileControlTemplate", first: true, predicate: ["mobileControlTemplate"], descendants: true }, { propertyName: "listTemplate", first: true, predicate: ["listTemplate"], descendants: true }, { propertyName: "_tokenizer", first: true, predicate: TokenizerComponent, descendants: true }], usesInheritance: true, ngImport: i0, template: "<div class=\"fdp-multi-combobox\">\n    @if (mobile) {\n        <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n    } @else {\n        <fd-popover\n            additionalBodyClass=\"fd-popover-custom-list fdp-multi-combobox__list-container\"\n            (isOpenChange)=\"popoverOpenChangeHandle($event)\"\n            [isOpen]=\"isOpen\"\n            [triggers]=\"[]\"\n            [disabled]=\"disabled\"\n            [fillControlMode]=\"fillControlMode\"\n        >\n            <fd-popover-control>\n                <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n            </fd-popover-control>\n            <fd-popover-body [style.width.%]=\"!autoResize && 100\">\n                <ng-template [ngTemplateOutlet]=\"listTemplate\"></ng-template>\n                <ng-content></ng-content>\n            </fd-popover-body>\n        </fd-popover>\n    }\n</div>\n<ng-template #controlTemplate>\n    <fd-form-input-message-group>\n        <fd-input-group\n            [id]=\"id + '-input-group-container'\"\n            class=\"fdp-multi-combobox-input-group-custom\"\n            [state]=\"state\"\n            [buttonFocusable]=\"buttonFocusable\"\n            [button]=\"!readonly\"\n            [glyph]=\"!readonly ? 'navigation-down-arrow' : ' '\"\n            [isControl]=\"true\"\n            [disabled]=\"disabled || readonly\"\n            [isExpanded]=\"!mobile && isOpen && _suggestions.length > 0\"\n            [attr.aria-disabled]=\"disabled || readonly\"\n            [attr.aria-readonly]=\"readonly\"\n            [glyphAriaLabel]=\"ariaLabel || ('platformMultiCombobox.inputGlyphAriaLabel' | fdTranslate)\"\n            [iconTitle]=\"addonIconTitle || ('platformMultiCombobox.inputGlyphAriaLabel' | fdTranslate)\"\n            (addOnButtonClicked)=\"_addOnClicked($event)\"\n            (click)=\"mobile && !isOpen && onPrimaryButtonClick(false)\"\n            (keydown)=\"navigateByTokens($event)\"\n        >\n            <fd-tokenizer\n                #tokenizer\n                [compactCollapse]=\"true\"\n                [tokenizerFocusable]=\"false\"\n                [showOverflowPopover]=\"false\"\n                class=\"fdp-multi-combobox-tokenizer-custom\"\n                (moreClickedEvent)=\"moreClicked()\"\n                fdMultiAnnouncer\n                [multiAnnouncerOptions]=\"_suggestions\"\n            >\n                @for (token of _selectedSuggestions; track token) {\n                    <fd-token [readOnly]=\"disabled\" (onCloseClick)=\"removeToken(token, $event)\">\n                        {{ token.label }}\n                    </fd-token>\n                }\n                <input\n                    #searchInputElement\n                    fdp-auto-complete\n                    (onComplete)=\"onCompleteTerm($event)\"\n                    [options]=\"_suggestions\"\n                    [inputText]=\"inputText\"\n                    [mobile]=\"mobile\"\n                    type=\"text\"\n                    role=\"combobox\"\n                    autocomplete=\"off\"\n                    [ariaLabel]=\"ariaLabel || ('coreMultiComboBox.multiComboBoxAriaLabel' | fdTranslate)\"\n                    [attr.aria-labelledby]=\"ariaLabelledBy\"\n                    [attr.aria-autocomplete]=\"autoComplete && !mobile ? 'list' : null\"\n                    [attr.aria-owns]=\"autoComplete && !mobile ? id + '-result' : null\"\n                    [attr.aria-haspopup]=\"autoComplete && !mobile\"\n                    fd-form-control\n                    fd-input-group-input\n                    tabindex=\"0\"\n                    [id]=\"id\"\n                    [name]=\"name\"\n                    (keydown)=\"onInputKeydownHandler($event)\"\n                    [disabled]=\"disabled\"\n                    [(ngModel)]=\"inputText\"\n                    (ngModelChange)=\"searchTermChanged()\"\n                    [attr.placeholder]=\"_selectedSuggestions.length ? null : placeholder\"\n                    (focus)=\"onTouched(); tokenizer._showAllTokens()\"\n                    (blur)=\"!mobile && onBlur($event); tokenizer._hideTokens()\"\n                    [attr.aria-expanded]=\"isOpen\"\n                    [readonly]=\"readonly\"\n                    [attr.aria-readonly]=\"readonly\"\n                    [attr.aria-required]=\"required\"\n                    class=\"fd-tokenizer__input fd-input-group__input\"\n                />\n            </fd-tokenizer>\n        </fd-input-group>\n        @if (mobile && isOpen ? false : !!stateMessage) {\n            <fd-form-message [type]=\"state\" [innerHtml]=\"stateMessage\"></fd-form-message>\n        }\n    </fd-form-input-message-group>\n</ng-template>\n<ng-template #mobileControlTemplate>\n    <fd-input-group\n        [id]=\"id + '-input-group-container'\"\n        class=\"fdp-multi-combobox-input-group-custom\"\n        [state]=\"state\"\n        [buttonFocusable]=\"false\"\n        [isControl]=\"true\"\n        [disabled]=\"disabled || readonly\"\n        [isExpanded]=\"!mobile && isOpen && _suggestions.length > 0\"\n        [attr.aria-disabled]=\"disabled || readonly\"\n        [attr.aria-readonly]=\"readonly\"\n        [glyphAriaLabel]=\"ariaLabel\"\n    >\n        <input\n            fdp-auto-complete\n            (onComplete)=\"onCompleteTerm($event)\"\n            [options]=\"_suggestions\"\n            [inputText]=\"inputText\"\n            [mobile]=\"mobile\"\n            type=\"text\"\n            role=\"combobox\"\n            autocomplete=\"off\"\n            [ariaLabel]=\"ariaLabel || ('coreMultiComboBox.multiComboBoxAriaLabel' | fdTranslate)\"\n            [attr.aria-labelledby]=\"ariaLabelledBy\"\n            [attr.aria-autocomplete]=\"autoComplete && !mobile ? 'list' : null\"\n            [attr.aria-owns]=\"autoComplete && !mobile ? id + '-result' : null\"\n            [attr.aria-haspopup]=\"autoComplete && !mobile\"\n            fd-form-control\n            fd-input-group-input\n            tabindex=\"0\"\n            [id]=\"id\"\n            [name]=\"name\"\n            (keydown)=\"onInputKeydownHandler($event)\"\n            [disabled]=\"disabled\"\n            [(ngModel)]=\"inputText\"\n            (ngModelChange)=\"searchTermChanged()\"\n            [placeholder]=\"placeholder\"\n            (focus)=\"onTouched()\"\n            (blur)=\"!mobile && onBlur($event)\"\n            [attr.aria-expanded]=\"isOpen\"\n            [readonly]=\"readonly\"\n            [attr.aria-readonly]=\"readonly\"\n        />\n    </fd-input-group>\n</ng-template>\n<ng-template #listTemplate>\n    <ul\n        fd-list\n        (focusEscapeList)=\"handleListFocusEscape($event)\"\n        [dropdownMode]=\"true\"\n        class=\"fdp-multi-combobox__list fd-list--multi-input\"\n        [hasMessage]=\"!!stateMessage || (!!advancedStateMessage?.hasErrors && !!advancedStateMessage?.template)\"\n        [id]=\"id + '-result'\"\n        role=\"listbox\"\n        [style.max-height]=\"!mobile && maxHeight\"\n        [style.min-width]=\"!mobile && minWidth + 'px'\"\n        [style.max-width]=\"autoResize && maxWidth + 'px'\"\n        [attr.aria-labelledby]=\"id + '-search'\"\n        aria-multiselectable=\"true\"\n        (keydown.tab)=\"close()\"\n    >\n        @if (stateMessage) {\n            <li\n                [attr.aria-label]=\"stateMessage\"\n                fd-list-message\n                tabindex=\"-1\"\n                role=\"presentation\"\n                [type]=\"state || 'default'\"\n                [innerHtml]=\"stateMessage\"\n            ></li>\n        }\n        @if (advancedStateMessage?.hasErrors && advancedStateMessage?.template) {\n            <li fd-list-message tabindex=\"-1\" role=\"presentation\" [type]=\"state || 'default'\">\n                <ng-template [ngTemplateOutlet]=\"advancedStateMessage!.template!\"></ng-template>\n            </li>\n        }\n        <ng-content></ng-content>\n        @if (isGroup) {\n            @for (group of _suggestions; track group) {\n                @if (!groupItemTemplate) {\n                    <label fd-list-item fd-list-group-header role=\"group\">\n                        <span fd-list-title>{{ group.label }}</span>\n                    </label>\n                }\n                @if (groupItemTemplate) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"groupItemTemplate\"\n                        [ngTemplateOutletContext]=\"{ $implicit: { label: group.label } }\"\n                    ></ng-template>\n                }\n                @for (optionItem of group.children; track optionItem) {\n                    <li\n                        fd-list-item\n                        role=\"option\"\n                        (click)=\"!mobile && onOptionClicked($event, $index)\"\n                        (keyDown)=\"onItemKeyDownHandler($event)\"\n                        [selected]=\"!!optionItem.selected\"\n                    >\n                        <fd-checkbox\n                            (click)=\"onOptionCheckboxClicked($event, $index)\"\n                            (ngModelChange)=\"toggleSelection(optionItem)\"\n                            [ngModel]=\"optionItem.selected\"\n                        >\n                        </fd-checkbox>\n                        <ng-template\n                            [ngTemplateOutlet]=\"listItem\"\n                            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: $index }\"\n                        ></ng-template>\n                    </li>\n                }\n            }\n        } @else {\n            @for (optionItem of _suggestions; track optionItem) {\n                <li\n                    fd-list-item\n                    role=\"option\"\n                    (click)=\"!mobile && onOptionClicked($event, $index)\"\n                    (keydown)=\"onItemKeyDownHandler($event)\"\n                    [selected]=\"!!optionItem.selected\"\n                >\n                    <fd-checkbox\n                        (click)=\"onOptionCheckboxClicked($event, $index)\"\n                        (ngModelChange)=\"toggleSelection(optionItem)\"\n                        [ngModel]=\"optionItem.selected\"\n                    >\n                    </fd-checkbox>\n                    <ng-template\n                        [ngTemplateOutlet]=\"listItem\"\n                        [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: $index }\"\n                    ></ng-template>\n                </li>\n            }\n        }\n    </ul>\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #listItem>\n    @if (optionItem.selected && !!selectedItemTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"selectedItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n    @if (!(optionItem.selected && selectedItemTemplate)) {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: index }\"\n        ></ng-template>\n        <ng-template\n            [ngTemplateOutlet]=\"secondaryTextSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #optionItemSource>\n    @if (!optionItemTemplate) {\n        <span\n            fd-list-title\n            [attr.title]=\"optionItem.label\"\n            [innerHTML]=\"optionItem.label | highlight: inputText\"\n        ></span>\n    } @else {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" #secondaryTextSource>\n    @if (showSecondaryText) {\n        @if (!secondaryItemTemplate) {\n            <span\n                [style.text-align]=\"secondaryTextAlignment\"\n                fd-list-secondary\n                [attr.title]=\"optionItem.secondaryText\"\n                [innerHTML]=\"optionItem.secondaryText | highlight: inputText\"\n            ></span>\n        } @else {\n            <ng-template\n                [ngTemplateOutlet]=\"secondaryItemTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: optionItem.value }\"\n            ></ng-template>\n        }\n    }\n</ng-template>\n", styles: [".fd-margin--tiny{margin-block:.5rem;margin-inline:.5rem}.fd-margin--sm{margin-block:1rem;margin-inline:1rem}.fd-margin--md{margin-block:2rem;margin-inline:2rem}.fd-margin--lg{margin-block:3rem;margin-inline:3rem}.fd-margin--none{margin-block:0;margin-inline:0}.fd-margin-top--tiny{-webkit-margin-before:.5rem;margin-block-start:.5rem}.fd-margin-top--sm{-webkit-margin-before:1rem;margin-block-start:1rem}.fd-margin-top--md{-webkit-margin-before:2rem;margin-block-start:2rem}.fd-margin-top--lg{-webkit-margin-before:3rem;margin-block-start:3rem}.fd-margin-top--none{-webkit-margin-before:0;margin-block-start:0}.fd-margin-end--tiny{-webkit-margin-end:.5rem;margin-inline-end:.5rem}.fd-margin-end--sm{-webkit-margin-end:1rem;margin-inline-end:1rem}.fd-margin-end--md{-webkit-margin-end:2rem;margin-inline-end:2rem}.fd-margin-end--lg{-webkit-margin-end:3rem;margin-inline-end:3rem}.fd-margin-end--none{-webkit-margin-end:0;margin-inline-end:0}.fd-margin-bottom--tiny{-webkit-margin-after:.5rem;margin-block-end:.5rem}.fd-margin-bottom--sm{-webkit-margin-after:1rem;margin-block-end:1rem}.fd-margin-bottom--md{-webkit-margin-after:2rem;margin-block-end:2rem}.fd-margin-bottom--lg{-webkit-margin-after:3rem;margin-block-end:3rem}.fd-margin-bottom--none{-webkit-margin-after:0;margin-block-end:0}.fd-margin-begin--tiny{-webkit-margin-start:.5rem;margin-inline-start:.5rem}.fd-margin-begin--sm{-webkit-margin-start:1rem;margin-inline-start:1rem}.fd-margin-begin--md{-webkit-margin-start:2rem;margin-inline-start:2rem}.fd-margin-begin--lg{-webkit-margin-start:3rem;margin-inline-start:3rem}.fd-margin-begin--none{-webkit-margin-start:0;margin-inline-start:0}.fd-margin-top-bottom--tiny{margin-block:.5rem}.fd-margin-top-bottom--sm{margin-block:1rem}.fd-margin-top-bottom--md{margin-block:2rem}.fd-margin-top-bottom--lg{margin-block:3rem}.fd-margin-begin-end--tiny{margin-inline:.5rem}.fd-margin-begin-end--sm{margin-inline:1rem}.fd-margin-begin-end--md{margin-inline:2rem}.fd-margin-begin-end--lg{margin-inline:3rem}.fd-margin-responsive--sm{margin-block:0 1rem;margin-inline:0}.fd-margin-responsive--md{margin-block:1rem;margin-inline:1rem}.fd-margin-responsive--lg{margin-block:1rem;margin-inline:2rem}.fd-margin-responsive--xl{margin-block:1rem;margin-inline:3rem}.fd-margin-negative-begin-end--tiny{margin-block:0;margin-inline:-.5rem}.fd-margin-negative-begin-end--sm{margin-block:0;margin-inline:-1rem}.fd-margin-negative-begin-end--md{margin-block:0;margin-inline:-2rem}.fd-margin-negative-begin-end--lg{margin-block:0;margin-inline:-3rem}.fdp-multi-combobox-tokenizer-custom{width:calc(100% - 2.25rem)}[class*=--compact] .fdp-multi-combobox-tokenizer-custom:not([class*=--cozy]):not([class*=--condensed]),.is-compact .fdp-multi-combobox-tokenizer-custom:not(.is-cozy):not(.is-condensed),.fdp-multi-combobox-tokenizer-custom[class*=--compact],.fdp-multi-combobox-tokenizer-custom.is-compact{width:calc(100% - 2rem)}.fdp-multi-combobox__list-container .fd-list .fd-list__item.fd-list__group-header{padding:0 1rem}.fdp-multi-combobox__list-container .fd-list .fd-list__item .fd-list__title{max-width:inherit}.fdp-multi-combobox__list-container .fd-list.fd-list--compact .fd-list__item.fd-list__group-header{padding:0 .5rem}\n/*! Bundled license information:\n\nfundamental-styles/dist/margins.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: PopoverComponent, selector: "fd-popover", inputs: ["title", "trigger", "fixedPosition", "id", "mobile", "mobileConfig", "preventSpaceKeyScroll"] }, { kind: "component", type: PopoverControlComponent, selector: "fd-popover-control, [fdPopoverControl]" }, { kind: "component", type: PopoverBodyComponent, selector: "fd-popover-body", inputs: ["minWidth", "maxWidth", "minHeight", "maxHeight"] }, { kind: "component", type: FormInputMessageGroupComponent, selector: "fd-form-input-message-group", inputs: ["triggers", "closeOnOutsideClick", "fillControlMode", "noArrow", "closeOnEscapeKey", "placement", "placementContainer", "isOpen", "preventSpaceKeyScroll"], outputs: ["isOpenChange"] }, { kind: "ngmodule", type: InputGroupModule }, { kind: "component", type: i3$2.InputGroupComponent, selector: "fd-input-group", inputs: ["placement", "required", "inline", "addOnText", "buttonFocusable", "type", "glyph", "glyphFont", "button", "isControl", "showFocus", "isExpanded", "glyphAriaLabel", "addonButtonAriaHidden", "iconTitle", "ariaLabelledBy", "ariaLabel"], outputs: ["addOnButtonClicked", "search"] }, { kind: "directive", type: i3$2.InputGroupInputDirective, selector: "[fdInputGroupInput], [fd-input-group-input]", inputs: ["class"] }, { kind: "component", type: TokenComponent, selector: "fd-token", inputs: ["disabled", "selected", "readOnly"], outputs: ["onCloseClick", "onRemove", "onTokenClick", "onTokenKeydown", "elementFocused"] }, { kind: "component", type: TokenizerComponent, selector: "fd-tokenizer", inputs: ["class", "disableKeyboardDeletion", "compactCollapse", "tokenizerFocusable", "inputValue", "glyph", "glyphFont", "moreTerm", "open", "showOverflowPopover"], outputs: ["moreClickedEvent"] }, { kind: "component", type: FormControlComponent, selector: "input[fd-form-control], textarea[fd-form-control]", inputs: ["state", "type", "class", "ariaLabel", "ariaLabelledBy"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: AutoCompleteDirective, selector: "[fdp-auto-complete]", inputs: ["options", "inputText", "mobile"], outputs: ["onComplete"] }, { kind: "component", type: FormMessageComponent, selector: "fd-form-message", inputs: ["type", "static", "embedded", "class"] }, { kind: "ngmodule", type: ListModule }, { kind: "component", type: i6.ListComponent, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "component", type: i6.ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "directive", type: i6.ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "directive", type: i6.ListGroupHeaderDirective, selector: "[fdListGroupHeader], [fd-list-group-header]", inputs: ["nativeElementId"], outputs: ["keyDown"] }, { kind: "directive", type: i6.ListSecondaryDirective, selector: "[fd-list-secondary], [fdListSecondary]", inputs: ["type"] }, { kind: "directive", type: i6.ListMessageDirective, selector: "[fd-list-message], [fdListMessage]", inputs: ["type", "class"] }, { kind: "component", type: CheckboxComponent$1, selector: "fd-checkbox", inputs: ["wrapLabel", "valignLabel", "ariaLabel", "role", "value", "ariaLabelledBy", "ariaDescribedBy", "title", "inputId", "state", "name", "label", "disabled", "readonly", "tristate", "tristateSelectable", "labelClass", "required", "displayOnly", "values", "standalone"], outputs: ["focusChange"] }, { kind: "pipe", type: SearchHighlightPipe, name: "highlight" }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "directive", type: MultiAnnouncerDirective, selector: "[fdMultiAnnouncer]", inputs: ["multiAnnouncerOptions"], exportAs: ["fdMultiAnnouncer"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: MultiComboboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-multi-combobox', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [
                        {
                            provide: FD_FORM_FIELD_CONTROL,
                            useExisting: MultiComboboxComponent,
                            multi: true
                        },
                        contentDensityObserverProviders()
                    ], imports: [
                        NgTemplateOutlet,
                        PopoverComponent,
                        PopoverControlComponent,
                        PopoverBodyComponent,
                        FormInputMessageGroupComponent,
                        InputGroupModule,
                        TokenComponent,
                        TokenizerComponent,
                        TokenizerInputDirective,
                        FormControlComponent,
                        FormsModule,
                        AutoCompleteDirective,
                        FormMessageComponent,
                        ListModule,
                        CheckboxComponent$1,
                        NgClass,
                        ListSecondaryDirective,
                        SearchHighlightPipe,
                        FdTranslatePipe,
                        ContentDensityDirective,
                        MultiAnnouncerDirective
                    ], template: "<div class=\"fdp-multi-combobox\">\n    @if (mobile) {\n        <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n    } @else {\n        <fd-popover\n            additionalBodyClass=\"fd-popover-custom-list fdp-multi-combobox__list-container\"\n            (isOpenChange)=\"popoverOpenChangeHandle($event)\"\n            [isOpen]=\"isOpen\"\n            [triggers]=\"[]\"\n            [disabled]=\"disabled\"\n            [fillControlMode]=\"fillControlMode\"\n        >\n            <fd-popover-control>\n                <ng-template [ngTemplateOutlet]=\"controlTemplate\"></ng-template>\n            </fd-popover-control>\n            <fd-popover-body [style.width.%]=\"!autoResize && 100\">\n                <ng-template [ngTemplateOutlet]=\"listTemplate\"></ng-template>\n                <ng-content></ng-content>\n            </fd-popover-body>\n        </fd-popover>\n    }\n</div>\n<ng-template #controlTemplate>\n    <fd-form-input-message-group>\n        <fd-input-group\n            [id]=\"id + '-input-group-container'\"\n            class=\"fdp-multi-combobox-input-group-custom\"\n            [state]=\"state\"\n            [buttonFocusable]=\"buttonFocusable\"\n            [button]=\"!readonly\"\n            [glyph]=\"!readonly ? 'navigation-down-arrow' : ' '\"\n            [isControl]=\"true\"\n            [disabled]=\"disabled || readonly\"\n            [isExpanded]=\"!mobile && isOpen && _suggestions.length > 0\"\n            [attr.aria-disabled]=\"disabled || readonly\"\n            [attr.aria-readonly]=\"readonly\"\n            [glyphAriaLabel]=\"ariaLabel || ('platformMultiCombobox.inputGlyphAriaLabel' | fdTranslate)\"\n            [iconTitle]=\"addonIconTitle || ('platformMultiCombobox.inputGlyphAriaLabel' | fdTranslate)\"\n            (addOnButtonClicked)=\"_addOnClicked($event)\"\n            (click)=\"mobile && !isOpen && onPrimaryButtonClick(false)\"\n            (keydown)=\"navigateByTokens($event)\"\n        >\n            <fd-tokenizer\n                #tokenizer\n                [compactCollapse]=\"true\"\n                [tokenizerFocusable]=\"false\"\n                [showOverflowPopover]=\"false\"\n                class=\"fdp-multi-combobox-tokenizer-custom\"\n                (moreClickedEvent)=\"moreClicked()\"\n                fdMultiAnnouncer\n                [multiAnnouncerOptions]=\"_suggestions\"\n            >\n                @for (token of _selectedSuggestions; track token) {\n                    <fd-token [readOnly]=\"disabled\" (onCloseClick)=\"removeToken(token, $event)\">\n                        {{ token.label }}\n                    </fd-token>\n                }\n                <input\n                    #searchInputElement\n                    fdp-auto-complete\n                    (onComplete)=\"onCompleteTerm($event)\"\n                    [options]=\"_suggestions\"\n                    [inputText]=\"inputText\"\n                    [mobile]=\"mobile\"\n                    type=\"text\"\n                    role=\"combobox\"\n                    autocomplete=\"off\"\n                    [ariaLabel]=\"ariaLabel || ('coreMultiComboBox.multiComboBoxAriaLabel' | fdTranslate)\"\n                    [attr.aria-labelledby]=\"ariaLabelledBy\"\n                    [attr.aria-autocomplete]=\"autoComplete && !mobile ? 'list' : null\"\n                    [attr.aria-owns]=\"autoComplete && !mobile ? id + '-result' : null\"\n                    [attr.aria-haspopup]=\"autoComplete && !mobile\"\n                    fd-form-control\n                    fd-input-group-input\n                    tabindex=\"0\"\n                    [id]=\"id\"\n                    [name]=\"name\"\n                    (keydown)=\"onInputKeydownHandler($event)\"\n                    [disabled]=\"disabled\"\n                    [(ngModel)]=\"inputText\"\n                    (ngModelChange)=\"searchTermChanged()\"\n                    [attr.placeholder]=\"_selectedSuggestions.length ? null : placeholder\"\n                    (focus)=\"onTouched(); tokenizer._showAllTokens()\"\n                    (blur)=\"!mobile && onBlur($event); tokenizer._hideTokens()\"\n                    [attr.aria-expanded]=\"isOpen\"\n                    [readonly]=\"readonly\"\n                    [attr.aria-readonly]=\"readonly\"\n                    [attr.aria-required]=\"required\"\n                    class=\"fd-tokenizer__input fd-input-group__input\"\n                />\n            </fd-tokenizer>\n        </fd-input-group>\n        @if (mobile && isOpen ? false : !!stateMessage) {\n            <fd-form-message [type]=\"state\" [innerHtml]=\"stateMessage\"></fd-form-message>\n        }\n    </fd-form-input-message-group>\n</ng-template>\n<ng-template #mobileControlTemplate>\n    <fd-input-group\n        [id]=\"id + '-input-group-container'\"\n        class=\"fdp-multi-combobox-input-group-custom\"\n        [state]=\"state\"\n        [buttonFocusable]=\"false\"\n        [isControl]=\"true\"\n        [disabled]=\"disabled || readonly\"\n        [isExpanded]=\"!mobile && isOpen && _suggestions.length > 0\"\n        [attr.aria-disabled]=\"disabled || readonly\"\n        [attr.aria-readonly]=\"readonly\"\n        [glyphAriaLabel]=\"ariaLabel\"\n    >\n        <input\n            fdp-auto-complete\n            (onComplete)=\"onCompleteTerm($event)\"\n            [options]=\"_suggestions\"\n            [inputText]=\"inputText\"\n            [mobile]=\"mobile\"\n            type=\"text\"\n            role=\"combobox\"\n            autocomplete=\"off\"\n            [ariaLabel]=\"ariaLabel || ('coreMultiComboBox.multiComboBoxAriaLabel' | fdTranslate)\"\n            [attr.aria-labelledby]=\"ariaLabelledBy\"\n            [attr.aria-autocomplete]=\"autoComplete && !mobile ? 'list' : null\"\n            [attr.aria-owns]=\"autoComplete && !mobile ? id + '-result' : null\"\n            [attr.aria-haspopup]=\"autoComplete && !mobile\"\n            fd-form-control\n            fd-input-group-input\n            tabindex=\"0\"\n            [id]=\"id\"\n            [name]=\"name\"\n            (keydown)=\"onInputKeydownHandler($event)\"\n            [disabled]=\"disabled\"\n            [(ngModel)]=\"inputText\"\n            (ngModelChange)=\"searchTermChanged()\"\n            [placeholder]=\"placeholder\"\n            (focus)=\"onTouched()\"\n            (blur)=\"!mobile && onBlur($event)\"\n            [attr.aria-expanded]=\"isOpen\"\n            [readonly]=\"readonly\"\n            [attr.aria-readonly]=\"readonly\"\n        />\n    </fd-input-group>\n</ng-template>\n<ng-template #listTemplate>\n    <ul\n        fd-list\n        (focusEscapeList)=\"handleListFocusEscape($event)\"\n        [dropdownMode]=\"true\"\n        class=\"fdp-multi-combobox__list fd-list--multi-input\"\n        [hasMessage]=\"!!stateMessage || (!!advancedStateMessage?.hasErrors && !!advancedStateMessage?.template)\"\n        [id]=\"id + '-result'\"\n        role=\"listbox\"\n        [style.max-height]=\"!mobile && maxHeight\"\n        [style.min-width]=\"!mobile && minWidth + 'px'\"\n        [style.max-width]=\"autoResize && maxWidth + 'px'\"\n        [attr.aria-labelledby]=\"id + '-search'\"\n        aria-multiselectable=\"true\"\n        (keydown.tab)=\"close()\"\n    >\n        @if (stateMessage) {\n            <li\n                [attr.aria-label]=\"stateMessage\"\n                fd-list-message\n                tabindex=\"-1\"\n                role=\"presentation\"\n                [type]=\"state || 'default'\"\n                [innerHtml]=\"stateMessage\"\n            ></li>\n        }\n        @if (advancedStateMessage?.hasErrors && advancedStateMessage?.template) {\n            <li fd-list-message tabindex=\"-1\" role=\"presentation\" [type]=\"state || 'default'\">\n                <ng-template [ngTemplateOutlet]=\"advancedStateMessage!.template!\"></ng-template>\n            </li>\n        }\n        <ng-content></ng-content>\n        @if (isGroup) {\n            @for (group of _suggestions; track group) {\n                @if (!groupItemTemplate) {\n                    <label fd-list-item fd-list-group-header role=\"group\">\n                        <span fd-list-title>{{ group.label }}</span>\n                    </label>\n                }\n                @if (groupItemTemplate) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"groupItemTemplate\"\n                        [ngTemplateOutletContext]=\"{ $implicit: { label: group.label } }\"\n                    ></ng-template>\n                }\n                @for (optionItem of group.children; track optionItem) {\n                    <li\n                        fd-list-item\n                        role=\"option\"\n                        (click)=\"!mobile && onOptionClicked($event, $index)\"\n                        (keyDown)=\"onItemKeyDownHandler($event)\"\n                        [selected]=\"!!optionItem.selected\"\n                    >\n                        <fd-checkbox\n                            (click)=\"onOptionCheckboxClicked($event, $index)\"\n                            (ngModelChange)=\"toggleSelection(optionItem)\"\n                            [ngModel]=\"optionItem.selected\"\n                        >\n                        </fd-checkbox>\n                        <ng-template\n                            [ngTemplateOutlet]=\"listItem\"\n                            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: $index }\"\n                        ></ng-template>\n                    </li>\n                }\n            }\n        } @else {\n            @for (optionItem of _suggestions; track optionItem) {\n                <li\n                    fd-list-item\n                    role=\"option\"\n                    (click)=\"!mobile && onOptionClicked($event, $index)\"\n                    (keydown)=\"onItemKeyDownHandler($event)\"\n                    [selected]=\"!!optionItem.selected\"\n                >\n                    <fd-checkbox\n                        (click)=\"onOptionCheckboxClicked($event, $index)\"\n                        (ngModelChange)=\"toggleSelection(optionItem)\"\n                        [ngModel]=\"optionItem.selected\"\n                    >\n                    </fd-checkbox>\n                    <ng-template\n                        [ngTemplateOutlet]=\"listItem\"\n                        [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: $index }\"\n                    ></ng-template>\n                </li>\n            }\n        }\n    </ul>\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #listItem>\n    @if (optionItem.selected && !!selectedItemTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"selectedItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n    @if (!(optionItem.selected && selectedItemTemplate)) {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem, index: index }\"\n        ></ng-template>\n        <ng-template\n            [ngTemplateOutlet]=\"secondaryTextSource\"\n            [ngTemplateOutletContext]=\"{ optionItem: optionItem }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" let-index=\"index\" #optionItemSource>\n    @if (!optionItemTemplate) {\n        <span\n            fd-list-title\n            [attr.title]=\"optionItem.label\"\n            [innerHTML]=\"optionItem.label | highlight: inputText\"\n        ></span>\n    } @else {\n        <ng-template\n            [ngTemplateOutlet]=\"optionItemTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: optionItem.value, index: index }\"\n        ></ng-template>\n    }\n</ng-template>\n<ng-template let-optionItem=\"optionItem\" #secondaryTextSource>\n    @if (showSecondaryText) {\n        @if (!secondaryItemTemplate) {\n            <span\n                [style.text-align]=\"secondaryTextAlignment\"\n                fd-list-secondary\n                [attr.title]=\"optionItem.secondaryText\"\n                [innerHTML]=\"optionItem.secondaryText | highlight: inputText\"\n            ></span>\n        } @else {\n            <ng-template\n                [ngTemplateOutlet]=\"secondaryItemTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: optionItem.value }\"\n            ></ng-template>\n        }\n    }\n</ng-template>\n", styles: [".fd-margin--tiny{margin-block:.5rem;margin-inline:.5rem}.fd-margin--sm{margin-block:1rem;margin-inline:1rem}.fd-margin--md{margin-block:2rem;margin-inline:2rem}.fd-margin--lg{margin-block:3rem;margin-inline:3rem}.fd-margin--none{margin-block:0;margin-inline:0}.fd-margin-top--tiny{-webkit-margin-before:.5rem;margin-block-start:.5rem}.fd-margin-top--sm{-webkit-margin-before:1rem;margin-block-start:1rem}.fd-margin-top--md{-webkit-margin-before:2rem;margin-block-start:2rem}.fd-margin-top--lg{-webkit-margin-before:3rem;margin-block-start:3rem}.fd-margin-top--none{-webkit-margin-before:0;margin-block-start:0}.fd-margin-end--tiny{-webkit-margin-end:.5rem;margin-inline-end:.5rem}.fd-margin-end--sm{-webkit-margin-end:1rem;margin-inline-end:1rem}.fd-margin-end--md{-webkit-margin-end:2rem;margin-inline-end:2rem}.fd-margin-end--lg{-webkit-margin-end:3rem;margin-inline-end:3rem}.fd-margin-end--none{-webkit-margin-end:0;margin-inline-end:0}.fd-margin-bottom--tiny{-webkit-margin-after:.5rem;margin-block-end:.5rem}.fd-margin-bottom--sm{-webkit-margin-after:1rem;margin-block-end:1rem}.fd-margin-bottom--md{-webkit-margin-after:2rem;margin-block-end:2rem}.fd-margin-bottom--lg{-webkit-margin-after:3rem;margin-block-end:3rem}.fd-margin-bottom--none{-webkit-margin-after:0;margin-block-end:0}.fd-margin-begin--tiny{-webkit-margin-start:.5rem;margin-inline-start:.5rem}.fd-margin-begin--sm{-webkit-margin-start:1rem;margin-inline-start:1rem}.fd-margin-begin--md{-webkit-margin-start:2rem;margin-inline-start:2rem}.fd-margin-begin--lg{-webkit-margin-start:3rem;margin-inline-start:3rem}.fd-margin-begin--none{-webkit-margin-start:0;margin-inline-start:0}.fd-margin-top-bottom--tiny{margin-block:.5rem}.fd-margin-top-bottom--sm{margin-block:1rem}.fd-margin-top-bottom--md{margin-block:2rem}.fd-margin-top-bottom--lg{margin-block:3rem}.fd-margin-begin-end--tiny{margin-inline:.5rem}.fd-margin-begin-end--sm{margin-inline:1rem}.fd-margin-begin-end--md{margin-inline:2rem}.fd-margin-begin-end--lg{margin-inline:3rem}.fd-margin-responsive--sm{margin-block:0 1rem;margin-inline:0}.fd-margin-responsive--md{margin-block:1rem;margin-inline:1rem}.fd-margin-responsive--lg{margin-block:1rem;margin-inline:2rem}.fd-margin-responsive--xl{margin-block:1rem;margin-inline:3rem}.fd-margin-negative-begin-end--tiny{margin-block:0;margin-inline:-.5rem}.fd-margin-negative-begin-end--sm{margin-block:0;margin-inline:-1rem}.fd-margin-negative-begin-end--md{margin-block:0;margin-inline:-2rem}.fd-margin-negative-begin-end--lg{margin-block:0;margin-inline:-3rem}.fdp-multi-combobox-tokenizer-custom{width:calc(100% - 2.25rem)}[class*=--compact] .fdp-multi-combobox-tokenizer-custom:not([class*=--cozy]):not([class*=--condensed]),.is-compact .fdp-multi-combobox-tokenizer-custom:not(.is-cozy):not(.is-condensed),.fdp-multi-combobox-tokenizer-custom[class*=--compact],.fdp-multi-combobox-tokenizer-custom.is-compact{width:calc(100% - 2rem)}.fdp-multi-combobox__list-container .fd-list .fd-list__item.fd-list__group-header{padding:0 1rem}.fdp-multi-combobox__list-container .fd-list .fd-list__item .fd-list__title{max-width:inherit}.fdp-multi-combobox__list-container .fd-list.fd-list--compact .fd-list__item.fd-list__group-header{padding:0 .5rem}\n/*! Bundled license information:\n\nfundamental-styles/dist/margins.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"] }]
        }], ctorParameters: () => [{ type: i2.DynamicComponentService }, { type: Map, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DATA_PROVIDERS]
                }] }, { type: i0.ViewContainerRef }, { type: i0.Injector }, { type: i2$1.ContentDensityObserver }], propDecorators: { mobileControlTemplate: [{
                type: ViewChild,
                args: ['mobileControlTemplate']
            }], listTemplate: [{
                type: ViewChild,
                args: ['listTemplate']
            }], _tokenizer: [{
                type: ViewChild,
                args: [TokenizerComponent]
            }] } });

class PlatformMultiComboboxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxModule, imports: [MultiComboboxComponent], exports: [MultiComboboxComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxModule, imports: [MultiComboboxComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformMultiComboboxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [MultiComboboxComponent],
                    exports: [MultiComboboxComponent]
                }]
        }] });

class PlatformSelectModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformSelectModule, imports: [SelectComponent], exports: [SelectComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformSelectModule, imports: [SelectComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [SelectComponent],
                    exports: [SelectComponent]
                }]
        }] });

/**
 * Default options for platform step input
 */
class StepInputConfig {
    constructor() {
        /**
         * ARIA label for increment button
         */
        this.incrementLabel = 'Increment';
        /**
         * ARIA label for decrement button
         */
        this.decrementLabel = 'Decrement';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

const addAndCutFloatingNumberDistortion = (value, step) => {
    value = value || 0;
    const stepDecimals = `${step}`.split('.')[1];
    const valueDecimals = `${value}`.split('.')[1];
    const stepDecimalsLength = stepDecimals ? stepDecimals.length : 0;
    const valueDecimalsLength = valueDecimals ? valueDecimals.length : 0;
    const longestDecimal = Math.max(valueDecimalsLength, stepDecimalsLength);
    return Number((value + step).toFixed(longestDecimal));
};
const getNumberDecimalLength = (value) => {
    const numberStr = (value || 0).toString();
    return (numberStr.split('.')[0] || '').length;
};

/** Change event object emitted by Platform Step Input component */
class StepInputChangeEvent {
    /**
     * Step input selection change event
     * @param source Step input component
     * @param payload Selected value
     */
    constructor(
    /** The source Step Input of the event. */
    source, 
    /** The new value of a control. */
    payload) {
        this.source = source;
        this.payload = payload;
    }
}
var StepInputAlign;
(function (StepInputAlign) {
    StepInputAlign["Left"] = "left";
    StepInputAlign["Center"] = "center";
    StepInputAlign["Right"] = "right";
})(StepInputAlign || (StepInputAlign = {}));
const ALIGN_INPUT_OPTIONS_LIST = [StepInputAlign.Left, StepInputAlign.Center, StepInputAlign.Right];
/**
 * StepInputComponent is a base abstract class that should be used
 * to create type specific StepInput components such as number, money, unitOfMeasure
 * This holds base Step Input functionality that can be abstracted
 */
class StepInputComponent extends BaseInput {
    constructor() {
        super(...arguments);
        /** Sets largeStep multiplier */
        this.largerStep = 2;
        /** Hides -/+ icons and shows labels */
        this.showLabels = false;
        /**
         * ARIA label for increment button
         */
        this.incrementLabel = inject(StepInputConfig).incrementLabel;
        /**
         * ARIA label for decrement button
         */
        this.decrementLabel = inject(StepInputConfig).decrementLabel;
        /** Emits new value when control value has changed */
        this.valueChange = new EventEmitter();
        /** @hidden */
        this.canIncrement = true;
        /** @hidden */
        this.canDecrement = true;
        /** @hidden
         * Indicates if control has an error
         */
        this.isErrorState = false;
        /** @hidden */
        this._align$ = signal(null);
        /** @hidden */
        this._textAlign$ = computed(() => {
            const align = this._align$();
            const isRtl = !!this._rtlService?.rtlSignal();
            if (!ALIGN_INPUT_OPTIONS_LIST.includes(align)) {
                return null;
            }
            if (isRtl && align === StepInputAlign.Left) {
                return StepInputAlign.Right;
            }
            if (isRtl && align === StepInputAlign.Right) {
                return StepInputAlign.Left;
            }
            return align;
        });
        /** @hidden */
        this._max = Number.MAX_VALUE;
        /** @hidden */
        this._min = -Number.MAX_VALUE;
        /** @hidden */
        this._step = 1;
        /** @hidden */
        this._pendingEnteredValue = null;
        /** @hidden */
        this._renderer = inject(Renderer2);
        /** @hidden */
        this._rtlService = inject(RtlService, { optional: true });
    }
    /** Sets input value */
    set value(value) {
        if (value !== this._value) {
            super.setValue(value);
            this._calculateCanDecrementIncrement();
        }
    }
    get value() {
        return super.getValue();
    }
    /** Sets minimum value boundary */
    set min(min) {
        this._min = !isNaN(min) ? min : -Number.MAX_VALUE;
        this._calculateCanDecrement();
    }
    get min() {
        return this._min;
    }
    /** Sets maximum value boundary */
    set max(max) {
        this._max = !isNaN(max) ? max : Number.MAX_VALUE;
        this._calculateCanIncrement();
    }
    get max() {
        return this._max;
    }
    /** Sets input step value */
    set step(step) {
        this._checkAndThrowErrorIfStepDoesntMatchPrecision(this.precision, step);
        this._step = step;
        this._calculateCanDecrementIncrement();
    }
    get step() {
        return this._step;
    }
    /** Custom function to calculate step dynamically */
    set stepFn(stepFn) {
        this._stepFn = stepFn;
        this._calculateCanDecrementIncrement();
    }
    /** Number of digits after the decimal point */
    set precision(precision) {
        this._checkAndThrowErrorIfStepDoesntMatchPrecision(precision, this.step);
        this._precision = precision;
    }
    get precision() {
        return this._precision;
    }
    /** Horizontally aligns value inside input */
    set align(align) {
        this._align$.set(align);
    }
    get align() {
        return this._align$();
    }
    /** @hidden */
    get canChangeValue() {
        return !(this.disabled || !this.editable);
    }
    /** @hidden */
    get _currentValue() {
        const pendingValue = this._pendingEnteredValue;
        if (pendingValue instanceof Error) {
            return null;
        }
        if (pendingValue === null) {
            return this._value;
        }
        return pendingValue;
    }
    /** @hidden */
    ngOnInit() {
        super.ngOnInit();
        this._calculateCanDecrementIncrement();
        this._updateViewValue();
        this.lastEmittedValue = this._value;
        this._listenToFormErrorState();
    }
    /** @hidden
     * Override writeValue method to keep input view value up to date
     */
    writeValue(value) {
        super.writeValue(value);
        this._updateViewValue();
        this._resetPendingEnteredValue();
    }
    /** Increase value */
    increase(step = this._getStepValueForIncrease()) {
        if (!this.canIncrement) {
            return;
        }
        const value = addAndCutFloatingNumberDistortion(this._currentValue, step);
        this.value = this._validateValueByLimits(value);
        this._emitChangedValue();
    }
    /** Decrease value */
    decrease(step = this._getStepValueForDecrease()) {
        if (!this.canDecrement) {
            return;
        }
        const value = addAndCutFloatingNumberDistortion(this._currentValue, -step);
        this.value = this._validateValueByLimits(value);
        this._emitChangedValue();
    }
    /** Increase value by large step */
    largeStepIncrease() {
        const step = this._getStepValueForIncrease() * this.largerStep;
        this.increase(step);
    }
    /** Decrease value by large step */
    largeStepDecrease() {
        const step = this._getStepValueForDecrease() * this.largerStep;
        this.decrease(step);
    }
    /** @hidden
     * catch value during entering from view.
     */
    onEnterValue(value) {
        let pendingValue = this.parseValueInFocusMode(value);
        if (pendingValue !== null) {
            pendingValue = this._validateValueByLimits(pendingValue);
        }
        // could not parse value, value is invalid
        if (pendingValue === null) {
            this._setPendingEnteredValue(new Error('value is invalid'));
        }
        else {
            this._setPendingEnteredValue(pendingValue);
        }
    }
    /** @hidden
     * Commit entered value from view.
     */
    commitEnteredValue() {
        const newValue = this._currentValue;
        const needToUpdateView = this._value === newValue;
        this.value = newValue;
        if (needToUpdateView) {
            this._updateViewValue();
        }
        if (this._value !== this.lastEmittedValue) {
            this._emitChangedValue();
        }
    }
    /** @hidden
     * Indicates when input gets focused
     */
    onFocus() {
        super._onFocusChanged(true);
        // When focus happens by "Tab" key an input field value gets selected by default.
        // In cases when new_formatted_value !== previous_value the selection gets lost.
        // So it's needed to track selection before new value rendering and restore it.
        const { selectionStart, selectionEnd } = this._getValueSelection();
        this._updateViewValue();
        if (selectionEnd - selectionStart > 0) {
            this._setValueSelection(selectionStart, selectionEnd);
        }
    }
    /** @hidden
     * Indicates when input loses focus
     */
    onBlur() {
        super._onFocusChanged(false);
        this._updateViewValue();
    }
    /** @hidden */
    _listenToFormErrorState() {
        this.stateChanges
            .asObservable()
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe(() => {
            const oldValue = this.isErrorState;
            this.isErrorState = this.state === 'error';
            if (this.isErrorState !== oldValue) {
                this.markForCheck();
            }
        });
    }
    /** @hidden */
    _emitChangedValue() {
        const value = this._value;
        this.lastEmittedValue = value;
        this.valueChange.emit(this.createChangeEvent(value));
    }
    /** @hidden */
    _getStepValueForIncrease() {
        return this._getStepValue('increase');
    }
    /** @hidden */
    _getStepValueForDecrease() {
        return this._getStepValue('decrease');
    }
    /** @hidden
     * Get step value based either on "stepFn" or "step"
     */
    _getStepValue(action) {
        // steFn has precedence
        if (typeof this._stepFn === 'function') {
            return this._stepFn(this._currentValue ?? this.min, action);
        }
        return this.step;
    }
    /** @hidden */
    _updateViewValue() {
        const formatted = this._formatValue();
        this._renderValue(formatted);
    }
    /** @hidden */
    _formatValue(value = this._value) {
        if (this.focused) {
            return this.formatValueInFocusMode(value);
        }
        return this.formatValue(value);
    }
    /** @hidden */
    _renderValue(value) {
        const inputEl = this._getInputNativeElement();
        this._renderer.setProperty(inputEl, 'value', value);
    }
    /** @hidden */
    _getInputNativeElement() {
        return this._elementRef.nativeElement;
    }
    /** @hidden */
    _getValueSelection() {
        const inputEl = this._getInputNativeElement();
        const selectionStart = inputEl?.selectionStart || 0;
        const selectionEnd = inputEl?.selectionEnd || 0;
        return { selectionStart, selectionEnd };
    }
    /** @hidden */
    _setValueSelection(selectionStart, selectionEnd) {
        const inputEl = this._getInputNativeElement();
        if (!inputEl) {
            return;
        }
        inputEl.setSelectionRange(selectionStart, selectionEnd);
    }
    /** @hidden */
    _calculateCanIncrement() {
        const step = this._getStepValueForIncrease();
        this.canIncrement = (this._value || 0) + step <= this._max;
    }
    /** @hidden */
    _calculateCanDecrement() {
        const step = this._getStepValueForDecrease();
        this.canDecrement = (this._value || 0) - step >= this._min;
    }
    /** @hidden */
    _calculateCanDecrementIncrement() {
        this._calculateCanDecrement();
        this._calculateCanIncrement();
    }
    /** @hidden */
    _validateValueByLimits(value) {
        return Math.min(Math.max(value, this._min), this._max);
    }
    /** @hidden */
    _checkAndThrowErrorIfStepDoesntMatchPrecision(precision, step) {
        // Check if "precision" is valid comparing to "step"
        const stepDecimalLength = getNumberDecimalLength(step);
        const precisionDecimalLength = getNumberDecimalLength(precision);
        if (stepDecimalLength > precisionDecimalLength) {
            throw Error(`Step input: The value of step property can not contain more digits after the decimal point than what is set to the precision property`);
        }
    }
    /** @hidden */
    _setPendingEnteredValue(value) {
        this._pendingEnteredValue = value;
    }
    /** @hidden */
    _resetPendingEnteredValue() {
        this._pendingEnteredValue = null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputComponent, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: StepInputComponent, isStandalone: true, inputs: { value: "value", min: "min", max: "max", step: "step", stepFn: "stepFn", precision: "precision", largerStep: "largerStep", showLabels: "showLabels", align: "align", incrementLabel: "incrementLabel", decrementLabel: "decrementLabel" }, outputs: { valueChange: "valueChange" }, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputComponent, decorators: [{
            type: Directive
        }], propDecorators: { value: [{
                type: Input
            }], min: [{
                type: Input
            }], max: [{
                type: Input
            }], step: [{
                type: Input
            }], stepFn: [{
                type: Input
            }], precision: [{
                type: Input
            }], largerStep: [{
                type: Input
            }], showLabels: [{
                type: Input
            }], align: [{
                type: Input
            }], incrementLabel: [{
                type: Input
            }], decrementLabel: [{
                type: Input
            }], valueChange: [{
                type: Output
            }] } });

/**
 * This directive is intendant to be a bridge between input control and BaseStepInput Component.
 */
class StepInputControlDirective {
    /** @hidden */
    constructor(stepInput) {
        this.stepInput = stepInput;
    }
    /**
     * @hidden
     * Handle "input" event to keep track of what user is entering
     */
    onInput(event) {
        if (!this.stepInput.canChangeValue) {
            return;
        }
        const value = (event.target.value || '').trim();
        this.stepInput.onEnterValue(value);
    }
    /**
     * @hidden
     * Handle "change" event to commit entered value
     */
    onChange() {
        if (!this.stepInput.canChangeValue) {
            return;
        }
        this.stepInput.commitEnteredValue();
    }
    /**
     * @hidden
     * Handle "focus" event
     */
    onFocus() {
        this.stepInput.onFocus();
    }
    /**
     * @hidden
     * Handle "blur" event
     */
    onBlur() {
        this.stepInput.onBlur();
    }
    /**
     * @hidden
     * Handle "keydown" event
     */
    onKeyDown(event) {
        if (!this.stepInput.canChangeValue) {
            return;
        }
        if (KeyUtil.isKeyCode(event, UP_ARROW)) {
            this.stepInput.increase();
            this._muteEvent(event);
        }
        if (KeyUtil.isKeyCode(event, DOWN_ARROW)) {
            this.stepInput.decrease();
            this._muteEvent(event);
        }
        if (KeyUtil.isKeyCode(event, PAGE_UP)) {
            this.stepInput.largeStepIncrease();
            this._muteEvent(event);
        }
        if (KeyUtil.isKeyCode(event, PAGE_DOWN)) {
            this.stepInput.largeStepDecrease();
            this._muteEvent(event);
        }
    }
    /**
     * @hidden
     * Handle mouse wheel
     */
    onMouseWheel(event) {
        if (!this.stepInput.canChangeValue || !this.stepInput.focused) {
            return;
        }
        event.preventDefault();
        if (event.deltaY > 0) {
            this.stepInput.decrease();
        }
        else {
            this.stepInput.increase();
        }
    }
    /**
     * @hidden
     * Mute event
     */
    _muteEvent(e) {
        e.stopPropagation();
        e.preventDefault();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputControlDirective, deps: [{ token: StepInputComponent, skipSelf: true }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: StepInputControlDirective, isStandalone: true, selector: "[fdpStepInputControl]", host: { listeners: { "input": "onInput($event)", "change": "onChange()", "focus": "onFocus()", "blur": "onBlur()", "keydown": "onKeyDown($event)", "wheel": "onMouseWheel($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputControlDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpStepInputControl]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: StepInputComponent, decorators: [{
                    type: SkipSelf
                }] }], propDecorators: { onInput: [{
                type: HostListener,
                args: ['input', ['$event']]
            }], onChange: [{
                type: HostListener,
                args: ['change']
            }], onFocus: [{
                type: HostListener,
                args: ['focus']
            }], onBlur: [{
                type: HostListener,
                args: ['blur']
            }], onKeyDown: [{
                type: HostListener,
                args: ['keydown', ['$event']]
            }], onMouseWheel: [{
                type: HostListener,
                args: ['wheel', ['$event']]
            }] } });

/**
 * This is a base step input directive to be used for increase/decrease buttons.
 */
class StepInputActionButton {
    constructor() {
        /** @hidden */
        this._destroyed = inject(DestroyRef);
    }
    /** @hidden */
    click() {
        if (!this.canHandleAction()) {
            return;
        }
        // Run action while button is pressed
        timer(500)
            .pipe(switchMap(() => interval(40)), takeUntil(fromEvent(window, 'mouseup', { capture: true, once: true })))
            .pipe(takeUntilDestroyed(this._destroyed))
            .subscribe(() => this.runAction());
        this.runAction();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputActionButton, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: StepInputActionButton, isStandalone: true, host: { listeners: { "mousedown": "click()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputActionButton, decorators: [{
            type: Directive
        }], propDecorators: { click: [{
                type: HostListener,
                args: ['mousedown']
            }] } });

/**
 * This Directive is used to be assigned to decrement button.
 */
class StepInputDecrementDirective extends StepInputActionButton {
    constructor() {
        super(...arguments);
        this.stepInput = inject(StepInputComponent, { skipSelf: true });
    }
    /** @hidden */
    canHandleAction() {
        return !!this.stepInput.canChangeValue;
    }
    /** @hidden */
    runAction() {
        this.stepInput.decrease();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputDecrementDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: StepInputDecrementDirective, isStandalone: true, selector: "[fdpStepInputDecrement]", usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputDecrementDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpStepInputDecrement]',
                    standalone: true
                }]
        }] });

/**
 * This Directive is used to be assigned to increment button.
 */
class StepInputIncrementDirective extends StepInputActionButton {
    constructor() {
        super(...arguments);
        this.stepInput = inject(StepInputComponent, { skipSelf: true });
    }
    /** @hidden */
    canHandleAction() {
        return !!this.stepInput.canChangeValue;
    }
    /** @hidden */
    runAction() {
        this.stepInput.increase();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputIncrementDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: StepInputIncrementDirective, isStandalone: true, selector: "[fdpStepInputIncrement]", usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: StepInputIncrementDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpStepInputIncrement]',
                    standalone: true
                }]
        }] });

/**
 * Fundamental number-step-input component
 *
 * Example of usage
 * ```html
 * <fdp-number-step-input
 *   name="number"
 *   [value]="value"
 *   (valueChange)="onValueChange($event)"
 * ></fdp-number-step-input>
 * ```
 *
 * */
class NumberStepInputComponent extends StepInputComponent {
    /** @hidden */
    constructor(localeId, contentDensityObserver) {
        super();
        this.localeId = localeId;
        this.contentDensityObserver = contentDensityObserver;
    }
    /** @hidden
     * Create change event instance
     */
    createChangeEvent(value) {
        return new StepInputChangeEvent(this, value);
    }
    /** @hidden
     * Format value taking into account LOCALE_ID
     */
    formatValue(value) {
        const precision = this.precision;
        const digitsInfo = !isNaN(precision) ? `1.${precision}-${precision}` : undefined;
        return formatNumber(value || 0, this.localeId, digitsInfo);
    }
    /** @hidden
     * In order to avoid issues trying to parse formatted number
     * (potentially specific for each local)
     * we have to simplify number format once it's in focus mode.
     * In this case we deal with a regular float number
     */
    formatValueInFocusMode(value) {
        const precision = this.precision;
        value = value || 0;
        if (!isNaN(precision)) {
            return value.toFixed(precision);
        }
        return value.toString(10);
    }
    /** @hidden
     * Used to parse entered value
     */
    parseValueInFocusMode(value) {
        // if user leaves input empty we should consider it as '0' by default
        value = value || '0';
        const parsedValue = Number.parseFloat(value);
        return isNaN(parsedValue) ? null : parsedValue;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: NumberStepInputComponent, deps: [{ token: LOCALE_ID }, { token: i2$1.ContentDensityObserver }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: NumberStepInputComponent, isStandalone: true, selector: "fdp-number-step-input", inputs: { description: "description" }, providers: [
            { provide: FD_FORM_FIELD_CONTROL, useExisting: NumberStepInputComponent, multi: true },
            { provide: StepInputComponent, useExisting: NumberStepInputComponent },
            contentDensityObserverProviders()
        ], usesInheritance: true, ngImport: i0, template: "<fd-form-input-message-group>\n    <div\n        class=\"fd-step-input\"\n        [class.is-focus]=\"focused\"\n        [class.is-readonly]=\"!editable\"\n        [class.is-disabled]=\"disabled\"\n        [class.fd-step-input--without-buttons]=\"showLabels\"\n        [class]=\"state ? 'is-' + state : ''\"\n    >\n        <button\n            class=\"fd-step-input__button\"\n            tabindex=\"-1\"\n            type=\"button\"\n            fd-button\n            fdType=\"transparent\"\n            [glyph]=\"showLabels ? null : 'less'\"\n            fdpStepInputDecrement\n            [attr.aria-disabled]=\"disabled || !canDecrement\"\n            [attr.title]=\"decrementLabel\"\n            [attr.aria-label]=\"decrementLabel\"\n            [attr.aria-controls]=\"id\"\n        >\n            {{ showLabels ? decrementLabel : '' }}\n        </button>\n        <input\n            #inputElementRef\n            class=\"fd-input fd-input--no-number-spinner fd-step-input__input\"\n            [id]=\"id\"\n            [name]=\"name\"\n            [disabled]=\"disabled\"\n            [readonly]=\"!editable\"\n            [attr.placeholder]=\"placeholder || ''\"\n            [attr.aria-label]=\"ariaLabel\"\n            [attr.aria-labelledby]=\"ariaLabelledBy\"\n            [attr.aria-describedby]=\"description ? id + '__description' : ''\"\n            [attr.aria-required]=\"required\"\n            [style.textAlign]=\"_textAlign$()\"\n            fdpStepInputControl\n            type=\"text\"\n            inputmode=\"numeric\"\n            fdkOnlyDigits\n            [decimal]=\"true\"\n        />\n        <button\n            class=\"fd-step-input__button\"\n            tabindex=\"-1\"\n            type=\"button\"\n            fd-button\n            fdType=\"transparent\"\n            [glyph]=\"showLabels ? null : 'add'\"\n            fdpStepInputIncrement\n            [attr.aria-disabled]=\"disabled || !canIncrement\"\n            [attr.title]=\"incrementLabel\"\n            [attr.aria-label]=\"incrementLabel\"\n            [attr.aria-controls]=\"id\"\n        >\n            {{ showLabels ? incrementLabel : '' }}\n        </button>\n    </div>\n    @if (stateMessage) {\n        <fd-form-message [type]=\"state\" [innerHTML]=\"stateMessage\"></fd-form-message>\n    }\n</fd-form-input-message-group>\n@if (description) {\n    <span [id]=\"id + '__description'\" class=\"fd-form-label fd-form-label--unit-description\">\n        {{ description }}\n    </span>\n}\n", styles: [".fd-input{-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--sapField_BackgroundStyle,var(--sapField_BackgroundStyle));background-color:var(--sapField_Background,var(--sapField_Background));border:0;border:var(--sapField_BorderWidth) var(--sapField_BorderStyle) var(--sapField_BorderColor);border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapField_TextColor);cursor:text;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:var(--fdInput_Height,var(--sapElement_Height));line-height:normal;margin-block:0;margin-block:var(--fdInput_Field_Margin_Block,.25rem);margin-inline:0;min-height:var(--fdInput_Height,var(--sapElement_Height));min-width:2.75rem;outline:none;overflow:hidden;padding-block:0;padding-inline:0;padding-inline:var(--fdInput_Field_Padding_Inline,.625rem);text-overflow:ellipsis;text-shadow:var(--fdInput_Text_Shadow);white-space:nowrap;width:100%;z-index:1}.fd-input:after,.fd-input:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-input::-webkit-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input::-moz-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input:-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input::-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input::placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input[dir=rtl]::-webkit-input-placeholder,[dir=rtl] .fd-input::-webkit-input-placeholder{text-indent:.125rem}.fd-input[dir=rtl]::-moz-placeholder,[dir=rtl] .fd-input::-moz-placeholder{text-indent:.125rem}.fd-input[dir=rtl]:-ms-input-placeholder,[dir=rtl] .fd-input:-ms-input-placeholder{text-indent:.125rem}.fd-input[dir=rtl]::-ms-input-placeholder,[dir=rtl] .fd-input::-ms-input-placeholder{text-indent:.125rem}.fd-input[dir=rtl]::placeholder,[dir=rtl] .fd-input::placeholder{text-indent:.125rem}.fd-input::-moz-selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-input::selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-input::-ms-clear{display:none}.fd-input.is-hover,.fd-input:hover{background:var(--sapField_Hover_BackgroundStyle,var(--sapField_Hover_BackgroundStyle));background-color:var(--sapField_Hover_Background,var(--sapField_Hover_Background));border-color:var(--sapField_Hover_BorderColor);-webkit-box-shadow:var(--fdInput_Box_Shadow_Hover);box-shadow:var(--fdInput_Box_Shadow_Hover)}.fd-input.is-focus,.fd-input:focus{background:var(--sapField_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset);z-index:5}.fd-input[type=search]::-webkit-search-cancel-button,.fd-input[type=search]::-webkit-search-decoration,.fd-input[type=search]::-webkit-search-results-button,.fd-input[type=search]::-webkit-search-results-decoration{-webkit-appearance:none;appearance:none}.fd-input[aria-expanded=false]{z-index:0}.fd-input.is-expanded,.fd-input[aria-expanded=true]{z-index:4}.fd-input[class*=-compact],.fd-input[class*=-condensed],[class*=-compact] .fd-input:not([class*=-cozy]),[class*=-condensed] .fd-input:not([class*=-cozy]){-webkit-box-sizing:border-box;box-sizing:border-box;height:var(--fdInput_Compact_Height,var(--sapElement_Compact_Height));margin-block:var(--fdInput_Field_Compact_Margin_Block,.1875rem);margin-inline:0;min-height:var(--fdInput_Compact_Height,var(--sapElement_Compact_Height));min-width:var(--fdInput_Field_Compact_Min_Width,2rem);padding-block:0;padding-inline:var(--fdInput_Field_Compact_Padding,.5rem)}.fd-input--no-number-spinner{-webkit-appearance:textfield;-moz-appearance:textfield;appearance:textfield}.fd-input--no-number-spinner::-webkit-inner-spin-button,.fd-input--no-number-spinner::-webkit-outer-spin-button{-webkit-appearance:none;appearance:none;margin-block:0;margin-inline:0}.fd-input.right-align{text-align:right}.fd-input.is-success{background:var(--sapField_SuccessBackgroundStyle);background-color:var(--sapField_SuccessBackground);border:var(--sapField_SuccessColor) var(--sapField_SuccessBorderWidth) var(--sapField_SuccessBorderStyle);-webkit-box-shadow:var(--sapField_SuccessShadow);box-shadow:var(--sapField_SuccessShadow)}.fd-input.is-success.is-hover,.fd-input.is-success:hover{background-color:var(--fdInput_Success_Background_Color_Hover);border-color:var(--sapField_SuccessColor);-webkit-box-shadow:var(--fdInput_Success_Box_Shadow_Hover);box-shadow:var(--fdInput_Success_Box_Shadow_Hover)}.fd-input.is-success.is-focus,.fd-input.is-success:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color);z-index:5}.fd-input.is-success.is-focus.is-hover,.fd-input.is-success.is-focus:hover,.fd-input.is-success:focus.is-hover,.fd-input.is-success:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-success.is-expanded,.fd-input.is-success[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Success_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-error{background:var(--sapField_InvalidBackgroundStyle);background-color:var(--sapField_InvalidBackground);border:var(--sapField_InvalidColor) var(--sapField_InvalidBorderWidth) var(--sapField_InvalidBorderStyle);-webkit-box-shadow:var(--sapField_InvalidShadow);box-shadow:var(--sapField_InvalidShadow)}.fd-input.is-error.is-hover,.fd-input.is-error:hover{background-color:var(--fdInput_Error_Background_Color_Hover);border-color:var(--sapField_InvalidColor);-webkit-box-shadow:var(--fdInput_Error_Box_Shadow_Hover);box-shadow:var(--fdInput_Error_Box_Shadow_Hover)}.fd-input.is-error.is-focus,.fd-input.is-error:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color);z-index:5}.fd-input.is-error.is-focus.is-hover,.fd-input.is-error.is-focus:hover,.fd-input.is-error:focus.is-hover,.fd-input.is-error:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-error.is-expanded,.fd-input.is-error[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Error_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-warning{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle);-webkit-box-shadow:var(--sapField_WarningShadow);box-shadow:var(--sapField_WarningShadow)}.fd-input.is-warning.is-hover,.fd-input.is-warning:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-input.is-warning.is-focus,.fd-input.is-warning:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color);z-index:5}.fd-input.is-warning.is-focus.is-hover,.fd-input.is-warning.is-focus:hover,.fd-input.is-warning:focus.is-hover,.fd-input.is-warning:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-warning.is-expanded,.fd-input.is-warning[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-alert{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle)}.fd-input.is-alert.is-hover,.fd-input.is-alert:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-input.is-alert.is-focus,.fd-input.is-alert:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color);z-index:5}.fd-input.is-alert.is-focus.is-hover,.fd-input.is-alert.is-focus:hover,.fd-input.is-alert:focus.is-hover,.fd-input.is-alert:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-alert.is-expanded,.fd-input.is-alert[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-information{background:var(--sapField_InformationBackgroundStyle);background-color:var(--sapField_InformationBackground);border:var(--sapField_InformationColor) var(--sapField_InformationBorderWidth) var(--sapField_InformationBorderStyle);-webkit-box-shadow:var(--sapField_InformationShadow);box-shadow:var(--sapField_InformationShadow)}.fd-input.is-information.is-hover,.fd-input.is-information:hover{background-color:var(--fdInput_Information_Background_Color_Hover);border-color:var(--sapField_InformationColor);-webkit-box-shadow:var(--fdInput_Information_Box_Shadow_Hover);box-shadow:var(--fdInput_Information_Box_Shadow_Hover)}.fd-input.is-information.is-focus,.fd-input.is-information:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color);z-index:5}.fd-input.is-information.is-focus.is-hover,.fd-input.is-information.is-focus:hover,.fd-input.is-information:focus.is-hover,.fd-input.is-information:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-information.is-expanded,.fd-input.is-information[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Information_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-alert,.fd-input.is-error,.fd-input.is-warning{font-style:var(--fdInput_State_Text_Style);font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::-webkit-input-placeholder,.fd-input.is-error::-webkit-input-placeholder,.fd-input.is-warning::-webkit-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::-moz-placeholder,.fd-input.is-error::-moz-placeholder,.fd-input.is-warning::-moz-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert:-ms-input-placeholder,.fd-input.is-error:-ms-input-placeholder,.fd-input.is-warning:-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::-ms-input-placeholder,.fd-input.is-error::-ms-input-placeholder,.fd-input.is-warning::-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::placeholder,.fd-input.is-error::placeholder,.fd-input.is-warning::placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert.is-focus,.fd-input.is-alert:focus,.fd-input.is-error.is-focus,.fd-input.is-error:focus,.fd-input.is-information.is-focus,.fd-input.is-information:focus,.fd-input.is-warning.is-focus,.fd-input.is-warning:focus{outline-offset:var(--fdInput_Outline_Offset_States);z-index:5}.fd-input.is-error::-webkit-input-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error::-moz-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error:-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error::-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error::placeholder{color:var(--sapField_TextColor)}.fd-input.is-disabled,.fd-input:disabled,.fd-input[aria-disabled=true]{opacity:var(--sapContent_DisabledOpacity);pointer-events:none}.fd-input.is-disabled::-webkit-input-placeholder,.fd-input:disabled::-webkit-input-placeholder,.fd-input[aria-disabled=true]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled::-moz-placeholder,.fd-input:disabled::-moz-placeholder,.fd-input[aria-disabled=true]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled:-ms-input-placeholder,.fd-input:disabled:-ms-input-placeholder,.fd-input[aria-disabled=true]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled::-ms-input-placeholder,.fd-input:disabled::-ms-input-placeholder,.fd-input[aria-disabled=true]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled::placeholder,.fd-input:disabled::placeholder,.fd-input[aria-disabled=true]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly,.fd-input[aria-readonly=true],.fd-input[readonly]{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-input.is-readonly::-webkit-input-placeholder,.fd-input[aria-readonly=true]::-webkit-input-placeholder,.fd-input[readonly]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly::-moz-placeholder,.fd-input[aria-readonly=true]::-moz-placeholder,.fd-input[readonly]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly:-ms-input-placeholder,.fd-input[aria-readonly=true]:-ms-input-placeholder,.fd-input[readonly]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly::-ms-input-placeholder,.fd-input[aria-readonly=true]::-ms-input-placeholder,.fd-input[readonly]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly::placeholder,.fd-input[aria-readonly=true]::placeholder,.fd-input[readonly]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly.is-focus,.fd-input.is-readonly.is-hover,.fd-input.is-readonly:focus,.fd-input.is-readonly:hover,.fd-input[aria-readonly=true].is-focus,.fd-input[aria-readonly=true].is-hover,.fd-input[aria-readonly=true]:focus,.fd-input[aria-readonly=true]:hover,.fd-input[readonly].is-focus,.fd-input[readonly].is-hover,.fd-input[readonly]:focus,.fd-input[readonly]:hover{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-input.is-readonly.is-focus,.fd-input.is-readonly:focus,.fd-input[aria-readonly=true].is-focus,.fd-input[aria-readonly=true]:focus,.fd-input[readonly].is-focus,.fd-input[readonly]:focus{z-index:5}.fd-step-input{--fdStepInput_Button_Width:var(--fdStepInput_Button_Width_Cozy);--fdStepInput_Bordered_Button_Width:var(--fdStepInput_Button_Width_Semantic_Cozy);-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--sapField_BackgroundStyle,var(--sapField_BackgroundStyle));background-color:var(--sapField_Background,var(--sapField_Background));border:0;border:var(--sapField_BorderWidth) var(--sapField_BorderStyle) var(--sapField_BorderColor);border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapField_TextColor);cursor:text;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:var(--fdInput_Height,var(--sapElement_Height));line-height:normal;margin-block:0;margin-block:var(--fdInput_Field_Margin_Block,.25rem);margin-inline:0;min-height:var(--fdInput_Height,var(--sapElement_Height));min-width:2.75rem;outline:none;overflow:hidden;padding-inline:var(--fdInput_Field_Padding_Inline,.625rem);position:relative;text-overflow:ellipsis;text-shadow:var(--fdInput_Text_Shadow);white-space:nowrap;width:100%;width:auto;z-index:1;-webkit-box-align:center;-ms-flex-align:center;align-items:center;padding-block:0;padding-inline:0}.fd-step-input:after,.fd-step-input:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-step-input::-webkit-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input::-moz-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input:-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input::-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input::placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input[dir=rtl]::-webkit-input-placeholder,[dir=rtl] .fd-step-input::-webkit-input-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]::-moz-placeholder,[dir=rtl] .fd-step-input::-moz-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]:-ms-input-placeholder,[dir=rtl] .fd-step-input:-ms-input-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]::-ms-input-placeholder,[dir=rtl] .fd-step-input::-ms-input-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]::placeholder,[dir=rtl] .fd-step-input::placeholder{text-indent:.125rem}.fd-step-input::-moz-selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-step-input::selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-step-input::-ms-clear{display:none}.fd-step-input.is-hover,.fd-step-input:hover{background:var(--sapField_Hover_BackgroundStyle,var(--sapField_Hover_BackgroundStyle));background-color:var(--sapField_Hover_Background,var(--sapField_Hover_Background));border-color:var(--sapField_Hover_BorderColor);-webkit-box-shadow:var(--fdInput_Box_Shadow_Hover);box-shadow:var(--fdInput_Box_Shadow_Hover)}.fd-step-input.is-focus,.fd-step-input:focus{background:var(--sapField_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input:focus-within{background:var(--sapField_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset_Focus_Within)}.fd-step-input.is-success{background:var(--sapField_SuccessBackgroundStyle);background-color:var(--sapField_SuccessBackground);border:var(--sapField_SuccessColor) var(--sapField_SuccessBorderWidth) var(--sapField_SuccessBorderStyle);-webkit-box-shadow:var(--sapField_SuccessShadow);box-shadow:var(--sapField_SuccessShadow)}.fd-step-input.is-success.is-hover,.fd-step-input.is-success:hover{background-color:var(--fdInput_Success_Background_Color_Hover);border-color:var(--sapField_SuccessColor);-webkit-box-shadow:var(--fdInput_Success_Box_Shadow_Hover);box-shadow:var(--fdInput_Success_Box_Shadow_Hover)}.fd-step-input.is-success.is-focus,.fd-step-input.is-success:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color)}.fd-step-input.is-success.is-focus.is-hover,.fd-step-input.is-success.is-focus:hover,.fd-step-input.is-success:focus.is-hover,.fd-step-input.is-success:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-success:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color)}.fd-step-input.is-success:focus-within.is-hover,.fd-step-input.is-success:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-success.is-expanded,.fd-step-input.is-success[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Success_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-error{background:var(--sapField_InvalidBackgroundStyle);background-color:var(--sapField_InvalidBackground);border:var(--sapField_InvalidColor) var(--sapField_InvalidBorderWidth) var(--sapField_InvalidBorderStyle);-webkit-box-shadow:var(--sapField_InvalidShadow);box-shadow:var(--sapField_InvalidShadow)}.fd-step-input.is-error.is-hover,.fd-step-input.is-error:hover{background-color:var(--fdInput_Error_Background_Color_Hover);border-color:var(--sapField_InvalidColor);-webkit-box-shadow:var(--fdInput_Error_Box_Shadow_Hover);box-shadow:var(--fdInput_Error_Box_Shadow_Hover)}.fd-step-input.is-error.is-focus,.fd-step-input.is-error:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color)}.fd-step-input.is-error.is-focus.is-hover,.fd-step-input.is-error.is-focus:hover,.fd-step-input.is-error:focus.is-hover,.fd-step-input.is-error:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-error:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color)}.fd-step-input.is-error:focus-within.is-hover,.fd-step-input.is-error:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-error.is-expanded,.fd-step-input.is-error[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Error_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-warning{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle);-webkit-box-shadow:var(--sapField_WarningShadow);box-shadow:var(--sapField_WarningShadow)}.fd-step-input.is-warning.is-hover,.fd-step-input.is-warning:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-step-input.is-warning.is-focus,.fd-step-input.is-warning:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-warning.is-focus.is-hover,.fd-step-input.is-warning.is-focus:hover,.fd-step-input.is-warning:focus.is-hover,.fd-step-input.is-warning:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-warning:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-warning:focus-within.is-hover,.fd-step-input.is-warning:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-warning.is-expanded,.fd-step-input.is-warning[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-alert{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle)}.fd-step-input.is-alert.is-hover,.fd-step-input.is-alert:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-step-input.is-alert.is-focus,.fd-step-input.is-alert:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-alert.is-focus.is-hover,.fd-step-input.is-alert.is-focus:hover,.fd-step-input.is-alert:focus.is-hover,.fd-step-input.is-alert:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-alert:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-alert:focus-within.is-hover,.fd-step-input.is-alert:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-alert.is-expanded,.fd-step-input.is-alert[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-information{background:var(--sapField_InformationBackgroundStyle);background-color:var(--sapField_InformationBackground);border:var(--sapField_InformationColor) var(--sapField_InformationBorderWidth) var(--sapField_InformationBorderStyle);-webkit-box-shadow:var(--sapField_InformationShadow);box-shadow:var(--sapField_InformationShadow)}.fd-step-input.is-information.is-hover,.fd-step-input.is-information:hover{background-color:var(--fdInput_Information_Background_Color_Hover);border-color:var(--sapField_InformationColor);-webkit-box-shadow:var(--fdInput_Information_Box_Shadow_Hover);box-shadow:var(--fdInput_Information_Box_Shadow_Hover)}.fd-step-input.is-information.is-focus,.fd-step-input.is-information:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color)}.fd-step-input.is-information.is-focus.is-hover,.fd-step-input.is-information.is-focus:hover,.fd-step-input.is-information:focus.is-hover,.fd-step-input.is-information:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-information:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color)}.fd-step-input.is-information:focus-within.is-hover,.fd-step-input.is-information:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-information.is-expanded,.fd-step-input.is-information[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Information_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-alert,.fd-step-input.is-error,.fd-step-input.is-warning{font-style:var(--fdInput_State_Text_Style);font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::-webkit-input-placeholder,.fd-step-input.is-error::-webkit-input-placeholder,.fd-step-input.is-warning::-webkit-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::-moz-placeholder,.fd-step-input.is-error::-moz-placeholder,.fd-step-input.is-warning::-moz-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert:-ms-input-placeholder,.fd-step-input.is-error:-ms-input-placeholder,.fd-step-input.is-warning:-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::-ms-input-placeholder,.fd-step-input.is-error::-ms-input-placeholder,.fd-step-input.is-warning::-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::placeholder,.fd-step-input.is-error::placeholder,.fd-step-input.is-warning::placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert.is-focus,.fd-step-input.is-alert:focus,.fd-step-input.is-error.is-focus,.fd-step-input.is-error:focus,.fd-step-input.is-information.is-focus,.fd-step-input.is-information:focus,.fd-step-input.is-warning.is-focus,.fd-step-input.is-warning:focus{outline-offset:var(--fdInput_Outline_Offset_States);z-index:5}.fd-step-input.is-error::-webkit-input-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error::-moz-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error:-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error::-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error::placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-disabled,.fd-step-input:disabled,.fd-step-input[aria-disabled=true]{opacity:var(--sapContent_DisabledOpacity);pointer-events:none}.fd-step-input.is-disabled::-webkit-input-placeholder,.fd-step-input:disabled::-webkit-input-placeholder,.fd-step-input[aria-disabled=true]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled::-moz-placeholder,.fd-step-input:disabled::-moz-placeholder,.fd-step-input[aria-disabled=true]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled:-ms-input-placeholder,.fd-step-input:disabled:-ms-input-placeholder,.fd-step-input[aria-disabled=true]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled::-ms-input-placeholder,.fd-step-input:disabled::-ms-input-placeholder,.fd-step-input[aria-disabled=true]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled::placeholder,.fd-step-input:disabled::placeholder,.fd-step-input[aria-disabled=true]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly,.fd-step-input[aria-readonly=true],.fd-step-input[readonly]{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-readonly::-webkit-input-placeholder,.fd-step-input[aria-readonly=true]::-webkit-input-placeholder,.fd-step-input[readonly]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly::-moz-placeholder,.fd-step-input[aria-readonly=true]::-moz-placeholder,.fd-step-input[readonly]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly:-ms-input-placeholder,.fd-step-input[aria-readonly=true]:-ms-input-placeholder,.fd-step-input[readonly]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly::-ms-input-placeholder,.fd-step-input[aria-readonly=true]::-ms-input-placeholder,.fd-step-input[readonly]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly::placeholder,.fd-step-input[aria-readonly=true]::placeholder,.fd-step-input[readonly]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly.is-focus,.fd-step-input.is-readonly.is-hover,.fd-step-input.is-readonly:focus,.fd-step-input.is-readonly:hover,.fd-step-input[aria-readonly=true].is-focus,.fd-step-input[aria-readonly=true].is-hover,.fd-step-input[aria-readonly=true]:focus,.fd-step-input[aria-readonly=true]:hover,.fd-step-input[readonly].is-focus,.fd-step-input[readonly].is-hover,.fd-step-input[readonly]:focus,.fd-step-input[readonly]:hover{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-readonly.is-focus,.fd-step-input.is-readonly:focus,.fd-step-input[aria-readonly=true].is-focus,.fd-step-input[aria-readonly=true]:focus,.fd-step-input[readonly].is-focus,.fd-step-input[readonly]:focus{z-index:5}.fd-step-input .fd-step-input__button{background:var(--fdInput_Group_Button_Background);background-color:var(--fdButtonBackgroundColor);border:none;border-radius:var(--fdInput_Group_Button_Border_Raduis);color:var(--fdInput_Group_Button_Text_Color);overflow:hidden;position:relative;text-overflow:ellipsis;white-space:nowrap;z-index:auto!important}.fd-step-input .fd-step-input__button:before{display:none!important}.fd-step-input .fd-step-input__button:after{border-radius:var(--fdInput_Outline_Border_Radius)}.fd-step-input .fd-step-input__button.is-hover,.fd-step-input .fd-step-input__button:hover{--fdInput_Group_Button_Text_Color:var(--fdInput_Group_Button_Hover_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Hover_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow)}.fd-step-input .fd-step-input__button.is-active,.fd-step-input .fd-step-input__button:active{background:var(--fdInput_Group_Button_Active_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow);color:var(--fdInput_Group_Button_Active_Text_Color)}.fd-step-input.is-success.is-focus,.fd-step-input.is-success:focus{z-index:5}.fd-step-input.is-success.is-focus .fd-step-input__button,.fd-step-input.is-success:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-success.is-focus .fd-step-input__button:hover,.fd-step-input.is-success:focus .fd-step-input__button.is-hover,.fd-step-input.is-success:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success.is-expanded .fd-step-input__button,.fd-step-input.is-success[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-success.is-expanded .fd-step-input__button:hover,.fd-step-input.is-success[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-success[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success .fd-step-input__button.is-active,.fd-step-input.is-success .fd-step-input__button.is-hover,.fd-step-input.is-success .fd-step-input__button:active,.fd-step-input.is-success .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow)}.fd-step-input.is-success .fd-step-input__button.is-active,.fd-step-input.is-success .fd-step-input__button:active{color:var(--fdInput_Group_Button_Success_Active_Text_Color)}.fd-step-input.is-error.is-focus,.fd-step-input.is-error:focus{z-index:5}.fd-step-input.is-error.is-focus .fd-step-input__button,.fd-step-input.is-error:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-error.is-focus .fd-step-input__button:hover,.fd-step-input.is-error:focus .fd-step-input__button.is-hover,.fd-step-input.is-error:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error.is-expanded .fd-step-input__button,.fd-step-input.is-error[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-error.is-expanded .fd-step-input__button:hover,.fd-step-input.is-error[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-error[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error .fd-step-input__button.is-active,.fd-step-input.is-error .fd-step-input__button.is-hover,.fd-step-input.is-error .fd-step-input__button:active,.fd-step-input.is-error .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow)}.fd-step-input.is-error .fd-step-input__button.is-active,.fd-step-input.is-error .fd-step-input__button:active{color:var(--fdInput_Group_Button_Error_Active_Text_Color)}.fd-step-input.is-warning.is-focus,.fd-step-input.is-warning:focus{z-index:5}.fd-step-input.is-warning.is-focus .fd-step-input__button,.fd-step-input.is-warning:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-warning.is-focus .fd-step-input__button:hover,.fd-step-input.is-warning:focus .fd-step-input__button.is-hover,.fd-step-input.is-warning:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning.is-expanded .fd-step-input__button,.fd-step-input.is-warning[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-warning.is-expanded .fd-step-input__button:hover,.fd-step-input.is-warning[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-warning[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning .fd-step-input__button.is-active,.fd-step-input.is-warning .fd-step-input__button.is-hover,.fd-step-input.is-warning .fd-step-input__button:active,.fd-step-input.is-warning .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-step-input.is-warning .fd-step-input__button.is-active,.fd-step-input.is-warning .fd-step-input__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-step-input.is-alert.is-focus,.fd-step-input.is-alert:focus{z-index:5}.fd-step-input.is-alert.is-focus .fd-step-input__button,.fd-step-input.is-alert:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-alert.is-focus .fd-step-input__button:hover,.fd-step-input.is-alert:focus .fd-step-input__button.is-hover,.fd-step-input.is-alert:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert.is-expanded .fd-step-input__button,.fd-step-input.is-alert[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-alert.is-expanded .fd-step-input__button:hover,.fd-step-input.is-alert[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-alert[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert .fd-step-input__button.is-active,.fd-step-input.is-alert .fd-step-input__button.is-hover,.fd-step-input.is-alert .fd-step-input__button:active,.fd-step-input.is-alert .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-step-input.is-alert .fd-step-input__button.is-active,.fd-step-input.is-alert .fd-step-input__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-step-input.is-information.is-focus,.fd-step-input.is-information:focus{z-index:5}.fd-step-input.is-information.is-focus .fd-step-input__button,.fd-step-input.is-information:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-information.is-focus .fd-step-input__button:hover,.fd-step-input.is-information:focus .fd-step-input__button.is-hover,.fd-step-input.is-information:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information.is-expanded .fd-step-input__button,.fd-step-input.is-information[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-information.is-expanded .fd-step-input__button:hover,.fd-step-input.is-information[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-information[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information .fd-step-input__button.is-active,.fd-step-input.is-information .fd-step-input__button.is-hover,.fd-step-input.is-information .fd-step-input__button:active,.fd-step-input.is-information .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow)}.fd-step-input.is-information .fd-step-input__button.is-active,.fd-step-input.is-information .fd-step-input__button:active{color:var(--fdInput_Group_Button_Information_Active_Text_Color)}.fd-step-input--full-width{width:100%}.fd-step-input .fd-step-input__button.fd-button{min-width:var(--fdStepInput_Button_Width);width:var(--fdStepInput_Button_Width)}.fd-step-input .fd-step-input__button.fd-button:after,.fd-step-input .fd-step-input__button.fd-button:before{font-size:.875rem;margin-block:0;margin-inline:0}.fd-step-input .fd-step-input__button.fd-button.is-focus,.fd-step-input .fd-step-input__button.fd-button:focus{outline:none;z-index:5}.fd-step-input .fd-step-input__button.fd-button.is-focus:after,.fd-step-input .fd-step-input__button.fd-button:focus:after{display:none}.fd-step-input .fd-step-input__button.fd-button.is-focus.is-hover,.fd-step-input .fd-step-input__button.fd-button.is-focus:hover,.fd-step-input .fd-step-input__button.fd-button:focus.is-hover,.fd-step-input .fd-step-input__button.fd-button:focus:hover{z-index:auto}.fd-step-input__input.fd-input{--fdInput_Field_Padding_Inline:.25rem;background:none;background-color:transparent;border:none;-webkit-box-shadow:none;box-shadow:none;margin-block:0;margin-inline:0;text-align:right}.fd-step-input__input.fd-input[dir=rtl],[dir=rtl] .fd-step-input__input.fd-input{text-align:left}.fd-step-input__input.fd-input.is-focus,.fd-step-input__input.fd-input.is-hover,.fd-step-input__input.fd-input:focus,.fd-step-input__input.fd-input:hover{background:none;background-color:var(transparent,transparent);-webkit-box-shadow:none;box-shadow:none}.fd-step-input__input.fd-input.is-focus,.fd-step-input__input.fd-input:focus{outline:none;z-index:5}.fd-step-input__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center}.fd-step-input.is-error .fd-step-input__button.fd-button,.fd-step-input.is-information .fd-step-input__button.fd-button,.fd-step-input.is-warning .fd-step-input__button.fd-button{min-width:var(--fdStepInput_Button_Width_Semantic_Cozy);width:var(--fdStepInput_Button_Width_Semantic_Cozy)}.fd-step-input[class*=-compact],.fd-step-input[class*=-condensed],[class*=-compact] .fd-step-input:not([class*=-cozy]),[class*=-condensed] .fd-step-input:not([class*=-cozy]){--fdStepInput_Button_Width:var(--fdStepInput_Button_Width_Compact);--fdStepInput_Bordered_Button_Width:var(--fdStepInput_Button_Width_Semantic_Compact);--fdInput_Field_Compact_Padding:.25rem;height:1.625rem;min-height:1.625rem}.fd-step-input[class*=-compact] .fd-step-input__input.fd-input,.fd-step-input[class*=-condensed] .fd-step-input__input.fd-input,[class*=-compact] .fd-step-input:not([class*=-cozy]) .fd-step-input__input.fd-input,[class*=-condensed] .fd-step-input:not([class*=-cozy]) .fd-step-input__input.fd-input{height:100%}.fd-step-input[class*=-compact].is-readonly,.fd-step-input[class*=-condensed].is-readonly,[class*=-compact] .fd-step-input:not([class*=-cozy]).is-readonly,[class*=-condensed] .fd-step-input:not([class*=-cozy]).is-readonly{--fdInput_Field_Compact_Padding:.5rem}.fd-step-input.is-readonly .fd-step-input__input.fd-input{--fdInput_Field_Padding_Inline:.625rem}.fd-step-input.is-readonly .fd-step-input__button.fd-button{display:none}.fd-step-input.is-readonly:focus-within{border-radius:var(--sapField_BorderCornerRadius)}.fd-step-input.is-readonly:focus-within .fd-step-input__input{background:transparent}.fd-step-input.is-focus,.fd-step-input:focus{z-index:5}.fd-step-input.is-focus.is-error .fd-step-input__button.fd-button:not(:hover),.fd-step-input.is-focus.is-information .fd-step-input__button.fd-button:not(:hover),.fd-step-input.is-focus.is-success .fd-step-input__button.fd-button:not(:hover),.fd-step-input.is-focus.is-warning .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-error .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-information .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-success .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-warning .fd-step-input__button.fd-button:not(:hover){-webkit-box-shadow:none;box-shadow:none}.fd-step-input{display:flex}\n/*! Bundled license information:\n\nfundamental-styles/dist/step-input.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"], dependencies: [{ kind: "component", type: FormInputMessageGroupComponent, selector: "fd-form-input-message-group", inputs: ["triggers", "closeOnOutsideClick", "fillControlMode", "noArrow", "closeOnEscapeKey", "placement", "placementContainer", "isOpen", "preventSpaceKeyScroll"], outputs: ["isOpenChange"] }, { kind: "component", type: ButtonComponent$1, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "directive", type: StepInputDecrementDirective, selector: "[fdpStepInputDecrement]" }, { kind: "directive", type: StepInputControlDirective, selector: "[fdpStepInputControl]" }, { kind: "directive", type: OnlyDigitsDirective, selector: "[fdkOnlyDigits]", inputs: ["decimal", "decimalSeparator"] }, { kind: "directive", type: StepInputIncrementDirective, selector: "[fdpStepInputIncrement]" }, { kind: "component", type: FormMessageComponent, selector: "fd-form-message", inputs: ["type", "static", "embedded", "class"] }, { kind: "ngmodule", type: ContentDensityModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: NumberStepInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-number-step-input', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        { provide: FD_FORM_FIELD_CONTROL, useExisting: NumberStepInputComponent, multi: true },
                        { provide: StepInputComponent, useExisting: NumberStepInputComponent },
                        contentDensityObserverProviders()
                    ], imports: [
                        FormInputMessageGroupComponent,
                        ButtonComponent$1,
                        StepInputDecrementDirective,
                        StepInputControlDirective,
                        OnlyDigitsDirective,
                        StepInputIncrementDirective,
                        FormMessageComponent,
                        ContentDensityModule
                    ], template: "<fd-form-input-message-group>\n    <div\n        class=\"fd-step-input\"\n        [class.is-focus]=\"focused\"\n        [class.is-readonly]=\"!editable\"\n        [class.is-disabled]=\"disabled\"\n        [class.fd-step-input--without-buttons]=\"showLabels\"\n        [class]=\"state ? 'is-' + state : ''\"\n    >\n        <button\n            class=\"fd-step-input__button\"\n            tabindex=\"-1\"\n            type=\"button\"\n            fd-button\n            fdType=\"transparent\"\n            [glyph]=\"showLabels ? null : 'less'\"\n            fdpStepInputDecrement\n            [attr.aria-disabled]=\"disabled || !canDecrement\"\n            [attr.title]=\"decrementLabel\"\n            [attr.aria-label]=\"decrementLabel\"\n            [attr.aria-controls]=\"id\"\n        >\n            {{ showLabels ? decrementLabel : '' }}\n        </button>\n        <input\n            #inputElementRef\n            class=\"fd-input fd-input--no-number-spinner fd-step-input__input\"\n            [id]=\"id\"\n            [name]=\"name\"\n            [disabled]=\"disabled\"\n            [readonly]=\"!editable\"\n            [attr.placeholder]=\"placeholder || ''\"\n            [attr.aria-label]=\"ariaLabel\"\n            [attr.aria-labelledby]=\"ariaLabelledBy\"\n            [attr.aria-describedby]=\"description ? id + '__description' : ''\"\n            [attr.aria-required]=\"required\"\n            [style.textAlign]=\"_textAlign$()\"\n            fdpStepInputControl\n            type=\"text\"\n            inputmode=\"numeric\"\n            fdkOnlyDigits\n            [decimal]=\"true\"\n        />\n        <button\n            class=\"fd-step-input__button\"\n            tabindex=\"-1\"\n            type=\"button\"\n            fd-button\n            fdType=\"transparent\"\n            [glyph]=\"showLabels ? null : 'add'\"\n            fdpStepInputIncrement\n            [attr.aria-disabled]=\"disabled || !canIncrement\"\n            [attr.title]=\"incrementLabel\"\n            [attr.aria-label]=\"incrementLabel\"\n            [attr.aria-controls]=\"id\"\n        >\n            {{ showLabels ? incrementLabel : '' }}\n        </button>\n    </div>\n    @if (stateMessage) {\n        <fd-form-message [type]=\"state\" [innerHTML]=\"stateMessage\"></fd-form-message>\n    }\n</fd-form-input-message-group>\n@if (description) {\n    <span [id]=\"id + '__description'\" class=\"fd-form-label fd-form-label--unit-description\">\n        {{ description }}\n    </span>\n}\n", styles: [".fd-input{-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--sapField_BackgroundStyle,var(--sapField_BackgroundStyle));background-color:var(--sapField_Background,var(--sapField_Background));border:0;border:var(--sapField_BorderWidth) var(--sapField_BorderStyle) var(--sapField_BorderColor);border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapField_TextColor);cursor:text;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:var(--fdInput_Height,var(--sapElement_Height));line-height:normal;margin-block:0;margin-block:var(--fdInput_Field_Margin_Block,.25rem);margin-inline:0;min-height:var(--fdInput_Height,var(--sapElement_Height));min-width:2.75rem;outline:none;overflow:hidden;padding-block:0;padding-inline:0;padding-inline:var(--fdInput_Field_Padding_Inline,.625rem);text-overflow:ellipsis;text-shadow:var(--fdInput_Text_Shadow);white-space:nowrap;width:100%;z-index:1}.fd-input:after,.fd-input:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-input::-webkit-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input::-moz-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input:-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input::-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input::placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-input[dir=rtl]::-webkit-input-placeholder,[dir=rtl] .fd-input::-webkit-input-placeholder{text-indent:.125rem}.fd-input[dir=rtl]::-moz-placeholder,[dir=rtl] .fd-input::-moz-placeholder{text-indent:.125rem}.fd-input[dir=rtl]:-ms-input-placeholder,[dir=rtl] .fd-input:-ms-input-placeholder{text-indent:.125rem}.fd-input[dir=rtl]::-ms-input-placeholder,[dir=rtl] .fd-input::-ms-input-placeholder{text-indent:.125rem}.fd-input[dir=rtl]::placeholder,[dir=rtl] .fd-input::placeholder{text-indent:.125rem}.fd-input::-moz-selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-input::selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-input::-ms-clear{display:none}.fd-input.is-hover,.fd-input:hover{background:var(--sapField_Hover_BackgroundStyle,var(--sapField_Hover_BackgroundStyle));background-color:var(--sapField_Hover_Background,var(--sapField_Hover_Background));border-color:var(--sapField_Hover_BorderColor);-webkit-box-shadow:var(--fdInput_Box_Shadow_Hover);box-shadow:var(--fdInput_Box_Shadow_Hover)}.fd-input.is-focus,.fd-input:focus{background:var(--sapField_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset);z-index:5}.fd-input[type=search]::-webkit-search-cancel-button,.fd-input[type=search]::-webkit-search-decoration,.fd-input[type=search]::-webkit-search-results-button,.fd-input[type=search]::-webkit-search-results-decoration{-webkit-appearance:none;appearance:none}.fd-input[aria-expanded=false]{z-index:0}.fd-input.is-expanded,.fd-input[aria-expanded=true]{z-index:4}.fd-input[class*=-compact],.fd-input[class*=-condensed],[class*=-compact] .fd-input:not([class*=-cozy]),[class*=-condensed] .fd-input:not([class*=-cozy]){-webkit-box-sizing:border-box;box-sizing:border-box;height:var(--fdInput_Compact_Height,var(--sapElement_Compact_Height));margin-block:var(--fdInput_Field_Compact_Margin_Block,.1875rem);margin-inline:0;min-height:var(--fdInput_Compact_Height,var(--sapElement_Compact_Height));min-width:var(--fdInput_Field_Compact_Min_Width,2rem);padding-block:0;padding-inline:var(--fdInput_Field_Compact_Padding,.5rem)}.fd-input--no-number-spinner{-webkit-appearance:textfield;-moz-appearance:textfield;appearance:textfield}.fd-input--no-number-spinner::-webkit-inner-spin-button,.fd-input--no-number-spinner::-webkit-outer-spin-button{-webkit-appearance:none;appearance:none;margin-block:0;margin-inline:0}.fd-input.right-align{text-align:right}.fd-input.is-success{background:var(--sapField_SuccessBackgroundStyle);background-color:var(--sapField_SuccessBackground);border:var(--sapField_SuccessColor) var(--sapField_SuccessBorderWidth) var(--sapField_SuccessBorderStyle);-webkit-box-shadow:var(--sapField_SuccessShadow);box-shadow:var(--sapField_SuccessShadow)}.fd-input.is-success.is-hover,.fd-input.is-success:hover{background-color:var(--fdInput_Success_Background_Color_Hover);border-color:var(--sapField_SuccessColor);-webkit-box-shadow:var(--fdInput_Success_Box_Shadow_Hover);box-shadow:var(--fdInput_Success_Box_Shadow_Hover)}.fd-input.is-success.is-focus,.fd-input.is-success:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color);z-index:5}.fd-input.is-success.is-focus.is-hover,.fd-input.is-success.is-focus:hover,.fd-input.is-success:focus.is-hover,.fd-input.is-success:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-success.is-expanded,.fd-input.is-success[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Success_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-error{background:var(--sapField_InvalidBackgroundStyle);background-color:var(--sapField_InvalidBackground);border:var(--sapField_InvalidColor) var(--sapField_InvalidBorderWidth) var(--sapField_InvalidBorderStyle);-webkit-box-shadow:var(--sapField_InvalidShadow);box-shadow:var(--sapField_InvalidShadow)}.fd-input.is-error.is-hover,.fd-input.is-error:hover{background-color:var(--fdInput_Error_Background_Color_Hover);border-color:var(--sapField_InvalidColor);-webkit-box-shadow:var(--fdInput_Error_Box_Shadow_Hover);box-shadow:var(--fdInput_Error_Box_Shadow_Hover)}.fd-input.is-error.is-focus,.fd-input.is-error:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color);z-index:5}.fd-input.is-error.is-focus.is-hover,.fd-input.is-error.is-focus:hover,.fd-input.is-error:focus.is-hover,.fd-input.is-error:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-error.is-expanded,.fd-input.is-error[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Error_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-warning{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle);-webkit-box-shadow:var(--sapField_WarningShadow);box-shadow:var(--sapField_WarningShadow)}.fd-input.is-warning.is-hover,.fd-input.is-warning:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-input.is-warning.is-focus,.fd-input.is-warning:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color);z-index:5}.fd-input.is-warning.is-focus.is-hover,.fd-input.is-warning.is-focus:hover,.fd-input.is-warning:focus.is-hover,.fd-input.is-warning:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-warning.is-expanded,.fd-input.is-warning[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-alert{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle)}.fd-input.is-alert.is-hover,.fd-input.is-alert:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-input.is-alert.is-focus,.fd-input.is-alert:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color);z-index:5}.fd-input.is-alert.is-focus.is-hover,.fd-input.is-alert.is-focus:hover,.fd-input.is-alert:focus.is-hover,.fd-input.is-alert:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-alert.is-expanded,.fd-input.is-alert[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-information{background:var(--sapField_InformationBackgroundStyle);background-color:var(--sapField_InformationBackground);border:var(--sapField_InformationColor) var(--sapField_InformationBorderWidth) var(--sapField_InformationBorderStyle);-webkit-box-shadow:var(--sapField_InformationShadow);box-shadow:var(--sapField_InformationShadow)}.fd-input.is-information.is-hover,.fd-input.is-information:hover{background-color:var(--fdInput_Information_Background_Color_Hover);border-color:var(--sapField_InformationColor);-webkit-box-shadow:var(--fdInput_Information_Box_Shadow_Hover);box-shadow:var(--fdInput_Information_Box_Shadow_Hover)}.fd-input.is-information.is-focus,.fd-input.is-information:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color);z-index:5}.fd-input.is-information.is-focus.is-hover,.fd-input.is-information.is-focus:hover,.fd-input.is-information:focus.is-hover,.fd-input.is-information:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-input.is-information.is-expanded,.fd-input.is-information[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Information_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-input.is-alert,.fd-input.is-error,.fd-input.is-warning{font-style:var(--fdInput_State_Text_Style);font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::-webkit-input-placeholder,.fd-input.is-error::-webkit-input-placeholder,.fd-input.is-warning::-webkit-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::-moz-placeholder,.fd-input.is-error::-moz-placeholder,.fd-input.is-warning::-moz-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert:-ms-input-placeholder,.fd-input.is-error:-ms-input-placeholder,.fd-input.is-warning:-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::-ms-input-placeholder,.fd-input.is-error::-ms-input-placeholder,.fd-input.is-warning::-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert::placeholder,.fd-input.is-error::placeholder,.fd-input.is-warning::placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-input.is-alert.is-focus,.fd-input.is-alert:focus,.fd-input.is-error.is-focus,.fd-input.is-error:focus,.fd-input.is-information.is-focus,.fd-input.is-information:focus,.fd-input.is-warning.is-focus,.fd-input.is-warning:focus{outline-offset:var(--fdInput_Outline_Offset_States);z-index:5}.fd-input.is-error::-webkit-input-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error::-moz-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error:-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error::-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-input.is-error::placeholder{color:var(--sapField_TextColor)}.fd-input.is-disabled,.fd-input:disabled,.fd-input[aria-disabled=true]{opacity:var(--sapContent_DisabledOpacity);pointer-events:none}.fd-input.is-disabled::-webkit-input-placeholder,.fd-input:disabled::-webkit-input-placeholder,.fd-input[aria-disabled=true]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled::-moz-placeholder,.fd-input:disabled::-moz-placeholder,.fd-input[aria-disabled=true]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled:-ms-input-placeholder,.fd-input:disabled:-ms-input-placeholder,.fd-input[aria-disabled=true]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled::-ms-input-placeholder,.fd-input:disabled::-ms-input-placeholder,.fd-input[aria-disabled=true]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-disabled::placeholder,.fd-input:disabled::placeholder,.fd-input[aria-disabled=true]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly,.fd-input[aria-readonly=true],.fd-input[readonly]{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-input.is-readonly::-webkit-input-placeholder,.fd-input[aria-readonly=true]::-webkit-input-placeholder,.fd-input[readonly]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly::-moz-placeholder,.fd-input[aria-readonly=true]::-moz-placeholder,.fd-input[readonly]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly:-ms-input-placeholder,.fd-input[aria-readonly=true]:-ms-input-placeholder,.fd-input[readonly]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly::-ms-input-placeholder,.fd-input[aria-readonly=true]::-ms-input-placeholder,.fd-input[readonly]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly::placeholder,.fd-input[aria-readonly=true]::placeholder,.fd-input[readonly]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-input.is-readonly.is-focus,.fd-input.is-readonly.is-hover,.fd-input.is-readonly:focus,.fd-input.is-readonly:hover,.fd-input[aria-readonly=true].is-focus,.fd-input[aria-readonly=true].is-hover,.fd-input[aria-readonly=true]:focus,.fd-input[aria-readonly=true]:hover,.fd-input[readonly].is-focus,.fd-input[readonly].is-hover,.fd-input[readonly]:focus,.fd-input[readonly]:hover{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-input.is-readonly.is-focus,.fd-input.is-readonly:focus,.fd-input[aria-readonly=true].is-focus,.fd-input[aria-readonly=true]:focus,.fd-input[readonly].is-focus,.fd-input[readonly]:focus{z-index:5}.fd-step-input{--fdStepInput_Button_Width:var(--fdStepInput_Button_Width_Cozy);--fdStepInput_Bordered_Button_Width:var(--fdStepInput_Button_Width_Semantic_Cozy);-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--sapField_BackgroundStyle,var(--sapField_BackgroundStyle));background-color:var(--sapField_Background,var(--sapField_Background));border:0;border:var(--sapField_BorderWidth) var(--sapField_BorderStyle) var(--sapField_BorderColor);border-radius:var(--sapField_BorderCornerRadius);-webkit-box-shadow:var(--sapField_Shadow);box-shadow:var(--sapField_Shadow);-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);color:var(--sapField_TextColor);cursor:text;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;height:var(--fdInput_Height,var(--sapElement_Height));line-height:normal;margin-block:0;margin-block:var(--fdInput_Field_Margin_Block,.25rem);margin-inline:0;min-height:var(--fdInput_Height,var(--sapElement_Height));min-width:2.75rem;outline:none;overflow:hidden;padding-inline:var(--fdInput_Field_Padding_Inline,.625rem);position:relative;text-overflow:ellipsis;text-shadow:var(--fdInput_Text_Shadow);white-space:nowrap;width:100%;width:auto;z-index:1;-webkit-box-align:center;-ms-flex-align:center;align-items:center;padding-block:0;padding-inline:0}.fd-step-input:after,.fd-step-input:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-step-input::-webkit-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input::-moz-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input:-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input::-ms-input-placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input::placeholder{color:var(--sapField_PlaceholderTextColor);font-style:var(--fdPlaceholder_Font_Style)}.fd-step-input[dir=rtl]::-webkit-input-placeholder,[dir=rtl] .fd-step-input::-webkit-input-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]::-moz-placeholder,[dir=rtl] .fd-step-input::-moz-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]:-ms-input-placeholder,[dir=rtl] .fd-step-input:-ms-input-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]::-ms-input-placeholder,[dir=rtl] .fd-step-input::-ms-input-placeholder{text-indent:.125rem}.fd-step-input[dir=rtl]::placeholder,[dir=rtl] .fd-step-input::placeholder{text-indent:.125rem}.fd-step-input::-moz-selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-step-input::selection{background-color:var(--sapSelectedColor);color:var(--sapContent_ContrastTextColor)}.fd-step-input::-ms-clear{display:none}.fd-step-input.is-hover,.fd-step-input:hover{background:var(--sapField_Hover_BackgroundStyle,var(--sapField_Hover_BackgroundStyle));background-color:var(--sapField_Hover_Background,var(--sapField_Hover_Background));border-color:var(--sapField_Hover_BorderColor);-webkit-box-shadow:var(--fdInput_Box_Shadow_Hover);box-shadow:var(--fdInput_Box_Shadow_Hover)}.fd-step-input.is-focus,.fd-step-input:focus{background:var(--sapField_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input:focus-within{background:var(--sapField_Focus_Background,var(--sapField_Focus_Background));-webkit-box-shadow:none;box-shadow:none;outline:var(--fdInput_Outline_Color) var(--sapContent_FocusStyle) var(--sapContent_FocusWidth);outline-offset:var(--fdInput_Outline_Offset_Focus_Within)}.fd-step-input.is-success{background:var(--sapField_SuccessBackgroundStyle);background-color:var(--sapField_SuccessBackground);border:var(--sapField_SuccessColor) var(--sapField_SuccessBorderWidth) var(--sapField_SuccessBorderStyle);-webkit-box-shadow:var(--sapField_SuccessShadow);box-shadow:var(--sapField_SuccessShadow)}.fd-step-input.is-success.is-hover,.fd-step-input.is-success:hover{background-color:var(--fdInput_Success_Background_Color_Hover);border-color:var(--sapField_SuccessColor);-webkit-box-shadow:var(--fdInput_Success_Box_Shadow_Hover);box-shadow:var(--fdInput_Success_Box_Shadow_Hover)}.fd-step-input.is-success.is-focus,.fd-step-input.is-success:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color)}.fd-step-input.is-success.is-focus.is-hover,.fd-step-input.is-success.is-focus:hover,.fd-step-input.is-success:focus.is-hover,.fd-step-input.is-success:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-success:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Success_Outline_Color)}.fd-step-input.is-success:focus-within.is-hover,.fd-step-input.is-success:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-success.is-expanded,.fd-step-input.is-success[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Success_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-error{background:var(--sapField_InvalidBackgroundStyle);background-color:var(--sapField_InvalidBackground);border:var(--sapField_InvalidColor) var(--sapField_InvalidBorderWidth) var(--sapField_InvalidBorderStyle);-webkit-box-shadow:var(--sapField_InvalidShadow);box-shadow:var(--sapField_InvalidShadow)}.fd-step-input.is-error.is-hover,.fd-step-input.is-error:hover{background-color:var(--fdInput_Error_Background_Color_Hover);border-color:var(--sapField_InvalidColor);-webkit-box-shadow:var(--fdInput_Error_Box_Shadow_Hover);box-shadow:var(--fdInput_Error_Box_Shadow_Hover)}.fd-step-input.is-error.is-focus,.fd-step-input.is-error:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color)}.fd-step-input.is-error.is-focus.is-hover,.fd-step-input.is-error.is-focus:hover,.fd-step-input.is-error:focus.is-hover,.fd-step-input.is-error:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-error:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Error_Outline_Color)}.fd-step-input.is-error:focus-within.is-hover,.fd-step-input.is-error:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-error.is-expanded,.fd-step-input.is-error[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Error_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-warning{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle);-webkit-box-shadow:var(--sapField_WarningShadow);box-shadow:var(--sapField_WarningShadow)}.fd-step-input.is-warning.is-hover,.fd-step-input.is-warning:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-step-input.is-warning.is-focus,.fd-step-input.is-warning:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-warning.is-focus.is-hover,.fd-step-input.is-warning.is-focus:hover,.fd-step-input.is-warning:focus.is-hover,.fd-step-input.is-warning:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-warning:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-warning:focus-within.is-hover,.fd-step-input.is-warning:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-warning.is-expanded,.fd-step-input.is-warning[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-alert{background:var(--sapField_WarningBackgroundStyle);background-color:var(--sapField_WarningBackground);border:var(--sapField_WarningColor) var(--sapField_WarningBorderWidth) var(--sapField_WarningBorderStyle)}.fd-step-input.is-alert.is-hover,.fd-step-input.is-alert:hover{background-color:var(--fdInput_Warning_Background_Color_Hover);border-color:var(--sapField_WarningColor);-webkit-box-shadow:var(--fdInput_Warning_Box_Shadow_Hover);box-shadow:var(--fdInput_Warning_Box_Shadow_Hover)}.fd-step-input.is-alert.is-focus,.fd-step-input.is-alert:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-alert.is-focus.is-hover,.fd-step-input.is-alert.is-focus:hover,.fd-step-input.is-alert:focus.is-hover,.fd-step-input.is-alert:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-alert:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Warning_Outline_Color)}.fd-step-input.is-alert:focus-within.is-hover,.fd-step-input.is-alert:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-alert.is-expanded,.fd-step-input.is-alert[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Warning_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-information{background:var(--sapField_InformationBackgroundStyle);background-color:var(--sapField_InformationBackground);border:var(--sapField_InformationColor) var(--sapField_InformationBorderWidth) var(--sapField_InformationBorderStyle);-webkit-box-shadow:var(--sapField_InformationShadow);box-shadow:var(--sapField_InformationShadow)}.fd-step-input.is-information.is-hover,.fd-step-input.is-information:hover{background-color:var(--fdInput_Information_Background_Color_Hover);border-color:var(--sapField_InformationColor);-webkit-box-shadow:var(--fdInput_Information_Box_Shadow_Hover);box-shadow:var(--fdInput_Information_Box_Shadow_Hover)}.fd-step-input.is-information.is-focus,.fd-step-input.is-information:focus{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color)}.fd-step-input.is-information.is-focus.is-hover,.fd-step-input.is-information.is-focus:hover,.fd-step-input.is-information:focus.is-hover,.fd-step-input.is-information:focus:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-information:focus-within{background:var(--sapField_Focus_Background);outline-color:var(--fdInput_Information_Outline_Color)}.fd-step-input.is-information:focus-within.is-hover,.fd-step-input.is-information:focus-within:hover{-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-information.is-expanded,.fd-step-input.is-information[aria-expanded=true]{background:var(--sapField_Focus_Background);-webkit-box-shadow:none;box-shadow:none;outline:var(--sapContent_FocusWidth) var(--sapContent_FocusStyle) var(--fdInput_Information_Outline_Color);outline-offset:var(--fdInput_Outline_Offset)}.fd-step-input.is-alert,.fd-step-input.is-error,.fd-step-input.is-warning{font-style:var(--fdInput_State_Text_Style);font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::-webkit-input-placeholder,.fd-step-input.is-error::-webkit-input-placeholder,.fd-step-input.is-warning::-webkit-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::-moz-placeholder,.fd-step-input.is-error::-moz-placeholder,.fd-step-input.is-warning::-moz-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert:-ms-input-placeholder,.fd-step-input.is-error:-ms-input-placeholder,.fd-step-input.is-warning:-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::-ms-input-placeholder,.fd-step-input.is-error::-ms-input-placeholder,.fd-step-input.is-warning::-ms-input-placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert::placeholder,.fd-step-input.is-error::placeholder,.fd-step-input.is-warning::placeholder{font-weight:var(--fdInput_State_Font_Weight)}.fd-step-input.is-alert.is-focus,.fd-step-input.is-alert:focus,.fd-step-input.is-error.is-focus,.fd-step-input.is-error:focus,.fd-step-input.is-information.is-focus,.fd-step-input.is-information:focus,.fd-step-input.is-warning.is-focus,.fd-step-input.is-warning:focus{outline-offset:var(--fdInput_Outline_Offset_States);z-index:5}.fd-step-input.is-error::-webkit-input-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error::-moz-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error:-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error::-ms-input-placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-error::placeholder{color:var(--sapField_TextColor)}.fd-step-input.is-disabled,.fd-step-input:disabled,.fd-step-input[aria-disabled=true]{opacity:var(--sapContent_DisabledOpacity);pointer-events:none}.fd-step-input.is-disabled::-webkit-input-placeholder,.fd-step-input:disabled::-webkit-input-placeholder,.fd-step-input[aria-disabled=true]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled::-moz-placeholder,.fd-step-input:disabled::-moz-placeholder,.fd-step-input[aria-disabled=true]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled:-ms-input-placeholder,.fd-step-input:disabled:-ms-input-placeholder,.fd-step-input[aria-disabled=true]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled::-ms-input-placeholder,.fd-step-input:disabled::-ms-input-placeholder,.fd-step-input[aria-disabled=true]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-disabled::placeholder,.fd-step-input:disabled::placeholder,.fd-step-input[aria-disabled=true]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly,.fd-step-input[aria-readonly=true],.fd-step-input[readonly]{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-readonly::-webkit-input-placeholder,.fd-step-input[aria-readonly=true]::-webkit-input-placeholder,.fd-step-input[readonly]::-webkit-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly::-moz-placeholder,.fd-step-input[aria-readonly=true]::-moz-placeholder,.fd-step-input[readonly]::-moz-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly:-ms-input-placeholder,.fd-step-input[aria-readonly=true]:-ms-input-placeholder,.fd-step-input[readonly]:-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly::-ms-input-placeholder,.fd-step-input[aria-readonly=true]::-ms-input-placeholder,.fd-step-input[readonly]::-ms-input-placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly::placeholder,.fd-step-input[aria-readonly=true]::placeholder,.fd-step-input[readonly]::placeholder{color:var(--fdInput_Non_Interactive_State_Placeholder_Color);opacity:0}.fd-step-input.is-readonly.is-focus,.fd-step-input.is-readonly.is-hover,.fd-step-input.is-readonly:focus,.fd-step-input.is-readonly:hover,.fd-step-input[aria-readonly=true].is-focus,.fd-step-input[aria-readonly=true].is-hover,.fd-step-input[aria-readonly=true]:focus,.fd-step-input[aria-readonly=true]:hover,.fd-step-input[readonly].is-focus,.fd-step-input[readonly].is-hover,.fd-step-input[readonly]:focus,.fd-step-input[readonly]:hover{--fdInput_Outline_Offset:-.25rem;background:var(--sapField_ReadOnly_BackgroundStyle);background-color:var(--sapField_ReadOnly_Background);border-color:var(--sapField_ReadOnly_BorderColor);-webkit-box-shadow:none;box-shadow:none}.fd-step-input.is-readonly.is-focus,.fd-step-input.is-readonly:focus,.fd-step-input[aria-readonly=true].is-focus,.fd-step-input[aria-readonly=true]:focus,.fd-step-input[readonly].is-focus,.fd-step-input[readonly]:focus{z-index:5}.fd-step-input .fd-step-input__button{background:var(--fdInput_Group_Button_Background);background-color:var(--fdButtonBackgroundColor);border:none;border-radius:var(--fdInput_Group_Button_Border_Raduis);color:var(--fdInput_Group_Button_Text_Color);overflow:hidden;position:relative;text-overflow:ellipsis;white-space:nowrap;z-index:auto!important}.fd-step-input .fd-step-input__button:before{display:none!important}.fd-step-input .fd-step-input__button:after{border-radius:var(--fdInput_Outline_Border_Radius)}.fd-step-input .fd-step-input__button.is-hover,.fd-step-input .fd-step-input__button:hover{--fdInput_Group_Button_Text_Color:var(--fdInput_Group_Button_Hover_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Hover_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow)}.fd-step-input .fd-step-input__button.is-active,.fd-step-input .fd-step-input__button:active{background:var(--fdInput_Group_Button_Active_Background);-webkit-box-shadow:var(--fdInput_Group_Button_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Box_Shadow);color:var(--fdInput_Group_Button_Active_Text_Color)}.fd-step-input.is-success.is-focus,.fd-step-input.is-success:focus{z-index:5}.fd-step-input.is-success.is-focus .fd-step-input__button,.fd-step-input.is-success:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-success.is-focus .fd-step-input__button:hover,.fd-step-input.is-success:focus .fd-step-input__button.is-hover,.fd-step-input.is-success:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success.is-expanded .fd-step-input__button,.fd-step-input.is-success[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);color:var(--fdInput_Group_Button_Success_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-success.is-expanded .fd-step-input__button:hover,.fd-step-input.is-success[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-success[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-success .fd-step-input__button.is-active,.fd-step-input.is-success .fd-step-input__button.is-hover,.fd-step-input.is-success .fd-step-input__button:active,.fd-step-input.is-success .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Success_Active_Box_Shadow)}.fd-step-input.is-success .fd-step-input__button.is-active,.fd-step-input.is-success .fd-step-input__button:active{color:var(--fdInput_Group_Button_Success_Active_Text_Color)}.fd-step-input.is-error.is-focus,.fd-step-input.is-error:focus{z-index:5}.fd-step-input.is-error.is-focus .fd-step-input__button,.fd-step-input.is-error:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-error.is-focus .fd-step-input__button:hover,.fd-step-input.is-error:focus .fd-step-input__button.is-hover,.fd-step-input.is-error:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error.is-expanded .fd-step-input__button,.fd-step-input.is-error[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);color:var(--fdInput_Group_Button_Error_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-error.is-expanded .fd-step-input__button:hover,.fd-step-input.is-error[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-error[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-error .fd-step-input__button.is-active,.fd-step-input.is-error .fd-step-input__button.is-hover,.fd-step-input.is-error .fd-step-input__button:active,.fd-step-input.is-error .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Error_Active_Box_Shadow)}.fd-step-input.is-error .fd-step-input__button.is-active,.fd-step-input.is-error .fd-step-input__button:active{color:var(--fdInput_Group_Button_Error_Active_Text_Color)}.fd-step-input.is-warning.is-focus,.fd-step-input.is-warning:focus{z-index:5}.fd-step-input.is-warning.is-focus .fd-step-input__button,.fd-step-input.is-warning:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-warning.is-focus .fd-step-input__button:hover,.fd-step-input.is-warning:focus .fd-step-input__button.is-hover,.fd-step-input.is-warning:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning.is-expanded .fd-step-input__button,.fd-step-input.is-warning[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-warning.is-expanded .fd-step-input__button:hover,.fd-step-input.is-warning[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-warning[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-warning .fd-step-input__button.is-active,.fd-step-input.is-warning .fd-step-input__button.is-hover,.fd-step-input.is-warning .fd-step-input__button:active,.fd-step-input.is-warning .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-step-input.is-warning .fd-step-input__button.is-active,.fd-step-input.is-warning .fd-step-input__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-step-input.is-alert.is-focus,.fd-step-input.is-alert:focus{z-index:5}.fd-step-input.is-alert.is-focus .fd-step-input__button,.fd-step-input.is-alert:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-alert.is-focus .fd-step-input__button:hover,.fd-step-input.is-alert:focus .fd-step-input__button.is-hover,.fd-step-input.is-alert:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert.is-expanded .fd-step-input__button,.fd-step-input.is-alert[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);color:var(--fdInput_Group_Button_Warning_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-alert.is-expanded .fd-step-input__button:hover,.fd-step-input.is-alert[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-alert[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-alert .fd-step-input__button.is-active,.fd-step-input.is-alert .fd-step-input__button.is-hover,.fd-step-input.is-alert .fd-step-input__button:active,.fd-step-input.is-alert .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Warning_Active_Box_Shadow)}.fd-step-input.is-alert .fd-step-input__button.is-active,.fd-step-input.is-alert .fd-step-input__button:active{color:var(--fdInput_Group_Button_Warning_Active_Text_Color)}.fd-step-input.is-information.is-focus,.fd-step-input.is-information:focus{z-index:5}.fd-step-input.is-information.is-focus .fd-step-input__button,.fd-step-input.is-information:focus .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information.is-focus .fd-step-input__button.is-hover,.fd-step-input.is-information.is-focus .fd-step-input__button:hover,.fd-step-input.is-information:focus .fd-step-input__button.is-hover,.fd-step-input.is-information:focus .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information.is-expanded .fd-step-input__button,.fd-step-input.is-information[aria-expanded=true] .fd-step-input__button{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);color:var(--fdInput_Group_Button_Information_Active_Text_Color);--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information.is-expanded .fd-step-input__button.is-hover,.fd-step-input.is-information.is-expanded .fd-step-input__button:hover,.fd-step-input.is-information[aria-expanded=true] .fd-step-input__button.is-hover,.fd-step-input.is-information[aria-expanded=true] .fd-step-input__button:hover{--fdButtonBackgroundColor:var(--fdInput_Group_Button_Active_Background)}.fd-step-input.is-information .fd-step-input__button.is-active,.fd-step-input.is-information .fd-step-input__button.is-hover,.fd-step-input.is-information .fd-step-input__button:active,.fd-step-input.is-information .fd-step-input__button:hover{-webkit-box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow);box-shadow:var(--fdInput_Group_Button_Information_Active_Box_Shadow)}.fd-step-input.is-information .fd-step-input__button.is-active,.fd-step-input.is-information .fd-step-input__button:active{color:var(--fdInput_Group_Button_Information_Active_Text_Color)}.fd-step-input--full-width{width:100%}.fd-step-input .fd-step-input__button.fd-button{min-width:var(--fdStepInput_Button_Width);width:var(--fdStepInput_Button_Width)}.fd-step-input .fd-step-input__button.fd-button:after,.fd-step-input .fd-step-input__button.fd-button:before{font-size:.875rem;margin-block:0;margin-inline:0}.fd-step-input .fd-step-input__button.fd-button.is-focus,.fd-step-input .fd-step-input__button.fd-button:focus{outline:none;z-index:5}.fd-step-input .fd-step-input__button.fd-button.is-focus:after,.fd-step-input .fd-step-input__button.fd-button:focus:after{display:none}.fd-step-input .fd-step-input__button.fd-button.is-focus.is-hover,.fd-step-input .fd-step-input__button.fd-button.is-focus:hover,.fd-step-input .fd-step-input__button.fd-button:focus.is-hover,.fd-step-input .fd-step-input__button.fd-button:focus:hover{z-index:auto}.fd-step-input__input.fd-input{--fdInput_Field_Padding_Inline:.25rem;background:none;background-color:transparent;border:none;-webkit-box-shadow:none;box-shadow:none;margin-block:0;margin-inline:0;text-align:right}.fd-step-input__input.fd-input[dir=rtl],[dir=rtl] .fd-step-input__input.fd-input{text-align:left}.fd-step-input__input.fd-input.is-focus,.fd-step-input__input.fd-input.is-hover,.fd-step-input__input.fd-input:focus,.fd-step-input__input.fd-input:hover{background:none;background-color:var(transparent,transparent);-webkit-box-shadow:none;box-shadow:none}.fd-step-input__input.fd-input.is-focus,.fd-step-input__input.fd-input:focus{outline:none;z-index:5}.fd-step-input__container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center}.fd-step-input.is-error .fd-step-input__button.fd-button,.fd-step-input.is-information .fd-step-input__button.fd-button,.fd-step-input.is-warning .fd-step-input__button.fd-button{min-width:var(--fdStepInput_Button_Width_Semantic_Cozy);width:var(--fdStepInput_Button_Width_Semantic_Cozy)}.fd-step-input[class*=-compact],.fd-step-input[class*=-condensed],[class*=-compact] .fd-step-input:not([class*=-cozy]),[class*=-condensed] .fd-step-input:not([class*=-cozy]){--fdStepInput_Button_Width:var(--fdStepInput_Button_Width_Compact);--fdStepInput_Bordered_Button_Width:var(--fdStepInput_Button_Width_Semantic_Compact);--fdInput_Field_Compact_Padding:.25rem;height:1.625rem;min-height:1.625rem}.fd-step-input[class*=-compact] .fd-step-input__input.fd-input,.fd-step-input[class*=-condensed] .fd-step-input__input.fd-input,[class*=-compact] .fd-step-input:not([class*=-cozy]) .fd-step-input__input.fd-input,[class*=-condensed] .fd-step-input:not([class*=-cozy]) .fd-step-input__input.fd-input{height:100%}.fd-step-input[class*=-compact].is-readonly,.fd-step-input[class*=-condensed].is-readonly,[class*=-compact] .fd-step-input:not([class*=-cozy]).is-readonly,[class*=-condensed] .fd-step-input:not([class*=-cozy]).is-readonly{--fdInput_Field_Compact_Padding:.5rem}.fd-step-input.is-readonly .fd-step-input__input.fd-input{--fdInput_Field_Padding_Inline:.625rem}.fd-step-input.is-readonly .fd-step-input__button.fd-button{display:none}.fd-step-input.is-readonly:focus-within{border-radius:var(--sapField_BorderCornerRadius)}.fd-step-input.is-readonly:focus-within .fd-step-input__input{background:transparent}.fd-step-input.is-focus,.fd-step-input:focus{z-index:5}.fd-step-input.is-focus.is-error .fd-step-input__button.fd-button:not(:hover),.fd-step-input.is-focus.is-information .fd-step-input__button.fd-button:not(:hover),.fd-step-input.is-focus.is-success .fd-step-input__button.fd-button:not(:hover),.fd-step-input.is-focus.is-warning .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-error .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-information .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-success .fd-step-input__button.fd-button:not(:hover),.fd-step-input:focus.is-warning .fd-step-input__button.fd-button:not(:hover){-webkit-box-shadow:none;box-shadow:none}.fd-step-input{display:flex}\n/*! Bundled license information:\n\nfundamental-styles/dist/step-input.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"] }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [LOCALE_ID]
                }] }, { type: i2$1.ContentDensityObserver }], propDecorators: { description: [{
                type: Input
            }] } });

class PlatformStepInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformStepInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformStepInputModule, imports: [StepInputDecrementDirective,
            StepInputIncrementDirective,
            StepInputControlDirective,
            NumberStepInputComponent], exports: [StepInputDecrementDirective,
            StepInputIncrementDirective,
            StepInputControlDirective,
            NumberStepInputComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformStepInputModule, imports: [NumberStepInputComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformStepInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        StepInputDecrementDirective,
                        StepInputIncrementDirective,
                        StepInputControlDirective,
                        NumberStepInputComponent
                    ],
                    exports: [
                        StepInputDecrementDirective,
                        StepInputIncrementDirective,
                        StepInputControlDirective,
                        NumberStepInputComponent
                    ]
                }]
        }] });

class PlatformSwitchModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformSwitchModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformSwitchModule, imports: [SwitchComponent], exports: [SwitchComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformSwitchModule, imports: [SwitchComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformSwitchModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [SwitchComponent],
                    exports: [SwitchComponent]
                }]
        }] });

class PlatformTextAreaModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTextAreaModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformTextAreaModule, imports: [TextAreaComponent], exports: [TextAreaComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTextAreaModule, imports: [TextAreaComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTextAreaModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [TextAreaComponent],
                    exports: [TextAreaComponent]
                }]
        }] });

class PlatformTimePickerComponent extends BaseInput {
    /**
     * @Input date time object representation
     */
    set value(value) {
        super.setValue(value);
    }
    get value() {
        return super.getValue();
    }
    /** @deprecated
     * Meridian is deprecated. Use displayFormat and parseFormat inputs or
     * DateTimeFormats.display.timeInput and DateTimeFormats.parse.timeInput instead.
     * @Input When set to false, uses the 24 hour clock (hours ranging from 0 to 23).
     * Default value based on the current locale format option
     */
    set meridian(value) {
        warnOnce('Property meridian is deprecated.' +
            ' Use Meridian is deprecated.' +
            ' Use displayFormat and parseFormat inputs or DateTimeFormats.display.timeInput and DateTimeFormats.parse.timeInput instead. instead.');
        this._meridian = value;
    }
    get meridian() {
        return this._meridian;
    }
    /**
     *  The state of the form control - applies css classes.
     *  Can be `success`, `error`, `warning`, `information` or blank for default.
     */
    set state(state) {
        super.state = state;
    }
    get state() {
        if (this.timePickerComponent && this.timePickerComponent._isInvalidTimeInput) {
            // if any other error from core timePicker
            return 'error';
        }
        return super.state;
    }
    /** @hidden */
    constructor() {
        super();
        /** @Input Whether to show spinner buttons */
        this.spinnerButtons = true;
        /** Whether a null input is considered valid(success). */
        this.allowNull = true;
        /** Defines if time component should be used with tablet mode */
        this.tablet = false;
        /**
         *  The placement of the popover. It can be one of: top, top-start, top-end, bottom,
         *  bottom-start, bottom-end, right, right-start, right-end, left, left-start, left-end.
         */
        this.placement = 'bottom-start';
        /**
         * Whether AddOn Button should be focusable
         * @default true
         */
        this.buttonFocusable = true;
        /** Whether to validate the time picker input. */
        this.useValidation = true;
        /**
         * @Input when set to true, time inputs won't allow to have 1 digit
         * for example 9 will become 09
         * but 12 will be kept as 12.
         */
        this.keepTwoDigitsTime = false;
        /** Event emitted when the state of the isOpen property changes. */
        this.isOpenChange = new EventEmitter();
        if (this.ngControl) {
            this.ngControl.valueAccessor = this;
        }
    }
    /**
     * Method that handles changes when popover is opened or closed.
     */
    handleOpenChange(open) {
        this.isOpenChange.emit(open);
    }
    /**
     * logic to handle validation from both platform forms and core datetiimepicker
     * @param value inputted
     */
    handleTimeChange(value) {
        if (this.timePickerComponent) {
            if (this.timePickerComponent._isInvalidTimeInput) {
                this.state = 'error';
            }
            else {
                this.state = !this.timePickerComponent.time && !this.allowNull ? 'error' : undefined;
            }
            this.value = value;
            this.stateChanges.next('time picker: handleTimeInputChange');
        }
        this.onTouched();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTimePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: PlatformTimePickerComponent, isStandalone: true, selector: "fdp-time-picker", inputs: { value: "value", time: "time", spinnerButtons: "spinnerButtons", meridian: "meridian", displaySeconds: "displaySeconds", displayMinutes: "displayMinutes", displayHours: "displayHours", placeholder: "placeholder", timePickerInputLabel: "timePickerInputLabel", allowNull: "allowNull", tablet: "tablet", placement: "placement", state: "state", buttonFocusable: "buttonFocusable", useValidation: "useValidation", keepTwoDigitsTime: "keepTwoDigitsTime", displayFormat: "displayFormat", parseFormat: "parseFormat" }, outputs: { isOpenChange: "isOpenChange" }, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: PlatformTimePickerComponent, multi: true }], viewQueries: [{ propertyName: "timePickerComponent", first: true, predicate: TimePickerComponent, descendants: true }], usesInheritance: true, ngImport: i0, template: "<fd-time-picker\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.ariaDescribedBy]=\"ariaDescribedBy\"\n    [inputId]=\"id\"\n    [required]=\"required\"\n    [time]=\"time\"\n    [meridian]=\"meridian\"\n    [disabled]=\"disabled\"\n    [displayFormat]=\"displayFormat\"\n    [spinnerButtons]=\"spinnerButtons\"\n    [displaySeconds]=\"displaySeconds\"\n    [displayMinutes]=\"displayMinutes\"\n    [displayHours]=\"displayHours\"\n    [placeholder]=\"placeholder\"\n    [timePickerInputLabel]=\"timePickerInputLabel\"\n    [allowNull]=\"allowNull\"\n    [tablet]=\"tablet\"\n    [placement]=\"placement\"\n    [parseFormat]=\"parseFormat\"\n    [state]=\"state\"\n    [buttonFocusable]=\"buttonFocusable\"\n    [useValidation]=\"useValidation\"\n    [keepTwoDigitsTime]=\"keepTwoDigitsTime\"\n    (isOpenChange)=\"handleOpenChange($event)\"\n    (ngModelChange)=\"handleTimeChange($event)\"\n    [(ngModel)]=\"value\"\n>\n    <ng-content></ng-content>\n</fd-time-picker>\n", dependencies: [{ kind: "component", type: TimePickerComponent, selector: "fd-time-picker", inputs: ["time", "inputId", "disabled", "required", "spinnerButtons", "meridian", "displaySeconds", "displayMinutes", "displayHours", "placeholder", "timePickerInputLabel", "timePickerButtonLabel", "ariaLabelledBy", "allowNull", "tablet", "message", "messageType", "messageTriggers", "placement", "useValidation", "state", "buttonFocusable", "keepTwoDigitsTime", "displayFormat", "parseFormat", "valueStateSuccessMessage", "valueStateInformationMessage", "valueStateWarningMessage", "valueStateErrorMessage"], outputs: ["isOpenChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$1.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i1$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTimePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-time-picker', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: FD_FORM_FIELD_CONTROL, useExisting: PlatformTimePickerComponent, multi: true }], imports: [TimePickerComponent, FormsModule], template: "<fd-time-picker\n    [attr.aria-label]=\"ariaLabel\"\n    [attr.ariaLabelledBy]=\"ariaLabelledBy\"\n    [attr.ariaDescribedBy]=\"ariaDescribedBy\"\n    [inputId]=\"id\"\n    [required]=\"required\"\n    [time]=\"time\"\n    [meridian]=\"meridian\"\n    [disabled]=\"disabled\"\n    [displayFormat]=\"displayFormat\"\n    [spinnerButtons]=\"spinnerButtons\"\n    [displaySeconds]=\"displaySeconds\"\n    [displayMinutes]=\"displayMinutes\"\n    [displayHours]=\"displayHours\"\n    [placeholder]=\"placeholder\"\n    [timePickerInputLabel]=\"timePickerInputLabel\"\n    [allowNull]=\"allowNull\"\n    [tablet]=\"tablet\"\n    [placement]=\"placement\"\n    [parseFormat]=\"parseFormat\"\n    [state]=\"state\"\n    [buttonFocusable]=\"buttonFocusable\"\n    [useValidation]=\"useValidation\"\n    [keepTwoDigitsTime]=\"keepTwoDigitsTime\"\n    (isOpenChange)=\"handleOpenChange($event)\"\n    (ngModelChange)=\"handleTimeChange($event)\"\n    [(ngModel)]=\"value\"\n>\n    <ng-content></ng-content>\n</fd-time-picker>\n" }]
        }], ctorParameters: () => [], propDecorators: { value: [{
                type: Input
            }], time: [{
                type: Input
            }], spinnerButtons: [{
                type: Input
            }], meridian: [{
                type: Input
            }], displaySeconds: [{
                type: Input
            }], displayMinutes: [{
                type: Input
            }], displayHours: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], timePickerInputLabel: [{
                type: Input
            }], allowNull: [{
                type: Input
            }], tablet: [{
                type: Input
            }], placement: [{
                type: Input
            }], state: [{
                type: Input
            }], buttonFocusable: [{
                type: Input
            }], useValidation: [{
                type: Input
            }], keepTwoDigitsTime: [{
                type: Input
            }], displayFormat: [{
                type: Input
            }], parseFormat: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }], timePickerComponent: [{
                type: ViewChild,
                args: [TimePickerComponent]
            }] } });

class PlatformTimePickerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTimePickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformTimePickerModule, imports: [PlatformTimePickerComponent], exports: [PlatformTimePickerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTimePickerModule, imports: [PlatformTimePickerComponent] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTimePickerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [PlatformTimePickerComponent],
                    exports: [PlatformTimePickerComponent]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { AutoCompleteDirective, BaseCombobox, BaseDynamicFormGeneratorControl, BaseMultiCombobox, BaseMultiInput, BaseSelect, COMBOBOX_COMPONENT, CSS_CLASS_NAME, CheckboxComponent, CheckboxGroupComponent, ComboboxComponent, ComboboxConfig, ComboboxItemDirective, ComboboxItemGroupDirective, ComboboxMobileComponent, ComboboxSecondaryItemDirective, ComboboxSelectedItemDirective, ComboboxSelectionChangeEvent, DEFAULT_COMPONENTS_LIST, DEFAULT_VALIDATION_ERRORS, DefaultGapLayout, DefaultHorizontalFieldLayout, DefaultHorizontalLabelLayout, DefaultVerticalFieldLayout, DefaultVerticalLabelLayout, DynamicFormControl, DynamicFormControlDirective, DynamicFormControlFieldDirective, DynamicFormControlGroup, DynamicFormGeneratorCheckboxComponent, DynamicFormGeneratorDatepickerComponent, DynamicFormGeneratorEditorComponent, DynamicFormGeneratorInputComponent, DynamicFormGeneratorMultiInputComponent, DynamicFormGeneratorObjectStatusComponent, DynamicFormGeneratorRadioComponent, DynamicFormGeneratorSelectComponent, DynamicFormGeneratorSwitchComponent, FDP_COMBOBOX_ITEM_DEF, FDP_FORM_ERROR_DIRECTIVE, FDP_FORM_FIELD_HINT_LAYOUT_CONFIG, FDP_FORM_FIELD_HINT_OPTIONS_DEFAULT, FDP_FORM_GENERATOR_DEFAULT_HINT_OPTIONS, FDP_FORM_IGNORED_STATUSES, FORM_GENERATOR_CONFIG, FORM_GENERATOR_ITEM_CONFIG, FORM_GROUP_CHILD_FIELD_TOKEN, FdpComboboxItemDef, FdpFormGroupModule, FdpSelectionChangeEvent, Field, FieldGroup, FieldGroupRowValuePipe, FormFieldComponent, FormFieldControlExtrasComponent, FormFieldErrorDescriptionDirective, FormFieldErrorDirective, FormFieldErrorHeadingDirective, FormFieldGroupComponent, FormGeneratorComponent, FormGeneratorComponentsAccessorService, FormGeneratorFieldComponent, FormGeneratorService, FormGroupComponent, FormGroupHeaderComponent, GetHintOptionsPipe, INPUT_GROUP_CHILD_TOKEN, InputComponent, InputGroupAddonBodyComponent, InputGroupAddonComponent, InputGroupComponent, InputGroupConfig, InputGroupInputComponent, InputMessageGroupWithTemplate, MAP_LIMIT, MULTICOMBOBOX_COMPONENT, MULTIINPUT_COMPONENT, MultiComboboxComponent, MultiComboboxConfig, MultiComboboxMobileComponent, MultiComboboxSelectionChangeEvent, MultiInputConfig, MultiInputSelectionChangeEvent, NumberStepInputComponent, PlatformAutoCompleteModule, PlatformCheckboxChange, PlatformCheckboxGroupModule, PlatformCheckboxModule, PlatformComboboxMobileModule, PlatformComboboxModule, PlatformDatePickerComponent, PlatformDatePickerModule, PlatformDatetimePickerComponent, PlatformDatetimePickerModule, PlatformFormGeneratorModule, PlatformInputGroupModule, PlatformInputModule, PlatformMultiComboboxMobileModule, PlatformMultiComboboxModule, PlatformMultiInputComponent, PlatformMultiInputMobileComponent, PlatformMultiInputMobileModule, PlatformMultiInputModule, PlatformRadioGroupModule, PlatformSelectModule, PlatformStepInputModule, PlatformSwitchModule, PlatformTextAreaModule, PlatformTimePickerComponent, PlatformTimePickerModule, RadioButtonComponent, RadioGroupComponent, SelectComponent, SelectConfig, StepInputActionButton, StepInputAlign, StepInputChangeEvent, StepInputComponent, StepInputConfig, StepInputControlDirective, StepInputDecrementDirective, StepInputIncrementDirective, SwitchChangeEvent, SwitchComponent, SwitchConfig, TextAreaComponent, TextAreaConfig, addAndCutFloatingNumberDistortion, createMissingDateImplementationError$1 as createMissingDateImplementationError, defaultFormFieldHintOptions, defaultFormGeneratorConfig, defaultFormGeneratorConfigProvider, defaultFormGeneratorHintOptions, defaultFormGeneratorItemConfig, defaultFormGeneratorItemConfigProvider, dynamicFormFieldProvider, dynamicFormGroupChildProvider, formGroupProvider, getField, getFormField, getFormState, getNumberDecimalLength, inputGroupAddonChildProvider, inputGroupInputChildProvider, isFieldChild, isFieldGroupChild, isFieldGroupWrapperChild };
//# sourceMappingURL=fundamental-ngx-platform-form.mjs.map
