import { DOWN_ARROW, UP_ARROW, SPACE } from '@angular/cdk/keycodes';
import * as i0 from '@angular/core';
import { ViewEncapsulation, ChangeDetectionStrategy, Component, InjectionToken, Inject, signal, inject, DestroyRef, ViewChild, ViewChildren, Input, computed, Optional, ContentChild, Host, EventEmitter, Output, forwardRef, Pipe, TemplateRef, Directive, input, output, ContentChildren, HostBinding, ChangeDetectorRef, NgZone, ElementRef, booleanAttribute, NgModule } from '@angular/core';
import { NgTemplateOutlet, AsyncPipe, DOCUMENT, NgStyle, NgClass } from '@angular/common';
import * as i2 from '@fundamental-ngx/cdk/utils';
import { TemplateDirective, InitialFocusDirective, DisabledBehaviorDirective, FocusableItemDirective, FDK_FOCUSABLE_ITEM_DIRECTIVE, FDK_FOCUSABLE_LIST_DIRECTIVE, RtlService, ValueByPathPipe, uuidv4, destroyObservable, KeyUtil, RangeSelector, resizeObservable, DragAndDropModule, RepeatDirective, IntersectionSpyDirective, FDK_FOCUSABLE_GRID_DIRECTIVE, DndListDirective, FocusableGridDirective } from '@fundamental-ngx/cdk/utils';
import { BusyIndicatorComponent } from '@fundamental-ngx/core/busy-indicator';
import * as i1$3 from '@fundamental-ngx/core/content-density';
import { ContentDensityDirective, contentDensityObserverProviders, ContentDensityObserver, ContentDensityMode } from '@fundamental-ngx/core/content-density';
import { SkeletonComponent } from '@fundamental-ngx/core/skeleton';
import { TablePopoverDirective, TableIconDirective, TableRowDirective, TableCellDirective, TableStatusIndicatorDirective, TableTextDirective, TableComponent as TableComponent$1, TableHeaderDirective, TableBodyDirective, TableService as TableService$1 } from '@fundamental-ngx/core/table';
import { FdTranslatePipe } from '@fundamental-ngx/i18n';
import { isJsObject, FDP_PRESET_MANAGED_COMPONENT } from '@fundamental-ngx/platform/shared';
import * as i1 from '@fundamental-ngx/platform/table-helpers';
import { SortDirection, TableService, Table, FILTER_STRING_STRATEGY, FilterableColumnDataType, ColumnAlign, TableColumn, FdpCellDef, FdpEditableCellDef, FdpHeaderCellDef, TableCellHeaderPopoverDirective, getFilterStrategiesBasedOnDataType, FILTER_STRATEGY, FILTER_STRATEGY_LABEL, getUniqueListValuesByKey, FdpViewSettingsFilterCustomDef, FilterType, TableDataSourceDirective, SelectionMode, TableColumnResizeService, TableRowService, PlatformTableCellResizableDirective, SelectionCellStylesPipe, TableCellStylesPipe, ColumnResizableSidePipe, TableColumnSortingDirectionPipe, isTreeRow, isTreeRowFirstCell, EditableTableCell, TableDraggableDirective, DEFAULT_HIGHLIGHTING_KEY, SEMANTIC_HIGHLIGHTING_COLUMN_WIDTH, ROW_HEIGHT, TABLE_COLUMN_MIN_WIDTH, FDP_TABLE_STATE_DIRECTIVE, FDP_TABLE_VIRTUAL_SCROLL_DIRECTIVE, FDP_TABLE_DRAGGABLE_DIRECTIVE, TableHeaderResizerDirective, isRowNavigatable, TableRowType, buildNewRowSkeleton, EDITABLE_ROW_SEMANTIC_STATE, SaveRowsEvent, getSelectableRows, TableCellActivateEvent, TableRowActivateEvent, TableRowToggleOpenStateEvent, findRowChildren, getRowParents, TableSortChangeEvent, TablePageChangeEvent, TableGroupChangeEvent, TableColumnFreezeEvent, TableFilterChangeEvent, TableColumnsChangeEvent, convertObjectsToTableRows, isTableRow, convertTreeTableRowToFlatList, convertTreeObjectsToTableRows, getFreezableColumns, getFreezableEndColumns, applySelectionToChildren, SELECTION_COLUMN_WIDTH, TableScrollableDirective, RowClassesPipe, TableScrollDispatcherService, TableResponsiveService, TableHelpersModule } from '@fundamental-ngx/platform/table-helpers';
export * from '@fundamental-ngx/platform/table-helpers';
import equal$1 from 'fast-deep-equal';
import { set, uniq } from 'lodash-es';
import { fromEvent, BehaviorSubject, Subscription, combineLatest, Subject, merge, of } from 'rxjs';
import { startWith, take, debounceTime, skip, filter, switchMap, takeUntil, map, distinctUntilChanged, tap } from 'rxjs/operators';
import { ButtonComponent } from '@fundamental-ngx/core/button';
import { takeUntilDestroyed } from '@angular/core/rxjs-interop';
import { FormItemComponent, FormLabelComponent, FormControlComponent } from '@fundamental-ngx/core/form';
import { ListLinkDirective, ListIconDirective, ListTitleDirective, ListComponent as ListComponent$1, ListItemComponent, ListGroupHeaderDirective } from '@fundamental-ngx/core/list';
import { PopoverComponent, PopoverTriggerDirective } from '@fundamental-ngx/core/popover';
import { PopoverPlacement } from '@fundamental-ngx/core/shared';
import { ListComponent, FreeContentListItemComponent } from '@fundamental-ngx/platform/list';
import { IconComponent } from '@fundamental-ngx/core/icon';
import * as i1$1 from '@fundamental-ngx/core/dialog';
import { DialogComponent, DialogHeaderComponent, DialogBodyComponent, DialogFooterComponent } from '@fundamental-ngx/core/dialog';
import { CdkScrollable } from '@angular/cdk/overlay';
import * as i1$2 from '@angular/forms';
import { FormsModule, NgForm } from '@angular/forms';
import { BarLeftDirective, BarElementDirective, BarRightDirective, ButtonBarComponent } from '@fundamental-ngx/core/bar';
import { CheckboxComponent } from '@fundamental-ngx/core/checkbox';
import { ScrollbarDirective } from '@fundamental-ngx/core/scrollbar';
import { TitleComponent } from '@fundamental-ngx/core/title';
import { ToolbarComponent, ToolbarSpacerDirective, ToolbarItemDirective, ToolbarSeparatorComponent, ToolbarLabelDirective } from '@fundamental-ngx/core/toolbar';
import { SearchFieldComponent } from '@fundamental-ngx/platform/search-field';
import { DatePickerComponent } from '@fundamental-ngx/core/date-picker';
import { LayoutGridRowDirective, LayoutGridColDirective, LayoutGridComponent } from '@fundamental-ngx/core/layout-grid';
import { SelectComponent, OptionComponent } from '@fundamental-ngx/core/select';
import { PanelComponent, PanelTitleDirective, PanelContentDirective } from '@fundamental-ngx/core/panel';
import { RadioButtonComponent } from '@fundamental-ngx/core/radio';
import equal from 'fast-deep-equal/es6';
import { SegmentedButtonComponent } from '@fundamental-ngx/core/segmented-button';
import { InputComponent, PlatformDatePickerComponent, SwitchComponent } from '@fundamental-ngx/platform/form';

class NoDataWrapperComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: NoDataWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: NoDataWrapperComponent, isStandalone: true, selector: "fdp-table-no-data-wrapper", ngImport: i0, template: `<ng-content></ng-content>`, isInline: true, styles: ["fdp-table-no-data-wrapper{display:block;width:100%}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: NoDataWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-no-data-wrapper', template: `<ng-content></ng-content>`, changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, standalone: true, styles: ["fdp-table-no-data-wrapper{display:block;width:100%}\n"] }]
        }] });

const RESETTABLE_TOKEN = new InjectionToken('Resettable');
class ResetButtonComponent {
    /** @hidden */
    constructor(resettable) {
        this.resettable = resettable;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ResetButtonComponent, deps: [{ token: RESETTABLE_TOKEN }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: ResetButtonComponent, isStandalone: true, selector: "fdp-table-reset-button", ngImport: i0, template: `<button
        fd-button
        fdType="transparent"
        [label]="'platformTable.resetChangesButtonLabel' | fdTranslate"
        (click)="resettable.reset()"
        [disabled]="!resettable.isResetAvailable$()"
    ></button>`, isInline: true, dependencies: [{ kind: "component", type: ButtonComponent, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: ResetButtonComponent, decorators: [{
            type: Component,
            args: [{
                    selector: `fdp-table-reset-button`,
                    template: `<button
        fd-button
        fdType="transparent"
        [label]="'platformTable.resetChangesButtonLabel' | fdTranslate"
        (click)="resettable.reset()"
        [disabled]="!resettable.isResetAvailable$()"
    ></button>`,
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    imports: [ButtonComponent, FdTranslatePipe]
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [RESETTABLE_TOKEN]
                }] }] });

class TableCellHeaderPopoverComponent {
    constructor() {
        /** Whether the popover is disabled. */
        this.disabled = false;
        /** Whether the column is frozen. */
        this.columnFrozen = false;
        /** Whether the filtering from header is disabled. */
        this.filteringFromHeaderDisabled = false;
        /** @hidden */
        this._popoverItems$ = signal([]);
        /** @hidden */
        this._headerPopoverTriggers = [
            {
                trigger: 'click',
                openAction: true,
                closeAction: true,
                stopPropagation: true
            },
            {
                trigger: 'keydown.enter',
                openAction: true,
                closeAction: true,
                stopPropagation: true
            },
            {
                trigger: 'keydown.space',
                openAction: true,
                closeAction: true,
                stopPropagation: true
            }
        ];
        /** @hidden */
        this.SORT_DIRECTION = SortDirection;
        /** @hidden */
        this._destroyRef = inject(DestroyRef);
        /** @hidden */
        this._tableService = inject(TableService);
        /** @hidden */
        this._table = inject(Table);
    }
    /** @hidden */
    ngAfterViewInit() {
        this._popoverItems.changes.pipe(startWith(null), takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._popoverItems$.set(this._popoverItems.map((t) => t.templateRef));
        });
    }
    /** @hidden */
    _setColumnHeaderSortBy(field, direction) {
        this._tableService.setSort([{ field, direction }]);
        this.popover?.close();
    }
    /** @hidden */
    _setColumnHeaderGroupBy(field) {
        const state = this._tableService.getTableState();
        if (state.groupBy?.length === 1 && state.groupBy[0].field === field) {
            // reset grouping, if already grouped by this field
            this._tableService.setGroups([]);
        }
        else {
            this._tableService.setGroups([{ field, direction: SortDirection.NONE, showAsColumn: true }]);
        }
    }
    /** @hidden */
    _setColumnHeaderFilterBy(field, value) {
        if (!value) {
            this._tableService.removeFilters([field]);
            return;
        }
        const collectionFilter = {
            field,
            value,
            type: FilterableColumnDataType.STRING,
            strategy: FILTER_STRING_STRATEGY.CONTAINS,
            exclude: false
        };
        this._tableService.addFilters([collectionFilter]);
        this.popover?.close();
    }
    /** @hidden */
    _freeze() {
        this._table.freezeToColumn(this.column.name, this.column.endFreezable);
        this.popover?.close();
    }
    /** @hidden */
    _unFreeze() {
        this._table.unfreeze(this.column.name, this.column.endFreezable);
        this.popover?.close();
    }
    /** @hidden */
    _popoverOpened(isOpen) {
        if (isOpen) {
            this._listComponent?._setCurrentActiveItemIndex(0);
        }
    }
    /** @hidden */
    mapColumnAlignToPlacement(columnAlignValue) {
        switch (columnAlignValue) {
            case ColumnAlign.START:
                return PopoverPlacement.BOTTOM_START;
            case ColumnAlign.CENTER:
                return PopoverPlacement.BOTTOM;
            case ColumnAlign.END:
                return PopoverPlacement.BOTTOM_END;
            default:
                return PopoverPlacement.AUTO;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableCellHeaderPopoverComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableCellHeaderPopoverComponent, isStandalone: true, selector: "fdp-table-cell-header-popover", inputs: { column: "column", popoverTemplate: "popoverTemplate", disabled: "disabled", columnFrozen: "columnFrozen", filteringFromHeaderDisabled: "filteringFromHeaderDisabled", columnIndex: "columnIndex" }, viewQueries: [{ propertyName: "popover", first: true, predicate: PopoverComponent, descendants: true }, { propertyName: "_listComponent", first: true, predicate: ListComponent, descendants: true }, { propertyName: "_popoverItems", predicate: TemplateDirective, descendants: true }], ngImport: i0, template: "@if (!popoverTemplate) {\n    <fd-popover\n        [placement]=\"mapColumnAlignToPlacement(column?.align)\"\n        [disabled]=\"disabled\"\n        [noArrow]=\"true\"\n        fd-table-popover\n        [focusAutoCapture]=\"true\"\n        [focusTrapped]=\"true\"\n        [triggers]=\"_headerPopoverTriggers\"\n        (isOpenChange)=\"_popoverOpened($event)\"\n    >\n        <fdp-list [noBorder]=\"true\" [navigated]=\"true\" role=\"menu\">\n            @for (item of _popoverItems$(); track item) {\n                <li fdp-free-content-list-item role=\"menuitem\">\n                    <ng-template\n                        [ngTemplateOutlet]=\"item\"\n                        [ngTemplateOutletContext]=\"{ popover: popover }\"\n                    ></ng-template>\n                </li>\n            }\n        </fdp-list>\n    </fd-popover>\n} @else {\n    <ng-template\n        [ngTemplateOutlet]=\"popoverTemplate!\"\n        [ngTemplateOutletContext]=\"{ $implicit: _popoverItems$.asReadonly() }\"\n    ></ng-template>\n}\n@if (column?.sortable) {\n    <ng-template fdkTemplate=\"sortingAscPopoverItem\" let-popover=\"popover\">\n        <div\n            fd-list-link\n            role=\"button\"\n            [focusable]=\"true\"\n            (click)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.ASC)\"\n            (keydown.enter)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.ASC)\"\n        >\n            <span fd-list-icon glyph=\"sort-ascending\"></span>\n            <span fd-list-title>{{ 'platformTable.headerMenuSortAsc' | fdTranslate }}</span>\n        </div>\n    </ng-template>\n    <ng-template fdkTemplate=\"sortingDescPopoverItem\" let-popover=\"popover\">\n        <div\n            fd-list-link\n            role=\"button\"\n            [focusable]=\"true\"\n            (click)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.DESC)\"\n            (keydown.enter)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.DESC)\"\n        >\n            <span fd-list-icon glyph=\"sort-descending\"></span>\n            <span fd-list-title>{{ 'platformTable.headerMenuSortDesc' | fdTranslate }}</span>\n        </div>\n    </ng-template>\n}\n@if (column?.groupable) {\n    <ng-template fdkTemplate=\"groupPopoverItem\" let-popover=\"popover\">\n        <div\n            fd-list-link\n            role=\"button\"\n            [focusable]=\"true\"\n            (click)=\"_setColumnHeaderGroupBy(column.key)\"\n            (keydown.enter)=\"_setColumnHeaderGroupBy(column.key)\"\n        >\n            <span fd-list-title>{{ 'platformTable.headerMenuGroup' | fdTranslate }}</span>\n        </div>\n    </ng-template>\n}\n@if (column?.freezable || column?.endFreezable) {\n    <ng-template fdkTemplate=\"freezePopoverItem\" let-popover=\"popover\">\n        @if (!columnFrozen) {\n            <div fd-list-link role=\"button\" [focusable]=\"true\" (click)=\"_freeze()\" (keydown.enter)=\"_freeze()\">\n                <span fd-list-title>{{\n                    (!column.endFreezable\n                        ? columnIndex > 0\n                            ? 'platformTable.headerMenuFreezePlural'\n                            : 'platformTable.headerMenuFreeze'\n                        : 'platformTable.headerMenuEndFreeze'\n                    ) | fdTranslate\n                }}</span>\n            </div>\n        } @else {\n            <div fd-list-link role=\"button\" [focusable]=\"true\" (click)=\"_unFreeze()\" (keydown.enter)=\"_unFreeze()\">\n                <span fd-list-title>{{\n                    (columnIndex > 0 ? 'platformTable.headerMenuUnfreezePlural' : 'platformTable.headerMenuUnfreeze')\n                        | fdTranslate\n                }}</span>\n            </div>\n        }\n    </ng-template>\n}\n@if (column?.filterable && !filteringFromHeaderDisabled) {\n    <ng-template fdkTemplate=\"filteringPopoverItem\" let-popover=\"popover\">\n        <div fd-list-link [style.cursor]=\"'auto'\" [focusable]=\"true\">\n            <i fd-list-icon glyph=\"filter\"></i>\n            <div fd-form-item [horizontal]=\"true\" (click)=\"$event.stopPropagation()\">\n                <label fd-form-label [for]=\"'fdp-table-column-filtering-' + column.name\">{{\n                    'platformTable.headerMenuFilter' | fdTranslate\n                }}</label>\n                <input\n                    fd-form-control\n                    [id]=\"'fdp-table-column-filtering-' + column.name\"\n                    (keydown.enter)=\"_setColumnHeaderFilterBy(column.key, $any($event.target)?.value)\"\n                    (keydown)=\"$event.stopPropagation()\"\n                />\n            </div>\n        </div>\n    </ng-template>\n}\n", dependencies: [{ kind: "component", type: PopoverComponent, selector: "fd-popover", inputs: ["title", "trigger", "fixedPosition", "id", "mobile", "mobileConfig", "preventSpaceKeyScroll"] }, { kind: "directive", type: TablePopoverDirective, selector: "[fdTablePopover], [fd-table-popover]" }, { kind: "component", type: ListComponent, selector: "fdp-list", inputs: ["selectedItems", "ariaSetsize", "ariaMultiselectable", "loadTitle", "loadingLabel", "delayTime", "itemSize", "loadMore", "loadOnScroll", "role", "listType", "maxHeight", "noBorder", "scrollOffsetPercentage", "selection", "selectionMode", "value", "rowSelection", "dataSource", "navigated", "navigationIndicator", "hasByLine", "hasObject", "unreadIndicator", "interceptTabKey"], outputs: ["selectedItemChange"] }, { kind: "component", type: FreeContentListItemComponent, selector: "fdp-free-content-list-item, li[fdp-free-content-list-item]" }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: ListLinkDirective, selector: "[fd-list-link], [fdListLink]", inputs: ["navigationIndicator", "navigated", "focusable"] }, { kind: "directive", type: ListIconDirective, selector: "[fdListIcon], [fd-list-icon]", inputs: ["glyph", "glyphFont", "class", "role", "ariaHidden"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "component", type: FormItemComponent, selector: "[fd-form-item]", inputs: ["isInline", "horizontal"] }, { kind: "component", type: FormLabelComponent, selector: "[fd-form-label]", inputs: ["required", "colon", "alignLabelEnd", "inlineHelpContent", "inlineHelpGlyph", "inlineHelpTriggers", "inlineHelpBodyPlacement", "inlineHelpPlacement", "allowWrap", "inlineHelpLabel", "id"] }, { kind: "component", type: FormControlComponent, selector: "input[fd-form-control], textarea[fd-form-control]", inputs: ["state", "type", "class", "ariaLabel", "ariaLabelledBy"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableCellHeaderPopoverComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-cell-header-popover', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        PopoverComponent,
                        TablePopoverDirective,
                        ListComponent,
                        FreeContentListItemComponent,
                        NgTemplateOutlet,
                        TemplateDirective,
                        ListLinkDirective,
                        ListIconDirective,
                        ListTitleDirective,
                        FormItemComponent,
                        FormLabelComponent,
                        FormControlComponent,
                        AsyncPipe,
                        FdTranslatePipe
                    ], template: "@if (!popoverTemplate) {\n    <fd-popover\n        [placement]=\"mapColumnAlignToPlacement(column?.align)\"\n        [disabled]=\"disabled\"\n        [noArrow]=\"true\"\n        fd-table-popover\n        [focusAutoCapture]=\"true\"\n        [focusTrapped]=\"true\"\n        [triggers]=\"_headerPopoverTriggers\"\n        (isOpenChange)=\"_popoverOpened($event)\"\n    >\n        <fdp-list [noBorder]=\"true\" [navigated]=\"true\" role=\"menu\">\n            @for (item of _popoverItems$(); track item) {\n                <li fdp-free-content-list-item role=\"menuitem\">\n                    <ng-template\n                        [ngTemplateOutlet]=\"item\"\n                        [ngTemplateOutletContext]=\"{ popover: popover }\"\n                    ></ng-template>\n                </li>\n            }\n        </fdp-list>\n    </fd-popover>\n} @else {\n    <ng-template\n        [ngTemplateOutlet]=\"popoverTemplate!\"\n        [ngTemplateOutletContext]=\"{ $implicit: _popoverItems$.asReadonly() }\"\n    ></ng-template>\n}\n@if (column?.sortable) {\n    <ng-template fdkTemplate=\"sortingAscPopoverItem\" let-popover=\"popover\">\n        <div\n            fd-list-link\n            role=\"button\"\n            [focusable]=\"true\"\n            (click)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.ASC)\"\n            (keydown.enter)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.ASC)\"\n        >\n            <span fd-list-icon glyph=\"sort-ascending\"></span>\n            <span fd-list-title>{{ 'platformTable.headerMenuSortAsc' | fdTranslate }}</span>\n        </div>\n    </ng-template>\n    <ng-template fdkTemplate=\"sortingDescPopoverItem\" let-popover=\"popover\">\n        <div\n            fd-list-link\n            role=\"button\"\n            [focusable]=\"true\"\n            (click)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.DESC)\"\n            (keydown.enter)=\"_setColumnHeaderSortBy(column.key, SORT_DIRECTION.DESC)\"\n        >\n            <span fd-list-icon glyph=\"sort-descending\"></span>\n            <span fd-list-title>{{ 'platformTable.headerMenuSortDesc' | fdTranslate }}</span>\n        </div>\n    </ng-template>\n}\n@if (column?.groupable) {\n    <ng-template fdkTemplate=\"groupPopoverItem\" let-popover=\"popover\">\n        <div\n            fd-list-link\n            role=\"button\"\n            [focusable]=\"true\"\n            (click)=\"_setColumnHeaderGroupBy(column.key)\"\n            (keydown.enter)=\"_setColumnHeaderGroupBy(column.key)\"\n        >\n            <span fd-list-title>{{ 'platformTable.headerMenuGroup' | fdTranslate }}</span>\n        </div>\n    </ng-template>\n}\n@if (column?.freezable || column?.endFreezable) {\n    <ng-template fdkTemplate=\"freezePopoverItem\" let-popover=\"popover\">\n        @if (!columnFrozen) {\n            <div fd-list-link role=\"button\" [focusable]=\"true\" (click)=\"_freeze()\" (keydown.enter)=\"_freeze()\">\n                <span fd-list-title>{{\n                    (!column.endFreezable\n                        ? columnIndex > 0\n                            ? 'platformTable.headerMenuFreezePlural'\n                            : 'platformTable.headerMenuFreeze'\n                        : 'platformTable.headerMenuEndFreeze'\n                    ) | fdTranslate\n                }}</span>\n            </div>\n        } @else {\n            <div fd-list-link role=\"button\" [focusable]=\"true\" (click)=\"_unFreeze()\" (keydown.enter)=\"_unFreeze()\">\n                <span fd-list-title>{{\n                    (columnIndex > 0 ? 'platformTable.headerMenuUnfreezePlural' : 'platformTable.headerMenuUnfreeze')\n                        | fdTranslate\n                }}</span>\n            </div>\n        }\n    </ng-template>\n}\n@if (column?.filterable && !filteringFromHeaderDisabled) {\n    <ng-template fdkTemplate=\"filteringPopoverItem\" let-popover=\"popover\">\n        <div fd-list-link [style.cursor]=\"'auto'\" [focusable]=\"true\">\n            <i fd-list-icon glyph=\"filter\"></i>\n            <div fd-form-item [horizontal]=\"true\" (click)=\"$event.stopPropagation()\">\n                <label fd-form-label [for]=\"'fdp-table-column-filtering-' + column.name\">{{\n                    'platformTable.headerMenuFilter' | fdTranslate\n                }}</label>\n                <input\n                    fd-form-control\n                    [id]=\"'fdp-table-column-filtering-' + column.name\"\n                    (keydown.enter)=\"_setColumnHeaderFilterBy(column.key, $any($event.target)?.value)\"\n                    (keydown)=\"$event.stopPropagation()\"\n                />\n            </div>\n        </div>\n    </ng-template>\n}\n" }]
        }], propDecorators: { column: [{
                type: Input
            }], popoverTemplate: [{
                type: Input
            }], disabled: [{
                type: Input
            }], columnFrozen: [{
                type: Input
            }], filteringFromHeaderDisabled: [{
                type: Input
            }], columnIndex: [{
                type: Input
            }], popover: [{
                type: ViewChild,
                args: [PopoverComponent, { static: false }]
            }], _popoverItems: [{
                type: ViewChildren,
                args: [TemplateDirective]
            }], _listComponent: [{
                type: ViewChild,
                args: [ListComponent]
            }] } });

/** @dynamic */
class PlatformTableColumnResizerComponent {
    /** @hidden */
    constructor(_ngZone, _tableColumnResizeService, _renderer, _elmRef, _document, _rtlService) {
        this._ngZone = _ngZone;
        this._tableColumnResizeService = _tableColumnResizeService;
        this._renderer = _renderer;
        this._elmRef = _elmRef;
        this._document = _document;
        this._rtlService = _rtlService;
        /** @hidden */
        this._destroyRef = inject(DestroyRef);
        /** @hidden */
        this._rtl$ = computed(() => !!this._rtlService?.rtlSignal());
    }
    /** @hidden */
    ngOnInit() {
        this._ngZone.runOutsideAngular(() => {
            fromEvent(this._elmRef.nativeElement, 'mousedown')
                .pipe(takeUntilDestroyed(this._destroyRef))
                .subscribe((evt) => {
                this._tableColumnResizeService.startResize(evt);
                this._listenForMouseUp();
            });
            this._tableColumnResizeService.resizerPosition$
                .pipe(takeUntilDestroyed(this._destroyRef))
                .subscribe((position) => {
                this._renderer.setStyle(this._elmRef.nativeElement, 'display', position > 0 ? 'block' : 'none');
                if (!position) {
                    return;
                }
                this._renderer.setStyle(this._elmRef.nativeElement, 'left', this._rtl$() ? 'auto' : `${position}px`);
                this._renderer.setStyle(this._elmRef.nativeElement, 'right', !this._rtl$() ? 'auto' : `${position}px`);
            });
            this._tableColumnResizeService.resizeInProgress$
                .pipe(takeUntilDestroyed(this._destroyRef))
                .subscribe((resizeInProgress) => {
                if (resizeInProgress) {
                    this._renderer.addClass(this._elmRef.nativeElement, 'fdp-table-column-resizer--active');
                }
                else {
                    this._renderer.removeClass(this._elmRef.nativeElement, 'fdp-table-column-resizer--active');
                }
            });
        });
    }
    /** @hidden */
    _listenForMouseUp() {
        this._ngZone.runOutsideAngular(() => {
            this._pointerMoveListener?.unsubscribe();
            if (!this._document) {
                return;
            }
            this._pointerMoveListener = fromEvent(this._document, 'mouseup')
                .pipe(take(1), takeUntilDestroyed(this._destroyRef))
                .subscribe((event) => {
                this._tableColumnResizeService.finishResize(event);
                // this._cd.markForCheck();
            });
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTableColumnResizerComponent, deps: [{ token: i0.NgZone }, { token: i1.TableColumnResizeService }, { token: i0.Renderer2 }, { token: i0.ElementRef }, { token: DOCUMENT }, { token: i2.RtlService, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: PlatformTableColumnResizerComponent, isStandalone: true, selector: "fdp-table-column-resizer", host: { classAttribute: "fdp-table-column-resizer" }, ngImport: i0, template: ` <div class="fdp-table__resizer-inner"></div>`, isInline: true, styles: [".fdp-table-column-resizer{cursor:col-resize;position:absolute;width:0;top:0;left:-10000px;opacity:.5;z-index:999;border-left-style:solid;border-right-style:solid;border-left:3px solid var(--sapContent_DragAndDropActiveColor, #0854a0);border-right:3px solid var(--sapContent_DragAndDropActiveColor, #0854a0);-webkit-user-select:none;user-select:none}.fdp-table-column-resizer--active{opacity:1}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTableColumnResizerComponent, decorators: [{
            type: Component,
            args: [{ selector: `fdp-table-column-resizer`, template: ` <div class="fdp-table__resizer-inner"></div>`, changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, host: {
                        class: 'fdp-table-column-resizer'
                    }, standalone: true, styles: [".fdp-table-column-resizer{cursor:col-resize;position:absolute;width:0;top:0;left:-10000px;opacity:.5;z-index:999;border-left-style:solid;border-right-style:solid;border-left:3px solid var(--sapContent_DragAndDropActiveColor, #0854a0);border-right:3px solid var(--sapContent_DragAndDropActiveColor, #0854a0);-webkit-user-select:none;user-select:none}.fdp-table-column-resizer--active{opacity:1}\n"] }]
        }], ctorParameters: () => [{ type: i0.NgZone }, { type: i1.TableColumnResizeService }, { type: i0.Renderer2 }, { type: i0.ElementRef }, { type: Document, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: i2.RtlService, decorators: [{
                    type: Optional
                }] }] });

/**
 * The component that represents a table column.
 * ```html
 * <fdp-column
 *  name="name"
 *  key="name"
 *  label="Name"
 *  align="start">
 * </fdp-column>
 *
 * <fdp-column
 *  name="price"
 *  key="price.value">
 *  <fdp-table-header *fdpHeaderCellDef>Price</fdp-table-header>
 *  <fdp-table-cell *fdpCellDef="let item">
 *   {{item.price.value}} {{item.price.currency}}
 *  </fdp-table-cell>
 * </fdp-column>
 * ```
 * */
class TableColumnComponent extends TableColumn {
    /** Column header label. */
    set label(value) {
        this.labelValueChanges$.next(value);
    }
    get label() {
        return this.labelValueChanges$.value;
    }
    /** Width of the column cells. */
    set width(value) {
        this._width = value;
        this._tableColumnResizeService.setCustomWidth(this.name, value);
    }
    get width() {
        return this._width;
    }
    /** @hidden */
    set fdpCellDef(fdpCellDef) {
        this.columnCellTemplate = fdpCellDef?.templateRef;
    }
    /** Editable column cell template definition. */
    set fdpEditableCellDef(fdpEditableCellDef) {
        this.editableColumnCellTemplate = fdpEditableCellDef?.templateRef;
    }
    /** @hidden */
    set fdpHeaderCellDef(fdpHeaderCellDef) {
        this.headerCellTemplate = fdpHeaderCellDef?.templateRef;
    }
    /** @hidden */
    set fdpHeaderCellPopover(popover) {
        this.headerCellPopoverTemplate = popover?.templateRef;
    }
    /** @hidden */
    constructor(_tableColumnResizeService, _tableService) {
        super();
        this._tableColumnResizeService = _tableColumnResizeService;
        this._tableService = _tableService;
        /** Cell text alignment. */
        this.align = 'start';
        /** Toggles sort feature for the column. */
        this.sortable = false;
        /** Toggles filter feature for the column. */
        this.filterable = false;
        /** Initial visibility state of the column. Default `true`. */
        this.visible = true;
        /**
         * Data type the column represents. Default is 'string'
         * @type { 'string' | 'number' | 'date' | 'boolean' }
         */
        this.dataType = FilterableColumnDataType.STRING;
        /**
         * Optional array of available filter options.
         * Providing values to this input will cause the filter to change from a text-type input to a select-type input.
         * */
        this.filterSelectOptions = [];
        /** Toggles grouping feature for the column. */
        this.groupable = false;
        /** Toggles freeze feature for the column. */
        this.freezable = false;
        /** Toggles freeze feature for the column. */
        this.endFreezable = false;
        /** Whether the table cell inside table header should be non-interactive. */
        this.nonInteractive = false;
        /** Whether the text should wrap, when text is too long for 1 line */
        this.noWrap = false;
        /** Whether to apply fd-table-text (text-shadow) to the cell content, if disabled noWrap has no effect. */
        this.applyText = true;
        /** Column role attribute. */
        this.role = 'gridcell';
        /** Label change event */
        this.labelValueChanges$ = new BehaviorSubject('');
        /** Stores information for the header cell if the ellipsis are visible after the column resize */
        this.headerOverflows = false;
        /** @hidden */
        this._freezed = false;
        /** @hidden */
        this._endFreezed = false;
        /** Responsive state of the column. */
        this.responsiveState = 'visible';
    }
    /** @hidden */
    ngOnInit() {
        this._validateNameOption();
    }
    /** Table won't know about column properties update so notify about it manually
     * @hidden */
    ngOnChanges(changes) {
        if (this._tableService && (changes.sortable || changes.filterable || changes.groupable || changes.freezable)) {
            this._tableService.markForCheck();
        }
    }
    /** @hidden */
    _validateNameOption() {
        if (typeof this.name !== 'string') {
            throw Error('fdp-column: "name" option is required.');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableColumnComponent, deps: [{ token: i1.TableColumnResizeService }, { token: i1.TableService, host: true, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableColumnComponent, isStandalone: true, selector: "fdp-column", inputs: { name: "name", key: "key", label: "label", align: "align", sortable: "sortable", filterable: "filterable", visible: "visible", dataType: "dataType", filterSelectOptions: "filterSelectOptions", groupable: "groupable", freezable: "freezable", endFreezable: "endFreezable", nonInteractive: "nonInteractive", width: "width", noWrap: "noWrap", applyText: "applyText", role: "role" }, providers: [{ provide: TableColumn, useExisting: TableColumnComponent }], queries: [{ propertyName: "fdpCellDef", first: true, predicate: FdpCellDef, descendants: true }, { propertyName: "fdpEditableCellDef", first: true, predicate: FdpEditableCellDef, descendants: true }, { propertyName: "fdpHeaderCellDef", first: true, predicate: FdpHeaderCellDef, descendants: true }, { propertyName: "fdpHeaderCellPopover", first: true, predicate: TableCellHeaderPopoverDirective, descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableColumnComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-column',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    providers: [{ provide: TableColumn, useExisting: TableColumnComponent }],
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i1.TableColumnResizeService }, { type: i1.TableService, decorators: [{
                    type: Optional
                }, {
                    type: Host
                }] }], propDecorators: { name: [{
                type: Input
            }], key: [{
                type: Input
            }], label: [{
                type: Input
            }], align: [{
                type: Input
            }], sortable: [{
                type: Input
            }], filterable: [{
                type: Input
            }], visible: [{
                type: Input
            }], dataType: [{
                type: Input
            }], filterSelectOptions: [{
                type: Input
            }], groupable: [{
                type: Input
            }], freezable: [{
                type: Input
            }], endFreezable: [{
                type: Input
            }], nonInteractive: [{
                type: Input
            }], width: [{
                type: Input
            }], noWrap: [{
                type: Input
            }], applyText: [{
                type: Input
            }], role: [{
                type: Input
            }], fdpCellDef: [{
                type: ContentChild,
                args: [FdpCellDef]
            }], fdpEditableCellDef: [{
                type: ContentChild,
                args: [FdpEditableCellDef]
            }], fdpHeaderCellDef: [{
                type: ContentChild,
                args: [FdpHeaderCellDef]
            }], fdpHeaderCellPopover: [{
                type: ContentChild,
                args: [TableCellHeaderPopoverDirective]
            }] } });

class TableHeaderCellContentComponent {
    constructor() {
        /** Whether column has applied sorting. */
        this.hasSorting$ = computed(() => {
            const column = this._column$();
            return column && this._fdpTableService.sortRules$().has(column.key);
        });
        /** Whether column has applied filtering. */
        this.hasFilter$ = computed(() => {
            const column = this._column$();
            return column && this._fdpTableService.filterRules$().has(column.key);
        });
        /** Applied sorting. */
        this.sorting$ = computed(() => {
            const column = this._column$();
            return column && this._fdpTableService.sortRules$().get(column.key);
        });
        /** @hidden */
        this.SORT_DIRECTION = SortDirection;
        /** @hidden */
        this._column$ = signal(null);
        /** @hidden */
        this._fdpTableService = inject(TableService);
    }
    /** Column reference. */
    set column(value) {
        this._column$.set(value);
    }
    get column() {
        return this._column$();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableHeaderCellContentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableHeaderCellContentComponent, isStandalone: true, selector: "fdp-table-header-cell-content", inputs: { id: "id", column: "column" }, ngImport: i0, template: "<div\n    class=\"fd-table__text--no-wrap\"\n    [class]=\"{ 'fd-table__inner': hasSorting$() || hasFilter$() }\"\n    [ngStyle]=\"{ 'justify-content': column?.align, gap: column?.align ? '0.5rem' : '' }\"\n>\n    <ng-template\n        [ngTemplateOutlet]=\"tableHeaderCellContentTemplate\"\n        [ngTemplateOutletContext]=\"{ column: column }\"\n    ></ng-template>\n    @if (hasSorting$() || hasFilter$()) {\n        <div class=\"fd-table__column-header-icons\">\n            @if (hasFilter$()) {\n                <fd-icon fd-table-icon glyph=\"filter\"></fd-icon>\n            }\n            @if (hasSorting$()) {\n                <fd-icon\n                    fd-table-icon\n                    [ariaHidden]=\"true\"\n                    [glyph]=\"sorting$()?.direction === SORT_DIRECTION.ASC ? 'sort-ascending' : 'sort-descending'\"\n                ></fd-icon>\n            }\n        </div>\n    }\n</div>\n<ng-content></ng-content>\n<ng-template #tableHeaderCellContentTemplate let-column=\"column\">\n    @if (column?.headerCellTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"column.headerCellTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: column }\"\n        ></ng-template>\n    } @else {\n        <span [id]=\"id + '-header-cell-' + column?.name\" class=\"fd-table__cell--truncate-txt\">\n            {{ column?.labelValueChanges$ | async }}\n        </span>\n    }\n</ng-template>\n", styles: ["fdp-table-header-cell-content{display:flex;align-items:center;justify-content:space-between;flex-grow:0}fdp-table-header-cell-content .fd-table__text--no-wrap{width:100%}\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IconComponent, selector: "fd-icon", inputs: ["glyph", "font", "color", "background", "class", "ariaLabel", "ariaHidden"] }, { kind: "directive", type: TableIconDirective, selector: "[fdTableIcon], [fd-table-icon]", inputs: ["class", "glyph", "glyphFont", "navigation"] }, { kind: "pipe", type: AsyncPipe, name: "async" }, { kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableHeaderCellContentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-header-cell-content', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, imports: [NgTemplateOutlet, IconComponent, TableIconDirective, AsyncPipe, NgStyle], template: "<div\n    class=\"fd-table__text--no-wrap\"\n    [class]=\"{ 'fd-table__inner': hasSorting$() || hasFilter$() }\"\n    [ngStyle]=\"{ 'justify-content': column?.align, gap: column?.align ? '0.5rem' : '' }\"\n>\n    <ng-template\n        [ngTemplateOutlet]=\"tableHeaderCellContentTemplate\"\n        [ngTemplateOutletContext]=\"{ column: column }\"\n    ></ng-template>\n    @if (hasSorting$() || hasFilter$()) {\n        <div class=\"fd-table__column-header-icons\">\n            @if (hasFilter$()) {\n                <fd-icon fd-table-icon glyph=\"filter\"></fd-icon>\n            }\n            @if (hasSorting$()) {\n                <fd-icon\n                    fd-table-icon\n                    [ariaHidden]=\"true\"\n                    [glyph]=\"sorting$()?.direction === SORT_DIRECTION.ASC ? 'sort-ascending' : 'sort-descending'\"\n                ></fd-icon>\n            }\n        </div>\n    }\n</div>\n<ng-content></ng-content>\n<ng-template #tableHeaderCellContentTemplate let-column=\"column\">\n    @if (column?.headerCellTemplate) {\n        <ng-template\n            [ngTemplateOutlet]=\"column.headerCellTemplate\"\n            [ngTemplateOutletContext]=\"{ $implicit: column }\"\n        ></ng-template>\n    } @else {\n        <span [id]=\"id + '-header-cell-' + column?.name\" class=\"fd-table__cell--truncate-txt\">\n            {{ column?.labelValueChanges$ | async }}\n        </span>\n    }\n</ng-template>\n", styles: ["fdp-table-header-cell-content{display:flex;align-items:center;justify-content:space-between;flex-grow:0}fdp-table-header-cell-content .fd-table__text--no-wrap{width:100%}\n"] }]
        }], propDecorators: { id: [{
                type: Input
            }], column: [{
                type: Input
            }] } });

class SelectableColumn {
    constructor(
    /** Selected */
    selected, 
    /** Active */
    active, 
    /** Table Column it belongs to */
    column, 
    /** Table column order */
    order) {
        this.selected = selected;
        this.active = active;
        this.column = column;
        this.order = order;
    }
}
const INITIAL_SEARCH_TEXT = '';
const INITIAL_SHOW_ALL_ITEMS = true;
class P13ColumnsDialogComponent {
    /** @hidden */
    get _isShownAllItems() {
        return this._showAllItemsSubject.getValue();
    }
    /** @hidden */
    get _selectAllDisabled() {
        return !this._isShownAllItems || this._filteredColumns.length === 0;
    }
    /** @hidden */
    constructor(dialogRef, cdr) {
        this.dialogRef = dialogRef;
        this.cdr = cdr;
        /** Indicates when reset command is available */
        this.isResetAvailable$ = signal(false);
        /** Table columns available for grouping */
        this.availableColumns = [];
        /** All available columns for interacting */
        this._selectableColumns = [];
        /** filtered columns that are rendered in the list */
        this._filteredColumns = [];
        /** Search Query subject */
        this._searchQuerySubject = new BehaviorSubject(INITIAL_SEARCH_TEXT);
        /** Show All flag subject */
        this._showAllItemsSubject = new BehaviorSubject(INITIAL_SHOW_ALL_ITEMS);
        /** Selected columns count */
        this._selectedColumnsCount = 0;
        /** Flag to track disabled state for move-down move-up buttons */
        this._moveUpDisabled = true;
        /** Flag to track disabled state for move-down move-up buttons */
        this._moveDownDisabled = true;
        /** @hidden */
        this._subscriptions = new Subscription();
        const { availableColumns, visibleColumns } = this.dialogRef.data;
        this.availableColumns = availableColumns?.map(({ label, key }) => ({ label, key })) || [];
        this._initiateColumns(visibleColumns);
    }
    /** @hidden */
    ngOnInit() {
        this._listenToFilterOptions();
    }
    /** @hidden */
    ngOnDestroy() {
        this._subscriptions.unsubscribe();
    }
    /** Reset to the initial state */
    reset() {
        this._initiateColumns(this.availableColumns.map((c) => c.key));
        this.isResetAvailable$.set(false);
    }
    /** Close dialog */
    cancel() {
        this.dialogRef.close(null);
    }
    /** Confirm changes and close dialog */
    confirm() {
        const visibleColumns = this._getVisibleColumnsFromSelectedColumns(this._selectableColumns);
        const result = { visibleColumns };
        this.dialogRef.close(result);
    }
    /** @hidden */
    _toggleSelectAll(selectAll) {
        this._selectableColumns.forEach((column) => (column.selected = selectAll));
        this._onToggleColumn();
    }
    /** @hidden */
    _onToggleColumn() {
        this._countSelectedColumns();
        this._recalculateResetAvailability();
    }
    /** @hidden */
    _recalculateResetAvailability() {
        let resettable = false;
        if (this._selectedColumnsCount !== this.availableColumns.length) {
            // Initially all columns are selected. If not, reset should be active
            resettable = true;
        }
        else {
            // if all are selected, check for columns order to match the initial one
            for (let index = 0; index < this.availableColumns.length; index++) {
                if (this._selectableColumns[index].column.key !== this.availableColumns[index].key) {
                    resettable = true;
                    break;
                }
            }
        }
        this.isResetAvailable$.set(resettable);
    }
    /** @hidden */
    _searchInputChange({ text }) {
        this._searchQuerySubject.next(text || '');
    }
    /** @hidden */
    _toggleShowAll() {
        const showAllItems = this._showAllItemsSubject.getValue();
        this._showAllItemsSubject.next(!showAllItems);
    }
    /** @hidden */
    _setActiveColumn(column) {
        this._selectableColumns.map((_column) => {
            _column.active = _column === column;
        });
        this._calculateMovementButtonsState();
    }
    /** @hidden */
    _moveActiveToTop(event) {
        event.stopPropagation();
        event.preventDefault();
        this._moveColumnInFilteredListByIndex(this._getActiveColumnIndexInFilteredList(), 0);
    }
    /** @hidden */
    _moveActiveToBottom(event) {
        event.stopPropagation();
        event.preventDefault();
        this._moveColumnInFilteredListByIndex(this._getActiveColumnIndexInFilteredList(), this._filteredColumns.length - 1);
    }
    /** @hidden */
    _moveActiveUp(event) {
        event.stopPropagation();
        event.preventDefault();
        const activeColumnIndex = this._getActiveColumnIndexInFilteredList();
        this._moveColumnInFilteredListByIndex(activeColumnIndex, activeColumnIndex - 1);
        // keep the focus back to the move up button as it gets lost on click
        setTimeout(() => {
            const moveUpBtn = event.target;
            moveUpBtn.focus();
        }, 0);
    }
    /** @hidden */
    _moveActiveDown(event) {
        event.stopPropagation();
        event.preventDefault();
        const activeColumnIndex = this._getActiveColumnIndexInFilteredList();
        this._moveColumnInFilteredListByIndex(activeColumnIndex, activeColumnIndex + 1);
    }
    /** @hidden */
    _isReorderColumnButtonShowable(item) {
        return item.active && item.selected;
    }
    /** @hidden */
    _filterByColumnKy(index, item) {
        return item?.column.key;
    }
    /**
     * @hidden
     * @param visibleColumnKeys keys of columns that should be displayed as selected.
     * Also, their order matters: it will be used
     */
    _initiateColumns(visibleColumnKeys) {
        const visibleColumnIndexMap = new Map(visibleColumnKeys.map((key, index) => [key, index]));
        this._selectableColumns = this.availableColumns
            .slice()
            .map((column, index) => ({
            column,
            selected: visibleColumnKeys.includes(column.key),
            active: index === 0,
            order: visibleColumnIndexMap.get(column.key) ?? index
        }))
            .sort((a, b) => a.order - b.order);
        // keep count of selected
        this._countSelectedColumns();
        this._recalculateResetAvailability();
        // reset filter settings settings
        this._searchQuerySubject.next(INITIAL_SEARCH_TEXT);
        this._showAllItemsSubject.next(INITIAL_SHOW_ALL_ITEMS);
    }
    /** @hidden */
    _listenToFilterOptions() {
        this._subscriptions.add(combineLatest([this._showAllItemsSubject, this._searchQuerySubject])
            .pipe(debounceTime(20))
            .subscribe(([showAll, searchQuery]) => {
            this._filteredColumns = this._selectableColumns.filter((item) => {
                const matchesSearchQuery = item.column.label
                    .toLocaleLowerCase()
                    .includes(searchQuery.toLocaleLowerCase());
                const matchesShowAll = showAll || item.selected;
                return matchesSearchQuery && matchesShowAll;
            });
            this._onChangeFilteredColumnsList();
            this.cdr.markForCheck();
        }));
    }
    /** @hidden */
    _onChangeFilteredColumnsList() {
        this._calculateMovementButtonsState();
    }
    /** @hidden */
    _getVisibleColumnsFromSelectedColumns(columns = this._selectableColumns) {
        return columns.filter(({ selected }) => selected).map(({ column }) => column.key);
    }
    /** @hidden */
    _getActiveColumnIndexInFilteredList() {
        return this._filteredColumns.findIndex(({ active }) => active);
    }
    /** @hidden */
    _moveColumnInFilteredListByIndex(from, to) {
        const { movedItem, replacedItem } = this._moveElementInTheListByIndex(this._filteredColumns, from, to);
        /**
         * need to reflect analogical movement in the original list
         * with respect to the original list order
         */
        this._moveColumnInSelectableList(movedItem, replacedItem);
        this._calculateMovementButtonsState();
        this._recalculateResetAvailability();
    }
    /**
     * @hidden
     * Move column in selectable list.
     */
    _moveColumnInSelectableList(itemToMove, targetItem) {
        const list = this._selectableColumns;
        this._moveElementInTheListByIndex(list, list.indexOf(itemToMove), list.indexOf(targetItem));
    }
    /**
     * @hidden
     * Move element in the list
     * @return moved item and replaced item.
     */
    _moveElementInTheListByIndex(list, fromIndex, toIndex) {
        const listLength = list.length;
        fromIndex = Math.min(Math.max(fromIndex, 0), listLength - 1);
        toIndex = Math.min(Math.max(toIndex, 0), listLength - 1);
        const replacedItem = list[toIndex];
        const movedItem = list.splice(fromIndex, 1)[0];
        list.splice(toIndex, 0, movedItem);
        return { movedItem, replacedItem };
    }
    /** @hidden */
    _countSelectedColumns() {
        this._selectedColumnsCount = this._selectableColumns.filter(({ selected }) => selected).length;
    }
    /** @hidden */
    _calculateMovementButtonsState() {
        const activeIndex = this._getActiveColumnIndexInFilteredList();
        this._moveUpDisabled = activeIndex < 1;
        this._moveDownDisabled = activeIndex < 0 || activeIndex >= this._filteredColumns.length - 1;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13ColumnsDialogComponent, deps: [{ token: i1$1.DialogRef }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: P13ColumnsDialogComponent, isStandalone: true, selector: "ng-component", providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13ColumnsDialogComponent }], ngImport: i0, template: "<fd-dialog class=\"fdp-table-p13-columns-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">\n                        {{ 'platformTable.P13ColumnsDialogHeader' | fdTranslate }}\n                    </h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n    <fd-dialog-body>\n        <fd-toolbar>\n            <fdp-search-field\n                [placeholder]=\"'platformTable.P13ColumnsDialogSearchPlaceholder' | fdTranslate\"\n                [inputText]=\"(_searchQuerySubject | async) || ''\"\n                [suggestions]=\"[]\"\n                (inputChange)=\"_searchInputChange($event)\"\n                fdkInitialFocus\n            ></fdp-search-field>\n            <fd-toolbar-spacer></fd-toolbar-spacer>\n            <!-- Show Selected/All -->\n            <button fd-toolbar-item fd-button fdType=\"transparent\" (click)=\"_toggleShowAll()\">\n                @if ((_showAllItemsSubject | async) === true) {\n                    {{ 'platformTable.P13ColumnsDialogsShowSelected' | fdTranslate }}\n                } @else {\n                    {{ 'platformTable.P13ColumnsDialogShowAll' | fdTranslate }}\n                }\n            </button>\n        </fd-toolbar>\n        <ul fd-list [selection]=\"true\" aria-multiselectable=\"true\">\n            <li\n                fd-list-item\n                (focus)=\"_setActiveColumn(null)\"\n                [selected]=\"_selectedColumnsCount === _selectableColumns.length\"\n            >\n                <fd-checkbox\n                    [ngModel]=\"_selectedColumnsCount === _selectableColumns.length\"\n                    (ngModelChange)=\"_toggleSelectAll($event)\"\n                    [disabled]=\"_selectAllDisabled\"\n                ></fd-checkbox>\n                <span fd-list-title>\n                    {{\n                        'platformTable.P13ColumnsDialogSelectAll'\n                            | fdTranslate\n                                : {\n                                      selectedColumnsCount: _selectedColumnsCount,\n                                      selectableColumnsCount: _selectableColumns.length\n                                  }\n                    }}\n                </span>\n            </li>\n            @for (item of _filteredColumns; track _filterByColumnKy($index, item)) {\n                <li\n                    fd-list-item\n                    [preventClick]=\"true\"\n                    [class.fd-select-item--selected]=\"item.selected\"\n                    [selected]=\"item.selected\"\n                    [class.fd-select-item--active]=\"item.active\"\n                    (focus)=\"_setActiveColumn(item)\"\n                >\n                    <fd-checkbox [(ngModel)]=\"item.selected\" (ngModelChange)=\"_onToggleColumn()\"></fd-checkbox>\n                    <span fd-list-title>\n                        {{ item.column.label }}\n                    </span>\n\n                    <!-- Active Button Movement -->\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"collapse-group\"\n                            [disabled]=\"_moveUpDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveToTopBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveToTopBtn' | fdTranslate\"\n                            (click)=\"_moveActiveToTop($event)\"\n                            (keydown.enter)=\"_moveActiveToTop($event)\"\n                        ></button>\n                    }\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"slim-arrow-up\"\n                            [disabled]=\"_moveUpDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveUpBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveUpBtn' | fdTranslate\"\n                            (click)=\"_moveActiveUp($event)\"\n                            (keydown.enter)=\"_moveActiveUp($event)\"\n                        ></button>\n                    }\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"slim-arrow-down\"\n                            [disabled]=\"_moveDownDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveDownBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveDownBtn' | fdTranslate\"\n                            (click)=\"_moveActiveDown($event)\"\n                            (keydown.enter)=\"_moveActiveDown($event)\"\n                        ></button>\n                    }\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"expand-group\"\n                            [disabled]=\"_moveDownDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveToBottomBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveToBottomBtn' | fdTranslate\"\n                            (click)=\"_moveActiveToBottom($event)\"\n                            (keydown.enter)=\"_moveActiveToBottom($event)\"\n                        ></button>\n                    }\n                </li>\n            }\n        </ul>\n    </fd-dialog-body>\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13ColumnsDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13ColumnsDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-columns-dialog fd-toolbar{position:sticky;top:0;z-index:10}.fdp-table-p13-columns-dialog .fd-select-item--active{background:#e5f0fa;background:var(--sapList_SelectionBackgroundColor, #e5f0fa)}.fdp-table-p13-columns-dialog .group-row{display:flex;align-items:center;margin-bottom:.5rem}.fdp-table-p13-columns-dialog .group-row .fd-popover-custom{display:block}.fdp-table-p13-columns-dialog .group-row__checkbox,.fdp-table-p13-columns-dialog .group-row__actions,.fdp-table-p13-columns-dialog .group-row__select{margin-right:1rem}.fdp-table-p13-columns-dialog .group-row__select{flex:1 1 0}\n"], dependencies: [{ kind: "component", type: DialogComponent, selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: DialogHeaderComponent, selector: "fd-dialog-header" }, { kind: "directive", type: TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: BarLeftDirective, selector: "[fd-bar-left]" }, { kind: "directive", type: BarElementDirective, selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "component", type: TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "directive", type: BarRightDirective, selector: "[fd-bar-right]" }, { kind: "component", type: ResetButtonComponent, selector: "fdp-table-reset-button" }, { kind: "component", type: DialogBodyComponent, selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: ToolbarComponent, selector: "fd-toolbar", inputs: ["titleId", "class", "shouldOverflow", "fdType", "title", "active", "clearBorder", "forceOverflow", "tabindex", "headingLevel", "ariaLabel", "ariaLabelledBy"] }, { kind: "component", type: SearchFieldComponent, selector: "fdp-search-field", inputs: ["categoryMode", "appearance", "placeholder", "mobile", "mobileConfig", "disableRefresh", "disableSearch", "suggestions", "dataSource", "inputText", "categories", "currentCategory", "categoryLabel", "hideCategoryLabel", "isLoading", "forceSearchButton", "disableSuggestionsFoundAnnouncer"], outputs: ["inputChange", "searchSubmit", "cancelSearch", "isOpenChange"] }, { kind: "directive", type: ToolbarSpacerDirective, selector: "fd-toolbar-spacer", inputs: ["width", "class", "fixed"] }, { kind: "component", type: ButtonComponent, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "directive", type: ToolbarItemDirective, selector: "[fd-toolbar-item], [fdOverflowGroup], [fdOverflowPriority]", inputs: ["fdOverflowPriority", "fdOverflowGroup"] }, { kind: "component", type: ListComponent$1, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "component", type: ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "component", type: CheckboxComponent, selector: "fd-checkbox", inputs: ["wrapLabel", "valignLabel", "ariaLabel", "role", "value", "ariaLabelledBy", "ariaDescribedBy", "title", "inputId", "state", "name", "label", "disabled", "readonly", "tristate", "tristateSelectable", "labelClass", "required", "displayOnly", "values", "standalone"], outputs: ["focusChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "component", type: DialogFooterComponent, selector: "fd-dialog-footer" }, { kind: "component", type: ButtonBarComponent, selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "pipe", type: AsyncPipe, name: "async" }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "directive", type: InitialFocusDirective, selector: "[fdkInitialFocus]", inputs: ["fdkInitialFocus", "enabled", "focusLastElement"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13ColumnsDialogComponent, decorators: [{
            type: Component,
            args: [{ encapsulation: ViewEncapsulation.None, providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13ColumnsDialogComponent }], changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        TemplateDirective,
                        BarLeftDirective,
                        BarElementDirective,
                        TitleComponent,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        ScrollbarDirective,
                        DialogBodyComponent,
                        ToolbarComponent,
                        SearchFieldComponent,
                        ToolbarSpacerDirective,
                        ButtonComponent,
                        ToolbarItemDirective,
                        ListComponent$1,
                        ListItemComponent,
                        CheckboxComponent,
                        FormsModule,
                        ListTitleDirective,
                        DialogFooterComponent,
                        ButtonBarComponent,
                        AsyncPipe,
                        FdTranslatePipe,
                        InitialFocusDirective
                    ], template: "<fd-dialog class=\"fdp-table-p13-columns-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">\n                        {{ 'platformTable.P13ColumnsDialogHeader' | fdTranslate }}\n                    </h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n    <fd-dialog-body>\n        <fd-toolbar>\n            <fdp-search-field\n                [placeholder]=\"'platformTable.P13ColumnsDialogSearchPlaceholder' | fdTranslate\"\n                [inputText]=\"(_searchQuerySubject | async) || ''\"\n                [suggestions]=\"[]\"\n                (inputChange)=\"_searchInputChange($event)\"\n                fdkInitialFocus\n            ></fdp-search-field>\n            <fd-toolbar-spacer></fd-toolbar-spacer>\n            <!-- Show Selected/All -->\n            <button fd-toolbar-item fd-button fdType=\"transparent\" (click)=\"_toggleShowAll()\">\n                @if ((_showAllItemsSubject | async) === true) {\n                    {{ 'platformTable.P13ColumnsDialogsShowSelected' | fdTranslate }}\n                } @else {\n                    {{ 'platformTable.P13ColumnsDialogShowAll' | fdTranslate }}\n                }\n            </button>\n        </fd-toolbar>\n        <ul fd-list [selection]=\"true\" aria-multiselectable=\"true\">\n            <li\n                fd-list-item\n                (focus)=\"_setActiveColumn(null)\"\n                [selected]=\"_selectedColumnsCount === _selectableColumns.length\"\n            >\n                <fd-checkbox\n                    [ngModel]=\"_selectedColumnsCount === _selectableColumns.length\"\n                    (ngModelChange)=\"_toggleSelectAll($event)\"\n                    [disabled]=\"_selectAllDisabled\"\n                ></fd-checkbox>\n                <span fd-list-title>\n                    {{\n                        'platformTable.P13ColumnsDialogSelectAll'\n                            | fdTranslate\n                                : {\n                                      selectedColumnsCount: _selectedColumnsCount,\n                                      selectableColumnsCount: _selectableColumns.length\n                                  }\n                    }}\n                </span>\n            </li>\n            @for (item of _filteredColumns; track _filterByColumnKy($index, item)) {\n                <li\n                    fd-list-item\n                    [preventClick]=\"true\"\n                    [class.fd-select-item--selected]=\"item.selected\"\n                    [selected]=\"item.selected\"\n                    [class.fd-select-item--active]=\"item.active\"\n                    (focus)=\"_setActiveColumn(item)\"\n                >\n                    <fd-checkbox [(ngModel)]=\"item.selected\" (ngModelChange)=\"_onToggleColumn()\"></fd-checkbox>\n                    <span fd-list-title>\n                        {{ item.column.label }}\n                    </span>\n\n                    <!-- Active Button Movement -->\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"collapse-group\"\n                            [disabled]=\"_moveUpDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveToTopBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveToTopBtn' | fdTranslate\"\n                            (click)=\"_moveActiveToTop($event)\"\n                            (keydown.enter)=\"_moveActiveToTop($event)\"\n                        ></button>\n                    }\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"slim-arrow-up\"\n                            [disabled]=\"_moveUpDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveUpBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveUpBtn' | fdTranslate\"\n                            (click)=\"_moveActiveUp($event)\"\n                            (keydown.enter)=\"_moveActiveUp($event)\"\n                        ></button>\n                    }\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"slim-arrow-down\"\n                            [disabled]=\"_moveDownDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveDownBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveDownBtn' | fdTranslate\"\n                            (click)=\"_moveActiveDown($event)\"\n                            (keydown.enter)=\"_moveActiveDown($event)\"\n                        ></button>\n                    }\n                    @if (_isReorderColumnButtonShowable(item)) {\n                        <button\n                            fd-button\n                            fdType=\"transparent\"\n                            glyph=\"expand-group\"\n                            [disabled]=\"_moveDownDisabled\"\n                            [attr.aria-label]=\"'platformTable.P13ColumnsDialogMoveToBottomBtn' | fdTranslate\"\n                            [title]=\"'platformTable.P13ColumnsDialogMoveToBottomBtn' | fdTranslate\"\n                            (click)=\"_moveActiveToBottom($event)\"\n                            (keydown.enter)=\"_moveActiveToBottom($event)\"\n                        ></button>\n                    }\n                </li>\n            }\n        </ul>\n    </fd-dialog-body>\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13ColumnsDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13ColumnsDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-columns-dialog fd-toolbar{position:sticky;top:0;z-index:10}.fdp-table-p13-columns-dialog .fd-select-item--active{background:#e5f0fa;background:var(--sapList_SelectionBackgroundColor, #e5f0fa)}.fdp-table-p13-columns-dialog .group-row{display:flex;align-items:center;margin-bottom:.5rem}.fdp-table-p13-columns-dialog .group-row .fd-popover-custom{display:block}.fdp-table-p13-columns-dialog .group-row__checkbox,.fdp-table-p13-columns-dialog .group-row__actions,.fdp-table-p13-columns-dialog .group-row__select{margin-right:1rem}.fdp-table-p13-columns-dialog .group-row__select{flex:1 1 0}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.DialogRef }, { type: i0.ChangeDetectorRef }] });

/**
 * Filter Rule
 *
 * represents one rule per row
 */
class FilterRule {
    /** returns whether filter rule has value */
    get hasValue() {
        return this.valueExists(this.value) || this.valueExists(this.value2);
    }
    /** @hidden */
    constructor(columns, 
    /** Column key the rule belongs to */
    columnKey, 
    /** Data type */
    strategy, 
    /** Main filter value */
    value, 
    /** Additional filter value */
    value2) {
        this.columns = columns;
        this.columnKey = columnKey;
        this.strategy = strategy;
        this.value = value;
        this.value2 = value2;
        /** Validation flg */
        this.isValid = false;
        /** Available strategies options */
        this.strategies = [];
        /**
         * Optional array of available filter options.
         * Providing values to this input will cause the filter to change from a text-type input to a select-type input.
         * */
        this.filterSelectOptions = [];
        if (!this.columnKey) {
            this.setColumnKey(columns[0]?.key);
        }
        if (!this.dataType) {
            this.setDataTypeByColumnKey(this.columnKey);
        }
        if (this.strategies.length === 0) {
            this.setStrategiesByColumnKey(this.columnKey);
        }
        if (this.filterSelectOptions.length === 0) {
            this.setFilterSelectOptionsByColumnKey(this.columnKey);
        }
    }
    /** @hidden */
    setValid(isValid) {
        this.isValid = isValid;
    }
    /** @hidden */
    setValue(value) {
        this.value = value;
    }
    /** @hidden */
    setValue2(value) {
        this.value2 = value;
    }
    /** @hidden */
    setStrategy(strategy) {
        this.strategy = strategy;
    }
    /** @hidden */
    setStrategiesByColumnKey(columnKey) {
        const dataType = this.columns.find((column) => column.key === columnKey)?.dataType;
        if (!dataType) {
            return;
        }
        const strategies = getFilterStrategiesBasedOnDataType(dataType);
        if (this.strategies === strategies) {
            return;
        }
        this.strategies = strategies;
        if (!this.strategies.includes(this.strategy)) {
            this.setStrategy(strategies[0]);
        }
    }
    /** @hidden */
    setColumnKey(columnKey) {
        if (columnKey === this.columnKey) {
            return;
        }
        this.columnKey = columnKey;
        // reset values
        this.setValue(null);
        this.setValue2(null);
        // update data type
        this.setDataTypeByColumnKey(columnKey);
        // update available Filter options
        this.setFilterSelectOptionsByColumnKey(columnKey);
        // update available strategies list
        this.setStrategiesByColumnKey(columnKey);
    }
    /** @hidden */
    setDataTypeByColumnKey(columnKey) {
        const dataType = this.columns.find((column) => column.key === columnKey)?.dataType;
        this.dataType = dataType;
    }
    /** @hidden */
    setFilterSelectOptionsByColumnKey(columnKey) {
        const filterSelectOptions = this.columns.find((column) => column.key === columnKey)?.filterSelectOptions;
        this.filterSelectOptions = filterSelectOptions ? filterSelectOptions : [];
    }
    /** @hidden */
    valueExists(value) {
        return !!value || value === 0 || typeof value === 'boolean';
    }
}

class FilterRuleComponent {
    constructor() {
        /** Emits when rule is changed */
        this.ruleChange = new EventEmitter();
        /** Emits when rule state is changed */
        this.ruleStateChange = new EventEmitter();
        /** @hidden */
        this.FILTER_STRATEGY = FILTER_STRATEGY;
        /** @hidden */
        this.DATA_TYPE = FilterableColumnDataType;
        /** @hidden */
        this.strategyLabels = FILTER_STRATEGY_LABEL;
        /** @hidden */
        this._subscriptions = new Subscription();
    }
    /** @hidden */
    set ngForm(ngForm) {
        if (!ngForm) {
            return;
        }
        this._subscriptions.add(ngForm.statusChanges
            ?.pipe(
        // Skip first that triggers on initial phase
        skip(1))
            .subscribe(() => {
            const isValid = !!ngForm.valid;
            this.rule.setValid(isValid);
            this.ruleStateChange.emit(isValid);
        }));
    }
    /** @hidden */
    ngOnDestroy() {
        this._subscriptions.unsubscribe();
    }
    /** @hidden */
    _onModelChange() {
        this.ruleChange.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterRuleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FilterRuleComponent, isStandalone: true, selector: "fdp-table-filter-rule", inputs: { rule: "rule" }, outputs: { ruleChange: "ruleChange", ruleStateChange: "ruleStateChange" }, viewQueries: [{ propertyName: "ngForm", first: true, predicate: NgForm, descendants: true }], ngImport: i0, template: "<div fdLayoutGridRow>\n    <div fdLayoutGridCol colGrow>\n        <div fdLayoutGridRow>\n            <div fdLayoutGridCol colGrow>\n                <!-- Column -->\n                <fd-select\n                    class=\"filter-row__select\"\n                    [ngModel]=\"rule.columnKey\"\n                    (ngModelChange)=\"rule.setColumnKey($event); _onModelChange()\"\n                >\n                    @for (column of rule.columns; track column) {\n                        <li fd-option [value]=\"column.key\">{{ column.label }}</li>\n                    }\n                </fd-select>\n            </div>\n            <div fdLayoutGridCol colGrow>\n                <!-- Strategy -->\n                <fd-select\n                    class=\"filter-row__select\"\n                    [ngModel]=\"rule.strategy\"\n                    (ngModelChange)=\"rule.setStrategy($event); _onModelChange()\"\n                >\n                    @for (strategy of rule.strategies; track strategy) {\n                        <li fd-option [value]=\"strategy\">\n                            {{\n                                strategyLabels[strategy] || 'platformTable.P13FilterStrategyLabelNotDefined'\n                                    | fdTranslate\n                            }}\n                        </li>\n                    }\n                </fd-select>\n            </div>\n        </div>\n    </div>\n    <div fdLayoutGridCol colGrow>\n        <div fdLayoutGridRow ngForm>\n            @if (rule.strategy === FILTER_STRATEGY.BETWEEN) {\n                <div fdLayoutGridCol colGrow>\n                    <ng-template\n                        [ngTemplateOutlet]=\"ruleInputTemplate\"\n                        [ngTemplateOutletContext]=\"{ valueKey: 'value' }\"\n                    ></ng-template>\n                </div>\n                <div fdLayoutGridCol colGrow>\n                    <ng-template\n                        [ngTemplateOutlet]=\"ruleInputTemplate\"\n                        [ngTemplateOutletContext]=\"{ valueKey: 'value2' }\"\n                    ></ng-template>\n                </div>\n            } @else {\n                <div fdLayoutGridCol colGrow>\n                    <ng-template\n                        [ngTemplateOutlet]=\"ruleInputTemplate\"\n                        [ngTemplateOutletContext]=\"{ valueKey: 'value' }\"\n                    ></ng-template>\n                </div>\n            }\n\n            <!-- Rule Control Based on Data Type -->\n            <ng-template #ruleInputTemplate let-valueKey=\"valueKey\">\n                @if (rule.dataType === DATA_TYPE.DATE) {\n                    <fd-date-picker\n                        class=\"filter-row__input\"\n                        type=\"single\"\n                        [required]=\"true\"\n                        [name]=\"valueKey\"\n                        [(ngModel)]=\"rule[valueKey]\"\n                        (ngModelChange)=\"_onModelChange()\"\n                    ></fd-date-picker>\n                } @else if (rule.dataType === DATA_TYPE.BOOLEAN) {\n                    <fd-select\n                        class=\"filter-row__select\"\n                        [name]=\"valueKey\"\n                        [(ngModel)]=\"rule[valueKey]\"\n                        (ngModelChange)=\"_onModelChange()\"\n                        [required]=\"true\"\n                    >\n                        <li fd-option [value]=\"undefined\">\n                            {{ 'platformTable.P13FilterBooleanOptionNotDefined' | fdTranslate }}\n                        </li>\n                        <li fd-option [value]=\"true\">\n                            {{ 'platformTable.P13FilterBooleanOptionTrue' | fdTranslate }}\n                        </li>\n                        <li fd-option [value]=\"false\">\n                            {{ 'platformTable.P13FilterBooleanOptionFalse' | fdTranslate }}\n                        </li>\n                    </fd-select>\n                } @else if (rule.filterSelectOptions?.length) {\n                    <!-- Filter options dropdown menu -->\n                    <fd-select\n                        [ngModel]=\"rule[valueKey]\"\n                        (ngModelChange)=\"rule.setValue($event); _onModelChange()\"\n                        [required]=\"true\"\n                        [name]=\"valueKey\"\n                        class=\"filter-row__select\"\n                    >\n                        @for (option of rule.filterSelectOptions; track $index) {\n                            <li fd-option [value]=\"option\">{{ option }}</li>\n                        }\n                    </fd-select>\n                } @else {\n                    <input\n                        type=\"text\"\n                        class=\"filter-row__input\"\n                        fd-form-control\n                        required\n                        [name]=\"valueKey\"\n                        [(ngModel)]=\"rule[valueKey]\"\n                        (ngModelChange)=\"_onModelChange()\"\n                    />\n                }\n            </ng-template>\n        </div>\n    </div>\n</div>\n", dependencies: [{ kind: "directive", type: LayoutGridRowDirective, selector: "[fd-layout-grid-row], [fdLayoutGridRow]" }, { kind: "directive", type: LayoutGridColDirective, selector: "[fd-layout-grid-col], [fdLayoutGridCol]", inputs: ["fdLayoutGridCol", "colGrow", "colMd", "colLg", "colXl", "colOffset", "colOffsetMd", "colOffsetLg", "colOffsetXl", "class"] }, { kind: "component", type: SelectComponent, selector: "fd-select", inputs: ["extendedBodyTemplate", "scrollStrategy", "textOverflow", "controlId", "state", "mobile", "stateMessage", "disabled", "required", "readonly", "placeholder", "value", "maxHeight", "glyph", "glyphFont", "closeOnOutsideClick", "fillControlMode", "controlTemplate", "appendTo", "unselectMissingOption", "typeaheadDebounceInterval", "ariaLabelledBy", "ariaLabel", "mobileConfig", "inline", "selectControlClass", "selectDropdownButtonClass", "advancedStateMessage", "tabOutStrategy", "compareWith"], outputs: ["isOpenChange", "valueChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i1$2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: OptionComponent, selector: "[fd-option], fd-option", inputs: ["id", "value", "disabled"], outputs: ["selectionChange"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: DatePickerComponent, selector: "fd-date-picker", inputs: ["type", "placeholder", "inputId", "required", "customDateTimeFormat", "message", "messageTriggers", "selectedDate", "selectedMultipleDates", "selectedRangeDate", "selectedMultipleDateRanges", "startingDayOfWeek", "rangeHoverEffect", "useValidation", "allowNull", "activeView", "placement", "appendTo", "disabled", "closeOnDateChoose", "showTodayButton", "todayButtonLabel", "previousButtonDisableFunction", "nextButtonDisableFunction", "state", "buttonFocusable", "specialDaysRules", "yearGrid", "aggregatedYearGrid", "markWeekends", "showWeekNumbers", "allowMultipleSelection", "isOpen", "inline", "ariaLabelledBy", "processInputOnBlur", "preventScrollOnFocus", "mobile", "mobileConfig", "mobileLandscape", "mobilePortrait", "dateRangeFormat", "disableFunction", "disableRangeStartFunction", "disableRangeEndFunction"], outputs: ["isOpenChange", "selectedDateChange", "selectedMultipleDatesChange", "selectedRangeDateChange", "selectedMultipleDateRangesChange", "activeViewChange"] }, { kind: "component", type: FormControlComponent, selector: "input[fd-form-control], textarea[fd-form-control]", inputs: ["state", "type", "class", "ariaLabel", "ariaLabelledBy"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterRuleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-filter-rule', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [
                        LayoutGridRowDirective,
                        LayoutGridColDirective,
                        SelectComponent,
                        FormsModule,
                        OptionComponent,
                        NgTemplateOutlet,
                        DatePickerComponent,
                        FormControlComponent,
                        FdTranslatePipe
                    ], template: "<div fdLayoutGridRow>\n    <div fdLayoutGridCol colGrow>\n        <div fdLayoutGridRow>\n            <div fdLayoutGridCol colGrow>\n                <!-- Column -->\n                <fd-select\n                    class=\"filter-row__select\"\n                    [ngModel]=\"rule.columnKey\"\n                    (ngModelChange)=\"rule.setColumnKey($event); _onModelChange()\"\n                >\n                    @for (column of rule.columns; track column) {\n                        <li fd-option [value]=\"column.key\">{{ column.label }}</li>\n                    }\n                </fd-select>\n            </div>\n            <div fdLayoutGridCol colGrow>\n                <!-- Strategy -->\n                <fd-select\n                    class=\"filter-row__select\"\n                    [ngModel]=\"rule.strategy\"\n                    (ngModelChange)=\"rule.setStrategy($event); _onModelChange()\"\n                >\n                    @for (strategy of rule.strategies; track strategy) {\n                        <li fd-option [value]=\"strategy\">\n                            {{\n                                strategyLabels[strategy] || 'platformTable.P13FilterStrategyLabelNotDefined'\n                                    | fdTranslate\n                            }}\n                        </li>\n                    }\n                </fd-select>\n            </div>\n        </div>\n    </div>\n    <div fdLayoutGridCol colGrow>\n        <div fdLayoutGridRow ngForm>\n            @if (rule.strategy === FILTER_STRATEGY.BETWEEN) {\n                <div fdLayoutGridCol colGrow>\n                    <ng-template\n                        [ngTemplateOutlet]=\"ruleInputTemplate\"\n                        [ngTemplateOutletContext]=\"{ valueKey: 'value' }\"\n                    ></ng-template>\n                </div>\n                <div fdLayoutGridCol colGrow>\n                    <ng-template\n                        [ngTemplateOutlet]=\"ruleInputTemplate\"\n                        [ngTemplateOutletContext]=\"{ valueKey: 'value2' }\"\n                    ></ng-template>\n                </div>\n            } @else {\n                <div fdLayoutGridCol colGrow>\n                    <ng-template\n                        [ngTemplateOutlet]=\"ruleInputTemplate\"\n                        [ngTemplateOutletContext]=\"{ valueKey: 'value' }\"\n                    ></ng-template>\n                </div>\n            }\n\n            <!-- Rule Control Based on Data Type -->\n            <ng-template #ruleInputTemplate let-valueKey=\"valueKey\">\n                @if (rule.dataType === DATA_TYPE.DATE) {\n                    <fd-date-picker\n                        class=\"filter-row__input\"\n                        type=\"single\"\n                        [required]=\"true\"\n                        [name]=\"valueKey\"\n                        [(ngModel)]=\"rule[valueKey]\"\n                        (ngModelChange)=\"_onModelChange()\"\n                    ></fd-date-picker>\n                } @else if (rule.dataType === DATA_TYPE.BOOLEAN) {\n                    <fd-select\n                        class=\"filter-row__select\"\n                        [name]=\"valueKey\"\n                        [(ngModel)]=\"rule[valueKey]\"\n                        (ngModelChange)=\"_onModelChange()\"\n                        [required]=\"true\"\n                    >\n                        <li fd-option [value]=\"undefined\">\n                            {{ 'platformTable.P13FilterBooleanOptionNotDefined' | fdTranslate }}\n                        </li>\n                        <li fd-option [value]=\"true\">\n                            {{ 'platformTable.P13FilterBooleanOptionTrue' | fdTranslate }}\n                        </li>\n                        <li fd-option [value]=\"false\">\n                            {{ 'platformTable.P13FilterBooleanOptionFalse' | fdTranslate }}\n                        </li>\n                    </fd-select>\n                } @else if (rule.filterSelectOptions?.length) {\n                    <!-- Filter options dropdown menu -->\n                    <fd-select\n                        [ngModel]=\"rule[valueKey]\"\n                        (ngModelChange)=\"rule.setValue($event); _onModelChange()\"\n                        [required]=\"true\"\n                        [name]=\"valueKey\"\n                        class=\"filter-row__select\"\n                    >\n                        @for (option of rule.filterSelectOptions; track $index) {\n                            <li fd-option [value]=\"option\">{{ option }}</li>\n                        }\n                    </fd-select>\n                } @else {\n                    <input\n                        type=\"text\"\n                        class=\"filter-row__input\"\n                        fd-form-control\n                        required\n                        [name]=\"valueKey\"\n                        [(ngModel)]=\"rule[valueKey]\"\n                        (ngModelChange)=\"_onModelChange()\"\n                    />\n                }\n            </ng-template>\n        </div>\n    </div>\n</div>\n" }]
        }], propDecorators: { rule: [{
                type: Input
            }], ruleChange: [{
                type: Output
            }], ruleStateChange: [{
                type: Output
            }], ngForm: [{
                type: ViewChild,
                args: [NgForm]
            }] } });

class P13FilteringDialogComponent {
    /** @hidden */
    constructor(dialogRef) {
        this.dialogRef = dialogRef;
        /** Indicates when reset command is available */
        this.isResetAvailable$ = signal(false);
        /** Table columns available for filtering */
        this.columns = [];
        /**
         * @hidden
         * Include Rules
         */
        this._includeRules = [];
        /**
         * @hidden
         * Exclude Rules
         */
        this._excludeRules = [];
        /**
         * @hidden
         * Count of valid included rules
         */
        this._validIncludeRulesCount = 0;
        /**
         * @hidden
         * Count of valid excluded rules
         */
        this._validExcludeRulesCount = 0;
        /**
         * @hidden
         * Panel opened/closed flag
         */
        this._includePanelExpanded = true;
        /**
         * @hidden
         * Panel opened/closed flag
         */
        this._excludePanelExpanded = false;
        /** @hidden */
        this._calculateValidRulesCount = () => {
            this._validIncludeRulesCount = this._includeRules.filter(this._isRuleValid).length;
            this._validExcludeRulesCount = this._excludeRules.filter(this._isRuleValid).length;
        };
        /** @hidden */
        this._isRuleValid = (rule) => rule?.isValid;
        const { columns, collectionFilter } = this.dialogRef.data;
        this.columns = columns.filter((column) => column.filterable) || [];
        this._initiateRules(collectionFilter);
        this._calculateValidRulesCount();
        this._excludePanelExpanded = this._validExcludeRulesCount > 0;
        this._recalculateResetAvailability();
    }
    /** Reset changes to the initial state */
    reset() {
        this._initiateRules();
        this.isResetAvailable$.set(false);
        this._validIncludeRulesCount = 0;
        this._validExcludeRulesCount = 0;
    }
    /** Close dialog */
    cancel() {
        this.dialogRef.close(null);
    }
    /** Confirm changes and close dialog */
    confirm() {
        const includeFilters = this._getCollectionFiltersFromIncludeRules();
        const excludeFilters = this._getCollectionFiltersFromExcludeRules();
        const validator = this.dialogRef.data.validator;
        const combinedFilters = [...includeFilters, ...excludeFilters];
        if (!validator || validator(combinedFilters)) {
            const result = { collectionFilter: combinedFilters };
            this.dialogRef.close(result);
        }
    }
    /** @hidden */
    _removeRule(rule, rules) {
        const index = rules.indexOf(rule);
        if (index === -1) {
            return;
        }
        rules.splice(index, 1);
        // Keep at least one item in the list
        if (rules.length === 0) {
            rules.push(new FilterRule(this.columns));
        }
        this._recalculateResetAvailability();
        this._calculateValidRulesCount();
    }
    /** @hidden */
    _addNewRule(rules) {
        const lastRule = rules.slice(-1)[0];
        rules.push(new FilterRule(this.columns, lastRule?.columnKey, lastRule?.strategy));
    }
    /** @hidden */
    _recalculateResetAvailability() {
        const hasOnlyOneEmptyIncludeRule = this._includeRules.length === 1 && !this._includeRules[0].hasValue;
        const hasOnlyOneEmptyExcludeRule = this._excludeRules.length === 1 && !this._excludeRules[0].hasValue;
        this.isResetAvailable$.set(!hasOnlyOneEmptyIncludeRule || !hasOnlyOneEmptyExcludeRule);
    }
    /** @hidden */
    _onRuleStateChange() {
        this._calculateValidRulesCount();
    }
    /** @hidden */
    _initiateRules(initialRules) {
        this._includeRules = this._createRules(initialRules?.filter(({ exclude }) => !exclude));
        this._excludeRules = this._createRules(initialRules?.filter(({ exclude }) => exclude));
        [this._includeRules, this._excludeRules].forEach((rules) => {
            // Rules on initial phase are considered as valid
            rules.forEach((rule) => rule.setValid(true));
            // Keep at least one item in the list
            if (rules.length === 0) {
                rules.push(new FilterRule(this.columns));
            }
        });
    }
    /** @hidden */
    _createRules(collectionFilter = []) {
        return collectionFilter.map(({ field, value, value2, strategy }) => new FilterRule(this.columns, field, strategy, value, value2));
    }
    /** @hidden */
    _getCollectionFiltersFromRules(rules) {
        return rules.filter(this._isRuleValid).map(({ columnKey, strategy, value, value2 }) => ({
            field: columnKey,
            value,
            value2,
            strategy: strategy
        }));
    }
    /** @hidden */
    _getCollectionFiltersFromIncludeRules() {
        return this._getCollectionFiltersFromRules(this._includeRules).map((collectionFilter) => ({
            ...collectionFilter,
            exclude: false
        }));
    }
    /** @hidden */
    _getCollectionFiltersFromExcludeRules() {
        return this._getCollectionFiltersFromRules(this._excludeRules).map((collectionFilter) => ({
            ...collectionFilter,
            exclude: true
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13FilteringDialogComponent, deps: [{ token: i1$1.DialogRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: P13FilteringDialogComponent, isStandalone: true, selector: "ng-component", providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13FilteringDialogComponent }], ngImport: i0, template: "<fd-dialog class=\"fdp-table-p13-filtering-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.P13FilterDialogHeader' | fdTranslate }}</h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n    <fd-dialog-body>\n        <!-- Include Rules -->\n        <fd-panel [expanded]=\"_includePanelExpanded\">\n            <div fd-panel-title>\n                {{\n                    (_validIncludeRulesCount > 0\n                        ? 'platformTable.P13FilterDialogIncludePanelTitleWithCount'\n                        : 'platformTable.P13FilterDialogIncludePanelTitleWithoutCount'\n                    ) | fdTranslate: { count: _validIncludeRulesCount }\n                }}\n            </div>\n            <div fd-panel-content>\n                @for (rule of _includeRules; track rule) {\n                    <fd-layout-grid>\n                        <div fdLayoutGridRow>\n                            <fdp-table-filter-rule\n                                [fdLayoutGridCol]=\"10\"\n                                [rule]=\"rule\"\n                                (ruleChange)=\"_recalculateResetAvailability()\"\n                                (ruleStateChange)=\"_onRuleStateChange()\"\n                            ></fdp-table-filter-rule>\n                            <!-- Actions buttons -->\n                            <div [fdLayoutGridCol]=\"2\">\n                                <button\n                                    fd-button\n                                    fdType=\"transparent\"\n                                    glyph=\"sys-cancel\"\n                                    [attr.aria-label]=\"\n                                        'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\n                                    \"\n                                    [title]=\"'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\"\n                                    (click)=\"_removeRule(rule, _includeRules)\"\n                                ></button>\n                                @if (_includeRules.length - 1 === $index) {\n                                    <button\n                                        fd-button\n                                        fdType=\"transparent\"\n                                        glyph=\"add\"\n                                        [attr.aria-label]=\"\n                                            'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\n                                        \"\n                                        [title]=\"'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\"\n                                        (click)=\"_addNewRule(_includeRules)\"\n                                    ></button>\n                                }\n                            </div>\n                        </div>\n                    </fd-layout-grid>\n                }\n            </div>\n        </fd-panel>\n        <!-- Exclude Rules -->\n        <fd-panel [expanded]=\"_excludePanelExpanded\">\n            <div fd-panel-title>\n                {{\n                    (_validExcludeRulesCount > 0\n                        ? 'platformTable.P13FilterDialogExcludePanelTitleWithCount'\n                        : 'platformTable.P13FilterDialogExcludePanelTitleWithoutCount'\n                    ) | fdTranslate: { count: _validExcludeRulesCount }\n                }}\n            </div>\n            <div fd-panel-content>\n                @for (rule of _excludeRules; track rule) {\n                    <fd-layout-grid>\n                        <div fdLayoutGridRow>\n                            <fdp-table-filter-rule\n                                [fdLayoutGridCol]=\"10\"\n                                [rule]=\"rule\"\n                                (ruleChange)=\"_recalculateResetAvailability()\"\n                                (ruleStateChange)=\"_onRuleStateChange()\"\n                            ></fdp-table-filter-rule>\n                            <!-- Actions buttons -->\n                            <div [fdLayoutGridCol]=\"2\">\n                                <button\n                                    fd-button\n                                    fdType=\"transparent\"\n                                    glyph=\"sys-cancel\"\n                                    [attr.aria-label]=\"\n                                        'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\n                                    \"\n                                    [title]=\"'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\"\n                                    (click)=\"_removeRule(rule, _excludeRules)\"\n                                ></button>\n                                @if (_excludeRules.length - 1 === $index) {\n                                    <button\n                                        fd-button\n                                        fdType=\"transparent\"\n                                        glyph=\"add\"\n                                        [attr.aria-label]=\"\n                                            'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\n                                        \"\n                                        [title]=\"'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\"\n                                        (click)=\"_addNewRule(_excludeRules)\"\n                                    ></button>\n                                }\n                            </div>\n                        </div>\n                    </fd-layout-grid>\n                }\n            </div>\n        </fd-panel>\n    </fd-dialog-body>\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13FilterDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13FilterDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-filtering-dialog .filter-row__input,.fdp-table-p13-filtering-dialog .filter-row__select{display:block;max-width:100%}.fdp-table-p13-filtering-dialog .fd-popover-custom{display:block}\n"], dependencies: [{ kind: "component", type: DialogComponent, selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: DialogHeaderComponent, selector: "fd-dialog-header" }, { kind: "directive", type: TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: BarLeftDirective, selector: "[fd-bar-left]" }, { kind: "directive", type: BarElementDirective, selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "component", type: TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "directive", type: BarRightDirective, selector: "[fd-bar-right]" }, { kind: "component", type: ResetButtonComponent, selector: "fdp-table-reset-button" }, { kind: "component", type: DialogBodyComponent, selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: PanelComponent, selector: "fd-panel", inputs: ["class", "fixed", "id", "expandId", "expandAriaLabel", "expandAriaLabelledBy", "expanded"], outputs: ["expandedChange"] }, { kind: "directive", type: PanelTitleDirective, selector: "[fd-panel-title]", inputs: ["id"] }, { kind: "directive", type: PanelContentDirective, selector: "[fd-panel-content]", inputs: ["height", "minHeight", "maxHeight", "ariaLabel", "ariaLabelledBy", "role", "id"] }, { kind: "component", type: LayoutGridComponent, selector: "fd-layout-grid, [fdLayoutGrid]", inputs: ["class", "noGap", "noHorizontalGap", "noVerticalGap"] }, { kind: "directive", type: LayoutGridRowDirective, selector: "[fd-layout-grid-row], [fdLayoutGridRow]" }, { kind: "component", type: FilterRuleComponent, selector: "fdp-table-filter-rule", inputs: ["rule"], outputs: ["ruleChange", "ruleStateChange"] }, { kind: "directive", type: LayoutGridColDirective, selector: "[fd-layout-grid-col], [fdLayoutGridCol]", inputs: ["fdLayoutGridCol", "colGrow", "colMd", "colLg", "colXl", "colOffset", "colOffsetMd", "colOffsetLg", "colOffsetXl", "class"] }, { kind: "component", type: ButtonComponent, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "component", type: DialogFooterComponent, selector: "fd-dialog-footer" }, { kind: "component", type: ButtonBarComponent, selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13FilteringDialogComponent, decorators: [{
            type: Component,
            args: [{ encapsulation: ViewEncapsulation.None, providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13FilteringDialogComponent }], changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        TemplateDirective,
                        BarLeftDirective,
                        BarElementDirective,
                        TitleComponent,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        ScrollbarDirective,
                        DialogBodyComponent,
                        PanelComponent,
                        PanelTitleDirective,
                        PanelContentDirective,
                        LayoutGridComponent,
                        LayoutGridRowDirective,
                        FilterRuleComponent,
                        LayoutGridColDirective,
                        ButtonComponent,
                        DialogFooterComponent,
                        ButtonBarComponent,
                        FdTranslatePipe
                    ], template: "<fd-dialog class=\"fdp-table-p13-filtering-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.P13FilterDialogHeader' | fdTranslate }}</h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n    <fd-dialog-body>\n        <!-- Include Rules -->\n        <fd-panel [expanded]=\"_includePanelExpanded\">\n            <div fd-panel-title>\n                {{\n                    (_validIncludeRulesCount > 0\n                        ? 'platformTable.P13FilterDialogIncludePanelTitleWithCount'\n                        : 'platformTable.P13FilterDialogIncludePanelTitleWithoutCount'\n                    ) | fdTranslate: { count: _validIncludeRulesCount }\n                }}\n            </div>\n            <div fd-panel-content>\n                @for (rule of _includeRules; track rule) {\n                    <fd-layout-grid>\n                        <div fdLayoutGridRow>\n                            <fdp-table-filter-rule\n                                [fdLayoutGridCol]=\"10\"\n                                [rule]=\"rule\"\n                                (ruleChange)=\"_recalculateResetAvailability()\"\n                                (ruleStateChange)=\"_onRuleStateChange()\"\n                            ></fdp-table-filter-rule>\n                            <!-- Actions buttons -->\n                            <div [fdLayoutGridCol]=\"2\">\n                                <button\n                                    fd-button\n                                    fdType=\"transparent\"\n                                    glyph=\"sys-cancel\"\n                                    [attr.aria-label]=\"\n                                        'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\n                                    \"\n                                    [title]=\"'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\"\n                                    (click)=\"_removeRule(rule, _includeRules)\"\n                                ></button>\n                                @if (_includeRules.length - 1 === $index) {\n                                    <button\n                                        fd-button\n                                        fdType=\"transparent\"\n                                        glyph=\"add\"\n                                        [attr.aria-label]=\"\n                                            'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\n                                        \"\n                                        [title]=\"'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\"\n                                        (click)=\"_addNewRule(_includeRules)\"\n                                    ></button>\n                                }\n                            </div>\n                        </div>\n                    </fd-layout-grid>\n                }\n            </div>\n        </fd-panel>\n        <!-- Exclude Rules -->\n        <fd-panel [expanded]=\"_excludePanelExpanded\">\n            <div fd-panel-title>\n                {{\n                    (_validExcludeRulesCount > 0\n                        ? 'platformTable.P13FilterDialogExcludePanelTitleWithCount'\n                        : 'platformTable.P13FilterDialogExcludePanelTitleWithoutCount'\n                    ) | fdTranslate: { count: _validExcludeRulesCount }\n                }}\n            </div>\n            <div fd-panel-content>\n                @for (rule of _excludeRules; track rule) {\n                    <fd-layout-grid>\n                        <div fdLayoutGridRow>\n                            <fdp-table-filter-rule\n                                [fdLayoutGridCol]=\"10\"\n                                [rule]=\"rule\"\n                                (ruleChange)=\"_recalculateResetAvailability()\"\n                                (ruleStateChange)=\"_onRuleStateChange()\"\n                            ></fdp-table-filter-rule>\n                            <!-- Actions buttons -->\n                            <div [fdLayoutGridCol]=\"2\">\n                                <button\n                                    fd-button\n                                    fdType=\"transparent\"\n                                    glyph=\"sys-cancel\"\n                                    [attr.aria-label]=\"\n                                        'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\n                                    \"\n                                    [title]=\"'platformTable.P13FilterDialogRemoveFilterBtnTitle' | fdTranslate\"\n                                    (click)=\"_removeRule(rule, _excludeRules)\"\n                                ></button>\n                                @if (_excludeRules.length - 1 === $index) {\n                                    <button\n                                        fd-button\n                                        fdType=\"transparent\"\n                                        glyph=\"add\"\n                                        [attr.aria-label]=\"\n                                            'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\n                                        \"\n                                        [title]=\"'platformTable.P13FilterDialogAddFilterBtnTitle' | fdTranslate\"\n                                        (click)=\"_addNewRule(_excludeRules)\"\n                                    ></button>\n                                }\n                            </div>\n                        </div>\n                    </fd-layout-grid>\n                }\n            </div>\n        </fd-panel>\n    </fd-dialog-body>\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13FilterDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13FilterDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-filtering-dialog .filter-row__input,.fdp-table-p13-filtering-dialog .filter-row__select{display:block;max-width:100%}.fdp-table-p13-filtering-dialog .fd-popover-custom{display:block}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.DialogRef }] });

const NOT_SELECTED_OPTION_VALUE$1 = null;
class GroupRule {
    get isValid() {
        return this.columnKey !== NOT_SELECTED_OPTION_VALUE$1;
    }
    constructor(
    /** Column key the rule belongs to */
    columnKey = NOT_SELECTED_OPTION_VALUE$1, 
    /** Show Field as Column */
    showAsColumn = true) {
        this.columnKey = columnKey;
        this.showAsColumn = showAsColumn;
    }
}
class P13GroupingDialogComponent {
    /** @hidden */
    constructor(dialogRef) {
        this.dialogRef = dialogRef;
        /** Table columns available for grouping */
        this.columns = [];
        /** Indicates when reset command is available */
        this.isResetAvailable$ = signal(false);
        /** Group rules to render */
        this.rules = [];
        /** @hidden */
        this._isRuleValid = (rule) => rule?.isValid;
        const { columns, collectionGroup } = this.dialogRef.data;
        this.columns = columns || [];
        this._initiateRules(collectionGroup);
    }
    /** Reset changes to the initial state */
    reset() {
        this._initiateRules();
        this.isResetAvailable$.set(false);
    }
    /** Close dialog */
    cancel() {
        this.dialogRef.close(null);
    }
    /** Confirm changes and close dialog */
    confirm() {
        const collectionGroup = this._getCollectionGroupFromGroupRules(this._getUniqueRules(this.rules));
        const result = { collectionGroup };
        this.dialogRef.close(result);
    }
    /** @hidden */
    _recalculateResetAvailability() {
        const hasOnlyOneEmptyRule = this.rules.length === 1 && !this.rules[0].isValid;
        this.isResetAvailable$.set(!hasOnlyOneEmptyRule);
    }
    /** @hidden */
    _removeRule(rule) {
        this.rules = this.rules.filter((_rule) => _rule !== rule);
        // Keep at least one item in the list
        if (this.rules.length === 0) {
            this.rules.push(new GroupRule());
        }
        this._recalculateResetAvailability();
    }
    /** @hidden */
    _addNew(index) {
        this.rules.splice(index + 1, 0, new GroupRule());
    }
    /** @hidden */
    _onRuleColumnKeyChange(rule, columnKey) {
        rule.columnKey = columnKey;
        this._recalculateResetAvailability();
    }
    /** @hidden */
    _onRuleShowAsColumnChange(rule, value) {
        rule.showAsColumn = value;
        this._recalculateResetAvailability();
    }
    /** Get available columns for a rule */
    getAvailableColumns(rule) {
        const selectedKeys = this.rules.map((r) => r.columnKey).filter((key) => key !== NOT_SELECTED_OPTION_VALUE$1);
        return this.columns.filter((column) => !selectedKeys.includes(column.key) || column.key === rule.columnKey);
    }
    /** @hidden */
    _initiateRules(collectionGroup) {
        this.rules = this._createGroupRules(collectionGroup);
        // Keep at least one item in the list
        if (this.rules.length === 0) {
            this.rules.push(new GroupRule());
        }
        this._recalculateResetAvailability();
    }
    /** @hidden */
    _createGroupRules(collectionGroup = []) {
        return collectionGroup.map(({ field, showAsColumn }) => new GroupRule(field, showAsColumn));
    }
    /** @hidden */
    _getCollectionGroupFromGroupRules(rules = this.rules) {
        return rules.filter(this._isRuleValid).map(({ columnKey, showAsColumn }) => ({
            field: columnKey,
            showAsColumn,
            direction: SortDirection.NONE
        }));
    }
    /** @hidden */
    _getUniqueRules(rules) {
        return getUniqueListValuesByKey(rules, 'columnKey');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13GroupingDialogComponent, deps: [{ token: i1$1.DialogRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: P13GroupingDialogComponent, isStandalone: true, selector: "ng-component", providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13GroupingDialogComponent }], ngImport: i0, template: "<fd-dialog class=\"fdp-table-p13-grouping-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.P13GroupDialogHeader' | fdTranslate }}</h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n\n    <fd-dialog-body>\n        @for (rule of rules; track rule; let i = $index) {\n            <div class=\"group-row\">\n                <fd-select\n                    class=\"group-row__select\"\n                    [value]=\"rule.columnKey\"\n                    (valueChange)=\"_onRuleColumnKeyChange(rule, $event)\"\n                    [placeholder]=\"'platformTable.P13GroupDialogNoneSelectedColumnSelectPlaceholder' | fdTranslate\"\n                >\n                    @for (column of getAvailableColumns(rule); track column) {\n                        <li fd-option [value]=\"column.key\">\n                            {{ column.label }}\n                        </li>\n                    }\n                </fd-select>\n\n                <fd-checkbox\n                    class=\"group-row__checkbox\"\n                    [ngModel]=\"rule.showAsColumn\"\n                    (ngModelChange)=\"_onRuleShowAsColumnChange(rule, $event)\"\n                    [label]=\"'platformTable.P13GroupDialogShowFieldAsColumnCheckboxLabel' | fdTranslate\"\n                ></fd-checkbox>\n\n                <div class=\"group-row__actions\">\n                    <button\n                        fd-button\n                        fdType=\"transparent\"\n                        glyph=\"sys-cancel\"\n                        [attr.aria-label]=\"'platformTable.P13GroupDialogRemoveGroupBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13GroupDialogRemoveGroupBtnTitle' | fdTranslate\"\n                        (click)=\"_removeRule(rule)\"\n                        [disabled]=\"!rule.columnKey\"\n                    ></button>\n\n                    <button\n                        fd-button\n                        fdType=\"transparent\"\n                        glyph=\"add\"\n                        [attr.aria-label]=\"'platformTable.P13GroupDialogAddNewGroupBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13GroupDialogAddNewGroupBtnTitle' | fdTranslate\"\n                        (click)=\"_addNew(i)\"\n                        [disabled]=\"rules.length >= columns.length || !rule.columnKey\"\n                    ></button>\n                </div>\n            </div>\n        }\n    </fd-dialog-body>\n\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13GroupDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13GroupDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-grouping-dialog .group-row{display:flex;align-items:center;margin-bottom:.5rem}.fdp-table-p13-grouping-dialog .group-row .fd-popover-custom{display:block}.fdp-table-p13-grouping-dialog .group-row__checkbox,.fdp-table-p13-grouping-dialog .group-row__actions,.fdp-table-p13-grouping-dialog .group-row__select{margin-right:1rem}.fdp-table-p13-grouping-dialog .group-row__select{flex:1 1 0}\n"], dependencies: [{ kind: "component", type: DialogComponent, selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: DialogHeaderComponent, selector: "fd-dialog-header" }, { kind: "directive", type: TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: BarLeftDirective, selector: "[fd-bar-left]" }, { kind: "directive", type: BarElementDirective, selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "component", type: TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "directive", type: BarRightDirective, selector: "[fd-bar-right]" }, { kind: "component", type: ResetButtonComponent, selector: "fdp-table-reset-button" }, { kind: "component", type: DialogBodyComponent, selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: SelectComponent, selector: "fd-select", inputs: ["extendedBodyTemplate", "scrollStrategy", "textOverflow", "controlId", "state", "mobile", "stateMessage", "disabled", "required", "readonly", "placeholder", "value", "maxHeight", "glyph", "glyphFont", "closeOnOutsideClick", "fillControlMode", "controlTemplate", "appendTo", "unselectMissingOption", "typeaheadDebounceInterval", "ariaLabelledBy", "ariaLabel", "mobileConfig", "inline", "selectControlClass", "selectDropdownButtonClass", "advancedStateMessage", "tabOutStrategy", "compareWith"], outputs: ["isOpenChange", "valueChange"] }, { kind: "component", type: OptionComponent, selector: "[fd-option], fd-option", inputs: ["id", "value", "disabled"], outputs: ["selectionChange"] }, { kind: "component", type: CheckboxComponent, selector: "fd-checkbox", inputs: ["wrapLabel", "valignLabel", "ariaLabel", "role", "value", "ariaLabelledBy", "ariaDescribedBy", "title", "inputId", "state", "name", "label", "disabled", "readonly", "tristate", "tristateSelectable", "labelClass", "required", "displayOnly", "values", "standalone"], outputs: ["focusChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: ButtonComponent, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "component", type: DialogFooterComponent, selector: "fd-dialog-footer" }, { kind: "component", type: ButtonBarComponent, selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13GroupingDialogComponent, decorators: [{
            type: Component,
            args: [{ encapsulation: ViewEncapsulation.None, providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13GroupingDialogComponent }], changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        TemplateDirective,
                        BarLeftDirective,
                        BarElementDirective,
                        TitleComponent,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        ScrollbarDirective,
                        DialogBodyComponent,
                        SelectComponent,
                        OptionComponent,
                        CheckboxComponent,
                        FormsModule,
                        ButtonComponent,
                        DialogFooterComponent,
                        ButtonBarComponent,
                        FdTranslatePipe
                    ], template: "<fd-dialog class=\"fdp-table-p13-grouping-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.P13GroupDialogHeader' | fdTranslate }}</h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n\n    <fd-dialog-body>\n        @for (rule of rules; track rule; let i = $index) {\n            <div class=\"group-row\">\n                <fd-select\n                    class=\"group-row__select\"\n                    [value]=\"rule.columnKey\"\n                    (valueChange)=\"_onRuleColumnKeyChange(rule, $event)\"\n                    [placeholder]=\"'platformTable.P13GroupDialogNoneSelectedColumnSelectPlaceholder' | fdTranslate\"\n                >\n                    @for (column of getAvailableColumns(rule); track column) {\n                        <li fd-option [value]=\"column.key\">\n                            {{ column.label }}\n                        </li>\n                    }\n                </fd-select>\n\n                <fd-checkbox\n                    class=\"group-row__checkbox\"\n                    [ngModel]=\"rule.showAsColumn\"\n                    (ngModelChange)=\"_onRuleShowAsColumnChange(rule, $event)\"\n                    [label]=\"'platformTable.P13GroupDialogShowFieldAsColumnCheckboxLabel' | fdTranslate\"\n                ></fd-checkbox>\n\n                <div class=\"group-row__actions\">\n                    <button\n                        fd-button\n                        fdType=\"transparent\"\n                        glyph=\"sys-cancel\"\n                        [attr.aria-label]=\"'platformTable.P13GroupDialogRemoveGroupBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13GroupDialogRemoveGroupBtnTitle' | fdTranslate\"\n                        (click)=\"_removeRule(rule)\"\n                        [disabled]=\"!rule.columnKey\"\n                    ></button>\n\n                    <button\n                        fd-button\n                        fdType=\"transparent\"\n                        glyph=\"add\"\n                        [attr.aria-label]=\"'platformTable.P13GroupDialogAddNewGroupBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13GroupDialogAddNewGroupBtnTitle' | fdTranslate\"\n                        (click)=\"_addNew(i)\"\n                        [disabled]=\"rules.length >= columns.length || !rule.columnKey\"\n                    ></button>\n                </div>\n            </div>\n        }\n    </fd-dialog-body>\n\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13GroupDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13GroupDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-grouping-dialog .group-row{display:flex;align-items:center;margin-bottom:.5rem}.fdp-table-p13-grouping-dialog .group-row .fd-popover-custom{display:block}.fdp-table-p13-grouping-dialog .group-row__checkbox,.fdp-table-p13-grouping-dialog .group-row__actions,.fdp-table-p13-grouping-dialog .group-row__select{margin-right:1rem}.fdp-table-p13-grouping-dialog .group-row__select{flex:1 1 0}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.DialogRef }] });

/**
 * Personalization Dialog Columns Settings.
 *
 */
class TableP13ColumnsComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13ColumnsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableP13ColumnsComponent, isStandalone: true, selector: "fdp-table-p13-columns", ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13ColumnsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-p13-columns',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }] });

/**
 * Personalization Dialog Filter Settings.
 */
class TableP13FilterComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13FilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableP13FilterComponent, isStandalone: true, selector: "fdp-table-p13-filter", inputs: { validator: "validator" }, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13FilterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-p13-filter',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }], propDecorators: { validator: [{
                type: Input
            }] } });

/**
 * Personalization Dialog Group Settings.
 *
 */
class TableP13GroupComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13GroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableP13GroupComponent, isStandalone: true, selector: "fdp-table-p13-group", ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13GroupComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-p13-group',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }] });

/**
 * Personalization Dialog Sort Settings.
 *
 */
class TableP13SortComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13SortComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableP13SortComponent, isStandalone: true, selector: "fdp-table-p13-sort", ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13SortComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-p13-sort',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }] });

const NOT_SELECTED_OPTION_VALUE = null;
class ValidatedSortRule {
    get isValid() {
        return this.columnKey !== NOT_SELECTED_OPTION_VALUE && this.direction !== NOT_SELECTED_OPTION_VALUE;
    }
    constructor(
    /** Column key the rule belongs to */
    columnKey = NOT_SELECTED_OPTION_VALUE, 
    /** Sort direction */
    direction = SortDirection.ASC) {
        this.columnKey = columnKey;
        this.direction = direction;
    }
}
class P13SortingDialogComponent {
    /** @hidden */
    constructor(dialogRef, cdr) {
        this.dialogRef = dialogRef;
        this.cdr = cdr;
        /** Table columns available for sorting */
        this.columns = [];
        /** Indicates when reset command is available */
        this.isResetAvailable$ = signal(false);
        /** @hidden */
        this.SORT_DIRECTION = SortDirection;
        /** Sort rules to render */
        this.rules = [];
        /** @hidden */
        this._isRuleValid = (rule) => rule?.isValid;
        const { columns, collectionSort } = this.dialogRef.data;
        this.columns = columns || [];
        this._initiateRules(collectionSort);
    }
    /** Reset changes to the initial state */
    reset() {
        this._initiateRules();
        this.isResetAvailable$.set(false);
    }
    /** Close dialog */
    cancel() {
        this.dialogRef.close(null);
    }
    /** Confirm changes and close dialog */
    confirm() {
        const collectionSort = this._getCollectionSortFromSortRules(this._getUniqueRules(this.rules));
        const result = { collectionSort };
        this.dialogRef.close(result);
    }
    /** @hidden */
    _removeRule(rule) {
        this.rules = this.rules.filter((_rule) => _rule !== rule);
        // Keep at least one item in the list
        if (this.rules.length === 0) {
            this.rules.push(new ValidatedSortRule());
        }
        this._recalculateResetAvailability();
    }
    /** @hidden */
    _addNew(index) {
        this.rules.splice(index + 1, 0, new ValidatedSortRule());
    }
    /** @hidden */
    _onRuleColumnKeyChange(rule, columnKey) {
        rule.columnKey = columnKey;
        this._recalculateResetAvailability();
        this.cdr.detectChanges();
    }
    /** @hidden */
    _onRuleDirectionChange(rule, direction) {
        rule.direction = direction;
        this._recalculateResetAvailability();
    }
    /** @hidden */
    _recalculateResetAvailability() {
        const hasOnlyOneEmptyRule = this.rules.length === 1 && !this.rules[0].isValid;
        this.isResetAvailable$.set(!hasOnlyOneEmptyRule);
    }
    /** @hidden */
    _trackByColumnKey(index, rule) {
        return rule.columnKey;
    }
    /** @hidden */
    _initiateRules(collectionSort) {
        this.rules = this._createRules(collectionSort);
        // Keep at least one item in the list
        if (this.rules.length === 0) {
            this.rules.push(new ValidatedSortRule());
        }
        this._recalculateResetAvailability();
    }
    /** @hidden */
    _createRules(collectionSort = []) {
        return collectionSort.map(({ field, direction }) => new ValidatedSortRule(field, direction));
    }
    /** @hidden */
    _getCollectionSortFromSortRules(rules = this.rules) {
        return rules.filter(this._isRuleValid).map(({ columnKey, direction }) => ({
            field: columnKey,
            direction
        }));
    }
    /** @hidden */
    _getUniqueRules(rules) {
        return getUniqueListValuesByKey(rules, 'columnKey');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13SortingDialogComponent, deps: [{ token: i1$1.DialogRef }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: P13SortingDialogComponent, isStandalone: true, selector: "ng-component", providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13SortingDialogComponent }], ngImport: i0, template: "<fd-dialog class=\"fdp-table-p13-sorting-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">\n                        {{ 'platformTable.P13SortDialogHeader' | fdTranslate }}\n                    </h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n    <fd-dialog-body>\n        @for (rule of rules; track _trackByColumnKey(i, rule); let i = $index) {\n            <div class=\"sort-row\">\n                <fd-select\n                    class=\"sort-row__select\"\n                    [value]=\"rule.columnKey\"\n                    (valueChange)=\"_onRuleColumnKeyChange(rule, $event)\"\n                    [placeholder]=\"'platformTable.P13SortDialogNoneSelectedColumn' | fdTranslate\"\n                >\n                    @for (column of columns | getAvailableSortColumns: rules : rule.columnKey; track column) {\n                        <li fd-option [value]=\"column.key\">\n                            {{ column.label }}\n                        </li>\n                    }\n                </fd-select>\n                <fd-select\n                    class=\"sort-row__select\"\n                    [value]=\"rule.direction\"\n                    (valueChange)=\"_onRuleDirectionChange(rule, $event)\"\n                    [placeholder]=\"'platformTable.P13SortDialogNoneSelectedSorting' | fdTranslate\"\n                >\n                    <li fd-option [value]=\"SORT_DIRECTION.ASC\">\n                        {{ 'platformTable.P13SortDialogSortOrderSelectOptionAsc' | fdTranslate }}\n                    </li>\n                    <li fd-option [value]=\"SORT_DIRECTION.DESC\">\n                        {{ 'platformTable.P13SortDialogSortOrderSelectOptionDesc' | fdTranslate }}\n                    </li>\n                </fd-select>\n                <div class=\"sort-row__actions\">\n                    <button\n                        fd-button\n                        fdType=\"transparent\"\n                        glyph=\"sys-cancel\"\n                        [attr.aria-label]=\"'platformTable.P13SortDialogRemoveSortBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13SortDialogRemoveSortBtnTitle' | fdTranslate\"\n                        (click)=\"_removeRule(rule)\"\n                    ></button>\n                    <button\n                        fd-button\n                        [fdkDisabled]=\"rules.length === columns.length\"\n                        fdType=\"transparent\"\n                        glyph=\"add\"\n                        [attr.aria-label]=\"'platformTable.P13SortDialogAddNewSortBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13SortDialogAddNewSortBtnTitle' | fdTranslate\"\n                        (click)=\"_addNew(i)\"\n                    ></button>\n                </div>\n            </div>\n        }\n    </fd-dialog-body>\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13SortDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13SortDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-sorting-dialog .sort-row{display:flex;margin-bottom:.5rem}.fdp-table-p13-sorting-dialog .sort-row .fd-popover-custom{display:block}.fdp-table-p13-sorting-dialog .sort-row__select{flex:1 1 0;margin-right:1rem}.fdp-table-p13-sorting-dialog .sort-row__actions{margin-left:1rem}\n"], dependencies: [{ kind: "component", type: i0.forwardRef(() => DialogComponent), selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: i0.forwardRef(() => DialogHeaderComponent), selector: "fd-dialog-header" }, { kind: "directive", type: i0.forwardRef(() => TemplateDirective), selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "directive", type: i0.forwardRef(() => BarLeftDirective), selector: "[fd-bar-left]" }, { kind: "directive", type: i0.forwardRef(() => BarElementDirective), selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "component", type: i0.forwardRef(() => TitleComponent), selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "directive", type: i0.forwardRef(() => BarRightDirective), selector: "[fd-bar-right]" }, { kind: "component", type: i0.forwardRef(() => ResetButtonComponent), selector: "fdp-table-reset-button" }, { kind: "component", type: i0.forwardRef(() => DialogBodyComponent), selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: i0.forwardRef(() => SelectComponent), selector: "fd-select", inputs: ["extendedBodyTemplate", "scrollStrategy", "textOverflow", "controlId", "state", "mobile", "stateMessage", "disabled", "required", "readonly", "placeholder", "value", "maxHeight", "glyph", "glyphFont", "closeOnOutsideClick", "fillControlMode", "controlTemplate", "appendTo", "unselectMissingOption", "typeaheadDebounceInterval", "ariaLabelledBy", "ariaLabel", "mobileConfig", "inline", "selectControlClass", "selectDropdownButtonClass", "advancedStateMessage", "tabOutStrategy", "compareWith"], outputs: ["isOpenChange", "valueChange"] }, { kind: "component", type: i0.forwardRef(() => OptionComponent), selector: "[fd-option], fd-option", inputs: ["id", "value", "disabled"], outputs: ["selectionChange"] }, { kind: "component", type: i0.forwardRef(() => ButtonComponent), selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "directive", type: i0.forwardRef(() => DisabledBehaviorDirective), selector: "[fdkDisabled]", inputs: ["fdkDisabled", "addDisabledClass", "disabledClass"] }, { kind: "component", type: i0.forwardRef(() => DialogFooterComponent), selector: "fd-dialog-footer" }, { kind: "component", type: i0.forwardRef(() => ButtonBarComponent), selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "pipe", type: i0.forwardRef(() => FdTranslatePipe), name: "fdTranslate" }, { kind: "pipe", type: i0.forwardRef(() => GetAvailableSortColumnsPipe), name: "getAvailableSortColumns" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: P13SortingDialogComponent, decorators: [{
            type: Component,
            args: [{ encapsulation: ViewEncapsulation.None, providers: [{ provide: RESETTABLE_TOKEN, useExisting: P13SortingDialogComponent }], changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        TemplateDirective,
                        BarLeftDirective,
                        BarElementDirective,
                        TitleComponent,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        ScrollbarDirective,
                        DialogBodyComponent,
                        SelectComponent,
                        OptionComponent,
                        ButtonComponent,
                        DisabledBehaviorDirective,
                        DialogFooterComponent,
                        ButtonBarComponent,
                        FdTranslatePipe,
                        forwardRef(() => GetAvailableSortColumnsPipe)
                    ], template: "<fd-dialog class=\"fdp-table-p13-sorting-dialog\">\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                <fd-bar-element>\n                    <h4 fd-title [headerSize]=\"4\">\n                        {{ 'platformTable.P13SortDialogHeader' | fdTranslate }}\n                    </h4>\n                </fd-bar-element>\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n    </fd-dialog-header>\n    <fd-dialog-body>\n        @for (rule of rules; track _trackByColumnKey(i, rule); let i = $index) {\n            <div class=\"sort-row\">\n                <fd-select\n                    class=\"sort-row__select\"\n                    [value]=\"rule.columnKey\"\n                    (valueChange)=\"_onRuleColumnKeyChange(rule, $event)\"\n                    [placeholder]=\"'platformTable.P13SortDialogNoneSelectedColumn' | fdTranslate\"\n                >\n                    @for (column of columns | getAvailableSortColumns: rules : rule.columnKey; track column) {\n                        <li fd-option [value]=\"column.key\">\n                            {{ column.label }}\n                        </li>\n                    }\n                </fd-select>\n                <fd-select\n                    class=\"sort-row__select\"\n                    [value]=\"rule.direction\"\n                    (valueChange)=\"_onRuleDirectionChange(rule, $event)\"\n                    [placeholder]=\"'platformTable.P13SortDialogNoneSelectedSorting' | fdTranslate\"\n                >\n                    <li fd-option [value]=\"SORT_DIRECTION.ASC\">\n                        {{ 'platformTable.P13SortDialogSortOrderSelectOptionAsc' | fdTranslate }}\n                    </li>\n                    <li fd-option [value]=\"SORT_DIRECTION.DESC\">\n                        {{ 'platformTable.P13SortDialogSortOrderSelectOptionDesc' | fdTranslate }}\n                    </li>\n                </fd-select>\n                <div class=\"sort-row__actions\">\n                    <button\n                        fd-button\n                        fdType=\"transparent\"\n                        glyph=\"sys-cancel\"\n                        [attr.aria-label]=\"'platformTable.P13SortDialogRemoveSortBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13SortDialogRemoveSortBtnTitle' | fdTranslate\"\n                        (click)=\"_removeRule(rule)\"\n                    ></button>\n                    <button\n                        fd-button\n                        [fdkDisabled]=\"rules.length === columns.length\"\n                        fdType=\"transparent\"\n                        glyph=\"add\"\n                        [attr.aria-label]=\"'platformTable.P13SortDialogAddNewSortBtnTitle' | fdTranslate\"\n                        [title]=\"'platformTable.P13SortDialogAddNewSortBtnTitle' | fdTranslate\"\n                        (click)=\"_addNew(i)\"\n                    ></button>\n                </div>\n            </div>\n        }\n    </fd-dialog-body>\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.P13SortDialogConfirmationBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            fdType=\"transparent\"\n            [label]=\"'platformTable.P13SortDialogCancelBtnLabel' | fdTranslate\"\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", styles: [".fdp-table-p13-sorting-dialog .sort-row{display:flex;margin-bottom:.5rem}.fdp-table-p13-sorting-dialog .sort-row .fd-popover-custom{display:block}.fdp-table-p13-sorting-dialog .sort-row__select{flex:1 1 0;margin-right:1rem}.fdp-table-p13-sorting-dialog .sort-row__actions{margin-left:1rem}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.DialogRef }, { type: i0.ChangeDetectorRef }] });
class GetAvailableSortColumnsPipe {
    /** @hidden */
    transform(columns, rules, currentKey) {
        const usedKeys = new Set(rules.map((r) => r.columnKey));
        return columns.filter((c) => !usedKeys.has(c.key) || currentKey === c.key);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GetAvailableSortColumnsPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: GetAvailableSortColumnsPipe, isStandalone: true, name: "getAvailableSortColumns", pure: false }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GetAvailableSortColumnsPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'getAvailableSortColumns',
                    pure: false,
                    standalone: true
                }]
        }] });

const dialogConfig$1 = {
    responsivePadding: true,
    verticalPadding: true,
    minWidth: '30rem',
    /** 88px it's the header + footer height */
    bodyMinHeight: 'calc(50vh - 88px)'
};
/**
 * View settings dialog component.
 *
 * Used to link view settings filters options to the grid table.
 *
 * ```html
 * <fdp-table #myTable></fdp-table>
 * ...
 * <fdp-table-p13-dialog [table]="myTable">
 *   <!-- Sort Panel -->
 *   <fdp-table-p13-sort></fdp-table-p13-sort>
 *
 *   <!-- Filter Panel -->
 *   <fdp-table-p13-filter></fdp-table-p13-filter>
 *
 *   <!-- Group Panel -->
 *   <fdp-table-p13-group></fdp-table-p13-group>
 *
 *   <!-- Columns Panel -->
 *   <fdp-table-p13-columns></fdp-table-p13-columns>
 * </fdp-table-p13-dialog>
 * ```
 * */
class TableP13DialogComponent {
    /** Reference to table component. */
    set table(table) {
        this._setTable(table);
    }
    get table() {
        return this._table;
    }
    /** @hidden */
    constructor(_dialogService) {
        this._dialogService = _dialogService;
        /** Event emitted when dialog is closed. */
        this.dialogClosed = new EventEmitter();
        /** @hidden */
        this._subscriptions = new Subscription();
        /** @hidden */
        this._tableSubscriptions = new Subscription();
    }
    /** @hidden */
    ngOnDestroy() {
        this._subscriptions.unsubscribe();
        this._unsubscribeFromTable();
    }
    /** Open Sort Settings Dialog */
    showSortingSettings() {
        const state = this._getTableState();
        const columns = this._getTableColumns().filter(({ sortable }) => sortable);
        const sortBy = state.sortBy;
        const dialogData = {
            columns: columns.map(({ label, key }) => ({ label, key })),
            collectionSort: sortBy
        };
        // dismiss any open dialog, before opening a new one
        if (this._dialogRef) {
            this._dialogRef.dismiss();
        }
        this._dialogRef = this._dialogService.open(P13SortingDialogComponent, {
            ...dialogConfig$1,
            data: dialogData
        }, this.table.injector);
        this._subscriptions.add(this._dialogRef.afterClosed
            .pipe(filter((result) => !!result))
            .subscribe(({ collectionSort }) => {
            this._applySorting(collectionSort);
        }));
    }
    /** Open Filtering Settings Dialog */
    showFilteringSettings() {
        const state = this._getTableState();
        const columns = this._getTableColumns();
        const filterBy = state?.filterBy;
        const dialogData = {
            // add filterSelectOptions to be sent with the data
            columns: columns.map(({ label, key, dataType, filterable, filterSelectOptions }) => ({
                label,
                key,
                dataType,
                filterable,
                filterSelectOptions
            })),
            collectionFilter: filterBy
        };
        if (this.filter && this.filter.validator) {
            dialogData.validator = this.filter.validator;
        }
        // dismiss any open dialog, before opening a new one
        if (this._dialogRef) {
            this._dialogRef.dismiss();
        }
        this._dialogRef = this._dialogService.open(P13FilteringDialogComponent, {
            ...dialogConfig$1,
            disablePaddings: true,
            width: '50rem',
            data: dialogData
        }, this.table.injector);
        this._subscriptions.add(this._dialogRef.afterClosed
            .pipe(filter((result) => !!result))
            .subscribe(({ collectionFilter }) => {
            this._applyFiltering(collectionFilter);
        }));
    }
    /** Open Grouping Settings Dialog */
    showGroupingSettings() {
        const state = this._getTableState();
        const columns = this._getTableColumns();
        const visibleColumns = state.columns;
        const groupBy = state.groupBy;
        const dialogData = {
            columns: columns
                // We can group by visible columns only
                .filter(({ name }) => visibleColumns.includes(name))
                .filter(({ groupable }) => groupable)
                .map(({ label, key }) => ({ label, key })),
            collectionGroup: groupBy
        };
        // dismiss any open dialog, before opening a new one
        if (this._dialogRef) {
            this._dialogRef.dismiss();
        }
        this._dialogRef = this._dialogService.open(P13GroupingDialogComponent, {
            ...dialogConfig$1,
            data: dialogData
        }, this.table.injector);
        this._subscriptions.add(this._dialogRef.afterClosed
            .pipe(filter((result) => !!result))
            .subscribe(({ collectionGroup }) => {
            this._applyGrouping(collectionGroup);
        }));
    }
    /** Open Columns Settings Dialog */
    showColumnsSettings() {
        const state = this._getTableState();
        const columns = this._getTableColumns();
        const visibleColumns = state.columns;
        const dialogData = {
            availableColumns: columns.map(({ label, name }) => ({ label, key: name })),
            visibleColumns
        };
        // dismiss any open dialog, before opening a new one
        if (this._dialogRef) {
            this._dialogRef.dismiss();
        }
        this._dialogRef = this._dialogService.open(P13ColumnsDialogComponent, {
            ...dialogConfig$1,
            disablePaddings: true,
            minWidth: '35rem',
            data: dialogData
        }, this.table.injector);
        this._subscriptions.add(this._dialogRef.afterClosed
            .pipe(filter((result) => !!result))
            .subscribe(({ visibleColumns: result }) => {
            this.dialogClosed.emit(result);
            this._applyColumns(result);
        }));
    }
    /** @hidden */
    _setTable(table) {
        this._table = table;
        this._unsubscribeFromTable();
        if (this._table) {
            this._subscribeToTable();
        }
    }
    /** @hidden */
    _subscribeToTable() {
        this._listenToTableTriggersToOpenDialogs();
        this._listenToTableColumns();
    }
    /** @hidden */
    _listenToTableTriggersToOpenDialogs() {
        this._tableSubscriptions.add(this._table.openTableSortSettings.subscribe(() => this.showSortingSettings()));
        this._tableSubscriptions.add(this._table.openTableFilterSettings.subscribe(() => this.showFilteringSettings()));
        this._tableSubscriptions.add(this._table.openTableGroupSettings.subscribe(() => this.showGroupingSettings()));
        this._tableSubscriptions.add(this._table.openTableColumnSettings.subscribe(() => this.showColumnsSettings()));
    }
    /** @hidden */
    _listenToTableColumns() {
        this._tableSubscriptions.add(this._table.tableColumnsStream.subscribe((columns) => {
            this._table?.showSortSettingsInToolbar(columns.some(({ sortable }) => sortable));
            this._table?.showGroupSettingsInToolbar(columns.some(({ groupable }) => groupable));
            this._table?.showColumnSettingsInToolbar(columns.length > 0);
            this._table?.showFilterSettingsInToolbar(columns.some(({ filterable }) => filterable));
            this._table?.setHeaderColumnFilteringDisabled(columns.some(({ filterable }) => filterable));
        }));
    }
    /** @hidden */
    _getTableState() {
        return this._table?.getTableState();
    }
    /** @hidden */
    _getTableColumns() {
        return this._table?.getTableColumns() || [];
    }
    /** @hidden */
    _applySorting(collectionSort) {
        this._table?.sort(collectionSort);
    }
    /** @hidden */
    _applyFiltering(filters) {
        this._table?.filter(filters);
    }
    /** @hidden */
    _applyGrouping(collectionGroup) {
        this._table?.group(collectionGroup);
    }
    /** @hidden */
    _applyColumns(columns) {
        this._table?.setColumns(columns);
    }
    /** @hidden */
    _unsubscribeFromTable() {
        this._tableSubscriptions.unsubscribe();
        this._tableSubscriptions = new Subscription();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13DialogComponent, deps: [{ token: i1$1.DialogService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableP13DialogComponent, isStandalone: true, selector: "fdp-table-p13-dialog", inputs: { table: "table" }, outputs: { dialogClosed: "dialogClosed" }, queries: [{ propertyName: "sort", first: true, predicate: TableP13SortComponent, descendants: true }, { propertyName: "filter", first: true, predicate: TableP13FilterComponent, descendants: true }, { propertyName: "group", first: true, predicate: TableP13GroupComponent, descendants: true }, { propertyName: "columns", first: true, predicate: TableP13ColumnsComponent, descendants: true }], ngImport: i0, template: '', isInline: true, styles: [":host{z-index:999}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableP13DialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-p13-dialog', template: '', changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, styles: [":host{z-index:999}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.DialogService }], propDecorators: { table: [{
                type: Input
            }], dialogClosed: [{
                type: Output
            }], sort: [{
                type: ContentChild,
                args: [TableP13SortComponent]
            }], filter: [{
                type: ContentChild,
                args: [TableP13FilterComponent]
            }], group: [{
                type: ContentChild,
                args: [TableP13GroupComponent]
            }], columns: [{
                type: ContentChild,
                args: [TableP13ColumnsComponent]
            }] } });

/**
 * Used to provide a table-toolbar to the table component without causing a circular dependency.
 */
const TABLE_TOOLBAR = new InjectionToken('PLATFORM_TABLE_TOOLBAR');

/**
 * The component that represents a table toolbar actions.
 * ```html
 * <fdp-table-toolbar-actions>
 *  <fdp-button label="Action One"></fdp-button>
 *  <fdp-button label="Action Two"></fdp-button>
 * </fdp-table-toolbar-actions>
 * ```
 * */
class TableToolbarActionsComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarActionsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableToolbarActionsComponent, isStandalone: true, selector: "fdp-table-toolbar-actions", viewQueries: [{ propertyName: "contentTemplateRef", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: `
        <ng-template>
            <ng-content></ng-content>
        </ng-template>
    `, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarActionsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-toolbar-actions',
                    template: `
        <ng-template>
            <ng-content></ng-content>
        </ng-template>
    `,
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }], propDecorators: { contentTemplateRef: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class TableToolbarLeftActionsComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarLeftActionsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableToolbarLeftActionsComponent, isStandalone: true, selector: "fdp-table-toolbar-left-actions", viewQueries: [{ propertyName: "_contentTemplateRef", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: `
        <ng-template>
            <ng-content></ng-content>
        </ng-template>
    `, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarLeftActionsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-toolbar-left-actions',
                    template: `
        <ng-template>
            <ng-content></ng-content>
        </ng-template>
    `,
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }], propDecorators: { _contentTemplateRef: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

let tableToolbarTitleUniqueId = 0;
class TableToolbarTemplateDirective {
    constructor() {
        /** @hidden */
        this.templateRef = inject(TemplateRef);
    }
    /** @hidden */
    static ngTemplateContextGuard(_directive, context) {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarTemplateDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.7", type: TableToolbarTemplateDirective, isStandalone: true, selector: "[fdpTableToolbarTemplate]", ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[fdpTableToolbarTemplate]',
                    standalone: true
                }]
        }] });
/**
 * The component that represents a table toolbar.
 *
 * ```html
 * <fdp-table-toolbar
 *   title="Order Line Items"
 *   [hideItemCount]="false">
 * </fdp-table-toolbar>
 * ```
 * */
class TableToolbarComponent {
    /** Search field input text. */
    set searchFieldInputText(text) {
        this._searchInputText = text;
        this.submitSearch({ text, category: null });
    }
    get searchFieldInputText() {
        return this._searchInputText;
    }
    /** @hidden */
    constructor(_tableService, _table) {
        this._tableService = _tableService;
        this._table = _table;
        /**
         * Whether the toolbar should hide elements in popover when they overflow.
         * */
        this.shouldOverflow = true;
        /** Toggle to show table item count. */
        this.hideItemCount = false;
        /** Toggle to show search input. */
        this.hideSearchInput = false;
        /** Toggle to expand and collapse all feature */
        this.showExpandCollapseButtons = false;
        /** Suggestions for search field. */
        this.searchSuggestions = [];
        /** Table rows edit/add mode. */
        this.editMode = 'none';
        /** Whether display Refresh button in the search field */
        this.disableRefresh = false;
        /** Whether display search button in the search field */
        this.disableSearch = false;
        /**
         * Heading level of the table toolbar title.
         */
        this.headingLevel = 2;
        /** Event emitted when the search field input is changed. */
        this.searchFieldInputChange = new EventEmitter();
        /** @hidden */
        this.tableToolbarTitleId = 'fd-table-toolbar-title-' + tableToolbarTitleUniqueId++;
        /** @hidden */
        this._showSaveButton = false;
        /** @hidden */
        this._searchInputText = '';
        /** @hidden */
        this.tableLoading$ = inject(TableService).tableLoading$;
        /** @hidden */
        this._destroyRef = inject(DestroyRef);
        this._listenToTableEvents();
    }
    /** @hidden */
    submitSearch(search) {
        this._table.search(search);
    }
    /** @hidden */
    searchInputChanged(event) {
        this.searchFieldInputChange.emit(event.text);
    }
    /** @hidden */
    openSorting() {
        this._table.openTableSortSettings.emit();
    }
    /** @hidden */
    openFiltering() {
        this._table.openTableFilterSettings.emit();
    }
    /** @hidden */
    openGrouping() {
        this._table.openTableGroupSettings.emit();
    }
    /** @hidden */
    openColumns() {
        this._table.openTableColumnSettings.emit();
    }
    /** @hidden */
    _addRow() {
        this._table.addRow();
    }
    /** @hidden */
    _saveRows() {
        this._table.saveRows();
    }
    /** @hidden */
    _cancelEditing() {
        this._table.cancelEditing();
    }
    /** @hidden */
    _expandAll() {
        this._table.expandAll();
    }
    /** @hidden */
    _formatAppliedFilters(appliedFilters) {
        return appliedFilters
            .map((filter, index) => {
            const separator = index < appliedFilters.length - 1 ? ', ' : '';
            return `${filter.columnName} (${filter.params})${separator}`;
        })
            .join('');
    }
    /** @hidden */
    _closeFilterToolbar() {
        this._tableService.resetFilters();
    }
    /** @hidden */
    _collapseAll() {
        this._table.collapseAll();
    }
    /** @hidden */
    _listenToTableEvents() {
        this._table.emptyRowAdded.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._showSaveButton = true;
        });
        this._table.save.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._showSaveButton = false;
        });
        this._table.cancel.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._showSaveButton = false;
        });
        this._table.presetChanged.pipe(takeUntilDestroyed(this._destroyRef)).subscribe((state) => {
            this._searchInputText = state.searchInput?.text ?? '';
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarComponent, deps: [{ token: i1.TableService }, { token: i1.Table }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableToolbarComponent, isStandalone: true, selector: "fdp-table-toolbar", inputs: { shouldOverflow: "shouldOverflow", title: "title", searchFieldAriaLabel: "searchFieldAriaLabel", hideItemCount: "hideItemCount", hideSearchInput: "hideSearchInput", showExpandCollapseButtons: "showExpandCollapseButtons", searchSuggestions: "searchSuggestions", editMode: "editMode", disableRefresh: "disableRefresh", disableSearch: "disableSearch", headingLevel: "headingLevel", searchFieldInputText: "searchFieldInputText" }, outputs: { searchFieldInputChange: "searchFieldInputChange" }, providers: [{ provide: TABLE_TOOLBAR, useExisting: TableToolbarComponent }], queries: [{ propertyName: "tableToolbarActionsComponent", first: true, predicate: TableToolbarActionsComponent, descendants: true }, { propertyName: "_tableToolbarLeftActionsComponent", first: true, predicate: TableToolbarLeftActionsComponent, descendants: true }], viewQueries: [{ propertyName: "contentTemplateRef", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template\n    fdpTableToolbarTemplate\n    let-counter=\"counter\"\n    let-sortable=\"sortable\"\n    let-filterable=\"filterable\"\n    let-groupable=\"groupable\"\n    let-columns=\"columns\"\n    let-settings=\"settings\"\n    let-hasAnyActions=\"hasAnyActions\"\n    let-appliedFilters=\"appliedFilters\"\n>\n    <fd-toolbar\n        fdType=\"transparent\"\n        [titleId]=\"tableToolbarTitleId\"\n        [title]=\"title && !hideItemCount ? title + ' (' + counter() + ')' : title\"\n        [shouldOverflow]=\"shouldOverflow\"\n        [headingLevel]=\"headingLevel\"\n    >\n        @if (_tableToolbarLeftActionsComponent) {\n            <span fd-toolbar-item>\n                @if (!!title || !hideItemCount) {\n                    <fd-toolbar-separator></fd-toolbar-separator>\n                }\n                <ng-template [ngTemplateOutlet]=\"_tableToolbarLeftActionsComponent._contentTemplateRef\"></ng-template>\n            </span>\n        }\n        <fd-toolbar-spacer></fd-toolbar-spacer>\n        @if (!hideSearchInput) {\n            <fdp-search-field\n                fd-toolbar-item\n                [style.min-width.rem]=\"15.5\"\n                [placeholder]=\"'platformTable.toolbarSearchPlaceholder' | fdTranslate\"\n                [inputText]=\"_searchInputText\"\n                [disabled]=\"!!(tableLoading$ | async)\"\n                [suggestions]=\"searchSuggestions\"\n                [disableRefresh]=\"disableRefresh\"\n                [disableSearch]=\"disableSearch\"\n                [ariaLabel]=\"searchFieldAriaLabel\"\n                [ariaLabelledBy]=\"searchFieldAriaLabel ? null : tableToolbarTitleId\"\n                (searchSubmit)=\"submitSearch($event)\"\n                (cancelSearch)=\"submitSearch($event)\"\n                [disableSuggestionsFoundAnnouncer]=\"true\"\n                (inputChange)=\"searchInputChanged($event)\"\n            ></fdp-search-field>\n        }\n        @if (editMode !== 'none') {\n            <button\n                fd-button\n                fd-toolbar-item\n                [label]=\"'platformTable.toolbarActionCreateButtonLabel' | fdTranslate\"\n                (click)=\"_addRow()\"\n            ></button>\n            @if (_showSaveButton) {\n                @if (_showSaveButton) {\n                    <button\n                        fd-button\n                        fd-toolbar-item\n                        [label]=\"'platformTable.toolbarActionSaveButtonLabel' | fdTranslate\"\n                        (click)=\"_saveRows()\"\n                    ></button>\n                }\n                <fd-toolbar-separator></fd-toolbar-separator>\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    [label]=\"'platformTable.toolbarActionCancelButtonLabel' | fdTranslate\"\n                    (click)=\"_cancelEditing()\"\n                    fdType=\"transparent\"\n                ></button>\n            }\n            @if (tableToolbarActionsComponent || hasAnyActions()) {\n                <fd-toolbar-separator fd-toolbar-item></fd-toolbar-separator>\n            }\n        }\n        @if (tableToolbarActionsComponent) {\n            <span fd-toolbar-item class=\"fdp-table-toolbar-actions\">\n                <ng-template [ngTemplateOutlet]=\"tableToolbarActionsComponent.contentTemplateRef\"></ng-template>\n            </span>\n        }\n        @if (showExpandCollapseButtons || hasAnyActions()) {\n            @if (tableToolbarActionsComponent) {\n                <fd-toolbar-separator fd-toolbar-item></fd-toolbar-separator>\n            }\n            @if (showExpandCollapseButtons) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"expand-all\"\n                    (click)=\"_expandAll()\"\n                    [title]=\"'platformTable.toolbarActionExpandAllButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionExpandAllButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                ></button>\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"collapse-all\"\n                    (click)=\"_collapseAll()\"\n                    [title]=\"'platformTable.toolbarActionCollapseAllButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionCollapseAllButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                ></button>\n            }\n            @if (settings()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    fdOverflowPriority=\"never\"\n                    glyph=\"action-settings\"\n                    [title]=\"'platformTable.toolbarActionButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openSorting()\"\n                ></button>\n            }\n            @if (sortable()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"sort\"\n                    [title]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openSorting()\"\n                ></button>\n            }\n            @if (filterable()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"filter\"\n                    [title]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openFiltering()\"\n                ></button>\n            }\n            @if (groupable()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"group-2\"\n                    [title]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openGrouping()\"\n                ></button>\n            }\n            @if (columns()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    fdOverflowPriority=\"never\"\n                    glyph=\"action-settings\"\n                    [title]=\"'platformTable.toolbarActionColumnsButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionColumnsButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openColumns()\"\n                ></button>\n            }\n        }\n    </fd-toolbar>\n    @if (appliedFilters().length) {\n        <fd-toolbar\n            fdType=\"info\"\n            class=\"fdp-table__applied-filters-toolbar\"\n            [active]=\"true\"\n            [titleId]=\"tableToolbarTitleId\"\n            [shouldOverflow]=\"shouldOverflow\"\n            [headingLevel]=\"headingLevel\"\n        >\n            <label fd-toolbar-label>\n                {{ 'platformTable.filteredBy' | fdTranslate }}:\n                {{ _formatAppliedFilters(appliedFilters()) }}\n            </label>\n            <fd-toolbar-spacer></fd-toolbar-spacer>\n            <button\n                fdCompact\n                (click)=\"_closeFilterToolbar()\"\n                fd-button\n                fdType=\"transparent\"\n                glyph=\"decline\"\n                ariaLabel=\"Close Toolbar Button\"\n                title=\"Close Toolbar Button\"\n            ></button>\n        </fd-toolbar>\n    }\n</ng-template>\n", dependencies: [{ kind: "component", type: ToolbarComponent, selector: "fd-toolbar", inputs: ["titleId", "class", "shouldOverflow", "fdType", "title", "active", "clearBorder", "forceOverflow", "tabindex", "headingLevel", "ariaLabel", "ariaLabelledBy"] }, { kind: "directive", type: ToolbarItemDirective, selector: "[fd-toolbar-item], [fdOverflowGroup], [fdOverflowPriority]", inputs: ["fdOverflowPriority", "fdOverflowGroup"] }, { kind: "component", type: ToolbarSeparatorComponent, selector: "fd-toolbar-separator" }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: ToolbarSpacerDirective, selector: "fd-toolbar-spacer", inputs: ["width", "class", "fixed"] }, { kind: "component", type: SearchFieldComponent, selector: "fdp-search-field", inputs: ["categoryMode", "appearance", "placeholder", "mobile", "mobileConfig", "disableRefresh", "disableSearch", "suggestions", "dataSource", "inputText", "categories", "currentCategory", "categoryLabel", "hideCategoryLabel", "isLoading", "forceSearchButton", "disableSuggestionsFoundAnnouncer"], outputs: ["inputChange", "searchSubmit", "cancelSearch", "isOpenChange"] }, { kind: "component", type: ButtonComponent, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "pipe", type: AsyncPipe, name: "async" }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "directive", type: TableToolbarTemplateDirective, selector: "[fdpTableToolbarTemplate]" }, { kind: "directive", type: ToolbarLabelDirective, selector: "[fd-toolbar-label]" }, { kind: "directive", type: ContentDensityDirective, selector: "[fdContentDensity]:not([fdCompact]):not([fdCondensed]):not([fdCozy]),                [fdCompact]:not([fdContentDensity]):not([fdCondensed]):not([fdCozy]),                [fdCondensed]:not([fdContentDensity]):not([fdCompact]):not([fdCozy]),                [fdCozy]:not([fdContentDensity]):not([fdCompact]):not([fdCondensed])", inputs: ["fdContentDensity", "fdCompact", "fdCondensed", "fdCozy"], exportAs: ["fdContentDensity"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableToolbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-toolbar', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [{ provide: TABLE_TOOLBAR, useExisting: TableToolbarComponent }], imports: [
                        ToolbarComponent,
                        ToolbarItemDirective,
                        ToolbarSeparatorComponent,
                        NgTemplateOutlet,
                        ToolbarSpacerDirective,
                        SearchFieldComponent,
                        ButtonComponent,
                        AsyncPipe,
                        FdTranslatePipe,
                        TableToolbarTemplateDirective,
                        ToolbarLabelDirective,
                        ContentDensityDirective
                    ], template: "<ng-template\n    fdpTableToolbarTemplate\n    let-counter=\"counter\"\n    let-sortable=\"sortable\"\n    let-filterable=\"filterable\"\n    let-groupable=\"groupable\"\n    let-columns=\"columns\"\n    let-settings=\"settings\"\n    let-hasAnyActions=\"hasAnyActions\"\n    let-appliedFilters=\"appliedFilters\"\n>\n    <fd-toolbar\n        fdType=\"transparent\"\n        [titleId]=\"tableToolbarTitleId\"\n        [title]=\"title && !hideItemCount ? title + ' (' + counter() + ')' : title\"\n        [shouldOverflow]=\"shouldOverflow\"\n        [headingLevel]=\"headingLevel\"\n    >\n        @if (_tableToolbarLeftActionsComponent) {\n            <span fd-toolbar-item>\n                @if (!!title || !hideItemCount) {\n                    <fd-toolbar-separator></fd-toolbar-separator>\n                }\n                <ng-template [ngTemplateOutlet]=\"_tableToolbarLeftActionsComponent._contentTemplateRef\"></ng-template>\n            </span>\n        }\n        <fd-toolbar-spacer></fd-toolbar-spacer>\n        @if (!hideSearchInput) {\n            <fdp-search-field\n                fd-toolbar-item\n                [style.min-width.rem]=\"15.5\"\n                [placeholder]=\"'platformTable.toolbarSearchPlaceholder' | fdTranslate\"\n                [inputText]=\"_searchInputText\"\n                [disabled]=\"!!(tableLoading$ | async)\"\n                [suggestions]=\"searchSuggestions\"\n                [disableRefresh]=\"disableRefresh\"\n                [disableSearch]=\"disableSearch\"\n                [ariaLabel]=\"searchFieldAriaLabel\"\n                [ariaLabelledBy]=\"searchFieldAriaLabel ? null : tableToolbarTitleId\"\n                (searchSubmit)=\"submitSearch($event)\"\n                (cancelSearch)=\"submitSearch($event)\"\n                [disableSuggestionsFoundAnnouncer]=\"true\"\n                (inputChange)=\"searchInputChanged($event)\"\n            ></fdp-search-field>\n        }\n        @if (editMode !== 'none') {\n            <button\n                fd-button\n                fd-toolbar-item\n                [label]=\"'platformTable.toolbarActionCreateButtonLabel' | fdTranslate\"\n                (click)=\"_addRow()\"\n            ></button>\n            @if (_showSaveButton) {\n                @if (_showSaveButton) {\n                    <button\n                        fd-button\n                        fd-toolbar-item\n                        [label]=\"'platformTable.toolbarActionSaveButtonLabel' | fdTranslate\"\n                        (click)=\"_saveRows()\"\n                    ></button>\n                }\n                <fd-toolbar-separator></fd-toolbar-separator>\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    [label]=\"'platformTable.toolbarActionCancelButtonLabel' | fdTranslate\"\n                    (click)=\"_cancelEditing()\"\n                    fdType=\"transparent\"\n                ></button>\n            }\n            @if (tableToolbarActionsComponent || hasAnyActions()) {\n                <fd-toolbar-separator fd-toolbar-item></fd-toolbar-separator>\n            }\n        }\n        @if (tableToolbarActionsComponent) {\n            <span fd-toolbar-item class=\"fdp-table-toolbar-actions\">\n                <ng-template [ngTemplateOutlet]=\"tableToolbarActionsComponent.contentTemplateRef\"></ng-template>\n            </span>\n        }\n        @if (showExpandCollapseButtons || hasAnyActions()) {\n            @if (tableToolbarActionsComponent) {\n                <fd-toolbar-separator fd-toolbar-item></fd-toolbar-separator>\n            }\n            @if (showExpandCollapseButtons) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"expand-all\"\n                    (click)=\"_expandAll()\"\n                    [title]=\"'platformTable.toolbarActionExpandAllButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionExpandAllButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                ></button>\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"collapse-all\"\n                    (click)=\"_collapseAll()\"\n                    [title]=\"'platformTable.toolbarActionCollapseAllButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionCollapseAllButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                ></button>\n            }\n            @if (settings()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    fdOverflowPriority=\"never\"\n                    glyph=\"action-settings\"\n                    [title]=\"'platformTable.toolbarActionButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openSorting()\"\n                ></button>\n            }\n            @if (sortable()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"sort\"\n                    [title]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openSorting()\"\n                ></button>\n            }\n            @if (filterable()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"filter\"\n                    [title]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openFiltering()\"\n                ></button>\n            }\n            @if (groupable()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    glyph=\"group-2\"\n                    [title]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openGrouping()\"\n                ></button>\n            }\n            @if (columns()) {\n                <button\n                    fd-button\n                    fd-toolbar-item\n                    fdOverflowPriority=\"never\"\n                    glyph=\"action-settings\"\n                    [title]=\"'platformTable.toolbarActionColumnsButtonTitle' | fdTranslate\"\n                    [ariaLabel]=\"'platformTable.toolbarActionColumnsButtonTitle' | fdTranslate\"\n                    fdType=\"transparent\"\n                    aria-haspopup=\"modal\"\n                    (click)=\"openColumns()\"\n                ></button>\n            }\n        }\n    </fd-toolbar>\n    @if (appliedFilters().length) {\n        <fd-toolbar\n            fdType=\"info\"\n            class=\"fdp-table__applied-filters-toolbar\"\n            [active]=\"true\"\n            [titleId]=\"tableToolbarTitleId\"\n            [shouldOverflow]=\"shouldOverflow\"\n            [headingLevel]=\"headingLevel\"\n        >\n            <label fd-toolbar-label>\n                {{ 'platformTable.filteredBy' | fdTranslate }}:\n                {{ _formatAppliedFilters(appliedFilters()) }}\n            </label>\n            <fd-toolbar-spacer></fd-toolbar-spacer>\n            <button\n                fdCompact\n                (click)=\"_closeFilterToolbar()\"\n                fd-button\n                fdType=\"transparent\"\n                glyph=\"decline\"\n                ariaLabel=\"Close Toolbar Button\"\n                title=\"Close Toolbar Button\"\n            ></button>\n        </fd-toolbar>\n    }\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.TableService }, { type: i1.Table }], propDecorators: { shouldOverflow: [{
                type: Input
            }], title: [{
                type: Input
            }], searchFieldAriaLabel: [{
                type: Input
            }], hideItemCount: [{
                type: Input
            }], hideSearchInput: [{
                type: Input
            }], showExpandCollapseButtons: [{
                type: Input
            }], searchSuggestions: [{
                type: Input
            }], editMode: [{
                type: Input
            }], disableRefresh: [{
                type: Input
            }], disableSearch: [{
                type: Input
            }], headingLevel: [{
                type: Input
            }], searchFieldInputText: [{
                type: Input
            }], searchFieldInputChange: [{
                type: Output
            }], tableToolbarActionsComponent: [{
                type: ContentChild,
                args: [TableToolbarActionsComponent]
            }], _tableToolbarLeftActionsComponent: [{
                type: ContentChild,
                args: [TableToolbarLeftActionsComponent]
            }], contentTemplateRef: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

const NOT_FILTERED_OPTION_VALUE = `table-filters-not-filtered-option-value-${Math.random()
    .toString()
    .slice(2, 5)}`;

/**
 * View settings dialog filter component.
 *
 * ```html
 * <!-- With custom form -->
 * <fdp-table-view-settings-filter
 *     column="name"
 *     label="Name"
 *     type="custom">
 *         <ng-container *fdpViewSettingsFilterCustomDef="let model">
 *             <label>Enter name:</label>
 *             <fdp-input type="text" name="name" [(ngModel)]="model.name"></fdp-input>
 *         </ng-container>
 * </fdp-table-view-settings-filter>
 *
 * <!-- Single select -->
 * <fdp-table-view-settings-filter
 *     column="status"
 *     label="Status"
 *     type="single-select"
 *     values="[{value: 'OUT_OF_STOCK', label: 'Out of stock'}, { value: 'AVAILABLE', label: 'Available'}]">
 * </fdp-table-view-settings-filter>
 * ```
 *
 * */
class TableViewSettingsFilterComponent {
    /** @hidden */
    set _filterCustomDef(filterCustomDef) {
        this.customFilterTemplate = filterCustomDef?.templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableViewSettingsFilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableViewSettingsFilterComponent, isStandalone: true, selector: "fdp-table-view-settings-filter", inputs: { column: "column", label: "label", type: "type", values: "values" }, queries: [{ propertyName: "_filterCustomDef", first: true, predicate: FdpViewSettingsFilterCustomDef, descendants: true }], ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableViewSettingsFilterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-view-settings-filter',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }], propDecorators: { column: [{
                type: Input
            }], label: [{
                type: Input
            }], type: [{
                type: Input
            }], values: [{
                type: Input
            }], _filterCustomDef: [{
                type: ContentChild,
                args: [FdpViewSettingsFilterCustomDef]
            }] } });

/**
 * Custom Select filter type.
 *
 * Used to render user's custom filter template
 *
 */
class FilterCustomComponent {
    /** The filter model */
    set filterBy(filterBy) {
        if (!filterBy?.value || Object.prototype.toString.call(filterBy?.value) !== '[object Object]') {
            // force value to be an object
            this._value = {};
        }
        else {
            this._value = { ...filterBy.value };
        }
        this._valueLastEmitted = { ...this._value };
    }
    /** Content Density, comes from table injector */
    get contentDensity() {
        return this.contentDensityObserver.value;
    }
    /** @hidden */
    constructor(contentDensityObserver) {
        this.contentDensityObserver = contentDensityObserver;
        /** Filter model change event */
        this.valueChange = new EventEmitter();
    }
    /** @hidden */
    ngDoCheck() {
        try {
            // Didn't find a better way to catch changes in the custom template
            if (JSON.stringify(this._value) === JSON.stringify(this._valueLastEmitted)) {
                return;
            }
            this._valueLastEmitted = { ...this._value };
            this.valueChange.emit(this._value);
        }
        catch { }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterCustomComponent, deps: [{ token: i1$3.ContentDensityObserver }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: FilterCustomComponent, isStandalone: true, selector: "fdp-filter-custom", inputs: { filter: "filter", filterBy: "filterBy" }, outputs: { valueChange: "valueChange" }, providers: [contentDensityObserverProviders()], ngImport: i0, template: "<ng-template\n    [ngTemplateOutlet]=\"filter.customFilterTemplate\"\n    [ngTemplateOutletContext]=\"{ $implicit: _value, valueChangeEmitter: valueChange, contentDensity: contentDensity }\"\n>\n</ng-template>\n", dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.Default }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterCustomComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-filter-custom', changeDetection: ChangeDetectionStrategy.Default, providers: [contentDensityObserverProviders()], imports: [NgTemplateOutlet], template: "<ng-template\n    [ngTemplateOutlet]=\"filter.customFilterTemplate\"\n    [ngTemplateOutletContext]=\"{ $implicit: _value, valueChangeEmitter: valueChange, contentDensity: contentDensity }\"\n>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1$3.ContentDensityObserver }], propDecorators: { filter: [{
                type: Input
            }], filterBy: [{
                type: Input
            }], valueChange: [{
                type: Output
            }] } });

class FilterMultiSelectComponent {
    constructor() {
        /** Selectable filter options */
        this.options = [];
        /** Filter model change event */
        this.valueChange = new EventEmitter();
    }
    /** The filter model */
    set filterBy(filterBy) {
        const filterByValue = filterBy?.value || [];
        this._selectableOptions = this.options.map((option) => ({
            ...option,
            selected: filterByValue.includes(option.value)
        }));
        this._updateValueBasedOnOptions();
    }
    /** @hidden */
    _onSelectChange(option, selected) {
        option.selected = selected;
        this._updateValueBasedOnOptions();
        this.valueChange.emit(this._value);
    }
    /** @hidden */
    _updateValueBasedOnOptions() {
        this._value = this._selectableOptions.filter(({ selected }) => selected).map(({ value }) => value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterMultiSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FilterMultiSelectComponent, isStandalone: true, selector: "fdp-filter-multi-select", inputs: { options: "options", filterBy: "filterBy" }, outputs: { valueChange: "valueChange" }, ngImport: i0, template: "<ul fd-list [selection]=\"true\">\n    @for (option of _selectableOptions; track option) {\n        <li fd-list-item [selected]=\"option.selected\">\n            <fd-checkbox [ngModel]=\"option.selected\" (ngModelChange)=\"_onSelectChange(option, $event)\"></fd-checkbox>\n            <span fd-list-title>{{ option.label }}</span>\n        </li>\n    }\n</ul>\n", dependencies: [{ kind: "component", type: ListComponent$1, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "component", type: ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "component", type: CheckboxComponent, selector: "fd-checkbox", inputs: ["wrapLabel", "valignLabel", "ariaLabel", "role", "value", "ariaLabelledBy", "ariaDescribedBy", "title", "inputId", "state", "name", "label", "disabled", "readonly", "tristate", "tristateSelectable", "labelClass", "required", "displayOnly", "values", "standalone"], outputs: ["focusChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterMultiSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-filter-multi-select', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [ListComponent$1, ListItemComponent, CheckboxComponent, FormsModule, ListTitleDirective], template: "<ul fd-list [selection]=\"true\">\n    @for (option of _selectableOptions; track option) {\n        <li fd-list-item [selected]=\"option.selected\">\n            <fd-checkbox [ngModel]=\"option.selected\" (ngModelChange)=\"_onSelectChange(option, $event)\"></fd-checkbox>\n            <span fd-list-title>{{ option.label }}</span>\n        </li>\n    }\n</ul>\n" }]
        }], propDecorators: { options: [{
                type: Input
            }], filterBy: [{
                type: Input
            }], valueChange: [{
                type: Output
            }] } });

/**
 * Single Select filter type.
 *
 */
class FilterSingleSelectComponent {
    constructor() {
        /** Selectable filter options */
        this.options = [];
        /** Filter model change event */
        this.valueChange = new EventEmitter();
        /** @hidden */
        this.NOT_FILTERED_OPTION_VALUE = NOT_FILTERED_OPTION_VALUE;
    }
    /** The filter model */
    set filterBy(filterBy) {
        const value = filterBy?.value?.[0];
        this._value = value === undefined ? NOT_FILTERED_OPTION_VALUE : value;
    }
    /** @hidden */
    _onValueChange(value) {
        if (value === this._value) {
            return;
        }
        this._value = value;
        if (value === NOT_FILTERED_OPTION_VALUE) {
            this.valueChange.emit([]);
        }
        else {
            this.valueChange.emit([value]);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterSingleSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FilterSingleSelectComponent, isStandalone: true, selector: "fdp-filter-single-select", inputs: { options: "options", filterBy: "filterBy" }, outputs: { valueChange: "valueChange" }, ngImport: i0, template: "<ul fd-list [selection]=\"true\">\n    <li fd-list-item [selected]=\"_value === NOT_FILTERED_OPTION_VALUE\">\n        <fd-radio-button\n            name=\"sort-by\"\n            [value]=\"NOT_FILTERED_OPTION_VALUE\"\n            state=\"default\"\n            [ngModel]=\"_value\"\n            (ngModelChange)=\"_onValueChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.filterDialogNotFilteredLabel' | fdTranslate }}</span>\n    </li>\n    @for (option of options; track option) {\n        <li fd-list-item [selected]=\"option.value === _value\">\n            <fd-radio-button\n                [ngModel]=\"_value\"\n                (ngModelChange)=\"_onValueChange($event)\"\n                [value]=\"option.value\"\n                name=\"filtering-settings-single-select\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ option.label }}</span>\n        </li>\n    }\n</ul>\n", dependencies: [{ kind: "component", type: ListComponent$1, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "component", type: ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "component", type: RadioButtonComponent, selector: "fd-radio-button", inputs: ["ariaLabel", "ariaLabelledBy", "ariaDescribedBy", "title", "tabIndex", "state", "disabled", "readOnly", "selectedValue", "name", "id", "value", "required", "standalone", "wrapLabel", "valignLabel"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterSingleSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-filter-single-select', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [ListComponent$1, ListItemComponent, RadioButtonComponent, FormsModule, ListTitleDirective, FdTranslatePipe], template: "<ul fd-list [selection]=\"true\">\n    <li fd-list-item [selected]=\"_value === NOT_FILTERED_OPTION_VALUE\">\n        <fd-radio-button\n            name=\"sort-by\"\n            [value]=\"NOT_FILTERED_OPTION_VALUE\"\n            state=\"default\"\n            [ngModel]=\"_value\"\n            (ngModelChange)=\"_onValueChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.filterDialogNotFilteredLabel' | fdTranslate }}</span>\n    </li>\n    @for (option of options; track option) {\n        <li fd-list-item [selected]=\"option.value === _value\">\n            <fd-radio-button\n                [ngModel]=\"_value\"\n                (ngModelChange)=\"_onValueChange($event)\"\n                [value]=\"option.value\"\n                name=\"filtering-settings-single-select\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ option.label }}</span>\n        </li>\n    }\n</ul>\n" }]
        }], propDecorators: { options: [{
                type: Input
            }], filterBy: [{
                type: Input
            }], valueChange: [{
                type: Output
            }] } });

const FILTERS_VIEW_STEP_TOKEN = new InjectionToken('FiltersViewStep');

/**
 * Filter dialog step.
 *
 * Used to render selected filter options.
 *
 */
class FilterStepComponent {
    constructor() {
        /** Go back event */
        this.back = new EventEmitter();
        /** Filter model change event */
        this.valueChange = new EventEmitter();
        /** @hidden */
        this.FILTER_TYPE = FilterType;
    }
    /** The current filter model */
    set filterBy(filterByList) {
        this._filterBy = filterByList.find(({ field }) => field === this.columnKey);
    }
    /** @hidden */
    _onFilterValueChange(filterValue) {
        const filterBy = this._filterBy || {
            field: this.columnKey,
            value: null,
            fieldName: this.columnName,
            strategy: FILTER_STRATEGY.EQ,
            exclude: false
        };
        const newFilterBy = { ...filterBy, value: filterValue };
        this.valueChange.emit(newFilterBy);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterStepComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FilterStepComponent, isStandalone: true, selector: "fdp-filter-step", inputs: { filter: "filter", columnKey: "columnKey", contentDensity: "contentDensity", filterBy: "filterBy", columnName: "columnName" }, outputs: { back: "back", valueChange: "valueChange" }, providers: [{ provide: FILTERS_VIEW_STEP_TOKEN, useExisting: forwardRef(() => FilterStepComponent) }], viewQueries: [{ propertyName: "titleTemplateRef", first: true, predicate: ["titleTemplate"], descendants: true }, { propertyName: "bodyTemplateRef", first: true, predicate: ["bodyTemplate"], descendants: true }], ngImport: i0, template: "<ng-template #titleTemplate>\n    <button\n        fd-button\n        fdType=\"transparent\"\n        glyph=\"navigation-left-arrow\"\n        [title]=\"'platformTable.filterDialogBackToColumns' | fdTranslate\"\n        [ariaLabel]=\"'platformTable.filterDialogBackToColumns' | fdTranslate\"\n        (click)=\"back.emit()\"\n    ></button>\n    <h4 fd-title [headerSize]=\"4\">\n        {{ 'platformTable.filterDialogFilterByLabel' | fdTranslate: { filterLabel: filter.label } }}\n    </h4>\n</ng-template>\n\n<ng-template #bodyTemplate>\n    @switch (filter.type) {\n        @case (FILTER_TYPE.SINGLE) {\n            <fdp-filter-single-select\n                [options]=\"filter.values\"\n                [filterBy]=\"_filterBy\"\n                (valueChange)=\"_onFilterValueChange($event)\"\n            ></fdp-filter-single-select>\n        }\n        @case (FILTER_TYPE.MULTI) {\n            <fdp-filter-multi-select\n                [options]=\"filter.values\"\n                [filterBy]=\"_filterBy\"\n                (valueChange)=\"_onFilterValueChange($event)\"\n            ></fdp-filter-multi-select>\n        }\n        @case (FILTER_TYPE.CUSTOM) {\n            <fdp-filter-custom\n                [filter]=\"filter\"\n                [filterBy]=\"_filterBy\"\n                (valueChange)=\"_onFilterValueChange($event)\"\n            ></fdp-filter-custom>\n        }\n        @case (FILTER_TYPE.CATEGORY) {\n            Categories list is not implemented\n        }\n    }\n</ng-template>\n", dependencies: [{ kind: "component", type: ButtonComponent, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "component", type: TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "component", type: FilterSingleSelectComponent, selector: "fdp-filter-single-select", inputs: ["options", "filterBy"], outputs: ["valueChange"] }, { kind: "component", type: FilterMultiSelectComponent, selector: "fdp-filter-multi-select", inputs: ["options", "filterBy"], outputs: ["valueChange"] }, { kind: "component", type: FilterCustomComponent, selector: "fdp-filter-custom", inputs: ["filter", "filterBy"], outputs: ["valueChange"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FilterStepComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-filter-step', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [{ provide: FILTERS_VIEW_STEP_TOKEN, useExisting: forwardRef(() => FilterStepComponent) }], imports: [
                        ButtonComponent,
                        TitleComponent,
                        FilterSingleSelectComponent,
                        FilterMultiSelectComponent,
                        FilterCustomComponent,
                        FdTranslatePipe
                    ], template: "<ng-template #titleTemplate>\n    <button\n        fd-button\n        fdType=\"transparent\"\n        glyph=\"navigation-left-arrow\"\n        [title]=\"'platformTable.filterDialogBackToColumns' | fdTranslate\"\n        [ariaLabel]=\"'platformTable.filterDialogBackToColumns' | fdTranslate\"\n        (click)=\"back.emit()\"\n    ></button>\n    <h4 fd-title [headerSize]=\"4\">\n        {{ 'platformTable.filterDialogFilterByLabel' | fdTranslate: { filterLabel: filter.label } }}\n    </h4>\n</ng-template>\n\n<ng-template #bodyTemplate>\n    @switch (filter.type) {\n        @case (FILTER_TYPE.SINGLE) {\n            <fdp-filter-single-select\n                [options]=\"filter.values\"\n                [filterBy]=\"_filterBy\"\n                (valueChange)=\"_onFilterValueChange($event)\"\n            ></fdp-filter-single-select>\n        }\n        @case (FILTER_TYPE.MULTI) {\n            <fdp-filter-multi-select\n                [options]=\"filter.values\"\n                [filterBy]=\"_filterBy\"\n                (valueChange)=\"_onFilterValueChange($event)\"\n            ></fdp-filter-multi-select>\n        }\n        @case (FILTER_TYPE.CUSTOM) {\n            <fdp-filter-custom\n                [filter]=\"filter\"\n                [filterBy]=\"_filterBy\"\n                (valueChange)=\"_onFilterValueChange($event)\"\n            ></fdp-filter-custom>\n        }\n        @case (FILTER_TYPE.CATEGORY) {\n            Categories list is not implemented\n        }\n    }\n</ng-template>\n" }]
        }], propDecorators: { filter: [{
                type: Input
            }], columnKey: [{
                type: Input
            }], contentDensity: [{
                type: Input
            }], filterBy: [{
                type: Input
            }], columnName: [{
                type: Input
            }], back: [{
                type: Output
            }], valueChange: [{
                type: Output
            }], titleTemplateRef: [{
                type: ViewChild,
                args: ['titleTemplate']
            }], bodyTemplateRef: [{
                type: ViewChild,
                args: ['bodyTemplate']
            }] } });

class FiltersListStepComponent {
    constructor() {
        /** Selectable filters list */
        this.filters = [];
        /** Select event is fired once some filter is selected */
        this.selectFilter = new EventEmitter();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FiltersListStepComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FiltersListStepComponent, isStandalone: true, selector: "fdp-filters-list-step", inputs: { filters: "filters" }, outputs: { selectFilter: "selectFilter" }, providers: [{ provide: FILTERS_VIEW_STEP_TOKEN, useExisting: forwardRef(() => FiltersListStepComponent) }], viewQueries: [{ propertyName: "titleTemplateRef", first: true, predicate: ["titleTemplate"], descendants: true }, { propertyName: "bodyTemplateRef", first: true, predicate: ["bodyTemplate"], descendants: true }], ngImport: i0, template: "<ng-template #titleTemplate>\n    <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.filterDialogFilterTitle' | fdTranslate }}</h4>\n</ng-template>\n\n<ng-template #bodyTemplate>\n    <ul fd-list>\n        <li fd-list-group-header>{{ 'platformTable.filterDialogFilterBy' | fdTranslate }}</li>\n\n        @for (filter of filters; track filter) {\n            <li fd-list-item [interactive]=\"true\" (click)=\"selectFilter.emit(filter)\">\n                <span fd-list-title>{{ filter.label }}</span>\n            </li>\n        }\n    </ul>\n</ng-template>\n", dependencies: [{ kind: "component", type: TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "component", type: ListComponent$1, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "directive", type: ListGroupHeaderDirective, selector: "[fdListGroupHeader], [fd-list-group-header]", inputs: ["nativeElementId"], outputs: ["keyDown"] }, { kind: "component", type: ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FiltersListStepComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-filters-list-step', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [{ provide: FILTERS_VIEW_STEP_TOKEN, useExisting: forwardRef(() => FiltersListStepComponent) }], imports: [
                        TitleComponent,
                        ListComponent$1,
                        ListGroupHeaderDirective,
                        ListItemComponent,
                        ListLinkDirective,
                        ListTitleDirective,
                        FdTranslatePipe
                    ], template: "<ng-template #titleTemplate>\n    <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.filterDialogFilterTitle' | fdTranslate }}</h4>\n</ng-template>\n\n<ng-template #bodyTemplate>\n    <ul fd-list>\n        <li fd-list-group-header>{{ 'platformTable.filterDialogFilterBy' | fdTranslate }}</li>\n\n        @for (filter of filters; track filter) {\n            <li fd-list-item [interactive]=\"true\" (click)=\"selectFilter.emit(filter)\">\n                <span fd-list-title>{{ filter.label }}</span>\n            </li>\n        }\n    </ul>\n</ng-template>\n" }]
        }], propDecorators: { filters: [{
                type: Input
            }], selectFilter: [{
                type: Output
            }], titleTemplateRef: [{
                type: ViewChild,
                args: ['titleTemplate']
            }], bodyTemplateRef: [{
                type: ViewChild,
                args: ['bodyTemplate']
            }] } });

const NOT_SORTED_OPTION_VALUE = null;
const INITIAL_DIRECTION = SortDirection.ASC;
const NOT_GROUPED_OPTION_VALUE = null;
var ACTIVE_STEP;
(function (ACTIVE_STEP) {
    ACTIVE_STEP["SELECT_FILTER"] = "SELECT_FILTER";
    ACTIVE_STEP["FILTER"] = "FILTER";
})(ACTIVE_STEP || (ACTIVE_STEP = {}));
var ActiveTab;
(function (ActiveTab) {
    ActiveTab["SORT"] = "sort";
    ActiveTab["FILTER"] = "filter";
    ActiveTab["GROUP"] = "group";
})(ActiveTab || (ActiveTab = {}));

class FiltersComponent {
    /** Data for the filtering dialog */
    set filteringData(value) {
        this._initializeFilterData(value);
    }
    /** hidden */
    constructor(_cd) {
        this._cd = _cd;
        /** Initial set of filters applied */
        this.initialFilters = input([]);
        /** Emits when the active filter step view changes */
        this.activeFilterStepViewChange = output();
        /** Emits the final result of filter changes */
        this.filterChange = output();
        /** Emits whether the reset button should be enabled */
        this.resetAvailabilityChange = output();
        /** Signal to hold currently applied filter rules */
        this.filterBy = signal([]);
        /** Signal for table columns, used to retrieve the column key */
        this.columns = signal([]);
        /** Signal for declared filter options */
        this.viewSettingsFilters = signal([]);
        /** Signal to track the currently selected filter step */
        this.activeStep = signal(ACTIVE_STEP.SELECT_FILTER);
        /** Signal to track the currently selected filter */
        this.activeFilter = signal(null);
        /** Signal to track the column key associated with the active filter */
        this.activeFilterColumnKey = signal(null);
        /** Signal for the currently active filter step view */
        this.activeFilterStepView = signal(null);
        /** Reference to the available steps */
        this.ACTIVE_STEP = ACTIVE_STEP;
    }
    /** hidden */
    ngOnInit() {
        this._compareSelectedFilters();
    }
    /** hidden */
    ngAfterViewInit() {
        this._cd.detectChanges();
    }
    /** Setter for the active filter step view to trigger updates */
    set setActiveFilterStepView(view) {
        this.activeFilterStepView.set(view);
        this.activeFilterStepViewChange.emit(view);
        this._cd.detectChanges();
    }
    /**
     * Select a filter to drill down and update the active filter step.
     * @param filter The filter to be selected and applied.
     */
    selectFilter(filter) {
        this.activeStep.set(ACTIVE_STEP.FILTER);
        const selectedFilter = filter;
        this.activeFilter.set(selectedFilter);
        const columnKey = this.columns().find(({ name }) => name === selectedFilter.column)?.key || null;
        this.activeFilterColumnKey.set(columnKey);
        this._cd.detectChanges();
    }
    /** Navigate back to the top-level filters list */
    goToFilters() {
        this.activeStep.set(ACTIVE_STEP.SELECT_FILTER);
        this.activeFilter.set(null);
    }
    /**
     * Apply changes to the selected filter and emit the filter change event.
     * @param filter The filter to apply
     * @param filterComponent The component for the filter (provides type info)
     */
    applyFilter(filter, filterComponent) {
        if (!filter) {
            return;
        }
        // Update the filter by removing the previous filter for the field
        this.filterBy.set(this.filterBy().filter(({ field }) => field !== filter.field));
        if (!filterComponent) {
            return;
        }
        const filterIsNotEmpty = filterComponent.type === FilterType.CUSTOM ||
            (filterComponent.type === FilterType.MULTI && filter.value?.length) ||
            (filterComponent.type === FilterType.SINGLE && filter.value?.length);
        // Add the new filter if it has a value
        if (filterIsNotEmpty) {
            this.filterBy.set([...this.filterBy(), filter]);
        }
        this._compareSelectedFilters();
        this.filterChange.emit({ filterBy: this.filterBy() });
        this._cd.detectChanges();
    }
    /**
     * Private method to initialize filter data on component initialization.
     * Extracts the initial filter values and table column data.
     */
    _initializeFilterData(filteringData) {
        if (filteringData) {
            this.filterBy.set([...filteringData.filterBy]);
            this.viewSettingsFilters.set(filteringData.viewSettingsFilters);
            this.columns.set(filteringData.columns);
        }
    }
    /**
     * Private method to compare the current selected filters against the initial state.
     * Enables or disables the reset button based on filter state comparison.
     */
    _compareSelectedFilters() {
        if (!equal(this.initialFilters(), this.filterBy())) {
            this.resetAvailabilityChange.emit(true);
        }
        else {
            this.resetAvailabilityChange.emit(false);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FiltersComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: FiltersComponent, isStandalone: true, selector: "fdp-filters", inputs: { filteringData: { classPropertyName: "filteringData", publicName: "filteringData", isSignal: false, isRequired: false, transformFunction: null }, initialFilters: { classPropertyName: "initialFilters", publicName: "initialFilters", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { activeFilterStepViewChange: "activeFilterStepViewChange", filterChange: "filterChange", resetAvailabilityChange: "resetAvailabilityChange" }, viewQueries: [{ propertyName: "setActiveFilterStepView", first: true, predicate: FILTERS_VIEW_STEP_TOKEN, descendants: true }], ngImport: i0, template: "@if (activeFilterStepView()?.bodyTemplateRef) {\n    <ng-container [ngTemplateOutlet]=\"activeFilterStepView()?.bodyTemplateRef ?? null\"></ng-container>\n}\n<!-- Keep active step component  -->\n@if (activeStep() === ACTIVE_STEP.SELECT_FILTER) {\n    <fdp-filters-list-step\n        [filters]=\"viewSettingsFilters()\"\n        (selectFilter)=\"selectFilter($event)\"\n    ></fdp-filters-list-step>\n} @else if (activeStep() === ACTIVE_STEP.FILTER) {\n    <fdp-filter-step\n        [columnKey]=\"activeFilterColumnKey()!\"\n        [columnName]=\"activeFilter()!.label\"\n        [filter]=\"activeFilter()!\"\n        [filterBy]=\"filterBy()\"\n        (back)=\"goToFilters()\"\n        (valueChange)=\"applyFilter($event, activeFilter())\"\n    ></fdp-filter-step>\n}\n", dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: FiltersListStepComponent, selector: "fdp-filters-list-step", inputs: ["filters"], outputs: ["selectFilter"] }, { kind: "component", type: FilterStepComponent, selector: "fdp-filter-step", inputs: ["filter", "columnKey", "contentDensity", "filterBy", "columnName"], outputs: ["back", "valueChange"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: FiltersComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-filters', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        TemplateDirective,
                        BarLeftDirective,
                        BarElementDirective,
                        NgTemplateOutlet,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        ScrollbarDirective,
                        DialogBodyComponent,
                        DialogFooterComponent,
                        ButtonBarComponent,
                        FiltersListStepComponent,
                        FilterStepComponent,
                        FdTranslatePipe
                    ], template: "@if (activeFilterStepView()?.bodyTemplateRef) {\n    <ng-container [ngTemplateOutlet]=\"activeFilterStepView()?.bodyTemplateRef ?? null\"></ng-container>\n}\n<!-- Keep active step component  -->\n@if (activeStep() === ACTIVE_STEP.SELECT_FILTER) {\n    <fdp-filters-list-step\n        [filters]=\"viewSettingsFilters()\"\n        (selectFilter)=\"selectFilter($event)\"\n    ></fdp-filters-list-step>\n} @else if (activeStep() === ACTIVE_STEP.FILTER) {\n    <fdp-filter-step\n        [columnKey]=\"activeFilterColumnKey()!\"\n        [columnName]=\"activeFilter()!.label\"\n        [filter]=\"activeFilter()!\"\n        [filterBy]=\"filterBy()\"\n        (back)=\"goToFilters()\"\n        (valueChange)=\"applyFilter($event, activeFilter())\"\n    ></fdp-filter-step>\n}\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { filteringData: [{
                type: Input
            }], setActiveFilterStepView: [{
                type: ViewChild,
                args: [FILTERS_VIEW_STEP_TOKEN]
            }] } });

let groupOrderHeaderUniqueId = 0;
class GroupingComponent {
    constructor() {
        /** Input data for grouping */
        this.groupingData = input();
        /** @hidden Initial grouping settings */
        this.initialGrouping = input();
        /** Event emitter for group changes */
        this.groupChange = output();
        /** Event emitter for reset availability changes */
        this.resetAvailabilityChange = output();
        /** Current selected grouping direction */
        this.direction = signal(INITIAL_DIRECTION);
        /** Current selected grouping field */
        this.field = signal(NOT_GROUPED_OPTION_VALUE);
        /** Table columns available for grouping */
        this.columns = signal([]);
        /** @hidden */
        this.groupOrderHeaderId = `fdp-table-group-dialog-group-order-header-${groupOrderHeaderUniqueId++}`;
        /** Constants for grouping directions */
        this.SORT_DIRECTION = SortDirection;
        /** Constant for 'Not grouped' option */
        this.NOT_GROUPED_OPTION_VALUE = NOT_GROUPED_OPTION_VALUE;
    }
    /** hidden */
    ngOnInit() {
        const data = this.groupingData();
        if (data) {
            this._initGroupingData(data);
        }
        this._compareInitialGrouping();
    }
    /**
     * Handle changes to grouping direction.
     * @param direction New grouping direction.
     */
    _groupOrderChange(direction) {
        this.direction.set(direction);
        this._onModelChange();
    }
    /**
     * Handle changes to the grouping field.
     * @param field New grouping field.
     */
    _groupFieldChange(field) {
        this.field.set(field);
        this._onModelChange();
    }
    /**
     * Initialize grouping data and signals.
     * @param groupingData Input grouping data.
     * @hidden
     */
    _initGroupingData(groupingData) {
        this.columns.set(groupingData.columns || []);
        this.direction.set(groupingData.direction ?? INITIAL_DIRECTION);
        this.field.set(groupingData.field ?? NOT_GROUPED_OPTION_VALUE);
    }
    /**
     * Compare current grouping state with the initial state, emit events for group and reset availability changes.
     * @hidden
     */
    _onModelChange() {
        const initialGrouping = this.initialGrouping();
        if (!initialGrouping) {
            return;
        }
        const isInitialDiffers = this.direction() !== initialGrouping.direction || this.field() !== initialGrouping.field;
        const result = { field: this.field(), direction: this.direction() };
        this.groupChange.emit(result);
        this.resetAvailabilityChange.emit(isInitialDiffers);
    }
    /**
     * Compare the initial grouping state with the current state and emit reset availability change if needed.
     * @hidden
     */
    _compareInitialGrouping() {
        const appliedGrouping = {
            field: this.field(),
            direction: this.direction()
        };
        if (!equal(this.initialGrouping(), appliedGrouping)) {
            this.resetAvailabilityChange.emit(true);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GroupingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: GroupingComponent, isStandalone: true, selector: "fdp-grouping", inputs: { groupingData: { classPropertyName: "groupingData", publicName: "groupingData", isSignal: true, isRequired: false, transformFunction: null }, initialGrouping: { classPropertyName: "initialGrouping", publicName: "initialGrouping", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { groupChange: "groupChange", resetAvailabilityChange: "resetAvailabilityChange" }, ngImport: i0, template: "<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"groupOrderHeaderId\">\n            {{ 'platformTable.groupDialogGroupOrderHeader' | fdTranslate }}\n        </span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.ASC\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"asc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_groupOrderChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.groupDialogGroupOrderAsc' | fdTranslate }}</span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.DESC\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"desc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_groupOrderChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.groupDialogGroupOrderDesc' | fdTranslate }}</span>\n    </li>\n</ul>\n\n<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"groupOrderHeaderId\">\n            {{ 'platformTable.groupDialogGroupByHeader' | fdTranslate }}\n        </span>\n    </li>\n    <li fd-list-item [selected]=\"NOT_GROUPED_OPTION_VALUE === field()\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-by\"\n            [value]=\"NOT_GROUPED_OPTION_VALUE\"\n            state=\"default\"\n            [ngModel]=\"field()\"\n            (ngModelChange)=\"_groupFieldChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.groupDialogNotGroupedLabel' | fdTranslate }}</span>\n    </li>\n    @for (column of columns(); track column) {\n        <li fd-list-item [selected]=\"column.key === field()\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n            <fd-radio-button\n                name=\"sort-by\"\n                [value]=\"column.key\"\n                state=\"default\"\n                [ngModel]=\"field()\"\n                (ngModelChange)=\"_groupFieldChange($event)\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ column.label }}</span>\n        </li>\n    }\n</ul>\n", dependencies: [{ kind: "component", type: ListComponent$1, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "directive", type: ListGroupHeaderDirective, selector: "[fdListGroupHeader], [fd-list-group-header]", inputs: ["nativeElementId"], outputs: ["keyDown"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "component", type: ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "component", type: RadioButtonComponent, selector: "fd-radio-button", inputs: ["ariaLabel", "ariaLabelledBy", "ariaDescribedBy", "title", "tabIndex", "state", "disabled", "readOnly", "selectedValue", "name", "id", "value", "required", "standalone", "wrapLabel", "valignLabel"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: GroupingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-grouping', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        TemplateDirective,
                        BarLeftDirective,
                        BarElementDirective,
                        TitleComponent,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        ScrollbarDirective,
                        DialogBodyComponent,
                        ListComponent$1,
                        ListGroupHeaderDirective,
                        ListTitleDirective,
                        ListItemComponent,
                        RadioButtonComponent,
                        FormsModule,
                        DialogFooterComponent,
                        ButtonBarComponent,
                        FdTranslatePipe
                    ], template: "<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"groupOrderHeaderId\">\n            {{ 'platformTable.groupDialogGroupOrderHeader' | fdTranslate }}\n        </span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.ASC\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"asc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_groupOrderChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.groupDialogGroupOrderAsc' | fdTranslate }}</span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.DESC\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"desc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_groupOrderChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.groupDialogGroupOrderDesc' | fdTranslate }}</span>\n    </li>\n</ul>\n\n<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"groupOrderHeaderId\">\n            {{ 'platformTable.groupDialogGroupByHeader' | fdTranslate }}\n        </span>\n    </li>\n    <li fd-list-item [selected]=\"NOT_GROUPED_OPTION_VALUE === field()\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-by\"\n            [value]=\"NOT_GROUPED_OPTION_VALUE\"\n            state=\"default\"\n            [ngModel]=\"field()\"\n            (ngModelChange)=\"_groupFieldChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.groupDialogNotGroupedLabel' | fdTranslate }}</span>\n    </li>\n    @for (column of columns(); track column) {\n        <li fd-list-item [selected]=\"column.key === field()\" [attr.aria-describedby]=\"groupOrderHeaderId\">\n            <fd-radio-button\n                name=\"sort-by\"\n                [value]=\"column.key\"\n                state=\"default\"\n                [ngModel]=\"field()\"\n                (ngModelChange)=\"_groupFieldChange($event)\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ column.label }}</span>\n        </li>\n    }\n</ul>\n" }]
        }] });

let sortOrderHeaderUniqueId = 0;
let sortDialogSortByHeaderUniqueId = 0;
class SortingComponent {
    constructor() {
        /** Input data for sorting */
        this.sortingData = input();
        /** @hidden Initial sorting state */
        this.initialSorting = input();
        /** Event emitter for sort changes */
        this.sortChange = output();
        /** Event emitter for reset availability changes */
        this.resetAvailabilityChange = output();
        /** Current selected sorting direction */
        this.direction = signal(INITIAL_DIRECTION);
        /** Current selected sorting field */
        this.field = signal(NOT_SORTED_OPTION_VALUE);
        /** Whether disabling sorting is allowed */
        this.allowDisablingSorting = signal(false);
        /** Available table columns for sorting */
        this.columns = signal([]);
        /** @hidden */
        this.sortOrderHeaderId = `fdp-table-sort-order-header-${sortOrderHeaderUniqueId++}`;
        /** @hidden */
        this.sortDialogSortByHeaderId = `fdp-table-sort-dialog-sort-by-header-${sortDialogSortByHeaderUniqueId++}`;
        /** @hidden Constants for sort direction */
        this.SORT_DIRECTION = SortDirection;
        /** @hidden Constant for 'Not sorted' option value */
        this.NOT_SORTED_OPTION_VALUE = NOT_SORTED_OPTION_VALUE;
    }
    /** hidden */
    ngOnInit() {
        const sortingData = this.sortingData();
        if (sortingData) {
            this._initSortingData(sortingData);
        }
        this._compareInitialSorting();
    }
    /**
     * Handle sort direction changes.
     * @param direction New sorting direction.
     */
    _sortDirectionChange(direction) {
        this.direction.set(direction);
        this._onModelChange();
    }
    /**
     * Handle sort field changes.
     * @param field New sorting field.
     */
    _sortFieldChange(field) {
        this.field.set(field);
        this._onModelChange();
    }
    /**
     * Initialize sorting data and signals.
     * @param sortingData Input sorting data.
     * @hidden
     */
    _initSortingData(sortingData) {
        this.columns.set(sortingData.columns || []);
        this.direction.set(sortingData.direction ?? INITIAL_DIRECTION);
        this.field.set(sortingData.field ?? NOT_SORTED_OPTION_VALUE);
        this.allowDisablingSorting.set(sortingData.allowDisablingSorting);
    }
    /**
     * Emit changes to the model and compare with initial sorting.
     * @hidden
     */
    _onModelChange() {
        const initialSorting = this.initialSorting();
        if (!initialSorting) {
            return;
        }
        const isInitialDiffers = this.direction() !== initialSorting.direction || this.field() !== initialSorting.field;
        this.resetAvailabilityChange.emit(isInitialDiffers);
        this.sortChange.emit({ direction: this.direction(), field: this.field() });
    }
    /**
     * Compare the current sorting state with the initial state.
     * Emit reset availability if the sorting has changed.
     * @hidden
     */
    _compareInitialSorting() {
        const appliedSorting = {
            field: this.field(),
            direction: this.direction()
        };
        const isEqual = equal(this.initialSorting(), appliedSorting);
        if (!isEqual) {
            this.resetAvailabilityChange.emit(true);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SortingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: SortingComponent, isStandalone: true, selector: "fdp-sorting", inputs: { sortingData: { classPropertyName: "sortingData", publicName: "sortingData", isSignal: true, isRequired: false, transformFunction: null }, initialSorting: { classPropertyName: "initialSorting", publicName: "initialSorting", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { sortChange: "sortChange", resetAvailabilityChange: "resetAvailabilityChange" }, ngImport: i0, template: "<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"sortOrderHeaderId\">\n            {{ 'platformTable.sortDialogSortOrderHeader' | fdTranslate }}\n        </span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.ASC\" [attr.aria-describedby]=\"sortOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"asc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_sortDirectionChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.sortDialogSortOrderAsc' | fdTranslate }}</span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.DESC\" [attr.aria-describedby]=\"sortOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"desc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_sortDirectionChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.sortDialogSortOrderDesc' | fdTranslate }}</span>\n    </li>\n</ul>\n\n<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"sortDialogSortByHeaderId\">\n            {{ 'platformTable.sortDialogSortByHeader' | fdTranslate }}\n        </span>\n    </li>\n    @if (allowDisablingSorting()) {\n        <li\n            fd-list-item\n            [selected]=\"field() === NOT_SORTED_OPTION_VALUE\"\n            [attr.aria-describedby]=\"sortDialogSortByHeaderId\"\n        >\n            <fd-radio-button\n                name=\"sort-by\"\n                [value]=\"NOT_SORTED_OPTION_VALUE\"\n                state=\"default\"\n                [ngModel]=\"field()\"\n                (ngModelChange)=\"_sortFieldChange($event)\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ 'platformTable.sortDialogNotSortedLabel' | fdTranslate }}</span>\n        </li>\n    }\n    @for (column of columns(); track column) {\n        <li fd-list-item [selected]=\"column.key === field()\" [attr.aria-describedby]=\"sortDialogSortByHeaderId\">\n            <fd-radio-button\n                name=\"sort-by\"\n                [value]=\"column.key\"\n                state=\"default\"\n                [ngModel]=\"field()\"\n                (ngModelChange)=\"_sortFieldChange($event)\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ column.label }}</span>\n        </li>\n    }\n</ul>\n", dependencies: [{ kind: "component", type: ListComponent$1, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "directive", type: ListGroupHeaderDirective, selector: "[fdListGroupHeader], [fd-list-group-header]", inputs: ["nativeElementId"], outputs: ["keyDown"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "component", type: ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "component", type: RadioButtonComponent, selector: "fd-radio-button", inputs: ["ariaLabel", "ariaLabelledBy", "ariaDescribedBy", "title", "tabIndex", "state", "disabled", "readOnly", "selectedValue", "name", "id", "value", "required", "standalone", "wrapLabel", "valignLabel"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SortingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-sorting', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        TemplateDirective,
                        BarLeftDirective,
                        BarElementDirective,
                        TitleComponent,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        ScrollbarDirective,
                        DialogBodyComponent,
                        ListComponent$1,
                        ListGroupHeaderDirective,
                        ListTitleDirective,
                        ListItemComponent,
                        RadioButtonComponent,
                        FormsModule,
                        DialogFooterComponent,
                        ButtonBarComponent,
                        FdTranslatePipe
                    ], template: "<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"sortOrderHeaderId\">\n            {{ 'platformTable.sortDialogSortOrderHeader' | fdTranslate }}\n        </span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.ASC\" [attr.aria-describedby]=\"sortOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"asc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_sortDirectionChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.sortDialogSortOrderAsc' | fdTranslate }}</span>\n    </li>\n    <li fd-list-item [selected]=\"direction() === SORT_DIRECTION.DESC\" [attr.aria-describedby]=\"sortOrderHeaderId\">\n        <fd-radio-button\n            name=\"sort-order\"\n            value=\"desc\"\n            state=\"default\"\n            [ngModel]=\"direction()\"\n            (ngModelChange)=\"_sortDirectionChange($event)\"\n        ></fd-radio-button>\n        <span fd-list-title>{{ 'platformTable.sortDialogSortOrderDesc' | fdTranslate }}</span>\n    </li>\n</ul>\n\n<ul fd-list [selection]=\"true\">\n    <li fd-list-group-header>\n        <span fd-list-title [attr.id]=\"sortDialogSortByHeaderId\">\n            {{ 'platformTable.sortDialogSortByHeader' | fdTranslate }}\n        </span>\n    </li>\n    @if (allowDisablingSorting()) {\n        <li\n            fd-list-item\n            [selected]=\"field() === NOT_SORTED_OPTION_VALUE\"\n            [attr.aria-describedby]=\"sortDialogSortByHeaderId\"\n        >\n            <fd-radio-button\n                name=\"sort-by\"\n                [value]=\"NOT_SORTED_OPTION_VALUE\"\n                state=\"default\"\n                [ngModel]=\"field()\"\n                (ngModelChange)=\"_sortFieldChange($event)\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ 'platformTable.sortDialogNotSortedLabel' | fdTranslate }}</span>\n        </li>\n    }\n    @for (column of columns(); track column) {\n        <li fd-list-item [selected]=\"column.key === field()\" [attr.aria-describedby]=\"sortDialogSortByHeaderId\">\n            <fd-radio-button\n                name=\"sort-by\"\n                [value]=\"column.key\"\n                state=\"default\"\n                [ngModel]=\"field()\"\n                (ngModelChange)=\"_sortFieldChange($event)\"\n            ></fd-radio-button>\n            <span fd-list-title>{{ column.label }}</span>\n        </li>\n    }\n</ul>\n" }]
        }] });

class SettingsDialogComponent {
    /**
     * Constructor that initializes dialog data and sets initial values for sorting, filtering, and grouping.
     */
    constructor(dialogRef, _table) {
        this.dialogRef = dialogRef;
        this._table = _table;
        /** Data for sorting */
        this.sortingData = signal(null);
        /** Data for filtering */
        this.filteringData = signal(null);
        /** Data for grouping */
        this.groupingData = signal(null);
        /** The active tab to display ('sort', 'filter', or 'group') */
        this.activeTab = signal(null);
        /** Flag indicating whether the subheader should be shown */
        this.showSubheader = signal(false);
        /** Current step component to render for filtering */
        this.activeFilterStepView = signal(null);
        /** Signal to track reset availability */
        this.isResetAvailable$ = signal(false);
        /** @hidden Initial sorting configuration */
        this._initialSorting = signal(null);
        /** @hidden Initial filter configurations */
        this._initialFilters = signal([]);
        /** @hidden Initial grouping configurations */
        this._initialGrouping = signal(null);
        const data = this.dialogRef.data;
        this.sortingData.set(data.sortingData);
        this.filteringData.set(data.filteringData);
        this.groupingData.set(data.groupingData);
        this.activeTab.set(this._getInitialActiveTab());
        this._shouldRenderSubheader();
        this._setInitialSorting();
        this._setInitialFilters();
        this._setInitialGrouping();
    }
    /**
     * Confirm the dialog action and close the dialog, returning updated settings data.
     */
    confirm() {
        this.dialogRef.close({
            sortingData: this.sortingData(),
            filteringData: this.filteringData(),
            groupingData: this.groupingData()
        });
    }
    /**
     * Cancel the dialog and close it without saving any changes.
     */
    cancel() {
        this.dialogRef.close(null);
    }
    /**
     * Reset the settings based on the currently active tab (sort, filter, group).
     */
    reset() {
        if (this.activeTab() === ActiveTab.SORT && this.sortingData()) {
            this.sortingData.set({
                ...this.sortingData(),
                field: this._initialSorting().field,
                direction: this._initialSorting().direction
            });
        }
        if (this.activeTab() === ActiveTab.FILTER && this.filteringData()) {
            this.filteringData.set({
                ...this.filteringData(),
                filterBy: this._initialFilters()
            });
        }
        if (this.activeTab() === ActiveTab.GROUP && this.groupingData()) {
            this.groupingData.set({
                ...this.groupingData(),
                field: this._initialGrouping().field,
                direction: this._initialGrouping().direction
            });
        }
        this.isResetAvailable$.set(false);
    }
    /**
     * Handle sort change event and update sorting data.
     * @param event Updated sorting data.
     */
    onSortChange(event) {
        this.sortingData.set({
            ...this.sortingData(),
            field: event.field,
            direction: event.direction
        });
    }
    /**
     * Handle filter change event and update filtering data.
     * @param event Updated filtering data.
     */
    onFilterChange(event) {
        this.filteringData.set({
            ...this.filteringData(),
            filterBy: event.filterBy
        });
    }
    /**
     * Handle group change event and update grouping data.
     * @param event Updated grouping data.
     */
    onGroupChange(event) {
        this.groupingData.set({
            ...this.groupingData(),
            field: event.field,
            direction: event.direction
        });
    }
    /**
     * Update the active filter step view when a change occurs.
     * @param event The new active filter step view.
     */
    onActiveFilterStepViewChange(event) {
        this.activeFilterStepView.set(event);
    }
    /**
     * Handle changes to the reset availability.
     * @param event Boolean indicating if reset is available.
     */
    onResetAvailabilityChange(event) {
        this.isResetAvailable$.set(event);
    }
    /**
     * Determine the initial active tab based on available data.
     * @returns The name of the active tab to display.
     */
    _getInitialActiveTab() {
        if (this.sortingData()) {
            return ActiveTab.SORT;
        }
        else if (this.filteringData()) {
            return ActiveTab.FILTER;
        }
        else if (this.groupingData()) {
            return ActiveTab.GROUP;
        }
        return null;
    }
    /**
     * Determine if the subheader should be shown based on the availability of sorting, filtering, and grouping data.
     */
    _shouldRenderSubheader() {
        const validDataCount = [this.sortingData(), this.filteringData(), this.groupingData()].filter((data) => data !== null).length;
        this.showSubheader.set(validDataCount >= 2);
    }
    /**
     * Set initial sorting configuration from the table's state.
     */
    _setInitialSorting() {
        const initialSorting = (this._table.initialState?.initialSortBy || [])[0];
        this._initialSorting.set({
            field: initialSorting?.field ?? NOT_SORTED_OPTION_VALUE,
            direction: initialSorting?.direction ?? INITIAL_DIRECTION
        });
    }
    /**
     * Set initial filter configuration from the table's state.
     */
    _setInitialFilters() {
        this._initialFilters.set(this._table.initialState?.initialFilterBy ?? []);
    }
    /**
     * Set initial grouping configuration from the table's state.
     */
    _setInitialGrouping() {
        const initialGrouping = (this._table.initialState?.initialGroupBy || [])[0];
        this._initialGrouping.set({
            field: initialGrouping?.field ?? NOT_GROUPED_OPTION_VALUE,
            direction: initialGrouping?.direction ?? INITIAL_DIRECTION
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SettingsDialogComponent, deps: [{ token: i1$1.DialogRef }, { token: i1.Table }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: SettingsDialogComponent, isStandalone: true, selector: "fdp-settings-dialog-settings", providers: [{ provide: RESETTABLE_TOKEN, useExisting: forwardRef(() => SettingsDialogComponent) }], ngImport: i0, template: "<fd-dialog>\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                @if (activeTab() !== 'filter') {\n                    <fd-bar-element>\n                        <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.settingsDialogHeader' | fdTranslate }}</h4>\n                    </fd-bar-element>\n                } @else {\n                    <fd-bar-element>\n                        @if (activeFilterStepView()?.titleTemplateRef) {\n                            <ng-container\n                                [ngTemplateOutlet]=\"activeFilterStepView()?.titleTemplateRef ?? null\"\n                            ></ng-container>\n                        }\n                    </fd-bar-element>\n                }\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n\n        @if (showSubheader()) {\n            <ng-template fdkTemplate=\"subheader\">\n                <fd-segmented-button [(ngModel)]=\"activeTab\" [style.height]=\"'fit-content'\">\n                    @if (sortingData()) {\n                        <button\n                            fd-button\n                            fdkFocusableItem\n                            value=\"sort\"\n                            glyph=\"sort\"\n                            [title]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                            [ariaLabel]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                        ></button>\n                    }\n                    @if (filteringData()) {\n                        <button\n                            fd-button\n                            fdkFocusableItem\n                            value=\"filter\"\n                            glyph=\"filter\"\n                            [title]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                            [ariaLabel]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                        ></button>\n                    }\n                    @if (groupingData()) {\n                        <button\n                            fd-button\n                            fdkFocusableItem\n                            value=\"group\"\n                            glyph=\"group-2\"\n                            [title]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                            [ariaLabel]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                        ></button>\n                    }\n                </fd-segmented-button>\n            </ng-template>\n        }\n    </fd-dialog-header>\n\n    <fd-dialog-body disablePaddings>\n        @switch (activeTab()) {\n            @case ('sort') {\n                <fdp-sorting\n                    [sortingData]=\"sortingData()!\"\n                    [initialSorting]=\"_initialSorting()\"\n                    (sortChange)=\"onSortChange($event)\"\n                    (resetAvailabilityChange)=\"onResetAvailabilityChange($event)\"\n                ></fdp-sorting>\n            }\n            @case ('filter') {\n                <fdp-filters\n                    [filteringData]=\"filteringData()!\"\n                    [initialFilters]=\"_initialFilters()\"\n                    (activeFilterStepViewChange)=\"onActiveFilterStepViewChange($event)\"\n                    (filterChange)=\"onFilterChange($event)\"\n                    (resetAvailabilityChange)=\"onResetAvailabilityChange($event)\"\n                ></fdp-filters>\n            }\n            @case ('group') {\n                <fdp-grouping\n                    [groupingData]=\"groupingData()!\"\n                    [initialGrouping]=\"_initialGrouping()\"\n                    (groupChange)=\"onGroupChange($event)\"\n                    (resetAvailabilityChange)=\"onResetAvailabilityChange($event)\"\n                ></fdp-grouping>\n            }\n        }\n    </fd-dialog-body>\n\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.confirmBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            [label]=\"'platformTable.cancelBtnLabel' | fdTranslate\"\n            fdkInitialFocus\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n", dependencies: [{ kind: "component", type: DialogComponent, selector: "fd-dialog", inputs: ["class", "dialogRef", "dialogConfig"] }, { kind: "component", type: DialogHeaderComponent, selector: "fd-dialog-header" }, { kind: "directive", type: BarLeftDirective, selector: "[fd-bar-left]" }, { kind: "directive", type: BarElementDirective, selector: "fd-bar-element", inputs: ["fullWidth"] }, { kind: "directive", type: BarRightDirective, selector: "[fd-bar-right]" }, { kind: "component", type: ResetButtonComponent, selector: "fdp-table-reset-button" }, { kind: "component", type: DialogBodyComponent, selector: "fd-dialog-body", inputs: ["disablePaddings"] }, { kind: "component", type: DialogFooterComponent, selector: "fd-dialog-footer" }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: ButtonComponent, selector: "button[fd-button], a[fd-button], span[fd-button]", inputs: ["class"], exportAs: ["fd-button"] }, { kind: "component", type: SortingComponent, selector: "fdp-sorting", inputs: ["sortingData", "initialSorting"], outputs: ["sortChange", "resetAvailabilityChange"] }, { kind: "component", type: FiltersComponent, selector: "fdp-filters", inputs: ["filteringData", "initialFilters"], outputs: ["activeFilterStepViewChange", "filterChange", "resetAvailabilityChange"] }, { kind: "component", type: GroupingComponent, selector: "fdp-grouping", inputs: ["groupingData", "initialGrouping"], outputs: ["groupChange", "resetAvailabilityChange"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: SegmentedButtonComponent, selector: "fd-segmented-button", inputs: ["toggle", "vertical"] }, { kind: "directive", type: TemplateDirective, selector: "[fdkTemplate]", inputs: ["fdkTemplate"] }, { kind: "component", type: TitleComponent, selector: "[fd-title], [fdTitle]", inputs: ["headerSize", "wrap"], exportAs: ["fd-title"] }, { kind: "component", type: ButtonBarComponent, selector: "fd-button-bar", inputs: ["fullWidth", "fdType", "title", "ariaLabelledby", "id"] }, { kind: "directive", type: InitialFocusDirective, selector: "[fdkInitialFocus]", inputs: ["fdkInitialFocus", "enabled", "focusLastElement"] }, { kind: "directive", type: FocusableItemDirective, selector: "[fdkFocusableItem]", inputs: ["fdkFocusableItem", "cellFocusedEventAnnouncer"], outputs: ["cellFocused"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: SettingsDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-settings-dialog-settings', standalone: true, providers: [{ provide: RESETTABLE_TOKEN, useExisting: forwardRef(() => SettingsDialogComponent) }], changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        DialogComponent,
                        DialogHeaderComponent,
                        BarLeftDirective,
                        BarElementDirective,
                        BarRightDirective,
                        ResetButtonComponent,
                        CdkScrollable,
                        DialogBodyComponent,
                        DialogFooterComponent,
                        FdTranslatePipe,
                        FormsModule,
                        ButtonComponent,
                        SortingComponent,
                        FiltersComponent,
                        GroupingComponent,
                        NgTemplateOutlet,
                        SegmentedButtonComponent,
                        TemplateDirective,
                        TitleComponent,
                        ButtonBarComponent,
                        InitialFocusDirective,
                        FocusableItemDirective
                    ], template: "<fd-dialog>\n    <fd-dialog-header>\n        <ng-template fdkTemplate=\"header\">\n            <div fd-bar-left>\n                @if (activeTab() !== 'filter') {\n                    <fd-bar-element>\n                        <h4 fd-title [headerSize]=\"4\">{{ 'platformTable.settingsDialogHeader' | fdTranslate }}</h4>\n                    </fd-bar-element>\n                } @else {\n                    <fd-bar-element>\n                        @if (activeFilterStepView()?.titleTemplateRef) {\n                            <ng-container\n                                [ngTemplateOutlet]=\"activeFilterStepView()?.titleTemplateRef ?? null\"\n                            ></ng-container>\n                        }\n                    </fd-bar-element>\n                }\n            </div>\n            <div fd-bar-right>\n                <fd-bar-element>\n                    <fdp-table-reset-button></fdp-table-reset-button>\n                </fd-bar-element>\n            </div>\n        </ng-template>\n\n        @if (showSubheader()) {\n            <ng-template fdkTemplate=\"subheader\">\n                <fd-segmented-button [(ngModel)]=\"activeTab\" [style.height]=\"'fit-content'\">\n                    @if (sortingData()) {\n                        <button\n                            fd-button\n                            fdkFocusableItem\n                            value=\"sort\"\n                            glyph=\"sort\"\n                            [title]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                            [ariaLabel]=\"'platformTable.toolbarActionSortButtonTitle' | fdTranslate\"\n                        ></button>\n                    }\n                    @if (filteringData()) {\n                        <button\n                            fd-button\n                            fdkFocusableItem\n                            value=\"filter\"\n                            glyph=\"filter\"\n                            [title]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                            [ariaLabel]=\"'platformTable.toolbarActionFilterButtonTitle' | fdTranslate\"\n                        ></button>\n                    }\n                    @if (groupingData()) {\n                        <button\n                            fd-button\n                            fdkFocusableItem\n                            value=\"group\"\n                            glyph=\"group-2\"\n                            [title]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                            [ariaLabel]=\"'platformTable.toolbarActionGroupButtonTitle' | fdTranslate\"\n                        ></button>\n                    }\n                </fd-segmented-button>\n            </ng-template>\n        }\n    </fd-dialog-header>\n\n    <fd-dialog-body disablePaddings>\n        @switch (activeTab()) {\n            @case ('sort') {\n                <fdp-sorting\n                    [sortingData]=\"sortingData()!\"\n                    [initialSorting]=\"_initialSorting()\"\n                    (sortChange)=\"onSortChange($event)\"\n                    (resetAvailabilityChange)=\"onResetAvailabilityChange($event)\"\n                ></fdp-sorting>\n            }\n            @case ('filter') {\n                <fdp-filters\n                    [filteringData]=\"filteringData()!\"\n                    [initialFilters]=\"_initialFilters()\"\n                    (activeFilterStepViewChange)=\"onActiveFilterStepViewChange($event)\"\n                    (filterChange)=\"onFilterChange($event)\"\n                    (resetAvailabilityChange)=\"onResetAvailabilityChange($event)\"\n                ></fdp-filters>\n            }\n            @case ('group') {\n                <fdp-grouping\n                    [groupingData]=\"groupingData()!\"\n                    [initialGrouping]=\"_initialGrouping()\"\n                    (groupChange)=\"onGroupChange($event)\"\n                    (resetAvailabilityChange)=\"onResetAvailabilityChange($event)\"\n                ></fdp-grouping>\n            }\n        }\n    </fd-dialog-body>\n\n    <fd-dialog-footer>\n        <fd-button-bar\n            fdType=\"emphasized\"\n            [label]=\"'platformTable.confirmBtnLabel' | fdTranslate\"\n            (click)=\"confirm()\"\n        ></fd-button-bar>\n        <fd-button-bar\n            [label]=\"'platformTable.cancelBtnLabel' | fdTranslate\"\n            fdkInitialFocus\n            (click)=\"cancel()\"\n        ></fd-button-bar>\n    </fd-dialog-footer>\n</fd-dialog>\n" }]
        }], ctorParameters: () => [{ type: i1$1.DialogRef }, { type: i1.Table }] });

const dialogConfig = {
    responsivePadding: false,
    verticalPadding: false,
    width: '340px'
};
/**
 * View settings dialog component.
 *
 * Used to link view settings filters options to the grid table.
 *
 * ```html
 * <fdp-table #myTable></fdp-table>
 * ...
 * <fdp-table-view-settings-dialog [table]="myTable">
 *     <fdp-table-view-settings-filter
 *         column="status"
 *         label="Status"
 *         type="single-select"
 *         values="[{value: 'filterValue', label: 'Filter label'}]">
 *     </fdp-table-view-settings-filter>
 * </fdp-table-view-settings-dialog>
 * ```
 * */
class TableViewSettingsDialogComponent {
    /** Reference to table component. */
    set table(table) {
        this._setTable(table);
    }
    get table() {
        return this._table;
    }
    /** @hidden */
    constructor(_dialogService) {
        this._dialogService = _dialogService;
        /** Whether to allow selecting '(Not sorted)' option in sorting dialog. */
        this.allowDisablingSorting = true;
        this.destroyRef = inject(DestroyRef);
    }
    /** @hidden */
    ngAfterViewInit() {
        this._listenToFilters();
    }
    /** Open Sort Settings Dialog */
    showViewSettingsDialog() {
        const state = this._getTableState();
        const columns = this._getTableColumns();
        const sortData = {
            columns: columns.filter(({ sortable }) => sortable),
            direction: state.sortBy?.[0]?.direction,
            field: state.sortBy?.[0]?.field,
            allowDisablingSorting: this.allowDisablingSorting
        };
        const filterData = {
            columns,
            viewSettingsFilters: this.filters.toArray(),
            filterBy: state?.filterBy
        };
        const groupData = {
            columns: columns.filter(({ groupable }) => groupable),
            direction: state.groupBy?.[0]?.direction,
            field: state.groupBy?.[0]?.field
        };
        if (this._dialogRef) {
            this._dialogRef.dismiss();
        }
        this._dialogRef = this._dialogService.open(SettingsDialogComponent, {
            ...dialogConfig,
            data: {
                sortingData: sortData.columns.length > 0 ? sortData : null,
                filteringData: filterData.viewSettingsFilters.length > 0 ? filterData : null,
                groupingData: groupData.columns.length > 0 ? groupData : null
            }
        }, this.table.injector);
        this._dialogRef.afterClosed
            .pipe(filter((result) => !!result), takeUntilDestroyed(this.destroyRef))
            .subscribe(({ sortingData, filteringData, groupingData }) => {
            if (sortingData) {
                this._applySorting(sortingData.field, sortingData.direction);
            }
            if (filteringData) {
                this._applyFiltering(filteringData.filterBy);
            }
            if (groupingData) {
                this._applyGrouping(groupingData.field, groupingData.direction);
            }
        });
    }
    /** @hidden */
    _listenToFilters() {
        this.filters.changes.pipe(startWith(null), takeUntilDestroyed(this.destroyRef)).subscribe(() => {
            if (this.filters.toArray().length > 0) {
                this._table?.showSettingsInToolbar(true);
            }
        });
    }
    /** @hidden */
    _setTable(table) {
        this._table = table;
        this._subscribeToTable();
    }
    /** @hidden */
    _subscribeToTable() {
        if (!this._table) {
            return;
        }
        this._table.openTableSortSettings
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe(() => this.showViewSettingsDialog());
        this._table.openTableFilterSettings
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe(() => this.showViewSettingsDialog());
        this._table.openTableGroupSettings
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe(() => this.showViewSettingsDialog());
        this._table.tableColumnsStream.pipe(takeUntilDestroyed(this.destroyRef)).subscribe((columns) => {
            const show = columns.some(({ sortable }) => sortable) || columns.some(({ groupable }) => groupable);
            this._table?.showSettingsInToolbar(show);
        });
    }
    /** @hidden */
    _getTableState() {
        return this._table?.getTableState();
    }
    /** @hidden */
    _getTableColumns() {
        return this._table?.getTableColumns() || [];
    }
    /** @hidden */
    _applySorting(field, direction) {
        this._table?.sort(field ? [{ field, direction }] : []);
    }
    /** @hidden */
    _applyFiltering(filters) {
        this._table?.filter(filters);
    }
    /** @hidden */
    _applyGrouping(field, direction) {
        this._table?.group(field ? [{ field, direction, showAsColumn: true }] : []);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableViewSettingsDialogComponent, deps: [{ token: i1$1.DialogService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.7", type: TableViewSettingsDialogComponent, isStandalone: true, selector: "fdp-table-view-settings-dialog", inputs: { table: "table", allowDisablingSorting: "allowDisablingSorting" }, queries: [{ propertyName: "filters", predicate: i0.forwardRef(() => TableViewSettingsFilterComponent) }], ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableViewSettingsDialogComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'fdp-table-view-settings-dialog',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i1$1.DialogService }], propDecorators: { table: [{
                type: Input
            }], allowDisablingSorting: [{
                type: Input
            }], filters: [{
                type: ContentChildren,
                args: [forwardRef(() => TableViewSettingsFilterComponent)]
            }] } });

class TableGrowingButtonComponent {
    constructor() {
        /** Whether to show items count. */
        this.showItemsCount = false;
        /** @hidden */
        this._tableService = inject(TableService);
        /** @hidden */
        this._dataSourceDirective = inject(TableDataSourceDirective);
        /** @hidden */
        this._table = inject(Table);
    }
    /** @hidden */
    _loadMore() {
        this._table._onSpyIntersect(true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableGrowingButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableGrowingButtonComponent, isStandalone: true, selector: "fdp-table-growing-button", inputs: { showItemsCount: "showItemsCount" }, ngImport: i0, template: "<div fd-list role=\"none\">\n    @if (_table.loadedRows$() < _dataSourceDirective.totalItems$()) {\n        <div\n            fd-list-item\n            ariaRole=\"none\"\n            class=\"fdp-table__growing-button\"\n            [growing]=\"true\"\n            [style.height]=\"'auto'\"\n            [action]=\"true\"\n        >\n            <a fd-list-link (click)=\"_loadMore()\">\n                <div fd-list-title>\n                    <div\n                        class=\"fdp-table__growing-button-content\"\n                        [class.fdp-table__growing-button-content--byline]=\"showItemsCount\"\n                    >\n                        @if (!showItemsCount) {\n                            {{ 'platformTable.loadMore' | fdTranslate }}\n                        } @else {\n                            <div class=\"fdp-table__growing-button__title\">\n                                {{ 'platformTable.loadMore' | fdTranslate }}\n                            </div>\n                            <div class=\"fdp-table__growing-button__subtitle\">\n                                [ {{ _table.loadedRows$() }} / {{ _dataSourceDirective.totalItems$() }} ]\n                            </div>\n                        }\n                    </div>\n                </div>\n            </a>\n        </div>\n    } @else if (_table.loadedRows$() === _dataSourceDirective.totalItems$() && showItemsCount) {\n        <li\n            fd-list-item\n            [style.height]=\"'auto'\"\n            ariaRole=\"none\"\n            class=\"fdp-table__growing-button-content fdp-table__growing-button-total\"\n        >\n            <span fd-list-title>\n                {{\n                    'platformTable.showingBlankOfBlank' | fdTranslate: { totalGrowingItemsCount: _table.loadedRows$() }\n                }}\n            </span>\n        </li>\n    }\n</div>\n", dependencies: [{ kind: "component", type: ListComponent$1, selector: "[fd-list], [fdList]", inputs: ["dropdownMode", "multiInputMode", "mobileMode", "hasMessage", "noBorder", "navigationIndicator", "selection", "keyboardSupport", "byline", "unreadIndicator", "role"], outputs: ["focusEscapeList"] }, { kind: "component", type: ListItemComponent, selector: "[fdListItem] ,[fd-list-item]", inputs: ["selected", "noData", "action", "interactive", "growing", "counter", "unread", "byline", "ariaRole", "id", "preventClick"], outputs: ["keyDown"] }, { kind: "directive", type: ListTitleDirective, selector: "[fd-list-title], [fdListTitle]", inputs: ["wrap"] }, { kind: "directive", type: ListLinkDirective, selector: "[fd-list-link], [fdListLink]", inputs: ["navigationIndicator", "navigated", "focusable"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableGrowingButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-growing-button', imports: [ListComponent$1, ListItemComponent, ListTitleDirective, ListLinkDirective, AsyncPipe, FdTranslatePipe], encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, template: "<div fd-list role=\"none\">\n    @if (_table.loadedRows$() < _dataSourceDirective.totalItems$()) {\n        <div\n            fd-list-item\n            ariaRole=\"none\"\n            class=\"fdp-table__growing-button\"\n            [growing]=\"true\"\n            [style.height]=\"'auto'\"\n            [action]=\"true\"\n        >\n            <a fd-list-link (click)=\"_loadMore()\">\n                <div fd-list-title>\n                    <div\n                        class=\"fdp-table__growing-button-content\"\n                        [class.fdp-table__growing-button-content--byline]=\"showItemsCount\"\n                    >\n                        @if (!showItemsCount) {\n                            {{ 'platformTable.loadMore' | fdTranslate }}\n                        } @else {\n                            <div class=\"fdp-table__growing-button__title\">\n                                {{ 'platformTable.loadMore' | fdTranslate }}\n                            </div>\n                            <div class=\"fdp-table__growing-button__subtitle\">\n                                [ {{ _table.loadedRows$() }} / {{ _dataSourceDirective.totalItems$() }} ]\n                            </div>\n                        }\n                    </div>\n                </div>\n            </a>\n        </div>\n    } @else if (_table.loadedRows$() === _dataSourceDirective.totalItems$() && showItemsCount) {\n        <li\n            fd-list-item\n            [style.height]=\"'auto'\"\n            ariaRole=\"none\"\n            class=\"fdp-table__growing-button-content fdp-table__growing-button-total\"\n        >\n            <span fd-list-title>\n                {{\n                    'platformTable.showingBlankOfBlank' | fdTranslate: { totalGrowingItemsCount: _table.loadedRows$() }\n                }}\n            </span>\n        </li>\n    }\n</div>\n" }]
        }], propDecorators: { showItemsCount: [{
                type: Input
            }] } });

class TableGroupRowComponent extends TableRowDirective {
    constructor() {
        super(...arguments);
        /** Whether the row is draggable. */
        this.draggable = false;
        /** Event emitted when group row expansion state needs to be toggled. */
        this.toggleGroupRow = new EventEmitter();
        /** @hidden */
        this._fdpTableService = inject(TableService);
    }
    /** @hidden */
    set _focusableViewCellItems(items) {
        this.setItems(items);
    }
    /** @hidden */
    ngOnChanges(changes) {
        super.ngOnChanges(changes);
        if ('row' in changes || 'keyToColumnMap' in changes) {
            this._column = this.keyToColumnMap.get(this.row.value?.['field']);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableGroupRowComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableGroupRowComponent, isStandalone: true, selector: "[fdp-table-group-row]", inputs: { rowId: "rowId", index: "index", height: "height", draggable: "draggable", row: "row", keyToColumnMap: "keyToColumnMap", tableColumnsLength: "tableColumnsLength" }, outputs: { toggleGroupRow: "toggleGroupRow" }, host: { attributes: { "role": "row" }, properties: { "attr.aria-expanded": "row.expanded", "attr.aria-rowindex": "this.index", "style.height.px": "this.height", "class.fd-table__row--draggable": "this.draggable" } }, providers: [
            {
                provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                useExisting: TableGroupRowComponent
            }
        ], viewQueries: [{ propertyName: "_focusableViewCellItems", predicate: FDK_FOCUSABLE_ITEM_DIRECTIVE, descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "<td\n    fd-table-cell\n    class=\"fd-table__cell--group fd-table__cell--expand\"\n    tabindex=\"0\"\n    role=\"gridcell\"\n    [focusable]=\"true\"\n    [attr.colspan]=\"tableColumnsLength\"\n    [attr.aria-expanded]=\"row.expanded\"\n    [attr.data-nesting-level]=\"row.level + 1\"\n    (keydown.enter)=\"toggleGroupRow.emit(row)\"\n    (keydown.space)=\"toggleGroupRow.emit(row)\"\n    (click)=\"toggleGroupRow.emit(row)\"\n>\n    <ng-template [ngTemplateOutlet]=\"tableCellExpandTemplate\"></ng-template>\n</td>\n<!-- Table Cell Expand Template -->\n<ng-template #tableCellExpandTemplate>\n    <div class=\"fd-table__expand-wrapper\">\n        <span class=\"fd-table__expand\" [class.fd-table__expand--open]=\"row.expanded\" aria-hidden=\"true\"></span>\n        @if (_fdpTableService.groupRules$(); as groupRules) {\n            <!-- Group row template when no nested groups -->\n            @if (groupRules.size === 1) {\n                <div class=\"fd-table__text fd-table__text--no-wrap\">\n                    {{ row.value?.['value'] }} - {{ row.value?.['count'] }}\n                </div>\n            }\n            <!-- Group row template when there are nested groups -->\n            @if (groupRules.size !== 1) {\n                <div class=\"fd-table__text fd-table__text--no-wrap\">\n                    <ng-template [ngTemplateOutlet]=\"tableHeaderCellContentTemplate\"></ng-template>:\n                    {{ row.value?.['value'] }}\n                </div>\n            }\n        }\n    </div>\n</ng-template>\n<!-- Column Header Cell Content Template  -->\n<ng-template #tableHeaderCellContentTemplate>\n    @if (_column) {\n        @if (_column.headerCellTemplate) {\n            <ng-template\n                [ngTemplateOutlet]=\"_column.headerCellTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: _column }\"\n            ></ng-template>\n        } @else {\n            <span\n                [id]=\"rowId + '-header-cell-' + _column.name\"\n                [attr.title]=\"_column.label\"\n                class=\"fd-table__cell--truncate-txt\"\n                >{{ _column.label }}</span\n            >\n        }\n    }\n</ng-template>\n", dependencies: [{ kind: "directive", type: TableCellDirective, selector: "[fdTableCell], [fd-table-cell]", inputs: ["noBorderX", "noBorderY", "activable", "focusable", "hoverable", "fitContent", "noPadding", "noData", "nonInteractive", "key"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableGroupRowComponent, decorators: [{
            type: Component,
            args: [{ selector: '[fdp-table-group-row]', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                            useExisting: TableGroupRowComponent
                        }
                    ], host: {
                        role: 'row',
                        '[attr.aria-expanded]': 'row.expanded'
                    }, imports: [TableCellDirective, NgTemplateOutlet, AsyncPipe], template: "<td\n    fd-table-cell\n    class=\"fd-table__cell--group fd-table__cell--expand\"\n    tabindex=\"0\"\n    role=\"gridcell\"\n    [focusable]=\"true\"\n    [attr.colspan]=\"tableColumnsLength\"\n    [attr.aria-expanded]=\"row.expanded\"\n    [attr.data-nesting-level]=\"row.level + 1\"\n    (keydown.enter)=\"toggleGroupRow.emit(row)\"\n    (keydown.space)=\"toggleGroupRow.emit(row)\"\n    (click)=\"toggleGroupRow.emit(row)\"\n>\n    <ng-template [ngTemplateOutlet]=\"tableCellExpandTemplate\"></ng-template>\n</td>\n<!-- Table Cell Expand Template -->\n<ng-template #tableCellExpandTemplate>\n    <div class=\"fd-table__expand-wrapper\">\n        <span class=\"fd-table__expand\" [class.fd-table__expand--open]=\"row.expanded\" aria-hidden=\"true\"></span>\n        @if (_fdpTableService.groupRules$(); as groupRules) {\n            <!-- Group row template when no nested groups -->\n            @if (groupRules.size === 1) {\n                <div class=\"fd-table__text fd-table__text--no-wrap\">\n                    {{ row.value?.['value'] }} - {{ row.value?.['count'] }}\n                </div>\n            }\n            <!-- Group row template when there are nested groups -->\n            @if (groupRules.size !== 1) {\n                <div class=\"fd-table__text fd-table__text--no-wrap\">\n                    <ng-template [ngTemplateOutlet]=\"tableHeaderCellContentTemplate\"></ng-template>:\n                    {{ row.value?.['value'] }}\n                </div>\n            }\n        }\n    </div>\n</ng-template>\n<!-- Column Header Cell Content Template  -->\n<ng-template #tableHeaderCellContentTemplate>\n    @if (_column) {\n        @if (_column.headerCellTemplate) {\n            <ng-template\n                [ngTemplateOutlet]=\"_column.headerCellTemplate\"\n                [ngTemplateOutletContext]=\"{ $implicit: _column }\"\n            ></ng-template>\n        } @else {\n            <span\n                [id]=\"rowId + '-header-cell-' + _column.name\"\n                [attr.title]=\"_column.label\"\n                class=\"fd-table__cell--truncate-txt\"\n                >{{ _column.label }}</span\n            >\n        }\n    }\n</ng-template>\n" }]
        }], propDecorators: { rowId: [{
                type: Input
            }], index: [{
                type: HostBinding,
                args: ['attr.aria-rowindex']
            }, {
                type: Input
            }], height: [{
                type: HostBinding,
                args: ['style.height.px']
            }, {
                type: Input
            }], draggable: [{
                type: HostBinding,
                args: ['class.fd-table__row--draggable']
            }, {
                type: Input
            }], row: [{
                type: Input
            }], keyToColumnMap: [{
                type: Input
            }], tableColumnsLength: [{
                type: Input
            }], toggleGroupRow: [{
                type: Output
            }], _focusableViewCellItems: [{
                type: ViewChildren,
                args: [FDK_FOCUSABLE_ITEM_DIRECTIVE]
            }] } });

class TableHeaderRowComponent extends TableRowDirective {
    constructor() {
        super(...arguments);
        /** Table without horizontal borders. */
        this.noHorizontalBorders = false;
        /** Table without vertical borders. */
        this.noVerticalBorders = false;
        /** Table without borders. */
        this.noBorders = false;
        /** @hidden */
        this.disableSelectionCheckbox = false;
        /** @hidden */
        this._rtl$ = computed(() => !!this._rtlService?.rtlSignal());
        /** @hidden */
        this.SELECTION_MODE = SelectionMode;
        /** @hidden */
        this.SORT_DIRECTION = SortDirection;
        /** @hidden */
        this._tableColumnResizeService = inject(TableColumnResizeService);
        /** @hidden */
        this._fdpTableService = inject(TableService);
        /** @hidden */
        this._contentDensityObserver = inject(ContentDensityObserver);
        /** @hidden */
        this._tableRowService = inject(TableRowService);
        /** @hidden */
        this._rtlService = inject(RtlService, {
            optional: true
        });
        /** @hidden */
        this._cdr = inject(ChangeDetectorRef);
    }
    /** @hidden */
    set _focusableCellItems(items) {
        this.setItems(items);
    }
    /** @hidden */
    ngOnInit() {
        super.ngOnInit();
        this._tableColumnResizeService.markForCheck.pipe(takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            this._cdr.detectChanges();
        });
    }
    /** @hidden */
    _columnTrackBy(index, column) {
        return column.name;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableHeaderRowComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableHeaderRowComponent, isStandalone: true, selector: "[fdp-table-header-row]", inputs: { rowId: "rowId", fixed: "fixed", isShownSelectionColumn: "isShownSelectionColumn", checkedState: "checkedState", selectionMode: "selectionMode", selectionColumnWidth: "selectionColumnWidth", freezeColumnsTo: "freezeColumnsTo", noHorizontalBorders: "noHorizontalBorders", noVerticalBorders: "noVerticalBorders", noBorders: "noBorders", freezeEndColumnsTo: "freezeEndColumnsTo", disableSelectionCheckbox: "disableSelectionCheckbox" }, host: { attributes: { "role": "row" } }, providers: [
            {
                provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                useExisting: TableHeaderRowComponent
            }
        ], viewQueries: [{ propertyName: "_focusableCellItems", predicate: FDK_FOCUSABLE_ITEM_DIRECTIVE, descendants: true }], usesInheritance: true, ngImport: i0, template: "@if (_fdpTableService._semanticHighlighting$()) {\n    <th\n        [class.fd-table__cell--fixed]=\"fixed\"\n        fd-table-cell\n        [ngClass]=\"{\n            'fd-table__cell--no-horizontal-border': noHorizontalBorders || noBorders,\n            'fd-table__cell--no-vertical-border': noVerticalBorders || noBorders\n        }\"\n        fd-table-status-indicator\n        fdkDisabled\n        [style.min-width]=\"_fdpTableService._semanticHighlightingColumnWidth$()\"\n        [style.max-width]=\"_fdpTableService._semanticHighlightingColumnWidth$()\"\n    ></th>\n}\n\n@if (isShownSelectionColumn) {\n    <th\n        fd-table-cell\n        [ngClass]=\"{\n            'fd-table__cell--no-horizontal-border': noHorizontalBorders || noBorders,\n            'fd-table__cell--no-vertical-border': noVerticalBorders || noBorders\n        }\"\n        [focusable]=\"true\"\n        [class.fd-table__cell--fixed]=\"fixed\"\n        class=\"fd-table__cell--checkbox\"\n        [style]=\"\n            _contentDensityObserver.contentDensity$()\n                | selectionCellStyles: _rtl$() : _fdpTableService._semanticHighlightingColumnWidth$()\n        \"\n        (keydown.enter)=\"\n            selectionMode === SELECTION_MODE.MULTIPLE && _tableRowService.toggleAllSelectableRows(!checkedState)\n        \"\n        (keydown.space)=\"\n            selectionMode === SELECTION_MODE.MULTIPLE && _tableRowService.toggleAllSelectableRows(!checkedState);\n            $event.preventDefault()\n        \"\n        (cellFocused)=\"_tableRowService.cellFocused($event)\"\n        [attr.title]=\"\n            !checkedState\n                ? ('platformTable.selectAllCheckboxLabel' | fdTranslate)\n                : ('platformTable.deselectAllCheckboxLabel' | fdTranslate)\n        \"\n        [attr.aria-description]=\"\n            checkedState\n                ? ('platformTable.deselectAllCheckboxLongLabel' | fdTranslate)\n                : checkedState === null\n                  ? ('platformTable.selectAllCheckboxMixedLongLabel' | fdTranslate)\n                  : ('platformTable.selectAllCheckboxLongLabel' | fdTranslate)\n        \"\n    >\n        @if (selectionMode === SELECTION_MODE.MULTIPLE) {\n            <fd-checkbox\n                tabIndexValue=\"-1\"\n                labelClass=\"fd-table__checkbox-label\"\n                [fdkDisabled]=\"_fdpTableService.visibleColumnsLength() === 0 || disableSelectionCheckbox\"\n                [tristate]=\"true\"\n                [tristateSelectable]=\"false\"\n                [ngModel]=\"checkedState\"\n                (ngModelChange)=\"_tableRowService.toggleAllSelectableRows($event)\"\n            ></fd-checkbox>\n        }\n    </th>\n}\n\n@for (column of _fdpTableService.visibleColumns$(); track column.name) {\n    <th\n        [focusable]=\"true\"\n        role=\"columnheader\"\n        [fdpTableCellResizable]=\"\n            $index\n                | columnResizableSide\n                    : _fdpTableService.visibleColumnsLength()\n                    : _fdpTableService._isShownNavigationColumn$()\n        \"\n        [columnName]=\"column.name\"\n        [id]=\"rowId + '__' + column.name\"\n        [attr.aria-colindex]=\"$index\"\n        [attr.aria-sort]=\"_fdpTableService.sortRules$().get(column.key) | fdpTableColumnSortingDirection\"\n        [class.fd-table__cell--non-interactive]=\"column.nonInteractive\"\n        [ngClass]=\"[\n            'fdp-table__col--' + column.name,\n            column._freezed ? 'fd-table__cell--fixed' : '',\n            column.name === freezeColumnsTo ? 'fd-table__cell--fixed-last' : '',\n            column._endFreezed ? 'fd-table__cell--fixed-end' : '',\n            column.name === freezeEndColumnsTo ? 'fd-table__cell--fixed-end-last' : '',\n            $last && !_fdpTableService._isShownNavigationColumn$() ? 'is-last-child' : '',\n            (column | isColumnHasHeaderMenu) ? 'fd-table__item--clickable' : ''\n        ]\"\n        [ngStyle]=\"\n            column\n                | tableCellStyles\n                    : _rtl$()\n                    : _fdpTableService._semanticHighlightingColumnWidth$()\n                    : selectionColumnWidth\n                    : column._freezed\n                    : column._endFreezed\n                    : _tableColumnResizeService.getPrevColumnsWidth(column.name)\n                    : _tableColumnResizeService.getColumnWidthStyle(column.name)\n                    : _tableColumnResizeService.getNextColumnsWidth(column.name)\n                    : noBorders\n                    : noVerticalBorders\n                    : noHorizontalBorders\n        \"\n        [fdPopoverTrigger]=\"(column | isColumnHasHeaderMenu) ? tablePopover.popover : null\"\n        (cellFocused)=\"_tableRowService.cellFocused($event)\"\n        (keydown.arrowLeft)=\"_tableRowService.scrollToOverlappedCell()\"\n        (keydown.arrowRight)=\"_tableRowService.scrollToOverlappedCell()\"\n    >\n        <fdp-table-header-cell-content [id]=\"rowId\" [column]=\"column\" [attr.title]=\"column.label\">\n            <!-- Header menu -->\n            <fdp-table-cell-header-popover\n                #tablePopover\n                [disabled]=\"!(column | isColumnHasHeaderMenu)\"\n                [columnFrozen]=\"column._freezed || column._endFreezed\"\n                [column]=\"column\"\n                [columnIndex]=\"$index\"\n                [popoverTemplate]=\"(column | isColumnHasHeaderMenu) ? column.headerCellPopoverTemplate : null\"\n                [filteringFromHeaderDisabled]=\"_fdpTableService._isFilteringFromHeaderDisabled$()\"\n            ></fdp-table-cell-header-popover>\n        </fdp-table-header-cell-content>\n    </th>\n}\n\n@if (_fdpTableService._isShownNavigationColumn$()) {\n    <th\n        fd-table-cell\n        [ngClass]=\"{\n            'fd-table__cell--no-horizontal-border': noHorizontalBorders || noBorders,\n            'fd-table__cell--no-vertical-border': noVerticalBorders || noBorders\n        }\"\n        class=\"fdp-table__cell--navigation is-last-child\"\n        role=\"columnheader\"\n    ></th>\n}\n\n<th\n    aria-hidden=\"true\"\n    class=\"fd-table__cell fd-table__cell--mock\"\n    [class.fd-table__cell--mock-borderless]=\"!_tableColumnResizeService.cellMockVisible$()\"\n    fdkDisabled\n></th>\n", dependencies: [{ kind: "directive", type: i0.forwardRef(() => TableCellDirective), selector: "[fdTableCell], [fd-table-cell]", inputs: ["noBorderX", "noBorderY", "activable", "focusable", "hoverable", "fitContent", "noPadding", "noData", "nonInteractive", "key"] }, { kind: "directive", type: i0.forwardRef(() => TableStatusIndicatorDirective), selector: "[fdTableStatusIndicator], [fd-table-status-indicator]", inputs: ["status"] }, { kind: "directive", type: i0.forwardRef(() => DisabledBehaviorDirective), selector: "[fdkDisabled]", inputs: ["fdkDisabled", "addDisabledClass", "disabledClass"] }, { kind: "component", type: i0.forwardRef(() => CheckboxComponent), selector: "fd-checkbox", inputs: ["wrapLabel", "valignLabel", "ariaLabel", "role", "value", "ariaLabelledBy", "ariaDescribedBy", "title", "inputId", "state", "name", "label", "disabled", "readonly", "tristate", "tristateSelectable", "labelClass", "required", "displayOnly", "values", "standalone"], outputs: ["focusChange"] }, { kind: "ngmodule", type: i0.forwardRef(() => FormsModule) }, { kind: "directive", type: i0.forwardRef(() => i1$2.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i1$2.NgModel), selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i0.forwardRef(() => PlatformTableCellResizableDirective), selector: "[fdpTableCellResizable]", inputs: ["fdpTableCellResizable", "columnName"] }, { kind: "directive", type: i0.forwardRef(() => NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => NgStyle), selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i0.forwardRef(() => PopoverTriggerDirective), selector: "[fdPopoverTrigger], [fd-popover-trigger]", inputs: ["fdPopoverTrigger"] }, { kind: "component", type: i0.forwardRef(() => TableHeaderCellContentComponent), selector: "fdp-table-header-cell-content", inputs: ["id", "column"] }, { kind: "component", type: i0.forwardRef(() => TableCellHeaderPopoverComponent), selector: "fdp-table-cell-header-popover", inputs: ["column", "popoverTemplate", "disabled", "columnFrozen", "filteringFromHeaderDisabled", "columnIndex"] }, { kind: "pipe", type: i0.forwardRef(() => FdTranslatePipe), name: "fdTranslate" }, { kind: "pipe", type: i0.forwardRef(() => SelectionCellStylesPipe), name: "selectionCellStyles" }, { kind: "pipe", type: i0.forwardRef(() => TableCellStylesPipe), name: "tableCellStyles" }, { kind: "pipe", type: i0.forwardRef(() => ColumnResizableSidePipe), name: "columnResizableSide" }, { kind: "pipe", type: i0.forwardRef(() => TableColumnSortingDirectionPipe), name: "fdpTableColumnSortingDirection" }, { kind: "pipe", type: i0.forwardRef(() => IsColumnHasHeaderMenuPipe), name: "isColumnHasHeaderMenu" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableHeaderRowComponent, decorators: [{
            type: Component,
            args: [{ selector: '[fdp-table-header-row]', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                            useExisting: TableHeaderRowComponent
                        }
                    ], host: {
                        role: 'row'
                    }, imports: [
                        TableCellDirective,
                        TableStatusIndicatorDirective,
                        DisabledBehaviorDirective,
                        CheckboxComponent,
                        FormsModule,
                        PlatformTableCellResizableDirective,
                        NgClass,
                        NgStyle,
                        PopoverTriggerDirective,
                        TableHeaderCellContentComponent,
                        TableCellHeaderPopoverComponent,
                        FdTranslatePipe,
                        SelectionCellStylesPipe,
                        TableCellStylesPipe,
                        ColumnResizableSidePipe,
                        TableColumnSortingDirectionPipe,
                        forwardRef(() => IsColumnHasHeaderMenuPipe)
                    ], template: "@if (_fdpTableService._semanticHighlighting$()) {\n    <th\n        [class.fd-table__cell--fixed]=\"fixed\"\n        fd-table-cell\n        [ngClass]=\"{\n            'fd-table__cell--no-horizontal-border': noHorizontalBorders || noBorders,\n            'fd-table__cell--no-vertical-border': noVerticalBorders || noBorders\n        }\"\n        fd-table-status-indicator\n        fdkDisabled\n        [style.min-width]=\"_fdpTableService._semanticHighlightingColumnWidth$()\"\n        [style.max-width]=\"_fdpTableService._semanticHighlightingColumnWidth$()\"\n    ></th>\n}\n\n@if (isShownSelectionColumn) {\n    <th\n        fd-table-cell\n        [ngClass]=\"{\n            'fd-table__cell--no-horizontal-border': noHorizontalBorders || noBorders,\n            'fd-table__cell--no-vertical-border': noVerticalBorders || noBorders\n        }\"\n        [focusable]=\"true\"\n        [class.fd-table__cell--fixed]=\"fixed\"\n        class=\"fd-table__cell--checkbox\"\n        [style]=\"\n            _contentDensityObserver.contentDensity$()\n                | selectionCellStyles: _rtl$() : _fdpTableService._semanticHighlightingColumnWidth$()\n        \"\n        (keydown.enter)=\"\n            selectionMode === SELECTION_MODE.MULTIPLE && _tableRowService.toggleAllSelectableRows(!checkedState)\n        \"\n        (keydown.space)=\"\n            selectionMode === SELECTION_MODE.MULTIPLE && _tableRowService.toggleAllSelectableRows(!checkedState);\n            $event.preventDefault()\n        \"\n        (cellFocused)=\"_tableRowService.cellFocused($event)\"\n        [attr.title]=\"\n            !checkedState\n                ? ('platformTable.selectAllCheckboxLabel' | fdTranslate)\n                : ('platformTable.deselectAllCheckboxLabel' | fdTranslate)\n        \"\n        [attr.aria-description]=\"\n            checkedState\n                ? ('platformTable.deselectAllCheckboxLongLabel' | fdTranslate)\n                : checkedState === null\n                  ? ('platformTable.selectAllCheckboxMixedLongLabel' | fdTranslate)\n                  : ('platformTable.selectAllCheckboxLongLabel' | fdTranslate)\n        \"\n    >\n        @if (selectionMode === SELECTION_MODE.MULTIPLE) {\n            <fd-checkbox\n                tabIndexValue=\"-1\"\n                labelClass=\"fd-table__checkbox-label\"\n                [fdkDisabled]=\"_fdpTableService.visibleColumnsLength() === 0 || disableSelectionCheckbox\"\n                [tristate]=\"true\"\n                [tristateSelectable]=\"false\"\n                [ngModel]=\"checkedState\"\n                (ngModelChange)=\"_tableRowService.toggleAllSelectableRows($event)\"\n            ></fd-checkbox>\n        }\n    </th>\n}\n\n@for (column of _fdpTableService.visibleColumns$(); track column.name) {\n    <th\n        [focusable]=\"true\"\n        role=\"columnheader\"\n        [fdpTableCellResizable]=\"\n            $index\n                | columnResizableSide\n                    : _fdpTableService.visibleColumnsLength()\n                    : _fdpTableService._isShownNavigationColumn$()\n        \"\n        [columnName]=\"column.name\"\n        [id]=\"rowId + '__' + column.name\"\n        [attr.aria-colindex]=\"$index\"\n        [attr.aria-sort]=\"_fdpTableService.sortRules$().get(column.key) | fdpTableColumnSortingDirection\"\n        [class.fd-table__cell--non-interactive]=\"column.nonInteractive\"\n        [ngClass]=\"[\n            'fdp-table__col--' + column.name,\n            column._freezed ? 'fd-table__cell--fixed' : '',\n            column.name === freezeColumnsTo ? 'fd-table__cell--fixed-last' : '',\n            column._endFreezed ? 'fd-table__cell--fixed-end' : '',\n            column.name === freezeEndColumnsTo ? 'fd-table__cell--fixed-end-last' : '',\n            $last && !_fdpTableService._isShownNavigationColumn$() ? 'is-last-child' : '',\n            (column | isColumnHasHeaderMenu) ? 'fd-table__item--clickable' : ''\n        ]\"\n        [ngStyle]=\"\n            column\n                | tableCellStyles\n                    : _rtl$()\n                    : _fdpTableService._semanticHighlightingColumnWidth$()\n                    : selectionColumnWidth\n                    : column._freezed\n                    : column._endFreezed\n                    : _tableColumnResizeService.getPrevColumnsWidth(column.name)\n                    : _tableColumnResizeService.getColumnWidthStyle(column.name)\n                    : _tableColumnResizeService.getNextColumnsWidth(column.name)\n                    : noBorders\n                    : noVerticalBorders\n                    : noHorizontalBorders\n        \"\n        [fdPopoverTrigger]=\"(column | isColumnHasHeaderMenu) ? tablePopover.popover : null\"\n        (cellFocused)=\"_tableRowService.cellFocused($event)\"\n        (keydown.arrowLeft)=\"_tableRowService.scrollToOverlappedCell()\"\n        (keydown.arrowRight)=\"_tableRowService.scrollToOverlappedCell()\"\n    >\n        <fdp-table-header-cell-content [id]=\"rowId\" [column]=\"column\" [attr.title]=\"column.label\">\n            <!-- Header menu -->\n            <fdp-table-cell-header-popover\n                #tablePopover\n                [disabled]=\"!(column | isColumnHasHeaderMenu)\"\n                [columnFrozen]=\"column._freezed || column._endFreezed\"\n                [column]=\"column\"\n                [columnIndex]=\"$index\"\n                [popoverTemplate]=\"(column | isColumnHasHeaderMenu) ? column.headerCellPopoverTemplate : null\"\n                [filteringFromHeaderDisabled]=\"_fdpTableService._isFilteringFromHeaderDisabled$()\"\n            ></fdp-table-cell-header-popover>\n        </fdp-table-header-cell-content>\n    </th>\n}\n\n@if (_fdpTableService._isShownNavigationColumn$()) {\n    <th\n        fd-table-cell\n        [ngClass]=\"{\n            'fd-table__cell--no-horizontal-border': noHorizontalBorders || noBorders,\n            'fd-table__cell--no-vertical-border': noVerticalBorders || noBorders\n        }\"\n        class=\"fdp-table__cell--navigation is-last-child\"\n        role=\"columnheader\"\n    ></th>\n}\n\n<th\n    aria-hidden=\"true\"\n    class=\"fd-table__cell fd-table__cell--mock\"\n    [class.fd-table__cell--mock-borderless]=\"!_tableColumnResizeService.cellMockVisible$()\"\n    fdkDisabled\n></th>\n" }]
        }], propDecorators: { rowId: [{
                type: Input
            }], fixed: [{
                type: Input
            }], isShownSelectionColumn: [{
                type: Input
            }], checkedState: [{
                type: Input
            }], selectionMode: [{
                type: Input
            }], selectionColumnWidth: [{
                type: Input
            }], freezeColumnsTo: [{
                type: Input
            }], noHorizontalBorders: [{
                type: Input
            }], noVerticalBorders: [{
                type: Input
            }], noBorders: [{
                type: Input
            }], freezeEndColumnsTo: [{
                type: Input
            }], disableSelectionCheckbox: [{
                type: Input
            }], _focusableCellItems: [{
                type: ViewChildren,
                args: [FDK_FOCUSABLE_ITEM_DIRECTIVE]
            }] } });
/** @hidden */
class IsColumnHasHeaderMenuPipe {
    constructor() {
        /** @hidden */
        this._fdpTableService = inject(TableService);
    }
    /** @hidden */
    transform(column) {
        return (column.sortable ||
            column.groupable ||
            column.freezable ||
            column.endFreezable ||
            (column.filterable && !this._fdpTableService._isFilteringFromHeaderDisabled$()));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: IsColumnHasHeaderMenuPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: IsColumnHasHeaderMenuPipe, isStandalone: true, name: "isColumnHasHeaderMenu" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: IsColumnHasHeaderMenuPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'isColumnHasHeaderMenu',
                    standalone: true
                }]
        }] });

class TablePoppingRowComponent extends TableRowDirective {
    constructor() {
        super(...arguments);
        /** Event emitted when group row expansion state needs to be toggled. */
        this.toggleGroupRow = new EventEmitter();
        /** Event emitted when cell being clicked on. */
        this.cellClicked = new EventEmitter();
        /** @hidden */
        this.SELECTION_MODE = SelectionMode;
        /** @hidden */
        this._isTreeRow = isTreeRow;
        /** @hidden */
        this._isTreeRowFirstCell = isTreeRowFirstCell;
        /** @hidden */
        this._fdpTableService = inject(TableService);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TablePoppingRowComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TablePoppingRowComponent, isStandalone: true, selector: "[fdp-table-popping-row]", inputs: { row: "row", checked: "checked", selectionMode: "selectionMode" }, outputs: { toggleGroupRow: "toggleGroupRow", cellClicked: "cellClicked" }, host: { attributes: { "role": "row" }, properties: { "attr.aria-expanded": "_isTreeRow(row) ? row.expanded : null", "attr.aria-selected": "this.checked" } }, providers: [
            {
                provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                useExisting: TablePoppingRowComponent
            }
        ], usesInheritance: true, ngImport: i0, template: "@if (selectionMode !== SELECTION_MODE.NONE) {\n    <td fd-table-cell fdkDisabled [addDisabledClass]=\"false\"></td>\n}\n\n<td\n    fd-table-cell\n    colspan=\"100%\"\n    [attr.data-nesting-level]=\"row.level + 1\"\n    [attr.aria-expanded]=\"_isTreeRow(row) ? row.expanded : null\"\n    (click)=\"cellClicked.emit({ index: 0, row })\"\n    (keydown.enter)=\"_isTreeRowFirstCell(0, row, $event) && toggleGroupRow.emit(row)\"\n>\n    @for (poppingColumn of _fdpTableService.poppingColumns$(); track poppingColumn.name) {\n        <div fd-table-text>\n            @if (poppingColumn?.label?.length) {\n                <label fd-form-label>{{ poppingColumn.label }}:</label>\n            }\n\n            @if (poppingColumn?.columnCellTemplate) {\n                <ng-template\n                    [ngTemplateOutlet]=\"poppingColumn.columnCellTemplate!\"\n                    [ngTemplateOutletContext]=\"{ $implicit: row.value, popping: true, rowIndex: row.index }\"\n                ></ng-template>\n            } @else {\n                {{ row.value | valueByPath: poppingColumn.key }}\n            }\n        </div>\n    }\n</td>\n", dependencies: [{ kind: "directive", type: TableCellDirective, selector: "[fdTableCell], [fd-table-cell]", inputs: ["noBorderX", "noBorderY", "activable", "focusable", "hoverable", "fitContent", "noPadding", "noData", "nonInteractive", "key"] }, { kind: "directive", type: DisabledBehaviorDirective, selector: "[fdkDisabled]", inputs: ["fdkDisabled", "addDisabledClass", "disabledClass"] }, { kind: "directive", type: TableTextDirective, selector: "[fdTableText], [fd-table-text]", inputs: ["fdTableTextClass", "noWrap", "title", "maxWidth"] }, { kind: "component", type: FormLabelComponent, selector: "[fd-form-label]", inputs: ["required", "colon", "alignLabelEnd", "inlineHelpContent", "inlineHelpGlyph", "inlineHelpTriggers", "inlineHelpBodyPlacement", "inlineHelpPlacement", "allowWrap", "inlineHelpLabel", "id"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: ValueByPathPipe, name: "valueByPath" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TablePoppingRowComponent, decorators: [{
            type: Component,
            args: [{ selector: '[fdp-table-popping-row]', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, providers: [
                        {
                            provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                            useExisting: TablePoppingRowComponent
                        }
                    ], host: {
                        role: 'row',
                        '[attr.aria-expanded]': '_isTreeRow(row) ? row.expanded : null'
                    }, imports: [
                        TableCellDirective,
                        DisabledBehaviorDirective,
                        TableTextDirective,
                        FormLabelComponent,
                        NgTemplateOutlet,
                        ValueByPathPipe
                    ], template: "@if (selectionMode !== SELECTION_MODE.NONE) {\n    <td fd-table-cell fdkDisabled [addDisabledClass]=\"false\"></td>\n}\n\n<td\n    fd-table-cell\n    colspan=\"100%\"\n    [attr.data-nesting-level]=\"row.level + 1\"\n    [attr.aria-expanded]=\"_isTreeRow(row) ? row.expanded : null\"\n    (click)=\"cellClicked.emit({ index: 0, row })\"\n    (keydown.enter)=\"_isTreeRowFirstCell(0, row, $event) && toggleGroupRow.emit(row)\"\n>\n    @for (poppingColumn of _fdpTableService.poppingColumns$(); track poppingColumn.name) {\n        <div fd-table-text>\n            @if (poppingColumn?.label?.length) {\n                <label fd-form-label>{{ poppingColumn.label }}:</label>\n            }\n\n            @if (poppingColumn?.columnCellTemplate) {\n                <ng-template\n                    [ngTemplateOutlet]=\"poppingColumn.columnCellTemplate!\"\n                    [ngTemplateOutletContext]=\"{ $implicit: row.value, popping: true, rowIndex: row.index }\"\n                ></ng-template>\n            } @else {\n                {{ row.value | valueByPath: poppingColumn.key }}\n            }\n        </div>\n    }\n</td>\n" }]
        }], propDecorators: { row: [{
                type: Input
            }], checked: [{
                type: HostBinding,
                args: ['attr.aria-selected']
            }, {
                type: Input
            }], selectionMode: [{
                type: Input
            }], toggleGroupRow: [{
                type: Output
            }], cellClicked: [{
                type: Output
            }] } });

let controlUniqId = 0;
class TableEditableCellComponent {
    constructor() {
        /** @hidden */
        this._controlUniqName = `input-${controlUniqId++}`;
    }
    /** Column value. */
    set columnValue(value) {
        this._columnValue = value;
        set(this.row.value, this.column.key, value);
    }
    get columnValue() {
        return this._columnValue;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableEditableCellComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableEditableCellComponent, isStandalone: true, selector: "fdp-table-editable-cell", inputs: { row: "row", column: "column", columnValue: "columnValue" }, providers: [{ provide: EditableTableCell, useExisting: TableEditableCellComponent }], viewQueries: [{ propertyName: "form", first: true, predicate: NgForm, descendants: true }], ngImport: i0, template: "<form #ngForm>\n    @switch (column.dataType) {\n        @case ('number') {\n            <fdp-input\n                [placeholder]=\"'platformTable.editableCellNumberPlaceholder' | fdTranslate\"\n                [(ngModel)]=\"columnValue\"\n                [name]=\"_controlUniqName\"\n                type=\"number\"\n            ></fdp-input>\n        }\n        @case ('date') {\n            <fdp-date-picker\n                type=\"single\"\n                [placeholder]=\"'platformTable.editableCellDatePlaceholder' | fdTranslate\"\n                [name]=\"_controlUniqName\"\n                [allowNull]=\"false\"\n                [(ngModel)]=\"columnValue\"\n            ></fdp-date-picker>\n        }\n        @case ('boolean') {\n            <fdp-switch [(ngModel)]=\"columnValue\" [name]=\"_controlUniqName\"></fdp-switch>\n        }\n        @default {\n            <fdp-input\n                [placeholder]=\"'platformTable.editableCellStringPlaceholder' | fdTranslate\"\n                [(ngModel)]=\"columnValue\"\n                [name]=\"_controlUniqName\"\n                type=\"text\"\n            ></fdp-input>\n        }\n    }\n</form>\n", dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i1$2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: InputComponent, selector: "fdp-input", inputs: ["type", "required", "value"], outputs: ["focusChange"] }, { kind: "component", type: PlatformDatePickerComponent, selector: "fdp-date-picker", inputs: ["value", "type", "selectedDate", "selectedMultipleDates", "selectedRangeDate", "selectedMultipleDateRanges", "startingDayOfWeek", "rangeHoverEffect", "useValidation", "showTodayButton", "todayButtonLabel", "allowNull", "activeView", "placement", "appendTo", "closeOnDateChoose", "state", "buttonFocusable", "specialDaysRules", "yearGrid", "aggregatedYearGrid", "markWeekends", "showWeekNumbers", "allowMultipleSelection", "isOpen", "inline", "processInputOnBlur", "preventScrollOnFocus", "mobile", "mobileConfig", "mobileLandscape", "mobilePortrait", "disableFunction", "disableRangeStartFunction", "disableRangeEndFunction"], outputs: ["isOpenChange", "selectedDateChange", "selectedMultipleDatesChange", "selectedRangeDateChange", "selectedMultipleDateRangesChange", "activeViewChange"] }, { kind: "component", type: SwitchComponent, selector: "fdp-switch", inputs: ["semantic"], outputs: ["switchChange"] }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableEditableCellComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table-editable-cell', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: EditableTableCell, useExisting: TableEditableCellComponent }], imports: [FormsModule, InputComponent, PlatformDatePickerComponent, SwitchComponent, FdTranslatePipe], template: "<form #ngForm>\n    @switch (column.dataType) {\n        @case ('number') {\n            <fdp-input\n                [placeholder]=\"'platformTable.editableCellNumberPlaceholder' | fdTranslate\"\n                [(ngModel)]=\"columnValue\"\n                [name]=\"_controlUniqName\"\n                type=\"number\"\n            ></fdp-input>\n        }\n        @case ('date') {\n            <fdp-date-picker\n                type=\"single\"\n                [placeholder]=\"'platformTable.editableCellDatePlaceholder' | fdTranslate\"\n                [name]=\"_controlUniqName\"\n                [allowNull]=\"false\"\n                [(ngModel)]=\"columnValue\"\n            ></fdp-date-picker>\n        }\n        @case ('boolean') {\n            <fdp-switch [(ngModel)]=\"columnValue\" [name]=\"_controlUniqName\"></fdp-switch>\n        }\n        @default {\n            <fdp-input\n                [placeholder]=\"'platformTable.editableCellStringPlaceholder' | fdTranslate\"\n                [(ngModel)]=\"columnValue\"\n                [name]=\"_controlUniqName\"\n                type=\"text\"\n            ></fdp-input>\n        }\n    }\n</form>\n" }]
        }], propDecorators: { row: [{
                type: Input
            }], column: [{
                type: Input
            }], columnValue: [{
                type: Input
            }], form: [{
                type: ViewChild,
                args: [NgForm]
            }] } });

class TableRowComponent extends TableRowDirective {
    /** @hidden */
    set _focusableViewCellItems(items) {
        this.setItems(items);
    }
    /** @hidden */
    get _ariaSelected() {
        return !!this.row.checked;
    }
    /** @hidden */
    constructor() {
        super();
        /**
         * Event emitted when keyboard drag performed.
         */
        this.keyboardDrag = new EventEmitter();
        /** @hidden */
        this._hasRowHeaderColumn$ = computed(() => this._fdpTableService.visibleColumns$().some((c) => c.role === 'rowheader'));
        /** @hidden */
        this._rtl$ = computed(() => !!this._rtlService?.rtlSignal());
        /** @hidden */
        this._rowSelectionHelperTextId = `rowSelectionHelper-${uuidv4()}`;
        /** @hidden */
        this._isTreeRowFirstCell = isTreeRowFirstCell;
        /** @hidden */
        this.SELECTION_MODE = SelectionMode;
        /** @hidden */
        this._contentDensityObserver = inject(ContentDensityObserver);
        /** @hidden */
        this._tableColumnResizeService = inject(TableColumnResizeService);
        /** @hidden */
        this._fdpTableService = inject(TableService);
        /** @hidden */
        this._tableRowService = inject(TableRowService);
        /** @hidden */
        this._isTreeRow = isTreeRow;
        /** @hidden */
        this._refreshChildRows$ = new Subject();
        /** @hidden */
        this._rtlService = inject(RtlService, {
            optional: true
        });
        /** @hidden */
        this._cdr = inject(ChangeDetectorRef);
        /** @hidden */
        this._zone = inject(NgZone);
        /** @hidden */
        this._elmRef = inject(ElementRef);
        /** @hidden */
        this._dndTableDirective = inject(TableDraggableDirective, {
            optional: true
        });
        /** @hidden */
        this._itemFocusedEventAnnouncer = (position) => {
            let retVal = `Column ${position.colIndex + 1} of ${position.totalCols}, `;
            let column;
            if (this._fdpTableService?.visibleColumns$) {
                let colIndex = position.colIndex;
                if (this.selectionMode === 'single' || this.selectionMode === 'multiple') {
                    colIndex--;
                }
                column = this._fdpTableService.visibleColumns$()[colIndex];
            }
            if (column && (column._freezed || column._endFreezed)) {
                retVal = retVal + 'fixed, ';
            }
            retVal = retVal + `row: ${position.rowIndex + 1} of ${position.totalRows}`;
            if (this._isTreeRow(this.row) || this.row.level > 0) {
                retVal = retVal + ', level ' + (this.row.level + 1);
            }
            return retVal;
        };
        this._tableColumnResizeService.resizeInProgress$
            .pipe(switchMap(() => this._tableColumnResizeService.markForCheck), takeUntilDestroyed())
            .subscribe(() => {
            this._cdr.markForCheck();
        });
        this._zone.runOutsideAngular(() => {
            fromEvent(this._elmRef.nativeElement, 'keydown')
                .pipe(filter(() => !!this._dndTableDirective), takeUntilDestroyed())
                .subscribe((event) => {
                this._onKeyDown(event);
            });
        });
    }
    /** @hidden */
    ngOnInit() {
        super.ngOnInit();
    }
    /** @hidden */
    ngAfterViewInit() {
        super.ngAfterViewInit();
        this._editableCells.changes.pipe(startWith(null), takeUntilDestroyed(this._destroyRef)).subscribe(() => {
            const cells = this._editableCells.toArray();
            if (cells.length > 0) {
                this._tableRowService.updateEditableCells(this.row, cells);
            }
            else {
                this._tableRowService.removeEditableCells(this.row);
            }
        });
    }
    /** @hidden */
    ngOnChanges(changes) {
        super.ngOnChanges(changes);
        if ('row' in changes) {
            this._listenToRowExpansion();
        }
    }
    /** @hidden */
    ngOnDestroy() {
        super.ngOnDestroy();
        this._refreshChildRows$.next();
        this._refreshChildRows$.complete();
        this._tableRowService.removeEditableCells(this.row);
    }
    /** @hidden */
    _toggleGroupRow() {
        this._tableRowService.toggleRow({ type: 'toggleRow', row: this.row });
    }
    /** @hidden */
    _toggleSingleSelectableRow(event) {
        event?.preventDefault();
        this._tableRowService.toggleRow({ type: 'toggleSingleSelectableRow', row: this.row });
    }
    /** @hidden */
    _toggleMultiSelectRow(row, event) {
        event?.preventDefault();
        this._tableRowService.toggleRow({ ...{ row, event }, ...{ type: 'toggleMultiSelectRow' } });
    }
    /** @hidden */
    _columnTrackBy(index, column) {
        return column.name;
    }
    /** @hidden */
    _handleCellSpaceKey(colIdx, tableCellElement, $event) {
        if ($event.target === tableCellElement && isTreeRowFirstCell(colIdx, this.row, $event)) {
            $event.preventDefault();
            this._toggleGroupRow();
        }
    }
    /** @hidden */
    _listenToRowExpansion() {
        this._refreshChildRows$.next();
        const refresh = merge(this._refreshChildRows$, destroyObservable(this._destroyRef));
        // Load items only once. Further loading will be covered by the lazy loading functionality.
        this.row?.expanded$
            ?.pipe(filter((expanded) => expanded && this.row.children.length === 0), takeUntil(refresh))
            .subscribe(() => {
            this._tableRowService.loadChildRows(this.row);
        });
    }
    /** @hidden */
    _onKeyDown(event) {
        const isArrowDown = KeyUtil.isKeyCode(event, DOWN_ARROW);
        const isArrowUp = KeyUtil.isKeyCode(event, UP_ARROW);
        if (!event.altKey) {
            return;
        }
        if (!isArrowDown && !isArrowUp) {
            return;
        }
        this._dndTableDirective?.dragRowFromKeyboard(isArrowDown ? 'down' : 'up', event, this.index, event.shiftKey ? 'group' : 'shift');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableRowComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableRowComponent, isStandalone: true, selector: "[fdp-table-row]", inputs: { rowId: "rowId", row: "row", index: "index", selectionMode: "selectionMode", selectableKey: "selectableKey", enableTristateMode: "enableTristateMode", fixed: "fixed", selectionColumnWidth: "selectionColumnWidth", freezeColumnsTo: "freezeColumnsTo", freezeEndColumnsTo: "freezeEndColumnsTo" }, outputs: { keyboardDrag: "keyboardDrag" }, host: { attributes: { "role": "row" }, properties: { "attr.aria-expanded": "_isTreeRow(row) ? row.expanded : null", "attr.aria-selected": "this._ariaSelected" } }, providers: [
            {
                provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                useExisting: TableRowComponent
            }
        ], viewQueries: [{ propertyName: "_focusableViewCellItems", predicate: FDK_FOCUSABLE_ITEM_DIRECTIVE, descendants: true }, { propertyName: "_editableCells", predicate: EditableTableCell, descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0, template: "@if (_fdpTableService._semanticHighlighting$(); as semanticHighlighting) {\n    <td\n        fd-table-cell\n        fd-table-status-indicator\n        fdkDisabled\n        [addDisabledClass]=\"false\"\n        [status]=\"row.value[semanticHighlighting]\"\n        [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n    ></td>\n}\n<!-- hidden text for screenreader -->\n<ng-template #selectionScreenReaderText>\n    <span\n        aria-hidden=\"true\"\n        [attr.id]=\"_rowSelectionHelperTextId\"\n        [ngStyle]=\"{\n            position: 'absolute !important',\n            height: '1px',\n            width: '1px',\n            overflow: 'hidden',\n            clip: 'rect(1px, 1px, 1px, 1px)',\n            color: 'transparent',\n            display: 'block'\n        }\"\n    >\n        {{ (row.checked ? 'platformTable.deselectSingleRow' : 'platformTable.selectSingleRow') | fdTranslate }}\n    </span>\n</ng-template>\n<!-- Row Selection Cell -->\n@if (selectionMode === SELECTION_MODE.SINGLE) {\n    @if (row.value[selectableKey] !== false) {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [attr.role]=\"_hasRowHeaderColumn$() ? 'rowheader' : 'gridcell'\"\n            fd-table-cell\n            [focusable]=\"true\"\n            [style]=\"\n                _contentDensityObserver.contentDensity$()\n                    | selectionCellStyles: _rtl$() : _fdpTableService._semanticHighlightingColumnWidth$()\n            \"\n            [attr.aria-selected]=\"row.checked\"\n            [attr.aria-labelledby]=\"_rowSelectionHelperTextId\"\n            (click)=\"_toggleSingleSelectableRow()\"\n            (keydown.enter)=\"_toggleSingleSelectableRow($event)\"\n            (keydown.space)=\"_toggleSingleSelectableRow($event)\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        >\n            <ng-template [ngTemplateOutlet]=\"selectionScreenReaderText\"></ng-template>\n        </td>\n    } @else {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            role=\"gridcell\"\n            fd-table-cell\n            fdkDisabled\n            [addDisabledClass]=\"false\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        ></td>\n    }\n} @else if (selectionMode === SELECTION_MODE.MULTIPLE) {\n    @if (row.value[selectableKey] !== false) {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n            role=\"cell\"\n            fd-table-cell\n            [focusable]=\"true\"\n            (keydown.enter)=\"_toggleMultiSelectRow(row, $event)\"\n            (keydown.space)=\"_toggleMultiSelectRow(row, $event)\"\n            [attr.aria-labelledby]=\"_rowSelectionHelperTextId\"\n            [attr.aria-selected]=\"row.checked\"\n            [style]=\"\n                _contentDensityObserver.contentDensity$()\n                    | selectionCellStyles: _rtl$() : _fdpTableService._semanticHighlightingColumnWidth$()\n            \"\n        >\n            <ng-template [ngTemplateOutlet]=\"selectionScreenReaderText\"></ng-template>\n            <fd-checkbox\n                tabIndexValue=\"-1\"\n                labelClass=\"fd-table__checkbox-label\"\n                [tristate]=\"enableTristateMode\"\n                [tristateSelectable]=\"false\"\n                [ngModel]=\"row.checked$ | async\"\n                (ngModelChange)=\"_toggleMultiSelectRow(row)\"\n            ></fd-checkbox>\n        </td>\n    } @else {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            role=\"gridcell\"\n            fd-table-cell\n            fdkDisabled\n            [addDisabledClass]=\"false\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        ></td>\n    }\n}\n@for (column of _fdpTableService.visibleColumns$(); track column.name) {\n    <td\n        #tableCellElement\n        [fdpTableCellResizable]=\"\n            $index\n                | columnResizableSide\n                    : _fdpTableService.visibleColumnsLength()\n                    : _fdpTableService._isShownNavigationColumn$()\n        \"\n        [columnName]=\"column.name\"\n        [focusable]=\"true\"\n        [attr.role]=\"column.role\"\n        [headers]=\"rowId + '__' + column.name\"\n        [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        [ngClass]=\"[\n            'fdp-table__col--' + column.name,\n            column._freezed ? 'fd-table__cell--fixed' : '',\n            column.name === freezeColumnsTo ? 'fd-table__cell--fixed-last' : '',\n            column._endFreezed ? 'fd-table__cell--fixed-end' : '',\n            column.name === freezeEndColumnsTo ? 'fd-table__cell--fixed-end-last' : '',\n            row.isTree && $index === 0 ? 'fd-table__cell--expand' : '',\n            $last && !_fdpTableService._isShownNavigationColumn$() ? 'is-last-child' : ''\n        ]\"\n        [ngStyle]=\"\n            column\n                | tableCellStyles\n                    : _rtl$()\n                    : _fdpTableService._semanticHighlightingColumnWidth$()\n                    : selectionColumnWidth\n                    : column._freezed\n                    : column._endFreezed\n                    : _tableColumnResizeService.getPrevColumnsWidth(column.name)\n                    : _tableColumnResizeService.getColumnWidthStyle(column.name)\n                    : _tableColumnResizeService.getNextColumnsWidth(column.name)\n        \"\n        [attr.aria-expanded]=\"_isTreeRowFirstCell($index, row) ? row.expanded : null\"\n        [attr.data-nesting-level]=\"$index === 0 ? row.level + 1 : null\"\n        (cellFocused)=\"_tableRowService.cellFocused($event); _tableRowService.cellActivate($index, row)\"\n        (click)=\"_tableRowService.cellClicked({ index: $index, row })\"\n        (keydown.enter)=\"_isTreeRowFirstCell($index, row, $event) && _toggleGroupRow()\"\n        (keydown.arrowLeft)=\"_tableRowService.scrollToOverlappedCell()\"\n        (keydown.arrowRight)=\"_tableRowService.scrollToOverlappedCell()\"\n        (keydown.space)=\"_handleCellSpaceKey($index, tableCellElement, $event)\"\n        [attr.title]=\"\n            _isTreeRowFirstCell($index, row) && row.expanded\n                ? ('platformTable.collapseRowButtonTitle' | fdTranslate)\n                : _isTreeRowFirstCell($index, row) && !row.expanded\n                  ? ('platformTable.expandRowButtonTitle' | fdTranslate)\n                  : null\n        \"\n    >\n        <div\n            [class.fd-table__text]=\"column.applyText\"\n            [class.fd-table__text--no-wrap]=\"column.noWrap\"\n            #tableTextContainer\n        >\n            @if (_isTreeRowFirstCell($index, row)) {\n                <span\n                    class=\"fd-table__expand\"\n                    [class.fd-table__expand--open]=\"row.expanded$ | async\"\n                    aria-hidden=\"true\"\n                ></span>\n            }\n            @if (row.state === 'readonly') {\n                @if (tableTextContainer.innerText?.trim() === '') {\n                    <span\n                        [ngStyle]=\"{\n                            position: 'absolute',\n                            height: '1px',\n                            width: '1px',\n                            overflow: 'hidden',\n                            clip: 'rect(1px, 1px, 1px, 1px)',\n                            color: 'transparent',\n                            display: 'block'\n                        }\"\n                    >\n                        {{ 'platformTable.emptyCell' | fdTranslate }}\n                    </span>\n                }\n                @if (column?.columnCellTemplate) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"column.columnCellTemplate!\"\n                        [ngTemplateOutletContext]=\"{ $implicit: row.value, popping: false, rowIndex: row.index }\"\n                    ></ng-template>\n                } @else {\n                    {{ row.value | valueByPath: column.key }}\n                }\n            } @else {\n                @if (column?.editableColumnCellTemplate) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"column.editableColumnCellTemplate!\"\n                        [ngTemplateOutletContext]=\"{ $implicit: row.value, popping: false, rowIndex: row.index }\"\n                    ></ng-template>\n                } @else {\n                    <fdp-table-editable-cell\n                        [row]=\"row\"\n                        [column]=\"column\"\n                        [columnValue]=\"row.value | valueByPath: column.key\"\n                    ></fdp-table-editable-cell>\n                }\n            }\n        </div>\n    </td>\n}\n<ng-content></ng-content>\n@if (_fdpTableService._isShownNavigationColumn$()) {\n    <td fd-table-cell class=\"fdp-table__cell--navigation is-last-child\" fdkDisabled [addDisabledClass]=\"false\">\n        @if (row.navigatable) {\n            <fd-icon\n                fd-table-icon\n                [navigation]=\"true\"\n                [glyph]=\"_rtl$() ? 'slim-arrow-left' : 'slim-arrow-right'\"\n                class=\"fdp-table__navigation-indicator\"\n                [attr.title]=\"'platformTable.rowNavigateButtonTitle' | fdTranslate\"\n            ></fd-icon>\n        }\n    </td>\n}\n<td\n    aria-hidden=\"true\"\n    class=\"fd-table__cell fd-table__cell--mock\"\n    [class.fd-table__cell--mock-borderless]=\"!_tableColumnResizeService.cellMockVisible$()\"\n    fdkDisabled\n    [addDisabledClass]=\"false\"\n></td>\n", dependencies: [{ kind: "directive", type: TableCellDirective, selector: "[fdTableCell], [fd-table-cell]", inputs: ["noBorderX", "noBorderY", "activable", "focusable", "hoverable", "fitContent", "noPadding", "noData", "nonInteractive", "key"] }, { kind: "directive", type: TableStatusIndicatorDirective, selector: "[fdTableStatusIndicator], [fd-table-status-indicator]", inputs: ["status"] }, { kind: "directive", type: DisabledBehaviorDirective, selector: "[fdkDisabled]", inputs: ["fdkDisabled", "addDisabledClass", "disabledClass"] }, { kind: "directive", type: NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: CheckboxComponent, selector: "fd-checkbox", inputs: ["wrapLabel", "valignLabel", "ariaLabel", "role", "value", "ariaLabelledBy", "ariaDescribedBy", "title", "inputId", "state", "name", "label", "disabled", "readonly", "tristate", "tristateSelectable", "labelClass", "required", "displayOnly", "values", "standalone"], outputs: ["focusChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: PlatformTableCellResizableDirective, selector: "[fdpTableCellResizable]", inputs: ["fdpTableCellResizable", "columnName"] }, { kind: "directive", type: NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: TableEditableCellComponent, selector: "fdp-table-editable-cell", inputs: ["row", "column", "columnValue"] }, { kind: "directive", type: TableIconDirective, selector: "[fdTableIcon], [fd-table-icon]", inputs: ["class", "glyph", "glyphFont", "navigation"] }, { kind: "pipe", type: AsyncPipe, name: "async" }, { kind: "pipe", type: ValueByPathPipe, name: "valueByPath" }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "pipe", type: SelectionCellStylesPipe, name: "selectionCellStyles" }, { kind: "pipe", type: TableCellStylesPipe, name: "tableCellStyles" }, { kind: "pipe", type: ColumnResizableSidePipe, name: "columnResizableSide" }, { kind: "component", type: IconComponent, selector: "fd-icon", inputs: ["glyph", "font", "color", "background", "class", "ariaLabel", "ariaHidden"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableRowComponent, decorators: [{
            type: Component,
            args: [{ selector: '[fdp-table-row]', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: FDK_FOCUSABLE_LIST_DIRECTIVE,
                            useExisting: TableRowComponent
                        }
                    ], host: {
                        role: 'row',
                        '[attr.aria-expanded]': '_isTreeRow(row) ? row.expanded : null'
                    }, imports: [
                        TableCellDirective,
                        TableStatusIndicatorDirective,
                        DisabledBehaviorDirective,
                        NgStyle,
                        NgTemplateOutlet,
                        CheckboxComponent,
                        FormsModule,
                        PlatformTableCellResizableDirective,
                        NgClass,
                        TableEditableCellComponent,
                        TableIconDirective,
                        AsyncPipe,
                        ValueByPathPipe,
                        FdTranslatePipe,
                        SelectionCellStylesPipe,
                        TableCellStylesPipe,
                        ColumnResizableSidePipe,
                        IconComponent
                    ], template: "@if (_fdpTableService._semanticHighlighting$(); as semanticHighlighting) {\n    <td\n        fd-table-cell\n        fd-table-status-indicator\n        fdkDisabled\n        [addDisabledClass]=\"false\"\n        [status]=\"row.value[semanticHighlighting]\"\n        [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n    ></td>\n}\n<!-- hidden text for screenreader -->\n<ng-template #selectionScreenReaderText>\n    <span\n        aria-hidden=\"true\"\n        [attr.id]=\"_rowSelectionHelperTextId\"\n        [ngStyle]=\"{\n            position: 'absolute !important',\n            height: '1px',\n            width: '1px',\n            overflow: 'hidden',\n            clip: 'rect(1px, 1px, 1px, 1px)',\n            color: 'transparent',\n            display: 'block'\n        }\"\n    >\n        {{ (row.checked ? 'platformTable.deselectSingleRow' : 'platformTable.selectSingleRow') | fdTranslate }}\n    </span>\n</ng-template>\n<!-- Row Selection Cell -->\n@if (selectionMode === SELECTION_MODE.SINGLE) {\n    @if (row.value[selectableKey] !== false) {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [attr.role]=\"_hasRowHeaderColumn$() ? 'rowheader' : 'gridcell'\"\n            fd-table-cell\n            [focusable]=\"true\"\n            [style]=\"\n                _contentDensityObserver.contentDensity$()\n                    | selectionCellStyles: _rtl$() : _fdpTableService._semanticHighlightingColumnWidth$()\n            \"\n            [attr.aria-selected]=\"row.checked\"\n            [attr.aria-labelledby]=\"_rowSelectionHelperTextId\"\n            (click)=\"_toggleSingleSelectableRow()\"\n            (keydown.enter)=\"_toggleSingleSelectableRow($event)\"\n            (keydown.space)=\"_toggleSingleSelectableRow($event)\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        >\n            <ng-template [ngTemplateOutlet]=\"selectionScreenReaderText\"></ng-template>\n        </td>\n    } @else {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            role=\"gridcell\"\n            fd-table-cell\n            fdkDisabled\n            [addDisabledClass]=\"false\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        ></td>\n    }\n} @else if (selectionMode === SELECTION_MODE.MULTIPLE) {\n    @if (row.value[selectableKey] !== false) {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n            role=\"cell\"\n            fd-table-cell\n            [focusable]=\"true\"\n            (keydown.enter)=\"_toggleMultiSelectRow(row, $event)\"\n            (keydown.space)=\"_toggleMultiSelectRow(row, $event)\"\n            [attr.aria-labelledby]=\"_rowSelectionHelperTextId\"\n            [attr.aria-selected]=\"row.checked\"\n            [style]=\"\n                _contentDensityObserver.contentDensity$()\n                    | selectionCellStyles: _rtl$() : _fdpTableService._semanticHighlightingColumnWidth$()\n            \"\n        >\n            <ng-template [ngTemplateOutlet]=\"selectionScreenReaderText\"></ng-template>\n            <fd-checkbox\n                tabIndexValue=\"-1\"\n                labelClass=\"fd-table__checkbox-label\"\n                [tristate]=\"enableTristateMode\"\n                [tristateSelectable]=\"false\"\n                [ngModel]=\"row.checked$ | async\"\n                (ngModelChange)=\"_toggleMultiSelectRow(row)\"\n            ></fd-checkbox>\n        </td>\n    } @else {\n        <td\n            class=\"fd-table__cell--checkbox\"\n            role=\"gridcell\"\n            fd-table-cell\n            fdkDisabled\n            [addDisabledClass]=\"false\"\n            [class.fd-table__cell--fixed]=\"fixed\"\n            [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        ></td>\n    }\n}\n@for (column of _fdpTableService.visibleColumns$(); track column.name) {\n    <td\n        #tableCellElement\n        [fdpTableCellResizable]=\"\n            $index\n                | columnResizableSide\n                    : _fdpTableService.visibleColumnsLength()\n                    : _fdpTableService._isShownNavigationColumn$()\n        \"\n        [columnName]=\"column.name\"\n        [focusable]=\"true\"\n        [attr.role]=\"column.role\"\n        [headers]=\"rowId + '__' + column.name\"\n        [cellFocusedEventAnnouncer]=\"_itemFocusedEventAnnouncer\"\n        [ngClass]=\"[\n            'fdp-table__col--' + column.name,\n            column._freezed ? 'fd-table__cell--fixed' : '',\n            column.name === freezeColumnsTo ? 'fd-table__cell--fixed-last' : '',\n            column._endFreezed ? 'fd-table__cell--fixed-end' : '',\n            column.name === freezeEndColumnsTo ? 'fd-table__cell--fixed-end-last' : '',\n            row.isTree && $index === 0 ? 'fd-table__cell--expand' : '',\n            $last && !_fdpTableService._isShownNavigationColumn$() ? 'is-last-child' : ''\n        ]\"\n        [ngStyle]=\"\n            column\n                | tableCellStyles\n                    : _rtl$()\n                    : _fdpTableService._semanticHighlightingColumnWidth$()\n                    : selectionColumnWidth\n                    : column._freezed\n                    : column._endFreezed\n                    : _tableColumnResizeService.getPrevColumnsWidth(column.name)\n                    : _tableColumnResizeService.getColumnWidthStyle(column.name)\n                    : _tableColumnResizeService.getNextColumnsWidth(column.name)\n        \"\n        [attr.aria-expanded]=\"_isTreeRowFirstCell($index, row) ? row.expanded : null\"\n        [attr.data-nesting-level]=\"$index === 0 ? row.level + 1 : null\"\n        (cellFocused)=\"_tableRowService.cellFocused($event); _tableRowService.cellActivate($index, row)\"\n        (click)=\"_tableRowService.cellClicked({ index: $index, row })\"\n        (keydown.enter)=\"_isTreeRowFirstCell($index, row, $event) && _toggleGroupRow()\"\n        (keydown.arrowLeft)=\"_tableRowService.scrollToOverlappedCell()\"\n        (keydown.arrowRight)=\"_tableRowService.scrollToOverlappedCell()\"\n        (keydown.space)=\"_handleCellSpaceKey($index, tableCellElement, $event)\"\n        [attr.title]=\"\n            _isTreeRowFirstCell($index, row) && row.expanded\n                ? ('platformTable.collapseRowButtonTitle' | fdTranslate)\n                : _isTreeRowFirstCell($index, row) && !row.expanded\n                  ? ('platformTable.expandRowButtonTitle' | fdTranslate)\n                  : null\n        \"\n    >\n        <div\n            [class.fd-table__text]=\"column.applyText\"\n            [class.fd-table__text--no-wrap]=\"column.noWrap\"\n            #tableTextContainer\n        >\n            @if (_isTreeRowFirstCell($index, row)) {\n                <span\n                    class=\"fd-table__expand\"\n                    [class.fd-table__expand--open]=\"row.expanded$ | async\"\n                    aria-hidden=\"true\"\n                ></span>\n            }\n            @if (row.state === 'readonly') {\n                @if (tableTextContainer.innerText?.trim() === '') {\n                    <span\n                        [ngStyle]=\"{\n                            position: 'absolute',\n                            height: '1px',\n                            width: '1px',\n                            overflow: 'hidden',\n                            clip: 'rect(1px, 1px, 1px, 1px)',\n                            color: 'transparent',\n                            display: 'block'\n                        }\"\n                    >\n                        {{ 'platformTable.emptyCell' | fdTranslate }}\n                    </span>\n                }\n                @if (column?.columnCellTemplate) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"column.columnCellTemplate!\"\n                        [ngTemplateOutletContext]=\"{ $implicit: row.value, popping: false, rowIndex: row.index }\"\n                    ></ng-template>\n                } @else {\n                    {{ row.value | valueByPath: column.key }}\n                }\n            } @else {\n                @if (column?.editableColumnCellTemplate) {\n                    <ng-template\n                        [ngTemplateOutlet]=\"column.editableColumnCellTemplate!\"\n                        [ngTemplateOutletContext]=\"{ $implicit: row.value, popping: false, rowIndex: row.index }\"\n                    ></ng-template>\n                } @else {\n                    <fdp-table-editable-cell\n                        [row]=\"row\"\n                        [column]=\"column\"\n                        [columnValue]=\"row.value | valueByPath: column.key\"\n                    ></fdp-table-editable-cell>\n                }\n            }\n        </div>\n    </td>\n}\n<ng-content></ng-content>\n@if (_fdpTableService._isShownNavigationColumn$()) {\n    <td fd-table-cell class=\"fdp-table__cell--navigation is-last-child\" fdkDisabled [addDisabledClass]=\"false\">\n        @if (row.navigatable) {\n            <fd-icon\n                fd-table-icon\n                [navigation]=\"true\"\n                [glyph]=\"_rtl$() ? 'slim-arrow-left' : 'slim-arrow-right'\"\n                class=\"fdp-table__navigation-indicator\"\n                [attr.title]=\"'platformTable.rowNavigateButtonTitle' | fdTranslate\"\n            ></fd-icon>\n        }\n    </td>\n}\n<td\n    aria-hidden=\"true\"\n    class=\"fd-table__cell fd-table__cell--mock\"\n    [class.fd-table__cell--mock-borderless]=\"!_tableColumnResizeService.cellMockVisible$()\"\n    fdkDisabled\n    [addDisabledClass]=\"false\"\n></td>\n" }]
        }], ctorParameters: () => [], propDecorators: { rowId: [{
                type: Input
            }], row: [{
                type: Input
            }], index: [{
                type: Input
            }], selectionMode: [{
                type: Input
            }], selectableKey: [{
                type: Input
            }], enableTristateMode: [{
                type: Input
            }], fixed: [{
                type: Input
            }], selectionColumnWidth: [{
                type: Input
            }], freezeColumnsTo: [{
                type: Input
            }], freezeEndColumnsTo: [{
                type: Input
            }], keyboardDrag: [{
                type: Output
            }], _focusableViewCellItems: [{
                type: ViewChildren,
                args: [FDK_FOCUSABLE_ITEM_DIRECTIVE]
            }], _editableCells: [{
                type: ViewChildren,
                args: [EditableTableCell]
            }], _ariaSelected: [{
                type: HostBinding,
                args: ['attr.aria-selected']
            }] } });

/* eslint-disable @typescript-eslint/member-ordering */
let tableUniqueId = 0;
/**
 * The component that represents a table.
 * A table is a set of tabular data. Line items can support data, images and actions.
 * ```html
 * <fdp-table
 *  [dataSource]="source"
 *  fdCompact
 *  selectionMode="multiple"
 *  emptyTableMessage="No data found">
 *
 *  <fdp-table-toolbar
 *   title="Order Line Items"
 *   [hideItemCount]="false">
 *  </fdp-table-toolbar>
 *
 *  <fdp-column
 *   name="name"
 *   key="name"
 *   label="Name"
 *   align="start">
 *  </fdp-column>
 *
 *  <fdp-column
 *   name="description"
 *   key="description"
 *   label="Description">
 *  </fdp-column>
 * </fdp-table>
 * ```
 */
class TableComponent extends Table {
    /** Sets selection mode for the table. 'single' | 'multiple' | 'none' */
    set selectionMode(value) {
        this._selectionMode = value;
        this._isSelectionColumnShown = this.selectionMode !== SelectionMode.NONE;
        this._setSelectionColumnWidth();
    }
    get selectionMode() {
        return this._selectionMode;
    }
    /**
     *  When True, the checked state of each tree item depends on the checked
     *  state of its parent or direct child.
     */
    set enableTristateMode(value) {
        this._enableTristateMode = value;
    }
    get enableTristateMode() {
        return this.isTreeTable && this._enableTristateMode;
    }
    /** Value with the key of the row item's field to compute semantic state of the row.  */
    set semanticHighlighting(value) {
        this._semanticHighlightingKey = value;
        this._setSemanticHighlighting();
    }
    get semanticHighlighting() {
        if (!this._semanticHighlightingKey && this._forceSemanticHighlighting) {
            return DEFAULT_HIGHLIGHTING_KEY;
        }
        return this._semanticHighlightingKey;
    }
    /**
     * Specifies minimal width of the non-frozen columns.
     * Useful when table has large amount of freezable columns and table still should have some free space available.
     */
    set nonFrozenColumnsMinWidth(value) {
        this._listenToFixedColumnsWidth();
        this._nonFrozenColumnsMinWidth = value;
    }
    get nonFrozenColumnsMinWidth() {
        return this._nonFrozenColumnsMinWidth;
    }
    /** @hidden */
    get initialSortBy() {
        return this.initialState?.initialSortBy ?? [];
    }
    /**
     * @hidden
     * verify if the bodyheight provided is valid in percentage or pixels
     */
    get isBodyHeightValid() {
        const height = this.bodyHeight;
        if (height) {
            return ((height.endsWith('px') && this._isValidInteger(height.split('px')[0])) ||
                (height.endsWith('%') && this._isValidInteger(height.split('%')[0])));
        }
        else {
            return false;
        }
    }
    /**
     * @hidden
     * if the bodyHeight is valid, then set that as value as body height for table
     * else set default body height for table as 100%
     */
    get tableBodyHeight() {
        return this.isBodyHeightValid ? this.bodyHeight : this._defaultBodyHeight;
    }
    /**
     * @hidden
     * Columns to be rendered in the template
     */
    get _visibleColumns() {
        return this._tableService.visibleColumns$();
    }
    /** @hidden */
    get isTreeTable() {
        return !!this._dndTableDirective?.isTreeTable;
    }
    /** @hidden */
    get enableRowReordering() {
        return !!this._dndTableDirective?.enableRowReordering;
    }
    /** Whether the table rows are draggable. */
    get isDraggable() {
        return !!this._dndTableDirective?.isTreeTable && !!this._dndTableDirective?.enableRowReordering;
    }
    /** @hidden */
    get _semanticHighlightingColumnWidth() {
        return this.semanticHighlighting ? SEMANTIC_HIGHLIGHTING_COLUMN_WIDTH : 0;
    }
    /** @hidden Sum of widths of fixed columns (semantic highlighting, selection) */
    get _fixedColumnsPadding() {
        return this._semanticHighlightingColumnWidth + this._selectionColumnWidth;
    }
    /** @hidden */
    get _tableWidthPx() {
        return this.tableContainer.nativeElement.getBoundingClientRect().width;
    }
    /** @hidden */
    get loadingState() {
        return (this.loading ??
            (this._dataSourceDirective._internalLoadingState ||
                this._dataSourceDirective._internalChildrenLoadingState ||
                this._dndLoadingState));
    }
    /**
     *  Whether the selection column should be shown,
     *  If there are no visible rows or visible columns
     *  or selection mode is none, then selection column should not be shown.
     **/
    get isSelectionColumnShown() {
        return (this._isSelectionColumnShown &&
            !!this._tableRowsVisible.length &&
            this._tableService.visibleColumnsLength() > 0);
    }
    /** @hidden */
    get _ariaLabelledBy() {
        if (this.ariaLabelledBy) {
            return this.ariaLabelledBy;
        }
        return this.tableToolbar?.tableToolbarTitleId || null;
    }
    /** @hidden */
    constructor(_ngZone, _cdr, _tableService, _tableScrollDispatcher, _tableColumnResizeService, _rtlService, contentDensityObserver, injector, _tabbableService) {
        super();
        this._ngZone = _ngZone;
        this._cdr = _cdr;
        this._tableService = _tableService;
        this._tableScrollDispatcher = _tableScrollDispatcher;
        this._tableColumnResizeService = _tableColumnResizeService;
        this._rtlService = _rtlService;
        this.contentDensityObserver = contentDensityObserver;
        this.injector = injector;
        this._tabbableService = _tabbableService;
        /** Component name used in a Preset-managed component. */
        this.name = 'platformTable';
        /** ID for the Table. */
        this.id = `fdp-table-${tableUniqueId++}`;
        /** Whether to allow resizing columns by dragging the column edge with mouse. */
        this.enableDragResize = true;
        /**
         * Whether to fix the table header and footer. Default is true.
         * Note that if the table contains freezable columns, the header and
         * footer will be fixed automatically, regardless of this input value.
         * */
        this.fixed = true;
        /** Toggle for page scrolling feature. */
        this.pageScrolling = false;
        /** Whether the table should render growing button at the bottom. */
        this.showGrowingButton = false;
        /**
         * Whether to show total items amount in growing button text content.
         */
        this.showItemsCount = false;
        /** Page scrolling threshold in px. */
        this.pageScrollingThreshold = 80;
        /** Table without horizontal borders. */
        this.noHorizontalBorders = false;
        /** If the table scrolling should happen outside and stick the toolbar and thead */
        this.outerScroll = false;
        /** Table without vertical borders. */
        this.noVerticalBorders = false;
        /** Table without borders. */
        this.noBorders = false;
        /** Table body without any borders, but header with borders. */
        this.noBodyBorders = false;
        /** Table without outer borders */
        this.noOuterBorders = false;
        /** Table body without horizontal borders. */
        this.noBorderX = false;
        /** Table body without vertical borders. */
        this.noBorderY = false;
        /**
         * Whether row is navigatable.
         * Pass boolean value to set state for the all rows.
         * Pass string value with the key of the row item's field to compute state for every single row.
         */
        this.rowNavigatable = false;
        /**
         * Whether to highlight navigated row.
         */
        this.highlightNavigatedRow = false;
        /** Whether table row can be clicked */
        this.rowsActivable = false;
        /** Whether all rows should be collapsed by default after the table is loaded. */
        this.expandOnInit = false;
        /**
         * Minimum height of the row, required for the virtualScroll,
         * default is 44px in cozy, 32px in compact and 24px in condensed (set automatically)
         */
        this.rowHeight = ROW_HEIGHT.get(ContentDensityMode.COZY);
        /** Event emitted when the current preset configuration has been changed. */
        /**
         * Whether to load previous pages.
         * This option works only when `pageScrolling` is true, and the initial page > 1
         */
        this.loadPagesBefore = false;
        /**
         * Whether or not the header cells should be interactive
         * (have hover and active states)
         * default: false
         */
        this.nonInteractiveHeader = false;
        /** @hidden */
        this._selectionMode = SelectionMode.NONE;
        /** @hidden */
        this._enableTristateMode = false;
        /**
         * Whether to force rows to follow 'checked all' state of the table.
         * If true, all new rows that are coming from the dataSource will follow 'checked all' state.
         * If false, row will respect `checkedKey` property to define checked state of itself.
         * Default is false.
         */
        this.forceCheckedAllState = false;
        /** The minimum width at which the user can resize a column, in pixels. Default is 50. */
        this.minimumColumnWidth = TABLE_COLUMN_MIN_WIDTH;
        /** @hidden */
        this._nonFrozenColumnsMinWidth = 0;
        /** @hidden */
        this._shouldCheckNewRows = false;
        /** @hidden */
        this._calculateFrozenColumnRefresh$ = new Subject();
        /** @hidden */
        this._defaultBodyHeight = '100%';
        /** Event emitted when current preset configuration has been changed. */
        this.presetChanged = new EventEmitter();
        /** Event fired when table selection has changed. */
        this.rowSelectionChange = new EventEmitter();
        /** Event fired when table sort order has changed. */
        this.sortChange = new EventEmitter();
        /** Event fired when the table filter has changed. */
        this.filterChange = new EventEmitter();
        /** Event fired when table grouping has changed. */
        this.groupChange = new EventEmitter();
        /** Event fired when visible columns list has been changed. */
        this.columnsChange = new EventEmitter();
        /** Event emitted when pagination state has been changed. */
        this.pageChange = new EventEmitter();
        /** Event fired when there is a change in the frozen column. */
        this.columnFreeze = new EventEmitter();
        /** Event fired when group/tree row collapsed/expanded. */
        this.rowToggleOpenState = new EventEmitter();
        /** Event fired when a cell is clicked or focused. */
        this.cellActivate = new EventEmitter();
        /** Event fired when row navigated. */
        this.rowActivate = new EventEmitter();
        /** Event fired when row navigated. */
        this.rowNavigate = new EventEmitter();
        /** Event fired when empty row added. */
        this.emptyRowAdded = new EventEmitter();
        /** Event fired when save button pressed. */
        this.save = new EventEmitter();
        /** Event fired when cancel button pressed. */
        this.cancel = new EventEmitter();
        /** Event emitted when table body being scrolled. */
        this.tableScrolled = new EventEmitter();
        /** Event emitted when new rows has been set and rendered. */
        this.tableRowsSet = new EventEmitter();
        /** Event emitted when all rows being expanded. */
        this.allRowsExpanded = new EventEmitter();
        /** Event emitted when all rows being collapsed. */
        this.allRowsCollapsed = new EventEmitter();
        /** Event emitted when a cell is focused. */
        this.cellFocused = new EventEmitter();
        /** Total loaded items. */
        this.loadedRows$ = signal(0);
        /** @hidden */
        this.hoveredRowIndex$ = signal(null);
        /**
         * @hidden
         * Representation of combined table rows.
         * Contains all rows including group rows.
         */
        this._tableRows = [];
        /**
         * @hidden
         * Representation of table rows that came from dataSource.
         * Contains all rows including group rows.
         */
        this._dataSourceTableRows = [];
        /**
         * @hidden
         * Representation of added table rows.
         */
        this._newTableRows = [];
        /**
         * @hidden
         * Visible table rows.
         * Rows list that is used to be rendered in the ui.
         * Based on _tableRows and excludes hidden rows.
         */
        this._tableRowsVisible = [];
        /**
         * @hidden
         * Table Column Map. Where key is column key and value is column
         */
        this._keyToColumnMap = new Map();
        /**
         * @hidden
         * Freezable column names and their respective indexes
         */
        this._freezableColumns = new Map();
        /**
         * @hidden
         * Freezable column names and their respective indexes for columns that will be frozen to the end of the table
         */
        this._freezableEndColumns = new Map();
        /** @hidden */
        this._tableColumnsLength = 0;
        /** @hidden */
        this._checkedState = false;
        /** @hidden */
        this._isGroupTable$ = computed(() => {
            const groupRules = this._tableService.groupRules$();
            return groupRules ? groupRules.size > 0 : (this.initialState?.initialGroupBy?.length ?? 0) > 0;
        });
        /**
         * @hidden
         * Used to create a row component placeholder and set data in it rather than re-create the row component when data changes.
         * Optimizes performance due to skipping initial setup of the component.
         */
        this._tableCurrentlyRenderedRowsPlaceholder = [];
        /** @hidden */
        this._dndTableRowsPlaceholder = [];
        /** @hidden */
        this._isSelectionColumnShown = false;
        /** @hidden */
        this._selectionColumnWidth = 0;
        /** @hidden */
        this._loadPreviousPages = false;
        /** @hidden */
        this._rtl = false;
        /** @hidden */
        this._dataSourceDirective = inject(TableDataSourceDirective);
        /** @hidden */
        this._tableRowService = inject(TableRowService);
        /** @hidden */
        this.initialState = inject(FDP_TABLE_STATE_DIRECTIVE, {
            optional: true
        });
        /** @hidden */
        this._virtualScrollDirective = inject(FDP_TABLE_VIRTUAL_SCROLL_DIRECTIVE, {
            optional: true
        });
        /** @hidden */
        this._dndTableDirective = inject(FDP_TABLE_DRAGGABLE_DIRECTIVE, {
            optional: true
        });
        /** @hidden */
        this._forceSemanticHighlighting = false;
        /** @hidden */
        this._isShownSortSettingsInToolbar$ = signal(false);
        /** @hidden */
        this._isShownFilterSettingsInToolbar$ = signal(false);
        /** @hidden */
        this._isShownGroupSettingsInToolbar$ = signal(false);
        /** @hidden */
        this._appliedFilterNames = signal([]);
        /** @hidden */
        this._isShownColumnSettingsInToolbar$ = signal(false);
        /** @hidden */
        this._isShownSettingsInToolbar$ = signal(false);
        /**
         * @hidden
         * Indicates when all items are checked
         */
        this._checkedAll = false;
        /**
         * @hidden
         * Indicates whether at least 1 item is checked
         */
        this._checkedAny = false;
        /** @hidden */
        this._subscriptions = new Subscription();
        /** @hidden */
        this._viewInitiated = false;
        /** @hidden */
        this._addedItems = [];
        /** @hidden */
        this._columnsWidthSet = false;
        /** @hidden */
        this._dndLoadingState = false;
        /** @hidden */
        this._rangeSelector = new RangeSelector();
        /** @hidden */
        this._currentPreset = {};
        /** @hidden */
        this._initialStateSet = false;
        /** @hidden */
        this._rowHeightManuallySet = false;
        /** @hidden */
        this._shouldEmitRowsChange = false;
        /** @hidden */
        this._lastFreezableColumnCalculation = false;
        /** @hidden */
        this._tableHeaderResizer = inject(TableHeaderResizerDirective);
        /** @hidden */
        this._defaultTrackBy = (index) => index;
        this.initialState?.setTable(this);
        this._dndTableDirective?.setTable(this);
        this._virtualScrollDirective?.setTable(this);
        this._dataSourceDirective.setTable(this);
        this._rowTrackBy = this._defaultTrackBy;
        this._toolbarContext = {
            counter: this._dataSourceDirective.totalItems$,
            sortable: this._isShownSortSettingsInToolbar$,
            filterable: this._isShownFilterSettingsInToolbar$,
            groupable: this._isShownGroupSettingsInToolbar$,
            columns: this._isShownColumnSettingsInToolbar$,
            settings: this._isShownSettingsInToolbar$,
            hasAnyActions: computed(() => this._isShownSortSettingsInToolbar$() ||
                this._isShownFilterSettingsInToolbar$() ||
                this._isShownGroupSettingsInToolbar$() ||
                this._isShownColumnSettingsInToolbar$() ||
                this._isShownSettingsInToolbar$()),
            appliedFilters: this._appliedFilterNames
        };
        this.tableColumnsStream = this._tableService.tableColumns$.asObservable();
        this._subscriptions.add(this._tableRowService.cellFocused$.subscribe((event) => {
            this.cellFocused.emit(event);
        }));
        this._subscriptions.add(this._tableRowService.cellActivate$.subscribe((event) => {
            this.cellActivate.emit(event);
        }));
    }
    /** Returns array of rows that are currently rendered in the table body. */
    getCurrentlyRenderedRows() {
        return this._tableCurrentlyRenderedRowsPlaceholder;
    }
    /**
     * Sets an array of rows that are currently rendered in the table body.
     * @param startIndex Start index of all rows.
     * @param length Length of rows.
     */
    setCurrentlyRenderedRows(startIndex = 0, length) {
        this._tableCurrentlyRenderedRowsPlaceholder = new Array(length).fill(null).map((_, i) => i + startIndex);
        this._dndTableRowsPlaceholder = this._tableRows.slice(startIndex, length);
        this._cdr.detectChanges();
    }
    /** @hidden */
    ngOnChanges(changes) {
        if ('loading' in changes) {
            this._tableService.setTableLoading(this.loadingState);
        }
        if ('trackBy' in changes) {
            this._rowTrackBy =
                typeof this.trackBy === 'function'
                    ? (index) => this.trackBy(index, this._tableRowsVisible[index].value)
                    : this._defaultTrackBy;
        }
        // changes below should be checked only after view is initialized
        if (!this._viewInitiated) {
            return;
        }
        if ('selectionMode' in changes) {
            this._rangeSelector.reset();
        }
        if ('selectionMode' in changes ||
            'freezeColumnsTo' in changes ||
            'freezeEndColumnsTo' in changes ||
            'semanticHighlighting' in changes) {
            this.recalculateTableColumnWidth();
        }
        if ('rowNavigatable' in changes) {
            this._tableRows.forEach((row) => (row.navigatable = isRowNavigatable(row.value, this.rowNavigatable)));
            this._calculateIsShownNavigationColumn();
        }
        if ('rowHeight' in changes) {
            this._rowHeightManuallySet = true;
        }
    }
    /** @hidden */
    ngOnInit() {
        this._tableColumnResizeService.setTableRef(this);
    }
    /** @hidden */
    ngAfterViewInit() {
        this._viewInitiated = true;
        this.initialState?.setInitialState();
        this._dataSourceDirective.initializeDataSource();
        this._listenToTableStateChanges();
        this._listenToColumns();
        this._calculateVisibleColumns();
        this._tableService.constructTableMetadata();
        this._listenToTableRowsPipe();
        this._listenToPageScrolling();
        this._virtualScrollDirective?.listenOnVirtualScroll();
        this._listenToRowHeightChange();
        this._listenToColumnPropertiesChange();
        this._listenToTableWidthChanges();
        this._listenToTableContainerMouseLeave();
        this._listenToLoadingAndRefocusCell();
        this._initScrollPosition();
        this._listenToFixedColumnsWidth();
        if (this.expandOnInit) {
            this.expandAll();
        }
        this._subscriptions.add(this._virtualScrollDirective?.virtualScrollTransform$
            .pipe(filter(() => !!this._virtualScrollDirective?.virtualScroll && !!this._tableBody))
            .subscribe((transform) => {
            this._tableBody.nativeElement.style.transform = `translateY(${transform}px)`;
        }));
        if (this._focusableGrid) {
            this._focusableGrid.shortRowFocus = 'first';
        }
    }
    /** @hidden */
    ngAfterViewChecked() {
        // When table rows are set, emit an event to manipulate the view (e.g., scroll to some row).
        if (!this._shouldEmitRowsChange) {
            return;
        }
        this._shouldEmitRowsChange = false;
        const emitter = this.tableRowsSet;
        this._onZoneFree(() => {
            emitter.emit();
        });
    }
    /** @hidden */
    ngOnDestroy() {
        this._subscriptions.unsubscribe();
        this._calculateFrozenColumnRefresh$.next();
        this._calculateFrozenColumnRefresh$.complete();
    }
    /** Get current state/settings of the Table. */
    getTableState() {
        return this._tableService.getTableState();
    }
    /** Set current state/settings of the Table. */
    setTableState(state) {
        this._tableService.setTableState(state);
        this._cdr.markForCheck();
    }
    /** Get table columns definition list. */
    getTableColumns() {
        return this.columns?.toArray() || [];
    }
    /** Get a list of visible table columns. */
    getVisibleTableColumns() {
        return this._visibleColumns || [];
    }
    /** Set Sorting rules */
    sort(sortRules) {
        this._tableService.setSort(sortRules);
        this._cdr.markForCheck();
    }
    /** Add Sorting rules to the existing ones */
    addSort(sortRules) {
        this._tableService.addSort(sortRules);
        this._cdr.markForCheck();
    }
    /** Set Filter rules */
    filter(filterRules) {
        this._tableService.setFilters(filterRules);
        this._cdr.markForCheck();
    }
    /** Add Filter rule */
    addFilter(filterRules) {
        this._tableService.addFilters(filterRules);
        this._cdr.markForCheck();
    }
    /** Removes filters for the provided fields */
    removeFilter(fields) {
        this._tableService.removeFilters(fields);
        this._cdr.markForCheck();
    }
    /** Set Groups */
    group(groups) {
        this._tableService.setGroups(groups);
        this._cdr.markForCheck();
    }
    /** Add Groups */
    addGroup(groups) {
        this._tableService.addGroups(groups);
        this._cdr.markForCheck();
    }
    /**
     * Set visible table columns
     * The order is matter
     * @param columns table columns names
     */
    setColumns(columns) {
        const tableColumns = this.getTableColumns();
        const columnsObject = {
            columns: [],
            keys: []
        };
        tableColumns
            .filter((column) => columns.includes(column.name))
            // We need to have same order of columns as user defined.
            .sort((a, b) => columns.indexOf(a.name) - columns.indexOf(b.name))
            .reduce((acc, column) => {
            acc.columns.push(column.name);
            acc.keys.push(column.key);
            return acc;
        }, columnsObject);
        this._tableService.setColumns(columnsObject.columns, columnsObject.keys);
        this._cdr.markForCheck();
    }
    /** Freeze table to column */
    freezeToColumn(columnName, end) {
        end ? (this.freezeEndColumnsTo = columnName) : (this.freezeColumnsTo = columnName);
        this._tableService.freezeTo(columnName, end);
        this.recalculateTableColumnWidth();
    }
    /** Unfreeze column */
    unfreeze(columnName, end) {
        const columns = end ? this._freezableEndColumns : this._freezableColumns;
        const freezeToColumnIndex = columns.get(columnName) ?? -1;
        const freezeToPreviousColumnName = columns[freezeToColumnIndex - 1];
        end
            ? (this.freezeEndColumnsTo = freezeToPreviousColumnName)
            : (this.freezeColumnsTo = freezeToPreviousColumnName);
        this._tableService.freezeTo(freezeToPreviousColumnName, end);
        this.recalculateTableColumnWidth();
    }
    /** expand all rows */
    expandAll() {
        const expandableRows = this._tableRows.filter((row) => row.type === TableRowType.TREE);
        if (this._dataSourceDirective.childDataSource) {
            this._tableRowService.loadChildRows(expandableRows);
        }
        this._markAsExpanded(expandableRows);
        this.allRowsExpanded.emit();
    }
    /** collapse all rows */
    collapseAll() {
        this._tableRows.forEach((e) => {
            e.expanded = false;
            if (e.parent) {
                e.hidden = true;
            }
        });
        this.onTableRowsChanged();
        this.allRowsCollapsed.emit();
    }
    /** Search in table */
    search(searchInput) {
        this._tableService.search(searchInput);
        this._cdr.markForCheck();
    }
    /** Set current page number in table */
    setCurrentPage(currentPage) {
        this._tableService.setCurrentPage(currentPage);
        this._cdr.markForCheck();
    }
    /** Set items per page number in table  */
    setPageSize(pageSize, resetPageNumber = true) {
        this._tableService.setItemsPerPage(pageSize, resetPageNumber);
    }
    /** Toolbar Sort Settings button visibility */
    showSortSettingsInToolbar(showSortSettings) {
        this._isShownSortSettingsInToolbar$.set(showSortSettings);
    }
    /** Toolbar Filter Settings button visibility */
    showFilterSettingsInToolbar(showFilterSettings) {
        this._isShownFilterSettingsInToolbar$.set(showFilterSettings);
    }
    /** Toolbar Group Settings button visibility */
    showGroupSettingsInToolbar(showGroupSettings) {
        this._isShownGroupSettingsInToolbar$.set(showGroupSettings);
    }
    /** Toolbar Columns Settings button visibility */
    showColumnSettingsInToolbar(showColumnSettings) {
        this._isShownColumnSettingsInToolbar$.set(showColumnSettings);
    }
    /** Toolbar Settings button visibility */
    showSettingsInToolbar(showSettings) {
        this._isShownSettingsInToolbar$.set(showSettings);
    }
    /** Disable filter from column heder menu */
    setHeaderColumnFilteringDisabled(disabled) {
        this._tableService._isFilteringFromHeaderDisabled$.set(disabled);
    }
    /** Set the row navigation */
    setRowNavigation(rowIndex, rowNavigatable) {
        const row = this._tableRows[rowIndex];
        if (!row) {
            return;
        }
        row.navigatable = isRowNavigatable(row.value, rowNavigatable);
        this._calculateIsShownNavigationColumn();
        this._cdr.markForCheck();
    }
    /**
     * Toggle row checked state.
     * @param rowIndex Index of the row.
     */
    toggleSelectableRow(rowIndex) {
        const row = this._tableRows[rowIndex];
        if (!row || row.value[this.selectableKey] === false) {
            return;
        }
        if (this.selectionMode === SelectionMode.SINGLE) {
            this._toggleSingleSelectableRow(row);
        }
        else if (this.selectionMode === SelectionMode.MULTIPLE) {
            this._toggleMultiSelectRow(row);
        }
    }
    /**
     * Sets the checked state of the row.
     * @param rowIndex Index of the row.
     * @param value Value of the checked state.
     */
    setRowCheckedState(rowIndex, value) {
        const row = this._tableRows[rowIndex];
        if (!row) {
            return;
        }
        if (row.checked !== value) {
            this.toggleSelectableRow(rowIndex);
        }
    }
    /** Remove the row navigation */
    removeRowNavigation(rowIndex) {
        const row = this._tableRows[rowIndex];
        if (!row) {
            return;
        }
        row.navigatable = false;
        this._calculateIsShownNavigationColumn();
        this._cdr.markForCheck();
    }
    /** Manually triggers column's width recalculation */
    recalculateTableColumnWidth() {
        this._tableColumnResizeService.setColumnNames(this._visibleColumns.map((column) => column.name));
        this._setFreezableInfo();
    }
    /** Gets the max allowed width for all freezable columns */
    getMaxAllowedFreezableColumnsWidth() {
        if (!this._freezableColumns.size) {
            return 0;
        }
        /** Themeable scrollbar has 0.75rem in dimension */
        const scrollbarSizeInPx = 12;
        return this._tableWidthPx - this._fixedColumnsPadding - scrollbarSizeInPx - 1;
    }
    /** Get table data source */
    getDataSource() {
        return this._dataSourceDirective._tableDataSource;
    }
    /**
     * Adds empty row for editing at the beginning of the rows array.
     */
    addRow() {
        this._forceSemanticHighlighting = true;
        this._setSemanticHighlighting();
        const newRow = buildNewRowSkeleton(this.editableRowSkeleton, this.columns.toArray());
        newRow[this.semanticHighlighting] = EDITABLE_ROW_SEMANTIC_STATE;
        this._addedItems.unshift(newRow);
        const newRows = this._createTableRowsByDataSourceItems([newRow]);
        this._newTableRows = [...newRows, ...this._newTableRows];
        this._setTableRows();
        this.emptyRowAdded.emit();
    }
    /** Cancels editing and discards newly added rows */
    cancelEditing() {
        this._resetEditState();
        this.cancel.emit();
    }
    /**
     * Emits save event and resets editable rows array.
     */
    saveRows() {
        const event = new SaveRowsEvent(() => {
            this._dataSourceDirective._tableDataSource.fetch(this.getTableState());
        }, [...this._addedItems]);
        const editableCells = [].concat.apply([], Array.from(this._tableRowService.editableCells.values()));
        const forms = [...this.customEditableCells.toArray(), ...editableCells].map((t) => t.form);
        // Trigger form revalidation
        forms.forEach((form) => form.onSubmit(null));
        if (forms.some((form) => form.invalid)) {
            return;
        }
        this._resetEditState();
        this.save.emit(event);
    }
    /** Sets current preset for the Table. */
    setPreset(data) {
        this._currentPreset = data;
        const newState = Object.assign({}, this._tableService.getDefaultState(), data);
        this._tableService.setSort(newState.sortBy);
        this._tableService.setFilters(newState.filterBy);
        this._tableService.setGroups(newState.groupBy);
        this.setColumns(newState.columns);
        this._tableService.search(newState.searchInput);
        this._tableService.freezeTo(newState.freezeToColumn);
        this.pageSize = newState.page.pageSize;
        this._tableService.setCurrentPage(newState.page.currentPage);
        this._tableService.setTableState(newState);
    }
    /** Returns current preset configuration. */
    getCurrentPreset() {
        if (!this._currentPreset) {
            return this.getTableState();
        }
        // We need to return object as similar as the original preset.
        const currentPreset = { ...this._currentPreset };
        const presetKeys = Object.keys(currentPreset);
        const currentState = this.getTableState();
        Object.keys(currentState).forEach((stateKey) => {
            // Skip state entry if it's not present in preset and doesn't have any value.
            if (stateKey === 'columnKeys' ||
                ((!currentState[stateKey] ||
                    (Array.isArray(currentState[stateKey]) && currentState[stateKey]?.length === 0)) &&
                    !presetKeys.includes(stateKey))) {
                return;
            }
            currentPreset[stateKey] = currentState[stateKey];
        });
        return currentPreset;
    }
    /**
     * Manually triggers list item event listeners for drag&drop list directive.
     */
    refreshDndList() {
        if (this._virtualScrollDirective?.virtualScroll !== true) {
            return;
        }
        this._dndDirective?.refreshQueryList();
    }
    /**
     * Programmatically toggles `expand` state of the row with defined index.
     * @param rowIndexes row indexes including nested rows.
     *
     * Usage example:
     * * To toggle first level row, pass one argument:
     * ```
     * table.toggleGroupRows(0) // Will result in toggling first row if it's type is `TableRowType.TREE` or `TableRowType.GROUP`.
     * ```
     * * To toggle nested rows, pass additional arguments of indexes:
     * ```
     * table.toggleGroupRows(0, 1) // Will result in toggling first root row, then it's second child.
     * ```
     */
    toggleGroupRows(...rowIndexes) {
        let tableRow = null;
        for (const rowIndex of rowIndexes) {
            tableRow = tableRow ? tableRow.children[rowIndex] : this._tableRows[rowIndex];
            if (tableRow.type === TableRowType.ITEM) {
                break;
            }
            this._toggleGroupRow(tableRow);
        }
    }
    /**
     * Function used to focus a cell in the table utilizing a FocusableCellPosition interface.
     */
    focusCell(position) {
        const tableEl = this.table.nativeElement;
        tableEl.rows[position.rowIndex].cells[position.colIndex].focus();
    }
    /**
     * Clears the array of table rows. Triggered when new data source is applied.
     */
    clearTableRows() {
        this._tableRows = [];
        this.loadedRows$.set(0);
        this._tableRowsVisible = [];
        this._tableCurrentlyRenderedRowsPlaceholder = [];
        this._newTableRows = [];
        this._dataSourceTableRows = [];
        this._setTableRows([]);
        this._tableService.setCurrentPage(1);
    }
    // Private API
    /** @hidden */
    _scrollToOverlappedCell() {
        this.tableScrollable.scrollToOverlappedCell(!!this._rtlService?.rtlSignal(), this._freezableColumns.size, this._freezableEndColumns.size);
    }
    /** @hidden */
    _calculatingLoading(isLoading) {
        if (this._dndLoadingState === isLoading) {
            return;
        }
        this._dndLoadingState = isLoading;
        this._tableService.setTableLoading(this.loadingState);
    }
    /**
     * @hidden
     * Toggle selectable row in SelectionMode.MULTIPLE
     */
    _toggleMultiSelectRow(rowToToggle, event) {
        if (this.selectionMode !== SelectionMode.MULTIPLE) {
            throw new Error('Unexpected selection mode');
        }
        const checked = (rowToToggle.checked = !rowToToggle.checked);
        const rows = this._tableRows;
        const selectedIndex = this._tableRows.findIndex((row) => row === rowToToggle);
        const removed = [];
        const added = [];
        this._rangeSelector.onRangeElementToggled(selectedIndex, event);
        this._rangeSelector.applyValueToEachInRange((idx) => {
            const row = rows[idx];
            if (row.type === TableRowType.ITEM || row.isTree) {
                row.checked = checked;
                checked ? added.push(row) : removed.push(row);
                this._applyTristateSelection(row, added, removed);
            }
        });
        this._emitRowSelectionChangeEvent(added, removed);
        this._calculateCheckedAll();
    }
    /**
     * @hidden
     * Toggle selectable row in SelectionMode.SINGLE
     */
    _toggleSingleSelectableRow(rowToToggle) {
        if (this.selectionMode !== SelectionMode.SINGLE) {
            throw new Error('Unexpected selection mode');
        }
        const checked = (rowToToggle.checked = !rowToToggle.checked);
        const removed = [];
        const added = [];
        // uncheck previously checked
        getSelectableRows(this._tableRows, this.selectableKey).forEach((row) => {
            if (row === rowToToggle) {
                return;
            }
            if (row.checked) {
                row.checked = false;
                removed.push(row);
            }
        });
        checked ? added.push(rowToToggle) : removed.push(rowToToggle);
        this._emitRowSelectionChangeEvent(added, removed);
        this._calculateCheckedAll();
    }
    /**
     * @hidden
     * Select / Unselect all selectable rows
     */
    _toggleAllSelectableRows(selectAll) {
        const removed = [];
        const added = [];
        getSelectableRows(this._tableRows, this.selectableKey).forEach((row) => {
            if (row.checked === selectAll) {
                return;
            }
            row.checked = selectAll;
            selectAll ? added.push(row) : removed.push(row);
        });
        this._rangeSelector.reset();
        this._shouldCheckNewRows = selectAll;
        this._emitRowSelectionChangeEvent(added, removed, true);
        this._calculateCheckedAll();
    }
    /**
     * @hidden
     * Create table row selection event
     */
    _emitRowSelectionChangeEvent(added, removed, all = false) {
        const selected = getSelectableRows(this._tableRows, this.selectableKey)
            .filter(({ checked }) => checked)
            .map(({ value }) => value);
        this.rowSelectionChange.emit({
            source: this,
            selection: selected,
            added: added.map(({ value }) => value),
            removed: removed.map(({ value }) => value),
            index: added.concat(removed).map(({ index }) => index),
            all
        });
    }
    /** @hidden */
    _onCellClick(colIdx, row) {
        if (row.state === 'readonly' && isTreeRowFirstCell(colIdx, row)) {
            this._toggleGroupRow(row);
        }
    }
    /** @hidden */
    _onRowClick(row, event) {
        if (row && row.state !== 'readonly') {
            return;
        }
        if (event && event instanceof KeyboardEvent && KeyUtil.isKeyCode(event, SPACE)) {
            const eventTarget = event.target;
            const tabbableElement = this._tabbableService.getTabbableElement(eventTarget, false, true);
            if (tabbableElement) {
                event.preventDefault();
                tabbableElement.focus();
                tabbableElement.dispatchEvent(new MouseEvent('click'));
            }
        }
        if (row) {
            const e = event;
            const ctrlKey = e.ctrlKey || e.metaKey;
            this._emitRowNavigate(row, ctrlKey);
            this._emitRowActivate(row, ctrlKey);
        }
    }
    /** @hidden */
    _emitCellActivate(columnIndex, row) {
        this.cellActivate.emit(new TableCellActivateEvent(columnIndex, row.value));
    }
    /** @hidden */
    _emitRowActivate(row, ctrlKey) {
        if (!this.rowsActivable) {
            return;
        }
        const rowIndex = this._tableRows.indexOf(row);
        this.rowActivate.emit(new TableRowActivateEvent(rowIndex, ctrlKey, row.value));
    }
    /**
     * @hidden
     * Expand/Collapse group row
     */
    _toggleGroupRow(groupRow) {
        if (this._dndTableDirective?.dragDropInProgress) {
            return;
        }
        this.toggleExpandableTableRow(groupRow);
        const groupRowIndex = this._tableRows.indexOf(groupRow);
        this.rowToggleOpenState.emit(new TableRowToggleOpenStateEvent(groupRowIndex, groupRow.value, groupRow.expanded));
    }
    /** @hidden */
    _emitRowNavigate(row, ctrlKey) {
        if (!row.navigatable) {
            return;
        }
        const rowIndex = this._tableRows.indexOf(row);
        if (this.highlightNavigatedRow) {
            this._navigatedRowIndex = rowIndex;
        }
        this.rowNavigate.emit(new TableRowActivateEvent(rowIndex, ctrlKey, row.value));
    }
    /** Fetch data source data. */
    fetch() {
        this._dataSourceDirective._tableDataSource.fetch(this.getTableState());
    }
    /** @hidden */
    onTableRowsChanged() {
        this._reIndexTableRows();
        this._calculateVisibleTableRows();
        this._calculateCheckedAll();
    }
    /** @hidden */
    toggleExpandableTableRow(rowToToggle, forceFetch = false) {
        rowToToggle.forceFetch = forceFetch;
        const expanded = (rowToToggle.expanded = !rowToToggle.expanded);
        findRowChildren(rowToToggle, this._tableRows).forEach((row) => {
            // if parent is collapsed we want to hide all nested items
            if (!expanded) {
                row.hidden = true;
                row.expanded = false;
            }
            // if parent is expanded, we want to show only items which direct parents are expanded as well
            if (expanded) {
                row.hidden = !getRowParents(row, rowToToggle).every((parent) => parent.expanded);
            }
        });
        this.onTableRowsChanged();
    }
    /** @hidden */
    _onSpyIntersect(intersected) {
        if (!intersected) {
            return;
        }
        const { page: { currentPage, pageSize } } = this.getTableState();
        const totalItems = this._dataSourceDirective.totalItems$();
        const lastPage = Math.ceil(totalItems / (pageSize || totalItems));
        if (currentPage >= lastPage) {
            return;
        }
        this._ngZone.run(() => {
            this.setCurrentPage(currentPage + 1);
        });
    }
    /** @hidden */
    handleMouseEnter(rowIndex) {
        this.hoveredRowIndex$.set(rowIndex);
    }
    /** @hidden */
    handleMouseLeave() {
        this.hoveredRowIndex$.set(null);
    }
    /** Manually update index after we add new items to the main array */
    _reIndexTableRows() {
        this._tableRows.map((row, index) => (row.index = index));
    }
    /** @hidden */
    _isValidInteger(value) {
        return Number.isInteger(parseInt(value, 10));
    }
    /** @hidden */
    _markAsExpanded(rows) {
        rows.forEach((e) => {
            e.expanded = true;
            e.hidden = false;
        });
        this.onTableRowsChanged();
    }
    /** @hidden */
    _listenToTableRowsPipe() {
        this._subscriptions.add(this._dataSourceDirective.items$
            .pipe(
        // map source items to table rows
        map((source) => this._createTableRowsByDataSourceItems(source)), 
        // Insert items to show groups
        switchMap((rows) => this.isTreeTable
            ? of(rows)
            : this._tableService.groupRulesSubject.pipe(map((groupRules) => this._tableRowService.groupTableRows(rows, groupRules.values(), groupRules)))))
            .subscribe((rows) => {
            rows =
                (this.pageScrolling || this.showGrowingButton) && this.getTableState().page.currentPage > 1
                    ? [...this._tableRows, ...rows]
                    : rows;
            this._setTableRows(rows);
        }));
        this._dataSourceDirective.childItems$
            .pipe(map((items) => {
            const rowMap = new Map();
            items.forEach((rowItems, parentRow) => {
                rowMap.set(parentRow, this._createTableRowsByDataSourceItems(rowItems).map((row) => {
                    row.parent = parentRow;
                    row.level = parentRow.level + 1;
                    row.hidden = !parentRow.expanded;
                    return row;
                }));
            });
            return rowMap;
        }))
            .subscribe((items) => {
            items.forEach((rows, parentRow) => {
                let nestedChildrenCount = 0;
                function tallyNestedChildren(parent) {
                    if (parent.children) {
                        nestedChildrenCount = nestedChildrenCount + parent.children.length;
                        parent.children.forEach((child) => {
                            tallyNestedChildren(child);
                        });
                    }
                }
                tallyNestedChildren(parentRow);
                this._tableRows.splice(parentRow.index + nestedChildrenCount + 1, 0, ...rows);
                parentRow.children.push(...rows);
                parentRow.lastChild = parentRow.children[parentRow.children.length - 1];
                this._setTableRows(this._tableRows);
            });
        });
    }
    /** @hidden */
    _listenToTableStateChanges() {
        this._subscriptions.add(this._tableService.tableStateChanges$.subscribe(() => {
            this.presetChanged.emit(this.getCurrentPreset());
        }));
        this._subscriptions.add(this._tableService.needFetch$
            .pipe(map(() => this._tableService.getTableState()), filter((state) => !!state && !!this._dataSourceDirective._tableDataSource), distinctUntilChanged())
            .subscribe((state) => {
            this._dataSourceDirective._tableDataSource.fetch(state);
        }));
        this._subscriptions.add(this._tableService.stateChange$.subscribe(({ type, state }) => {
            switch (type) {
                case 'columns':
                    this._calculateVisibleColumns();
                    this.recalculateTableColumnWidth();
                    this.columnsChange.emit(new TableColumnsChangeEvent(this, state.current, state.previous));
                    break;
                case 'filter':
                    this.filterChange.emit(new TableFilterChangeEvent(this, state.current, state.previous));
                    this.tableColumnFilterChange.emit();
                    this._setAppliedFilterNames(state.current);
                    break;
                case 'freeze':
                    if (!this._lastFreezableColumnCalculation) {
                        this.columnFreeze.emit(new TableColumnFreezeEvent(this, state.current, state.previous));
                    }
                    this.fixed = !!this.fixed || !!this._freezableColumns.size || !!this._freezableEndColumns.size;
                    break;
                case 'search':
                    break;
                case 'group':
                    this._calculateVisibleColumns();
                    this.recalculateTableColumnWidth();
                    this.groupChange.emit(new TableGroupChangeEvent(this, state.current, state.previous));
                    break;
                case 'page':
                    this.pageChange.emit(new TablePageChangeEvent(this, state.current, state.previous));
                    break;
                case 'sort':
                    this.sortChange.emit(new TableSortChangeEvent(this, state.current, state.previous));
                    break;
            }
        }));
        this._listenToTableRowStateChange();
    }
    /** @hidden */
    _setAppliedFilterNames(filters) {
        const formattedFilters = filters.map((f) => ({
            columnName: this._formatColumnName(f.fieldName || ''),
            params: this._formatParams(f.value)
        }));
        this._appliedFilterNames.set(formattedFilters);
    }
    // Helper function to format nested parameters
    _formatParams(value) {
        if (typeof value !== 'object' || value === null) {
            return String(value); // Handle non-object values
        }
        // handle array
        if (Array.isArray(value)) {
            return value.map((val) => this._formatParams(val)).join(', ');
        }
        return Object.entries(value)
            .map(([key, val]) => `${key}: ${this._formatParams(val)}`) // Recursive call for nested objects
            .join(', ');
    }
    /** @hidden */
    _formatColumnName(columnName) {
        return columnName.charAt(0).toUpperCase() + columnName.slice(1);
    }
    /** @hidden */
    _listenToTableRowStateChange() {
        this._subscriptions.add(this._tableRowService.scrollToOverlappedCell$.subscribe(() => {
            this._scrollToOverlappedCell();
        }));
        this._subscriptions.add(this._tableRowService.loadChildRows$.subscribe((rows) => {
            const state = this.getTableState();
            rows.forEach((row) => {
                this._dataSourceDirective.childDataSource?.dataProvider
                    .rowChildrenCount(row, state)
                    .pipe(filter((count) => row.forceFetch || count > row.children.length), tap(() => (row.forceFetch = false)), take(1))
                    .subscribe(() => {
                    const rowState = {
                        ...state,
                        ...{
                            page: {
                                currentPage: Math.floor(row.children.length / state.page.pageSize) + 1,
                                pageSize: state.page.pageSize
                            }
                        }
                    };
                    this._dataSourceDirective.childDataSource?.fetch(rowState, [row]);
                });
            });
        }));
        this._subscriptions.add(this._tableRowService.cellClicked$.subscribe((evt) => {
            this._onCellClick(evt.index, evt.row);
        }));
        this._subscriptions.add(this._tableRowService.toggleAllSelectableRows$.subscribe((evt) => {
            this._toggleAllSelectableRows(evt);
        }));
        this._subscriptions.add(this._tableRowService.toggleRow$.subscribe((evt) => {
            switch (evt.type) {
                case 'toggleRow':
                    this._toggleGroupRow(evt.row);
                    break;
                case 'toggleMultiSelectRow':
                    this._toggleMultiSelectRow(evt.row, evt.event);
                    break;
                case 'toggleSingleSelectableRow':
                    this._toggleSingleSelectableRow(evt.row);
                    break;
            }
        }));
    }
    /** @hidden */
    _createTableRowsByDataSourceItems(source) {
        let rows;
        if (this.isTreeTable) {
            rows = this._createTreeTableRowsByDataSourceItems(source);
        }
        else {
            rows = convertObjectsToTableRows(source, this._addedItems, this.selectedKey, this.rowNavigatable, this.selectionMode, this._tableRows, this.rowComparator);
        }
        if (this._shouldCheckNewRows && this.forceCheckedAllState) {
            rows.forEach((row) => {
                row.checked = row.checked || true;
            });
        }
        return rows;
    }
    /** @hidden */
    _createTreeTableRowsByDataSourceItems(source) {
        const item = source[0];
        if (isTableRow(item)) {
            return convertTreeTableRowToFlatList(source, this.rowNavigatable);
        }
        if (isJsObject(item)) {
            return convertTreeObjectsToTableRows(source, this.selectionMode, this._tableRows, this.rowComparator, this.relationKey, this.hasChildrenKey, this.selectedKey, this.expandedStateKey, this.rowNavigatable, this.enableTristateMode);
        }
        return [];
    }
    /** @hidden */
    _setTableRows(rows = this._dataSourceTableRows) {
        this._dataSourceTableRows = rows;
        this._tableRows = [...this._newTableRows, ...this._dataSourceTableRows];
        this.loadedRows$.set(this._tableRows.length);
        this.onTableRowsChanged();
        this._calculateIsShownNavigationColumn();
        this._rangeSelector.reset();
        this._shouldEmitRowsChange = true;
        if (rows.length && !this._columnsWidthSet) {
            this.recalculateTableColumnWidth();
            this._columnsWidthSet = true;
        }
        this._cdr.detectChanges();
    }
    /** @hidden */
    _calculateVisibleTableRows() {
        this._tableRowsVisible = this._tableRows.filter((row) => !row.hidden);
        if (this._virtualScrollDirective?.virtualScroll) {
            this._virtualScrollDirective.calculateVirtualScrollRows();
        }
        else {
            this.setCurrentlyRenderedRows(0, this._tableRowsVisible.length);
        }
    }
    /** @hidden */
    _listenToRowHeightChange() {
        this._subscriptions.add(this.contentDensityObserver
            .pipe(tap(() => {
            this._setSelectionColumnWidth();
        }), filter(() => Array.from(ROW_HEIGHT.values()).includes(this.rowHeight)), filter(() => !this._rowHeightManuallySet))
            .subscribe((contentDensity) => {
            this.rowHeight = ROW_HEIGHT.get(contentDensity) ?? ROW_HEIGHT.get(ContentDensityMode.COZY);
            if (this._virtualScrollDirective?.virtualScroll) {
                this._virtualScrollDirective.rowHeight = this.rowHeight;
                this._virtualScrollDirective.secondaryRowHeight = this.secondaryRowHeight;
                this._virtualScrollDirective.calculateVirtualScrollRows();
            }
        }));
    }
    /** @hidden */
    _listenToColumns() {
        this.columns.changes.pipe(startWith(null)).subscribe(() => {
            const columns = this.getTableColumns();
            const prevColumns = this._tableService.tableColumns$.value.map((column) => column.name);
            const currentColumns = columns.map((column) => column.name);
            const newColumns = columns
                .filter((column) => column.visible && !prevColumns.includes(column.name))
                .map((c) => c.name);
            const stateColumns = this.getTableState().columns;
            this._buildColumnsMap(columns);
            this._tableService.tableColumns$.next(columns);
            if (this._initialStateSet) {
                this.setColumns([...stateColumns, ...newColumns]);
            }
            this._initialStateSet = true;
            const updatedColumns = this._tableService.tableColumns$.value.map((column) => column.name);
            if (!equal$1(updatedColumns, currentColumns)) {
                this._tableService.stateChange$.next({
                    type: 'columns',
                    state: { previous: currentColumns, current: updatedColumns }
                });
                this._tableService.columnsChange$.next({ previous: currentColumns, current: updatedColumns });
            }
            this._tableService.detectChanges();
        });
    }
    /**
     * Construct visible columns for rendering purpose.
     */
    _calculateVisibleColumns() {
        const columnsDefinition = this.getTableColumns();
        const { columns, groupBy } = this.getTableState();
        const groupedColumnsToHide = groupBy.filter(({ showAsColumn }) => !showAsColumn).map(({ field }) => field);
        const allColumns = columns // need to start mapping from state.columns list to keep right order
            .map((name) => columnsDefinition.find((column) => column.name === name))
            .filter((column) => !!column)
            .filter(({ key }) => !groupedColumnsToHide.includes(key));
        const [visibleColumns, poppingColumns] = allColumns.reduce((acc, column) => {
            if (column.responsiveState === 'hidden') {
                return acc;
            }
            acc[column.responsiveState === 'visible' ? 0 : 1].push(column);
            return acc;
        }, [[], []]);
        this._tableService.setVisibleColumns(visibleColumns);
        this._tableService.setPoppingColumns(poppingColumns);
        this._cdr.detectChanges();
        this._calculateTableColumnsLength();
    }
    /** @hidden */
    _calculateTableColumnsLength() {
        const isGroupable = this.initialState?.initialGroupBy.length;
        this._tableColumnsLength =
            this.getTableColumns().length + (this._isSelectionColumnShown || isGroupable ? 1 : 0);
    }
    /** @hidden */
    _calculateIsShownNavigationColumn() {
        this._tableService._isShownNavigationColumn$.set(this._tableRows.some((tableRow) => tableRow.navigatable));
    }
    /** @hidden */
    _setFreezableInfo() {
        this._freezableColumns = getFreezableColumns(this._visibleColumns, this.freezeColumnsTo);
        this._freezableEndColumns = getFreezableEndColumns(this._visibleColumns, this.freezeEndColumnsTo);
        this.fixed = !!this.fixed || !!this._freezableColumns.size || !!this._freezableEndColumns.size;
        this.columns.forEach((column) => {
            column._freezed = this._freezableColumns.has(column.name);
            column._endFreezed = this._freezableEndColumns.has(column.name);
        });
    }
    /** @hidden */
    _buildColumnsMap(columns = this._tableService.tableColumns$.value) {
        this._keyToColumnMap = new Map(columns.map((column) => [column.key, column]));
    }
    /** @hidden */
    _calculateCheckedAll() {
        const selectableRows = getSelectableRows(this._tableRows, this.selectableKey);
        const totalSelected = selectableRows.filter((r) => r.checked);
        this._checkedAll = totalSelected.length === selectableRows.length && selectableRows.length !== 0;
        this._checkedAny = totalSelected.length > 0;
        this._checkedState = this._checkedAll ? true : this._checkedAny ? null : false;
    }
    /**
     * Propagates tristate selection mode to the tree. It starts with updating a state for all the parents and then
     * to children
     *
     * @hidden
     */
    _applyTristateSelection(row, addedRows, removedRows) {
        if (!this.enableTristateMode) {
            return;
        }
        this._applySelectionToParents(row, addedRows, removedRows);
        this._applySelectionToChildren(row, addedRows, removedRows);
    }
    /** @hidden */
    _applySelectionToParents(row, addedRows, removedRows) {
        let currentRow = row.parent;
        while (currentRow) {
            const children = findRowChildren(currentRow, this._tableRows).filter((r) => r.parent === currentRow);
            const totalChecked = [];
            const totalIndeterminate = [];
            children.forEach((r) => {
                if (r.checked === true) {
                    totalChecked.push(r);
                }
                else if (r.checked === null) {
                    totalIndeterminate.push(r);
                }
            });
            const checkedAll = totalChecked.length === children.length;
            const checkedAny = totalChecked.length > 0;
            currentRow.checked = checkedAll ? true : checkedAny || totalIndeterminate.length > 0 ? null : false;
            currentRow.checked || currentRow.checked === null
                ? addedRows.push(currentRow)
                : removedRows.push(currentRow);
            currentRow = currentRow.parent;
        }
    }
    /** @hidden */
    _applySelectionToChildren(row, addedRows, removedRows) {
        applySelectionToChildren(this._tableRows, row, addedRows, removedRows);
    }
    /** @hidden */
    _listenToPageScrolling() {
        this._subscriptions.add(this._tableScrollDispatcher
            .scrolled()
            .pipe(filter(() => this.pageScrolling))
            .subscribe((scrollable) => {
            const scrollTop = scrollable.getScrollTop();
            this.tableScrolled.emit(scrollTop);
            // Instead of having two places to record this possition, we could just subscribe once.
            this.getTableState().scrollTopPosition = scrollTop;
        }));
    }
    /** @hidden */
    _listenToColumnPropertiesChange() {
        this._subscriptions.add(this._tableService.markForCheck$.pipe(debounceTime(5)).subscribe(() => this._cdr.markForCheck()));
        this._subscriptions.add(this._tableService.detectChanges$.pipe(debounceTime(5)).subscribe(() => this._cdr.detectChanges()));
    }
    /** @hidden */
    _listenToTableWidthChanges() {
        this._subscriptions.add(resizeObservable(this.tableContainer.nativeElement)
            .pipe(tap(() => {
            // this._tableContainerScrollWidth = this.tableContainer.nativeElement.scrollWidth;
            this._checkCellMock();
        }), debounceTime(100))
            .subscribe(() => {
            this.recalculateTableColumnWidth();
            if (this._freezableColumns.size || this._freezableEndColumns.size) {
                this._tableColumnResizeService.updateFrozenColumnsWidth();
                this._cdr.detectChanges();
            }
        }));
        this._subscriptions.add(resizeObservable(this.table.nativeElement).subscribe(() => {
            // this._tableScrollWidth = this.table.nativeElement.scrollWidth;
            this._checkCellMock();
        }));
    }
    /** @hidden */
    _listenToTableContainerMouseLeave() {
        this._ngZone.runOutsideAngular(() => {
            this._subscriptions.add(fromEvent(this.tableContainer.nativeElement, 'mouseleave').subscribe(() => this._tableColumnResizeService.hideResizer()));
        });
    }
    /** @hidden */
    _initScrollPosition() {
        const state = this.getTableState();
        if (!state.scrollTopPosition || this._tableRows.length === 0) {
            return;
        }
        this.tableScrollable.initializeScrollTop(state.scrollTopPosition);
    }
    /**
     * @hidden
     * Resets editable rows discarding the editable rows array.
     */
    _resetEditState() {
        this._newTableRows = [];
        this._addedItems = [];
        this._forceSemanticHighlighting = false;
        this._setSemanticHighlighting();
        this._setTableRows();
    }
    /** @hidden */
    _listenToLoadingAndRefocusCell() {
        this._subscriptions.add(this._tableService.tableLoading$.pipe(filter((loadingState) => !loadingState)).subscribe(() => {
            setTimeout(() => {
                if (this._tableHeaderResizer.focusedCellPosition && this._focusableGrid && !this.loadingState) {
                    this._focusableGrid.focusCell(this._tableHeaderResizer.focusedCellPosition);
                }
            });
        }));
    }
    /** @hidden */
    _onZoneFree(callback) {
        this._ngZone.onMicrotaskEmpty.pipe(take(1)).subscribe(() => {
            callback();
        });
    }
    /** @hidden */
    _setSemanticHighlighting() {
        this._tableService._semanticHighlighting$.set(this.semanticHighlighting);
        this._tableService._semanticHighlightingColumnWidth$.set(this._semanticHighlightingColumnWidth);
    }
    /** @hidden */
    _setSelectionColumnWidth() {
        this._selectionColumnWidth = this.isSelectionColumnShown
            ? SELECTION_COLUMN_WIDTH.get(this.contentDensityObserver.value) ?? 0
            : 0;
    }
    /** @hidden */
    _checkCellMock() {
        this._tableColumnResizeService.cellMockVisible$.set(this._tableColumnResizeService.fixedWidth &&
            (this.tableContainer?.nativeElement?.scrollWidth ?? 0) > (this.table?.nativeElement?.scrollWidth ?? 0));
    }
    /**
     * @hidden
     * Listens to fixed column width subject and calculates last applicable frozen column based on `nonFrozenColumnsMinWidth` vaue.
     */
    _listenToFixedColumnsWidth() {
        this._calculateFrozenColumnRefresh$.next();
        this._calculateFrozenColumnRefresh$.complete();
        this._calculateFrozenColumnRefresh$ = new Subject();
        this._tableColumnResizeService.fixedColumsWidthChange
            .pipe(takeUntil(this._calculateFrozenColumnRefresh$))
            .subscribe(() => this._calculateLastFreezableColumn());
    }
    _calculateLastFreezableColumn() {
        if (!this.tableScrollable || this._lastFreezableColumnCalculation) {
            return;
        }
        this._lastFreezableColumnCalculation = true;
        const allColumns = this._tableColumnResizeService.fixedColumsWidthChange.value;
        const allFrozenColumns = uniq([
            ...this._freezableColumns.keys(),
            this.freezeColumnsTo,
            ...this._freezableEndColumns.keys()
        ]);
        const columnSize = {
            frozen: new Map(),
            unFrozen: new Map()
        };
        allColumns.forEach((size, column) => {
            columnSize[allFrozenColumns.includes(column) ? 'frozen' : 'unFrozen'].set(column, parseInt(size, 10));
        });
        const frozenColumnSizes = [...columnSize.frozen.values()];
        if (frozenColumnSizes.length === 0) {
            this._lastFreezableColumnCalculation = false;
            return;
        }
        const totalFrozenSize = [...columnSize.frozen.values()].reduce((sum, size) => sum + size);
        let diff = this.tableScrollable.elementRef.nativeElement.getBoundingClientRect().width - totalFrozenSize;
        const freezedColumns = [...this._freezableColumns.keys()];
        if (diff >= this.nonFrozenColumnsMinWidth) {
            this._lastFreezableColumnCalculation = false;
            return;
        }
        let lastColumn;
        while (diff < this.nonFrozenColumnsMinWidth) {
            if (freezedColumns.length === 0) {
                break;
            }
            lastColumn = freezedColumns.pop();
            diff += columnSize.frozen.get(lastColumn);
        }
        this._lastFreezableColumnCalculation = false;
        this.freezeToColumn(freezedColumns[freezedColumns.length - 1]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableComponent, deps: [{ token: i0.NgZone }, { token: i0.ChangeDetectorRef }, { token: i1.TableService }, { token: i1.TableScrollDispatcherService }, { token: i1.TableColumnResizeService }, { token: i2.RtlService, optional: true }, { token: i1$3.ContentDensityObserver }, { token: i0.Injector }, { token: i2.TabbableElementService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.7", type: TableComponent, isStandalone: true, selector: "fdp-table", inputs: { name: "name", id: "id", enableDragResize: "enableDragResize", fixed: "fixed", freezeColumnsTo: "freezeColumnsTo", freezeEndColumnsTo: "freezeEndColumnsTo", pageScrolling: "pageScrolling", showGrowingButton: "showGrowingButton", showItemsCount: "showItemsCount", pageSize: "pageSize", pageScrollingThreshold: "pageScrollingThreshold", bodyHeight: "bodyHeight", emptyTableMessage: "emptyTableMessage", noVisibleColumnsMessage: "noVisibleColumnsMessage", noHorizontalBorders: "noHorizontalBorders", outerScroll: ["outerScroll", "outerScroll", booleanAttribute], noVerticalBorders: "noVerticalBorders", noBorders: "noBorders", noBodyBorders: "noBodyBorders", noOuterBorders: "noOuterBorders", noBorderX: "noBorderX", noBorderY: "noBorderY", relationKey: "relationKey", expandedStateKey: "expandedStateKey", hasChildrenKey: "hasChildrenKey", rowNavigatable: "rowNavigatable", highlightNavigatedRow: "highlightNavigatedRow", rowsActivable: "rowsActivable", selectedKey: "selectedKey", selectableKey: "selectableKey", trackBy: "trackBy", rowComparator: "rowComparator", rowsClass: "rowsClass", editableRowSkeleton: "editableRowSkeleton", expandOnInit: "expandOnInit", rowHeight: "rowHeight", secondaryRowHeight: "secondaryRowHeight", loadPagesBefore: "loadPagesBefore", nonInteractiveHeader: "nonInteractiveHeader", selectionMode: "selectionMode", enableTristateMode: "enableTristateMode", semanticHighlighting: "semanticHighlighting", forceCheckedAllState: "forceCheckedAllState", ariaLabelledBy: "ariaLabelledBy", minimumColumnWidth: "minimumColumnWidth", nonFrozenColumnsMinWidth: "nonFrozenColumnsMinWidth", loading: "loading" }, outputs: { presetChanged: "presetChanged", rowSelectionChange: "rowSelectionChange", sortChange: "sortChange", filterChange: "filterChange", groupChange: "groupChange", columnsChange: "columnsChange", pageChange: "pageChange", columnFreeze: "columnFreeze", rowToggleOpenState: "rowToggleOpenState", cellActivate: "cellActivate", rowActivate: "rowActivate", rowNavigate: "rowNavigate", emptyRowAdded: "emptyRowAdded", save: "save", cancel: "cancel", tableScrolled: "tableScrolled", tableRowsSet: "tableRowsSet", allRowsExpanded: "allRowsExpanded", allRowsCollapsed: "allRowsCollapsed", cellFocused: "cellFocused" }, host: { properties: { "class.fdp-table--outer-scroll": "outerScroll", "class.fd-table--no-horizontal-borders": "noHorizontalBorders || noBorders", "class.fd-table--no-vertical-borders": "noVerticalBorders || noBorders", "class.fd-table--group": "_isGroupTable$()", "attr.id": "this.id", "class.fdp-table--no-outer-border": "this.noOuterBorders" }, classAttribute: "fdp-table" }, providers: [
            { provide: Table, useExisting: forwardRef(() => TableComponent) },
            TableRowService,
            TableService,
            TableService$1,
            TableScrollDispatcherService,
            TableColumnResizeService,
            TableResponsiveService,
            contentDensityObserverProviders({
                supportedContentDensity: [ContentDensityMode.COMPACT, ContentDensityMode.COZY, ContentDensityMode.CONDENSED]
            }),
            {
                provide: FDP_PRESET_MANAGED_COMPONENT,
                useExisting: TableComponent
            }
        ], queries: [{ propertyName: "tableToolbar", first: true, predicate: TABLE_TOOLBAR, descendants: true }, { propertyName: "_noDataWrapper", first: true, predicate: NoDataWrapperComponent, descendants: true }, { propertyName: "columns", predicate: TableColumn }, { propertyName: "customEditableCells", predicate: EditableTableCell, descendants: true }], viewQueries: [{ propertyName: "tableScrollable", first: true, predicate: ["tableScrollable"], descendants: true }, { propertyName: "tableContainer", first: true, predicate: ["tableContainer"], descendants: true }, { propertyName: "table", first: true, predicate: TableComponent$1, descendants: true, read: ElementRef }, { propertyName: "_focusableGrid", first: true, predicate: FDK_FOCUSABLE_GRID_DIRECTIVE, descendants: true }, { propertyName: "_tableBody", first: true, predicate: ["tableBody"], descendants: true, read: ElementRef }, { propertyName: "_dndDirective", first: true, predicate: DndListDirective, descendants: true }], usesInheritance: true, usesOnChanges: true, hostDirectives: [{ directive: i1.TableDataSourceDirective, inputs: ["dataSource", "dataSource", "childDataSource", "childDataSource"], outputs: ["childDataSourceChanged", "childDataSourceChanged", "onDataRequested", "onDataRequested", "onDataReceived", "onDataReceived", "dataSourceChanged", "dataSourceChanged", "dataChanged", "dataChanged", "isLoading", "isLoading"] }, { directive: i1.TableHeaderResizerDirective }], ngImport: i0, template: "@if (tableToolbar) {\n    <!-- Toolbar -->\n    <ng-template\n        [ngTemplateOutlet]=\"tableToolbar.contentTemplateRef\"\n        [ngTemplateOutletContext]=\"_toolbarContext\"\n    ></ng-template>\n}\n<fd-busy-indicator\n    [loading]=\"(_tableService.tableLoading$ | async) === true && _dataSourceDirective._firstLoadingDone\"\n    [block]=\"true\"\n>\n    <!-- Table Container -->\n    <div class=\"fdp-table__container\" #tableContainer>\n        <ng-template [ngTemplateOutlet]=\"tableTemplate\"></ng-template>\n        @if (enableDragResize) {\n            <!-- Table column resizer for visually representing the resizing process -->\n            <fdp-table-column-resizer class=\"fdp-table__column-resizer\"></fdp-table-column-resizer>\n        }\n    </div>\n    @if (showGrowingButton) {\n        <fdp-table-growing-button [showItemsCount]=\"showItemsCount\"></fdp-table-growing-button>\n    }\n</fd-busy-indicator>\n<!-- Table Template -->\n<ng-template #tableTemplate>\n    <div\n        class=\"fdp-table__body fd-scrollbar\"\n        [class.fdp-table__body--virtual-scroll]=\"!!_virtualScrollDirective?.virtualScroll\"\n        fdpTableScrollable\n        #tableScrollable=\"tableScrollable\"\n        [style.height]=\"bodyHeight\"\n        [class.fixed-height]=\"!!bodyHeight\"\n        [attr.role]=\"pageScrolling ? 'feed' : null\"\n        [class.fd-table--fixed]=\"_freezableColumns.size || fixed\"\n    >\n        <table\n            fd-table\n            [attr.role]=\"isTreeTable ? 'treegrid' : 'grid'\"\n            class=\"fdp-table__body-table\"\n            [allCellsFocusable]=\"true\"\n            [popIn]=\"_tableService.poppingColumns$().length > 0\"\n            [class.fd-table--no-outer-border]=\"noOuterBorders\"\n            [attr.aria-labelledby]=\"_ariaLabelledBy\"\n        >\n            <thead fd-table-header [nonInteractive]=\"nonInteractiveHeader\" class=\"fdp-table__header\">\n                <tr\n                    fdp-table-header-row\n                    [noBorders]=\"noBorders\"\n                    [noHorizontalBorders]=\"noHorizontalBorders\"\n                    [noVerticalBorders]=\"noVerticalBorders\"\n                    [rowId]=\"id\"\n                    [fixed]=\"fixed\"\n                    [isShownSelectionColumn]=\"isSelectionColumnShown\"\n                    [checkedState]=\"_checkedState\"\n                    [selectionMode]=\"_selectionMode\"\n                    [selectionColumnWidth]=\"_selectionColumnWidth\"\n                    [freezeColumnsTo]=\"freezeColumnsTo\"\n                    [freezeEndColumnsTo]=\"freezeEndColumnsTo\"\n                    (keydown.enter)=\"_onRowClick(null, $event)\"\n                    (keydown.space)=\"_onRowClick(null, $event)\"\n                    (click)=\"_onRowClick(null, $event)\"\n                    [disableSelectionCheckbox]=\"_dataSourceTableRows.length === 0\"\n                ></tr>\n            </thead>\n            @if (!!_tableRowsVisible.length && _tableService.visibleColumnsLength() > 0) {\n                <tbody\n                    fd-table-body\n                    fdkDndList\n                    #tableBody\n                    [dragoverPredicate]=\"_dndTableDirective?.dragoverPredicate\"\n                    [dropPredicate]=\"_dndTableDirective?.dropPredicate\"\n                    [noBorderX]=\"noBorderX || noBorders\"\n                    [noBorderY]=\"noBorderY || noBorders\"\n                    [tabIndex]=\"pageScrolling ? 0 : -1\"\n                    [items]=\"_dndTableRowsPlaceholder\"\n                    [draggable]=\"isDraggable\"\n                    [dropMode]=\"_dndTableDirective?.dropMode ?? 'group'\"\n                    (itemDropped)=\"_dndTableDirective?.dragDropItemDrop($event)\"\n                    (dropPredicateCalculating)=\"_calculatingLoading($event)\"\n                    (dropCancelled)=\"_dndTableDirective?.dropCancelled()\"\n                >\n                    @for (rowIndex of _tableCurrentlyRenderedRowsPlaceholder; track _rowTrackBy($index, rowIndex)) {\n                        @if (_tableRowsVisible[rowIndex]; as row) {\n                            @switch (row.type) {\n                                @case ('group') {\n                                    <tr\n                                        fdp-table-group-row\n                                        [index]=\"rowIndex\"\n                                        [height]=\"rowHeight\"\n                                        [draggable]=\"isDraggable\"\n                                        [row]=\"row\"\n                                        [rowId]=\"id\"\n                                        [keyToColumnMap]=\"_keyToColumnMap\"\n                                        [tableColumnsLength]=\"_tableColumnsLength\"\n                                        (toggleGroupRow)=\"_toggleGroupRow($event)\"\n                                        (click)=\"_emitRowActivate(row, $event.ctrlKey || $event.metaKey)\"\n                                    ></tr>\n                                }\n                                @default {\n                                    <tr\n                                        [fdkDndItem]=\"row\"\n                                        [applyDragItemClass]=\"isDraggable\"\n                                        [class]=\"row | rowClasses: rowsClass\"\n                                        [tabindex]=\"rowsActivable || !!row.navigatable ? 0 : -1\"\n                                        [focusable]=\"rowsActivable || !!row.navigatable\"\n                                        [hoverable]=\"rowsActivable || isSelectionColumnShown || !!row.navigatable\"\n                                        [activable]=\"rowsActivable || !!row.navigatable\"\n                                        [active]=\"rowIndex === _navigatedRowIndex\"\n                                        [highlightActive]=\"highlightNavigatedRow\"\n                                        [style.height.px]=\"rowHeight\"\n                                        [attr.aria-level]=\"isTreeTable ? row.level + 1 : null\"\n                                        (keydown.enter)=\"_onRowClick(row, $event)\"\n                                        (keydown.space)=\"_onRowClick(row, $event)\"\n                                        (click)=\"_onRowClick(row, $event)\"\n                                        (started)=\"_dndTableDirective?.dragDropStart()\"\n                                        [main]=\"true\"\n                                        [class.fd-table__row--draggable]=\"isDraggable\"\n                                        fdp-table-row\n                                        [attr.aria-rowindex]=\"rowIndex + 1\"\n                                        [rowId]=\"id\"\n                                        [class.fd-tr-hovered]=\"!row.checked && hoveredRowIndex$() === rowIndex\"\n                                        [index]=\"rowIndex\"\n                                        [row]=\"row\"\n                                        [selectionMode]=\"_selectionMode\"\n                                        [selectableKey]=\"selectableKey\"\n                                        [enableTristateMode]=\"enableTristateMode\"\n                                        [fixed]=\"fixed\"\n                                        [selectionColumnWidth]=\"_selectionColumnWidth\"\n                                        [freezeColumnsTo]=\"freezeColumnsTo\"\n                                        [freezeEndColumnsTo]=\"freezeEndColumnsTo\"\n                                    ></tr>\n                                }\n                            }\n                            @if (row.type === 'item' && _tableService.poppingColumns$().length > 0) {\n                                <tr\n                                    (keydown.enter)=\"_onRowClick(row, $event)\"\n                                    (keydown.space)=\"_onRowClick(row, $event)\"\n                                    (click)=\"_onRowClick(row, $event)\"\n                                    fdp-table-popping-row\n                                    [secondary]=\"true\"\n                                    [style.cursor]=\"rowsActivable || !!row.navigatable ? 'pointer' : 'auto'\"\n                                    [style.height.px]=\"secondaryRowHeight\"\n                                    [selectionMode]=\"selectionMode\"\n                                    [row]=\"row\"\n                                    [checked]=\"row.checked\"\n                                    [class]=\"row | rowClasses: rowsClass\"\n                                    (toggleGroupRow)=\"_toggleGroupRow($event)\"\n                                    (cellClicked)=\"_onCellClick($event.index, $event.row)\"\n                                    (mouseenter)=\"handleMouseEnter(rowIndex)\"\n                                    (mouseleave)=\"handleMouseLeave()\"\n                                ></tr>\n                            }\n                            @if (row.children.length === 0 && (row.childItemsLoading$ | async)) {\n                                <tr fd-table-row *fdkRepeat=\"3\">\n                                    <td fd-table-cell *fdkRepeat=\"_tableColumnsLength\">\n                                        <fd-skeleton\n                                            [style.margin]=\"'auto 0'\"\n                                            type=\"text\"\n                                            textLines=\"1\"\n                                            width=\"60%\"\n                                        ></fd-skeleton>\n                                    </td>\n                                </tr>\n                            }\n                            <!-- Last rendered child row. -->\n                            @if (row.parent?.lastChild?.index === row.index) {\n                                <tr\n                                    aria-hidden=\"true\"\n                                    class=\"fd-table__intersection-spy\"\n                                    [fdkIntersectionSpy]=\"pageScrollingThreshold\"\n                                    (intersected)=\"$event && _tableRowService.loadChildRows(row.parent!)\"\n                                    [style.top.px]=\"pageScrollingThreshold * -1\"\n                                ></tr>\n                            }\n                        }\n                    }\n                    @if (pageScrolling) {\n                        <tr\n                            aria-hidden=\"true\"\n                            class=\"fd-table__intersection-spy\"\n                            [fdkIntersectionSpy]=\"pageScrollingThreshold\"\n                            (intersected)=\"$event && _onSpyIntersect($event)\"\n                            [style.top.px]=\"pageScrollingThreshold * -1\"\n                        ></tr>\n                    }\n                </tbody>\n            } @else {\n                @if (!_dataSourceDirective._firstLoadingDone) {\n                    <tbody fd-table-body>\n                        <tr fd-table-row *fdkRepeat=\"3\">\n                            <td fd-table-cell *fdkRepeat=\"_tableColumnsLength\">\n                                <fd-skeleton\n                                    [style.margin]=\"'auto 0'\"\n                                    type=\"text\"\n                                    textLines=\"1\"\n                                    width=\"60%\"\n                                ></fd-skeleton>\n                            </td>\n                        </tr>\n                    </tbody>\n                } @else {\n                    <tbody fd-table-body class=\"fdp-table__empty\">\n                        <tr fd-table-row>\n                            <td fd-table-cell class=\"fd-table__cell--no-data\" [attr.colspan]=\"_tableColumnsLength\">\n                                <div class=\"fdp-table__empty-table-message\">\n                                    <ng-content select=\"fdp-table-no-data-wrapper\"></ng-content>\n                                    @if (!_noDataWrapper && _tableService.visibleColumnsLength() > 0) {\n                                        <div>\n                                            {{\n                                                emptyTableMessage || ('platformTable.defaultEmptyMessage' | fdTranslate)\n                                            }}\n                                        </div>\n                                    } @else if (_tableService.visibleColumnsLength() === 0) {\n                                        <div>\n                                            {{\n                                                noVisibleColumnsMessage ||\n                                                    ('platformTable.noVisibleColumnsMessage' | fdTranslate)\n                                            }}\n                                        </div>\n                                    }\n                                </div>\n                            </td>\n                        </tr>\n                    </tbody>\n                }\n            }\n            @if (pageScrolling) {\n                <tbody class=\"fd-table__body__focus-mock\"></tbody>\n            }\n            @if (_virtualScrollDirective?.virtualScroll) {\n                <!-- the tbody element below is so the scrollbar renders correctly -->\n                <tbody>\n                    <tr>\n                        <td colspan=\"100%\" [style.height.px]=\"_virtualScrollDirective!.virtualScrollTotalHeight\"></td>\n                    </tr>\n                </tbody>\n            }\n        </table>\n    </div>\n</ng-template>\n<!-- Empty Table Message -->\n", styles: [".fd-scrollbar{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:auto;padding-block:0;padding-inline:0;scrollbar-color:var(--fdScrollbar_Thumb_Color) var(--fdScrollbar_Track_Color)}.fd-scrollbar:after,.fd-scrollbar:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-scrollbar.is-focus,.fd-scrollbar:focus{outline:none;z-index:5}.fd-scrollbar::-webkit-scrollbar{height:var(--fdScrollbar_Dimension);width:var(--fdScrollbar_Dimension)}.fd-scrollbar::-webkit-scrollbar-corner,.fd-scrollbar::-webkit-scrollbar-track{background-color:var(--fdScrollbar_Track_Color)}.fd-scrollbar::-webkit-scrollbar-thumb{background-color:transparent;border:var(--fdScrollbar_Thumb_Offset) solid transparent;border-radius:calc(var(--fdScrollbar_Thumb_Border_Radius) - var(--fdScrollbar_Thumb_Offset));-webkit-box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Color);box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Color)}.fd-scrollbar::-webkit-scrollbar-thumb:active,.fd-scrollbar::-webkit-scrollbar-thumb:hover{-webkit-box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Hover_Color);box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Hover_Color)}.fd-scrollbar--container::-webkit-scrollbar-corner,.fd-scrollbar--container::-webkit-scrollbar-track{background-color:var(--fdScrollbar_Track_Color);border-radius:0 var(--fdScrollbar_Border_Radius) var(--fdScrollbar_Border_Radius) 0}.fd-scrollbar--container[dir=rtl]::-webkit-scrollbar-corner,.fd-scrollbar--container[dir=rtl]::-webkit-scrollbar-track,[dir=rtl] .fd-scrollbar--container::-webkit-scrollbar-corner,[dir=rtl] .fd-scrollbar--container::-webkit-scrollbar-track{border-radius:var(--fdScrollbar_Border_Radius) 0 0 var(--fdScrollbar_Border_Radius)}.cdk-visually-hidden{border:0;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;width:1px;white-space:nowrap;outline:0;-webkit-appearance:none;-moz-appearance:none;left:0}[dir=rtl] .cdk-visually-hidden{left:auto;right:0}.fd-table__cell--focusable[aria-selected=true]:after{border-color:var(--sapContent_FocusColor)!important}fdk-dynamic-portal .fdp-table-toolbar-actions{display:flex;flex-direction:column}fdk-dynamic-portal .fdp-table-toolbar-actions>*:not(:last-of-type){margin-left:0;margin-right:0;margin-bottom:.25rem}.fdp-table{display:block}.fdp-table .fdp-table-toolbar-actions{margin:0}.fdp-table .fdp-table-toolbar-actions>*:not(:first-of-type){margin-left:.5rem}[dir=rtl] .fdp-table .fdp-table-toolbar-actions>*:not(:first-of-type),.fdp-table .fdp-table-toolbar-actions>*:not(:first-of-type)[dir=rtl]{margin-left:0;margin-right:.5rem}.fdp-table .fdp-table__applied-filters-toolbar label{flex-shrink:1}.fdp-table .fdp-table__body-table,.fdp-table .fdp-table__header-table,.fdp-table .fdp-table__body-hs-table{table-layout:auto;width:100%;border-collapse:separate;border-spacing:0}.fdp-table .fd-table__body__focus-mock{position:absolute;top:var(--fdTable_Header_Cell_Height);left:0;right:0;bottom:0;pointer-events:none;z-index:5}.fdp-table .fd-table__body:focus+.fd-table__body__focus-mock{outline-offset:-.1875rem;outline-width:.0625rem;outline-width:var(--sapContent_FocusWidth, .0625rem);outline-color:#000;outline-color:var(--sapContent_FocusColor, #000);outline-style:dotted;outline-style:var(--sapContent_FocusStyle, dotted)}.fdp-table.fd-table--tree .fd-table__body .fd-table__row,.fdp-table.fd-table--tree .fd-table__body .fd-table__row .fd-replace-indicator,.fdp-table.fd-table--group .fd-table__body .fd-table__row,.fdp-table.fd-table--group .fd-table__body .fd-table__row .fd-replace-indicator{height:2.75rem}.fdp-table.fd-table--tree.fd-table--compact .fd-table__body .fd-table__row,.fdp-table.fd-table--tree.fd-table--compact .fd-table__body .fd-table__row .fd-replace-indicator,.fdp-table.fd-table--group.fd-table--compact .fd-table__body .fd-table__row,.fdp-table.fd-table--group.fd-table--compact .fd-table__body .fd-table__row .fd-replace-indicator{height:2rem}.fdp-table.fd-table--tree.fd-table--condensed .fd-table__body .fd-table__row,.fdp-table.fd-table--tree.fd-table--condensed .fd-table__body .fd-table__row .fd-replace-indicator,.fdp-table.fd-table--group.fd-table--condensed .fd-table__body .fd-table__row,.fdp-table.fd-table--group.fd-table--condensed .fd-table__body .fd-table__row .fd-replace-indicator{height:1.563rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__row{cursor:auto}.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable:hover{cursor:grab}.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable:active{cursor:grabbing}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag.fd-dnd-placeholder[dir=rtl]{padding-left:.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag:not(.fd-dnd-placeholder) .fdp-table__cell--selection{top:0;transform:translate(-100%)}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag:not(.fd-dnd-placeholder) .fdp-table__cell--selection,.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag:not(.fd-dnd-placeholder) .fdp-table__cell--selection[dir=rtl]{transform:translate(100%)}.fdp-table.fd-table--tree .fd-table__body .fd-table__row .fd-replace-indicator{top:auto}.fdp-table.fd-table--tree .fd-table__body .fd-table__row .fd-table__text{white-space:nowrap}.fdp-table.fd-table--tree.fd-table--condensed .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree.fd-table--compact .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder{padding-left:2rem}[dir=rtl] .fdp-table.fd-table--tree.fd-table--condensed .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree.fd-table--condensed .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder[dir=rtl],[dir=rtl] .fdp-table.fd-table--tree.fd-table--compact .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree.fd-table--compact .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder[dir=rtl]{padding-left:.5rem}.fdp-table.fd-table--condensed .fd-table__body .fd-table__cell--checkbox .fd-checkbox__label{position:relative;margin-top:0}.fdp-table.fdp-table--no-outer-border .fdp-table__header,.fdp-table.fdp-table--no-outer-border .fdp-table__body,.fdp-table.fdp-table--no-outer-border .fdp-table__body-hs,[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__header,.fdp-table.fdp-table--no-outer-border .fdp-table__header[dir=rtl],[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body,.fdp-table.fdp-table--no-outer-border .fdp-table__body[dir=rtl],[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body-hs,.fdp-table.fdp-table--no-outer-border .fdp-table__body-hs[dir=rtl]{border-left:none;border-right:none}[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__header .fd-table__cell:first-child,.fdp-table.fdp-table--no-outer-border .fdp-table__header[dir=rtl] .fd-table__cell:first-child,[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body .fd-table__cell:first-child,.fdp-table.fdp-table--no-outer-border .fdp-table__body[dir=rtl] .fd-table__cell:first-child,[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body-hs .fd-table__cell:first-child,.fdp-table.fdp-table--no-outer-border .fdp-table__body-hs[dir=rtl] .fd-table__cell:first-child{border-right:none}.fdp-table.fdp-table--no-outer-border .fdp-table__header .fd-table__cell{border-top:none}.fdp-table.fdp-table--no-outer-border .fdp-table__body{border-bottom:none}.fdp-table__container{position:relative;overflow:hidden;outline:none}.fdp-table__header{z-index:2}.fdp-table__header .fd-table__cell,.fdp-table__header .fd-table__cell--mock{border-top:.0625rem solid #e4e4e4;border-top:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);border-bottom:.0625rem solid #e4e4e4;border-bottom:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table__header .fd-table__cell{margin-top:0;max-height:100%;top:0}.fdp-table__header .fd-table__cell--fixed{position:sticky}.fdp-table__header .fd-table__cell .fd-table__popover--custom{display:none}.fdp-table__header .fd-table__cell .fdp-table__navigation-indicator{opacity:0;visibility:hidden}.fdp-table__header .fd-table__cell--truncate-txt{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:inline-block;vertical-align:text-bottom;max-width:100%}.fdp-table__header th.fd-table__cell{border-block-start:none}.fdp-table__body-hs{box-sizing:border-box;border-left:.0625rem solid #e4e4e4;border-left:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);background:var(--fdScrollbar_Track_Color, #ffffff);padding-right:var(--fdScrollbar_Dimension)}[dir=rtl] .fdp-table__body-hs,.fdp-table__body-hs[dir=rtl]{padding-right:0;padding-left:var(--fdScrollbar_Dimension);border-left:none;border-right:.0625rem solid #e4e4e4;border-right:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table__body-hs-wrap{width:100%;position:relative}.fdp-table__body-hs-spacer{position:absolute;height:1px;visibility:hidden}.fdp-table__empty-table-message{box-sizing:border-box;padding:1rem;text-align:center;display:flex;align-items:center;justify-content:center;align-content:center;width:100%}.fdp-table__empty .fd-table__cell{width:100%}.fdp-table__empty .fd-table__body{border-left:none}[dir=rtl] .fdp-table__empty .fd-table__body,.fdp-table__empty .fd-table__body[dir=rtl]{border-left:.0625rem solid #e4e4e4;border-left:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);border-right:none}.fdp-table__empty.fixed-height{background-color:#fff;background-color:var(--sapList_Background, #fff)}.fdp-table .fd-table__cell{z-index:0}.fdp-table .fd-table__cell--group{min-width:100%;border-left:none}.fdp-table .fd-table__cell--group:before{content:\"\";display:block;position:absolute;top:-.0625rem;left:0;right:0;border-top:.0625rem solid #e4e4e4;border-top:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table .fd-table__cell--status-indicator{border-left:none;border-right:.0625rem solid #e4e4e4;border-right:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);min-width:.375rem}[dir=rtl] .fdp-table .fd-table__cell--status-indicator,.fdp-table .fd-table__cell--status-indicator[dir=rtl]{border-right:none}.fdp-table .fd-table__cell--mock.fd-table__cell--mock-borderless{border-left:none!important;border-right:none!important;border-bottom:none!important;border-top:none!important}.fdp-table .fd-table__cell .fdp-table__navigation-indicator{margin:auto}[dir=rtl] .fdp-table .fd-table__cell:nth-last-child(2):not(.fdp-table__cell--group),.fdp-table .fd-table__cell[dir=rtl]:nth-last-child(2):not(.fdp-table__cell--group){border-left:.0625rem solid #e4e4e4;border-left:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table .fd-dnd-item{position:relative}.fdp-table .fd-table__cell--fixed{position:sticky;display:table-cell;z-index:1}.fdp-table .fd-table__cell--checkbox fd-checkbox{display:flex;height:100%}.fdp-table .fd-table__cell--checkbox fd-checkbox .fd-checkbox__label{align-self:center;margin:0}.fdp-table .fd-table__expand-wrapper{display:flex;align-items:center}.fdp-table__column-resizer{bottom:calc(var(--fdScrollbar_Dimension) + var(--sapList_BorderWidth, .0625rem))}.fdp-table__cell--navigation{width:4rem;min-width:4rem;max-width:4rem}.fdp-table__body-table.fd-table--pop-in .fd-table__row--secondary .fd-table__cell{border-bottom:var(--sapList_BorderWidth) solid var(--sapList_BorderColor)}.fdp-table__body-table.fd-table--pop-in .fd-table__row--secondary .fd-table__cell .fd-table__text{white-space:nowrap!important}.fdp-table__body-table.fd-table--pop-in .fd-table__row--secondary:hover{background-color:var(--sapList_Hover_Background)}.fdp-table__body-table.fd-table--pop-in .fdp-table__header .fd-table__cell .fd-table__text{margin-bottom:0}.fdp-table__body--virtual-scroll{position:relative;will-change:scroll-position}.fdp-table__body--virtual-scroll .fd-table__body{position:static;will-change:transform}.fdp-table.fd-table--no-vertical-borders .fd-table__cell--status-indicator{border-right-color:transparent}[dir=rtl] .fdp-table.fd-table--no-vertical-borders .fd-table__cell--status-indicator,.fdp-table.fd-table--no-vertical-borders .fd-table__cell--status-indicator[dir=rtl]{border-left-color:transparent}.fdp-table__growing-button{height:auto}.fdp-table__growing-button__title{font-weight:700;margin:.813rem 0}.fdp-table__growing-button__subtitle{padding-bottom:.875rem}.fdp-table__growing-button-content{display:flex;justify-content:center;flex-direction:column}.fdp-table__growing-button-content--byline>*{display:flex;flex-direction:column;width:100%}.fdp-table__growing-button-total{border-top:var(--fdList_Item_Action_Border)!important}.fdp-table__growing-button-total .fd-list__title{line-height:2.75rem}.fdp-table.fdp-table--outer-scroll .fd-toolbar{position:sticky;z-index:10;top:0}.fdp-table.fdp-table--outer-scroll .fdp-table__body.fd-scrollbar,.fdp-table.fdp-table--outer-scroll .fdp-table__container{overflow:visible}.fdp-table.fdp-table--outer-scroll thead{position:sticky;top:0}.fdp-table.fdp-table--outer-scroll:has(.fd-toolbar) thead{position:sticky;top:2.75rem}.fdp-table.fdp-table--outer-scroll:has(.fd-toolbar):has(.is-compact) thead{position:sticky;top:2rem}.fdp-table.fdp-table--outer-scroll:has(.fd-toolbar):has(.fd-toolbar--title) thead{position:sticky;top:2.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"]{padding-left:2.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:2.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"]{padding-left:4.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"]{padding-left:5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"]{padding-left:5.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:5.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"]{padding-left:6rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:6rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"]{padding-left:6.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:6.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"]{padding-left:7rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:7rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"]{padding-left:7.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:7.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"]{padding-left:8rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:8rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"]{padding-left:8.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:8.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"]{padding-left:9rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:9rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"]{padding-left:9.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:9.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"]{padding-left:10rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:10rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"]{padding-left:10.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:10.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"]{padding-left:11rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:11rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"]{padding-left:11.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:11.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"]{padding-left:12rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:12rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"]{padding-left:12.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:12.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"]{padding-left:13rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:13rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"]{padding-left:13.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:13.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand,.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand{cursor:pointer;white-space:nowrap}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"]{padding-left:0}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:0}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"]{padding-left:1.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:1.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"]{padding-left:2.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:2.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"]{padding-left:2.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:2.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"]{padding-left:3.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:3.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"]{padding-left:3.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:3.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"]{padding-left:4.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"]{padding-left:4.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:4.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"]{padding-left:5.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:5.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"]{padding-left:5.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:5.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"]{padding-left:6.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:6.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"]{padding-left:6.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:6.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"]{padding-left:7.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:7.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"]{padding-left:7.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:7.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"]{padding-left:8.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:8.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"]{padding-left:8.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:8.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"]{padding-left:9.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:9.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"]{padding-left:9.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:9.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"]{padding-left:10.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:10.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"]{padding-left:10.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:10.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"]{padding-left:2rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:2rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"]{padding-left:3.5rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:3.5rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"]{padding-left:4.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"]{padding-left:4.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:4.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"]{padding-left:5.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:5.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"]{padding-left:5.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:5.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"]{padding-left:6.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:6.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"]{padding-left:6.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:6.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"]{padding-left:7.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:7.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"]{padding-left:7.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:7.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"]{padding-left:8.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:8.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"]{padding-left:8.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:8.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"]{padding-left:9.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:9.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"]{padding-left:9.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:9.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"]{padding-left:10.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:10.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"]{padding-left:10.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:10.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"]{padding-left:11.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:11.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"]{padding-left:11.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:11.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"]{padding-left:12.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:12.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"]{padding-left:12.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:12.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"]{padding-left:0}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:0}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"]{padding-left:1.5rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:1.5rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"]{padding-left:2.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:2.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"]{padding-left:2.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:2.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"]{padding-left:3.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:3.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"]{padding-left:3.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:3.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"]{padding-left:4.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"]{padding-left:4.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:4.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"]{padding-left:5.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:5.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"]{padding-left:5.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:5.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"]{padding-left:6.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:6.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"]{padding-left:6.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:6.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"]{padding-left:7.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:7.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"]{padding-left:7.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:7.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"]{padding-left:8.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:8.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"]{padding-left:8.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:8.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"]{padding-left:9.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:9.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"]{padding-left:9.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:9.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"]{padding-left:10.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:10.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"]{padding-left:10.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:10.75rem}.fd-table__intersection-spy{position:relative}.fdp-table--no-outer-border.fd-table--no-vertical-borders .fd-table__cell.is-last-child,.fdp-table--no-outer-border.fd-table--no-vertical-borders .fd-table__cell:last-child{border-left-style:none}th.fd-table__cell .fd-table__inner{font-weight:700}.fd-tr-hovered{background-color:var(--sapList_Hover_Background)!important}\n/*! Bundled license information:\n\nfundamental-styles/dist/scrollbar.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: BusyIndicatorComponent, selector: "fd-busy-indicator", inputs: ["loading", "size", "block", "ariaLabel", "title", "label", "ariaLive"] }, { kind: "component", type: PlatformTableColumnResizerComponent, selector: "fdp-table-column-resizer" }, { kind: "directive", type: TableScrollableDirective, selector: "[fdpTableScrollable]", exportAs: ["tableScrollable"] }, { kind: "component", type: TableComponent$1, selector: "table[fd-table]", inputs: ["noBorderX", "noBorderY", "noOuterBorder", "topBorder", "popIn", "responsive", "keys", "allCellsFocusable"], exportAs: ["fd-table"] }, { kind: "directive", type: TableHeaderDirective, selector: "[fdTableHeader], [fd-table-header]", inputs: ["noBorderX", "noBorderY", "nonInteractive"] }, { kind: "component", type: TableHeaderRowComponent, selector: "[fdp-table-header-row]", inputs: ["rowId", "fixed", "isShownSelectionColumn", "checkedState", "selectionMode", "selectionColumnWidth", "freezeColumnsTo", "noHorizontalBorders", "noVerticalBorders", "noBorders", "freezeEndColumnsTo", "disableSelectionCheckbox"] }, { kind: "directive", type: TableBodyDirective, selector: "[fdTableBody], [fd-table-body]", inputs: ["noBorderX", "noBorderY"] }, { kind: "ngmodule", type: DragAndDropModule }, { kind: "directive", type: i2.DndItemDirective, selector: "[fdkDndItem], [fd-dnd-item]", inputs: ["fdkDndItem", "applyDragItemClass", "containerSelector", "stickInPlace", "draggable", "classWhenElementDragged"], outputs: ["moved", "released", "started"] }, { kind: "directive", type: i2.DndListDirective, selector: "[fdkDndList], [fd-dnd-list]", inputs: ["gridMode", "dropMode", "threshold", "items", "draggable", "dropPredicate", "dragoverPredicate"], outputs: ["dropPredicateCalculating", "itemsChange", "itemDropped", "dropCancelled"] }, { kind: "component", type: TableGroupRowComponent, selector: "[fdp-table-group-row]", inputs: ["rowId", "index", "height", "draggable", "row", "keyToColumnMap", "tableColumnsLength"], outputs: ["toggleGroupRow"] }, { kind: "component", type: TableRowComponent, selector: "[fdp-table-row]", inputs: ["rowId", "row", "index", "selectionMode", "selectableKey", "enableTristateMode", "fixed", "selectionColumnWidth", "freezeColumnsTo", "freezeEndColumnsTo"], outputs: ["keyboardDrag"] }, { kind: "component", type: TablePoppingRowComponent, selector: "[fdp-table-popping-row]", inputs: ["row", "checked", "selectionMode"], outputs: ["toggleGroupRow", "cellClicked"] }, { kind: "directive", type: RepeatDirective, selector: "[fdkRepeat]", inputs: ["fdkRepeat"] }, { kind: "directive", type: TableRowDirective, selector: "[fdTableRow], [fd-table-row]", inputs: ["activable", "highlightActive", "hoverable", "focusable", "main", "secondary", "active"] }, { kind: "directive", type: TableCellDirective, selector: "[fdTableCell], [fd-table-cell]", inputs: ["noBorderX", "noBorderY", "activable", "focusable", "hoverable", "fitContent", "noPadding", "noData", "nonInteractive", "key"] }, { kind: "component", type: SkeletonComponent, selector: "fd-skeleton", inputs: ["animated", "type", "textLines", "width", "height"] }, { kind: "directive", type: IntersectionSpyDirective, selector: "[fdkIntersectionSpy]", inputs: ["fdkIntersectionSpy", "viewportOptions"], outputs: ["intersected"] }, { kind: "pipe", type: AsyncPipe, name: "async" }, { kind: "pipe", type: FdTranslatePipe, name: "fdTranslate" }, { kind: "pipe", type: RowClassesPipe, name: "rowClasses" }, { kind: "component", type: TableGrowingButtonComponent, selector: "fdp-table-growing-button", inputs: ["showItemsCount"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: TableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fdp-table', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        { provide: Table, useExisting: forwardRef(() => TableComponent) },
                        TableRowService,
                        TableService,
                        TableService$1,
                        TableScrollDispatcherService,
                        TableColumnResizeService,
                        TableResponsiveService,
                        contentDensityObserverProviders({
                            supportedContentDensity: [ContentDensityMode.COMPACT, ContentDensityMode.COZY, ContentDensityMode.CONDENSED]
                        }),
                        {
                            provide: FDP_PRESET_MANAGED_COMPONENT,
                            useExisting: TableComponent
                        }
                    ], hostDirectives: [
                        {
                            directive: TableDataSourceDirective,
                            inputs: ['dataSource', 'childDataSource'],
                            outputs: [
                                'childDataSourceChanged',
                                // eslint-disable-next-line @angular-eslint/no-output-on-prefix
                                'onDataRequested',
                                // eslint-disable-next-line @angular-eslint/no-output-on-prefix
                                'onDataReceived',
                                'dataSourceChanged',
                                'dataChanged',
                                'isLoading'
                            ]
                        },
                        TableHeaderResizerDirective
                    ], host: {
                        class: 'fdp-table',
                        '[class.fdp-table--outer-scroll]': 'outerScroll',
                        '[class.fd-table--no-horizontal-borders]': 'noHorizontalBorders || noBorders',
                        '[class.fd-table--no-vertical-borders]': 'noVerticalBorders || noBorders',
                        '[class.fd-table--group]': '_isGroupTable$()'
                    }, imports: [
                        NgTemplateOutlet,
                        BusyIndicatorComponent,
                        PlatformTableColumnResizerComponent,
                        TableScrollableDirective,
                        FocusableGridDirective,
                        TableComponent$1,
                        TableHeaderDirective,
                        TableHeaderRowComponent,
                        TableBodyDirective,
                        DragAndDropModule,
                        TableGroupRowComponent,
                        TableRowComponent,
                        TablePoppingRowComponent,
                        RepeatDirective,
                        TableRowDirective,
                        TableCellDirective,
                        SkeletonComponent,
                        IntersectionSpyDirective,
                        AsyncPipe,
                        FdTranslatePipe,
                        RowClassesPipe,
                        TableGrowingButtonComponent
                    ], template: "@if (tableToolbar) {\n    <!-- Toolbar -->\n    <ng-template\n        [ngTemplateOutlet]=\"tableToolbar.contentTemplateRef\"\n        [ngTemplateOutletContext]=\"_toolbarContext\"\n    ></ng-template>\n}\n<fd-busy-indicator\n    [loading]=\"(_tableService.tableLoading$ | async) === true && _dataSourceDirective._firstLoadingDone\"\n    [block]=\"true\"\n>\n    <!-- Table Container -->\n    <div class=\"fdp-table__container\" #tableContainer>\n        <ng-template [ngTemplateOutlet]=\"tableTemplate\"></ng-template>\n        @if (enableDragResize) {\n            <!-- Table column resizer for visually representing the resizing process -->\n            <fdp-table-column-resizer class=\"fdp-table__column-resizer\"></fdp-table-column-resizer>\n        }\n    </div>\n    @if (showGrowingButton) {\n        <fdp-table-growing-button [showItemsCount]=\"showItemsCount\"></fdp-table-growing-button>\n    }\n</fd-busy-indicator>\n<!-- Table Template -->\n<ng-template #tableTemplate>\n    <div\n        class=\"fdp-table__body fd-scrollbar\"\n        [class.fdp-table__body--virtual-scroll]=\"!!_virtualScrollDirective?.virtualScroll\"\n        fdpTableScrollable\n        #tableScrollable=\"tableScrollable\"\n        [style.height]=\"bodyHeight\"\n        [class.fixed-height]=\"!!bodyHeight\"\n        [attr.role]=\"pageScrolling ? 'feed' : null\"\n        [class.fd-table--fixed]=\"_freezableColumns.size || fixed\"\n    >\n        <table\n            fd-table\n            [attr.role]=\"isTreeTable ? 'treegrid' : 'grid'\"\n            class=\"fdp-table__body-table\"\n            [allCellsFocusable]=\"true\"\n            [popIn]=\"_tableService.poppingColumns$().length > 0\"\n            [class.fd-table--no-outer-border]=\"noOuterBorders\"\n            [attr.aria-labelledby]=\"_ariaLabelledBy\"\n        >\n            <thead fd-table-header [nonInteractive]=\"nonInteractiveHeader\" class=\"fdp-table__header\">\n                <tr\n                    fdp-table-header-row\n                    [noBorders]=\"noBorders\"\n                    [noHorizontalBorders]=\"noHorizontalBorders\"\n                    [noVerticalBorders]=\"noVerticalBorders\"\n                    [rowId]=\"id\"\n                    [fixed]=\"fixed\"\n                    [isShownSelectionColumn]=\"isSelectionColumnShown\"\n                    [checkedState]=\"_checkedState\"\n                    [selectionMode]=\"_selectionMode\"\n                    [selectionColumnWidth]=\"_selectionColumnWidth\"\n                    [freezeColumnsTo]=\"freezeColumnsTo\"\n                    [freezeEndColumnsTo]=\"freezeEndColumnsTo\"\n                    (keydown.enter)=\"_onRowClick(null, $event)\"\n                    (keydown.space)=\"_onRowClick(null, $event)\"\n                    (click)=\"_onRowClick(null, $event)\"\n                    [disableSelectionCheckbox]=\"_dataSourceTableRows.length === 0\"\n                ></tr>\n            </thead>\n            @if (!!_tableRowsVisible.length && _tableService.visibleColumnsLength() > 0) {\n                <tbody\n                    fd-table-body\n                    fdkDndList\n                    #tableBody\n                    [dragoverPredicate]=\"_dndTableDirective?.dragoverPredicate\"\n                    [dropPredicate]=\"_dndTableDirective?.dropPredicate\"\n                    [noBorderX]=\"noBorderX || noBorders\"\n                    [noBorderY]=\"noBorderY || noBorders\"\n                    [tabIndex]=\"pageScrolling ? 0 : -1\"\n                    [items]=\"_dndTableRowsPlaceholder\"\n                    [draggable]=\"isDraggable\"\n                    [dropMode]=\"_dndTableDirective?.dropMode ?? 'group'\"\n                    (itemDropped)=\"_dndTableDirective?.dragDropItemDrop($event)\"\n                    (dropPredicateCalculating)=\"_calculatingLoading($event)\"\n                    (dropCancelled)=\"_dndTableDirective?.dropCancelled()\"\n                >\n                    @for (rowIndex of _tableCurrentlyRenderedRowsPlaceholder; track _rowTrackBy($index, rowIndex)) {\n                        @if (_tableRowsVisible[rowIndex]; as row) {\n                            @switch (row.type) {\n                                @case ('group') {\n                                    <tr\n                                        fdp-table-group-row\n                                        [index]=\"rowIndex\"\n                                        [height]=\"rowHeight\"\n                                        [draggable]=\"isDraggable\"\n                                        [row]=\"row\"\n                                        [rowId]=\"id\"\n                                        [keyToColumnMap]=\"_keyToColumnMap\"\n                                        [tableColumnsLength]=\"_tableColumnsLength\"\n                                        (toggleGroupRow)=\"_toggleGroupRow($event)\"\n                                        (click)=\"_emitRowActivate(row, $event.ctrlKey || $event.metaKey)\"\n                                    ></tr>\n                                }\n                                @default {\n                                    <tr\n                                        [fdkDndItem]=\"row\"\n                                        [applyDragItemClass]=\"isDraggable\"\n                                        [class]=\"row | rowClasses: rowsClass\"\n                                        [tabindex]=\"rowsActivable || !!row.navigatable ? 0 : -1\"\n                                        [focusable]=\"rowsActivable || !!row.navigatable\"\n                                        [hoverable]=\"rowsActivable || isSelectionColumnShown || !!row.navigatable\"\n                                        [activable]=\"rowsActivable || !!row.navigatable\"\n                                        [active]=\"rowIndex === _navigatedRowIndex\"\n                                        [highlightActive]=\"highlightNavigatedRow\"\n                                        [style.height.px]=\"rowHeight\"\n                                        [attr.aria-level]=\"isTreeTable ? row.level + 1 : null\"\n                                        (keydown.enter)=\"_onRowClick(row, $event)\"\n                                        (keydown.space)=\"_onRowClick(row, $event)\"\n                                        (click)=\"_onRowClick(row, $event)\"\n                                        (started)=\"_dndTableDirective?.dragDropStart()\"\n                                        [main]=\"true\"\n                                        [class.fd-table__row--draggable]=\"isDraggable\"\n                                        fdp-table-row\n                                        [attr.aria-rowindex]=\"rowIndex + 1\"\n                                        [rowId]=\"id\"\n                                        [class.fd-tr-hovered]=\"!row.checked && hoveredRowIndex$() === rowIndex\"\n                                        [index]=\"rowIndex\"\n                                        [row]=\"row\"\n                                        [selectionMode]=\"_selectionMode\"\n                                        [selectableKey]=\"selectableKey\"\n                                        [enableTristateMode]=\"enableTristateMode\"\n                                        [fixed]=\"fixed\"\n                                        [selectionColumnWidth]=\"_selectionColumnWidth\"\n                                        [freezeColumnsTo]=\"freezeColumnsTo\"\n                                        [freezeEndColumnsTo]=\"freezeEndColumnsTo\"\n                                    ></tr>\n                                }\n                            }\n                            @if (row.type === 'item' && _tableService.poppingColumns$().length > 0) {\n                                <tr\n                                    (keydown.enter)=\"_onRowClick(row, $event)\"\n                                    (keydown.space)=\"_onRowClick(row, $event)\"\n                                    (click)=\"_onRowClick(row, $event)\"\n                                    fdp-table-popping-row\n                                    [secondary]=\"true\"\n                                    [style.cursor]=\"rowsActivable || !!row.navigatable ? 'pointer' : 'auto'\"\n                                    [style.height.px]=\"secondaryRowHeight\"\n                                    [selectionMode]=\"selectionMode\"\n                                    [row]=\"row\"\n                                    [checked]=\"row.checked\"\n                                    [class]=\"row | rowClasses: rowsClass\"\n                                    (toggleGroupRow)=\"_toggleGroupRow($event)\"\n                                    (cellClicked)=\"_onCellClick($event.index, $event.row)\"\n                                    (mouseenter)=\"handleMouseEnter(rowIndex)\"\n                                    (mouseleave)=\"handleMouseLeave()\"\n                                ></tr>\n                            }\n                            @if (row.children.length === 0 && (row.childItemsLoading$ | async)) {\n                                <tr fd-table-row *fdkRepeat=\"3\">\n                                    <td fd-table-cell *fdkRepeat=\"_tableColumnsLength\">\n                                        <fd-skeleton\n                                            [style.margin]=\"'auto 0'\"\n                                            type=\"text\"\n                                            textLines=\"1\"\n                                            width=\"60%\"\n                                        ></fd-skeleton>\n                                    </td>\n                                </tr>\n                            }\n                            <!-- Last rendered child row. -->\n                            @if (row.parent?.lastChild?.index === row.index) {\n                                <tr\n                                    aria-hidden=\"true\"\n                                    class=\"fd-table__intersection-spy\"\n                                    [fdkIntersectionSpy]=\"pageScrollingThreshold\"\n                                    (intersected)=\"$event && _tableRowService.loadChildRows(row.parent!)\"\n                                    [style.top.px]=\"pageScrollingThreshold * -1\"\n                                ></tr>\n                            }\n                        }\n                    }\n                    @if (pageScrolling) {\n                        <tr\n                            aria-hidden=\"true\"\n                            class=\"fd-table__intersection-spy\"\n                            [fdkIntersectionSpy]=\"pageScrollingThreshold\"\n                            (intersected)=\"$event && _onSpyIntersect($event)\"\n                            [style.top.px]=\"pageScrollingThreshold * -1\"\n                        ></tr>\n                    }\n                </tbody>\n            } @else {\n                @if (!_dataSourceDirective._firstLoadingDone) {\n                    <tbody fd-table-body>\n                        <tr fd-table-row *fdkRepeat=\"3\">\n                            <td fd-table-cell *fdkRepeat=\"_tableColumnsLength\">\n                                <fd-skeleton\n                                    [style.margin]=\"'auto 0'\"\n                                    type=\"text\"\n                                    textLines=\"1\"\n                                    width=\"60%\"\n                                ></fd-skeleton>\n                            </td>\n                        </tr>\n                    </tbody>\n                } @else {\n                    <tbody fd-table-body class=\"fdp-table__empty\">\n                        <tr fd-table-row>\n                            <td fd-table-cell class=\"fd-table__cell--no-data\" [attr.colspan]=\"_tableColumnsLength\">\n                                <div class=\"fdp-table__empty-table-message\">\n                                    <ng-content select=\"fdp-table-no-data-wrapper\"></ng-content>\n                                    @if (!_noDataWrapper && _tableService.visibleColumnsLength() > 0) {\n                                        <div>\n                                            {{\n                                                emptyTableMessage || ('platformTable.defaultEmptyMessage' | fdTranslate)\n                                            }}\n                                        </div>\n                                    } @else if (_tableService.visibleColumnsLength() === 0) {\n                                        <div>\n                                            {{\n                                                noVisibleColumnsMessage ||\n                                                    ('platformTable.noVisibleColumnsMessage' | fdTranslate)\n                                            }}\n                                        </div>\n                                    }\n                                </div>\n                            </td>\n                        </tr>\n                    </tbody>\n                }\n            }\n            @if (pageScrolling) {\n                <tbody class=\"fd-table__body__focus-mock\"></tbody>\n            }\n            @if (_virtualScrollDirective?.virtualScroll) {\n                <!-- the tbody element below is so the scrollbar renders correctly -->\n                <tbody>\n                    <tr>\n                        <td colspan=\"100%\" [style.height.px]=\"_virtualScrollDirective!.virtualScrollTotalHeight\"></td>\n                    </tr>\n                </tbody>\n            }\n        </table>\n    </div>\n</ng-template>\n<!-- Empty Table Message -->\n", styles: [".fd-scrollbar{border:0;-webkit-box-sizing:border-box;box-sizing:border-box;color:var(--sapTextColor);font-family:var(--sapFontFamily);font-size:var(--sapFontSize);font-weight:400;forced-color-adjust:none;line-height:normal;margin-block:0;margin-inline:0;overflow:auto;padding-block:0;padding-inline:0;scrollbar-color:var(--fdScrollbar_Thumb_Color) var(--fdScrollbar_Track_Color)}.fd-scrollbar:after,.fd-scrollbar:before{-webkit-box-sizing:inherit;box-sizing:inherit;font-size:inherit}.fd-scrollbar.is-focus,.fd-scrollbar:focus{outline:none;z-index:5}.fd-scrollbar::-webkit-scrollbar{height:var(--fdScrollbar_Dimension);width:var(--fdScrollbar_Dimension)}.fd-scrollbar::-webkit-scrollbar-corner,.fd-scrollbar::-webkit-scrollbar-track{background-color:var(--fdScrollbar_Track_Color)}.fd-scrollbar::-webkit-scrollbar-thumb{background-color:transparent;border:var(--fdScrollbar_Thumb_Offset) solid transparent;border-radius:calc(var(--fdScrollbar_Thumb_Border_Radius) - var(--fdScrollbar_Thumb_Offset));-webkit-box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Color);box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Color)}.fd-scrollbar::-webkit-scrollbar-thumb:active,.fd-scrollbar::-webkit-scrollbar-thumb:hover{-webkit-box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Hover_Color);box-shadow:inset 0 0 0 var(--fdScrollbar_Dimension) var(--fdScrollbar_Thumb_Hover_Color)}.fd-scrollbar--container::-webkit-scrollbar-corner,.fd-scrollbar--container::-webkit-scrollbar-track{background-color:var(--fdScrollbar_Track_Color);border-radius:0 var(--fdScrollbar_Border_Radius) var(--fdScrollbar_Border_Radius) 0}.fd-scrollbar--container[dir=rtl]::-webkit-scrollbar-corner,.fd-scrollbar--container[dir=rtl]::-webkit-scrollbar-track,[dir=rtl] .fd-scrollbar--container::-webkit-scrollbar-corner,[dir=rtl] .fd-scrollbar--container::-webkit-scrollbar-track{border-radius:var(--fdScrollbar_Border_Radius) 0 0 var(--fdScrollbar_Border_Radius)}.cdk-visually-hidden{border:0;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;width:1px;white-space:nowrap;outline:0;-webkit-appearance:none;-moz-appearance:none;left:0}[dir=rtl] .cdk-visually-hidden{left:auto;right:0}.fd-table__cell--focusable[aria-selected=true]:after{border-color:var(--sapContent_FocusColor)!important}fdk-dynamic-portal .fdp-table-toolbar-actions{display:flex;flex-direction:column}fdk-dynamic-portal .fdp-table-toolbar-actions>*:not(:last-of-type){margin-left:0;margin-right:0;margin-bottom:.25rem}.fdp-table{display:block}.fdp-table .fdp-table-toolbar-actions{margin:0}.fdp-table .fdp-table-toolbar-actions>*:not(:first-of-type){margin-left:.5rem}[dir=rtl] .fdp-table .fdp-table-toolbar-actions>*:not(:first-of-type),.fdp-table .fdp-table-toolbar-actions>*:not(:first-of-type)[dir=rtl]{margin-left:0;margin-right:.5rem}.fdp-table .fdp-table__applied-filters-toolbar label{flex-shrink:1}.fdp-table .fdp-table__body-table,.fdp-table .fdp-table__header-table,.fdp-table .fdp-table__body-hs-table{table-layout:auto;width:100%;border-collapse:separate;border-spacing:0}.fdp-table .fd-table__body__focus-mock{position:absolute;top:var(--fdTable_Header_Cell_Height);left:0;right:0;bottom:0;pointer-events:none;z-index:5}.fdp-table .fd-table__body:focus+.fd-table__body__focus-mock{outline-offset:-.1875rem;outline-width:.0625rem;outline-width:var(--sapContent_FocusWidth, .0625rem);outline-color:#000;outline-color:var(--sapContent_FocusColor, #000);outline-style:dotted;outline-style:var(--sapContent_FocusStyle, dotted)}.fdp-table.fd-table--tree .fd-table__body .fd-table__row,.fdp-table.fd-table--tree .fd-table__body .fd-table__row .fd-replace-indicator,.fdp-table.fd-table--group .fd-table__body .fd-table__row,.fdp-table.fd-table--group .fd-table__body .fd-table__row .fd-replace-indicator{height:2.75rem}.fdp-table.fd-table--tree.fd-table--compact .fd-table__body .fd-table__row,.fdp-table.fd-table--tree.fd-table--compact .fd-table__body .fd-table__row .fd-replace-indicator,.fdp-table.fd-table--group.fd-table--compact .fd-table__body .fd-table__row,.fdp-table.fd-table--group.fd-table--compact .fd-table__body .fd-table__row .fd-replace-indicator{height:2rem}.fdp-table.fd-table--tree.fd-table--condensed .fd-table__body .fd-table__row,.fdp-table.fd-table--tree.fd-table--condensed .fd-table__body .fd-table__row .fd-replace-indicator,.fdp-table.fd-table--group.fd-table--condensed .fd-table__body .fd-table__row,.fdp-table.fd-table--group.fd-table--condensed .fd-table__body .fd-table__row .fd-replace-indicator{height:1.563rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__row{cursor:auto}.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable:hover{cursor:grab}.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable:active{cursor:grabbing}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag.fd-dnd-placeholder[dir=rtl]{padding-left:.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag:not(.fd-dnd-placeholder) .fdp-table__cell--selection{top:0;transform:translate(-100%)}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag:not(.fd-dnd-placeholder) .fdp-table__cell--selection,.fdp-table.fd-table--tree .fd-table__body .fd-table__row--draggable.fd-dnd-on-drag:not(.fd-dnd-placeholder) .fdp-table__cell--selection[dir=rtl]{transform:translate(100%)}.fdp-table.fd-table--tree .fd-table__body .fd-table__row .fd-replace-indicator{top:auto}.fdp-table.fd-table--tree .fd-table__body .fd-table__row .fd-table__text{white-space:nowrap}.fdp-table.fd-table--tree.fd-table--condensed .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree.fd-table--compact .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder{padding-left:2rem}[dir=rtl] .fdp-table.fd-table--tree.fd-table--condensed .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree.fd-table--condensed .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder[dir=rtl],[dir=rtl] .fdp-table.fd-table--tree.fd-table--compact .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder,.fdp-table.fd-table--tree.fd-table--compact .fd-table__row.fd-dnd-on-drag.fd-dnd-placeholder[dir=rtl]{padding-left:.5rem}.fdp-table.fd-table--condensed .fd-table__body .fd-table__cell--checkbox .fd-checkbox__label{position:relative;margin-top:0}.fdp-table.fdp-table--no-outer-border .fdp-table__header,.fdp-table.fdp-table--no-outer-border .fdp-table__body,.fdp-table.fdp-table--no-outer-border .fdp-table__body-hs,[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__header,.fdp-table.fdp-table--no-outer-border .fdp-table__header[dir=rtl],[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body,.fdp-table.fdp-table--no-outer-border .fdp-table__body[dir=rtl],[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body-hs,.fdp-table.fdp-table--no-outer-border .fdp-table__body-hs[dir=rtl]{border-left:none;border-right:none}[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__header .fd-table__cell:first-child,.fdp-table.fdp-table--no-outer-border .fdp-table__header[dir=rtl] .fd-table__cell:first-child,[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body .fd-table__cell:first-child,.fdp-table.fdp-table--no-outer-border .fdp-table__body[dir=rtl] .fd-table__cell:first-child,[dir=rtl] .fdp-table.fdp-table--no-outer-border .fdp-table__body-hs .fd-table__cell:first-child,.fdp-table.fdp-table--no-outer-border .fdp-table__body-hs[dir=rtl] .fd-table__cell:first-child{border-right:none}.fdp-table.fdp-table--no-outer-border .fdp-table__header .fd-table__cell{border-top:none}.fdp-table.fdp-table--no-outer-border .fdp-table__body{border-bottom:none}.fdp-table__container{position:relative;overflow:hidden;outline:none}.fdp-table__header{z-index:2}.fdp-table__header .fd-table__cell,.fdp-table__header .fd-table__cell--mock{border-top:.0625rem solid #e4e4e4;border-top:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);border-bottom:.0625rem solid #e4e4e4;border-bottom:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table__header .fd-table__cell{margin-top:0;max-height:100%;top:0}.fdp-table__header .fd-table__cell--fixed{position:sticky}.fdp-table__header .fd-table__cell .fd-table__popover--custom{display:none}.fdp-table__header .fd-table__cell .fdp-table__navigation-indicator{opacity:0;visibility:hidden}.fdp-table__header .fd-table__cell--truncate-txt{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:inline-block;vertical-align:text-bottom;max-width:100%}.fdp-table__header th.fd-table__cell{border-block-start:none}.fdp-table__body-hs{box-sizing:border-box;border-left:.0625rem solid #e4e4e4;border-left:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);background:var(--fdScrollbar_Track_Color, #ffffff);padding-right:var(--fdScrollbar_Dimension)}[dir=rtl] .fdp-table__body-hs,.fdp-table__body-hs[dir=rtl]{padding-right:0;padding-left:var(--fdScrollbar_Dimension);border-left:none;border-right:.0625rem solid #e4e4e4;border-right:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table__body-hs-wrap{width:100%;position:relative}.fdp-table__body-hs-spacer{position:absolute;height:1px;visibility:hidden}.fdp-table__empty-table-message{box-sizing:border-box;padding:1rem;text-align:center;display:flex;align-items:center;justify-content:center;align-content:center;width:100%}.fdp-table__empty .fd-table__cell{width:100%}.fdp-table__empty .fd-table__body{border-left:none}[dir=rtl] .fdp-table__empty .fd-table__body,.fdp-table__empty .fd-table__body[dir=rtl]{border-left:.0625rem solid #e4e4e4;border-left:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);border-right:none}.fdp-table__empty.fixed-height{background-color:#fff;background-color:var(--sapList_Background, #fff)}.fdp-table .fd-table__cell{z-index:0}.fdp-table .fd-table__cell--group{min-width:100%;border-left:none}.fdp-table .fd-table__cell--group:before{content:\"\";display:block;position:absolute;top:-.0625rem;left:0;right:0;border-top:.0625rem solid #e4e4e4;border-top:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table .fd-table__cell--status-indicator{border-left:none;border-right:.0625rem solid #e4e4e4;border-right:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4);min-width:.375rem}[dir=rtl] .fdp-table .fd-table__cell--status-indicator,.fdp-table .fd-table__cell--status-indicator[dir=rtl]{border-right:none}.fdp-table .fd-table__cell--mock.fd-table__cell--mock-borderless{border-left:none!important;border-right:none!important;border-bottom:none!important;border-top:none!important}.fdp-table .fd-table__cell .fdp-table__navigation-indicator{margin:auto}[dir=rtl] .fdp-table .fd-table__cell:nth-last-child(2):not(.fdp-table__cell--group),.fdp-table .fd-table__cell[dir=rtl]:nth-last-child(2):not(.fdp-table__cell--group){border-left:.0625rem solid #e4e4e4;border-left:var(--sapList_BorderWidth, .0625rem) solid var(--sapList_BorderColor, #e4e4e4)}.fdp-table .fd-dnd-item{position:relative}.fdp-table .fd-table__cell--fixed{position:sticky;display:table-cell;z-index:1}.fdp-table .fd-table__cell--checkbox fd-checkbox{display:flex;height:100%}.fdp-table .fd-table__cell--checkbox fd-checkbox .fd-checkbox__label{align-self:center;margin:0}.fdp-table .fd-table__expand-wrapper{display:flex;align-items:center}.fdp-table__column-resizer{bottom:calc(var(--fdScrollbar_Dimension) + var(--sapList_BorderWidth, .0625rem))}.fdp-table__cell--navigation{width:4rem;min-width:4rem;max-width:4rem}.fdp-table__body-table.fd-table--pop-in .fd-table__row--secondary .fd-table__cell{border-bottom:var(--sapList_BorderWidth) solid var(--sapList_BorderColor)}.fdp-table__body-table.fd-table--pop-in .fd-table__row--secondary .fd-table__cell .fd-table__text{white-space:nowrap!important}.fdp-table__body-table.fd-table--pop-in .fd-table__row--secondary:hover{background-color:var(--sapList_Hover_Background)}.fdp-table__body-table.fd-table--pop-in .fdp-table__header .fd-table__cell .fd-table__text{margin-bottom:0}.fdp-table__body--virtual-scroll{position:relative;will-change:scroll-position}.fdp-table__body--virtual-scroll .fd-table__body{position:static;will-change:transform}.fdp-table.fd-table--no-vertical-borders .fd-table__cell--status-indicator{border-right-color:transparent}[dir=rtl] .fdp-table.fd-table--no-vertical-borders .fd-table__cell--status-indicator,.fdp-table.fd-table--no-vertical-borders .fd-table__cell--status-indicator[dir=rtl]{border-left-color:transparent}.fdp-table__growing-button{height:auto}.fdp-table__growing-button__title{font-weight:700;margin:.813rem 0}.fdp-table__growing-button__subtitle{padding-bottom:.875rem}.fdp-table__growing-button-content{display:flex;justify-content:center;flex-direction:column}.fdp-table__growing-button-content--byline>*{display:flex;flex-direction:column;width:100%}.fdp-table__growing-button-total{border-top:var(--fdList_Item_Action_Border)!important}.fdp-table__growing-button-total .fd-list__title{line-height:2.75rem}.fdp-table.fdp-table--outer-scroll .fd-toolbar{position:sticky;z-index:10;top:0}.fdp-table.fdp-table--outer-scroll .fdp-table__body.fd-scrollbar,.fdp-table.fdp-table--outer-scroll .fdp-table__container{overflow:visible}.fdp-table.fdp-table--outer-scroll thead{position:sticky;top:0}.fdp-table.fdp-table--outer-scroll:has(.fd-toolbar) thead{position:sticky;top:2.75rem}.fdp-table.fdp-table--outer-scroll:has(.fd-toolbar):has(.is-compact) thead{position:sticky;top:2rem}.fdp-table.fdp-table--outer-scroll:has(.fd-toolbar):has(.fd-toolbar--title) thead{position:sticky;top:2.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"]{padding-left:2.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:2.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"]{padding-left:4.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"]{padding-left:5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"]{padding-left:5.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:5.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"]{padding-left:6rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:6rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"]{padding-left:6.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:6.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"]{padding-left:7rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:7rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"]{padding-left:7.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:7.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"]{padding-left:8rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:8rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"]{padding-left:8.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:8.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"]{padding-left:9rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:9rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"]{padding-left:9.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:9.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"]{padding-left:10rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:10rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"]{padding-left:10.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:10.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"]{padding-left:11rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:11rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"]{padding-left:11.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:11.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"]{padding-left:12rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:12rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"]{padding-left:12.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:12.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"]{padding-left:13rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:13rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"]{padding-left:13.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:13.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand,.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand{cursor:pointer;white-space:nowrap}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"]{padding-left:0}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:0}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"]{padding-left:1.5rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:1.5rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"]{padding-left:2.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:2.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"]{padding-left:2.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:2.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"]{padding-left:3.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:3.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"]{padding-left:3.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:3.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"]{padding-left:4.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"]{padding-left:4.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:4.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"]{padding-left:5.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:5.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"]{padding-left:5.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:5.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"]{padding-left:6.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:6.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"]{padding-left:6.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:6.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"]{padding-left:7.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:7.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"]{padding-left:7.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:7.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"]{padding-left:8.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:8.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"]{padding-left:8.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:8.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"]{padding-left:9.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:9.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"]{padding-left:9.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:9.75rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"]{padding-left:10.25rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:10.25rem}.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"]{padding-left:10.75rem}[dir=rtl] .fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table.fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table.fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:10.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"]{padding-left:2rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:2rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"]{padding-left:3.5rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:3.5rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"]{padding-left:4.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"]{padding-left:4.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:4.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"]{padding-left:5.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:5.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"]{padding-left:5.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:5.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"]{padding-left:6.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:6.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"]{padding-left:6.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:6.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"]{padding-left:7.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:7.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"]{padding-left:7.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:7.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"]{padding-left:8.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:8.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"]{padding-left:8.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:8.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"]{padding-left:9.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:9.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"]{padding-left:9.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:9.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"]{padding-left:10.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:10.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"]{padding-left:10.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:10.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"]{padding-left:11.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:11.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"]{padding-left:11.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:11.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"]{padding-left:12.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:12.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"]{padding-left:12.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:12.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"]{padding-left:0}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"1\"][dir=rtl]{padding-left:.5rem;padding-right:0}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"]{padding-left:1.5rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"2\"][dir=rtl]{padding-left:.5rem;padding-right:1.5rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"]{padding-left:2.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"3\"][dir=rtl]{padding-left:.5rem;padding-right:2.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"]{padding-left:2.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"4\"][dir=rtl]{padding-left:.5rem;padding-right:2.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"]{padding-left:3.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"5\"][dir=rtl]{padding-left:.5rem;padding-right:3.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"]{padding-left:3.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"6\"][dir=rtl]{padding-left:.5rem;padding-right:3.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"]{padding-left:4.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"7\"][dir=rtl]{padding-left:.5rem;padding-right:4.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"]{padding-left:4.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"8\"][dir=rtl]{padding-left:.5rem;padding-right:4.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"]{padding-left:5.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"9\"][dir=rtl]{padding-left:.5rem;padding-right:5.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"]{padding-left:5.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"10\"][dir=rtl]{padding-left:.5rem;padding-right:5.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"]{padding-left:6.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"11\"][dir=rtl]{padding-left:.5rem;padding-right:6.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"]{padding-left:6.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"12\"][dir=rtl]{padding-left:.5rem;padding-right:6.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"]{padding-left:7.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"13\"][dir=rtl]{padding-left:.5rem;padding-right:7.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"]{padding-left:7.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"14\"][dir=rtl]{padding-left:.5rem;padding-right:7.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"]{padding-left:8.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"15\"][dir=rtl]{padding-left:.5rem;padding-right:8.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"]{padding-left:8.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"16\"][dir=rtl]{padding-left:.5rem;padding-right:8.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"]{padding-left:9.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"17\"][dir=rtl]{padding-left:.5rem;padding-right:9.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"]{padding-left:9.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"18\"][dir=rtl]{padding-left:.5rem;padding-right:9.75rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"]{padding-left:10.25rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"19\"][dir=rtl]{padding-left:.5rem;padding-right:10.25rem}[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"]{padding-left:10.75rem}[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-condensed] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] [class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],[class*=-compact] .fdp-table:not([class*=-cozy]).fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-condensed].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--tree .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl],[dir=rtl] .fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"],.fdp-table[class*=-compact].fd-table--group .fd-table__body .fd-table__cell--expand[data-nesting-level=\"20\"][dir=rtl]{padding-left:.5rem;padding-right:10.75rem}.fd-table__intersection-spy{position:relative}.fdp-table--no-outer-border.fd-table--no-vertical-borders .fd-table__cell.is-last-child,.fdp-table--no-outer-border.fd-table--no-vertical-borders .fd-table__cell:last-child{border-left-style:none}th.fd-table__cell .fd-table__inner{font-weight:700}.fd-tr-hovered{background-color:var(--sapList_Hover_Background)!important}\n/*! Bundled license information:\n\nfundamental-styles/dist/scrollbar.css:\n  (*!\n   * Fundamental Library Styles v0.38.0\n   * Copyright (c) 2024 SAP SE or an SAP affiliate company.\n   * Licensed under Apache License 2.0 (https://github.com/SAP/fundamental-styles/blob/main/LICENSE)\n   *)\n*/\n"] }]
        }], ctorParameters: () => [{ type: i0.NgZone }, { type: i0.ChangeDetectorRef }, { type: i1.TableService }, { type: i1.TableScrollDispatcherService }, { type: i1.TableColumnResizeService }, { type: i2.RtlService, decorators: [{
                    type: Optional
                }] }, { type: i1$3.ContentDensityObserver }, { type: i0.Injector }, { type: i2.TabbableElementService }], propDecorators: { name: [{
                type: Input
            }], id: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.id']
            }], enableDragResize: [{
                type: Input
            }], fixed: [{
                type: Input
            }], freezeColumnsTo: [{
                type: Input
            }], freezeEndColumnsTo: [{
                type: Input
            }], pageScrolling: [{
                type: Input
            }], showGrowingButton: [{
                type: Input
            }], showItemsCount: [{
                type: Input
            }], pageSize: [{
                type: Input
            }], pageScrollingThreshold: [{
                type: Input
            }], bodyHeight: [{
                type: Input
            }], emptyTableMessage: [{
                type: Input
            }], noVisibleColumnsMessage: [{
                type: Input
            }], noHorizontalBorders: [{
                type: Input
            }], outerScroll: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], noVerticalBorders: [{
                type: Input
            }], noBorders: [{
                type: Input
            }], noBodyBorders: [{
                type: Input
            }], noOuterBorders: [{
                type: HostBinding,
                args: ['class.fdp-table--no-outer-border']
            }, {
                type: Input
            }], noBorderX: [{
                type: Input
            }], noBorderY: [{
                type: Input
            }], relationKey: [{
                type: Input
            }], expandedStateKey: [{
                type: Input
            }], hasChildrenKey: [{
                type: Input
            }], rowNavigatable: [{
                type: Input
            }], highlightNavigatedRow: [{
                type: Input
            }], rowsActivable: [{
                type: Input
            }], selectedKey: [{
                type: Input
            }], selectableKey: [{
                type: Input
            }], trackBy: [{
                type: Input
            }], rowComparator: [{
                type: Input
            }], rowsClass: [{
                type: Input
            }], editableRowSkeleton: [{
                type: Input
            }], expandOnInit: [{
                type: Input
            }], rowHeight: [{
                type: Input
            }], secondaryRowHeight: [{
                type: Input
            }], loadPagesBefore: [{
                type: Input
            }], nonInteractiveHeader: [{
                type: Input
            }], selectionMode: [{
                type: Input
            }], enableTristateMode: [{
                type: Input
            }], semanticHighlighting: [{
                type: Input
            }], forceCheckedAllState: [{
                type: Input
            }], ariaLabelledBy: [{
                type: Input
            }], minimumColumnWidth: [{
                type: Input
            }], nonFrozenColumnsMinWidth: [{
                type: Input
            }], presetChanged: [{
                type: Output
            }], rowSelectionChange: [{
                type: Output
            }], sortChange: [{
                type: Output
            }], filterChange: [{
                type: Output
            }], groupChange: [{
                type: Output
            }], columnsChange: [{
                type: Output
            }], pageChange: [{
                type: Output
            }], columnFreeze: [{
                type: Output
            }], rowToggleOpenState: [{
                type: Output
            }], cellActivate: [{
                type: Output
            }], rowActivate: [{
                type: Output
            }], rowNavigate: [{
                type: Output
            }], emptyRowAdded: [{
                type: Output
            }], save: [{
                type: Output
            }], cancel: [{
                type: Output
            }], tableScrolled: [{
                type: Output
            }], tableRowsSet: [{
                type: Output
            }], allRowsExpanded: [{
                type: Output
            }], allRowsCollapsed: [{
                type: Output
            }], cellFocused: [{
                type: Output
            }], tableScrollable: [{
                type: ViewChild,
                args: ['tableScrollable']
            }], tableContainer: [{
                type: ViewChild,
                args: ['tableContainer']
            }], table: [{
                type: ViewChild,
                args: [TableComponent$1, { read: ElementRef }]
            }], _focusableGrid: [{
                type: ViewChild,
                args: [FDK_FOCUSABLE_GRID_DIRECTIVE]
            }], _tableBody: [{
                type: ViewChild,
                args: ['tableBody', { read: ElementRef }]
            }], _dndDirective: [{
                type: ViewChild,
                args: [DndListDirective]
            }], columns: [{
                type: ContentChildren,
                args: [TableColumn]
            }], customEditableCells: [{
                type: ContentChildren,
                args: [EditableTableCell, { descendants: true }]
            }], tableToolbar: [{
                type: ContentChild,
                args: [TABLE_TOOLBAR]
            }], _noDataWrapper: [{
                type: ContentChild,
                args: [NoDataWrapperComponent]
            }], loading: [{
                type: Input
            }] } });

const EXPORTABLE_DECLARATIONS = [
    TableComponent,
    TableColumnComponent,
    TableToolbarComponent,
    TableToolbarActionsComponent,
    TableViewSettingsDialogComponent,
    TableViewSettingsFilterComponent,
    SortingComponent,
    GroupingComponent,
    FiltersComponent,
    FiltersListStepComponent,
    FilterStepComponent,
    FilterSingleSelectComponent,
    FilterMultiSelectComponent,
    FilterCustomComponent,
    ResetButtonComponent,
    TableP13DialogComponent,
    TableP13SortComponent,
    TableP13FilterComponent,
    TableP13GroupComponent,
    TableP13ColumnsComponent,
    P13SortingDialogComponent,
    P13GroupingDialogComponent,
    P13FilteringDialogComponent,
    FilterRuleComponent,
    P13ColumnsDialogComponent,
    PlatformTableColumnResizerComponent,
    NoDataWrapperComponent,
    GetAvailableSortColumnsPipe,
    TableEditableCellComponent,
    TableToolbarLeftActionsComponent,
    TableHeaderCellContentComponent,
    TableCellHeaderPopoverComponent,
    TableRowComponent,
    TableGroupRowComponent,
    TablePoppingRowComponent,
    TableHeaderRowComponent,
    IsColumnHasHeaderMenuPipe,
    TableGrowingButtonComponent
];
class PlatformTableModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.7", ngImport: i0, type: PlatformTableModule, imports: [TableComponent,
            TableColumnComponent,
            TableToolbarComponent,
            TableToolbarActionsComponent,
            TableViewSettingsDialogComponent,
            TableViewSettingsFilterComponent,
            SortingComponent,
            GroupingComponent,
            FiltersComponent,
            FiltersListStepComponent,
            FilterStepComponent,
            FilterSingleSelectComponent,
            FilterMultiSelectComponent,
            FilterCustomComponent,
            ResetButtonComponent,
            TableP13DialogComponent,
            TableP13SortComponent,
            TableP13FilterComponent,
            TableP13GroupComponent,
            TableP13ColumnsComponent,
            P13SortingDialogComponent,
            P13GroupingDialogComponent,
            P13FilteringDialogComponent,
            FilterRuleComponent,
            P13ColumnsDialogComponent,
            PlatformTableColumnResizerComponent,
            NoDataWrapperComponent,
            GetAvailableSortColumnsPipe,
            TableEditableCellComponent,
            TableToolbarLeftActionsComponent,
            TableHeaderCellContentComponent,
            TableCellHeaderPopoverComponent,
            TableRowComponent,
            TableGroupRowComponent,
            TablePoppingRowComponent,
            TableHeaderRowComponent,
            IsColumnHasHeaderMenuPipe,
            TableGrowingButtonComponent, TableHelpersModule], exports: [TableComponent,
            TableColumnComponent,
            TableToolbarComponent,
            TableToolbarActionsComponent,
            TableViewSettingsDialogComponent,
            TableViewSettingsFilterComponent,
            SortingComponent,
            GroupingComponent,
            FiltersComponent,
            FiltersListStepComponent,
            FilterStepComponent,
            FilterSingleSelectComponent,
            FilterMultiSelectComponent,
            FilterCustomComponent,
            ResetButtonComponent,
            TableP13DialogComponent,
            TableP13SortComponent,
            TableP13FilterComponent,
            TableP13GroupComponent,
            TableP13ColumnsComponent,
            P13SortingDialogComponent,
            P13GroupingDialogComponent,
            P13FilteringDialogComponent,
            FilterRuleComponent,
            P13ColumnsDialogComponent,
            PlatformTableColumnResizerComponent,
            NoDataWrapperComponent,
            GetAvailableSortColumnsPipe,
            TableEditableCellComponent,
            TableToolbarLeftActionsComponent,
            TableHeaderCellContentComponent,
            TableCellHeaderPopoverComponent,
            TableRowComponent,
            TableGroupRowComponent,
            TablePoppingRowComponent,
            TableHeaderRowComponent,
            IsColumnHasHeaderMenuPipe,
            TableGrowingButtonComponent, TableHelpersModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTableModule, imports: [TableComponent,
            TableToolbarComponent,
            SortingComponent,
            GroupingComponent,
            FiltersComponent,
            FiltersListStepComponent,
            FilterStepComponent,
            FilterSingleSelectComponent,
            FilterMultiSelectComponent,
            ResetButtonComponent,
            P13SortingDialogComponent,
            P13GroupingDialogComponent,
            P13FilteringDialogComponent,
            FilterRuleComponent,
            P13ColumnsDialogComponent,
            TableEditableCellComponent,
            TableHeaderCellContentComponent,
            TableCellHeaderPopoverComponent,
            TableRowComponent,
            TablePoppingRowComponent,
            TableHeaderRowComponent,
            TableGrowingButtonComponent, TableHelpersModule, TableHelpersModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.7", ngImport: i0, type: PlatformTableModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...EXPORTABLE_DECLARATIONS, TableHelpersModule],
                    exports: [...EXPORTABLE_DECLARATIONS, TableHelpersModule]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { FILTERS_VIEW_STEP_TOKEN, FilterCustomComponent, FilterMultiSelectComponent, FilterRule, FilterRuleComponent, FilterSingleSelectComponent, FilterStepComponent, FiltersComponent, FiltersListStepComponent, GetAvailableSortColumnsPipe, GroupingComponent, IsColumnHasHeaderMenuPipe, NOT_FILTERED_OPTION_VALUE, NoDataWrapperComponent, P13ColumnsDialogComponent, P13FilteringDialogComponent, P13GroupingDialogComponent, P13SortingDialogComponent, PlatformTableColumnResizerComponent, PlatformTableModule, RESETTABLE_TOKEN, ResetButtonComponent, SortingComponent, TABLE_TOOLBAR, TableCellHeaderPopoverComponent, TableColumnComponent, TableComponent, TableEditableCellComponent, TableGroupRowComponent, TableGrowingButtonComponent, TableHeaderCellContentComponent, TableHeaderRowComponent, TableP13ColumnsComponent, TableP13DialogComponent, TableP13FilterComponent, TableP13GroupComponent, TableP13SortComponent, TablePoppingRowComponent, TableRowComponent, TableToolbarActionsComponent, TableToolbarComponent, TableToolbarLeftActionsComponent, TableToolbarTemplateDirective, TableViewSettingsDialogComponent, TableViewSettingsFilterComponent, dialogConfig };
//# sourceMappingURL=fundamental-ngx-platform-table.mjs.map
